"use strict";
exports.__esModule = true;
var lexicon = {
    "!": "!",
    "#": "#",
    "...": ":",
    "…": ":",
    "$": "$",
    "€": "$",
    "£": "$",
    "¥": "$",
    "%...": ":",
    ":": ":",
    ";": ":|;",
    ".": ".",
    "?": ".",
    ">": "SYM",
    "*": "SYM",
    "+": "SYM",
    "/": "SYM",
    "<": "SYM",
    "=": "SYM",
    "%": "NN|SYM",
    ",": ",",
    "-": ":",
    "'": "POS|\"",
    "\"": "\"",
    "`": "\"",
    "(": "(",
    ")": ")",
    "{": "(",
    "}": ")",
    "«": "\"",
    "»": "\"",
    "‘": "\"",
    "’": "\"",
    "‚": "\"",
    "‛": "\"",
    "“": "\"",
    "”": "\"",
    "„": "\"",
    "‟": "\"",
    "‹": "\"",
    "›": "\"",
    "⹂": "\"",
    "「": "\"",
    "」": "\"",
    "『": "\"",
    "』": "\"",
    "〝": "\"",
    "〞": "\"",
    "〟": "\"",
    "﹁": "\"",
    "﹂": "\"",
    "﹃": "\"",
    "﹄": "\"",
    "＂": "\"",
    "＇": "\"",
    "｢": "\"",
    "｣": "\"",
    "&": "CC|NNP|SYM",
    "@": "IN|SYM",
    "A": "DT|JJ|NNP|NNS|PRP|FW|LS|NNPS|VB",
    "A$": "$",
    "A&E": "NNP",
    "A&M": "NNP",
    "A&P": "NNP",
    "A&W": "NNP",
    "A-1": "NN|JJ",
    "A.A.": "NNP",
    "A.A.U.": "NNP",
    "A.B.": "NNP",
    "A.C.": "NNP",
    "A.D": "NN",
    "A.D.": "NNP|FW|RB",
    "A.D.L.": "NNP",
    "A.E.": "NNP",
    "A.F.": "NNP",
    "A.G.": "NNP",
    "A.H.": "NNP",
    "A.I.D.": "NN",
    "A.I.R.": "NNP",
    "A.J.": "NNP",
    "A.J.C.": "NNP",
    "A.K.C.": "NNP",
    "A.L.": "NNP",
    "A.L.A.M.": "NNP",
    "A.L/NNP.S/NNP.A.C.": "NNP",
    "A.M": "RB|NNP",
    "A.M.": "NNP|RB",
    "A.M.A": "NNP",
    "A.M.A.": "NNP",
    "A.M.E.": "NNP",
    "A.N.": "NNP",
    "A.O.": "NNP",
    "A.P.": "NNP",
    "A.R.": "NNP",
    "A.R.A.": "NNP",
    "A.S.": "NNP",
    "A.T.B.": "NNP",
    "A.V.": "NNP",
    "A.W.": "NNP",
    "A12": "NN",
    "A135": "NN",
    "A300-600R": "NNP",
    "A310-300s": "NNP",
    "A320": "NN",
    "A321s": "NNS",
    "A330": "NN",
    "A330-300s": "NNS",
    "A340": "NN",
    "A40-AjK": "NN",
    "A5": "NN",
    "AA": "JJ|NN|NNP",
    "AAA": "NNP",
    "AARP": "NNP",
    "AAb": "NNP",
    "AB": "NNP",
    "ABA": "NNP",
    "ABB": "NNP",
    "ABBIE": "NNP",
    "ABC": "NNP",
    "ABC-TV": "NNP",
    "ABCs": "NNS",
    "ABG-Semca": "NNP",
    "ABIOMED": "NNP",
    "ABM": "NNP|NN",
    "ABM.": "NNP",
    "ABO": "NNP",
    "ABORTION": "NN",
    "ABS": "NNP",
    "ABUSE": "NN",
    "AC&R": "NNP",
    "AC&R/CCL": "NNP",
    "AC-130U": "NN",
    "ACCEPTANCES": "NNS|NNPS",
    "ACCO": "NNP",
    "ACCOUNT": "NN|NNP",
    "ACCOUNTANTS": "NNS",
    "ACCOUNTING": "NNP|NN",
    "ACCOUNTS": "NNS|NNPS",
    "ACLU": "NNP",
    "ACQUISITION": "NNP|NN",
    "ACQUISITIONS": "NNS",
    "ACRES": "NNP",
    "ACS": "NNP",
    "ACT": "NNP",
    "ACTH": "NNP",
    "ACTING": "JJ",
    "AD": "NNP",
    "ADB": "NNP",
    "ADC": "NNP",
    "ADDED": "VBD",
    "ADIA": "NNP",
    "ADMAN": "NN",
    "ADMITTED": "VBD",
    "ADN": "NNP",
    "ADOPTED": "VBD",
    "ADR": "NNP",
    "ADRs": "NNS|NNP|NNPS",
    "ADS": "NNPS|NNS",
    "ADT": "NNP",
    "ADV": "NNP",
    "ADVANCED": "NNP",
    "ADVANCEMENT": "NNP",
    "ADVANCES": "NNS",
    "ADVERTISERS": "NNS",
    "ADVERTISING": "NNP",
    "AEC": "NNP",
    "AEG": "NNP",
    "AEI": "NNP",
    "AEP": "NNP",
    "AES": "NNP",
    "AEW": "NNP",
    "AF": "NNP",
    "AFDC": "NNP",
    "AFFLUENT": "JJ",
    "AFL-CIO": "NNP",
    "AFP": "NNP",
    "AFRICA": "NNP",
    "AFRICAN-AMERICAN": "JJ",
    "AFTERMATH": "NNP",
    "AFTERSHOCKS": "NNS",
    "AG": "NNP",
    "AGA": "NNP",
    "AGAIN": "RB",
    "AGE": "NNP",
    "AGENCIES": "NNS",
    "AGENCY": "NNP",
    "AGF": "NNP",
    "AGI": "NNP",
    "AGIP": "NNP",
    "AGREED": "VBD",
    "AGREES": "VBZ",
    "AGS": "NNP",
    "AH-64": "NN|NNP",
    "AHEAD": "RB",
    "AHSC": "NNP",
    "AIA": "NNP",
    "AIB": "NNP",
    "AIB.PR": "NNP",
    "AIChE": "NNP",
    "AID": "NNP",
    "AIDS": "NNP",
    "AIDS-drug": "JJ",
    "AIDS-infected": "JJ",
    "AIDS-inspired": "JJ",
    "AIDS-like": "JJ",
    "AIDS-prevention": "JJ",
    "AIDS-related": "JJ",
    "AIDS-research": "JJ",
    "AIDS-treatment": "NN",
    "AIEE": "NNP",
    "AIG": "NNP",
    "AIM": "NNP",
    "AIMO": "NNP",
    "AIR": "NNP",
    "AIRCOA": "NNP",
    "AIRLINES": "NNPS",
    "AIW": "NNP",
    "AK-47": "NNP",
    "AL": "NNP",
    "ALAMCO": "NNP",
    "ALBERTA": "NNP",
    "ALCEE": "NNP",
    "ALCOHOL": "NNP",
    "ALII": "NNP",
    "ALL": "PDT|NNP",
    "ALLIANCE": "NNP",
    "ALLOWED": "VBD",
    "ALLWASTE": "NNP",
    "ALLY": "NN",
    "ALPA": "NNP",
    "ALQ-135": "NN",
    "ALQ-178": "NNP",
    "ALT": "NNP",
    "ALU": "NNP",
    "ALUMINUM": "NNP",
    "AM": "NNP|VBP",
    "AMA": "NNP",
    "AMBASSADOR": "NN",
    "AMC": "NNP",
    "AMCA": "NNP",
    "AMDAHL": "NNP",
    "AMERICAN": "NNP",
    "AMERICANS": "NNS",
    "AMES": "NNP",
    "AMEX": "NNP",
    "AMF": "NNP",
    "AMI": "NNP",
    "AMNESTY": "NN",
    "AMONG": "IN",
    "AMP": "NNP",
    "AMR": "NNP",
    "AMR-Delta": "NNP",
    "AMRO": "NNP",
    "AMT": "NNP",
    "AMUSEMENT": "JJ",
    "AMVISC": "NNP",
    "AMs": "NNS",
    "AN": "DT",
    "ANACOMP": "NNP",
    "ANB": "NNP",
    "ANC": "NNP",
    "ANCHORAGE": "NNP",
    "AND": "CC|NNP",
    "ANDERSEN": "NNP",
    "ANF": "NNP",
    "ANF-Industrie": "NNP",
    "ANGELES": "NNP",
    "ANIMAL-RIGHTS": "NNS",
    "ANN": "NNP",
    "ANNOUNCED": "VBD",
    "ANNUAL": "JJ",
    "ANNUITIES": "NNS",
    "ANNUITY": "NNP",
    "ANP": "NNP",
    "ANR": "NNP",
    "ANSA": "NNP",
    "ANTHEM": "NNP",
    "ANZ": "NNP",
    "AON": "NNP",
    "AP": "NNP",
    "AP-Dow": "NNP",
    "AP600": "NN",
    "APARTHEID": "NNP",
    "API": "NNP",
    "APM": "NNP",
    "APMS": "NNP",
    "APPB": "NNP",
    "APPEARS": "VBZ",
    "APPELLATE": "NN",
    "APPLE": "NNP",
    "APPLIANCES": "NNPS",
    "APPLIED": "NNP",
    "APPROVED": "VBD",
    "APPROVES": "VBZ",
    "APS": "NNP",
    "APT": "NNP",
    "APV": "NNP",
    "ARA": "NNP",
    "ARAL-88": "NNP",
    "ARBITRAGE": "NN",
    "ARCO": "NNP",
    "ARE": "VBP",
    "AREA": "NN",
    "ARF": "NNP",
    "ARISE": "VBP",
    "ARM": "NNP",
    "ARMs": "NNS",
    "ARNOLD": "NNP",
    "ARRESTED": "VBD",
    "ARRIVED": "VBD",
    "ARTICLE": "NN",
    "ARTY": "NNP",
    "ART/artifact": "NN",
    "AS": "NNP|IN",
    "ASA": "NNP",
    "ASARCO": "NNP",
    "ASC": "NNP",
    "ASCAP": "NNP",
    "ASDA": "NNP",
    "ASDIC": "NNP",
    "ASEA": "NNP",
    "ASEAN": "NNP",
    "ASHTON-TATE": "NNP",
    "ASK": "NNP",
    "ASKO": "NNP",
    "ASKS": "VBZ",
    "ASLACTON": "NNP",
    "ASME": "NNP",
    "ASP": "NNP",
    "ASPIS": "FW",
    "ASPR": "NNP",
    "ASSETS": "NNPS|NNP|NNS",
    "ASSOCIATES": "NNPS|NNP",
    "ASSOCIATION": "NNP",
    "ASSOCIATION-COLLEGE": "NNP",
    "AST": "NNP",
    "ASW": "NN",
    "AT": "NNP|IN",
    "AT&T": "NNP",
    "AT&T-sponsored": "JJ",
    "AT*": "NNP",
    "ATARI": "NNP",
    "ATHLONE": "NNP",
    "ATI": "NNP",
    "ATLANTIC": "NNP",
    "ATM": "NN|NNP",
    "ATMs": "NNS",
    "ATP": "NN",
    "ATS": "NNP",
    "ATTACK": "NN",
    "ATTORNEY": "NNP",
    "ATTRACTS": "VBZ",
    "AUDITS": "NNS",
    "AUS": "NNP",
    "AUSTIN": "NNP",
    "AUTO": "NNP",
    "AUTOMOBILES": "NNPS",
    "AVC": "NNP",
    "AVOIDED": "VBD",
    "AVON": "NNP",
    "AVX": "NNP",
    "AWA": "NNP",
    "AWAY": "RP",
    "AWE": "NNP",
    "AWOC": "NNP",
    "AYER": "NNP",
    "AZT": "NNP",
    "AZT-resistant": "JJ",
    "AZT-treated": "JJ",
    "AZTR": "NNP",
    "A[fj]": "SYM",
    "A/S": "NNP",
    "Aaa": "JJ",
    "Aaa-ee": "UH",
    "Aaawww": "UH",
    "Aah": "UH",
    "Aalseth": "NNP",
    "Aaron": "NNP",
    "Aaronson": "NNP",
    "Aarvik": "NNP",
    "Ab1,040": "NNP",
    "Ababa": "NNP",
    "Abalkin": "NNP",
    "Abandon": "VB",
    "Abandoning": "VBG",
    "Abatuno": "NNP",
    "Abba": "NNP",
    "Abbas": "NNP",
    "Abbe": "NNP",
    "Abbe-Direct": "NNP",
    "Abbe-Scotch": "NNP",
    "Abbenhaus": "NNP",
    "Abbett": "NNP",
    "Abbey": "NNP",
    "Abbie": "NNP",
    "Abbot": "NNP",
    "Abbott": "NNP",
    "Abboud": "NNP",
    "Abby": "NNP",
    "Abd-al-Aziz": "NNP",
    "Abdallah": "NNP",
    "Abderahmane": "NNP",
    "Abdul": "NNP",
    "Abdul-Raheem": "NNP",
    "Abdullah": "NNP",
    "Abe": "NNP",
    "Abel": "NNP",
    "Abell": "NNP",
    "Abello": "NNP",
    "Abelson": "NNP",
    "Abend": "NNP",
    "Aber": "FW",
    "Abercrombie": "NNP",
    "Aberdeen": "NNP",
    "Abernathy": "NNP",
    "Abernathys": "NNPS",
    "Abex": "NNP",
    "Abide": "NNP",
    "Abie": "NNP",
    "Abigail": "NNP",
    "Abilene": "NNP",
    "Abingdon": "NNP",
    "Abiomed": "NNP",
    "Abitibi-Price": "NNP",
    "Ablard": "NNP",
    "Able": "NNP",
    "Abner": "NNP",
    "Abney": "NNP",
    "Abnormal": "JJ",
    "Aboff": "NNP",
    "Abolition": "NNP",
    "Abolitionists": "NNS",
    "Aborted": "JJ",
    "Abortion": "NNP",
    "Abortion-rights": "NNS|JJ",
    "About": "IN|RB|NNP",
    "Above": "IN|JJ|RB|NNP",
    "Aboveground": "JJ",
    "Abra": "NNP",
    "Abraham": "NNP",
    "Abrahams": "NNP",
    "Abrahamson": "NNP",
    "Abramowitz": "NNP",
    "Abrams": "NNP",
    "Abramson": "NNP",
    "Abreaction": "NN",
    "Abreast": "NNP",
    "Abroad": "RB|NNP",
    "Abrupt": "JJ",
    "Abruptly": "RB",
    "Abscam-indicted": "JJ",
    "Absent": "VB|IN|JJ",
    "Absent-minded": "JJ",
    "Absenteeism": "NN",
    "Absolute": "JJ",
    "Absolutely": "RB",
    "Absolution": "NN",
    "Absorbed": "VBN",
    "Absorbing": "VBG",
    "Abstract": "NNP|JJ",
    "Abstraction": "NNP",
    "Abstractionists": "NNS",
    "Abstractions": "NNS",
    "Abstracts": "NNP",
    "Abt": "NNP",
    "Abu": "NNP",
    "Abuse": "NNP",
    "Abyss": "NN",
    "Abyssinians": "NNPS",
    "Aca": "NNP",
    "Academic": "NNP",
    "Academically": "RB",
    "Academicianship": "NN",
    "Academics": "NNS",
    "Academy": "NNP",
    "Acadia": "NNP",
    "Acala": "NNP",
    "Acapulco": "NNP",
    "Acarbose": "NNP",
    "Accacia": "NNP",
    "Accademia": "NNP",
    "Accardo": "NNP",
    "Accelerated": "VBN",
    "Accept": "VB",
    "Acceptable": "JJ",
    "Acceptance": "NNP",
    "Accepted": "JJ|NNP|VBN",
    "Accepting": "VBG",
    "Access": "NN|NNP",
    "Accessories": "NNS|NNP",
    "Accident": "NNP",
    "Accidental": "JJ",
    "Acclaim": "NNP",
    "Accompanied": "VBN",
    "Accomplishing": "VBG",
    "Accomplishments": "NNS",
    "Accor": "NNP",
    "Accord": "NNP",
    "Accord-fighter": "JJ",
    "According": "VBG|NNP",
    "Accordingly": "RB",
    "Accords": "NNPS|NNS",
    "Account": "NNP",
    "Accountants": "NNPS",
    "Accountemps": "NNP",
    "Accounting": "NNP|VBG",
    "Accounting-profession": "NN",
    "Accounts": "NNPS|NNS|NNP",
    "Accounts-a": "NNP|NNPS",
    "Accrued": "VBN",
    "Accudyne": "NNP",
    "Accumaster": "NNP",
    "Accumulation": "NNP",
    "Accuracy": "NN|NNP",
    "Accurate": "JJ",
    "Accused": "NNP|JJ",
    "Accustomed": "JJ",
    "Accutane": "NNP",
    "Ace": "NNP",
    "Aces": "NNS",
    "Acey": "NNP",
    "Achaeans": "NNPS",
    "Achenbaum": "NNP",
    "Acheson": "NNP",
    "Achievement": "NNP",
    "Achieving": "VBG",
    "Achilles": "NNP",
    "Acid": "JJ",
    "Acid-washed": "JJ",
    "Ackerley": "NNP",
    "Ackerly": "NNP",
    "Ackerman": "NNP",
    "Ackermann": "NNP",
    "Acknowledges": "VBZ",
    "Ackroyd": "NNP",
    "Acme-Cleveland": "NNP",
    "Acorn": "NNP",
    "Acorns": "NNS",
    "Acourse": "NN",
    "Acoustic": "NNP",
    "Acoustical": "JJ",
    "Acquired": "VBN|NNP",
    "Acquirer": "NN",
    "Acquirers": "NNS",
    "Acquiring": "VBG",
    "Acquisition": "NNP",
    "Acquisitions": "NNS|NNPS",
    "Acreage": "NN",
    "Acres": "NNP",
    "Acropolis": "NNP",
    "Across": "IN|NNP",
    "Acrylic": "NNP",
    "Act": "NNP",
    "Acting": "NN|NNP|VBG",
    "Acting-President": "NNP",
    "Action": "NNP",
    "Actions": "NNS",
    "Active": "JJ|NNP",
    "Actively": "RB",
    "Activists": "NNS",
    "Activities": "NNPS|NNP",
    "Activity": "NN|NNP",
    "Acton": "NNP",
    "Actor-Crooner": "NNP",
    "Actress": "NNP",
    "Acts": "NNPS",
    "Actual": "JJ",
    "Actually": "RB",
    "Acura": "NNP",
    "Acushnet": "NNP",
    "Acustar": "NNP",
    "Acuvue": "NNP",
    "Ad": "NN|NNP",
    "Ad-Unit": "NN",
    "Ada": "NNP",
    "Adagio": "NNP",
    "Adair": "NNP",
    "Adalbert": "NNP",
    "Adam": "NNP",
    "Adame": "NNP",
    "Adamec": "NNP",
    "Adamo": "NNP",
    "Adams": "NNP",
    "Adamski": "NNP",
    "Adamson": "NNP",
    "Adaptaplex": "NNP",
    "Adaptation": "NN",
    "Adaptations": "NNS",
    "Adaptec": "NNP",
    "Adapted": "VBN",
    "Adcock": "NNP",
    "Add": "VB",
    "Addabbo": "NNP",
    "Adde": "NNP",
    "Added": "VBD|NNP|VBN",
    "Addict": "NNP",
    "Addicted": "NNP",
    "Addicts": "NNS",
    "Adding": "VBG",
    "Addington": "NNP",
    "Addis": "NNP",
    "Addison": "NNP",
    "Addiss": "NNP",
    "Addition": "NN",
    "Additional": "JJ",
    "Additionally": "RB",
    "Additive": "NN",
    "Additives": "NNPS",
    "Address": "NNP",
    "Addressing": "VBG",
    "Adds": "VBZ|NNP",
    "Addwest": "NNP",
    "Ade": "NNP",
    "Adelaide": "NNP",
    "Adele": "NNP",
    "Adelia": "NNP",
    "Adella": "NNP",
    "Adelman": "NNP",
    "Adelos": "NNP",
    "Aden": "NNP",
    "Adenauer": "NNP",
    "Adens": "NNP",
    "Adequate": "JJ",
    "Aderholds": "NNPS",
    "Adherence": "NN",
    "Adi": "NNP",
    "Adia": "NNP",
    "Adios": "NNP|FW",
    "Adios-Direct": "NNP",
    "Adios-On": "NNP",
    "Adios-Rena": "NNP",
    "Adios-Trustful": "NNP",
    "Adirondack": "NNP",
    "Adirondacks": "NNPS",
    "Adjoining": "VBG",
    "Adjournment": "NN",
    "Adjust": "VB",
    "Adjusted": "NNP|VBN|JJ",
    "Adjusters": "NNS",
    "Adjusting": "VBG",
    "Adjustment": "NNP",
    "Adlai": "NNP",
    "Adler": "NNP",
    "Adley": "NNP",
    "Adm.": "NNP",
    "Admarketing": "NNP",
    "Admassy": "NNP",
    "Administration": "NNP",
    "Administration-insured": "JJ",
    "Administrative": "NNP|JJ",
    "Administrator": "NNP",
    "Administrators": "NNPS",
    "Admirably": "RB",
    "Admiralty": "NN",
    "Admirers": "NNS",
    "Admission": "NN|NNP",
    "Admissions": "NNP|NNPS",
    "Admistration": "NNP",
    "Admittedly": "RB",
    "Admitting": "VBG",
    "Adnan": "NNP",
    "Ado": "NNP",
    "Adobe": "NNP",
    "Adolescents": "NNS",
    "Adolf": "NNP",
    "Adolph": "NNP",
    "Adolphus": "NNP",
    "Adoniram": "NNP",
    "Adonis": "NNP",
    "Adopting": "VBG",
    "Adoption": "NN|NNP",
    "Adoptions": "NNS",
    "Adrar": "NNP",
    "Adrian": "NNP",
    "Adrianople": "NN",
    "Adriatic": "NNP",
    "Adrien": "NNP",
    "Adrienne": "NNP",
    "Ads": "NNS",
    "Adsi": "NNP",
    "Adult": "NN",
    "Adultery": "NNP",
    "Adults": "NNS",
    "Advance": "NNP|JJ",
    "Advanced": "NNP|JJ",
    "Advancement": "NNP",
    "Advancers": "NNS",
    "Advances": "NNS|NNPS",
    "Advancing": "VBG",
    "Advani": "NNP",
    "Advantages": "NNS",
    "Advent": "NNP",
    "Adventists": "NNP",
    "Adventure": "NNP",
    "Adventurers": "NNS",
    "Adventures": "NNS|NNP|NNPS",
    "Adverbial": "JJ",
    "Adverse": "JJ",
    "Advertiser": "NNP",
    "Advertisers": "NNS|NNP|NNPS",
    "Advertising": "NNP|VBG",
    "Advertising/San": "NNP",
    "Advest": "NNP",
    "Advice": "NNP",
    "Advil": "NNP",
    "Advise": "NNP",
    "Adviser": "NNP",
    "Advisers": "NNPS|NNS",
    "Advises": "VBZ",
    "Advisor": "NNP",
    "Advisors": "NNP|NNPS|NNS",
    "Advisory": "NNP|JJ",
    "Advocate": "NNP",
    "Advocates": "NNS|NNPS",
    "Aegean": "NNP",
    "Aegis": "NNP",
    "Aegis-class": "JJ",
    "Aegon": "NNP",
    "Aeneid": "NNP",
    "Aer": "NNP",
    "Aeritalia": "NNP",
    "Aermacchi": "NNP",
    "Aero": "NNP",
    "Aero-Space": "NNP",
    "Aerobacter": "NN",
    "Aeroflot": "NNP|JJ",
    "Aerojet": "NNP",
    "Aeromexico": "NNP",
    "Aeronautical": "NNP",
    "Aeronauticas": "NNP",
    "Aeronautics": "NNP",
    "Aeroquip": "NNP",
    "Aerospace": "NNP",
    "Aerospace-Thomson": "NNP",
    "Aerospatiale": "NNP",
    "Aeschbacher": "NNP",
    "Aeschylus": "NNP",
    "Aetna": "NNP",
    "Af-fold": "JJ",
    "Af-inch": "JJ",
    "Af-stage": "JJ",
    "Af-values": "NNS",
    "Af.": "NNP",
    "Afanasyev": "NNP",
    "Afanasyeva": "NNP",
    "Affair": "NNP",
    "Affaire": "NNP",
    "Affaires": "NNP",
    "Affairs": "NNP|NNPS",
    "Affect": "VB",
    "Affected": "VBN",
    "Affidavits": "NNS",
    "Affiliated": "NNP|VBN",
    "Affiliates": "NNP|NNPS",
    "Affirmative": "JJ",
    "Affirmatively": "RB",
    "Affirmed": "NNP",
    "Affliction": "NNP",
    "Afford": "VB",
    "Affordable": "NNP|JJ",
    "Afghan": "JJ|NN|NNP",
    "Afghan-Pakistan": "JJ",
    "Afghanistan": "NNP",
    "Afghanistan/Southwest": "NNP",
    "Afghans": "NNPS",
    "Afield": "NNP",
    "Afif": "NNP",
    "Aflatoxin": "NN",
    "Afnasjev": "NNP",
    "Afraid": "JJ",
    "Afranio": "NNP",
    "Africa": "NNP",
    "Africaine": "NNP",
    "African": "JJ|NNP",
    "African-Americans": "NNPS",
    "African-controlled": "JJ",
    "African-safari": "JJ",
    "Africanist": "NNP",
    "Africans": "NNPS",
    "Afrika": "NNP",
    "Afrikaaner": "NNP",
    "Afrikaner": "JJ|NNP",
    "Afrikanerdom": "NNP",
    "Afrikaners": "NNPS",
    "Afrique": "NNP",
    "Afro-Asian": "NNP",
    "Afro-Cuban": "JJ",
    "After": "IN|NNP|RB|JJ",
    "After-the-fact": "JJ",
    "Aftereffects": "NNS",
    "Afternoon": "UH",
    "Aftershocks": "NNS",
    "Afterward": "RB",
    "Afterwards": "RB",
    "AgResource": "NNP",
    "Aga": "NNP",
    "Again": "RB|NNP",
    "Against": "IN|NNP",
    "Agamemnon": "NNP",
    "Aganbegyan": "NNP",
    "Agatha": "NNP",
    "Age": "NNP",
    "Agee": "NNP",
    "Agence": "NNP",
    "Agencies": "NNPS|NNS|NNP",
    "Agency": "NNP",
    "Agenda": "NNP",
    "Agent": "NNP",
    "Agents": "NNPS|NNS|NNP",
    "Ageny": "NNP",
    "Ages": "NNPS|NNS",
    "Agfa": "NNP",
    "Aggie": "NNP",
    "Aggies": "NNP",
    "Aggregate": "JJ",
    "Aggressive": "NNP",
    "Aggressively": "RB",
    "Aggrieved": "JJ",
    "Aghanistan": "NNP",
    "Aghazadeh": "NNP",
    "Agile": "FW|JJ",
    "Agin": "NNP",
    "Aging": "NNP|VBG",
    "Agins": "NNP",
    "Agip": "NNP",
    "Agitato": "NNP",
    "Agius": "NNP",
    "Agnelli": "NNP",
    "Agnelli-related": "JJ",
    "Agnellis": "NNPS",
    "Agnes": "NNP|NNS",
    "Agnese": "NNP",
    "Agnew": "NNP",
    "Agnos": "NNP",
    "Ago": "RB",
    "Agoeng": "NNP",
    "Agoglia": "NNP",
    "Agonale": "NNP",
    "Agone": "NNP",
    "Agoura": "NNP",
    "Agouron": "NNP",
    "Agree": "VBP",
    "Agreeable": "NNP|JJ",
    "Agreed": "VBD|VBN",
    "Agreement": "NNP",
    "Agreements": "NNS",
    "Agrees": "VBZ",
    "Agri": "NNP",
    "Agricola": "NNP",
    "Agricole": "NNP",
    "Agricoles": "NNP",
    "Agricultural": "NNP|JJ",
    "Agriculture": "NNP",
    "Agriculture-ministry": "NN",
    "Agrippa": "NNP",
    "Agro": "NNP",
    "Agrobacterium": "NN",
    "Agua": "NNP",
    "Aguais": "NNP",
    "Aguiar": "NNP",
    "Aguilar": "NNP",
    "Aguirre": "NNP",
    "Aguirre-Sacasa": "NNP",
    "Agura": "NNP",
    "Ah": "UH|PRP",
    "Ah-ah": "UH",
    "Ahah": "UH",
    "Ahead": "RB|NNP",
    "Ahern": "NNP",
    "Ahlerich": "NNP",
    "Ahm": "PRP",
    "Ahmad": "NNP",
    "Ahmanson": "NNP",
    "Ahmet": "NNP",
    "Ahmiri": "NNP",
    "Aho": "NNP",
    "Ahold": "NNP",
    "Ahoy": "NNP",
    "Ahrens": "NNP",
    "Ahsan": "NNP",
    "Ai": "VBP|NNP|VBZ",
    "Ai-": "NNP",
    "Aichi": "NNP|NNS",
    "Aid": "NNP|VB",
    "Aida": "NNP",
    "Aidan": "NNP",
    "Aide": "NNP",
    "Aided": "VBN",
    "Aiden": "NNP",
    "Aides": "NNS",
    "Aiding": "NNP",
    "Aids": "NNS|VBZ",
    "Aikawa": "NNP",
    "Aiken": "NNP",
    "Aikin": "NNP",
    "Aikman": "NNP",
    "Ailes": "NNP",
    "Ailey": "NNP",
    "Ailing": "VBG",
    "Aim": "NNP|VB|NN",
    "Aimed": "VBN",
    "Aims": "VBZ",
    "Ainsley": "NNP",
    "Ainslie": "NNP",
    "Ainsworth": "NNP",
    "Ainu": "NNP",
    "Ainus": "NNPS",
    "Air": "NNP",
    "Air-freight": "NN",
    "Air-raid": "JJ",
    "Air-to-ground": "JJ",
    "Air-traffic": "NN",
    "AirCal": "NNP",
    "AirMalta": "NNP",
    "AirTran": "NNP",
    "Airborne": "NNP|JJ",
    "Airbus": "NNP",
    "Aircoa": "NNP",
    "Aircraft": "NNP|NNS",
    "Airedale": "NNP",
    "Airedales": "NNPS",
    "Aires": "NNP",
    "Airfone": "NNP",
    "Airfones": "NNS",
    "Airgas": "NNP",
    "Airless": "JJ",
    "Airlie": "NNP",
    "Airline": "NNP",
    "Airlines": "NNPS|NNS",
    "Airmail": "NN",
    "Airman": "NNP",
    "Airpark": "NNP",
    "Airplanes": "NNPS|NNS|NNP",
    "Airport": "NNP",
    "Airports": "NNP|NNS",
    "Airways": "NNPS",
    "Airy": "JJ",
    "Ait-Laoussine": "NNP",
    "Aitken": "NNP",
    "Aiwa": "NNP",
    "Aj.": "NNP",
    "AjA": "NNP",
    "AjB": "NNP",
    "Ajax": "NNP",
    "Ajinomoto": "NNP",
    "Ajit": "NNP",
    "Akademie": "NNP",
    "Ake": "NNP",
    "Akerfeldt": "NNP",
    "Akers": "NNP",
    "Akerson": "NNP",
    "Akin": "NNP",
    "Akio": "NNP",
    "Akita": "NNP",
    "Akiva": "NNP",
    "Akron": "NNP",
    "Akros": "NNP",
    "Aktiebolaget": "NNP",
    "Aktiengesellschaft": "NNP",
    "Akzo": "NNP",
    "Al": "NNP",
    "Al-Chalabi": "NNP",
    "Al-Faqih": "NNP",
    "Al-Rowas": "NNP",
    "Al-Sabah": "NNP",
    "Al-Seyassah": "NNP",
    "Ala": "NNP",
    "Ala.": "NNP",
    "Alabama": "NNP",
    "Alabama-Coushatta": "JJ",
    "Alabamans": "NNS",
    "Alabamas": "NNPS",
    "Alabamian": "NN",
    "Alacrity": "NNP",
    "Aladdin": "NNP",
    "Alagoas": "NNP",
    "Alai": "NNP",
    "Alain": "NNP",
    "Alakshak": "NNP",
    "Alameda": "NNP",
    "Alamein": "NNP",
    "Alamito": "NNP",
    "Alamo": "NNP",
    "Alamogordo": "NNP",
    "Alamos": "NNP",
    "Alan": "NNP",
    "Alaouite": "JJ",
    "Alar": "NNP|NN",
    "Alar-style": "JJ",
    "Alarcon": "NNP",
    "Alarm": "NNP",
    "Alarmed": "JJ|VBN",
    "Alas": "UH|RB",
    "Alasdair": "NNP",
    "Alaska": "NNP",
    "Alaska-based": "JJ",
    "Alaskan": "JJ|NNP",
    "Alastair": "NNP",
    "Alastor": "NNP",
    "Alba": "NNP",
    "Albacore": "NNP",
    "Albanese": "NNP",
    "Albania": "NNP",
    "Albanian": "NNP",
    "Albanians": "NNS|NNPS",
    "Albany": "NNP",
    "Alberding": "NNP",
    "Alberg": "NNP",
    "Albers": "NNP",
    "Albert": "NNP",
    "Alberta": "NNP",
    "Albertine": "NNP",
    "Alberto": "NNP",
    "Albertson": "NNP",
    "Albertville": "NNP",
    "Albion": "NNP",
    "Albrecht": "NNP",
    "Albright": "NNP",
    "Albrights": "NNPS",
    "Album": "NNP|NN",
    "Albuquerque": "NNP",
    "Alcan": "NNP",
    "Alcarria": "NNP",
    "Alcatel": "NNP",
    "Alcatraz": "NNP",
    "Alcee": "NNP",
    "Alceste": "NNP",
    "Alcibiades": "NNP",
    "Alcinous": "JJ",
    "Alco": "NNP",
    "Alcoa": "NNP",
    "Alcohol": "NNP|NN",
    "Alcoholic": "NNP",
    "Alcoholics": "NNPS",
    "Alcorn": "NNP",
    "Alcott": "NNP",
    "Alda": "NNP",
    "Alden": "NNP",
    "Aldermen": "NNS",
    "Alderson": "NNP",
    "Aldo": "NNP",
    "Aldomet": "NNP",
    "Aldrich": "NNP",
    "Aldridge": "NNP",
    "Aldrin": "NNP",
    "Aldus": "NNP",
    "Alec": "NNP",
    "Alejandro": "NNP",
    "Aleksei": "NNP",
    "Alemagna": "NNP",
    "Alert": "NNP",
    "Alesio": "NNP",
    "Alessio": "NNP",
    "Alex": "NNP",
    "Alexander": "NNP",
    "Alexandra": "NNP",
    "Alexandre": "NNP",
    "Alexandria": "NNP",
    "Alexandrine": "JJ",
    "Alexei": "NNP",
    "Alexeyeva": "NNP",
    "Alexia": "NNP",
    "Alexis": "NNP",
    "Alf": "NNP",
    "Alfa": "NNP",
    "Alferon": "NNP",
    "Alfieri": "NNP",
    "Alfons": "NNP",
    "Alfonse": "NNP",
    "Alfonso": "NNP",
    "Alfred": "NNP",
    "Alfredo": "NNP",
    "Algemene": "NNP",
    "Alger": "NNP",
    "Algeria": "NNP",
    "Algerian": "NNP|JJ",
    "Algiers": "NNP",
    "Algol": "NNP",
    "Algom": "NNP",
    "Algonquin": "NNP",
    "Ali": "NNP",
    "Aliah": "NNP",
    "Aliber": "NNP",
    "Alice": "NNP",
    "Alicia": "NNP",
    "Alida": "NNP",
    "Alien": "NNP",
    "Alienated": "NNP",
    "Alienus": "NNP",
    "Aligning": "VBG",
    "Aliksanian": "NNP",
    "Alisarda": "NNP",
    "Alisky": "NNP",
    "Alison": "NN",
    "Alistair": "NNP",
    "Alito": "NNP",
    "Alix": "NNP",
    "Aljian": "NNP",
    "Alkylate": "NNP",
    "All": "DT|RB|NNP|PDT|NNS",
    "All-American": "NNP",
    "All-Star": "NNP|JJ",
    "All-Union": "NNP",
    "All-You-Can-Eat": "NNP",
    "All-weather": "JJ",
    "Alla": "NNP",
    "Allah": "NNP",
    "Allan": "NNP",
    "Allay": "NN",
    "Allday": "NNP",
    "Allegany": "NNP",
    "Alleged": "JJ",
    "Alleghany": "NNP",
    "Alleghenies": "NNPS",
    "Allegheny": "NNP",
    "Allegiance": "NNP",
    "Allegra": "NNP",
    "Allegretti": "NNP",
    "Allegro": "NNP|FW",
    "Allemands": "NNP",
    "Allen": "NNP|NNPS",
    "Allen-film": "NN",
    "Allendale": "NNP",
    "Allende": "NNP",
    "Allenport": "NNP",
    "Allentown": "NNP",
    "Allergan": "NNP",
    "Alley": "NNP",
    "Allgemeine": "NNP",
    "Alliance": "NNP",
    "Alliant": "NNP",
    "Allianz": "NNP",
    "Allie": "NNP",
    "Allied": "NNP|JJ",
    "Allied-Lyons": "NNP",
    "Allied-Signal": "NNP",
    "Allies": "NNS|NNPS",
    "Alligood": "NNP",
    "Allingham": "NNP",
    "Allis-Chalmers": "NNP",
    "Allison": "NNP",
    "Allocation": "NN",
    "Allons": "FW",
    "Allotments": "NNS",
    "Allou": "NNP",
    "Allow": "VB",
    "Allowed": "VBN|NNP",
    "Allowing": "VBG",
    "Alloy": "NN",
    "Allso": "RB",
    "Allstate": "NNP",
    "Allstates": "NNP",
    "Allstates-Zenith": "NNP",
    "Alltel": "NNP",
    "Allumettes": "NNP",
    "Allure": "NN",
    "Allwaste": "NNP",
    "Ally": "VBP",
    "Alma": "NNP",
    "Almaden": "NNP",
    "Almagest": "NNP",
    "Almanac": "NNP",
    "Almighty": "NNP",
    "Almond": "NN",
    "Almonds": "NNS",
    "Almost": "RB|NNP|IN",
    "Aloe": "NNP",
    "Aloft": "JJ",
    "Aloha": "NNP",
    "Alois": "NNP",
    "Alokut": "NNP",
    "Alone": "RB|NNP",
    "Along": "IN|RB",
    "Alongside": "IN|RB",
    "Alonso": "NNP",
    "Alors": "FW",
    "Aloud": "RB",
    "Aloys": "NNP",
    "Alper": "NNP",
    "Alpers": "NNP",
    "Alperstein": "NNP",
    "Alpert": "NNP",
    "Alperts": "NNS",
    "Alpha": "NNP",
    "Alphametrics": "NNP",
    "Alpharetta": "NNP",
    "Alphonse": "NNP",
    "Alphonsus": "NNP",
    "Alpine": "NNP|JJ",
    "Alpo": "NNP",
    "Alps": "NNP|NNPS",
    "Alquist": "NNP",
    "Already": "RB",
    "Alsagoray": "NNP",
    "Alsatian": "NNP",
    "Alsatians": "NNPS",
    "Alsing": "NNP",
    "Also": "RB",
    "Also...": ":",
    "Alson": "NNP",
    "Alsop": "NNP",
    "Alsthom": "NNP",
    "Alstyne": "NNP",
    "Alt": "NNP",
    "Alta": "NNP",
    "Altair": "NNP",
    "Altairians": "NNPS",
    "Altama": "NNP",
    "Altar": "NNP",
    "Altenburg": "NNP",
    "Alter": "NNP|VB",
    "Alterman": "NNP",
    "Alternate": "JJ",
    "Alternately": "RB",
    "Alternating": "VBG",
    "Alternative": "NNP|JJ",
    "Alternative-operator": "NN",
    "Alternatively": "RB",
    "Alternatives": "NNP",
    "Althaus": "NNP",
    "Althea": "NNP",
    "Although": "IN",
    "Altimari": "NNP",
    "Altman": "NNP",
    "Alto": "NNP",
    "Altogether": "RB",
    "Alton": "NNP",
    "Altos": "NNP",
    "Altron": "NNP",
    "Alumina": "NNP",
    "Aluminium": "NNP",
    "Aluminum": "NNP|JJ",
    "Aluminum-Bat": "NN",
    "Aluminum-ingot": "NN",
    "Alumni": "NNPS",
    "Alun-Jones": "NNP",
    "AlunJones": "NNP",
    "Alurralde": "NNP",
    "Alusik": "NNP",
    "Alusuisse": "NNP",
    "Alva": "NNP",
    "Alvan": "NNP",
    "Alvarez": "NNP",
    "Alvear": "NNP",
    "Alvero-Cruz": "NNP",
    "Alvin": "NNP",
    "Alvise": "NNP",
    "Always": "RB|NNP",
    "Alwin": "NNP",
    "Alyce": "NNP",
    "Alysia": "NNP",
    "Alzheimer": "NNP",
    "Am": "VBP|NNP",
    "AmBase": "NNP",
    "AmBrit": "NNP",
    "Amabile": "NNP",
    "Amada": "NNP",
    "Amadee": "NNP",
    "Amadeus": "NN|NNP",
    "Amado": "NNP",
    "Amador": "NNP",
    "Amadou-Mahtar": "NNP",
    "Amalgamated": "NNP",
    "Amana": "NNP",
    "Amando": "NNP",
    "Amaral": "NNP",
    "Amarillo": "NNP",
    "Amatayakul": "NNP",
    "Amateur": "JJ|NNP",
    "Amaury": "NNP",
    "Amax": "NNP",
    "Amazing": "JJ|NNP",
    "Amazon": "NNP",
    "Amazonia": "NNP",
    "Amazonian": "JJ",
    "Ambassador": "NNP",
    "Ambassador-at-Large": "NNP",
    "Ambassador-designate": "NNP",
    "Amber": "NNP",
    "Ambigua": "NNP",
    "Ambiguan": "JJ",
    "Ambiguity": "NN",
    "Ambler": "NNP",
    "Amboy": "NNP",
    "Ambridge": "NNP",
    "Ambroise": "NNP",
    "Ambrose": "NNP",
    "Ambrosiano": "NNP",
    "Ambulances": "NNS",
    "Ambushes": "NNS",
    "Amca": "NNP",
    "Amcap": "NNP",
    "Amcast": "NNP",
    "Amclyde": "NNP",
    "Amcor": "NNP",
    "Amcore": "NNP",
    "Amdahl": "NNP",
    "Amdec": "NNP",
    "Amdura": "NNP",
    "Ameaux": "NNP",
    "Amee": "NNP",
    "Amelia": "NNP",
    "Amen": "UH|FW|JJ|NNP",
    "Amending": "VBG",
    "Amendment": "NNP",
    "Amendments": "NNPS|NNS",
    "Amenities": "NNS",
    "Amenitskii": "NNP",
    "Amer": "NNP",
    "Amerace": "NNP",
    "Amerada": "NNP",
    "Ameri-Cable": "NNP",
    "AmeriGas": "NNP",
    "AmeriTrust": "NNP",
    "America": "NNP",
    "america": "NNP",
    "America.": "NNP",
    "America/International": "NNP",
    "American": "NNP|JJ|RB",
    "American-China": "NNP",
    "American-Jewish": "JJ",
    "American-Negro": "NNP",
    "American-built": "JJ",
    "American-developed": "JJ",
    "American-made": "JJ",
    "American-style": "JJ",
    "American-trained": "JJ",
    "Americana": "NNS|NNP",
    "Americanized": "VBD",
    "Americano": "NNP",
    "Americans": "NNPS|NNS|VBP",
    "Americas": "NNPS|NNP",
    "Ameritas": "NNP",
    "Ameritech": "NNP",
    "Amerman": "NNP",
    "Ameron": "NNP",
    "Amerongen": "NNP",
    "Ames": "NNP",
    "Ametek": "NNP",
    "Amex": "NNP",
    "Amfac": "NNP",
    "Amfesco": "NNP",
    "Amgen": "NNP",
    "Amharas": "NNPS",
    "Amherst": "NNP",
    "Amhowitz": "NNP",
    "Amicable": "NNP",
    "Amicam": "NNP",
    "Amici": "FW",
    "Amid": "IN|NNP",
    "Amidst": "IN",
    "Amiel": "NNP",
    "Amiga": "NNP",
    "Amin": "NNP",
    "Amira": "NNP",
    "Amis": "NNP",
    "Amish": "NNP|JJ",
    "Amitai": "NNP",
    "Amityville": "NNP",
    "Amityvilles": "NNPS",
    "Amman": "NNP",
    "Ammann": "NNP",
    "Ammonium": "NN",
    "Ammunition": "NNP",
    "Amneris": "NNP",
    "Amoco": "NNP",
    "Amoco-led": "JJ",
    "Amomng": "JJ",
    "Amon": "NNP",
    "Amonasro": "NNP",
    "Among": "IN",
    "Amor": "FW",
    "Amorim": "NNP",
    "Amory": "NNP",
    "Amos": "NNP",
    "Amoskeag": "NNP",
    "Amounts": "NNS",
    "Amp": "NNP",
    "Amparano": "NNP",
    "Amperex": "NNP",
    "Amra": "NN",
    "Amram": "NNP",
    "Amro": "NNP",
    "Amschel": "NNP",
    "Amstel": "NNP",
    "Amsterdam": "NNP",
    "Amsterdam-Rotterdam": "NNP",
    "Amstrad": "NNP",
    "Amt": "FW",
    "Amtech": "NNP",
    "Amtrak": "NNP",
    "Amtran": "NNP",
    "Amudarya": "NNP",
    "Amundsen": "NNP",
    "Amusement": "NN",
    "Amusements": "NNPS",
    "Amusing": "JJ",
    "Amvest": "NNP",
    "Amway": "NNP",
    "Amy": "NNP",
    "Amylin": "NNP",
    "An": "DT|NNP|CC",
    "An-12": "NN",
    "Ana": "NNP",
    "AnaMor": "NNP",
    "Anabaptist": "NN|NNP",
    "Anabaptists": "NNPS|NNS",
    "Anabel": "NNP",
    "Anac": "NNP",
    "Anacomp": "NNP",
    "Anaconda": "NN|NNP",
    "Anadarko": "NNP",
    "Anaheim": "NNP",
    "Anaheim-Santa": "NNP",
    "Analog": "NNP",
    "Analogously": "RB",
    "Analyses": "NNS",
    "Analysis": "NNP",
    "Analyst": "NN|NNP",
    "Analysts": "NNS|NNP",
    "Analytic": "NNP",
    "Analytical": "NNP|JJ",
    "Analytrol": "NNP",
    "Analyzer": "NNP",
    "Anand": "NNP",
    "Anania": "NNP",
    "Anarcho-Syndicalists": "NNPS",
    "Anastasio": "NNP",
    "Anat": "NNP",
    "Anatol": "NNP",
    "Anatole": "NNP",
    "Anatoly": "NNP",
    "Anatomically": "RB",
    "Ancel": "NNP",
    "Anchisi": "NNP",
    "Anchor": "NNP",
    "Anchorage": "NNP",
    "Anchorite": "NN",
    "Ancient": "NNP|JJ",
    "Ancinec": "NNP",
    "Ancistrodon": "NNP",
    "Anctil": "NNP",
    "And": "CC|NNP",
    "Andalusians": "NNPS",
    "Andean": "JJ|NNP",
    "Andee": "NNP",
    "Andel": "NNP",
    "Anderlini": "NNP",
    "Anders": "NNP",
    "Andersen": "NNP",
    "Andersen-Price": "NNP",
    "Anderson": "NNP",
    "Andersson": "NNP",
    "Andes": "NNPS",
    "Andi": "NNP",
    "Andover": "NNP",
    "Andras": "NNP",
    "Andre": "NNP",
    "Andrea": "NNP",
    "Andreas": "NNP",
    "Andreassen": "NNP",
    "Andree": "NNP",
    "Andrei": "NNP",
    "Andrena": "NNP",
    "Andreotti": "NNP",
    "Andres": "NNP",
    "Andress": "NNP",
    "Andrew": "NNP",
    "Andrews": "NNP",
    "Andriessen": "NNP",
    "Andris": "NNP",
    "Androfski": "NNP",
    "Androgyny": "NN",
    "Andromache": "NNP",
    "Andrus": "NNP",
    "Andruses": "NNPS",
    "Andrzej": "NNP",
    "Andy": "NNP",
    "Anfia": "NNP",
    "Angel": "NNP",
    "Angela": "NNP",
    "Angelenos": "NNP",
    "Angeles": "NNP",
    "Angeles-Pasadena": "NNP",
    "Angeles-area": "JJ",
    "Angeles-based": "JJ",
    "Angelica": "NNP|FW",
    "Angelico": "NNP",
    "Angelina": "NNP",
    "Angell": "NNP",
    "Angellism": "NNP",
    "Angelo": "NNP",
    "Angels": "NNPS|NNS",
    "Angenics": "NNP",
    "Anger": "VBP|NN",
    "Angers": "NNP",
    "Angevine": "NNP",
    "Angie": "NNP",
    "Angier": "NNP",
    "Angkor": "NNP",
    "Angleterre": "FW",
    "Anglia": "NNP",
    "Anglian": "JJ",
    "Anglican": "NNP|JJ",
    "Anglicanism": "NN",
    "Anglicans": "NNS",
    "Anglo": "NNP|JJ",
    "Anglo-American": "NNP|JJ",
    "Anglo-Americans": "NNPS",
    "Anglo-Argentine": "NNP",
    "Anglo-Dutch": "NNP|JJ",
    "Anglo-French": "JJ|NNP",
    "Anglo-Irish": "JJ",
    "Anglo-Jewish": "JJ",
    "Anglo-North": "JJ",
    "Anglo-Protestant": "JJ",
    "Anglo-Saxon": "NNP|JJ",
    "Anglo-Saxons": "NNS",
    "Anglo/Dutch": "NNP",
    "Anglophilia": "NNP",
    "Anglophobia": "NN",
    "Angola": "NNP",
    "Angolan": "JJ",
    "Angotti": "NNP",
    "Angrily": "RB",
    "Angrist": "NNP",
    "Angry": "NNP|JJ",
    "Angst": "NN",
    "Angus": "NNP",
    "Anhalt-Bernburg": "NNP",
    "Anheuser": "NNP",
    "Anheuser-Busch": "NNP",
    "Anhwei": "NNP",
    "Animal": "NNP|NN",
    "Animals": "NNS|NNPS",
    "Animated": "JJ",
    "Aniseikonic": "JJ",
    "Aniskovich": "NNP",
    "Anita": "NNP",
    "Anjelica": "NNP",
    "Ankara": "NNP",
    "Ankeny": "NNP",
    "Anker": "NNP",
    "Anku": "NNP",
    "Anlage": "NNP",
    "Ann": "NNP",
    "Anna": "NNP",
    "Annalee": "NNP",
    "Annamorena": "NNP",
    "Annandale": "NNP",
    "Annapolis": "NNP",
    "Annaud": "NNP",
    "Anne": "NNP|VB",
    "Anne-Marie": "NNP",
    "Annenberg": "NNP",
    "Annex": "NNP",
    "Annicchino": "NNP",
    "Annie": "NNP",
    "Annihilate": "VB",
    "Annisberg": "NNP",
    "Anniston": "NNP",
    "Anniversary": "NN|NNP",
    "Announced": "JJ",
    "Announcement": "NN",
    "Announces": "VBZ",
    "Annual": "JJ|NNP",
    "Annualized": "VBN|JJ",
    "Annuities": "NNS",
    "Annuity": "NNP",
    "Anointing": "VBG",
    "Anonymous": "NNP",
    "Another": "DT|NNP",
    "Anouilh": "NNP",
    "Anschluss": "FW|NNP",
    "Ansco": "NNP",
    "Ansel": "NNP",
    "Anselm": "NNP",
    "Anselmo": "NNP",
    "Ansley": "NNP",
    "Anson": "NN",
    "Anspach": "NNP",
    "Answer": "NN|VB",
    "Answers": "NNS|VBZ",
    "Ant": "NN",
    "Anta": "NNP",
    "Antar": "NNP",
    "Antarctic": "NNP",
    "Antarctica": "NNP",
    "Antares": "NNP",
    "Ante": "NN",
    "Antenne": "NNP",
    "Anterior": "NNP",
    "Anthea": "NNP",
    "Anthem": "NNP",
    "Anthology": "NNP",
    "Anthong": "NNP",
    "Anthony": "NNP|NNPS",
    "Anthropic": "NNP",
    "Anthropologists": "NNS",
    "Anthropology": "NNP",
    "Anti": "NNP",
    "Anti-A": "NNP",
    "Anti-American": "JJ",
    "Anti-Americanism": "NNP",
    "Anti-Ballistic": "NNP",
    "Anti-Ballistic-Missile": "JJ",
    "Anti-Christ": "NNP",
    "Anti-Communist": "JJ|NNP",
    "Anti-Deficiency": "NNP",
    "Anti-Jones": "JJ",
    "Anti-Semite": "NN",
    "Anti-Semitic": "JJ",
    "Anti-Swapo": "JJ",
    "Anti-Wrinkle": "NNP",
    "Anti-abortion": "JJ",
    "Anti-apartheid": "JJ",
    "Anti-dumping": "JJ",
    "Anti-nuclear": "JJ",
    "Anti-recession": "NN",
    "Anti-union": "JJ",
    "Antibody": "NN",
    "Anticipated": "VBN|JJ",
    "Anticipating": "VBG",
    "Anticipation": "NN",
    "Antietam": "NNP",
    "Antigone": "NNP",
    "Antigua": "NNP",
    "Antilles": "NNPS",
    "Antinomians": "NNS",
    "Antinori": "NNP",
    "Antioquia": "NNP",
    "Antique": "NNP",
    "Antiques": "NNPS",
    "Antiquity": "NN",
    "Antisubmarine": "JJ",
    "Antithyroid": "JJ",
    "Antitrust": "NNP|JJ",
    "Antler": "NNP",
    "Antoine": "NNP",
    "Antoinette": "NNP",
    "Antolini": "NNP",
    "Anton": "NNP",
    "Antone": "NNP",
    "Antoni": "NNP",
    "Antonia": "NNP",
    "Antonin": "NNP",
    "Antonini": "NNP",
    "Antonio": "NNP",
    "Antonio-based": "JJ",
    "Antonovich": "NNP",
    "Antony": "NNP",
    "Antori": "NNP",
    "Ants": "NNS",
    "Antwerp": "NNP",
    "Antwerp-based": "JJ",
    "Antwerpsche": "NNP",
    "Anwar": "NN",
    "Anxiety": "NN|NNP",
    "Anxious": "JJ",
    "Any": "DT",
    "Anybody": "NN",
    "Anyhow": "RB|NNP",
    "Anyone": "NN",
    "Anything": "NN|NNP",
    "Anytime": "RB",
    "Anyway": "RB",
    "Anywhere": "RB",
    "Anzilotti": "NNP",
    "Aoki": "NNP",
    "Aon": "NNP",
    "Aouelloul": "NNP",
    "Aoun": "NNP",
    "Aoyama": "NNP",
    "Apache": "NNP|NNPS",
    "Apaches": "NNPS",
    "Apalachicola": "NNP",
    "Apar": "NNP",
    "Aparicio": "NNP",
    "Apart": "RB|NNP",
    "Apartheid": "NNP",
    "Apartment": "NN|NNP",
    "Apartments": "NNP",
    "Ape": "NNP",
    "Apergillus": "NN",
    "Apex": "NNP",
    "Aphrodite": "NNP",
    "Apicella": "NNP",
    "Apocalypse": "NNP",
    "Apocalyptic": "NNP|JJ",
    "Apocrypha": "NNPS",
    "Apogee": "NNP",
    "Apollinaire": "NNP",
    "Apollo": "NNP",
    "Apollonian": "JJ",
    "Apolo": "NNP",
    "Apologia": "NN",
    "Apologie": "NNP",
    "Apologies": "NNS",
    "Apology": "NNP",
    "Apostles": "NNPS",
    "Apostolakis": "NNP",
    "App": "NNP",
    "App.": "NNP",
    "Appalachia": "NNP",
    "Appalachian": "NNP",
    "Appalachians": "NNPS",
    "Appalled": "JJ",
    "Appaloosas": "NNPS",
    "Apparatus": "NN",
    "Apparel": "NNP|NN",
    "Apparently": "RB",
    "Appeal": "NNP|VBP",
    "Appealing": "VBG",
    "Appeals": "NNPS|NNS",
    "Appear": "VBP",
    "Appearance": "NN",
    "Appel": "NNP",
    "Appelbaum": "NNP",
    "Appell": "NNP",
    "Appellate": "NNP",
    "Appendix": "NN",
    "Appendixes": "NNS",
    "Appert": "NNP",
    "Appian": "NNP",
    "Appignanesi": "NNP",
    "Applause": "NN",
    "Apple": "NNP",
    "Apple-Microsoft": "NNP",
    "Applebaum": "NNP",
    "Applebee": "NNP",
    "Appleby": "NNP",
    "Apples": "NNS|NNPS",
    "Appleseed": "NNP",
    "Appleseeds": "NNPS",
    "Appleton": "NNP",
    "Appleyard": "NNP",
    "Appliances": "NNPS",
    "Application": "NNP",
    "Applications": "NNS|NNPS",
    "Applied": "NNP|VBN",
    "Applying": "VBG",
    "Appointed": "VBN",
    "Appointment": "NN|NNP",
    "Appraisers": "NNPS",
    "Appreciation": "NNP",
    "Apprehensively": "RB",
    "Apprentice": "NNP",
    "Approach": "NNP",
    "Approached": "VBN",
    "Approaches": "NNS",
    "Approaching": "VBG",
    "Appropriate": "JJ",
    "Appropriately": "RB",
    "Appropriation": "NNP",
    "Appropriations": "NNP|NNPS|NNS",
    "Approval": "NN|NNP",
    "Approvals": "NNS",
    "Approved": "VBN|VBD",
    "Approximately": "RB",
    "April": "NNP",
    "April-June": "NNP",
    "Aprile": "NNP",
    "Apropos": "RB",
    "Aprotinine": "NNP",
    "Apt": "JJ",
    "Aptitude": "NNP",
    "Aqazadeh": "NNP",
    "Aqua": "NNP",
    "Aqua-Ban": "NNP",
    "Aquacutie": "NNP",
    "Aqualon": "NNP",
    "Aquidneck": "NNP",
    "Aquifers": "NNS",
    "Aquinas": "NNP",
    "Aquino": "NNP",
    "Aquitaine": "NNP",
    "Ara": "NNP",
    "Arab": "JJ|NNP",
    "Arab-Israeli": "JJ",
    "Arab-sponsored": "JJ",
    "Arabia": "NNP",
    "Arabian": "NNP|JJ",
    "Arabian-American": "NNP",
    "Arabians": "NNPS",
    "Arabic": "NNP|JJ",
    "Arabist": "JJ",
    "Arabs": "NNPS|NNS",
    "Araby": "NNP",
    "Arafat": "NNP",
    "Aragon": "NNP",
    "Arai": "NNP",
    "Arakawa": "NNP",
    "Aral": "NNP",
    "Aramis": "NNP",
    "Aran": "NNP",
    "Aransas": "NNP",
    "Arapacis": "NNP",
    "Araskog": "NNP",
    "Arata": "NNP",
    "Arau": "NNP",
    "Arbeitskommando": "NNP",
    "Arbel": "NNP",
    "Arbitrage": "NN",
    "Arbitrage-related": "JJ",
    "Arbitragers": "NNS",
    "Arbitraging": "VBG",
    "Arbitrary": "NNP",
    "Arbitration": "NN",
    "Arbogast": "NNP",
    "Arbor": "NNP",
    "Arboretum": "NNP",
    "Arbs": "NNS",
    "Arbuckle": "NNP",
    "Arby": "NNP",
    "Arc": "NNP",
    "Arcadian": "NNP",
    "Arcadipane": "NNP",
    "Arcata": "NNP",
    "Arch": "NNP|VB",
    "Archaeology": "NNP",
    "Archangel": "NNP",
    "Archbishop": "NNP",
    "Archbishops": "NNS",
    "Archer": "NNP",
    "Archer-Daniels-Midland": "NNP",
    "Archey": "NNP",
    "Archibald": "NNP",
    "Archie": "NNP",
    "Archimedes": "NNP",
    "Archipelago": "NNP",
    "Architect": "NNP",
    "Architects": "NNPS|NNS",
    "Architecture": "NNP",
    "Archive": "NNP",
    "Archives": "NNPS",
    "Archuleta": "NNP",
    "Arcilla": "NNP",
    "Arco": "NNP",
    "Arctic": "NNP|JJ",
    "Arden": "NNP",
    "Ardent": "NNP|JJ",
    "Ardito": "NNP",
    "Ardito-Barletta": "NNP",
    "Ardmore": "NNP",
    "Are": "VBP|NNP",
    "Area": "NNP",
    "Areas": "NNS",
    "Arena": "NNP",
    "Arenberg": "NNP",
    "Arens": "NNP",
    "Arenula": "NNP",
    "Arequipa": "NNP",
    "Ares": "NNP",
    "Arfeen": "NNP",
    "Argabright": "NNP",
    "Argas": "NNP",
    "Argent": "NNP",
    "Argentina": "NNP",
    "Argentine": "JJ|NNP",
    "Argentines": "NNPS|NNS",
    "Argentinian": "JJ",
    "Arger": "NNP",
    "Argiento": "NNP",
    "Argive": "NNP",
    "ArgoSystems": "NNPS",
    "Argon": "NN",
    "Argonauts": "NNPS",
    "Argonne": "NNP",
    "Argos": "NNP",
    "Arguably": "RB",
    "Arguing": "VBG",
    "Arguments": "NNS",
    "Argumenty": "NNP",
    "Argus": "NNP",
    "Argyll": "NNP",
    "Argyros": "NNP",
    "Arhat": "NNP",
    "Arhats": "NNPS",
    "Ariadne": "NNP",
    "Ariail": "NNP",
    "Ariane": "NNP",
    "Arianespace": "NNP",
    "Arianism": "NNP",
    "Arianist": "NNP",
    "Arianists": "NNS",
    "Arias": "NNP",
    "Aricaras": "NNPS",
    "Ariel": "NNP",
    "Arigato": "FW",
    "Arighi": "NNP",
    "Aril": "NNP",
    "Arimathea": "NNP",
    "Aristech": "NNP",
    "Aristide": "NNP",
    "Aristotelean-Thomistic": "JJ",
    "Aristotelian": "JJ|NNP",
    "Aristotle": "NNP",
    "Arithmetic": "NNP",
    "Ariz": "NNP",
    "Ariz.": "NNP",
    "Ariz.-based": "JJ",
    "Arizona": "NNP",
    "Arizona-related": "JJ",
    "Ark": "NNP",
    "Ark.": "NNP",
    "Ark.-based": "JJ",
    "Arkabutla": "NNP",
    "Arkansas": "NNP|NNS",
    "Arkansas-based": "JJ",
    "Arkhangelsk": "NNP",
    "Arkhipov": "NNP",
    "Arkla": "NNP",
    "Arkoma": "NNP",
    "Arland": "NNP",
    "Arlauskas": "NNP",
    "Arleigh": "NNP",
    "Arlen": "NNP",
    "Arlene": "NNP",
    "Arles": "NN",
    "Arlin": "NNP",
    "Arlington": "NNP",
    "Arlt": "NNP",
    "Arm": "NN|VB|NNP",
    "Armada": "NNP",
    "Armageddon": "NN|NNP",
    "Armand": "NNP",
    "Armani": "NNP",
    "Armas": "NNP",
    "Armbro": "NNP",
    "Armco": "NNP",
    "Armed": "NNP|VBN|JJ",
    "Armen": "NNP",
    "Armenia": "NNP",
    "Armenian": "JJ|NNP",
    "Armenians": "NNPS",
    "Armentieres": "NNP",
    "Armide": "NN",
    "Armies": "NNP",
    "Armin": "NNP",
    "Armisteads": "NNPS",
    "Armistice": "NNP",
    "Armitage": "NNP",
    "Armond": "NNP",
    "Armonk": "NNP",
    "Armor": "NNP",
    "Armored": "NNP",
    "Armory": "NNP",
    "Armour": "NNP",
    "Arms": "NNS|NNP|NNPS",
    "Armstrong": "NNP",
    "Armuelles": "NNP",
    "Army": "NNP",
    "Arnault": "NNP",
    "Arne": "NNP",
    "Arnell": "NNP",
    "Arnell/Bickford": "NNP",
    "Arney": "NNP",
    "Arnhem": "NNP",
    "Arnold": "NNP",
    "Arnold-Foster": "NNP",
    "Arnolphe": "NNP",
    "Arnott": "NNP",
    "Aro": "NNP",
    "Aromatiques": "NNP",
    "Aronson": "NNP",
    "Aroostook": "NNP",
    "Aros": "NNP",
    "Around": "IN|NNP",
    "Aroused": "VBN",
    "Arp": "NNP",
    "Arpanet": "NNP",
    "Arpege": "NNP",
    "Arpino": "NNP",
    "Arps": "NNP",
    "Arrack": "NN",
    "Arragon": "NNP",
    "Arraignment": "NN",
    "Arraignments": "NNS",
    "Arrange": "VB",
    "Arrangement": "NNP",
    "Arrangements": "NNS",
    "Arranging": "VBG",
    "Arrayed": "VBN",
    "Arrest": "NN",
    "Arrested": "VBN",
    "Arrington": "NNP",
    "Arriving": "VBG",
    "Arrow": "NNP",
    "Arrowhead": "NNP",
    "Arroyo": "NNP",
    "Arseneault": "NNP",
    "Arsenio": "NNP",
    "Arseny": "NNP",
    "Arshinkoff": "NNP",
    "Art": "NNP|VBZ",
    "Arte": "NNP",
    "Artemis": "NNP",
    "Artemisia": "NNP",
    "Arterial": "JJ",
    "Arteries": "NN|NNS",
    "Artesia": "NNP",
    "Artfully": "RB",
    "Arthritis": "NNP",
    "Arthur": "NNP",
    "Arthurian": "JJ",
    "Article": "NNP|NN",
    "Articles": "NNPS|NNS",
    "Artie": "NNP",
    "Artificer": "NN",
    "Artificial": "JJ",
    "Artillery": "NN|NNP",
    "Artisans": "NNS",
    "Artist": "NNP",
    "Artistes": "NNP",
    "Artistic": "JJ",
    "Artists": "NNP|NNPS|NNS",
    "Artkino": "NNP",
    "Artois": "NNP",
    "Artra": "NNP",
    "Arts": "NNP|NNPS|NNS",
    "Artur": "NNP",
    "Arturo": "NNP",
    "Artzt": "NNP",
    "Aruba": "NNP",
    "Arundel": "NNP",
    "Arvey": "NNP",
    "Arvin": "NNP",
    "Arvind": "NNP",
    "Arx": "NNP",
    "As": "IN|RB",
    "Asada": "NNP",
    "Asahi": "NNP|NNS",
    "Asahipen": "NNP",
    "Asarco": "NNP",
    "Asbestos": "NN|NNP",
    "Asbury": "NNP",
    "Ascent": "NNP",
    "Asch": "NNP",
    "Aschenbach": "NNP",
    "Ascii": "NNP",
    "Asea": "NNP",
    "Asean": "JJ",
    "Asensio": "NNP",
    "Ash": "NNP",
    "Ash-Can": "NNP",
    "Ashamed": "JJ",
    "Ashcroft": "NNP",
    "Ashenberg": "NNP",
    "Asher": "NNP",
    "Asher/Gould": "NNP",
    "Asheville": "NNP",
    "Ashikaga": "NNP",
    "Ashington-Pickett": "NNP",
    "Ashkhabad": "NNP",
    "Ashland": "NNP|VBP",
    "Ashley": "NNP",
    "Ashman": "NNP",
    "Ashmolean": "NNP",
    "Ashok": "NNP",
    "Ashtabula": "NNP|NN",
    "Ashton": "NNP",
    "Ashton-Tate": "NNP",
    "Ashurst": "NNP",
    "Ashwood": "NNP",
    "Asia": "NNP|JJ",
    "asia": "NNP|JJ",
    "Asia-Pacific": "NNP|JJ",
    "Asia/Pacific": "JJ",
    "Asian": "JJ|NNP",
    "Asian-American": "JJ",
    "Asian-Americans": "NNPS",
    "Asian-owned": "JJ",
    "Asians": "NNPS|NNS",
    "Asiatic": "JJ",
    "Aside": "RB|NNP|IN",
    "Asides": "NNP",
    "Asil": "NNP",
    "Asilomar": "NNP",
    "Asilone": "NNP",
    "Asimov": "NNP",
    "Ask": "VB|NNP",
    "Aska": "NNP",
    "Asked": "VBN|VBD",
    "Askin": "NNP",
    "Askington": "NNP",
    "Asks": "VBZ",
    "Aslacton": "NNP",
    "Aslanian": "NNP",
    "Asleep": "RB",
    "Asman": "NNP",
    "Asmara": "NNP",
    "Aspe": "NNP",
    "Aspects": "NNPS",
    "Aspen": "NNP",
    "Aspencade": "NNP",
    "Aspencades": "NNPS",
    "Aspenstrom": "NNP",
    "Aspercreme": "NNP",
    "Aspilia": "NN",
    "Aspin": "NNP",
    "Aspirin": "NNP",
    "Asquith": "NNP",
    "Asra": "NNP",
    "Assab": "NNP",
    "Assad": "NNP",
    "Assam": "NNP",
    "Assassination": "NNP",
    "Assemble": "VB",
    "Assemblies": "NNP",
    "Assembly": "NNP",
    "Assemblyman": "NNP",
    "Assemblywoman": "NNP",
    "Asser": "NNP",
    "Asserts": "VBZ",
    "Asses": "NNS",
    "Assess": "VB",
    "Assessment": "NNP",
    "Assessors": "NNS",
    "Asset": "NNP",
    "Asset-Backed": "NNP|JJ",
    "Asset-backed": "JJ",
    "Asset-management": "JJ",
    "Assets": "NNS|NNP|NNPS",
    "Assicurazioni": "NNP",
    "Assign": "VB",
    "Assignation": "NN",
    "Assimilation": "NNP",
    "Assiniboia": "NNP",
    "Assiniboine": "NNP",
    "Assist": "NNP",
    "Assistance": "NNP",
    "Assistant": "NNP",
    "Assisting": "VBG",
    "Assn": "NNP",
    "Assn.": "NNP",
    "Associate": "JJ|NNP",
    "Associated": "NNP|VBN|JJ",
    "Associates": "NNPS|NNS",
    "Association": "NNP",
    "Association-College": "NNP",
    "Associations": "NNP|NNS|NNPS",
    "Assonance": "NN",
    "Assume": "VB",
    "Assuming": "VBG|NNP",
    "Assumption": "NN",
    "Assurance": "NNP",
    "Assurances": "NNP|NNPS",
    "Assuredly": "RB",
    "Assyrian": "NNP",
    "Assyriology": "NN",
    "Asta": "NNP",
    "Astaires": "NNPS",
    "Astarte": "NNP",
    "Astec": "NNP",
    "Asteria": "NNP",
    "Asteroidal": "JJ",
    "Asti": "NNP",
    "Astin": "NNP",
    "Aston": "NNP",
    "Astonishingly": "RB",
    "Astor": "NNP",
    "Astoria": "NNP",
    "Astra": "NNP",
    "Astrid": "NNP",
    "Astrodome": "NNP",
    "Astronaut": "NN",
    "Astronauts": "NNS",
    "Astronomy": "NNP|NN",
    "Astrophysicist": "NN",
    "Astros": "NNPS",
    "Astwood": "NNP",
    "Aswara": "NNP",
    "Asylum": "NNP",
    "At": "IN|NNP",
    "Atala": "NNP",
    "Atalanta/Sosnoff": "NNP",
    "Atari": "NNP",
    "Atchinson": "NNP",
    "Atco": "NNP",
    "Ate": "VBD",
    "Ateliers": "NNP",
    "Aterman": "NNP",
    "Ath.": "NNP",
    "Athabascan": "NNP",
    "Athalie": "NNP",
    "Athanassiades": "NNP",
    "Athearn": "NNP",
    "Atheist": "NNP",
    "Athena": "NNP",
    "Athenaeum": "NNP",
    "Athenian": "JJ",
    "Athenians": "NNPS",
    "Athens": "NNP",
    "Atherton": "NNP",
    "Athlete": "NNP",
    "Athletic": "NNP|JJ",
    "Athletics": "NNP|NNPS|NNS",
    "Athlone": "NNP",
    "Atkins": "NNP",
    "Atkinson": "NNP",
    "Atkisson": "NNP",
    "Atkissons": "NNPS",
    "Atlanta": "NNP",
    "Atlanta-Chicago": "NNP",
    "Atlanta-based": "JJ|NNP",
    "Atlantans": "NNPS",
    "Atlantes": "NN",
    "Atlantic": "NNP|JJ",
    "Atlantica": "NNP",
    "Atlantis": "NNP|NNS",
    "Atlas": "NNP|JJ",
    "Atlas-Centaur": "NNP",
    "Atlee": "NNP",
    "Atmospheric": "NNP",
    "Atomic": "NNP|JJ",
    "Atomics/Combustion": "NNP",
    "Atone": "VB",
    "Atonement": "NN|NNP",
    "Atonio": "NNP",
    "Atop": "IN",
    "Atorino": "NNP",
    "Atra": "NNP",
    "Atreus": "NNP",
    "Atrium": "NNP",
    "Atsushi": "NNP",
    "Atta": "NN|UH",
    "Attack": "NNP",
    "Attacks": "NNS|VBZ",
    "Attakapas": "NNP",
    "Attali": "NNP",
    "Attanasio": "NNP",
    "Attempts": "NNS",
    "Attendance": "NN",
    "Attendants": "NNS|NNPS",
    "Attending": "VBG",
    "Attention": "VB|NN",
    "Attermann": "NNP",
    "Attic": "JJ|NNP",
    "Attica": "NNP",
    "Attila": "NNP",
    "Attilio": "NNP",
    "Attitude": "NN",
    "Attitudes": "NNS",
    "Attlee": "NNP",
    "Attopeu": "NNP",
    "Attorney": "NNP",
    "Attorneys": "NNS|NNP|NNPS",
    "Attorneys-at-Large": "NNP",
    "Attracted": "VBN",
    "Attraction": "NNP",
    "Attractions": "NNPS",
    "Attribute": "NNP",
    "Attributes": "NNS",
    "Attridge": "NNP",
    "Attrition": "NN",
    "Attu": "NNP",
    "Attwood": "NNP",
    "Atty.": "NNP",
    "Atwell": "NNP",
    "Atwells": "NNP",
    "Atwood": "NNP",
    "Atzez": "NNP",
    "Au": "FW|NNP",
    "AuCoin": "NNP",
    "Auberge": "NNP",
    "Aubr.": "NNP",
    "Aubrey": "NNP",
    "Auburn": "NN|NNP",
    "Auckland": "NNP",
    "Auction": "NN|NNP",
    "Auctions": "NNS|NNPS",
    "Audi": "NNP",
    "Audience": "NN",
    "Audio": "NNP",
    "Audiovisual": "NNP",
    "Audit": "NNP",
    "Auditorium": "NNP",
    "Auditors": "NNS",
    "Audits": "NNPS",
    "Audrey": "NNP",
    "Audubon": "NNP",
    "Auerbach": "NNP",
    "Auf": "NNP",
    "Aug.": "NNP",
    "Auger": "NNP",
    "August": "NNP",
    "Augusta": "NNP",
    "Augustan": "NNP",
    "Augustin": "NNP",
    "Augustine": "NNP",
    "Augustines": "NNPS",
    "Augusto": "NNP",
    "Augustus": "NNP",
    "Aul": "NNP",
    "Aulnay": "NNP",
    "Aung": "NNP",
    "Aunt": "NNP",
    "Auntie": "NNP",
    "Aunts": "NNS",
    "Aureliano": "NNP",
    "Aurelius": "NNP",
    "Aureomycin": "NN|NNP",
    "Aurora": "NNP",
    "Auschwitz": "NNP",
    "Aussedat": "NNP",
    "Austin": "NNP",
    "Austins": "NNPS",
    "Australasian": "JJ",
    "Australia": "NNP",
    "Australia-based": "JJ",
    "Australia-wide": "JJ",
    "Australian": "JJ|NNP",
    "Australian-American": "JJ",
    "Australian-Chinese": "JJ",
    "Australian-based": "JJ",
    "Australians": "NNPS|NNS",
    "Australites": "NNS",
    "Austria": "NNP",
    "Austrian": "JJ|NNP",
    "Austrian-Argentine": "JJ",
    "Austro-Hungarian": "JJ",
    "Authenticated": "VBN",
    "Authentication": "NNP",
    "Author": "NN|NNP",
    "Authorities": "NNS|NNP",
    "Authority": "NNP",
    "Authority-Garden": "NNP",
    "Authors": "NNS",
    "Auto": "NN|NNP",
    "Auto-Europe": "NNP",
    "Auto-parts": "JJ",
    "AutoPacific": "NNP",
    "AutoWorld": "NNP",
    "Autobiographies": "NNS",
    "Autobiography": "NNP",
    "Autocamiones": "NNP",
    "Autocoder": "NN",
    "Autocollimator": "NN",
    "Autocracies": "NNPS",
    "Autodesk": "NNP",
    "Autolatina": "NNP",
    "Automated": "NNP|VBN",
    "Automatic": "NNP|JJ",
    "Automatically": "RB",
    "Automation": "NNP",
    "Automax": "NNP",
    "Automobile": "NNP",
    "Automobiles": "NNS|NNPS",
    "Automobili": "NNP",
    "Automotive": "NNP|JJ",
    "Autorapido": "NNP",
    "Autos": "NNS",
    "Autosuggestibility": "NN",
    "Autozam": "NNP",
    "Autry": "NNP",
    "Autumnal": "JJ",
    "Auvil": "NNP",
    "Auxiliaries": "NNPS",
    "Auxiliary": "NNP",
    "Av": "NNP",
    "Av.": "NNP",
    "Ava": "NNP",
    "Available": "JJ",
    "Avalon": "NNP",
    "Avant-garde": "NN",
    "Avantor": "NNP",
    "Avco": "NNP",
    "Avdel": "NNP",
    "Ave": "NNP",
    "Ave.": "NNP",
    "Avedisian": "NNP",
    "Avelar": "NNP",
    "Avena": "NNP",
    "Aventine": "NNP",
    "Aventino": "NNP",
    "Avenue": "NNP",
    "Avenues": "NNP",
    "Averae": "NNP",
    "Average": "NNP|JJ",
    "Averages": "NNP|NNS",
    "Averell": "NNP",
    "Avery": "NNP",
    "Avi": "NNP",
    "Aviacion": "NNP",
    "Avianca": "NNP",
    "Aviation": "NNP",
    "Aviazione": "NNP",
    "Aviion": "NNP",
    "Avions": "NNP",
    "Avis": "NNP",
    "Aviv": "NNP",
    "Aviva": "NNP",
    "Avmark": "NNP",
    "Avner": "NNP",
    "Avnet": "NNP",
    "Avocado": "NNP",
    "Avocados": "NNS",
    "Avoid": "VB",
    "Avoidance": "NNP",
    "Avoiding": "VBG|NNP",
    "Avoids": "VBZ",
    "Avon": "NNP",
    "Avondale": "NNP",
    "Avowed": "JJ",
    "Avrett": "NNP",
    "Aw": "UH|RB",
    "Awad": "NNP",
    "Awake": "NNP",
    "Awakening": "NNP",
    "Award": "NNP",
    "Awarding": "VBG",
    "Awards": "NNP",
    "Aware": "JJ",
    "Awareness": "NN|NNP",
    "Away": "RB|NNP|IN",
    "Awe": "NN",
    "Awkwardly": "RB",
    "Ax": "NNP",
    "Axa": "NNP",
    "Axa-Midi": "NNP",
    "Axe": "NNP",
    "Axel": "NNP",
    "Axelrod": "NNP",
    "Axioms": "NNS",
    "Axis": "NNP",
    "Axxess": "NNP",
    "Ayala": "NNP",
    "Ayatollah": "NNP",
    "Aycock": "NNP",
    "Aye-yah-ah-ah": "UH",
    "Ayer": "NNP",
    "Ayers": "NNP",
    "Aylesbury": "NNP",
    "Ayob": "NNP",
    "Ayres": "NNP",
    "Aysshom": "NNP",
    "Ayub": "NNP",
    "Azabu": "NNP",
    "Azalea": "NNP",
    "Azara": "NNP",
    "Azcuenaga": "NNP",
    "Azem": "NNP",
    "Azerbaijan": "NNP",
    "Azerbaijani": "NNP",
    "Azioni": "NNP",
    "Aziz": "NNP",
    "Aziza": "NNP",
    "Azlant": "NNP",
    "Azoff": "NNP",
    "Aztar": "NNP",
    "Aztec": "JJ",
    "Azucena": "NNP",
    "Azusa": "NNP",
    "B": "NNP|JJ|LS",
    "B&B": "NNP",
    "B&H": "NNP",
    "B&W": "NNP",
    "B-1": "JJ|NNP",
    "B-1B": "JJ|NNP",
    "B-1s": "NNPS",
    "B-2": "NN|NNP|JJ",
    "B-2s": "NNS|NNPS",
    "B-3": "JJ|NNP",
    "B-4": "NNP",
    "B-47": "NN",
    "B-52": "NNP",
    "B-52H": "NN",
    "B-58": "NN",
    "B-70": "NNP",
    "B-As": "IN|NNP",
    "B-I-G": "NNP",
    "B-cell": "NN",
    "B-cells": "NNS",
    "B-flat": "NN",
    "B-movie": "NN",
    "B-scale": "NN",
    "B.": "NNP|.|LS",
    "B.A.": "NNP",
    "B.A.T": "NNP",
    "B.A.T...": ":",
    "B.B.": "NNP",
    "B.B.C.": "NNP",
    "B.C": "NN|NNP",
    "B.C.": "NN|FW|NNP",
    "B.C.-based": "JJ",
    "B.D.": "NNP",
    "B.F.": "NNP",
    "B.G.": "NNP",
    "B.J.": "NNP",
    "B.M.": "NNP",
    "B.S.": "NNP",
    "B.U.": "NNP",
    "B.V": "NNP",
    "B.V.": "NNP",
    "B.t.u.": "NN",
    "B2": "NN|JJ",
    "B70": "NN",
    "BA": "NNP",
    "BACK": "RB",
    "BACKED": "VBD",
    "BAHAMIAN": "JJ",
    "BAII": "NNP",
    "BAKER": "NNP",
    "BAKKER": "NNP",
    "BALANCES": "NNS",
    "BALKS": "VBZ",
    "BALLOT": "NN",
    "BALLOTS": "NNS",
    "BAM": "NNP",
    "BANCORP": "NNP",
    "BANCORPORATION": "NNP",
    "BANK": "NNP",
    "BANKAMERICA": "NNP",
    "BANKERS": "NNS|NNPS",
    "BANKS": "NNS|NNPS",
    "BARKER": "NNP",
    "BAROMETER": "NN",
    "BART": "NNP",
    "BASF": "NNP",
    "BATTLE": "NN",
    "BATTLED": "VBD",
    "BAY": "NNP",
    "BAe": "NNP",
    "BBB": "NNP",
    "BBC": "NNP",
    "BBDO": "NNP",
    "BBN": "NNP",
    "BCA": "NNP",
    "BCD": "NNP",
    "BCE": "NNP",
    "BCED": "NNP",
    "BCI": "NNP",
    "BCS": "NNP",
    "BDDP": "NNP",
    "BDO": "NNP",
    "BE": "VB",
    "BE&K": "NNP",
    "BEA": "NNP",
    "BEAM": "NNP",
    "BEARS": "NNP",
    "BEAT": "NN",
    "BEAVER": "NNP",
    "BECHTEL": "NNP",
    "BECOME": "VB",
    "BEEN": "VBN",
    "BEER": "NN",
    "BEGAN": "VBD",
    "BEI": "NNP",
    "BEING": "VBG",
    "BELEAGUERED": "JJ",
    "BELL": "NNP",
    "BENEFITS": "NNS",
    "BENTSEN": "NNP",
    "BERNARD": "NNP",
    "BEST": "JJS",
    "BET": "NNP",
    "BEVERLY": "NNP",
    "BEWARE": "VB",
    "BG": "NNP",
    "BGS": "NNP",
    "BHP": "NNP",
    "BIA-COR": "NNP",
    "BICC": "NNP",
    "BID": "NNP",
    "BIG": "NNP|JJ",
    "BIGGER": "JJR",
    "BILL": "NN",
    "BILLS": "NNS|NNPS",
    "BIO-RAD": "NNP",
    "BIOTECHNOLOGY": "NN",
    "BIP": "NNP",
    "BIRDS": "NNS",
    "BK": "NNP",
    "BL": "NNP",
    "BLACK": "JJ|NNP",
    "BLAME": "VB",
    "BLAST": "NN",
    "BLIP": "NNP",
    "BLOCK": "NNP",
    "BLOCKBUSTER": "NNP",
    "BLOEDEL": "NNP",
    "BLOOD": "NN",
    "BLOW": "NNP",
    "BLS": "NNP",
    "BLUE": "JJ",
    "BLUES": "NNPS",
    "BMA": "NNP",
    "BMC": "NNP",
    "BMEWS": "NNP",
    "BMI": "NNP",
    "BMIRs": "NNPS",
    "BMP": "NN|NNP",
    "BMP-1": "NN",
    "BMT": "NNP",
    "BMW": "NNP",
    "BMWs": "NNS|NNPS",
    "BNL": "NNP",
    "BNP": "NNP",
    "BOARD": "NNP",
    "BOAST": "VB",
    "BOC": "NNP",
    "BOD": "NN",
    "BOD1,000": "NN",
    "BOEING": "NNP",
    "BOGGS": "NNP",
    "BOJ": "NNP",
    "BOND": "NN",
    "BONDS": "NNS",
    "BONO": "FW",
    "BONUSES": "NNS",
    "BOOSTS": "NNS|VBZ",
    "BORLAND": "NNP",
    "BOSSES": "NNP",
    "BOSTON": "NNP",
    "BOTH": "DT",
    "BOTTLED": "VBN",
    "BOZELL": "NNP",
    "BP": "NNP",
    "BPB": "NNP",
    "BPC": "NNP",
    "BPCA": "NNP",
    "BPD": "NNP",
    "BRACED": "NNP",
    "BRADSTREET": "NNP",
    "BRAINTRUSTERS": "NNS",
    "BRAMALEA": "NNP",
    "BRANDS": "NNPS",
    "BREADBOX": "NN",
    "BREAKERS": "NNP",
    "BREWERS": "NNS",
    "BREWS": "VBZ",
    "BRIDGEPORT": "NNP",
    "BRIEFS": "NNS|NNPS",
    "BRING": "VB",
    "BRISTOL-MYERS": "NNP",
    "BRITANNICA": "NNP",
    "BRITISH": "JJ",
    "BRK": "NNP",
    "BRNF": "NNP",
    "BROAD": "NNP",
    "BROADCASTING": "NNP",
    "BROKERAGE": "NN",
    "BROWN-FORMAN": "NNP",
    "BRUT": "NNP",
    "BS": "NNP",
    "BSB": "NNP",
    "BSN": "NNP",
    "BSPP": "NNP",
    "BT": "NNP",
    "BTL": "NNP",
    "BTR": "NNP",
    "BTU": "NNP",
    "BUELL": "NNP",
    "BUFFALO": "NNP",
    "BUILDING": "NNP",
    "BULL": "NNP",
    "BURBANK": "NNP",
    "BURNHAM": "NNP",
    "BUSH": "NNP",
    "BUSINESS": "NNP|NN",
    "BUSINESSLAND": "NNP",
    "BUSY": "JJ",
    "BUY-OUT": "NN",
    "BUYERS": "NNS",
    "BUYING": "NN",
    "BV": "NNP",
    "BVI": "NNP",
    "BVI-based": "JJ",
    "BVIslander": "NN",
    "BVIslanders": "NNS",
    "BW": "NNP",
    "B/C": "NN",
    "B/T": "NNP",
    "Ba-1": "JJ|NN",
    "Ba-2": "JJ|NN|NNP",
    "Ba2": "JJ",
    "Ba3": "JJ|NN",
    "Baa-1": "JJ|NNP",
    "Baa-2": "JJ|NNP",
    "Baa-3": "JJ|NNP",
    "Baa1": "JJ",
    "Baa2": "JJ",
    "Baa3": "JJ",
    "Baar": "NNP",
    "Babatunde": "NNP",
    "Babbitt": "NNP",
    "Babble": "NN",
    "Babcock": "NNP",
    "Babe": "NNP",
    "Babel": "NNP",
    "Babelists": "NNS",
    "Babies": "NNS|NNP",
    "Babin": "NNP",
    "Babin-Festival": "NNP",
    "Babson": "NNP",
    "Baby": "NNP",
    "Baby-dear": "NNP",
    "Babylon": "NNP",
    "Babylonian": "JJ|NNP",
    "Babylonians": "NNPS",
    "Bacardi": "NNP",
    "Bacarella": "NNP",
    "Baccarat": "NNP",
    "Bacchus": "NNP",
    "Bach": "NNP",
    "Bacharach": "NNP",
    "Bache": "NNP",
    "Bachelor": "NNP",
    "Baches": "NNPS",
    "Bachlund": "NNP",
    "Bachman": "NNP",
    "Bachmann": "NNP",
    "Bachtold": "NNP",
    "Bacillus": "NN|FW",
    "Back": "RB|NN|RP|NNP|VBP|JJ",
    "Back-of-the-envelope": "JJ",
    "Back-to-back": "JJ",
    "Backbends": "NNS",
    "Backe": "NNP",
    "Backed": "NNP|VBN",
    "Backer": "NNP",
    "Backers": "NNS",
    "Background": "NN",
    "Backhaus": "NNP",
    "Backing": "VBG",
    "Backlog": "NN",
    "Backs": "VBZ",
    "Backseat": "NN",
    "Backstage": "RB",
    "Backstairs": "NNS",
    "Backstitch": "VB",
    "Backstitching": "VBG",
    "Backup": "JJ",
    "Backward": "NNP",
    "Backyard": "NN",
    "Bacon": "NNP",
    "Bacteria": "NNS",
    "Bacterial": "JJ",
    "Bad": "JJ|NNP",
    "Badder": "NNP",
    "Baden-Baden": "NNP",
    "Baden-Wuerttemberg": "NNP",
    "Baden-Wuerttemburg": "NNP",
    "Bader": "NNP",
    "Badges": "NNS",
    "Badin": "NNP",
    "Badlands": "NNS",
    "Badly": "RB",
    "Badrawi": "NNP",
    "Badura-Skoda-Vienna": "NNP",
    "Baer": "NNP",
    "Baeyens": "NNP",
    "Baeyenses": "NNP",
    "Baffin": "NNP",
    "Bafflers": "NNPS",
    "Bag": "NN",
    "Bagatelles": "NNPS",
    "Bagcraft": "NNP",
    "Baggage": "NN",
    "Bagging": "VBG",
    "Bagh": "NNP",
    "Baghdad": "NNP",
    "Bagley": "NNP",
    "Bagneaux": "NNP",
    "Bagnoli": "NNP",
    "Bags": "NNS",
    "Bah": "UH",
    "Bahamas": "NNPS",
    "Bahamian": "JJ",
    "Bahar": "NNP",
    "Bahcall": "NNP",
    "Bahi": "NNP",
    "Bahia": "NNP",
    "Bahr": "NNP",
    "Bahrain": "NNP",
    "Bahre": "NNP",
    "Bahrenburg": "NNP",
    "Baiba": "NNP",
    "Bailard": "NNP",
    "Baileefe": "NNP",
    "Bailey": "NNP",
    "Bailiffs": "NNS",
    "Bailit": "NNP",
    "Bailkin": "NNP",
    "Bailly": "NNP|RB",
    "Bailout": "NNP",
    "Baily": "NNP",
    "Baim": "NNP",
    "Bain": "NNP",
    "Bainbridge": "NNP",
    "Baines": "NNP",
    "Baird": "NNP",
    "Bairnco": "NNP",
    "Bait": "NNP",
    "Baja": "NNP",
    "Bajakian": "NNP",
    "Bake": "NNP|VB",
    "Bake-Off": "NNP",
    "Bake-off": "NNP",
    "Baker": "NNP",
    "Baker-Shevardnadze": "NNP|JJ",
    "Bakeries": "NNP",
    "Bakersfield": "NNP",
    "Bakery": "NNP",
    "Bakes": "NNP",
    "Bakhtiari": "NNP",
    "Baking": "NNP",
    "Bakker": "NNP",
    "Bakkers": "NNPS",
    "Baku": "NNP",
    "Bal": "NNP",
    "Bala": "NNP",
    "Balafrej": "NNP",
    "Balag": "NNP",
    "Balaguer": "NNP",
    "Balance": "NNP",
    "Balanced": "VBN",
    "Balances": "NNP",
    "Balanchine": "NNP",
    "Balcerowicz": "NNP",
    "Balch": "NNP",
    "Balcolm": "NNP",
    "Balcor": "NNP",
    "Bald": "NNP",
    "Baldness": "NN",
    "Baldor": "NNP",
    "Baldrige": "NNP",
    "Baldry": "NNP",
    "Baldwin": "NNP",
    "Baldy": "NNP",
    "Balenciaga": "NNP",
    "Bales": "NNP",
    "Balfour": "NNP",
    "Bali": "NNP",
    "Baliles": "NNP",
    "Balinese": "NNP",
    "Balkan": "NNP|JJ",
    "Balkanize": "VB",
    "Balkanized": "JJ",
    "Balkanizing": "VBG",
    "Balkans": "NNPS|NNS",
    "Balking": "VBG",
    "Ball": "NNP",
    "Ballad": "NNP",
    "Balladur": "NNP",
    "Ballantine": "NNP",
    "Ballantine/Del": "NNP",
    "Ballard": "NNP",
    "Ballenger": "NNP",
    "Ballestre": "NNP",
    "Ballet": "NNP",
    "Ballets": "NNP|NNS",
    "Balletto": "NNP",
    "Ballhaus": "NNP",
    "Ballinger": "NNP",
    "Ballistic": "NNP",
    "Ballon": "NNP",
    "Balloon": "NNP",
    "Ballooning": "NN",
    "Ballot": "NN",
    "Ballou": "NNP",
    "Ballroom": "NNP",
    "Ballwin": "NNP",
    "Bally": "NNP",
    "Balmain": "NNP",
    "Balmer": "NNP",
    "Balmy": "JJ",
    "Balogh": "NNP",
    "Balsbaugh": "NNP",
    "Baltasar": "NNP",
    "Baltensweiler": "NNP",
    "Baltic": "JJ|NNP",
    "Baltimore": "NNP",
    "Baltimore-Washington": "NNP",
    "Baltimore-based": "JJ",
    "Baltimorean": "NNP",
    "Balts": "NNPS",
    "Baluchis": "NNPS",
    "Baly": "NNP",
    "Balzac": "NNP",
    "Bam": "UH",
    "Bamberger": "NNP",
    "Bambi": "NNP",
    "Bambi-syndronists": "NNS",
    "Bamboo": "JJ",
    "Bamford": "NNP",
    "Bamsi": "NNP",
    "BanPonce": "NNP",
    "Banana": "NNP",
    "Bananas": "NNS",
    "Banawan": "NNP",
    "Banawans": "NNPS",
    "Banbury": "NNP",
    "Banc": "NNP",
    "BancNewEngland": "NNP",
    "BancOklahoma": "NNP",
    "Banca": "NNP",
    "Bancaire": "NNP",
    "Bancario": "NNP",
    "Banco": "NNP",
    "Bancorp": "NNP",
    "Bancorp.": "NNP",
    "Bancroft": "NNP",
    "Bancshares": "NNP|NNPS",
    "Band": "NNP",
    "Band-Aid": "NNP",
    "Banda": "NNP",
    "Bandaging": "NNP",
    "Bandar": "NNP",
    "Bandini": "NNP",
    "Bandish": "NNP",
    "Bandit": "NN",
    "Bandler": "NNP",
    "Bandon": "NNP",
    "Bandow": "NNP",
    "Bandstand": "NN",
    "Bane": "NNP",
    "Banerian": "NNP",
    "Banfield": "NNP",
    "Bang": "NNP",
    "Bang-Jensen": "NNP",
    "Bangalore": "NNP",
    "Bangemann": "NNP",
    "Bangkok": "NNP",
    "Bangkok-Rangoon": "NNP",
    "Bangkok-based": "JJ",
    "Bangladesh": "NNP",
    "Bangles": "NNPS",
    "Bangs": "NNP",
    "Bani": "NNP",
    "Banjo": "NNP",
    "Bank": "NNP|VB",
    "Bank-America": "NNP",
    "Bank-Texas": "NNP",
    "BankAmerica": "NNP",
    "BankTexas": "NNP",
    "BankWatch": "NNP",
    "Bank/IMF": "NNP",
    "Bank/Tidewater": "NNP",
    "Bankcard": "NNP",
    "Banker": "NNP",
    "Bankers": "NNPS|NNS",
    "Bankhaus": "NNP",
    "Bankhead": "NNP",
    "Banking": "NNP|VBG|JJ",
    "Bankler": "NNP",
    "Banknote": "NNP",
    "Bankrolled": "VBN",
    "Bankruptcy": "NNP",
    "Bankruptcy-court": "NN",
    "Bankrupty": "NNP",
    "Banks": "NNS|NNP|NNPS",
    "Bankshares": "NNPS",
    "Bankverein": "NNP",
    "Banner": "NNP",
    "Banners": "NNS",
    "Banning": "VBG",
    "Bannister": "NNP",
    "Banoun": "NNP",
    "Banque": "NNP",
    "Banquet": "NNP",
    "Bans": "NNP",
    "Banstar": "NNP",
    "Bantam": "NNP",
    "Bante": "NNP",
    "Bantu": "NNP",
    "Bantus": "NNPS",
    "Banvel": "NNP",
    "Banxquote": "NNP",
    "Bapepam": "NNP",
    "Bapilly": "NNP",
    "Baptist": "NNP|JJ",
    "Baptiste": "NNP",
    "Baptists": "NNS|NNP",
    "Bar": "NNP|VB",
    "Bar-H": "NNP",
    "Bar-Shavit": "NNP",
    "Barabba": "NNP",
    "Barabolak": "NNP",
    "Baraclough": "NNP",
    "Barakat": "NNP",
    "Baranovichi": "NNP",
    "Barasch": "NNP",
    "Barataria": "NNP",
    "Barba": "NNP",
    "Barbados": "NNP",
    "Barbakow": "NNP",
    "Barbanell": "NNP",
    "Barbara": "NNP",
    "Barbaresco": "NNP",
    "Barbarians": "NNP",
    "Barbariccia": "NNP",
    "Barbary": "JJ|NNP",
    "Barbaud": "NNP",
    "Barbecued": "JJ",
    "Barbee": "NNP",
    "Barber": "NNP",
    "Barber-Greene": "NNP",
    "Barbera": "NNP",
    "Barberini": "NNP",
    "Barberis": "NNP",
    "Barberton": "NNP",
    "Barbie": "NNP",
    "Barbier-Mueller": "NNP",
    "Barbour": "NNP",
    "Barbra": "NNP",
    "Barbudos": "NNPS",
    "Barcalounger": "NNP",
    "Barcelona": "NNP",
    "Barcelona-based": "JJ",
    "Barclay": "NNP",
    "Barclays": "NNP|NNPS",
    "Barco": "NNP",
    "Barcus": "NNP",
    "Bard": "NNP",
    "Bard/EMS": "NNP",
    "Bardagy": "NNP",
    "Bardall": "NNP",
    "Bardell": "NNP",
    "Bare": "JJ",
    "Bare-Faced": "NNP",
    "Barell": "NNP",
    "Barely": "RB",
    "Barend": "NNP",
    "Barenholtz": "NNP",
    "Barfield": "NNP",
    "Bargain": "NN",
    "Bargain-hunters": "NNS",
    "Bargain-hunting": "NN|VBG",
    "Barge": "NN|NNP",
    "Bargen": "NNP",
    "Bargerter": "NNP",
    "Barges": "NNS",
    "Bari": "NNP",
    "Barilla": "NNP",
    "Baring": "NNP",
    "Baringer": "NNP",
    "Barings": "NNPS",
    "Baris": "NNP",
    "Barker": "NNP",
    "Barkin": "NNP",
    "Barkley": "NNP",
    "Barksdale": "NNP",
    "Barletta": "NNP",
    "Barlow": "NNP",
    "Barmore": "NNP",
    "Barn": "NNP",
    "Barnaba": "NNP",
    "Barnabas": "NNP",
    "Barnard": "NNP",
    "Barnes": "NNP|NNS",
    "Barnet": "NNP",
    "Barnett": "NNP",
    "Barnevik": "NNP",
    "Barney": "NNP",
    "Barneys": "NNP",
    "Barnhardt": "NNP",
    "Barnhill": "NNP",
    "Barnicle": "NNP",
    "Barnum": "NNP",
    "Barnumville": "NNP",
    "Barokocy": "NNP",
    "Baron": "NNP",
    "Baroque": "JJ|NNP",
    "Barr": "NNP",
    "Barrah": "NNP",
    "Barre": "NNP",
    "Barre-Montpelier": "NNP",
    "Barred": "VBN",
    "Barreiro": "NNP",
    "Barrel": "NN",
    "Barren": "NNP",
    "Barret": "NNP",
    "Barrett": "NNP",
    "Barrette": "JJ",
    "Barrick": "NNP",
    "Barrie": "NNP",
    "Barrier": "NNP",
    "Barriers": "NNS",
    "Barring": "VBG",
    "Barrington": "NNP",
    "Barrio": "NNP",
    "Barrios": "NNP",
    "Barris": "NNP|NNS",
    "Barrister": "NNP",
    "Barristers": "NNS",
    "Barron": "NNP",
    "Barrow": "NNP",
    "Barry": "NNP",
    "Barrymores": "NNPS",
    "Bars": "NNP",
    "Barsacs": "NNPS",
    "Barshop": "NNP",
    "Barsky": "NNP",
    "Barstow": "NNP",
    "Barsuki": "NNP",
    "Bart": "NNP",
    "Barter": "NN",
    "Barth": "NNP",
    "Bartha": "NNP",
    "Bartholf": "NNP",
    "Bartholow": "NNP",
    "Bartleby": "NNP",
    "Bartlesville": "NNP",
    "Bartlett": "NNP",
    "Bartok": "NNP",
    "Bartol": "NNP",
    "Bartoli": "NNP",
    "Barton": "NNP",
    "Bartville": "NNP",
    "Baruch": "NNP",
    "Baruschke": "NNP",
    "Bas": "NNP",
    "Bascom": "NNP",
    "Base": "NNP",
    "Baseball": "NNP|NN",
    "Based": "VBN|NNP",
    "Basel": "NNP",
    "Basel-based": "JJ",
    "Baseman": "NN",
    "Basement": "NN",
    "Basf": "NNP",
    "Basham": "NNP",
    "Bashaw": "NNP",
    "Bashers": "NNP",
    "Bashing": "VBG",
    "Bashir": "NNP",
    "Basho": "NNP",
    "Basic": "JJ|NNP",
    "Basically": "RB",
    "Basics": "NNP|NNPS",
    "Basie": "NNP",
    "Basil": "NNP",
    "Basile": "NNP",
    "Basin": "NNP",
    "Basing": "VBG",
    "Basinger": "NNP",
    "Basir": "NNP",
    "Baskerville": "NNP",
    "Basket": "NNP",
    "Basketball": "NNP",
    "Baskets": "NNS",
    "Baskin": "NNP",
    "Baskin-Robbins": "NNP",
    "Basking": "NNP",
    "Basler": "NNP",
    "Baslot": "NNP",
    "Basques": "NNPS",
    "Basra": "NNP",
    "Bass": "NNP",
    "Basse": "NNP",
    "Basses": "NNPS",
    "Bassi": "NNP",
    "Bassis": "NNPS",
    "Basso": "NNP",
    "Bast": "NNP",
    "Bastards": "NNS",
    "Bastianini": "NNP",
    "Bastin": "NNP",
    "Basu": "NNP",
    "Bataan": "NNP",
    "Batallion": "NNP",
    "Batallion-2000": "NNP",
    "Batangas": "NNP",
    "Batavia": "NNP",
    "Batch": "NN",
    "Batchelder": "NNP",
    "Batchelor": "NNP",
    "Bateman": "NNP",
    "Bates": "NNP",
    "Bath": "NNP",
    "Bathar-on-Walli": "NNP",
    "Bather": "NN",
    "Bathing": "NN|VBG",
    "Baths": "NNPS",
    "Bathurst": "NNP",
    "Bathyran": "NNP",
    "Bathyrans": "NNPS",
    "Batibot": "NNP",
    "Batista": "NNP",
    "Batman": "NNP",
    "Baton": "NNP",
    "Battalion": "NNP",
    "Battalion-2000": "NN",
    "Battat": "NNP",
    "Battelle": "NNP",
    "Batten": "NNP",
    "Battenkill": "NNP",
    "Battered": "VBN",
    "Battery": "NNP",
    "Batterymarch": "NNP",
    "Battista": "NNP",
    "Battle": "NNP",
    "Battle-tested": "JJ",
    "Baubles": "NNPS",
    "Baucus": "NNP",
    "Baudelaire": "NNP",
    "Bauer": "NNP",
    "Bauer-Ecsy": "NNP",
    "Bauernfeind": "NNP",
    "Bauhaus": "NNP",
    "Baulieu": "NNP",
    "Baullari": "NNP",
    "Baum": "NNP",
    "Bauman": "NNP",
    "Baumgarten": "NNP",
    "Bausch": "NNP",
    "Bauser": "NNP",
    "Bavaria": "NNP",
    "Bavarian": "JJ",
    "Bawer": "NNP",
    "Baxley": "NNP",
    "Baxter": "NNP",
    "Bay": "NNP",
    "Bay-area": "JJ",
    "Bay-front": "JJ",
    "Bayaderka": "NNP",
    "Bayanihan": "NNP",
    "Bayer": "NNP",
    "Bayerische": "NNP",
    "Bayezit": "NNP",
    "Baykal": "NNP",
    "Baylor": "NNP",
    "Bayne": "NNP",
    "Bayonne": "NNP",
    "Bayou": "NNP",
    "Bayreuth": "NNP",
    "Bays": "NNP",
    "Baytos": "NNP",
    "Baz": "NNP",
    "Bazaar": "NNP",
    "Bazy-Sire": "NNP",
    "Be": "VB|NNP",
    "Bea": "NNP",
    "Beach": "NNP",
    "Beachfront": "NNP",
    "Beacon": "NNP",
    "Bead": "NN",
    "Beadle": "NNP",
    "Beadles": "NNP",
    "Beadleston": "NNP",
    "Beads": "NNPS",
    "Beady": "JJ",
    "Beahrs": "NNP",
    "Beairsto": "NNP",
    "Beal": "NNP",
    "Beale": "NNP",
    "Beall": "NNP",
    "Beallsville": "NNP",
    "Beam": "NNP",
    "Beaman": "NNP",
    "Beame": "NNP",
    "Beaming": "VBG",
    "Bean": "NNP",
    "Beantown": "NNP",
    "Bear": "NNP|JJ",
    "Beard": "NNP",
    "Bearden": "NNP",
    "Beardens": "NNPS",
    "Beardslee": "NNP",
    "Beardsley": "NNP",
    "Beare": "NNP",
    "Bearer": "NN",
    "Bearings": "NNP",
    "Bearishness": "NN",
    "Bearman": "NNP",
    "Bears": "NNPS|NNS",
    "Bears-Cleveland": "NNP",
    "Beast": "NNP",
    "Beat": "NN|NNP|VB",
    "Beaten": "VBN",
    "Beatie": "NNP",
    "Beatitudes": "NNPS",
    "Beatlemania": "NN|NNP",
    "Beatles": "NNP|NNPS",
    "Beatrice": "NNP",
    "Beatty": "NNP",
    "Beau": "NNP",
    "Beaubien": "NNP",
    "Beauchamps": "NNPS",
    "Beauclerk": "NNP",
    "Beaufort": "NNP",
    "Beaujolais": "NNP|NNPS",
    "Beaulieu": "NNP",
    "Beaumont": "NNP",
    "Beauregard": "NNP",
    "Beautiful": "JJ|NNP",
    "Beauty": "NN|NNP",
    "Beaux": "NNP",
    "Beaux-Arts": "NNP",
    "Beaver": "NNP",
    "Beaverton": "NNP",
    "Beazer": "NNP",
    "Bebe": "NNP",
    "Bebear": "NNP",
    "Bebey": "NNP",
    "Bebop": "NNP",
    "Becalmed": "VBN",
    "Became": "VBD",
    "Because": "IN|RB",
    "Becca": "NNP",
    "Beccaria": "NNP",
    "Bechhofer": "NNP",
    "Becht": "NNP",
    "Bechtel": "NNP",
    "Beck": "NNP",
    "Becker": "NNP",
    "Becket": "NNP",
    "Beckett": "NNP",
    "Beckman": "NNP",
    "Beckstrom": "NNP",
    "Beckwith": "NNP",
    "Beckworth": "NNP",
    "Become": "VB",
    "Becoming": "VBG",
    "Becton": "NNP",
    "Bed": "NN",
    "Bedbugs": "NNS",
    "Beddall": "NNP",
    "Bede": "NNP",
    "Bedfellows": "NNS",
    "Bedford": "NNP",
    "Bedford-Stuyvesant...": ":",
    "Bedminster": "NNP",
    "Bedouins": "NNS",
    "Bedridden": "JJ",
    "Bedtime": "NN",
    "Bee": "NNP",
    "Bee-Hunter": "NNP",
    "Beebe": "NNP",
    "Beebes": "NNPS",
    "Beech": "NNP",
    "Beech-Nut": "NNP",
    "BeechNut": "NNP",
    "Beecham": "NNP",
    "Beecher": "NNP",
    "Beechnut": "NNP",
    "Beef": "NN|NNP",
    "Beefeater": "NNP",
    "Beefing": "VBG",
    "Beefsteak": "NNP",
    "Been": "VBN|NNP",
    "Beep": "NNP",
    "Beer": "NNP|NN",
    "Beermann": "NNP",
    "Beers": "NNP",
    "Beesemyers": "NNP",
    "Beet": "NNP",
    "Beethoven": "NNP",
    "Before": "IN|NNP|RB",
    "Begbick": "NNP",
    "Begelman": "NNP",
    "Beggiato": "NNP",
    "Begging": "VBG",
    "Beghin": "NNP",
    "Beghin-Say": "NNP",
    "Begin": "VB",
    "Beginners": "NNS",
    "Beginning": "VBG|NNP",
    "Begins": "VBZ",
    "Begley": "NNP",
    "Behague": "NNP",
    "Behan": "NNP",
    "Behavior": "NN",
    "Behaviour": "NN",
    "Beheading": "VBG",
    "Behind": "IN|NNP|RB",
    "Behind-the-scenes": "JJ",
    "Behold": "VB",
    "Behrendt": "NNP",
    "Behrens": "NNP",
    "Behringwerke": "NNP",
    "Beiderbecke": "NNP",
    "Beige": "NNP",
    "Beigel": "NNP",
    "Beijing": "NNP|VBG",
    "Being": "VBG|NNP",
    "Beira": "NNP",
    "Beirut": "NNP",
    "Beirut-on-Hudson": "NNP",
    "Beise": "NNP",
    "Beismortier": "NNP",
    "Beit": "NNP",
    "Bekaa": "NNP",
    "Bekkai": "NNP",
    "Bel": "NNP",
    "Bel-Air": "NNP",
    "Bela": "NNP",
    "Belafonte": "NNP",
    "Belanger": "NNP",
    "Belasco": "NNP",
    "Belated": "JJ",
    "Belatedly": "RB",
    "Belding": "NNP",
    "Belfast": "NNP",
    "Belge": "NNP",
    "Belgian": "JJ|NNP",
    "Belgians": "NNPS",
    "Belgique": "NNP",
    "Belgium": "NNP",
    "Belgrade": "NNP",
    "Belief": "NN",
    "Belier": "NNP",
    "Believe": "VB",
    "Believing": "VBG",
    "Belin": "NNP",
    "Belinda": "NNP",
    "Belisle": "NNP",
    "Belk": "NNP",
    "Belknap": "NNP",
    "Bell": "NNP",
    "BellSouth": "NNP|JJ",
    "BellSouth-LIN": "JJ|NNP",
    "Bella": "NNP",
    "Bellamy": "NNP",
    "Bellarosa": "NNP",
    "Bellas": "NNP",
    "Bellcore": "NNP",
    "Belle": "NNP",
    "Belletch": "NNP",
    "Belleville": "NNP",
    "Bellevue": "NNP",
    "Belli": "NNP",
    "Bellinger": "NNP",
    "Bellingham": "NNP",
    "Bellini": "NNP|NNS",
    "Bellman": "NNP",
    "Bello": "NNP",
    "Bellomo-McGee": "NNP",
    "Bellow": "NNP",
    "Bellows": "NNP",
    "Bells": "NNP|NNPS|NNS",
    "Bellwood": "NNP",
    "Belmont": "NNP",
    "Belmonts": "NNPS",
    "Belo": "NNP",
    "Belo-Universal": "NNP",
    "Belorussian": "NNP",
    "Beloved": "NNP",
    "Below": "IN|RB",
    "Belshazzar": "NNP",
    "Belt": "NNP",
    "Belth": "NNP",
    "Belton": "NNP",
    "Beltway": "NNP",
    "Beltway-itis": "NN",
    "Belvedere": "NNP",
    "Belvidere": "NNP",
    "Belvieu": "NNP",
    "Belway": "NNP",
    "Belz": "NNP",
    "Belzberg": "NNP",
    "Belzbergs": "NNPS",
    "Belzec": "NNP",
    "Beman": "NNP",
    "Ben": "NNP",
    "Ben-Gurion": "NNP",
    "Ben-hadad": "NNP",
    "Benackova": "NNP",
    "Benanav": "NNP",
    "Benazir": "NNP",
    "Bench": "NNP",
    "Benched": "NNP|VB",
    "Benchley": "NNP",
    "Benchmark": "JJ",
    "Bend": "NNP|VB",
    "Benda": "NNP",
    "Bendectin": "NNP",
    "Bendix/King": "NNP",
    "Bendjedid": "NNP",
    "Beneath": "IN",
    "Benedek": "NNP",
    "Benedetti": "NNP",
    "Benedetto": "NNP",
    "Benedick": "NNP",
    "Benedictine": "JJ",
    "Benediction": "NNP",
    "Benefactor": "NNP",
    "Beneficial": "NNP",
    "Beneficiaries": "NNS",
    "Beneficiary": "NN",
    "Benefit": "NNP|VB",
    "Benefits": "NNS",
    "Benelli": "NNP",
    "Benelux": "NNP",
    "Benes": "NNP",
    "Benesi": "NNP",
    "Benet": "NNP",
    "Benets": "NNPS",
    "Benetton": "NNP",
    "Beng": "NNP",
    "Bengal": "NNP",
    "Bengali": "JJ|NNP",
    "Bengalis": "NNPS",
    "Bengals": "NNPS",
    "Bengals-Browns": "JJ",
    "Bengt": "NNP",
    "Benham": "NNP",
    "Benigno": "NNP",
    "Benin": "NNP",
    "Benington": "NNP",
    "Benita": "NNP",
    "Benito": "NNP",
    "Benj": "NNP",
    "Benjamin": "NNP",
    "Bennett": "NNP",
    "Bennett-Bloom": "NNP",
    "Bennigsen-Foerder": "NNP",
    "Benninger": "NNP",
    "Bennington": "NNP",
    "Bennis": "NNP",
    "Benno": "NNP",
    "Benny": "NNP",
    "Benoit": "NNP",
    "Bens": "NNP",
    "Benson": "NNP",
    "Bensonhurst": "NNP",
    "Bensten": "NNP",
    "Bent": "NNP",
    "Bent-Arm": "NNP",
    "Bentham": "NNP",
    "Bentley": "NNP",
    "Bentleys": "NNPS",
    "Benton": "NNP",
    "Bentsen": "NNP",
    "Benz": "NNP",
    "Benzedrine": "NNP",
    "Benzell": "NNP",
    "Benzes": "NNP",
    "Benzinger": "NNP",
    "Beowulf": "NNP",
    "Berard": "NNP",
    "Berardi": "NNP",
    "Berber": "JJ|NNP",
    "Berbera": "NNP",
    "Berche": "NNP",
    "Berea": "NNP",
    "Berean": "NNP",
    "Beregevoy": "NNP",
    "Beregovoy": "NNP",
    "Berens": "NNP",
    "Beresford": "NNP",
    "Berets": "NNPS",
    "Beretta": "NNP",
    "Berettas": "NNS",
    "Bereuter": "NNP",
    "Berg": "NNP",
    "Bergamaschi": "NNP",
    "Bergelt": "NNP",
    "Bergen": "NNP",
    "Berger": "NNP",
    "Bergman": "NNP",
    "Bergsma": "NNP",
    "Bergson": "NNP",
    "Bergsten": "NNP",
    "Bering": "NNP",
    "Beringer": "NNP",
    "Berkeley": "NNP",
    "Berkely": "NNP",
    "Berkley": "NNP",
    "Berkman": "NNP",
    "Berko": "NNP",
    "Berkowitz": "NNP",
    "Berks": "NNP",
    "Berkshire": "NNP",
    "Berkshires": "NNP|NNS",
    "Berlack": "NNP",
    "Berland": "NNP",
    "Berlaymont": "NNP",
    "Berle": "NNP",
    "Berlin": "NNP|JJ",
    "Berlin-West": "NNP",
    "Berliner": "NNP",
    "Berliners": "NNP",
    "Berlioz": "NNP",
    "Berlitz": "NNP",
    "Berlusconi": "NNP",
    "Berman": "NNP",
    "Bermuda": "NNP|JJ",
    "Bermuda-based": "JJ",
    "Bermuda-registered": "JJ",
    "Bermudez": "NNP",
    "Bern": "NNP",
    "Bernadine": "NNP",
    "Bernard": "NNP",
    "Bernardin": "NNP",
    "Bernardine": "NNP",
    "Bernardo": "NNP",
    "Berndt": "NNP",
    "Berne": "NNP",
    "Berner": "NNP",
    "Bernet": "NNP",
    "Bernhard": "NNP",
    "Bernhardt": "NNP",
    "Bernie": "NNP",
    "Berniece": "NNP",
    "Bernini": "NNP",
    "Bernoulli": "NNP",
    "Bernstein": "NNP",
    "Bernstein-Macaulay": "NNP",
    "Bernz-O-Matic": "NN",
    "Berol": "NNP",
    "Beronio": "NNP",
    "Berra": "NNP",
    "Berrellez": "NNP",
    "Berri": "NNP",
    "Berridge": "NNP",
    "Berrigan": "NNP",
    "Berry": "NNP",
    "Bershad": "NNP",
    "Berson": "NNP",
    "Bert": "NNP",
    "Berte": "NNP",
    "Bertelsmann": "NNP",
    "Berteros": "NNPS",
    "Berth": "NNP",
    "Bertha": "NNP",
    "Berthelier": "NNP",
    "Berthold": "NNP",
    "Bertie": "NNP",
    "Bertin": "NNP",
    "Berto": "NNP",
    "Bertoia": "NNP",
    "Bertoli": "NNP",
    "Bertolotti": "NNP",
    "Bertolt": "NNP",
    "Berton": "NNP",
    "Bertorelli": "NNP",
    "Bertram": "NNP",
    "Bertrand": "NNP",
    "Bertussi": "NNP",
    "Beryl": "NNP",
    "Beseler": "NNP",
    "Beset": "VBN",
    "Besher": "NNP",
    "Beside": "IN",
    "Besides": "IN|RB",
    "Bess": "NNP",
    "Bessarabia": "NNP",
    "Bessemer": "NNP",
    "Besset": "NNP",
    "Bessie": "NNP",
    "Bessie/Harper": "NNP",
    "Best": "JJS|NNP|RBS",
    "Bester": "NNP",
    "Bestimmung": "FW",
    "Bet": "NNP",
    "Beta": "NN|NNP|JJ",
    "BetaWest": "NNP",
    "Betancourt": "NNP",
    "Beth": "NNP",
    "BethForge": "NNP",
    "Bethea": "NNP",
    "Bethel": "NNP",
    "Bethesda": "NNP",
    "Bethle": "NN",
    "Bethlehem": "NNP",
    "Betrayed": "NNP",
    "Bets": "NNS",
    "Betsey": "NNP",
    "Betsy": "NNP",
    "Bette": "NNP",
    "Bettencourt": "NNP",
    "Better": "NNP|RBR|JJR",
    "Better-educated": "JJ",
    "Betting": "NNP|VBG",
    "Bettner": "NNP",
    "Betts": "NNP",
    "Betty": "NNP",
    "Between": "IN",
    "Beulah": "NNP",
    "Beutel": "NNP",
    "Bevel": "VB",
    "Beverage": "NNP",
    "Beverages": "NNP|NNS|NNPS",
    "Beverly": "NNP",
    "Bevmark": "NNP",
    "Bevo": "NNP",
    "Bew": "NNP",
    "Beware": "VB",
    "Bewitched": "NNP",
    "Bewkes": "NNP",
    "Bexar": "NNP",
    "Bey": "NNP",
    "Beyeler": "NNP",
    "Beyer": "NNP",
    "Beyond": "IN|NNP",
    "Bfree": "NNP",
    "Bhabani": "NNP",
    "Bhagat": "NNP",
    "Bharat": "NNP",
    "Bharati": "NNP",
    "Bhd.": "NNP",
    "Bhirud": "NNP",
    "Bhojani": "NNP",
    "Bhutan": "NNP",
    "Bhutto": "NNP",
    "Biafra": "NNP",
    "Biaggi": "NNP",
    "Biagi": "NNP",
    "Bialystok": "NNP",
    "Bianchi": "NNP",
    "Bianco": "NNP",
    "Bias": "NNP",
    "Bib": "NNP",
    "Bibb": "NNP",
    "Bible": "NNP|JJ",
    "Bible-emancipated": "JJ",
    "Bible-loving": "JJ",
    "Bibles": "NNPS",
    "Biblical": "JJ|NNP",
    "Biblically": "RB",
    "Bibliography": "NN",
    "Bic": "NNP",
    "Bick": "NNP",
    "Bickel": "NNP",
    "Bickford": "NNP",
    "Bickwit": "NNP",
    "Bicycle": "NNP",
    "Bicycling": "NNP",
    "Bicyclists": "NNPS",
    "Bid": "NNP",
    "Bidard": "NNP",
    "Bidding": "NN",
    "Biddle": "NNP",
    "Biden": "NNP",
    "Bidermann": "NNP",
    "Bids": "NNS",
    "Bieber": "NNP",
    "Biederman": "NNP",
    "Biedermann": "NNP",
    "Biedermeier": "FW|NNP",
    "Biehl": "NNP",
    "Bielas": "NNP",
    "Bien": "NNP",
    "Bienville": "NNP",
    "Bierbower": "NNP",
    "Bierce": "NNP",
    "Bietnar": "NNP",
    "Bifutek-san": "FW",
    "Big": "NNP|JJ",
    "Big-bucks": "JJ",
    "Bigelow": "NNP",
    "Bigfoot": "NNP",
    "Bigg": "NNP",
    "Bigger": "JJR",
    "Biggest": "JJS|NNP",
    "Biggio": "NNP",
    "Biggs": "NNP",
    "Bigness": "NN",
    "BiiN": "NNP",
    "Bike": "NNP",
    "Bikers": "NNS",
    "Biking": "NNP|VBG",
    "Bikini": "NNP",
    "Bila": "NNP",
    "Bilanz": "NNP",
    "Bilbao": "NNP",
    "Bilbrey": "NNP",
    "Bill": "NNP",
    "Billard": "NNP",
    "Billboard": "NNP",
    "Billboarding": "NNP",
    "Billed": "VBN",
    "Billerica": "NNP",
    "Billheimer": "NNP",
    "Billiards": "NNP",
    "Billie": "NNP",
    "Billiken": "NNP",
    "Billikens": "NNP",
    "Billing": "NN",
    "Billings": "NNS|NNP",
    "Billionaire": "NN",
    "Billions": "NNS",
    "Billmeyer": "NNP",
    "Billock": "NNP",
    "Bills": "NNS|NNP",
    "Billy": "NNP",
    "Bilzerian": "NNP",
    "Bimini": "NNP",
    "Binary": "JJ",
    "Bince": "NNP",
    "Bindal": "NNP",
    "Binder": "NNP",
    "Bing": "NNP",
    "Bingaman": "NNP",
    "Binghamton": "NNP",
    "Bingles": "NNS",
    "Bingley": "NNP",
    "Bini": "NNP",
    "Binn": "NNP",
    "Binning": "NNP",
    "Binomial": "NN",
    "Biny": "NNP",
    "Bio-Dynamic": "NNP",
    "Bio-Products": "NNP",
    "Bio-Response": "NNP",
    "Bio-Technology": "NNP",
    "Bio-Trends": "NNP",
    "BioScience": "NNP",
    "BioSciences": "NNP|NNPS",
    "BioVentures": "NNP",
    "Bioanalytical": "NNP",
    "Biochemical": "NNP",
    "Biochemistry": "NNP",
    "Biodegradable": "JJ",
    "Bioengineers": "NNS",
    "Biofeedback": "NNP",
    "Biogen": "NNP",
    "Biographical": "NNP",
    "Bioline": "NNP",
    "Biological": "NNP|JJ",
    "Biologicals": "NNP",
    "Biologico": "NNP",
    "Biologics": "NNP",
    "Biologique": "NNP",
    "Biology": "NNP",
    "Biomedicals": "NNP",
    "Biomet": "NNP",
    "Biondi": "NNP",
    "Biondi-Santi": "NNP",
    "Biopharm": "NNP",
    "Biopure": "NNP",
    "Biosciences": "NNP",
    "Biosite": "NNP",
    "Biosource": "NNP",
    "Biosystems": "NNP|NNPS",
    "Biotech": "NNP",
    "Biotechnical": "NNP",
    "Biotechnology": "NNP",
    "Biovest": "NNP",
    "Bipartisan": "JJ",
    "Birch": "NNP",
    "Bird": "NNP",
    "Birdie": "NNP",
    "Birdpark": "NNP",
    "Birds": "NNP|NNPS|NNS",
    "Birdwhistell": "NNP",
    "Birdwood": "NNP",
    "Birenbaum": "NNP",
    "Birgfeld": "NNP",
    "Birgit": "NNP",
    "Birgitta": "NNP",
    "Birinyi": "NNP",
    "Birk": "NNP",
    "Birkel": "NNP",
    "Birkelund": "NNP",
    "Birkhead": "NNP",
    "Birmingham": "NNP",
    "Birnbaum": "NNP",
    "Birney": "NNP",
    "Birns": "NNP",
    "Birr": "NNP",
    "Birtcher": "NNP",
    "Birth": "NNP",
    "Birthday": "NN|NNP",
    "Births": "NNS",
    "Bis": "NNP",
    "Biscayne": "NNP",
    "Bischofberger": "NNP",
    "Biscuit": "NNP",
    "Biscuits": "NNPS|NNP",
    "Bish": "NNP",
    "Bishop": "NNP",
    "Bishops": "NNS|NNP",
    "Bishopsgate": "NNP",
    "Bishun": "NNP",
    "Bisi": "NNP",
    "Bisiewicz": "NNP",
    "Bismarck": "NNP",
    "Bismarckian": "JJ",
    "Bismark": "NNP",
    "Bisque": "NN",
    "Bissell": "NNP",
    "Bissett": "NNP",
    "Bisson": "NNP",
    "Bit": "NN|RB",
    "Bits": "NNS",
    "Bittania": "NNP",
    "Bitten": "VBN",
    "Bitter": "JJ",
    "Bitterness": "NN",
    "Bitting": "NNP",
    "Bittker": "NNP",
    "Bix": "NNP",
    "Bixby": "NNP",
    "BizMart": "NNP",
    "Bizarre": "JJ",
    "Bizerte": "NNP",
    "Bizet": "NNP",
    "Bjerre": "NNP",
    "Blaber": "NNP",
    "Black": "NNP|JJ",
    "Black-and-white": "JJ",
    "Blackberry": "NNP",
    "Blackboard": "NNP",
    "Blackburn": "NNP",
    "Blackfeet": "NNPS",
    "Blackfriar": "NNP",
    "Blackhawk": "NNP",
    "Blackjack": "NNP",
    "Blackman": "NNP",
    "Blackmer": "NNP",
    "Blackmun": "NNP",
    "Blackpool": "NNP",
    "Blacks": "NNPS|NNS",
    "Blackstock": "NNP",
    "Blackstone": "NNP|VBP",
    "Blackwell": "NNP",
    "Blackwells": "NNPS",
    "Blackwill": "NNP",
    "Blade": "NNP",
    "Blaggs": "NNP",
    "Blaikie": "NNP",
    "Blain": "NNP",
    "Blaine": "NNP",
    "Blair": "NNP",
    "Blaise": "NNP",
    "Blake": "NNP",
    "Blakes": "NNS",
    "Blakey": "NNP",
    "Blame": "VB",
    "Blamed": "VBN",
    "Blaming": "VBG",
    "Blampied": "NNP",
    "Blanc": "NNP",
    "Blanchard": "NNP",
    "Blanche": "NNP",
    "Blanched": "VBN",
    "Blanco": "NNP",
    "Blancs": "NNP",
    "Bland": "JJ",
    "Blandings": "NNPS|NNS",
    "Blandon": "NNP",
    "Blank": "NNP",
    "Blankenship": "NNP",
    "Blanton": "NNP",
    "Blasi": "NNP",
    "Blasingame": "NNP",
    "Blasphemers": "NNS",
    "Blasphemous": "JJ",
    "Blass": "NNP",
    "Blast": "NNP",
    "Blasts": "NNS",
    "Blatz": "NNP",
    "Blauberman": "NNP",
    "Blaustein": "NNP",
    "Blaydon": "NNP",
    "Blazer": "NNP",
    "Bldg": "NNP",
    "Bldg.": "NNP",
    "Bleach": "NN",
    "Bleacher": "NN",
    "Bleaching": "VBG",
    "Bleak": "NNP",
    "Blechman": "NNP",
    "Bleckley": "NNP",
    "Bleckner": "NNP",
    "Bledsoe": "NNP",
    "Bleeker": "NNP",
    "Bleier": "NNP",
    "Blend": "VB",
    "Blendax": "NNP",
    "Blenheim": "NNP",
    "Bless": "NNP|VB",
    "Blessed": "NNP|VBN",
    "Blessings": "NNS",
    "Bleus": "NNP",
    "Blevins": "NNPS",
    "Blier": "NNP",
    "Blimp": "NNP",
    "Blind": "NNP|JJ",
    "Blinder": "NNP",
    "Blish": "NNP",
    "Blistered": "VBN",
    "Blitz": "NNP",
    "Bloc": "NNP",
    "Bloch": "NNP",
    "Block": "NNP",
    "Blockade": "NN",
    "Blockbuster": "NNP",
    "Blocked": "VBN",
    "Blodgett": "NNP",
    "Bloedel": "NNP",
    "Bloeser": "NNP",
    "Blohm": "NNP",
    "Blois": "NNP",
    "Blomdahl": "NNP",
    "Blomfield": "NNP",
    "Blondes": "NNPS|NNP|NNS",
    "Blood": "NNP",
    "Bloody": "NNP",
    "Bloom": "NNP",
    "Bloomberg": "NNP",
    "Bloomfield": "NNP",
    "Bloomingdale": "NNP",
    "Bloomingdales": "NNP",
    "Bloomington": "NNP",
    "Bloopers": "NNS",
    "Blossom": "NNP",
    "Blot": "NNP",
    "Blount": "NNP",
    "Blowers": "NNS",
    "Blowing": "NN",
    "Blue": "NNP|JJ",
    "Blue-chip": "JJ",
    "Blue-chips": "NNS",
    "Bluebird": "NNP",
    "Bluebonnet": "NNP",
    "Bluefield": "NNP",
    "Blueger": "NNP",
    "Blueprints": "VBZ",
    "Blues": "NNP|NNPS|NNS",
    "Bluff": "NNP",
    "Blum": "NNP",
    "Blumberg": "NNP",
    "Blume": "NNP",
    "Blumenfeld": "NNP",
    "Blumenkrantz": "NNP",
    "Blumenthal": "NNP",
    "Blumstein": "NNP",
    "Blunt": "NNP|JJ",
    "Bluntly": "RB",
    "Blush": "NNP",
    "Bluthenzweig": "NNP",
    "Blvd": "NNP",
    "Blvd.": "NNP",
    "Blyth": "NNP",
    "Blythe": "NNP",
    "Bo": "NNP",
    "Boa": "NN",
    "Boadicea": "NNP",
    "Boake": "NNP",
    "Boal": "NNP",
    "Board": "NNP|NNPS",
    "Board-listed": "JJ",
    "Board-traded": "JJ",
    "Boardman": "NNP",
    "Boardrooms": "NNS",
    "Boards": "NNPS",
    "Boardwalk": "NNP",
    "Boarts": "NNP",
    "Boase": "NNP",
    "Boasts": "VBZ",
    "Boat": "NNP",
    "Boatel": "NN",
    "Boating": "NNP|VBG",
    "Boatmen": "NNP|NNPS|NNS",
    "Boats": "NNS|NNP",
    "Boatyards": "NNS",
    "Boaz": "NNP",
    "Bob": "NNP",
    "Bobar": "NNP",
    "Bobbie": "NNP",
    "Bobbsey": "NNP",
    "Bobby": "NNP",
    "Bobettes": "NNS",
    "Bobo": "NNP",
    "Boca": "NNP",
    "Bocas": "NNP",
    "Boccone": "NNP",
    "Bochniarz": "NNP",
    "Bock": "NNP",
    "Bockius": "NNP",
    "Bockris": "NNP",
    "Boddington": "NNP",
    "Bode": "NNP",
    "Bodenheim": "NNP",
    "Bodenseewerk": "NNP",
    "Bodhisattva": "NNP",
    "Bodily": "NNP",
    "Bodin": "NNP",
    "Bodleian": "NNP",
    "Bodmer": "NNP",
    "Bodner": "NNP",
    "Body": "NNP",
    "Body-building": "JJ",
    "Boehlert": "NNP",
    "Boehm": "NNP",
    "Boehmer": "NNP",
    "Boehringer": "NNP",
    "Boehringer-Ingleheim": "NNP",
    "Boeing": "NNP|VBG",
    "Boeings": "NNPS",
    "Boeotian": "NNP",
    "Boersen-Zeitung": "NNP",
    "Boesel": "NNP",
    "Boesky": "NNP",
    "Boesky-greed-is-good": "JJ",
    "Boeskys": "NNP",
    "Boettcher": "NNP",
    "Bofors": "NNP",
    "Boga": "NNP",
    "Bogacheva": "NNP",
    "Bogart": "NNP",
    "Bogartian": "JJ",
    "Bogdan": "NNP",
    "Bogdanor": "NNP",
    "Boggs": "NNP",
    "Bogle": "NNP",
    "Bognato": "NNP",
    "Bogner": "NNP",
    "Bogota": "NNP",
    "Bohane": "NNP",
    "Bohart": "NNP",
    "Boheme": "NNP|FW",
    "Bohemia": "NNP",
    "Bohemian": "NNP",
    "Bohemians": "NNPS",
    "Bohlen": "NNP",
    "Bohmerwald": "FW",
    "Bohn": "NNP",
    "Bohrer": "NNP",
    "Boies": "NNP",
    "Boil": "VB",
    "Boils": "NNS",
    "Boily": "NNP",
    "Bois": "NNP",
    "Boisbriant": "NNP",
    "Boise": "NNP",
    "Boise-Cascade": "NNP",
    "Boismassif": "NNP",
    "Boissoneault": "NNP",
    "Boisvert": "NNP",
    "Bokat": "NNP",
    "Boksen": "NNP",
    "Bol": "NNP",
    "Boland": "NNP",
    "Bolanos": "NNP",
    "Bolar": "NNP",
    "Bold": "NNP",
    "Bolduc": "NNP",
    "Bolet": "NNP",
    "Boley": "NNP",
    "Bolger": "NNP",
    "Boliden": "NNP",
    "Bolinas": "NNP",
    "Bolinder": "NNP",
    "Bolingbroke": "NNP",
    "Boliou": "NNP",
    "Bolivar": "NNP",
    "Bolivia": "NNP",
    "Bolivian": "JJ",
    "Bolker": "NNP",
    "Boll": "NNP",
    "Bolling": "NNP",
    "Bollinger": "NNP",
    "Bologna": "NNP",
    "Bolotin": "NNP",
    "Bolovens": "NNP",
    "Bolsa": "NNP",
    "Bolsheviks": "NNPS|NNS",
    "Bolshevism": "NNP",
    "Bolshevistic": "JJ",
    "Bolshoi": "NNP",
    "Bolstered": "VBN",
    "Bolstering": "VBG",
    "Bolton": "NNP",
    "Boltz": "NNP",
    "Boltzmann": "NNP",
    "Bomb": "VB",
    "Bombardier": "NNP",
    "Bombay": "NNP",
    "Bombeck": "NNP",
    "Bombers": "NNS",
    "Bombieri": "NNP",
    "Bombus": "NNP",
    "Bon": "NNP|FW",
    "Bonaccolta": "NNP",
    "Bonacquist": "NNP",
    "Bonanno": "NNP",
    "Bonanza": "NNP",
    "Bonaparte": "NNP",
    "Bonasorte": "NNP",
    "Bonaventure": "NNP",
    "Bonavia": "NNP",
    "Bond": "NNP",
    "Bondholder": "NN",
    "Bondholders": "NNS",
    "Bondi": "NNP",
    "Bonds": "NNS|NNP|NNPS",
    "Bonds-b": "NNP|NNPS",
    "Bonecrusher": "NNP",
    "Boneh": "NNP",
    "Bonenfant": "NNP",
    "Bones": "NNS",
    "Bonett": "NNP",
    "Bonfiglio": "NNP",
    "Bonfire": "NN|NNP",
    "Bong": "UH",
    "Bongo": "NNP",
    "Bonham": "NNP",
    "Bonhoeffer": "NNP",
    "Bonhoffer": "NNP",
    "Boni": "NNP",
    "Boniface": "NNP",
    "Bonilla": "NNP",
    "Bonita": "NNP",
    "Bonito": "NNP",
    "Bonjour": "FW",
    "Bonn": "NNP",
    "Bonn-sponsored": "NNP",
    "Bonne": "NNP",
    "Bonnell": "NNP",
    "Bonner": "NNP",
    "Bonnet": "NNP",
    "Bonneville": "NNP",
    "Bonnie": "NNP",
    "Bonnier": "NNP",
    "Bonnierforetagen": "NNP",
    "Bonniers": "NNP",
    "Bonnor": "NNP",
    "Bonomo": "NNP",
    "Bonso": "NNP",
    "Bontempo": "NNP",
    "Bonus": "NNP",
    "Bonuses": "NNS",
    "Bonwit": "NNP",
    "Booby": "JJ",
    "Boogaard": "NNP",
    "Boogie": "NNP",
    "Book": "NNP",
    "Book-of-the-Month": "NNP",
    "Booker": "NNP",
    "Bookies": "NNS",
    "Bookin": "NNP",
    "Bookings": "NNS",
    "Bookman": "NNP",
    "Books": "NNS|NNP|NNPS",
    "Bookshop": "NNP",
    "Bookwalter": "NNP",
    "Boole": "NNP",
    "Boom": "NNP",
    "Boom-city": "NNP",
    "Booming": "JJ",
    "Boon": "NNP",
    "Boon-Sanwa": "NNP",
    "Boondael": "NNP",
    "Boone": "NNP",
    "Boonton": "NNP",
    "Boorse": "NNP",
    "Boorstyn": "NNP",
    "Boost": "VB|VBP|NNP",
    "Boot": "NNP",
    "Booth": "NNP",
    "Boothby": "NNP",
    "Booths": "NNS",
    "Bootle": "NNP",
    "Boots": "NNP|NNS",
    "Booty": "NN",
    "Booz": "NNP",
    "Booz-Allen": "NNP",
    "Borak": "NNP",
    "Borax": "NNP",
    "Bordeau": "NNP",
    "Bordeaux": "NNP",
    "Bordel": "NNP",
    "Borden": "NNP",
    "Bordens": "NNPS",
    "Border": "NNP",
    "Bordetella": "NN",
    "Bordner": "NNP",
    "Bore": "VB",
    "Boredom": "NN",
    "Boren": "NNP",
    "Borg-Warner": "NNP",
    "Borge": "NNP",
    "Borges": "NNP",
    "Borgeson": "NNP",
    "Borghese": "NNP",
    "Borglum": "NNP",
    "Borie": "NNP",
    "Boris": "NNP",
    "Borja": "NNP",
    "Bork": "NNP",
    "Borland": "NNP",
    "Born": "VBN|NNP",
    "Born-again": "JJ",
    "Borneo": "NNP",
    "Borner": "NNP",
    "Bornholm": "NNP",
    "Boron": "NNP",
    "Borough": "NNP",
    "Borrioboola-Gha": "NNP",
    "Borromini": "NNP",
    "Borrowed": "VBN",
    "Borrower": "NN",
    "Borrowers": "NNS",
    "Borrowing": "VBG",
    "Borscht": "NNP",
    "Bortel": "NNP",
    "Borten": "NNP",
    "Bosak": "NNP",
    "Bosch": "NNP",
    "Bosco": "NNP",
    "Boseki": "NNP",
    "Bosis": "NNP",
    "Bosket": "NNP",
    "Boskin": "NNP",
    "Boslego": "NNP",
    "Bosler": "NNP",
    "Bosley": "NNP",
    "Bosphorus": "NNP",
    "Bosque": "NNP",
    "Boss": "NNP",
    "Bosses": "NNS",
    "Bostian": "NNP",
    "Bostic": "NNP",
    "Bostik": "NNP",
    "Bostitch": "NNP",
    "Boston": "NNP",
    "Boston-area": "JJ",
    "Boston-based": "JJ",
    "Bostonian": "NNP",
    "Bostonians": "NNPS",
    "Boswell": "NNP",
    "Bosworth": "NNP",
    "Both": "DT|CC|PDT",
    "Botswana": "NNP",
    "Bottega": "NNP",
    "Bottineau": "NNP",
    "Bottlers": "NNP|NNS",
    "Bottling": "NNP",
    "Bottom": "NNP|JJ",
    "Bottoms": "NNS",
    "Bottorff": "NNP",
    "Botts": "NNP",
    "Botulinal": "JJ",
    "Bouchard": "NNP",
    "Boucher": "NNP",
    "Boucherie": "NNP",
    "Boucheron": "NNP",
    "Boudreau": "NNP",
    "Bougainville": "NNP",
    "Bougie": "NNP",
    "Bouillaire": "NNP",
    "Boulder": "NNP",
    "Boulet": "NNP",
    "Boulevard": "NNP",
    "Boulez": "NNP",
    "Boulle": "NNP",
    "Boulroud": "NNP",
    "Boun": "NNP",
    "Bouncing": "NNP",
    "Boundary": "NN",
    "Bouquet": "NNP",
    "Bourassa": "NNP",
    "Bourbon": "NN|NNP|JJ",
    "Bourbons": "NNPS",
    "Bourcier": "NNP",
    "Bourgeois": "NNP",
    "Bourguiba": "NNP",
    "Bourke": "NNP",
    "Bourke-White": "NNP",
    "Bourn": "NNP",
    "Boursault": "NNP",
    "Bourse": "NNP|FW",
    "Bourses": "NNP",
    "Boursin": "NNP",
    "Boutflower": "NNP",
    "Bouton": "NNP",
    "Boutwell": "NNP",
    "Bouvardier": "NNP",
    "Bouvier": "NNP",
    "Bouwer": "NNP",
    "Bouygues": "NNP|NNS",
    "Bovard": "NNP",
    "Bovenzi": "NNP",
    "Boveri": "NNP",
    "Bovin": "NNP",
    "Bovine": "NNP",
    "Bow": "NNP",
    "Bowan": "NNP",
    "Bowater": "NNP",
    "Bowden": "NNP",
    "Bowder": "NNP",
    "Bowdoin": "NNP",
    "Bowen": "NNP",
    "Bowenized": "VBN",
    "Bowers": "NNP",
    "Bowery": "NNP",
    "Bowes": "NNP",
    "Bowie": "NNP",
    "Bowing": "VBG",
    "Bowker": "NNP",
    "Bowl": "NNP",
    "Bowlers": "NNPS",
    "Bowles": "NNP",
    "Bowling": "NNP",
    "Bowls": "NNP",
    "Bowman": "NNP",
    "Bowne": "NNP",
    "Bowser": "NNP",
    "Bowsher": "NNP",
    "Box": "NNP",
    "Boxell": "NNP",
    "Boxer": "NNP",
    "Boxes": "NNPS|NNP",
    "Boxford": "NNP",
    "Boxing": "NN",
    "Boxwood": "NNP",
    "Boxy": "JJ",
    "Boy": "NNP|NN|UH",
    "Boy-Lady": "NNP",
    "Boy-Marquita": "NNP",
    "Boy/NNP...": ":",
    "Boyce": "NNP",
    "Boyd": "NNP",
    "Boyde": "NNP",
    "Boyden": "NNP",
    "Boyeki": "NNP",
    "Boyer": "NNP",
    "Boykins": "NNP",
    "Boylan": "NNP",
    "Boylston": "NNP",
    "Boym": "NNP",
    "Boys": "NNPS|NNS",
    "Bozell": "NNP",
    "Bozeman": "NNP",
    "Bozic": "NNP",
    "Bozicevich": "NNP",
    "Braathens": "NNP",
    "Brace": "NNP|VB",
    "Brachfeld": "NNP",
    "Bracken": "NNP",
    "Bracknell": "NNP",
    "Brad": "NNP",
    "Bradbury": "NNP",
    "Braddock": "NNP",
    "Braddock-against-the-Indians": "NNP",
    "Braden": "NNP",
    "Bradford": "NNP",
    "Bradford-White": "NNP",
    "Bradlee": "NNP",
    "Bradley": "NNP",
    "Bradsby": "NNP",
    "Bradsher": "NNP",
    "Bradstreet": "NNP",
    "Brady": "NNP",
    "Brady-type": "JJ",
    "Brae": "NNP",
    "Braeuer": "NNP",
    "Bragg": "NNP",
    "Braggadocio": "NNP",
    "Brahm": "NNP",
    "Brahmaputra": "NNP",
    "Brahmin": "NNP",
    "Brahms": "NNP",
    "Brahmsian": "JJ",
    "Braidwood": "NNP",
    "Braille": "NNP",
    "Brailsford": "NNP",
    "Brain": "NN|NNP",
    "Brainard": "NNP",
    "Brainards": "NNPS",
    "Brains": "NNS",
    "Braintree": "NNP",
    "Braitman": "NNP",
    "Brake": "NNP",
    "Brakes": "NNS",
    "Braking": "NNP",
    "Brakke": "NN",
    "Bramah": "NNP",
    "Bramalea": "NNP",
    "Bramante": "NNP",
    "Brambles": "NNP",
    "Bramwell": "NNP",
    "Bran": "NNP",
    "Branagan": "NNP",
    "Branca": "NNP",
    "Brancato": "NNP",
    "Branch": "NNP",
    "Branchburg": "NNP",
    "Branches": "NNS",
    "Branching": "NNP",
    "Branchville": "NNP",
    "Brand": "NN|NNP",
    "Brand-Name": "NN",
    "Brande": "NNP",
    "Brandeis": "NNP",
    "Brandel": "NNP",
    "Brandenburg": "NNP",
    "Brandes": "NNP",
    "Brandhorst": "NNP",
    "Brando": "NNP",
    "Brandon": "NNP",
    "Brands": "NNP|NNPS|NNS",
    "Brandt": "NNP",
    "Brandy": "NNP",
    "Brandywine": "NNP",
    "Branford": "NNP",
    "Braniff": "NNP",
    "Branigan": "NNP",
    "Branman": "NNP",
    "Brannigan": "NNP",
    "Brannon": "NNP",
    "Branson": "NNP",
    "Brant": "NNP",
    "Brantford": "NNP",
    "Branum": "NNP",
    "Braque": "NNP",
    "Braques": "NNPS",
    "Brascade": "NNP",
    "Brash": "NNP",
    "Brasil": "JJ",
    "Brasilia": "NNP",
    "Brasiliaaircraft": "NNP",
    "Brass": "NNP",
    "Brassbound": "NNP",
    "Brassica": "NNP",
    "Brassnose": "NNP",
    "Brasstown": "NNP",
    "Bratislava": "NNP",
    "Brauchli": "NNP",
    "Braud": "NNP",
    "Brauer": "NNP",
    "Brauerei": "NNP",
    "Braumeisters": "NNPS",
    "Braun": "NNP",
    "Braunreuther": "NNP",
    "Bravado": "NNP",
    "Brave": "NNP",
    "Braverman": "NNP",
    "Braves": "NNPS|NNP",
    "Braving": "VBG",
    "Bravo": "NNP|UH",
    "Brawer": "NNP",
    "Brawley": "NNP",
    "Brawls": "NNS",
    "Braye": "NNP",
    "Brazelton": "NNP",
    "Brazen": "NNP",
    "Brazil": "NNP",
    "Brazilian": "JJ|NNP",
    "Brazilians": "NNS|NNPS",
    "Brazos": "NNP",
    "Brea": "NNP",
    "Bread": "NNP",
    "Break": "NN|VB|NNP",
    "Breakers": "NNP|NNPS",
    "Breakey": "NNP",
    "Breakfast": "NN|NNP",
    "Breaking": "VBG|NNP",
    "Breaks": "NNP",
    "Breakthrough": "NNP",
    "Brealey": "NNP",
    "Brean": "NNP",
    "Breasted": "NNP",
    "Breath": "NN",
    "Breathing": "NN",
    "Breaux": "NNP",
    "Brecht": "NNP",
    "Brechtian": "JJ",
    "Breckenridge": "NNP",
    "Breda": "NNP",
    "Breed": "NNP",
    "Breeden": "NNP",
    "Breeder": "NNP",
    "Breeders": "NNS|NNP",
    "Breeding": "NNP",
    "Breen": "NNP",
    "Breene": "NNP",
    "Breger": "NNP",
    "Bregman": "NNP",
    "Brelin": "NNP",
    "Bremen": "NNP",
    "Bremerton": "NNP",
    "Bremner": "NNP",
    "Bremsstrahlung": "NN",
    "Brenda": "NNP",
    "Brendan": "NNP",
    "Brendel": "NNP",
    "Brendle": "NNP",
    "Brenham": "NNP",
    "Brenmor": "NNP",
    "Brenna": "NNP",
    "Brennan": "NNP",
    "Brenner": "NNP",
    "Brent": "NNP",
    "Brentwood": "NNP",
    "Breslin": "NNP",
    "Bressler": "NNP",
    "Brest": "NNP",
    "Brest-Silevniov": "NNP",
    "Brestowe": "NNP",
    "Brethen": "NNP",
    "Bretherick": "NNP",
    "Breton": "NNP",
    "Brett": "NNP",
    "Bretton": "NNP",
    "Bretz": "NNP",
    "Breuer": "NNP",
    "Breuners": "NNP|NNPS",
    "Brevard": "NNP",
    "Breve": "NNP",
    "Brevet": "NNP",
    "Brevetti": "NNP",
    "Brew": "NNP",
    "Brewer": "NNP",
    "Breweries": "NNPS|NNP|NNS",
    "Brewers": "NNS",
    "Brewery": "NNP",
    "Brewing": "NNP",
    "Brezhnev": "NNP",
    "Brezhnevite": "NNP",
    "Brezinski": "NNP",
    "Brian": "NNP",
    "Briar": "NNP",
    "Briarcliff": "NNP",
    "Bribe": "NN",
    "Brice": "NNP",
    "Brick": "NNP",
    "Bricker": "NNP",
    "Bricklayers": "NNPS",
    "Bricks": "NNS",
    "Bricktop": "NNP",
    "Bricom": "NNP",
    "Bride": "NNP",
    "Brideshead": "NNP",
    "Bridewell": "NNP",
    "Bridge": "NNP",
    "Bridgeport": "NNP",
    "Bridgers": "NNP",
    "Bridges": "NNPS|NNP|NNS",
    "Bridgestone": "NNP",
    "Bridgestone/Firestone": "NNP",
    "Bridget": "NNP",
    "Bridgeton": "NNP",
    "Bridgetown": "NNP",
    "Bridgeview": "NNP",
    "Bridgeville": "NNP",
    "Bridgewater": "NNP",
    "Brief": "NN|NNP|JJ",
    "Briefer": "NNP",
    "Brieff": "NNP",
    "Briefly": "RB",
    "Brien": "NNP",
    "Brierley": "NNP",
    "Brierley-controlled": "JJ",
    "Brig.": "NNP",
    "Brigade": "NNP",
    "Brigadier": "NNP",
    "Brigadoon": "NNP",
    "Brigantine": "NNP",
    "Briggs": "NNP",
    "Brigham": "NNP",
    "Brighetti": "NNP",
    "Bright": "NNP|JJ",
    "Brightman": "NNP",
    "Brighton": "NNP",
    "Briksa": "NNP",
    "Brill": "NNP",
    "Brillo": "NN",
    "Brindisi": "NNP",
    "Bring": "VB",
    "Bringing": "NNP|VBG",
    "Brink": "NNP",
    "Brinker": "NNP",
    "Brinkley": "NNP",
    "Brinkman": "NNP",
    "Brinsley": "NNP",
    "Brinson": "NNP",
    "Brisbane": "NNP",
    "Briscoe": "NNP",
    "Brisk": "JJ",
    "Brissette": "NNP",
    "Bristol": "NNP",
    "Bristol-Meyers": "NNP",
    "Bristol-Myers": "NNP",
    "Brit": "NNP",
    "Britain": "NNP",
    "Britain-U.S.": "JJ",
    "Britain-dominated": "JJ",
    "Britannia": "NNP",
    "Britannic": "JJ",
    "Britannica": "NNP",
    "Britches": "NNS",
    "British": "JJ|NNP|NNS|NNPS",
    "British-American": "NNP|JJ",
    "British-Dutch": "JJ",
    "British-French-Israeli": "JJ",
    "British-based": "JJ",
    "British-born": "JJ",
    "British-built": "JJ",
    "British-owned": "JJ",
    "Britisher": "NNP",
    "Britoil": "NNP",
    "Briton": "NNP",
    "Britons": "NNPS|NNS",
    "Britta": "NNP",
    "Brittan": "NNP",
    "Brittany": "NNP",
    "Britten": "NNP",
    "Britto": "NNP",
    "Britton": "NNP",
    "Brizola": "NNP",
    "Broad": "NNP|JJ|RB",
    "BroadBeach": "NNP",
    "Broadbeach": "NNP",
    "Broadbent": "NNP",
    "Broadcast": "NNP",
    "Broadcasters": "NNS|NNP|NNPS",
    "Broadcasting": "NNP|VBG",
    "Broadcasts": "NNS",
    "Broader": "JJR",
    "Broadly": "RB",
    "Broadstar": "NNP",
    "Broadview": "NNP",
    "Broadway": "NNP",
    "Broberg": "NNP",
    "Brochures": "NNS",
    "Brock": "NNP",
    "Brocklin": "NNP",
    "Brockman": "NNP",
    "Brockville": "NNP",
    "Brockway": "NNP",
    "Brod": "NNP",
    "Brodbeck": "NNP",
    "Broder": "NNP",
    "Broderick": "NNP",
    "Brodie": "NNP",
    "Brodsky": "NNP",
    "Brodsly": "NNP",
    "Brody": "NNP",
    "Broe": "NNP",
    "Broeg": "NNP",
    "Broglie": "NNP",
    "Broglio": "NNP",
    "Broil": "VB",
    "Broiled": "VBN",
    "Broiler": "NN",
    "Brokaw": "NNP",
    "Broke": "NNP",
    "Broken": "NNP|VBN|JJ",
    "Broker": "NNP",
    "Brokerage": "NN|NNP",
    "Brokerage-firm": "JJ",
    "Brokers": "NNS|NNP|NNPS",
    "Bromagen": "NNP",
    "Bromfield": "NNP",
    "Bromley": "NNP",
    "Bromwich": "NNP",
    "Bronces": "NNP",
    "Bronco": "NNP",
    "Broncos": "NNS|NNP",
    "Broncs": "NNP",
    "Broner": "NNP",
    "Bronfman": "NNP",
    "Bronfmans": "NNP|NNS",
    "Bronislava": "NNP",
    "Bronislaw": "NNP",
    "Bronner": "NNP",
    "Bronson": "NNP",
    "Bronston": "NNP",
    "Bronx": "NNP",
    "Bronzavia-Air": "NNP",
    "Brooding": "NNP|VBG",
    "Brook": "NNP",
    "Brooke": "NNP",
    "Brookfield": "NNP",
    "Brookhaven": "NNP",
    "Brookings": "NNP",
    "Brookland": "NNP",
    "Brookline": "NNP",
    "Brooklyn": "NNP",
    "Brooklyn-born": "JJ",
    "Brookmeyer": "NNP",
    "Brookmont": "NNP",
    "Brooks": "NNP",
    "Broome": "NNP",
    "Broomfield": "NNP",
    "Brophy": "NNP",
    "Bros": "NNP|NNPS",
    "Bros.": "NNP|NNPS",
    "Brosterman": "NNP",
    "Brother": "NNP",
    "Brotherhood": "NNP",
    "Brothers": "NNPS|NNP|NNS",
    "Brougham": "NNP",
    "Brought": "VBN",
    "Broughten": "NNP",
    "Broughton": "NNP",
    "Broun": "NNP",
    "Brouwer": "NNP",
    "Broward": "NNP",
    "Browder": "NNP",
    "Brown": "NNP|JJ",
    "Brown-Forman": "NNP",
    "Brown-tobacco": "JJ",
    "Brownapopolus": "NNP",
    "Browne": "NNP",
    "Brownell": "NNP",
    "Browning": "NNP",
    "Brownings": "NNP",
    "Brownlow": "NNP",
    "Browns": "NNP|NNPS",
    "Brownstein": "NNP",
    "Broxodent": "NNP",
    "Broyd": "NNP",
    "Brozman": "NNP",
    "Brubaker": "NNP",
    "Bruccoli": "NNP",
    "Bruce": "NNP",
    "Bruch": "NNP",
    "Bruck": "NNP",
    "Bruckheimer": "NNP",
    "Bruckmann": "NNP",
    "Bruckner": "NNP",
    "Brudzinski": "NNP",
    "Bruegel": "NNP",
    "Bruges": "NNP",
    "Bruhn": "NNP",
    "Bruises": "NNS",
    "Brumbaugh": "NNP",
    "Brumby": "NNP",
    "Brumidi": "NNP",
    "Brumidi-Costaggini": "NNP",
    "Brumley": "NNP",
    "Brundtland": "NNP",
    "Brunei": "NNP",
    "Brunello": "NNP",
    "Bruner": "NNP",
    "Brunk": "NNP",
    "Brunner": "NNP",
    "Bruno": "NNP",
    "Bruns": "NNP",
    "Brunsdon": "NNP",
    "Brunswick": "NNP",
    "Brunswig": "NNP",
    "Brusca": "NNP",
    "Bruser": "NNP",
    "Brush": "NNP|VB",
    "Brush-off": "NN|NNP",
    "Brussels": "NNP|NNS",
    "Brut": "NNP",
    "Bruwer": "NNP",
    "Bruxelles": "NNP",
    "Bruyette": "NNP",
    "Bryan": "NNP",
    "Bryant": "NNP",
    "Bryce": "NNP",
    "Bryn": "NNP",
    "Bryner": "NNP",
    "Bryson": "NNP",
    "Buaford": "NNP",
    "Bubba": "NNP",
    "Bubenik": "NNP",
    "Buber": "NNP",
    "Buber-think": "VB|NNP",
    "Bucaramanga": "NNP",
    "Bucay": "NNP",
    "Buccaneers": "NNS",
    "Bucchino": "NNP",
    "Bucer": "NNP",
    "Buchanan": "NNP",
    "Bucharest": "NNP",
    "Buchbinder": "NNP",
    "Buchenwald": "NNP",
    "Buchheister": "NNP",
    "Buchner": "NNP",
    "Buchwald": "NNP",
    "Buck": "NNP",
    "Buckenham": "NNP",
    "Buckeridge": "NNP",
    "Buckets": "NNS",
    "Buckeye": "NNP",
    "Buckhannon": "NN",
    "Buckhead": "NNP",
    "Buckhorn": "NN",
    "Bucking": "VBG",
    "Buckingham": "NNP",
    "Buckles": "NNP",
    "Buckley": "NNP",
    "Buckman": "NNP",
    "Bucknell": "NNP",
    "Buckra": "NNP",
    "Bucks": "NNP",
    "Bucky": "NNP",
    "Bucs": "NNP",
    "Bud": "NNP",
    "Budapest": "NNP|JJS",
    "Budd": "NNP",
    "Buddha": "NNP",
    "Buddhism": "NNP",
    "Buddhist": "JJ|NN|NNP",
    "Buddhists": "NNP",
    "Buddy": "NNP",
    "Budget": "NNP",
    "Budgetary": "NNP",
    "Budgeting": "NNP|NN",
    "Budieshein": "NNP",
    "Budlong": "NNP",
    "Buds": "NNPS",
    "Budweiser": "NNP",
    "Budweisers": "NNS",
    "Budzyn": "NNP",
    "Buechel": "NNP",
    "Bueky": "NNP",
    "Buell": "NNP",
    "Buena": "NNP",
    "Buenas": "NNP",
    "Bueno": "FW",
    "Buenos": "NNP",
    "Buente": "NNP",
    "Buffalo": "NNP",
    "Buffet": "NNP",
    "Buffeted": "VBN",
    "Buffets": "NNS",
    "Buffett": "NNP",
    "Buffetts": "NNPS",
    "Buffton": "NNP",
    "Bufton": "NNP",
    "Bug": "NN|NNP",
    "Bugatti": "NNP",
    "Bugle": "NNP",
    "Bugs": "NNP|NNS",
    "Buhrmann-Tetterode": "NNP",
    "Buick": "NNP",
    "Buick-Oldsmobile-Cadillac": "NNP",
    "Build": "VB",
    "Builder": "NNP",
    "Builders": "NNPS|NNS",
    "Building": "NNP|VBG",
    "Buildings": "NNS",
    "Builds": "VBZ",
    "Built": "VBN|NNP",
    "Buker": "NNP",
    "Buksbaum": "NNP",
    "Bulba": "NNP",
    "Bulgaria": "NNP",
    "Bulgarian": "JJ|NNP",
    "Bulgarians": "NNPS",
    "Bulge": "NNP",
    "Bull": "NNP",
    "Bullet": "NNP",
    "Bulletin": "NNP",
    "Bullets": "NNS",
    "Bullfinch": "NN",
    "Bullion": "NNP",
    "Bullish": "JJ|NNP",
    "Bulloch": "NNP",
    "Bullock": "NNP",
    "Bullocks": "NNP",
    "Bulls": "NNPS|NNS",
    "Bullshit": "UH",
    "Bully": "VB",
    "Bulow": "NNP",
    "Bulseco": "NNP",
    "Bultmann": "NNP",
    "Bum": "NNP",
    "Bumblebees": "NNS|NNPS",
    "Bumbry": "NNP",
    "Bumiputra": "NNP",
    "Bumkins": "NNP",
    "Bumpers": "NNP",
    "Bums": "NNS",
    "Bun": "NN",
    "Bunch": "NN",
    "Bund": "NN",
    "Bundesbank": "NNP",
    "Bundesbank-meeting": "NN",
    "Bundesnachrichtendienst": "NNP",
    "Bundestag": "NNP",
    "Bundle": "NN",
    "Bundy": "NNP",
    "Bunker": "NNP",
    "Bunks": "NNS",
    "Bunny": "NNP",
    "Bunting": "NNP",
    "Bunyan": "NNP",
    "Buoy": "NNP",
    "Buoyed": "VBN",
    "Burbank": "NNP",
    "Burch": "NNP",
    "Burchette": "NNP",
    "Burchuladze": "NNP",
    "Burckhardt": "NNP",
    "Burden": "NNP",
    "Burdened": "VBN",
    "Burdens": "NNS",
    "Burdett": "NNP",
    "Burdines": "NNPS",
    "Bureau": "NNP",
    "Bureaucrat": "NN",
    "Bureaucratic": "JJ",
    "Bureaucrats": "NNS",
    "Bureaus": "NNPS|NNP",
    "Buren": "NNP",
    "Burford": "NNP",
    "Burge": "NNP",
    "Burgee": "NNP",
    "Burgeoning": "VBG",
    "Burger": "NNP",
    "Burgess": "NNP",
    "Burgesses": "NNS",
    "Burghardt": "NNP",
    "Burgher": "NNP",
    "Burghley": "NNP",
    "Burgsteinfurt": "NNP",
    "Burgundian": "JJ",
    "Burgundies": "NNPS",
    "Burgundy": "NNP",
    "Buri": "NNP",
    "Burial": "NN",
    "Buried": "VBN",
    "Buries": "VBZ",
    "Burk": "NNP",
    "Burke": "NNP",
    "Burke-Rostagno": "NNP",
    "Burkes": "NNPS",
    "Burkette": "NNP",
    "Burkhardt": "NNP",
    "Burkina": "NNP",
    "Burl": "NNP",
    "Burle": "NNP",
    "Burleson": "NNP",
    "Burling": "NNP",
    "Burlingame": "NNP",
    "Burlingham": "NNP",
    "Burlington": "NNP",
    "Burly": "JJ",
    "Burma": "NNP",
    "Burma-Shave": "NNP",
    "Burmah": "NNP",
    "Burman": "NNP",
    "Burmans": "NNPS",
    "Burmese": "JJ|NNP|NNS",
    "Burnand": "NNP",
    "Burned": "VBN",
    "Burnes": "NNP",
    "Burnet": "NNP",
    "Burnett": "NNP",
    "Burnham": "NNP",
    "Burning": "NN|VBG|NNP",
    "Burnison": "NNP",
    "Burnley": "NNP",
    "Burns": "NNP",
    "Burnside": "NNP",
    "Burnsides": "NNPS",
    "Burnsville": "NNP",
    "Burnt": "NNP",
    "Burr": "NNP",
    "Burrill": "NNP",
    "Burrillville": "NNP",
    "Burritt": "NNP",
    "Burro": "NNP",
    "Burroughs": "NNP",
    "Burroughs-Wellcome": "NNP",
    "Burry": "NNP",
    "Burst": "VBD",
    "Bursting": "VBG",
    "Bursts": "VBZ",
    "Burt": "NNP",
    "Burton": "NNP",
    "Burts": "NNPS",
    "Burwell": "NNP",
    "Bury": "NNP|VB",
    "Burzon": "NNP",
    "Bus": "NN|NNP",
    "Busby": "NNP",
    "Busch": "NNP",
    "Buser": "NNP",
    "Busey": "NNP",
    "Bush": "NNP",
    "Bush-Gorbachev": "NNP",
    "Bush-Salinas": "NNP",
    "Bush-supported": "JJ",
    "Bushby": "NNP",
    "Bushell": "NNP",
    "Bushels": "NNS",
    "Bushes": "NNPS|NNS",
    "Bushnell": "NNP",
    "Business": "NNP",
    "Businesses": "NNS",
    "Businessland": "NNP",
    "Businessmen": "NNS",
    "Buskirk": "NNP",
    "Bussey": "NNP",
    "Bussieres": "NNP",
    "Bust": "NNP",
    "Bustard": "NN",
    "Buster": "NNP",
    "But": "CC|NNP|IN",
    "Butane": "NN",
    "Butch": "NNP",
    "Butcher": "NNP",
    "Butler": "NNP",
    "Butlers": "NNPS",
    "Butowsky": "NNP",
    "Butt": "NNP",
    "Buttacavoli": "NNP",
    "Buttavacoli": "NNP",
    "Butte": "NNP",
    "Butter": "NN",
    "Butter-Nut": "NNP",
    "Butterfield": "NNP",
    "Butterfinger": "NNP",
    "Butterworth": "NNP",
    "Butterwyn": "NNP",
    "Button": "NNP",
    "Buttrick": "NNP",
    "Butts": "NNP",
    "Butz": "NNP",
    "Buxtehude": "NNP",
    "Buxton": "NNP",
    "Buy": "VB|JJ|NNP",
    "Buy-Back": "NNP",
    "Buy-out": "NN",
    "Buyer": "NNP",
    "Buyers": "NNS",
    "Buying": "VBG|NNP",
    "Buzz": "NNP",
    "Buzzell": "NNP",
    "Buzzy": "NNP",
    "By": "IN|RB|NNP|UH",
    "By-Products": "NNP",
    "By-passing": "VBG",
    "By-the-Book": "JJ",
    "By-the-Sea": "NNP",
    "By-word": "JJ",
    "Bye": "UH",
    "Byelorussia": "NNP",
    "Byer-Rolnick": "NNP",
    "Byers": "NNP",
    "Bygdeman": "NNP",
    "Byler": "NNP",
    "Bylot": "NNP",
    "Bynoe": "NNP",
    "Byrd": "NNP",
    "Byrne": "NNP",
    "Byrnes": "NNP",
    "Byron": "NNP",
    "Byronic": "JJ",
    "Byronism": "NN",
    "Byrum": "NNP",
    "Bystrzyca": "NNP",
    "Byting": "VBG",
    "Byzantine": "JJ|NNP",
    "Byzantium": "NNP",
    "Byzas": "NNP",
    "C": "NNP|NN|JJ|LS",
    "C$": "$",
    "C&D": "NNP",
    "C&P": "NNP",
    "C&W": "NNP",
    "C-12": "NN",
    "C-12F": "NN",
    "C-130": "NN",
    "C-141": "NNP",
    "C-17": "NN|NNP",
    "C-20": "NNP",
    "C-5B": "NN|NNP",
    "C-90": "NN",
    "C-S": "NNP",
    "C-SPAN": "NNP",
    "C-Span": "NNP",
    "C-V": "NNP",
    "C-minus": "JJ",
    "C-plane": "NN",
    "C-word": "NN",
    "C.": "NNP|FW|LS",
    "C.A.I.P.": "NNP",
    "C.B.": "NNP",
    "C.C.": "NNP",
    "C.C.B": "NNP",
    "C.C.B.": "NNP",
    "C.C.N.Y.": "NNP",
    "C.D.": "NNP",
    "C.D.s": "NNS|NNPS",
    "C.E.": "NNP",
    "C.H.": "NNP",
    "C.J.": "NNP",
    "C.J.B.": "NNP",
    "C.K.": "NNP",
    "C.M.": "NNP",
    "C.O.G.": "NNP",
    "C.P.": "NNP",
    "C.R.": "NNP",
    "C.S.": "NNP",
    "C.W.": "NNP",
    "C/NNP.A.J.": "NNP",
    "C1": "NNP",
    "C13532": "NNP",
    "CAAC": "NNP",
    "CABBAGE": "NN",
    "CABLE": "NN",
    "CAC": "NNP",
    "CACI": "NNP",
    "CAE": "NNP",
    "CAE-Link": "NNP",
    "CAHNERS": "NNP",
    "CALFED": "NNP",
    "CALIFORNIA": "NNP",
    "CALL": "JJ|NN|VB|NNP",
    "CALLED": "VBN|VBD",
    "CALLIOPE": "NNP",
    "CALLS": "NNPS",
    "CAMBREX": "NNP",
    "CAMPAIGN": "NNP",
    "CAMPEAU": "NNP",
    "CANADA": "NNP",
    "CANADIAN": "JJ",
    "CANCER": "NNP",
    "CANDIDATES": "NNS",
    "CAPITAL": "NN|NNP",
    "CAPITAL-GAINS": "NNP",
    "CAPITALIST": "JJ",
    "CAR": "NN",
    "CARE": "NNP",
    "CAREER": "NNP",
    "CARIPLO": "NNP",
    "CAROLG": "NNP",
    "CARTER": "NNP",
    "CARTER-WALLACE": "NNP",
    "CASE": "NN|NNP",
    "CASES": "NNS",
    "CASSETTE": "NN",
    "CASTLE": "NNP",
    "CAT": "NNP",
    "CATFISH": "NNS",
    "CATV": "NN",
    "CB": "NNP",
    "CB-radio-style": "JJ",
    "CBC": "NNP",
    "CBI": "NNP",
    "CBO": "NNP",
    "CBOE": "NNP",
    "CBOT": "NNP",
    "CBS": "NNP",
    "CBS-K": "NNP",
    "CBS-TV": "NNP",
    "CBS-Turner": "NNP",
    "CBS-owned": "JJ",
    "CCC": "NNP",
    "CCD": "NNP",
    "CCK": "NNP",
    "CCK-related": "JJ",
    "CCT": "NNP",
    "CD": "NNP|JJ",
    "CD-4": "NNP",
    "CD-I": "NNP",
    "CD-ROM": "NN|NNP",
    "CD-type": "JJ",
    "CDA": "NNP",
    "CDBG": "NNP",
    "CDC": "NNP",
    "CDK": "NNP",
    "CDL": "NNP",
    "CDT": "NNP",
    "CDU": "NNP",
    "CDs": "NNS|NNPS",
    "CELEBRATIONS": "NNP",
    "CELTICS": "NNPS",
    "CENTERIOR": "NNP",
    "CENTRUST": "NNP",
    "CEO": "NNP",
    "CEO-designate": "NN",
    "CEOs": "NNS|NNP",
    "CERA": "NNP",
    "CEREAL": "NNP",
    "CERTIFICATES": "NNS|NNPS",
    "CF": "NNP",
    "CF6-6": "NNP",
    "CF66": "NN",
    "CF680C2": "NNP",
    "CFC": "NNP",
    "CFC-11": "NN",
    "CFC-12": "NN|NNP",
    "CFCs": "NNP|NNS|NNPS",
    "CFD": "NNP",
    "CFM": "NNP",
    "CFM56": "NN",
    "CFM56-3C": "NN",
    "CFM56-56s": "NNS",
    "CFP": "NNP",
    "CFTC": "NNP",
    "CG": "NNP",
    "CGE": "NNP",
    "CGP": "NNP",
    "CH": "NN|NNP",
    "CH-47D": "NNP",
    "CHALLENGED": "VBN",
    "CHAMBERS": "NNP",
    "CHANGED": "VBD|VBN",
    "CHANGES": "NNS",
    "CHARIOT": "NNP",
    "CHARITABLE": "JJ",
    "CHARLES": "NNP",
    "CHASE": "NNP",
    "CHECKOFF": "NN|NNP",
    "CHECKUPS": "NNS",
    "CHEMICAL": "NNP",
    "CHEVRON": "NNP",
    "CHEWING": "VBG",
    "CHICAGO": "NNP",
    "CHIEF": "JJ",
    "CHILDREN": "NNS",
    "CHIMPS": "NNS",
    "CHINA": "NNP",
    "CHIPPING": "VBG",
    "CHRISTMAS": "NNP",
    "CHW": "NNP",
    "CI": "NNP",
    "CIA": "NNP",
    "CICS": "NNP",
    "CIM": "NNP",
    "CIR": "NNP",
    "CIRCUIT": "NNP",
    "CIT": "NNP",
    "CITIC": "NNP",
    "CITIES/ABC": "NNP",
    "CITIZEN": "NNP",
    "CITIZENS": "NNS",
    "CITY": "NNP",
    "CJS": "NNP",
    "CL": "NNP",
    "CLAIMANTS": "NNS",
    "CLAIMS": "VBZ",
    "CLARK": "NNP",
    "CLASHED": "VBD",
    "CLAUSE": "NN",
    "CLAUSTROPHOBIC": "JJ",
    "CLEARED": "VBD",
    "CLEARS": "VBZ",
    "CLK": "NNP",
    "CLOROX": "NNP",
    "CLOSE": "NN",
    "CLUBBING": "VBG",
    "CLUBS": "NNS",
    "CMA": "NNP",
    "CME": "NNP",
    "CMI": "NNP",
    "CMK": "NNP",
    "CML": "NNP",
    "CMOS": "NNP",
    "CMS": "NNP",
    "CMZ": "NNP",
    "CNA": "NNP",
    "CNBC": "NNP",
    "CNCA": "NNP",
    "CNN": "NNP",
    "CNW": "NNP",
    "CO": "NNP",
    "CO.": "NNP",
    "COAHR": "NNP",
    "COAST": "NNP",
    "COASTAL": "NNP",
    "COB": "NNP",
    "COCA-COLA": "NNP",
    "COCAINE": "NNP",
    "COCOA": "NN",
    "CODE,DTF": "NN",
    "CODE-NAMED": "VBN",
    "COFFEE": "NN|NNP",
    "COHERENT": "NNP",
    "COKE": "NNP",
    "COLGATE-PALMOLIVE": "NNP",
    "COLH": "NNP",
    "COLLAPSE": "NN",
    "COLLATERAL": "NN",
    "COLLECTING": "NN",
    "COLOGNE": "NNP",
    "COM": "NNP",
    "COME": "VBN",
    "COMMENTS": "NNS",
    "COMMERCIAL": "JJ|NNP",
    "COMMITTEE": "NNP",
    "COMMUNICATIONS": "NNP|NNPS",
    "COMMUNISTS": "NNS",
    "COMMUTERS": "NNS",
    "COMPANIES": "NNS|NNP",
    "COMPANY": "NNP|NN",
    "COMPARE": "VB",
    "COMPLETED": "VBD",
    "COMPUTER": "NNP|NN",
    "COMPUTERS": "NNS|NNP",
    "CONCORDE": "NNP",
    "CONELRAD": "NNP",
    "CONFIRMED": "VBD",
    "CONFRONTATIONS": "NNS",
    "CONGRESS": "NNP",
    "CONGRESSIONAL": "JJ",
    "CONSERVATIVES": "NNS",
    "CONSOLIDATED": "NNP",
    "CONSULTING": "NNP",
    "CONSUMER": "NN",
    "CONSUMERS": "NNS",
    "CONTACT": "NN",
    "CONTAIN": "VB",
    "CONTAMINATION": "NN",
    "CONTINENTAL": "NNP",
    "CONTROL": "NNP",
    "CONVICTION": "NN",
    "CONVICTS": "VBZ",
    "COOKE": "NNP",
    "COOPER": "NNP",
    "COOPERATION": "NN",
    "COPE": "VB",
    "COPPER": "NNP|NN",
    "CORNFELD": "NNP",
    "CORNUCOPIA": "NN",
    "CORP": "NNP",
    "CORP.": "NNP",
    "CORPORATE": "JJ",
    "CORTES": "NNP",
    "COS.": "NNP",
    "COTTON": "NN|NNP",
    "COUNSEL": "NN",
    "COUNTRY": "NN",
    "COUP": "NN",
    "COURT": "NN|NNP",
    "COURTS": "NNS",
    "COVER": "NN",
    "COVERAGE": "NNP",
    "CP": "NNP",
    "CPA": "NNP",
    "CPAs": "NNS|NNP|NNPS",
    "CPB": "NNP",
    "CPC": "NNP",
    "CPI": "NNP",
    "CPR": "NNP",
    "CPT": "NN",
    "CPTs": "NNS",
    "CR103": "NNP",
    "CRA": "NNP",
    "CRAF-Cassini": "NNP",
    "CRASHED": "VBD",
    "CRAY": "NNP",
    "CREAM": "NNP",
    "CREATIVE": "JJ",
    "CREDIT": "NNP",
    "CREDITS": "NNS",
    "CRESTMONT": "NNP",
    "CRI": "NNP",
    "CRIME": "NN",
    "CRIMINAL": "JJ",
    "CRITICAL": "NNP",
    "CROSS-BRED": "VBD",
    "CROWDED": "JJ",
    "CRRES": "NNP",
    "CRS": "NNP",
    "CRSS": "NNP",
    "CRT": "NNP",
    "CRX": "NNP",
    "CRs": "NNS",
    "CS": "NNP",
    "CSC": "NNP",
    "CSF": "NNP",
    "CSFB": "NNP",
    "CSI": "NNP",
    "CSK": "NNP",
    "CSO": "NNP",
    "CSR": "NNP",
    "CSS": "NNP",
    "CST": "NNP",
    "CSV": "NNP",
    "CSX": "NNP",
    "CT": "NN|NNP",
    "CTA": "NNP",
    "CTAs": "NNS",
    "CTB": "NNP",
    "CTBS": "NNP",
    "CTCA": "NNP",
    "CTS": "NNP",
    "CULPA": "NNP",
    "CUNA": "NNP",
    "CURBING": "VBG",
    "CUTTY": "NNP",
    "CV": "NNP",
    "CVB": "NNP",
    "CVN": "NNP",
    "CW": "NNP",
    "CW-capable": "JJ",
    "CWA": "NNP",
    "CWP": "NNP",
    "Ca": "MD|NNP|JJ",
    "Ca.": "NNP",
    "Caa": "JJ|NNP",
    "Cab": "NNP",
    "Cabana": "NNP",
    "Cabanne": "NNP",
    "Cabbage": "NNP",
    "Cabernet": "NNP",
    "Cabernets": "NNPS",
    "Cabin": "NNP",
    "Cabinet": "NNP",
    "Cable": "NNP",
    "Cable-system": "NN",
    "Cabletron": "NNP",
    "Cablevision": "NNP",
    "Cabot": "NNP",
    "Cabrera": "NNP",
    "Cabria": "NNP",
    "Cabrini": "NNP",
    "Cacao": "NNP",
    "Caccappolo": "NNP",
    "Cacophonist": "NNP",
    "Cadam": "NNP",
    "Cadbury": "NNP",
    "Cadbury-Schweppes": "NNP",
    "Caddy": "NNP",
    "Caddyshack": "NNP",
    "Cadesi": "NNP",
    "Cadet": "NNP",
    "Cadillac": "NNP",
    "Cadillacs": "NNPS|NNS",
    "Cadiz": "NNP",
    "Cadnetix": "NNP",
    "Cadre": "NNP",
    "Cadwalader": "NNP",
    "Cadwell": "NNP",
    "Cady": "NNP",
    "Caere": "NNP",
    "Caesar": "NNP",
    "Caesarean": "JJ",
    "Caesars": "NNP|NNPS",
    "Caetani": "NNP",
    "Cafe": "NNP",
    "Cafeteria": "NNP",
    "Caffedrine": "NNP",
    "Cafferarelli": "NNP",
    "Caffrey": "NNP",
    "Cafritz": "NNP",
    "Cagayan": "NNP",
    "Cage": "NNP",
    "Cagliari": "NNP",
    "Cahill": "NNP",
    "Cahn": "NNP",
    "Cahners": "NNP",
    "Cahoon": "NNP",
    "Cain": "NNP",
    "Cairenes": "NNPS",
    "Cairns": "NNP",
    "Cairo": "NNP",
    "Cairo-sponsored": "JJ",
    "Cairoli": "NNP",
    "Caisse": "NNP",
    "Caitlin": "NNP",
    "Caius": "NNP",
    "Caja": "NNP",
    "Cal": "NNP",
    "Cal-Neva": "NNP",
    "Cal.": "NN",
    "CalComp": "NNP",
    "CalFed": "NNP",
    "CalMat": "NNP",
    "CalTech": "NNP",
    "Calabasas": "NNP",
    "Calabrese": "NNP",
    "Calabria": "NNP",
    "Calais": "NNP",
    "Calamity": "NNP",
    "Calaveras": "NNS",
    "Calcium": "NN",
    "Calculated": "VBN",
    "Calculating": "VBG",
    "Calculations": "NNS",
    "Calcutta": "NNP",
    "Calder": "NNP",
    "Caldera": "NNP",
    "Calderon": "NNP",
    "Calderone": "NNP",
    "Calderwood": "NNP",
    "Caldor": "NNP",
    "Caldwell": "NNP",
    "Cale": "NNP",
    "Caleb": "NNP",
    "Calenda": "NNP",
    "Calf": "NNP",
    "Calgary": "NNP",
    "Calgary-based": "JJ",
    "Calgene": "NNP",
    "Calgon": "NNP",
    "Calhoun": "NNP",
    "Cali": "NNP",
    "Calif": "NNP",
    "Calif.": "NNP",
    "Calif.-based": "JJ",
    "Califano": "NNP",
    "Califon": "NNP",
    "California": "NNP|JJ",
    "California-backed": "JJ",
    "California-based": "JJ",
    "California-bashing": "JJ",
    "Californian": "NN|JJ|NNP",
    "Californians": "NNPS|NNS",
    "Californication": "NN",
    "Caligula": "NNP",
    "Calimala": "NNP",
    "Caliphobia": "NNP",
    "Calisto": "NNP",
    "Call": "VB|NNP",
    "Call-In": "NN",
    "Callable": "JJ",
    "Callahan": "NNP",
    "Callan": "NNP",
    "Callas": "NNP",
    "Callaway": "NNP",
    "Called": "VBN|VBD|NNP",
    "Callender": "NNP",
    "Callers": "NNS",
    "Calling": "VBG",
    "Calloused": "JJ",
    "Calloway": "NNP",
    "Calls": "NNS|VBZ",
    "Callum": "NNP",
    "Calm": "JJ",
    "Calmat": "NNP",
    "Calmer": "JJR",
    "Calmly": "RB",
    "Calor": "NNP",
    "Calpers": "NNP",
    "Caltech": "NNP",
    "Caltrans": "NNP|NNS",
    "Calude": "NNP",
    "Calvary": "NNP",
    "Calverley": "NNP",
    "Calvert": "NNP",
    "Calves": "NNS",
    "Calvet": "NNP",
    "Calvi": "NNP",
    "Calvin": "NNP",
    "Calvinist": "NNP",
    "Cam": "NNP",
    "Camaret": "NNP",
    "Camarillo": "NNP",
    "Camaro": "NNP",
    "Camaro-Firebird": "NNP",
    "Camaros": "NNS",
    "Cambodia": "NNP",
    "Cambodian": "JJ",
    "Cambodians": "NNPS",
    "Cambrex": "NNP",
    "Cambria": "NNP",
    "Cambrian": "NNP",
    "Cambridge": "NNP",
    "Cambridgeport": "NNP",
    "Camden": "NNP",
    "Camdessus": "NNP",
    "Came": "VBD",
    "Camel": "NNP",
    "Camelot": "NNP",
    "Camels": "NNS",
    "Cameo": "NNP",
    "Camera": "NN|NNP",
    "Cameras": "NNS",
    "Camerino": "NNP",
    "Cameron": "NNP",
    "Cami": "NNP",
    "Camilla": "NNP",
    "Camille": "NNP",
    "Camilli": "NNP",
    "Camillo": "NNP",
    "Camilo": "NNP",
    "Camino": "NNP",
    "Cammack": "NNP",
    "Camp": "NNP",
    "Campagnoli": "NNP",
    "Campaign": "NNP",
    "Campaigne": "NNP",
    "Campaigning": "VBG",
    "Campaneris": "NNP",
    "Campania": "NNP",
    "Campbell": "NNP",
    "Campbell-Mithun": "NNP",
    "Campbell-Mithun-Esty": "NNP",
    "Campbell-brand": "JJ",
    "Campbelll": "NNP",
    "Campeau": "NNP",
    "Campeau-owned": "JJ",
    "Campeau-related": "JJ",
    "Campeau-unit": "JJ",
    "Campenhout": "NNP",
    "Campestre": "NNP",
    "Campground": "NNP",
    "Camping": "NN",
    "Campion": "NNP",
    "Campitelli": "NNP",
    "Campo": "NNP",
    "Campobello": "NNP",
    "Campus": "NNP",
    "Campuses": "NNS",
    "Camry": "NNP",
    "Camrys": "NNPS",
    "Camusfearna": "NNP",
    "Can": "MD|NNP",
    "Canaan": "NNP",
    "Canada": "NNP",
    "Canada-Newfoundland": "NNP",
    "Canada-North": "NNP",
    "Canada-U.S.": "NNP",
    "Canadian": "JJ|NNP",
    "Canadian-U.S.": "JJ",
    "Canadian-dollar": "JJ",
    "Canadian-fisheries": "NNS",
    "Canadian-owned": "JJ",
    "CanadianImmigration": "NNP",
    "Canadians": "NNPS|NNS",
    "Canal": "NNP",
    "Canam": "NNP",
    "Canandaigua": "NNP",
    "Cananea": "NNP",
    "Canard": "NNP",
    "Canary": "NNP",
    "Canastels": "NNP",
    "Canaveral": "NNP",
    "Canberra": "NNP",
    "Cancer": "NNP",
    "Candace": "NNP",
    "Candela": "NNP",
    "Candice": "NNP",
    "Candid": "JJ|NNP",
    "Candidates": "NNS",
    "Candide": "NNP",
    "Candle": "NNP",
    "Candlelight": "NNP",
    "Candlestick": "NNP",
    "Candu": "NNP",
    "Candy": "NN|NNP",
    "Cane": "NNP",
    "Caneli": "NNP",
    "Canellos": "NNP",
    "Canelo": "NNP",
    "Canepa": "NNP",
    "Canestrani": "NNP",
    "Canfield": "NNP",
    "Canfor": "NNP",
    "Caniglia": "NNP",
    "Caning": "NNP",
    "Canion": "NNP",
    "Cannavino": "NNP",
    "Canned": "JJ",
    "Cannell": "NNP",
    "Canner": "NNP",
    "Canneries": "NNP",
    "Cannes": "NNP",
    "Cannibal": "NNP",
    "Canning": "NNP",
    "Cannistraro": "NNP",
    "Cannon": "NNP",
    "Canny": "NNP",
    "Cano": "NNP",
    "Canoe": "NNP",
    "Canoga": "NNP",
    "Canon": "NNP",
    "Canonie": "NNP",
    "Canseco": "NNP",
    "Canteloube": "NNP",
    "Canter": "NNP",
    "Canterbury": "NNP",
    "Canticle": "NNP",
    "Cantobank": "NNP",
    "Canton": "NNP",
    "Cantonese": "NNP|JJ",
    "Cantoni": "NNP",
    "Cantor": "NNP",
    "Cantwell": "NNP",
    "Canute": "NNP",
    "Canyon": "NNP",
    "Cap": "NNP|VB",
    "Capable": "JJ",
    "Capacitors": "NNP",
    "Capacity": "NN",
    "Capcom": "NNP",
    "Cape": "NNP",
    "Capek": "NNP",
    "Capel": "NNP",
    "Capellan": "NNP",
    "Capello": "NNP",
    "Caper": "NNP",
    "Capet": "NNP",
    "Capetown": "NNP",
    "Capetronic": "NNP",
    "Capistrano": "NNP",
    "Capital": "NNP",
    "Capitalincludes": "NNS",
    "Capitalism": "NN|NNP",
    "Capitalist": "NNP",
    "Capitalists": "NNPS",
    "Capitalizing": "VBG",
    "Capitan": "NNP",
    "Capitol": "NNP",
    "Capitol-EMI": "NNP",
    "Capitoline": "NNP",
    "Caplan": "NNP",
    "Capo": "NNP",
    "Capone": "NNP",
    "Caporale": "NNP",
    "Capote": "NNP",
    "Capoten": "NNP",
    "Capping": "VBG",
    "Capps": "NNP",
    "Cappy": "NNP",
    "Capra": "NNP",
    "Capri": "NNP",
    "Caprice": "NNP",
    "Capricorn": "NNP",
    "Capshaw": "NNP",
    "Capt.": "NNP",
    "Captain": "NNP",
    "Captured": "VBN",
    "Captures": "NNP",
    "Capwell": "NNP",
    "Car": "NNP",
    "CarCool": "NNP",
    "Cara": "NNP",
    "Caracas": "NNP",
    "Caradon": "NNP",
    "Caraiba": "NNP",
    "Carat": "NNP",
    "Carausius": "NNP",
    "Caravaggio": "NNP",
    "Caravaggio.": "NNP",
    "Caravan": "NNP",
    "Caravans": "NNPS",
    "Carballo": "NNP",
    "Carberry": "NNP",
    "Carbide": "NNP",
    "Carboloy": "NNP",
    "Carbon": "NNP",
    "Carbondale": "NNP",
    "Carbones": "NNPS",
    "Carboni": "NNP",
    "Card": "NNP",
    "Cardboard": "NN",
    "Carden": "NNP",
    "Cardenas": "NNP",
    "Carder": "NNP",
    "Cardiac": "NNP",
    "Cardiff": "NNP",
    "Cardillo": "NNP",
    "Cardin": "NNP",
    "Cardinal": "NNP|JJ",
    "Cardinals": "NNPS|NNP",
    "Cardiovascular": "NNP",
    "Cardiovasculatory": "NNP",
    "Cardizem": "NNP",
    "Cardoso": "NNP",
    "Cards": "NNP|VBP|NNPS|NNS",
    "Care": "NNP|VB|VBP",
    "Care-Unit": "NNP",
    "Career": "NNP",
    "Careers": "NNS",
    "Careful": "JJ",
    "Carefully": "RB",
    "Careless": "NNP",
    "Carena": "NNP",
    "Cares": "VBZ",
    "Carew": "NNP",
    "Carews": "NNPS",
    "Carey": "NNP",
    "Cargill": "NNP",
    "Cargo": "NNP",
    "Cariaga": "NNP",
    "Caribbean": "NNP|JJ",
    "Caribe": "NNP",
    "Caring": "VBG",
    "Carisbrook": "NNP",
    "Carl": "NNP",
    "Carla": "NNP",
    "Carleton": "NNP",
    "Carletonian": "NNP",
    "Carli": "NNP",
    "Carlile": "NNP",
    "Carlin": "NNP",
    "Carliner": "NNP",
    "Carlisle": "NNP",
    "Carlo": "NNP",
    "Carlos": "NNP",
    "Carlsbad": "NNP",
    "Carlson": "NNP",
    "Carlsson": "NNP",
    "Carlta": "NNP",
    "Carlton": "NNP",
    "Carltons": "NNPS",
    "Carlucci": "NNP",
    "Carlyle": "NNP",
    "Carlzon": "NNP",
    "Carmack": "NNP",
    "Carmel": "NNP",
    "Carmelite": "JJ",
    "Carmelites": "NNPS|NNS",
    "Carmen": "NNP",
    "Carmer": "NNP",
    "Carmichael": "NNP",
    "Carmine": "NNP",
    "Carmody": "NNP",
    "Carmon": "NNP",
    "Carnarvon": "NNP",
    "Carnegey": "NNP",
    "Carnegie": "NNP",
    "Carnegie-Illinois": "NNP",
    "Carnegie-Mellon": "NNP",
    "Carneigie": "NNP",
    "Carnevale": "NNP",
    "Carney": "NNP",
    "Carnival": "NNP",
    "Carnochan": "NNP",
    "Carol": "NNP",
    "Carolco": "NNP",
    "Carole": "NNP",
    "Caroli": "NNP",
    "Carolina": "NNP",
    "Carolinas": "NNPS|NNS",
    "Caroline": "NNP",
    "Carolingian": "JJ",
    "Carolinian": "NNP",
    "Carolinians": "NNPS",
    "Carols": "NNPS",
    "Carolus": "NNP",
    "Carolyn": "NNP",
    "Carolyne": "NNP",
    "Caron": "NNP",
    "Caronia": "NNP",
    "Carothers": "NNP",
    "Carpathians": "NNPS",
    "Carpenter": "NNP",
    "Carpenters": "NNPS|NNS",
    "Carpentier": "NNP",
    "Carpeting": "NN",
    "Carr": "NNP",
    "Carr-Lowrey": "NNP",
    "Carrara": "NNP",
    "Carraway": "NNP",
    "Carre": "NNP",
    "Carrel": "NNP",
    "Carreon": "NNP",
    "Carriages": "NNS",
    "Carrie": "NNP",
    "Carried": "VBN",
    "Carrier": "NN|NNP",
    "Carriers": "NNS|NNP|NNPS",
    "Carrington": "NNP",
    "Carrion": "NNP",
    "Carroll": "NNP",
    "Carrollton": "NNP",
    "Carrot": "NNP",
    "Carrots": "NNPS",
    "Carrozza": "NN",
    "Carruthers": "NNP",
    "Carry": "NNP",
    "Carrying": "VBG",
    "Cars": "NNPS|NNS",
    "Carson": "NNP",
    "Carsten": "NNP",
    "Carstens": "NNP",
    "Cartagena": "NNP",
    "Cartel": "NNP",
    "Carter": "NNP",
    "Carters": "NNPS",
    "Cartesian": "JJ",
    "Carthage": "FW",
    "Carthago": "FW",
    "Cartier": "NNP",
    "Cartons": "NNS",
    "Cartoon": "NNP|NN",
    "Cartoonist": "NN",
    "Cartoonists": "NNP",
    "Cartoons": "NNS",
    "Cartridge": "NNP",
    "Cartusciello": "NNP",
    "Cartwright": "NNP",
    "Carty": "NNP",
    "Caruso": "NNP",
    "Carvain": "NNP",
    "Carvalho": "NNP",
    "Carved": "JJ",
    "Carver": "NNP",
    "Carvey": "NNP",
    "Carving": "NN",
    "Carwood": "NNP",
    "Cary": "NNP",
    "Caryl": "NNP",
    "Casa": "NNP",
    "Casablanca": "NNP",
    "Casals": "NNP",
    "Casanova": "NNP",
    "Casanovas": "NNPS",
    "Casassa": "NNP",
    "Casbah": "NNP",
    "Casca": "NN",
    "Cascade": "NNP",
    "Cascaded": "VBN",
    "Cascades": "NNP",
    "Cascading": "VBG|NN",
    "Case": "NNP",
    "Cases": "NNS",
    "Casey": "NNP",
    "Cash": "NNP",
    "Cash-heavy": "JJ",
    "Cash-pressed": "JJ",
    "Cash-strapped": "JJ",
    "Cashiering": "VBG",
    "Cashin": "NNP",
    "Cashion": "NNP",
    "Cashman": "NNP",
    "Cashways": "NNPS",
    "Casino": "NNP",
    "Casinos": "NNS",
    "Cask": "NNP",
    "Caskey": "NNP",
    "Cason": "NNP",
    "Caspar": "NNP",
    "Casper": "NNP",
    "Caspi": "NNP",
    "Caspita": "NNP",
    "Caspita-brand": "JJ",
    "Cass": "NNP",
    "Cassa": "NNP",
    "Cassandras": "NNPS",
    "Cassatt": "NNP",
    "Cassell": "NNP",
    "Cassim": "NNP",
    "Cassiopeia": "NNP",
    "Cassite": "NNP",
    "Cassius": "NNP",
    "Casson": "NNP",
    "Cast": "VBN|VBP",
    "Castaneda": "NNP",
    "Castel": "NNP",
    "Castellanos": "NNP",
    "Castile": "NNP",
    "Castillo": "NNP",
    "Casting": "VBG",
    "Castings": "NNP",
    "Castle": "NNP",
    "Castlegar": "NNP",
    "Castleman": "NNP",
    "Castles": "NNS",
    "Castor": "JJ",
    "Castparts": "NNP",
    "Castro": "NNP",
    "Castro-Medellin": "NNP",
    "Castro-held": "JJ",
    "Castro-led": "JJ",
    "Castroism": "NNP",
    "Castrol": "NNP",
    "Castros": "NNPS",
    "Casualties": "NNS",
    "Casualty": "NNP",
    "Cat": "NNP",
    "Catalina": "NNP",
    "Catalog": "NN|NNP",
    "Catalonians": "NNPS",
    "Catalyst": "NNP",
    "Catalysts": "NNS",
    "Catania": "NNP",
    "Cataracts": "NNS",
    "Catastrophe": "NN|NNP",
    "Catastrophic": "NNP",
    "Catastrophic-health": "NN",
    "Catatonia": "NNP",
    "Catch": "NN",
    "Catch-22": "NN",
    "Catcher": "NNP",
    "Catching": "VBG",
    "Cate": "NNP",
    "Cater": "NNP",
    "Caterpillar": "NNP",
    "Caters": "NNP",
    "Catfish": "NNP",
    "Cathay": "NNP",
    "Cathcart": "NNP",
    "Cathedral": "NNP",
    "Catherall": "NNP",
    "Catherine": "NNP",
    "Catherwood": "NNP",
    "Catheter": "NNP",
    "Cathleen": "NNP",
    "Cathodic": "NNP",
    "Catholic": "NNP|JJ",
    "Catholic-Jewish": "JJ",
    "Catholicism": "NNP",
    "Catholics": "NNPS|NNS",
    "Cathryn": "NNP",
    "Cathy": "NNP",
    "Catinari": "NNP",
    "Cato": "NNP",
    "Caton": "NNP",
    "Cats": "NNP",
    "Catskill": "NNP|JJ",
    "Catskills": "NNPS",
    "Catt": "NNP",
    "Cattle": "NNS|NNP",
    "Cattleguard": "NNP",
    "Cattlemen": "NNPS",
    "Cattolica": "NNP",
    "Cattrall": "NNP",
    "Catz": "NNP",
    "Caucasian": "NNP",
    "Caucasians": "NNS",
    "Caucasus": "NN",
    "Caucus": "NNP",
    "Caucusing": "VBG",
    "Cauff": "NNP",
    "Cauffman": "NNP",
    "Caufield": "NNP",
    "Caught": "VBN",
    "Caulfield": "NNP",
    "Cause": "NNP|VB",
    "Caused": "VBN",
    "Causes": "NNP",
    "Caution": "NN|VB",
    "Cautions": "NNPS",
    "Cautious": "JJ",
    "Cautiously": "RB",
    "Cav": "NNP",
    "Cavalier": "NNP",
    "Cavaliere": "NNP",
    "Cavaliers": "NNS",
    "Cavalli": "NNP",
    "Cavallinis": "NNS",
    "Cavallo": "NNP",
    "Cavalry": "NNP",
    "Cavanagh": "NNP",
    "Cavarretta": "NNP",
    "Cavazos": "NNP",
    "Cave": "NNP",
    "Cavenee": "NNP",
    "Caverns": "NNP",
    "Caves": "NNP",
    "Cavett": "NNP",
    "Cavin-Morris": "NNP",
    "Cavour": "NNP",
    "Cawdron": "NNP",
    "Cawley": "NNP",
    "Cawthorn": "NNP",
    "Cay": "NNP",
    "Caygill": "NNP",
    "Cayman": "NNP",
    "Cayne": "NNP",
    "Cays": "NNP",
    "Ceartaine": "JJ",
    "Cecchini": "NNP",
    "Cecconi": "NNP",
    "Cece": "NNP",
    "Cecelia": "NNP",
    "Cech": "NNP",
    "Cecil": "NNP",
    "Cecilia": "NNP",
    "Cecin": "NNP",
    "Ceco": "NNP",
    "Cedar": "NNP",
    "Cedars": "NNPS",
    "Cedergren": "NNP",
    "Cedric": "NNP",
    "Cedvet": "NNP",
    "Ceecee": "NNP",
    "Cefiro": "NNP",
    "Ceil": "NNP",
    "Ceilings": "NNS",
    "Cela": "NNP",
    "Celanese": "NNP",
    "Celebes": "NNPS",
    "Celebrating": "NNP",
    "Celebration": "NNP",
    "Celebrities": "NNS",
    "Celebrity": "NNP",
    "Celestial": "NNP",
    "Celestino": "NNP",
    "Celgar": "NNP",
    "Celia": "NNP",
    "Celica": "NNP",
    "Celie": "NNP",
    "Celimene": "NNP",
    "Celine": "NNP",
    "Cell": "NNP",
    "Cell-free": "JJ",
    "Cellar": "NNP",
    "Cellars": "NNP",
    "Cellist": "NNP",
    "Cellular": "NNP",
    "Cellulose": "NN",
    "Celnicker": "NNP",
    "Celsius": "NNP",
    "Celso": "NNP",
    "Celtic": "JJ|NNP",
    "Celtics": "NNPS",
    "Celtona": "NNP",
    "Cemal": "NNP",
    "Cement": "NNP",
    "Cementing": "VBG",
    "Cementos": "NNP|NNS",
    "Cemetery": "NNP",
    "Cen-Tennial": "NNP",
    "CenTrust": "NNP",
    "Cennini": "NNP",
    "Cennino": "NNP",
    "Censorship": "NN",
    "Census": "NNP",
    "Centaur": "NNP",
    "Centel": "NNP",
    "Centennial": "NNP",
    "Center": "NNP|JJ",
    "Center-punch": "VB",
    "Centerbank": "NNP",
    "Centering": "VBG",
    "Centerior": "NNP",
    "Centerre": "NNP",
    "Centers": "NNPS|VBZ",
    "Centigrade": "NN",
    "Centocor": "NNP",
    "Centoxin": "NNP",
    "Central": "NNP|JJ|NNS",
    "Central-bank": "NN",
    "Centrale": "NNP",
    "Centralia": "NNP",
    "Centrality": "NN",
    "Centralizing": "VBG",
    "Centrally": "RB",
    "Centre": "NNP",
    "Centredale": "NNP",
    "Centrex": "NNP",
    "Centronics": "NNP",
    "Centrum": "NNP",
    "Cents": "NNP|NNS",
    "Centurion": "NNP",
    "Century": "NNP",
    "Century-Fox": "NNP",
    "Cepeda": "NNP",
    "Cepheus": "NNP",
    "Ceramic": "JJ",
    "Ceramics": "NNPS",
    "Cereal": "NN|NNP",
    "Cerebral": "NNP",
    "Ceremonial": "NNP",
    "Cerf": "NNP",
    "Cerinvest": "NNP",
    "Cerise": "NNP",
    "Cernuda": "NNP",
    "Certain": "JJ|NNP",
    "Certainly": "RB",
    "Certificate": "NN|NNP",
    "Certificates": "NNP|NNS|NNPS",
    "Certificates-a": "NNP|NNPS",
    "Certification": "NNP",
    "Certified": "NNP",
    "Certs": "NNP",
    "Certus": "NNP",
    "Cerus": "NNP",
    "Cerv": "NNP",
    "Cervantes": "NNP",
    "Cervetto": "NNP",
    "Cesar": "NNP",
    "Cesare": "NNP",
    "Cessna": "NNP",
    "Cestre": "NNP",
    "Cetron": "NNP",
    "Cetus": "NNP",
    "Ceylon": "NNP",
    "Cezanne": "NNP",
    "Cezannes": "NNPS",
    "Cf.": "VB",
    "Ch": "NNP",
    "Ch.": "NN",
    "Chablis": "NNPS",
    "Chabrier": "NNP",
    "Chabrol": "NNP",
    "Chace": "NNP",
    "Chad": "NNP",
    "Chadbourne": "NNP",
    "Chadha": "NNP",
    "Chadli": "NNP",
    "Chadroe": "NNP",
    "Chadwick": "NNP",
    "Chaffey": "NNP",
    "Chafic": "NNP",
    "Chafin": "NNP",
    "Chagall": "NNP",
    "Chahar": "NNP",
    "Chai": "NNP",
    "Chaikoff": "NNP",
    "Chain": "NN",
    "Chains": "NNS",
    "Chair": "NNP",
    "Chairman": "NNP",
    "Chairman-Elect": "NNP",
    "Chairmen": "NNS",
    "Chairperson": "NNP",
    "Chairs": "NNS",
    "Chajet": "NNP",
    "Chalidale": "NNP",
    "Challenge": "NNP",
    "Challenger": "NNP",
    "Challenges": "VBZ|NNPS|NNS",
    "Challenging": "VBG",
    "Chalmers": "NNP|NNPS",
    "Chalon-sur-Saone": "NNP",
    "Chamber": "NNP",
    "Chamberlain": "NNP",
    "Chambers": "NNP|NNS|NNPS",
    "Chambre": "NNP",
    "Chamorro": "NNP",
    "Champ": "NNP",
    "Champagne": "NNP",
    "Champagnes": "NNS",
    "Champassak": "NNP",
    "Champion": "NNP",
    "Championship": "NNP",
    "Champlain": "NNP",
    "Champs": "NNP|NNS",
    "Chan": "NNP",
    "Chance": "NN|NNP",
    "Chancellor": "NNP",
    "Chancellorsville": "NNP",
    "Chancery": "NNP",
    "Chances": "NNS|NNP",
    "Chandler": "NNP",
    "Chandra": "NNP",
    "Chandross": "NNP",
    "Chane": "NNP",
    "Chanel": "NNP",
    "Chang": "NNP",
    "Change": "NNP|VB",
    "Change-ringing": "NN",
    "Changeable": "JJ",
    "Changes": "NNS|NNP|VBZ",
    "Changing": "VBG|JJ",
    "Changyi": "NNP",
    "Changyong": "NNP",
    "Channel": "NNP",
    "Channel-type": "NN",
    "Channing": "NNP",
    "Chanos": "NNP",
    "Chans": "NNS",
    "Chant": "NNP",
    "Chantal": "NNP",
    "Chantilly": "NNP",
    "Chao": "NNP",
    "Chaos": "NNP",
    "Chapdelaine": "NNP",
    "Chapel": "NNP",
    "Chapelles": "NNPS",
    "Chapin": "NNP",
    "Chaplain": "NNP",
    "Chaplin": "NNP",
    "Chaplin-like": "JJ",
    "Chapman": "NNP",
    "Chappaqua": "NNP",
    "Chappell": "NNP",
    "Chapter": "NN|NNP",
    "Chapters": "NNS",
    "Character": "NN|NNP",
    "Characteristically": "RB",
    "Characteristics": "NNS",
    "Characterizing": "VBG",
    "Characters": "NNS",
    "Charade": "NNP",
    "Charcoal": "NN",
    "Chardon": "NNP",
    "Chardonnay": "NNP",
    "Chardonnay-sipping": "JJ",
    "Chardonnays": "NNPS",
    "Charge": "VB|NNP",
    "Chargers": "NNPS",
    "Charges": "NNS",
    "Chargeurs": "NNP",
    "Charging": "VBG",
    "Chariots": "NNS",
    "Charisma": "NNP",
    "Charitable": "JJ",
    "Charities": "NNPS|NNS",
    "Charity": "NN|NNP",
    "Charlayne": "NNP",
    "Charlemagne": "NNP",
    "Charlene": "NNP",
    "Charles": "NNP",
    "Charleston": "NNP",
    "Charlestonians": "NNS|NNPS",
    "Charlet": "NNP",
    "Charley": "NNP",
    "Charlie": "NNP",
    "Charlotte": "NNP",
    "Charlottesville": "NNP",
    "Charls": "NNP",
    "Charlton": "NNP",
    "Charm": "NNP",
    "Charmer": "NNP",
    "Charming": "JJ|NNP",
    "Charnock": "NNP",
    "Chart": "NN|NNP",
    "Charta": "NNP",
    "Charter": "NNP",
    "Chartered": "NNP",
    "Charterhouse": "NNP",
    "Charters": "NNP",
    "Chartres": "NNP",
    "Charts": "NNS",
    "Chartwell": "NNP",
    "Chase": "NNP",
    "Chaseman": "NNP",
    "Chases": "NNPS",
    "Chastened": "VBN",
    "Chateau": "NNP",
    "Chateaubriand": "NNP",
    "Chateauvallon": "NNP",
    "Chatha": "NNP",
    "Chatham": "NNP",
    "Chatset": "NNP",
    "Chatsworth": "NNP",
    "Chattanooga": "NNP",
    "Chatter-Proofed": "JJ",
    "Chatterji": "NNP",
    "Chatterton": "NNP",
    "Chatwal": "NNP",
    "Chaucer": "NNP",
    "Chauncey": "NNP",
    "Chausson": "NNP",
    "Chautauqua": "NNP",
    "Chavanne-Ketin": "NNP",
    "Chaves": "NNP",
    "Chavez": "NNP",
    "Chavis": "NNP",
    "Chayefsky": "NNP",
    "Chayet": "NNP",
    "Chazanoff": "NNP",
    "Che": "NNP",
    "Cheap": "JJ",
    "Cheat": "NNP",
    "Chebrikov": "NNP",
    "Checchi": "NNP",
    "Checchi-Skinner": "NNP",
    "Checci": "NNP",
    "Check": "VB|NNP",
    "Check-List": "NNP",
    "Checked": "VBN",
    "Checkit": "NNP",
    "Checkrobot": "NNP",
    "Checks": "NNS",
    "Cheddi": "NNP",
    "Cheer": "NNP|VB",
    "Cheered": "VBN",
    "Cheerful": "JJ",
    "Cheerios": "NNPS",
    "Cheerios-brand": "JJ",
    "Cheers": "NNP",
    "Cheese": "NNP",
    "Cheeseheads": "NNS",
    "Cheeses": "NNPS",
    "Cheetham": "NNP",
    "Cheez": "NNP",
    "Chef": "NNP",
    "Chehel": "NNP",
    "Cheil": "NNP",
    "Chekhov": "NNP",
    "Chekhovian": "JJ",
    "Chekovian": "JJ",
    "Chelmno": "NNP",
    "Chelmsford": "NNP",
    "Chelsea": "NNP",
    "Chem": "NNP",
    "Chem-Con": "NNP",
    "ChemPlus": "NNP",
    "Chemcat": "NNP",
    "Chemex": "NNP",
    "Chemfix": "NNP",
    "Chemical": "NNP|JJ",
    "Chemicals": "NNPS|NNS",
    "Chemische": "NNP",
    "Chemistry": "NNP",
    "Chemists": "NNS",
    "Chen": "NNP",
    "Chenevix-Trench": "NNP",
    "Cheney": "NNP",
    "Cheng": "NNP",
    "Chengdu": "NNP",
    "Chennault": "NNP",
    "Chenoweth": "NNP",
    "Chequers": "NNP",
    "Cher": "NNP",
    "Cheri": "NNP",
    "Cherkasov": "NNP",
    "Chernishev": "NNP",
    "Chernobyl": "NNP",
    "Chernobyl-type": "JJ",
    "Cherokee": "NNP",
    "Cherokees": "NNPS",
    "Cherry": "NNP",
    "Cherwell": "NNP",
    "Cheryl": "NNP",
    "Ches": "NNP",
    "Chesaning": "NNP",
    "Chesapeake": "NNP",
    "Chesebrough-Pond": "NNP",
    "Cheshire": "NNP",
    "Chesley": "NNP",
    "Chesly": "NNP",
    "Chesshire": "NNP",
    "Chessman": "NNP",
    "Chester": "NNP",
    "Chesterfield": "NNP",
    "Chesterton": "NNP",
    "Chestman": "NNP",
    "Chestnut": "NNP",
    "Chestnuts": "NNS",
    "Chet": "NNP",
    "Chetta": "NNP",
    "Cheung": "NNP",
    "Cheval": "NNP",
    "Chevalier": "NNP",
    "Chevaline": "NNP",
    "Chevenement": "NNP",
    "Cheveralls": "NNP",
    "Chevrolet": "NNP",
    "Chevrolet-Pontiac-GM": "NNP",
    "Chevrolets": "NNPS",
    "Chevron": "NNP",
    "Chevy": "NNP",
    "Chewing": "VBG",
    "Chex": "NNP",
    "Cheyenne": "NNP",
    "Cheyennes": "NNPS",
    "Chez": "NNP",
    "Chg": "NN",
    "Chi": "NNP",
    "Chiang": "NNP",
    "Chiappa": "NNP",
    "Chiaromonte": "NNP",
    "Chiat": "NNP",
    "Chiat/Day": "NNP",
    "Chiat/Day/Mojo": "NNP",
    "Chiba": "NNP",
    "Chica": "NNP",
    "Chicago": "NNP",
    "Chicago-Helsinki": "NNP",
    "Chicago-Manchester": "NNP",
    "Chicago-Montreal": "NNP",
    "Chicago-Paris": "NNP",
    "Chicago-Warsaw": "NNP",
    "Chicago-area": "JJ",
    "Chicago-based": "JJ",
    "Chicago-centric": "JJ",
    "Chicago-style": "JJ",
    "Chicagoan": "NNP",
    "Chicagoans": "NNPS|NNS",
    "Chickasaws": "NNPS",
    "Chicken": "NNP",
    "Chickens": "NNS",
    "Chico": "NNP",
    "Chicopee": "NNP",
    "Chief": "NNP|JJ",
    "Chiefly": "RB",
    "Chiefs": "NNPS",
    "Chieftains": "NNP",
    "Chien": "NNP|FW",
    "Chien-Min": "NNP",
    "Chieti": "NNP",
    "Chiggers": "NNS",
    "Chiharu": "NNP",
    "Chihuahua": "NNP",
    "Chilblains": "NNS",
    "Child": "NN|NNP",
    "Childe": "NNP",
    "Childhood": "NNP",
    "Children": "NNP|NNS|NNPS",
    "Childs": "NNP",
    "Chile": "NNP",
    "Chilean": "JJ",
    "Chili": "NNP",
    "Chill": "NNP|NN",
    "Chiller": "NNP",
    "Chilly": "JJ",
    "Chilmark": "NNP",
    "Chilver": "NNP",
    "Chim": "NNP",
    "Chimanbhai": "NNP",
    "Chimerine": "NNP",
    "Chimicles": "NNP",
    "Chimie": "NNP",
    "Chin": "NNP",
    "Chin-Use": "VB",
    "China": "NNP",
    "China-bound": "JJ",
    "China-investment": "JJ",
    "China-watcher": "NN",
    "Chinaman": "NNP",
    "Chinchon": "NNP",
    "Chinese": "JJ|NNPS|NNS",
    "Chinese-American": "NNP|JJ",
    "Chinese-American-Canadian": "JJ",
    "Chinese-British": "JJ",
    "Chinese-Soviet": "NNP",
    "Chinese-inspired": "JJ",
    "Chinese-style": "JJ",
    "Ching": "NNP",
    "Chinn": "NNP",
    "Chino": "NNP",
    "Chinook": "NNP",
    "Chinooks": "NNS",
    "Chiodo": "NNP",
    "Chion": "NNP",
    "Chip": "NN|NNP",
    "Chip-o": "NNP",
    "Chipello": "NNP",
    "Chipmunks": "NNPS",
    "Chippendale": "NNP",
    "Chipping": "VBG",
    "Chips": "NNP|NNPS",
    "Chirac": "NNP",
    "Chiriqui": "NNP",
    "Chiron": "NNP",
    "Chisholm": "NNP",
    "Chiuchow": "NNP",
    "Chiusano": "NNP",
    "Chivas": "NNP",
    "Chlorothiazide": "NN",
    "Chlortetracycline": "NN",
    "Chmn.": "NNP",
    "Cho-Liang": "NNP",
    "Choctaw": "NNP",
    "Choctaws": "NNPS",
    "Chodorow": "NNP",
    "Choice": "NN|NNP",
    "Choices": "NNS|NNPS",
    "Choir": "NN|NNP",
    "Chojnowski": "NNP",
    "Chok": "NNP",
    "Choking": "VBG",
    "Cholesterol": "NN",
    "Cholet": "NNP",
    "Cholet-Dupont": "NNP",
    "Chong": "NNP",
    "Chong-sik": "NNP",
    "Chongju": "NNP",
    "Choong": "NNP",
    "Choose": "VB",
    "Choosing": "VBG",
    "Chopin": "NNP",
    "Choral": "NNP",
    "Chorale": "NNP",
    "Chore": "NN",
    "Choreographed": "VBN",
    "Chores": "NNS",
    "Chorney": "NNP",
    "Chorrillos": "NNP",
    "Chorus": "NNP",
    "Chosen": "NNP",
    "Chou": "NNP",
    "Chow": "NNP",
    "Chris": "NNP",
    "Chris-Craft": "NNP",
    "Chrisanthopoulos": "NNP",
    "Chriss": "NNP",
    "Chrissake": "UH",
    "Christ": "NNP|UH",
    "Christ-like": "JJ",
    "Christendom": "NNP",
    "Christensen": "NNP",
    "Christer": "NNP",
    "Christi": "NNP",
    "Christian": "NNP|NNS|JJ",
    "Christian-Democratic": "NNP",
    "Christian-Moslem": "JJ",
    "Christian-dominated": "JJ",
    "Christiana": "NNP",
    "Christiane": "NNP",
    "Christiania": "NNP",
    "Christianity": "NNP",
    "Christians": "NNS|NNPS",
    "Christiansen": "NNP",
    "Christianson": "NNP",
    "Christic": "NNP",
    "Christie": "NNP",
    "Christies": "NNP",
    "Christiev": "NNP",
    "Christina": "NNP",
    "Christine": "NNP",
    "Christmas": "NNP",
    "Christmas-like": "JJ",
    "Christmas-season": "NN",
    "Christmas-time": "JJ",
    "Christmas-tree": "JJ",
    "Christmastime": "NNP",
    "Christoph": "NNP",
    "Christopher": "NNP",
    "Christophers": "NNPS",
    "Christopoulos": "NNP",
    "Christos": "NNP",
    "Christrian": "NNP",
    "Christsake": "NN",
    "Christy": "NNP",
    "Chromatography": "NN|NNP",
    "Chrome": "NNP",
    "Chromium": "NN",
    "Chromosome": "NN",
    "Chromspun": "NNP",
    "Chronicle": "NNP",
    "Chronicles": "NNS|NNP",
    "Chronometer": "NNP",
    "Chrysalis": "NNP",
    "Chrysler": "NNP",
    "Chrysler-Plymouth": "NNP",
    "Chrysler-brand": "JJ",
    "Chu": "NNP",
    "Chubb": "NNP",
    "Chubu": "NNP",
    "Chucas": "NNP",
    "Chuck": "NNP|VB",
    "Chugai": "NNP",
    "Chugoku": "NNP",
    "Chukchi": "NNP",
    "Chula": "NNP",
    "Chun": "NNP",
    "Chung": "NNP",
    "Church": "NNP",
    "Churches": "NNP|NNS|NNPS",
    "Churchill": "NNP",
    "Churchillian": "JJ",
    "Churchilliana": "NNPS",
    "Churchyard": "NNP",
    "Churning": "NN",
    "Churpek": "NNP",
    "Chye": "NNP",
    "Chyron": "NNP",
    "Cia.": "NNP",
    "Ciao": "FW",
    "Ciardi": "NNP",
    "Ciavarella": "NNP",
    "Ciba": "NNP",
    "Ciba-Geigy": "NNP|JJ",
    "Cibula": "NNP",
    "Cicero": "NNP",
    "Ciceronian": "JJ",
    "Cichan": "NNP",
    "Cici": "NNP",
    "Ciciulla": "NNP",
    "Cicognani": "NNP",
    "Cid": "NNP",
    "Cie": "NNP",
    "Cie.": "NNP",
    "Cieca": "NNP",
    "Ciera": "NNP",
    "Cif": "NNP",
    "Cigarette": "NN|NNP",
    "Cigarette-vending": "JJ",
    "Cigna": "NNP",
    "Cilcorp": "NNP",
    "Cilluffo": "NNP",
    "Cima": "NNP",
    "Cimabue": "NNP",
    "Cimflex": "NNP",
    "Ciminero": "NNP",
    "Cimoli": "NNP",
    "Cinalli": "NNP",
    "Cincinnati": "NNP|NNS",
    "Cincinnati-based": "JJ",
    "Cinderella": "NNP",
    "Cindy": "NNP",
    "Cinegrill": "NNP",
    "Cinema": "NNP",
    "Cinemactor": "NNP",
    "Cinematografica": "NNP",
    "Cinematographer": "NN",
    "Cinemax": "NNP",
    "Cineplex": "NNP",
    "Cinerama": "NN",
    "Cinnaminson": "NNP",
    "Cinnamon": "NNP",
    "Cinq": "NNP",
    "Cinzano": "NNP",
    "Cioffi": "NNP",
    "Cipher": "NNP",
    "Cipolla": "NNP",
    "Ciporkin": "NNP",
    "Cipriani": "NNP",
    "Cipriano": "NNP",
    "Cir": "NNP",
    "Cir.": "NNP",
    "Circle": "NNP",
    "Circles": "NNS",
    "Circuit": "NNP",
    "Circuit-breaker": "JJ",
    "Circular": "NNP|JJ",
    "Circulation": "NNP|NN",
    "Circulations": "NNP",
    "Circumstance": "NNP",
    "Circumstances": "NNS",
    "Circus": "NNP",
    "Circus-Circus": "NNP",
    "Ciriaco": "NNP",
    "Cirillo": "NNP",
    "Cirino": "NNP",
    "Cirona": "NNP",
    "Cirrus": "NNP",
    "Cisneros": "NNP",
    "Citadel": "NNP",
    "Citation": "NNP",
    "Cite": "VBP",
    "Cited": "VBN",
    "Cites": "VBZ",
    "Citibank": "NNP",
    "Citic": "NNP|JJ",
    "Citicorp": "NNP|NNPS|VB",
    "Cities": "NNPS|NNS",
    "Cities-ABC": "NNP",
    "Cities/ABC": "NNP",
    "Citing": "VBG|NNP",
    "Citizen": "NNP",
    "Citizen/Labor": "NNP",
    "Citizens": "NNPS|NNS",
    "Citroen": "NN",
    "Citrus": "NNP",
    "City": "NNP",
    "City-based": "JJ",
    "City-type": "JJ",
    "CityFed": "NNP",
    "Ciudad": "NNP",
    "Civ.": "NNP",
    "Civic": "NNP|JJ",
    "Civics": "NNPS",
    "Civil": "NNP|JJ",
    "Civil-rights": "NNS|JJ",
    "Civilian": "NNP",
    "Civilian-groups": "NNPS",
    "Civilization": "NN|NNP",
    "Civilized": "JJ",
    "Clabir": "NNP",
    "Clad": "VBN",
    "Claeson": "NNP",
    "Claeys": "NNP",
    "Claiborne": "NNP",
    "Claim": "VB|NN",
    "Claimants": "NNPS",
    "Claiming": "VBG",
    "Claims": "NNP|NNPS|NNS",
    "Clair": "NNP",
    "Claire": "NNP",
    "Clairol": "NNP",
    "Clairson": "NNP",
    "Clairton": "NNP",
    "Clams": "NNS",
    "Clan": "NNP",
    "Clanahan": "NNP",
    "Clancy": "NNP",
    "Clandestine": "JJ",
    "Clapp": "NNP",
    "Clapper": "NNP",
    "Clapping": "VBG",
    "Clara": "NNP",
    "Clarcor": "NNP",
    "Clardy": "NNP",
    "Clare": "NNP",
    "Claremont": "NNP",
    "Clarence": "NNP",
    "Clarendon": "NNP",
    "Clarice": "NNP",
    "Claridge": "NNP",
    "Clarinet": "NN",
    "Clarion": "NNP",
    "Clarita": "NNP",
    "Clark": "NNP",
    "Clarke": "NNP",
    "Clarks": "NNS",
    "Clarksburg": "NNP",
    "Clarkson": "NNP",
    "Clashes": "NNS",
    "Clasping": "VBG",
    "Class": "NNP",
    "Class-D": "NNP",
    "Classes": "NNS",
    "Classic": "NNP|JJ",
    "Classical": "NNP",
    "Classicist": "NN",
    "Classics": "NNS|NNPS",
    "Classified": "JJ|NNP",
    "Classroom": "NNP",
    "Classy": "NNP",
    "Claude": "NNP",
    "Claude-Eric": "NNP",
    "Claudia": "NN",
    "Claudio": "NNP",
    "Claus": "NNP",
    "Clause": "NN",
    "Clausen": "NNP",
    "Clavier": "NN",
    "Claws": "NNS",
    "Clay": "NNP",
    "Clays": "NNP",
    "Clayt": "NNP",
    "Clayton": "NNP",
    "Clayton-Pedersen": "NNP",
    "Claytor": "NNP",
    "Clean": "NNP|JJ|VB",
    "Cleaned": "VBN",
    "Cleaner": "NNP",
    "Cleaning": "VBG|NN",
    "Cleanth": "NNP",
    "Clear": "NNP",
    "Clearance": "NN",
    "Clearasil": "NNP",
    "Clearer": "JJR",
    "Clearing": "NNP",
    "Clearly": "RB|NNP",
    "Clearwater": "NNP",
    "Cleary": "NNP",
    "Cleave": "NNP",
    "Cleaver": "NNP",
    "Cleburne": "NNP",
    "Cleland": "NNP",
    "Clemence": "NN",
    "Clemenceau": "NNP",
    "Clemens": "NNP",
    "Clemensen": "NNP",
    "Clement": "NNP",
    "Clemente": "NNP",
    "Clements": "NNP",
    "Clemson": "NNP",
    "Clendenin": "NNP",
    "Cleo": "NNP",
    "Cleopatra": "NNP",
    "Cleota": "NNP",
    "Clerfayt": "NNP",
    "Clericis": "NNP",
    "Clerk": "NNP",
    "Clerks": "NNS|NNP",
    "Cleva": "NNP",
    "Cleve": "NNP",
    "Cleveland": "NNP",
    "Cleveland-Cliffs": "NNP",
    "Cleveland-based": "JJ",
    "Clever": "JJ|NNP",
    "Cliburn": "NNP",
    "Clients": "NNS",
    "Cliff": "NNP",
    "Clifford": "NNP",
    "Cliffs": "NNPS|NNP",
    "Clifton": "NNP",
    "Climate": "NN|NNP",
    "Climb": "VB",
    "Climbing": "VBG",
    "Cline": "NNP",
    "Clinic": "NNP",
    "Clinical": "NNP|JJ",
    "Clinico-pathologic": "NNP",
    "Clinics": "NNP",
    "Clinique": "NNP",
    "Clint": "NNP",
    "Clinton": "NNP",
    "Clintonville": "NNP",
    "Clipper": "NNP",
    "Clive": "NNP",
    "Cloquet": "NNP",
    "Clorets": "NNP",
    "Clorox": "NNP",
    "Close": "NNP|RB|VB|VBP|JJ",
    "Close-up": "NNP",
    "Closed": "JJ|VBN|NNP",
    "Closed-end": "JJ",
    "Closely": "RB",
    "Closen": "NNP",
    "Closer": "RBR",
    "Closes": "VBZ",
    "Closing": "NN|VBG",
    "Clostridium": "NN",
    "Cloth": "NNP",
    "Clothes": "NNPS|NNS",
    "ClothesTime": "NNP",
    "Clothestime": "NNP",
    "Clothiers": "NNP|NNPS",
    "Clothing": "NNP|NN",
    "Cloud": "NNP",
    "Cloudcroft": "NNP",
    "Clouds": "NNP",
    "Clough": "NNP",
    "Clov": "NNP",
    "Clow": "NNP",
    "Clozapine": "NNP",
    "Clozaril": "NNP",
    "Club": "NNP",
    "Clubhouse": "NNP",
    "Clubs": "NNP|NNPS|NNS",
    "Cluck": "NNP",
    "Clue": "NNP",
    "Clueless": "NNP",
    "Cluett": "NNP",
    "Cluff": "NNP",
    "Cluggish": "NNP",
    "Clumps": "NNS",
    "Clurman": "NNP",
    "Clyde": "NNP",
    "Clyfford": "NNP",
    "Cmdr.": "NNP",
    "Co": "NNP",
    "Co-Chief": "NNP",
    "Co-Renitec": "NNP",
    "Co-author": "NN",
    "Co-authors": "NNS",
    "Co-cola": "NNP",
    "Co-op": "NN|NNP",
    "Co-operative": "NNP",
    "Co-optation": "NN",
    "Co-sponsoring": "NNP",
    "Co.": "NNP|NNPS",
    "CoAdvil": "NNP",
    "CoGen": "NNP",
    "Coach": "VB|NNP",
    "Coaching": "NN",
    "Coal": "NN|NNP",
    "Coalition": "NNP",
    "Coan": "NNP",
    "Coast": "NNP|JJ",
    "Coast-based": "JJ",
    "CoastAmerica": "NNP",
    "Coastal": "NNP|JJ",
    "Coastline": "NNP",
    "Coasts": "NNPS",
    "Coat": "NNP",
    "Coatedboard": "NNP",
    "Coates": "NNP",
    "Coatings": "NNP",
    "Coats": "NNP|NNS|NNPS",
    "Cobb": "NNP",
    "Cobbs": "NNS",
    "Coble": "NNP",
    "Cobo": "NNP",
    "Cobra": "NNP",
    "Coburg": "NNP",
    "Coburn": "NNP",
    "Coca": "NNP",
    "Coca-Cola": "NNP",
    "Cocaine": "NN",
    "Coche-Dury": "NNP",
    "Cochran": "NNP",
    "Cochrane": "NNP",
    "Cockburn": "NNP",
    "Cockerel": "NNP",
    "Cocktail": "NN",
    "Cocktails": "NNS",
    "Cocoa": "NNP",
    "Cocom": "NNP",
    "Coconut": "NNP",
    "Coconuts": "NNPS|NNS",
    "Cocoons": "NNS",
    "Cocteau": "NNP",
    "Cod": "NNP",
    "Coda": "NNP",
    "Coddington": "NNP",
    "Code": "NNP",
    "Code-Alarm": "NNP",
    "Codevilla": "NNP",
    "Codification": "NN",
    "Codifying": "VBG",
    "Cody": "NNP",
    "Coe": "NNP",
    "Coeditors": "NNS",
    "Coelho": "NNP",
    "Coen": "NNP",
    "Coesfeld": "NNP",
    "Coeur": "NNP",
    "Coffee": "NNP",
    "Coffee-House": "NNP",
    "Coffee-shop": "NN",
    "Coffey": "NNP",
    "Coffield": "NNP",
    "Coffin": "NNP",
    "Cofide": "NNP",
    "Cogan": "NNP",
    "Cogefar": "NNP",
    "Cogen": "NNP",
    "Cogeneration": "NNP",
    "Cognex": "NNP",
    "Cognos": "NNP",
    "Cohen": "NNP",
    "Cohens": "NNPS",
    "Coherent": "NNP",
    "Cohn": "NNP",
    "Cohodes": "NNP",
    "Coiffet": "NNP",
    "Coin": "NNP",
    "Coincidences": "NNPS",
    "Coincident": "JJ",
    "Coincidentally": "RB",
    "Coke": "NNP",
    "Cokely": "NNP",
    "Cokes": "NNS",
    "Col.": "NNP",
    "Cola": "NNP",
    "Colavito": "NNP",
    "Colbert": "NNP",
    "Colby": "NNP",
    "Colcord": "NNP",
    "Cold": "NNP|JJ",
    "Colder": "JJR",
    "Coldwater": "NNP",
    "Coldwell": "NNP",
    "Cole": "NNP",
    "Coleco": "NNP",
    "Colee": "NNP",
    "Colefax": "NNP",
    "Coleman": "NNP",
    "Coleridge": "NNP",
    "Coles": "NNP",
    "Coletta": "NNP",
    "Colfax": "NNP",
    "Colgate": "NNP",
    "Colgate-Palmolive": "NNP",
    "Colin": "NNP",
    "Colinas": "NNP",
    "Coliseum": "NNP",
    "Collaborative": "NNP",
    "Collagen": "NNP",
    "Collateral": "NN",
    "Collateralized": "NNP",
    "Colleagues": "NNS",
    "Collected": "NNP",
    "Collectibles": "NNP|NNS",
    "Collecting": "NNP",
    "Collection": "NNP",
    "Collections": "NNS",
    "Collective": "NNP",
    "Collectively": "RB",
    "Collector": "NNP",
    "Collectors": "NNS",
    "Colleen": "NNP",
    "College": "NNP",
    "Colleges": "NNS|NNP",
    "Collegiate": "NNP",
    "Collett": "NNP",
    "Collier": "NNP",
    "Collingwood": "NNP",
    "Collins": "NNP",
    "Collinsville": "NNP",
    "Collischon": "NNP",
    "Collision": "NNP",
    "Collor": "NNP",
    "Colloton": "NNP",
    "Collyer": "NNP",
    "Colman": "NNP",
    "Colmans": "NNPS",
    "Colmer": "NNP",
    "Colnaghi": "NNP",
    "Colo": "NNP",
    "Colo.": "NNP",
    "Colodny": "NNP",
    "Cologne": "NNP",
    "Colombatto": "NNP",
    "Colombia": "NNP",
    "Colombian": "JJ|NNP",
    "Colombians": "NNPS|NNS",
    "Colombo": "NNP",
    "Colon": "NN|NNP",
    "Colonel": "NNP",
    "Colonia": "NNP",
    "Colonial": "NNP|JJ",
    "Colonialism": "NN",
    "Colonna": "NNP",
    "Colonsville": "NNP",
    "Colonus": "NNP",
    "Colony": "NNP",
    "Color": "NNP|JJ",
    "Colorado": "NNP",
    "Colorado-Ute": "NNP",
    "ColoradoUte": "NNP",
    "Colorama": "NN",
    "Colorcoat": "NNP",
    "Colored": "NNP|JJ",
    "Colorful": "JJ",
    "Colorliner": "NNP",
    "Colorocs": "NNP",
    "Colors": "NNS|NNPS",
    "Colosseum": "NNP",
    "Colossians": "NNPS",
    "Colossus": "NNP",
    "Colquitt": "NNP",
    "Cols": "NNP",
    "Colson": "NNP",
    "Colston": "NNP",
    "Colt": "NNP",
    "Colton": "NNP",
    "Colts": "NNP",
    "Coltsman": "NN",
    "Colucci": "NNP",
    "Columbia": "NNP",
    "Columbiana": "NNP",
    "Columbus": "NNP",
    "Column": "NN|NNP",
    "Columnist": "NNP",
    "Columnists": "NNS",
    "Columns": "NNS|NNPS",
    "Colvin": "NNP",
    "Colzani": "NNP",
    "Com": "NNP",
    "ComFed": "NNP",
    "Comair": "NNP",
    "Comanche": "NNP",
    "Comanches": "NNPS",
    "Comany": "NNP",
    "Combat": "NNP",
    "Combatting": "VBG",
    "Combe": "NNP",
    "Combellack": "NNP",
    "Combine": "VB",
    "Combined": "VBN|JJ|NNP",
    "Combining": "VBG",
    "Combis": "NNPS",
    "Combo": "NNP",
    "Combs": "NNP",
    "Combses": "NNPS",
    "Combustion": "NNP",
    "Comcast": "NNP",
    "Comdisco": "NNP",
    "Come": "VBN|VB|VBP|NNP",
    "Comeau": "NNP",
    "Comeback": "NNP",
    "Comecon": "NNP",
    "Comedian": "NN",
    "Comedie": "NNP",
    "Comedy": "NNP",
    "Comend": "VB",
    "Comenico": "NNP",
    "Comer": "NNP",
    "Comerica": "NNP",
    "Comes": "VBZ",
    "Comet": "NNP",
    "Comex": "NNP",
    "Comfed": "NNP",
    "Comfort": "NNP",
    "Comfortably": "RB",
    "Comic": "NNP",
    "Comics": "NNPS",
    "Comin": "VBG",
    "Cominco": "NNP",
    "Cominform": "NNP",
    "Coming": "VBG|NNP",
    "Comique": "NNP",
    "Comiskey": "NNP",
    "Comission": "NNP",
    "Comissioner": "NNP",
    "Commack": "NNP",
    "Command": "NNP",
    "Commandeering": "VBG",
    "Commander": "NNP",
    "Commander-in-Chief": "NNP",
    "Commander-in-Chief...": ":",
    "Commanders": "NNPS",
    "Commanding": "VBG",
    "Commandment": "NN",
    "Commands": "NNS",
    "Commemorative": "NNP",
    "Commencing": "VBG",
    "Comment": "NN|NNP",
    "Commentaries": "NNPS",
    "Commentary": "NNP",
    "Commentators": "NNS",
    "Commenting": "VBG",
    "Comments": "NNS|NNPS",
    "Commercants": "NNP",
    "Commerce": "NNP",
    "CommerceBancorp": "NNP",
    "Commercial": "NNP|FW|JJ",
    "Commerciale": "NNP",
    "Commercializing": "VBG",
    "Commercials": "NNS",
    "Commerzbank": "NNP",
    "Commies": "NNPS|NNS",
    "Commisioner": "NNP",
    "Commissary": "NNP",
    "Commission": "NNP|FW",
    "Commission-controlled": "JJ",
    "Commission.": "NNP",
    "Commissioned": "VBN",
    "Commissioner": "NNP",
    "Commissioners": "NNPS|NNS",
    "Commissioning": "VBG",
    "Commissions": "NNS|NNPS",
    "Commitment": "NNP",
    "Committed": "VBN",
    "Committee": "NNP",
    "Committeeman": "NNP",
    "Committeemen": "NNS",
    "Committees": "NNS|NNP",
    "Commodities": "NNS|NNP|NNPS",
    "Commodity": "NNP",
    "Commodore": "NNP",
    "Common": "JJ|NNP",
    "Common-law": "JJ",
    "Commoner": "NNP",
    "Commonly": "RB",
    "Commons": "NNPS|NNP",
    "Commonweal": "NNP",
    "Commonwealth": "NNP",
    "Commune": "NNP",
    "Communese": "NNP",
    "Communication": "NNP",
    "Communications": "NNPS|NNS",
    "Communion": "NNP",
    "Communism": "NNP",
    "Communisn": "NN",
    "Communist": "NNP|NNPS|JJ",
    "Communist-designed": "JJ",
    "Communist-inspired": "JJ",
    "Communist-led": "JJ",
    "Communist-type": "JJ",
    "Communistic": "JJ",
    "Communists": "NNPS|NNS",
    "Communities": "NNPS|NNS",
    "Community": "NNP",
    "Compact": "NNP",
    "Compagnie": "NNP",
    "Compania": "NNP",
    "Companies": "NNS|NNPS",
    "Companion": "NN|NNP",
    "Company": "NN|NNP",
    "Compaore": "NNP",
    "Compaq": "NNP|VB",
    "Comparable": "JJ",
    "Comparable-store": "JJ",
    "Comparative": "JJ",
    "Compare": "VB|VBP",
    "Compared": "VBN",
    "Comparing": "VBG",
    "Compassion": "NNP",
    "Compassionately": "RB",
    "Compelled": "VBN",
    "Compensation": "NNP",
    "Competent": "JJ",
    "Competes": "VBZ",
    "Competing": "VBG",
    "Competition": "NN|NNP",
    "Competitive": "JJ|NNP",
    "Competitors": "NNS",
    "Compeyson": "NNP",
    "Compiegne": "NNP",
    "Compilation": "NN",
    "Compiled": "VBN",
    "Compiler": "NN",
    "Complaint": "NN",
    "Complaints": "NNS",
    "Complementing": "VBG",
    "Complete": "JJ|NNP|VB",
    "Completed": "VBN",
    "Completes": "VBZ",
    "Completing": "VBG",
    "Completion": "NN|NNP",
    "Completions": "NNS",
    "Complex": "JJ|NNP",
    "Complexity": "NN",
    "Compliance": "NNP",
    "Complicating": "VBG",
    "Complicity": "NN",
    "Complying": "VBG",
    "Components": "NNP|NNPS",
    "Composer": "NN",
    "Composers": "NNPS",
    "Composite": "NNP|JJ",
    "Compound": "NN|JJ",
    "Compounding": "VBG",
    "Comprecin": "NNP",
    "Comprehensive": "NNP|JJ",
    "Compress": "VB",
    "Compression": "NN|NNP",
    "Comprised": "VBN",
    "Compromise": "NNP",
    "Compromises": "NNS",
    "Compromising": "VBG",
    "Compson": "NNP",
    "Compton": "NNP",
    "Comptroller": "NNP",
    "CompuChem": "NNP",
    "CompuServe": "NNP",
    "Compulsions": "NNP",
    "Compulsive": "JJ",
    "Compulsory": "JJ",
    "Compumat": "NNP",
    "Computation": "NNP",
    "Computations": "NNS",
    "Compute": "VB",
    "Computer": "NNP",
    "Computer-generated": "JJ",
    "Computer-guided": "JJ",
    "Computer-peripherals": "NNS",
    "ComputerLand": "NNP",
    "ComputerWorld": "NNP",
    "Computerized": "JJ",
    "Computers": "NNPS|NNS",
    "Computerworld": "NNP",
    "Computing": "NNP|VBG",
    "Comrade": "NN",
    "Comrades": "NNPS",
    "Comroe": "NNP",
    "Comsat": "NNP",
    "Comstock": "NNP",
    "Comstron": "NNP",
    "Comtes": "NNP",
    "Comus": "NNP",
    "Comvik": "NNP",
    "Con": "NN|NNP|JJ",
    "ConAgra": "NNP",
    "Conable": "NNP",
    "Conalco": "NNP",
    "Conan": "NNP",
    "Conant": "NNP",
    "Conasupo": "NNP",
    "Conaway": "NNP",
    "Conceding": "VBG",
    "Conceivably": "RB",
    "Conceived": "VBN",
    "Concept": "NNP",
    "Conception": "NNP",
    "Conceptions": "NNS",
    "Concepts": "NNP|NNS|NNPS",
    "Conceptually": "RB",
    "Concern": "NN",
    "Concerned": "VBN|NNP|JJ",
    "Concerning": "VBG",
    "Concerns": "NNS",
    "Concert": "NNP",
    "Concert-Disc": "NNP",
    "Concertante": "NNP",
    "Concerto": "NNP",
    "Concerts": "NNPS|NNS",
    "Concessionaires": "NNS",
    "Concetta": "NNP",
    "Conchita": "NNP",
    "Concise": "JJ",
    "Concludes": "VBZ",
    "Concluding": "VBG",
    "Conclusions": "NNS",
    "Concocts": "VBZ",
    "Concord": "NNP",
    "Concordance": "NN",
    "Concorde": "NNP",
    "Concordes": "NNP",
    "Concrete": "NNP|JJ",
    "Concurrence": "NN",
    "Concurrent": "JJ",
    "Concurrently": "RB|NNP",
    "Conde": "NNP",
    "Condensation": "NN",
    "Conder": "NNP",
    "Condit": "NNP",
    "Condition": "NN|NNP",
    "Conditions": "NNS",
    "Condliffe": "NNP",
    "Condominium": "NNP",
    "Condoms": "NNS",
    "Condor": "NNP",
    "Condos": "NNS",
    "Conduct": "NNP|VB",
    "Conducted": "VBN",
    "Conductor": "NN|NNP",
    "Conduit": "NNP",
    "Conduits": "NNS",
    "Cone": "NNP",
    "Conestoga": "NNP",
    "Coney": "NNP",
    "Confabulation": "NN",
    "Confair": "NNP",
    "Confectioner": "NNP",
    "Confectionery": "JJ|NNP",
    "Confederacy": "NNP",
    "Confederate": "NNP|JJ",
    "Confederates": "NNS",
    "Confederation": "NNP",
    "Confederations": "NNPS",
    "Confer": "NNP",
    "Conferees": "NNS",
    "Conference": "NNP",
    "Conferences": "NNPS|NNS",
    "Confess": "VB",
    "Confession": "NNP|NN",
    "Confessions": "NNPS|NNS",
    "Confidence": "NN|NNP",
    "Confident": "JJ",
    "Confidential": "NNP",
    "Confidently": "RB",
    "Confiding": "VBG",
    "Confindustria": "NNP",
    "Confirmation": "NN",
    "Confirming": "VBG",
    "Confiscated": "VBN|JJ",
    "Conflict": "NN",
    "Conforming": "NN",
    "Confrontation": "NN",
    "Confronted": "VBN",
    "Confucian": "NNP|JJ",
    "Confucianism": "NNP",
    "Confucius": "NNP",
    "Confused": "VBN|JJ",
    "Confusion": "NN",
    "Confutatis": "FW",
    "Confuted": "NNP",
    "Cong": "NNP",
    "Congdon": "NNP",
    "Congel": "NNP",
    "Conger": "NNP",
    "Congo": "NNP",
    "Congolese": "JJ|NNP",
    "Congratulations": "NNS|UH",
    "Congregation": "NNP",
    "Congregational": "NNP|JJ",
    "Congregational-Baptist": "NNP",
    "Congregationalism": "NNP",
    "Congregationalist": "NN",
    "Congregationalists": "NNS",
    "Congress": "NNP",
    "Congresses": "NNS",
    "Congressional": "NNP|JJ",
    "Congressman": "NNP",
    "Congressmen": "NNS|NNPS",
    "Congresswoman": "NNP",
    "Coniston": "NNP",
    "Conklin": "NNP",
    "Conlin": "NNP",
    "Conlon": "NNP",
    "Conlow": "NNP",
    "Conmel": "NNP",
    "Conn": "NNP",
    "Conn.": "NNP",
    "Conn.-based": "JJ",
    "Conn.based": "JJ",
    "Connall": "NNP",
    "Connally": "NNP",
    "Connaught": "NNP",
    "Conneaut": "NNP",
    "Connectables": "NNP",
    "Connecticut": "NNP",
    "Connecting": "NNP",
    "Connection": "NN",
    "Connections": "NNP|NNS",
    "Connectors": "NNPS|NNP",
    "Connell": "NNP",
    "Connelly": "NNP",
    "Conner": "NNP",
    "Connery": "NNP",
    "Connick": "NNP",
    "Connie": "NNP",
    "Conning": "NNP",
    "Connoisseur": "NNP",
    "Connoisseurs": "NNS",
    "Connolly": "NNP",
    "Connor": "NNP",
    "Connors": "NNP",
    "Conoco": "NNP",
    "Conquering": "NNP",
    "Conquest": "NNP",
    "Conquete": "NNP",
    "Conrac": "NNP",
    "Conrad": "NNP",
    "Conrades": "NNP",
    "Conradically": "RB",
    "Conradie": "NNP",
    "Conradies": "NNP|NNPS",
    "Conrail": "NNP",
    "Conran": "NNP",
    "Conreid": "NNP",
    "Conroe": "NNP",
    "Conroy": "NNP",
    "Conscience": "NN|NNP",
    "Consciousness": "NN",
    "Conseco": "NNP",
    "Conseil": "NNP",
    "Consensus": "NNP",
    "Consent": "NNP",
    "Consequence": "NN",
    "Consequences": "NNS",
    "Consequently": "RB",
    "Conservancy": "NNP",
    "Conservation": "NNP",
    "Conservationists": "NNS",
    "Conservatism": "NN",
    "Conservative": "JJ|NNP",
    "Conservative-Communist": "JJ",
    "Conservatives": "NNS|NNPS",
    "Conservatory": "NNP",
    "Consider": "VB|NNP",
    "Considerable": "JJ",
    "Consideration": "NN",
    "Considered": "VBN",
    "Considering": "VBG",
    "Consistent": "JJ",
    "Consistently": "RB",
    "Consisting": "VBG",
    "Consitutional": "JJ",
    "Consob": "NNP",
    "Consolidated": "NNP|VBN|JJ",
    "Consolidation": "NN",
    "Consolo": "NNP",
    "Consonantal": "JJ",
    "Consort": "NNP",
    "Consortium": "NNP",
    "Conspicuous": "JJ",
    "Conspicuously": "RB",
    "Conspiracy": "NNP",
    "Constable": "NNP",
    "Constance": "NNP",
    "Constant": "JJ|NN",
    "Constantin": "NNP",
    "Constantine": "NNP",
    "Constantino": "NNP",
    "Constantinople": "NNP",
    "Constantinos": "NNP",
    "Constants": "NNS",
    "Constar": "NNP",
    "Constellation": "NNP",
    "Constitution": "NNP",
    "Constitutional": "NNP|JJ",
    "Constitutions": "NNS",
    "Constraints": "NNS",
    "Construcciones": "NNP",
    "Construct": "VB",
    "Constructeurs": "NNP",
    "Construction": "NNP|NN",
    "Constructions": "NNP",
    "Constructors": "NNPS",
    "Consul": "NNP",
    "Consulate-General": "NNP",
    "Consultant": "NN|NNP",
    "Consultants": "NNP|NNS|NNPS",
    "Consultation": "NN",
    "Consulting": "NNP",
    "Consumer": "NNP",
    "Consumer-electronics": "NNS",
    "Consumers": "NNS|NNPS",
    "Consuming": "VBG",
    "Consumption": "NN",
    "Contact": "NN|NNP|VB",
    "Contacted": "VBN",
    "Contacts": "NNPS",
    "Container": "NNP",
    "Containers": "NNPS",
    "Containment": "NNP|NN",
    "Contant": "NNP",
    "Conte": "NNP",
    "Contel": "NNP",
    "Contemplating": "VBG|NNP",
    "Contemplation": "NN",
    "Contemporary": "NNP|JJ",
    "Contempt": "NN",
    "Contend": "VBP",
    "Content": "JJ",
    "Contest": "NNP",
    "Context": "NN",
    "ContiTrade": "NNP",
    "Continent": "NN|NNP",
    "Continental": "NNP|JJ",
    "Continentals": "NNS",
    "Continential": "NNP",
    "Continuation": "NN",
    "Continue": "VB|VBP",
    "Continued": "VBN|JJ",
    "Continues": "VBZ",
    "Continuing": "NNP|VBG",
    "Continuity": "NN",
    "Continuous": "JJ",
    "Continuum": "NN",
    "Contra": "NNP|JJ",
    "Contract": "NN|NNP",
    "Contracting": "VBG|NN",
    "Contraction": "NN",
    "Contractors": "NNS|NNPS",
    "Contracts": "NNPS|NNS",
    "Contradictions": "NNP",
    "Contrarian": "JJ",
    "Contrarily": "RB",
    "Contrary": "JJ",
    "Contras": "NNPS|NNS",
    "Contrast": "NN",
    "Contrasted": "VBN",
    "Contrasts": "NNS",
    "Contribute": "VB",
    "Contributing": "VBG",
    "Contribution": "NNP",
    "Contributions": "NNS",
    "Control": "NNP",
    "Controller": "NNP",
    "Controls": "NNP|NNPS",
    "Conus": "NNP",
    "Convair": "NNP",
    "Convenience": "NNP|JJ",
    "Conveniently": "RB",
    "Convention": "NNP",
    "Conventional": "JJ|NNP",
    "Conversation": "NN",
    "Conversations": "NNS",
    "Conversely": "RB|NNP",
    "Conversion": "NNP",
    "Convertible": "JJ|NNP",
    "Converts": "NNS",
    "Convex": "NNP",
    "Conveyance": "NN",
    "Convict": "NNP",
    "Conviction": "NN",
    "Convinced": "VBN",
    "Convincing": "VBG|JJ",
    "Convocation": "NN|NNP",
    "Convocations": "NNS",
    "Convulsively": "RB",
    "Conway": "NNP",
    "Conyers": "NNP",
    "Cooch": "NNP",
    "Coogan": "NNP",
    "Cook": "NNP|VB",
    "Cooke": "NNP",
    "Cooked": "VBN|JJ",
    "Cooker": "NNP",
    "Cookie": "NNP",
    "Cookie-Crisp": "NNP",
    "Cookies": "NNS",
    "Cooking": "NNP",
    "Cool": "JJ|VB|NNP",
    "Cooler": "NNP",
    "Coolers": "NNS",
    "Coolest": "JJS",
    "Coolidge": "NNP",
    "Coolidges": "NNPS",
    "Cooling": "NN|NNP",
    "Coombs": "NNP",
    "Coons": "NNP",
    "Coontz": "NNP",
    "Cooper": "NNP",
    "Cooperation": "NNP",
    "Cooperative": "NNP",
    "Cooperatives": "NNP",
    "Cooperman": "NNP",
    "Coopers": "NNP|NNPS",
    "Coopersmith": "NNP",
    "Coor": "NNP",
    "Coordinated": "VBN",
    "Coordinating": "NNP",
    "Coordination": "NN",
    "Coors": "NNP|NNS",
    "Coors-Stroh": "NNP",
    "Coosa": "NNP",
    "Cop": "NNP",
    "Copaken": "NNP",
    "Copeland": "NNP",
    "Copenhagen": "NNP",
    "Copernican": "JJ|NNP",
    "Copernicus": "NNP",
    "Copernicus-the-astronomer": "NN",
    "Copersucar": "NNP",
    "Copiague": "NNP",
    "Copie": "NNP",
    "Copies": "NNS",
    "Coping": "VBG",
    "Copland": "NNP",
    "Coplandesque": "JJ",
    "Copley": "NNP",
    "Copp": "NNP",
    "Copper": "NN|NNP",
    "Copperman": "NNP",
    "Copperweld": "NNP",
    "Coproduction": "NNP",
    "Copy": "NNP|VBP",
    "Copycat": "NN",
    "Copying": "NNP|VBG",
    "Copyright": "NNP",
    "Corabi": "NNP",
    "Coral": "NNP",
    "Corash": "NNP",
    "Corault": "NNP",
    "Corazon": "NNP",
    "Corbehem": "NNP",
    "Corbin": "NN",
    "Corby": "NNP",
    "Corcoran": "NNP",
    "Cordell": "NNP",
    "Corder": "NNP",
    "Cordier": "NNP",
    "Cordis": "NNP",
    "Cordoba": "NNP",
    "Cordova": "NNP",
    "Core": "NNP|JJ",
    "CoreStates": "NNP|NNPS",
    "Corelli": "NNP",
    "Corestates": "NNP",
    "Corey": "NNP",
    "Corinne": "NNP",
    "Corinth": "NNP",
    "Corinthian": "JJ|NNP",
    "Corinthians": "NNPS",
    "Coriolanus": "NNP",
    "Corlopam": "NNP",
    "Cormack": "NNP",
    "Corn": "NNP|NN",
    "Corne": "NNP",
    "Corneilus": "NNP",
    "Cornel": "NNP",
    "Cornelius": "NNP",
    "Cornell": "NNP",
    "Cornell-Dubilier": "NNP",
    "Corner": "NNP",
    "Cornerback": "NN",
    "Corners": "NNPS",
    "Corney": "NNP",
    "Cornfeld": "NNP",
    "Cornfield": "NNP",
    "Corning": "NNP|VBG",
    "Cornish": "NNP",
    "Cornona": "NNP",
    "Cornwall": "NNP",
    "Cornwallis": "NNP",
    "Corolla": "NNP",
    "Corollary": "NN",
    "Corollas": "NNPS",
    "Corona": "NNP",
    "Coronado": "NNP",
    "Coronation": "NNP",
    "Coroner": "NN",
    "Coronets": "NNPS",
    "Corot": "NNP",
    "Corp": "NNP",
    "Corp.": "NNP",
    "Corp.-Toyota": "JJ",
    "Corp.-USA": "NNP",
    "Corp.-compatible": "JJ",
    "Corp.:8.30": "NNP",
    "Corp.:8.50": "NNP",
    "Corp.:8.725": "NNP",
    "Corp./Europe": "NNP",
    "Corp.s": "NNP",
    "Corporal": "NNP",
    "Corporate": "JJ|NNP",
    "Corporate/investor": "NN",
    "Corporation": "NNP",
    "Corporations": "NNS|NNPS",
    "Corps": "NNP|NNPS",
    "Corpus": "NNP",
    "Corr": "NNP",
    "Corrado": "NNP",
    "Correct": "JJ",
    "Correcting": "VBG",
    "Correction": "NN|NNP",
    "Correctional": "NNP",
    "Corrections": "NNP|NNPS|NNS",
    "Corrective": "JJ",
    "Correctly": "RB",
    "Correggio": "NNP",
    "Correlations": "NNS",
    "Correlatively": "RB",
    "Correll": "NNP",
    "Correspondence": "NN",
    "Correspondents": "NNPS",
    "Corresponding": "VBG",
    "Corrette": "NNP",
    "Corrigan": "NNP",
    "Corroborating": "VBG",
    "Corroon": "NNP",
    "Corrupt": "NNP",
    "Corruption": "NNP|NN",
    "Corry": "NNP",
    "Corsi": "NNP",
    "Corsia": "NNP",
    "Corsica": "NNP",
    "Corsicas": "NNS",
    "Corso": "NNP",
    "Cort": "NNP",
    "Cortes": "NNP",
    "Cortese": "NNP",
    "Cortex": "NNP",
    "Cortizone-5": "NNP",
    "Cortland": "NNP",
    "Cortlandt": "NNP",
    "Corton-Charlemagne": "NNP",
    "Corvallis": "NNP",
    "Corvette": "NNP",
    "Corvettes": "NNS",
    "Corvus": "NNP",
    "Corzine": "NNP",
    "Cos": "NNP|NNPS",
    "Cos.": "NNP|NNPS",
    "Cosby": "NNP",
    "Cosgrove": "NNP",
    "Cosgrove-Meurer": "NNP",
    "Cosma": "NNP",
    "Cosmair": "NNP",
    "Cosmetic": "NNP",
    "Cosmetics": "NNS|NNP|NNPS",
    "Cosmic": "NNP",
    "Cosmo": "NNP",
    "Cosmology": "NNP",
    "Cosmopolitan": "NNP",
    "Cosmopulos": "NNP",
    "Cosmos": "NNP",
    "Cossack": "NNP",
    "Cossacks": "NNPS",
    "Cossiga": "NNP",
    "Cost": "NN|NNP",
    "Cost-effective": "JJ",
    "Costa": "NNP|JJ|NNS",
    "Costaggini": "NNP",
    "Costantine": "NNP",
    "Costanza": "NNP",
    "Costar": "NNP",
    "Costco": "NNP",
    "Costello": "NNP",
    "Costley": "NNP",
    "Costly": "JJ",
    "Costner": "NNP",
    "Costs": "NNS",
    "Cote": "NNP",
    "Cotillion": "NNP",
    "Cotman": "NNP",
    "Cotran": "NNP",
    "Cott": "NNP",
    "Cotten": "NNP",
    "Cotter": "NNP",
    "Cottle": "NNP",
    "Cotton": "NNP",
    "Cottrell": "NNP",
    "Cotty": "NNP",
    "Couch-potato": "NN",
    "Coudersport": "NNP",
    "Coudert": "NNP",
    "Cougar": "NNP",
    "Cougars": "NNPS",
    "Coughlin": "NNP",
    "Coulas": "NNP",
    "Could": "MD",
    "Coulomb": "NNP",
    "Coulson": "NNP",
    "Council": "NNP",
    "Councilman": "NNP",
    "Councils": "NNPS",
    "Councilwoman": "NNP",
    "Counsel": "NNP",
    "Counsel/NNP...": ":",
    "Counseling": "NN|NNP",
    "Counselor": "NNP",
    "Counselors": "NNPS",
    "Count": "NNP|VBP",
    "Count-Duke": "NNP",
    "Countach": "NNP",
    "Counter": "NNP",
    "Countered": "VBD",
    "Countering": "VBG",
    "Counterpoint": "NN",
    "Counters": "VBZ",
    "Counties": "NNPS",
    "Countin": "VBG",
    "Counting": "VBG",
    "Countries": "NNPS|NNS",
    "Country": "NNP",
    "Countrymen": "NNPS",
    "Countrywide": "NNP",
    "County": "NNP|NNPS",
    "Coupal": "NNP",
    "Coupe": "NNP",
    "Couperin": "NNP",
    "Coupes": "NNP",
    "Couple": "NN|JJ",
    "Coupled": "VBN",
    "Couples": "NNS|NNP",
    "Coupling": "VBG",
    "Coupon": "NN|NNP",
    "Coupons": "NNS",
    "Courant": "NNP",
    "Courbet": "NNP",
    "Courcy": "NNP",
    "Courier": "NNP",
    "Courier-Journal": "NNP",
    "Course": "NNP",
    "Courses": "NNS|NNP",
    "Court": "NNP",
    "Court-awarded": "JJ",
    "Court-packing": "JJ",
    "Courtaulds": "NNP",
    "Courtenay": "NNP",
    "Courter": "NNP",
    "Courter...": ":",
    "Courthouse": "NN",
    "Courtier": "NNP",
    "Courtis": "NNP",
    "Courtney": "NNP",
    "Courtrai": "NNP",
    "Courts": "NNS|NNPS",
    "Cousin": "NNP",
    "Couturier": "NNP",
    "Couve": "NNP",
    "Covas": "NNP",
    "Cove": "NNP",
    "Covell": "NNP",
    "Covent": "NNP",
    "Coventry": "NNP",
    "Cover": "NNP|VB",
    "Cover-Up": "NNP",
    "Coverage": "NNP",
    "Covered": "JJ",
    "Covering": "NNP",
    "Covert": "NNP",
    "Covey": "NNP",
    "Covia": "NNP",
    "Covington": "NNP",
    "Covitz": "NNP",
    "Cow": "NNP",
    "Cowan": "NNP",
    "Coward": "NNP",
    "Cowbird": "NNP",
    "Cowboy": "NN|NNP",
    "Cowboys": "NNPS|NNS",
    "Cowboys-owned": "JJ",
    "Cowen": "NNP",
    "Cowessett": "NNP",
    "Cowessett-East": "NNP",
    "Cowles": "NNP",
    "Cowley": "NNP",
    "Cowper": "NNP",
    "Cowrtiers": "NNS",
    "Cows": "NNS",
    "Cox": "NNP",
    "Coxon": "NNP",
    "Coykendall": "NNP",
    "Coyotes": "NNS",
    "Cozen": "NNP",
    "Cozumel": "NNP",
    "Cozying": "VBG",
    "Cr": "NNP",
    "Crab": "NNP",
    "Crabb": "NNP",
    "Crabs": "NNP",
    "Crabtree": "NNP",
    "Crack": "NN",
    "Cracking": "VBG",
    "Cracklin": "NNP",
    "Craddock": "NNP",
    "Cradle": "NNP",
    "Craft": "NN|NNP",
    "Crafton-Preyer": "NNP",
    "Crafts": "NNPS",
    "Craftsmen": "NNPS",
    "Craig": "NNP|JJ",
    "Crain": "NNP",
    "Cralin": "NNP",
    "Cramer": "NNP",
    "Crampton": "NNP",
    "Crandall": "NNP",
    "Crane": "NNP",
    "Cranes": "NNPS|NNS",
    "Cranston": "NNP",
    "Cranston-Mitchell": "NNP",
    "Crary": "NNP",
    "Crash": "NNP",
    "Crashing": "VBG",
    "Craton": "NNP",
    "Cravath": "NNP",
    "Craven": "NNP",
    "Craving": "VBG",
    "Crawford": "NNP",
    "Crawford-Browne": "NNP",
    "Crawfordsville": "NNP",
    "Cray": "NNP",
    "Crazy": "NNP",
    "Cream": "NNP",
    "Creamer": "NNP",
    "Creamery": "NNP",
    "Creamette": "NNP",
    "Crean": "NNP",
    "Create": "VB",
    "Created": "VBN",
    "Creates": "VBZ",
    "Creating": "VBG",
    "Creation": "NN",
    "Creations": "NNPS|NNS",
    "Creative": "JJ|NNP",
    "Creator": "NNP",
    "Creators": "NNS",
    "Credibility": "NN|NNP",
    "Credietbank": "NNP",
    "Credit": "NNP|FW",
    "Credit-Card": "NN",
    "Credit-card": "NN",
    "CreditWatch": "NNP",
    "Creditanstalt": "NNP",
    "Creditanstalt-Bankverein": "NNP",
    "Creditbank": "NNP",
    "Creditbanken": "NNP",
    "Credito": "NNP",
    "Creditor": "NN",
    "Creditors": "NNS",
    "Credo": "NN",
    "Cree": "NNP",
    "Creed": "NNP",
    "Creedon": "NNP",
    "Creek": "NNP",
    "Creek-Turn": "JJ",
    "Creepers": "UH",
    "Creighton": "NNP",
    "Creme": "NNP",
    "Cremonie": "NNP",
    "Creole": "NNP",
    "Creon": "NNP",
    "Crescent": "NNP",
    "Crescott": "NNP",
    "Cress": "NNP",
    "Cressidas": "NNPS",
    "Cresson": "NNP",
    "Cresswell": "NNP",
    "Crest": "NNP",
    "Crest-Colgate": "JJ",
    "Crested": "NNP",
    "Crestmont": "NNP",
    "Creston": "NNP",
    "Creswell": "NNP",
    "Cretaceous": "JJ|NNP",
    "Crete": "NNP",
    "Creusot": "NNP",
    "Crew": "NNP|NN",
    "Crewmembers": "NNP",
    "Crews": "NNP",
    "Cricket": "NNP",
    "Cried": "VBD",
    "Crier": "NNP",
    "Crime": "NN|NNP",
    "Crimea": "NNP",
    "Crimean": "NNP",
    "Crimes": "NNP|NNS",
    "Criminal": "NNP|JJ",
    "Criminal-defense": "NN",
    "Criminalization": "NN",
    "Criminals": "NNS",
    "Criminologists": "NNS",
    "Crip": "NNP",
    "Crippled": "NNP",
    "Crippling": "JJ|NNP",
    "Cris": "NNP",
    "Crisanti": "NNP",
    "Crisco": "NNP",
    "Crises": "NNS",
    "Crisis": "NNP",
    "Crisman": "NNP",
    "Crisp": "NNP",
    "Crispin": "NNP",
    "Cristal": "NNP",
    "Cristiani": "NNP",
    "Cristini": "NNP",
    "Cristo": "NNP",
    "Criteria": "NNP",
    "Criterion": "NNP",
    "Critic": "NNP",
    "Critical": "JJ|NNP",
    "Criticality": "NN",
    "Critically": "RB",
    "Criticism": "NN|NNP",
    "Criticisms": "NNP",
    "Critics": "NNS|NNP",
    "Crittenden": "NNP",
    "Croasdale": "NNP",
    "Crobsy": "NNP",
    "Crockett": "NNP",
    "Crocodile": "NNP",
    "Croissier": "NNP",
    "Croix": "NNP",
    "Croma": "NNP",
    "Crombie": "NNP",
    "Cromwell": "NNP",
    "Cromwellian": "JJ",
    "Cronin": "NNP",
    "Cronkite": "NNP",
    "Crooked": "JJ",
    "Croom-Helm": "NNP",
    "Croonen": "NNP",
    "Crop": "NNP",
    "Crosbie": "NNP",
    "Crosby": "NNP",
    "Crosbys": "NNPS",
    "Crosfield": "NNP",
    "Cross": "NNP",
    "Cross-Purposes": "NNPS",
    "Cross-border": "JJ",
    "Cross-margining": "NN",
    "Crossair": "NNP",
    "Crosse": "NNP",
    "Crosser": "NNP",
    "Crossfire": "NNP",
    "Crossing": "VBG",
    "Crossland": "NNP",
    "Crossman": "NNP",
    "Crosson": "NNP",
    "Crotale": "JJ",
    "Crouch": "NNP",
    "Crouched": "VBN",
    "Crovitz": "NNP",
    "Crow": "NNP",
    "Crowd": "NNP",
    "Crowder": "NNP",
    "Crowds": "NNS",
    "Crowe": "NNP",
    "Crowell": "NNP",
    "Crowley": "NNP",
    "Crown": "NNP",
    "Crowntuft": "NNP",
    "Crows": "NNPS",
    "Croydon": "NNP",
    "Crozier": "NNP",
    "Cru": "NNP",
    "Crucial": "JJ",
    "Crucians": "NNPS",
    "Crucible": "NNP",
    "Crude": "JJ|NN|NNP",
    "Crude-goods": "NNS",
    "Cruel": "JJ",
    "Cruelty": "NNP",
    "Cruger": "NNP",
    "Cruickshank": "NNP",
    "Cruise": "NNP",
    "Cruiser": "NNP",
    "Crum": "NNP",
    "Crumb": "NNP",
    "Crumble": "NNP",
    "Crumley": "NNP",
    "Crumlish": "NNP",
    "Crump": "NNP",
    "Crunch": "VB|NN",
    "Crupi": "NNP",
    "Crus": "NNP",
    "Crusade": "NN|NNP",
    "Crusader": "NNP",
    "Crusaders": "NNPS|NNS",
    "Crusades": "NNPS",
    "Crush": "NNP",
    "Crutcher": "NNP",
    "Crutzen": "NNP",
    "Cruz": "NNP",
    "Cruzan": "NNP",
    "Cruze": "NNP",
    "Cry": "NN|NNP",
    "Cryptic": "JJ",
    "Crystal": "NNP",
    "Crystallographic": "JJ|NNP",
    "Crystallography": "NNP",
    "Csathy": "NNP",
    "Ct": "NNP",
    "Ct.": "NNP",
    "CuK": "JJ",
    "Cuatrecasas": "NNP",
    "Cuauhtemoc": "NNP",
    "Cub": "NNP",
    "Cuba": "NNP",
    "Cuban": "JJ|NNP",
    "Cuban-American": "NNP",
    "Cuban-assisted": "JJ",
    "Cubans": "NNPS",
    "Cube": "NNP",
    "Cubism": "NN|NNP",
    "Cubist": "NN",
    "Cubs": "NNP|NNPS|NNS",
    "Cucamonga": "NNP",
    "Cuckoo": "NN",
    "Cudahy": "NNP",
    "Cuddeford": "NNP",
    "Cuddihy": "NNP",
    "Cuddleback": "NNP",
    "Cuddles": "NNP",
    "Cudkowicz": "NNP",
    "Cudmore": "NNP",
    "Cuellar": "NNP",
    "Cuisinart": "NNP",
    "Cuisinarts": "NNPS",
    "Cuisine": "NNP",
    "Cujo": "NNP",
    "Culbertson": "NNP",
    "Culkin": "NNP",
    "Cullen/Frost": "NNP",
    "Culligan": "NNP",
    "Cullinet": "NNP",
    "Cullowhee": "NNP",
    "Culmone": "NNP",
    "Culp": "NNP",
    "Cult": "NN|NNP",
    "Cultor": "NNP",
    "Cultural": "JJ|NNP",
    "Culturally": "RB",
    "Culture": "NNP",
    "Cultures": "NNS",
    "Culver": "NNP",
    "Culvers": "NNPS",
    "Cumbancheros": "NNP",
    "Cumberland": "NNP",
    "Cumhuriyet": "NNP",
    "Cummings": "NNP",
    "Cummins": "NNP",
    "Cumulative": "JJ|NNP",
    "Cunard": "NNP",
    "Cuneo": "NNP",
    "Cunha": "NNP",
    "Cunin": "NNP",
    "Cunningham": "NNP",
    "Cuoco": "NNP",
    "Cuomo": "NNP",
    "Cup": "NNP",
    "Cup-Tote": "NNP",
    "Cupboard": "NN",
    "Cupertino": "NNP",
    "Cupply": "NNP",
    "Curacao": "NNP",
    "Curb": "VB",
    "Curcio": "NNP",
    "Curdling": "NNP",
    "Curia": "NNP",
    "Curiae": "FW",
    "Curie": "NNP",
    "Curie-Weiss": "NNP",
    "Curiosity": "NN|NNP",
    "Curious": "JJ",
    "Curiously": "RB|NNP",
    "Curl": "NNP",
    "Curley": "NNP",
    "Curling": "NNP",
    "Curly": "JJ",
    "Curragh": "NNP",
    "Curran": "NNP",
    "Currency": "NNP|NN",
    "Current": "JJ|NNP",
    "Currently": "RB|NNP",
    "Curriculum": "NN",
    "Currie": "NNP",
    "Currier": "NNP",
    "Curry": "NNP",
    "Currys": "NNP",
    "Cursed": "VBN",
    "Cursing": "VBG",
    "Curt": "NNP",
    "Curtain": "NNP",
    "Curteis": "NNP",
    "Curtin": "NNP",
    "Curtis": "NNP",
    "Curtiss": "NNP",
    "Curtiss-Wright": "NNP",
    "Cury": "NNP",
    "Curzio": "NNP",
    "Curzon": "NNP",
    "Cusa": "NNP",
    "Cushing": "NNP",
    "Cushman": "NNP",
    "Custer": "NNP",
    "Custodian": "NNP",
    "Custom": "NNP|JJ",
    "Customarily": "RB",
    "Customary": "NNP",
    "Customer": "NN|NNP",
    "Customer-access": "NN",
    "Customers": "NNS|NNP",
    "Customhouse": "NNP",
    "Customized": "JJ",
    "Customs": "NNP|NNPS|NNS",
    "Cut": "NNP|VB",
    "Cutbacks": "NNP",
    "Cutbush": "NNP",
    "Cutlass": "NNP",
    "Cutler": "NNP",
    "Cutrer": "NNP",
    "Cutrere": "NNP",
    "Cuts": "NNS",
    "Cutter": "NNP",
    "Cutting": "VBG|NNP",
    "Cutty": "NNP",
    "Cuyahoga": "NNP",
    "Cuyler": "NNP",
    "Cy": "NNP",
    "CyCare": "NNP",
    "Cyanamid": "NNP",
    "Cyanocitta": "FW",
    "Cyber": "NNP",
    "Cybex": "NNP",
    "Cybill": "NNP",
    "Cycads": "NNS",
    "Cyclades": "NNS",
    "Cycle": "NNP",
    "Cycling": "NNP",
    "Cyclone": "NNP",
    "Cycly": "NNP",
    "Cyd": "NNP",
    "Cydonia": "NNP",
    "Cygne": "NNP",
    "Cygnus": "NNP",
    "Cylinder": "NN",
    "Cynewulf": "NNP",
    "Cynical": "JJ",
    "Cynthia": "NNP",
    "Cynwyd": "NNP",
    "Cyoctol": "NNP",
    "Cypress": "NNP",
    "Cyprian": "NNP",
    "Cyprus": "NNP",
    "Cyr": "NNP",
    "Cyriac": "NNP",
    "Cyril": "NNP",
    "Cyrus": "NNP",
    "Cytel": "NNP",
    "Cytogen": "NNP",
    "Czar": "NNP",
    "Czarina": "NNP",
    "Czarship": "NNP",
    "Czech": "JJ|NNP",
    "Czechoslovak": "JJ",
    "Czechoslovak-made": "JJ",
    "Czechoslovakia": "NNP",
    "Czechoslovaks": "NNPS",
    "Czechs": "NNPS",
    "Czerny": "NNP",
    "Czeslaw": "NNP",
    "Czestochwa": "NNP",
    "D": "NNP|NN|LS",
    "D&B": "NNP|VBP",
    "D&H": "NNP",
    "D*": "NNP",
    "D-Mass.": "NNP",
    "D-marks": "NNS",
    "D-night": "NN",
    "D.": "NNP",
    "D.,Calif": "NNP",
    "D.,Calif.": "NN",
    "D.,Texas": "NNS",
    "D.A.": "NNP",
    "D.C": "NNP",
    "D.C.": "NNP|JJ",
    "D.C.-based": "JJ",
    "D.D.": "NNP",
    "D.D.S.": "NNP",
    "D.H.": "NNP",
    "D.J.": "NNP",
    "D.K": "NNP",
    "D.K.": "NNP",
    "D.L.": "NNP",
    "D.N.": "NNP",
    "D.O.A.": "JJ",
    "D.S.": "NNP",
    "D.T.": "NNP",
    "D.W.": "NNP",
    "D.s": "NNP|NNPS",
    "D/NNP.A.": "NN",
    "D2": "NN",
    "DA": "NN",
    "DAF": "NNP",
    "DALIS": "NNPS",
    "DALKON": "NNP",
    "DALLAS": "NNP",
    "DAMAGES": "NNS",
    "DANIEL": "NNP",
    "DARPA": "NNP",
    "DAT": "NNP",
    "DATA": "NNP",
    "DAWDLING": "NN",
    "DAX": "NNP",
    "DAY": "NNP",
    "DAYAC": "NNP",
    "DAYTON": "NNP",
    "DBC": "NNP",
    "DBL": "NNP",
    "DBS": "NNP",
    "DC": "NN",
    "DC-10s": "NNPS|NNS",
    "DC-8-62": "NN",
    "DC-9": "NNP|JJ|NN",
    "DC10-30": "NN",
    "DD": "NNP",
    "DDB": "NNP",
    "DDG-51": "NNP",
    "DDI": "NNP",
    "DDR": "NNP",
    "DDT": "NNP",
    "DE": "NNP",
    "DEA": "NNP",
    "DEAE": "NNP",
    "DEAE-cellulose": "NNP",
    "DEAE-cellulose-treated": "NN",
    "DEAL": "NNP",
    "DEALERS": "NNPS",
    "DEBT": "NN",
    "DEC": "NNP",
    "DECstation": "NNP",
    "DEFECT": "VBP",
    "DEFECTOR": "NN|NNP",
    "DEFENSE": "NN",
    "DEFERRED": "JJ",
    "DEFICIT": "NNP",
    "DELAYED": "VBN",
    "DELAYS": "VBZ",
    "DELIGHT": "VBP",
    "DEMAND": "NN",
    "DEMOCRATS": "NNS",
    "DEPARTMENT": "NNP",
    "DEPOSIT": "NN|NNP",
    "DES": "NNP",
    "DESIGNATING": "VBG",
    "DESPITE": "IN",
    "DEVELOPMENT": "NNP",
    "DEVELOPMENTS": "NNPS",
    "DEVICES": "NNP",
    "DFC": "NNP",
    "DFS/Pacific": "NNP",
    "DG": "NNP",
    "DGAULT": "NNP",
    "DGII": "NNP",
    "DHAWK": "NNP",
    "DHL": "NNP",
    "DIAL-A-PIANO-LESSON": "NNP",
    "DIALING": "VBG|NNP",
    "DIAPER": "NN",
    "DIASONICS": "NNP",
    "DIED": "VBD",
    "DIET": "NNP",
    "DIFFERENCE": "NNP",
    "DIG": "NNP",
    "DIGITAL": "NNP",
    "DIGS": "NNS",
    "DILLARD": "NNP",
    "DIOCS": "NN",
    "DIRECTORS": "NNS",
    "DIRECTORY": "NN",
    "DISAPPOINTMENTS": "NNS",
    "DISASTER": "NN",
    "DISCIPLINARY": "NN",
    "DISCOUNT": "NN|NNP|JJ",
    "DISNEY": "NNP",
    "DISPLAYED": "VBD",
    "DISTRESSFUL": "JJ",
    "DISTRICT": "JJ",
    "DJ": "NNP",
    "DJIA": "NNP",
    "DJS": "NNP",
    "DJS-Inverness": "NNP",
    "DJS/Inverness": "NNP",
    "DKB": "NNP",
    "DKNY": "NNP",
    "DLC": "NNP",
    "DLINE": "NN",
    "DLJ": "NNP",
    "DLX": "NNP",
    "DM850-a-month": "JJ",
    "DMB&B/International": "JJ",
    "DMB&B/New": "NNP",
    "DNA": "NNP",
    "DNX": "NNP",
    "DO": "VB",
    "DOC-IN-A-BOX": "NNP",
    "DOCTORS": "NNS",
    "DOE": "NNP",
    "DOE-site": "NN",
    "DOG": "NN",
    "DOGS": "NNS",
    "DOLLAR": "NN",
    "DOLLARS": "NNPS",
    "DONORS": "NNS",
    "DOONESBURY": "NNP",
    "DOORS": "NNS",
    "DOS": "NNP",
    "DOT": "NNP",
    "DOW": "NNP",
    "DOWNEY": "NNP",
    "DOWNSIZING": "NN",
    "DPC": "NNP",
    "DPL": "NNP",
    "DPS": "NNP",
    "DPT": "NNP",
    "DPW": "NNP",
    "DPX": "NNP",
    "DRAM": "NNP",
    "DRAMs": "NNS|NNPS",
    "DRDW": "NN",
    "DREXEL": "NNP",
    "DRG": "NNP",
    "DRI": "NNP",
    "DRILLING": "NN",
    "DRI/McGraw": "NNP",
    "DRI/McGraw-Hill": "NNP",
    "DRUG": "NN|NNP",
    "DRUGS": "NNPS",
    "DSG": "NNP",
    "DSL": "NNP",
    "DSM": "NNP",
    "DSP": "NNP",
    "DSW": "NN",
    "DTF": "NN",
    "DTH": "NNP",
    "DU": "NNP",
    "DUF": "NN",
    "DUN": "NNP",
    "DWG": "NNP",
    "DX": "NNP",
    "Da": "NNP",
    "Da-da-da-dum": "JJ",
    "DaPuzzo": "NNP",
    "Dabbling": "VBG",
    "Daberko": "NNP",
    "Dabney": "NNP",
    "Dachshund": "NN",
    "Dactyls": "NNPS",
    "Dad": "NNP",
    "Dada": "NNP",
    "Dadaism": "NNP",
    "Daddy": "NNP",
    "Dade": "NNP",
    "Dads": "NNP",
    "Dae": "NNP",
    "Daer": "NNP",
    "Daewoo": "NNP",
    "Daffynition": "NN|NNP",
    "Dag": "NNP",
    "Dagens": "NNP",
    "Daggs": "NNP",
    "Dahl": "NNP",
    "Dahlen": "NNP",
    "Dahlia": "NNP",
    "Dahmane": "NNP",
    "Dai": "NNP",
    "Dai-Ichi": "NNP",
    "Dai-Ichi/Nippon": "NNP",
    "Dai-Tokyo": "NNP",
    "Dai-ichi": "NNP",
    "DaiIchi": "NNP",
    "Daiei": "NNP",
    "Daignault": "NNP",
    "Daihatsu": "NNP",
    "Daikin": "NNP",
    "Dailey": "NNP",
    "Daily": "NNP|JJ|RB",
    "Daim": "NNP",
    "Daimler": "NNP",
    "Daimler-Benz": "NNP",
    "Dain": "NNP",
    "Dain-sponsored": "JJ",
    "Dainippon": "NNP",
    "Dairies": "NNPS|NNS",
    "Dairl": "NNP",
    "Dairy": "NNP",
    "Dairymen": "NNP",
    "Daisy": "NNP",
    "Daisy-Cadnetix": "NNP",
    "Daiwa": "NNP",
    "Dak": "NNP",
    "Dak.": "NNP",
    "Dakin": "NNP",
    "Dakota": "NNP",
    "Dakotas": "NNPS",
    "Dalai": "NNP",
    "Dalbar": "NNP",
    "Dale": "NNP",
    "Daley": "NNP",
    "Dalfen": "NNP",
    "Dalgety": "NNP",
    "Dali": "NNP",
    "Dali-esque": "JJ",
    "Dalian": "NNP",
    "Dalkon": "NNP",
    "Dallara": "NNP",
    "Dallas": "NNP",
    "Dallas-Barcelona": "NNP",
    "Dallas-Fort": "NNP",
    "Dallas-based": "JJ",
    "Dallas-headquartered": "JJ",
    "Dallasites": "NNPS",
    "Dalldorf": "NNP",
    "Dalles": "NNP",
    "Dalloway": "NNP",
    "Dalrymple": "NNP",
    "Dalton": "NNP",
    "Daly": "NNP",
    "Dalzell-Cousin": "NNP",
    "Damage": "NN",
    "Damages": "NNS|NNPS",
    "Damas": "NNP",
    "Damascus": "NNP",
    "Dame": "NNP",
    "Dame-Michigan": "NNP",
    "Dames": "NNPS",
    "Damian": "NNP",
    "Dammit": "UH|VB",
    "Damn": "VB|JJ",
    "Damned": "JJ|RB|UH",
    "Damon": "NNP",
    "Damonne": "NNP",
    "Damp": "JJ",
    "Dams": "NNS",
    "Dan": "NNP",
    "Dana": "NNP",
    "Dana-Farber": "NNP",
    "Danaher": "NNP",
    "Danbury": "NNP",
    "Dance": "NNP",
    "Dancer": "NNP",
    "Dancers": "NNP|NNS",
    "Dances": "NNS|NNPS",
    "Danchin": "NNP",
    "Dancing": "NN",
    "Danco": "NNP",
    "Dandy": "NNP",
    "Dane": "NNP",
    "Danehy": "NNP",
    "Danes": "NNPS|NNS",
    "Danforth": "NNP",
    "Dang": "NNP",
    "Danger": "NNP",
    "Dangerous": "JJ|NNP",
    "Dangers": "NNS",
    "Dangling": "VBG",
    "Daniel": "NNP",
    "Daniele": "NNP",
    "Danieli": "NNP",
    "Daniels": "NNP",
    "Daniil": "NNP",
    "Danilo": "NNP",
    "Danilow": "NNP",
    "Danis": "NNP",
    "Danish": "JJ|NNP",
    "Danish-American": "NNP",
    "Dannehower": "NNP",
    "Dannemiller": "NNP",
    "Danny": "NNP",
    "Danske": "NNP",
    "Danssesse": "NNP",
    "Dantchik": "NNP",
    "Dante": "NNP",
    "Danube": "NNP",
    "Danubian": "JJ",
    "Danvers": "NNP",
    "Danville": "NNP",
    "Danza": "NNP",
    "Danzig": "NNP",
    "Daolet": "NNP",
    "Daphne": "NNP",
    "Dappertutto": "NNP",
    "Darak": "NNP",
    "Daralee": "NNP",
    "Darby": "NNP",
    "Darcy": "NNP",
    "Dardalla": "NNP",
    "Dare": "VB",
    "Dare-Base": "NNP",
    "Daremblum": "NNP",
    "Dares": "NNP",
    "Dargene": "NNP",
    "Darien": "NNP",
    "Darin": "NNP",
    "Darius": "NNP",
    "Dark": "JJ|NNP",
    "Darkhorse": "NNP",
    "Darkling": "NNP",
    "Darkness": "NN|NNP",
    "Darla": "NNP",
    "Darlene": "NNP",
    "Darlin": "NNP",
    "Darling": "NNP|JJ|UH",
    "Darlington": "NNP",
    "Darlow": "NNP",
    "Darman": "NNP",
    "Darn": "VB",
    "Darnell": "NNP",
    "Darrell": "NNP",
    "Darrow": "NNP",
    "Darryl": "NNP",
    "Dart": "NNP",
    "Dartboard": "NN|NNP",
    "Darth": "NNP",
    "Dartmouth": "NNP",
    "Darvocet-N": "NNP",
    "Darvon": "NNP",
    "Darwen": "NNP",
    "Darwin": "NNP",
    "Darwinian": "JJ",
    "Darwinism": "NNP",
    "Das": "NNP",
    "Daschle": "NNP",
    "Dash": "NNP",
    "Dasher": "NNP",
    "Dashiell": "NNP",
    "Dashitchev": "NNP",
    "Dashwood": "NNP",
    "Dasibi": "NNP",
    "Dass": "FW",
    "Dassault": "NNP",
    "Dassault-Breguet": "NNP",
    "Data": "NNP|NNS|NPS|NNPS",
    "Data-destroying": "JJ",
    "DataComm": "NNP",
    "DataPlan": "NNP",
    "DataQuest": "NNP",
    "DataTimes": "NNP",
    "Datacomputer": "NNP",
    "Datacrime": "NNP",
    "Datafleet": "NNP",
    "Datapoint": "NNP",
    "Dataproducts": "NNPS|NNP",
    "Dataquest": "NNP",
    "Datas": "NNP",
    "Datastream": "NNP",
    "Datatech": "NNP",
    "Datatronic": "NNP",
    "Date": "NN|NNP",
    "Dating": "NNP",
    "Datson": "NNP",
    "Datsun": "NNP",
    "Datsuns": "NNPS",
    "Datuk": "NNP",
    "Dauchy": "NNP",
    "Daugherty": "NNP",
    "Daughter": "NN",
    "Dauntless": "NNP",
    "Dauphin": "NNP",
    "Dauphine": "NNP",
    "Dauster": "NNP",
    "Davao": "NNP",
    "Dave": "NNP|JJ",
    "Davenport": "NNP",
    "David": "NNP|NNPS",
    "David-Weill": "NNP",
    "Davidge": "NNP",
    "Davidow": "NNP",
    "Davidowitz": "NNP",
    "Davidowitz.": "NNP",
    "Davids": "NNP",
    "Davidson": "NNP",
    "Davies": "NNP",
    "Davila": "NNP",
    "Davis": "NNP",
    "Davis/Zweig": "NNP",
    "Davises": "NNPS",
    "Davison": "NNP",
    "Davy": "NNP",
    "Dawkins": "NNP",
    "Dawn": "NNP",
    "Dawson": "NNP",
    "Dax-Pontonx": "NNP",
    "Day": "NNP",
    "Day-to-day": "JJ",
    "Dayan": "NNP",
    "Daybreak": "NNP",
    "Daylight": "NNP",
    "Dayna": "NNP",
    "Days": "NNS|NNP|NNPS",
    "Daytime": "NNP",
    "Dayton": "NNP",
    "Daytona": "NNP",
    "Daytonas": "NNP",
    "Daywatch": "NNP",
    "Daze": "NNP",
    "Dazed": "JJ",
    "De": "NNP|FW",
    "De-Kooning": "NNP",
    "DeBakey": "NNP",
    "DeBartolo": "NNP",
    "DeBat": "NNP",
    "DeBeauvoir": "NNP",
    "DeCicco": "NNP",
    "DeConcini": "NNP",
    "DeFazio": "NNP",
    "DeForest": "NNP",
    "DeGeurin": "NNP",
    "DeGol": "NNP",
    "DeGregorio": "NNP",
    "DeGroot": "NNP",
    "DeHaviland": "NNP",
    "DeKalb": "NNP",
    "DeLay": "NNP",
    "DeLuca": "NNP",
    "DeMar": "NNP",
    "DeMeo": "NNP",
    "DeMontez": "NNP",
    "DeMoss": "NNP",
    "DeMoulin": "NNP",
    "DeMunn": "NNP",
    "DeMyer": "NNP",
    "DePaul": "NNP",
    "DePauw": "NNP",
    "DePugh": "NNP",
    "DeRita": "NNP",
    "DeScenza": "NNP",
    "DeShano": "NNP",
    "DeSio": "NNP",
    "DeSoto": "NNP",
    "DeTomaso": "NNP",
    "DeVillars": "NNP",
    "DeVille": "NNP",
    "DeVoe": "NNP",
    "DeVon": "NNP",
    "DeVos": "NNP",
    "DeVries": "NNP",
    "DeWalt": "NNP",
    "DeWitt": "NNP",
    "Deacon": "NNP",
    "Deaconess": "NNP",
    "Deacons": "NNS",
    "Deactivation": "NN",
    "Dead": "NNP|NNS|JJ",
    "Deadlock": "NN",
    "Deadly": "JJ",
    "Deadwood": "NNP",
    "Deaf": "JJ|NNP",
    "Deafening": "VBG",
    "Deak": "NNP",
    "Deal": "NNP",
    "Dealer": "NNP",
    "Dealers": "NNS|NNP|NNPS",
    "Dealing": "VBG",
    "Deals": "NNS",
    "Dean": "NNP",
    "Deane": "NNP",
    "Deanna": "NNP",
    "Deans": "NNP|NNS",
    "Dear": "NNP|JJ|UH",
    "Dearborn": "NNP",
    "Deardorff": "NNP",
    "Dearie": "NNP",
    "Dearly": "RB",
    "Death": "NNP|NN",
    "Deatherage": "NNP",
    "Deaths": "NNP|NNS",
    "Deauville": "NNP",
    "Deaver": "NNP",
    "Deb": "NNP",
    "Debate": "NN|VBP",
    "Debates": "NNS",
    "Debating": "NNP",
    "Debban": "NNP",
    "Debbie": "NNP",
    "Debenture": "NN|NNP",
    "Debevoise": "NNP",
    "Debonnie": "NNP",
    "Debora": "NNP",
    "Deborah": "NNP",
    "Debra": "NNP",
    "Debt": "NNP|NN",
    "Debt-Burdened": "JJ",
    "Debt-free": "JJ",
    "Debts": "NNP",
    "Debugging": "VBG",
    "Debussy": "NNP",
    "Debutante": "NNP",
    "Dec": "NNP",
    "Dec.": "NNP|VB",
    "Decades": "NNS",
    "Decanting": "VBG",
    "Decathlon": "NNP",
    "Decatur": "NNP",
    "Decay": "NNP",
    "Decca": "NNP",
    "December": "NNP",
    "Decent": "JJ",
    "Decentralization": "NN",
    "Decide": "VB",
    "Deciding": "VBG",
    "Decimalists": "NNPS",
    "Decimus": "NNP",
    "Decision": "NNP",
    "Decisionline": "NNP",
    "Decisions": "NNS",
    "Deck": "NNP",
    "Decker": "NNP",
    "Declan": "NNP",
    "Declaration": "NNP",
    "Declarative": "JJ",
    "Declares": "VBZ",
    "Declaring": "VBG",
    "Declinations": "NNS",
    "Decline": "NN",
    "Decliners": "NNS",
    "Declines": "NNS",
    "Declining": "VBG|JJ",
    "Decoma": "NNP",
    "Decorated": "VBN",
    "Decorating": "VBG",
    "Decorators": "NNP",
    "Decreasing": "VBG",
    "Decries": "VBZ",
    "Decrying": "VBG",
    "Dederick": "NNP",
    "Dedham": "NNP",
    "Dedication": "NN|NNP",
    "Deductible": "JJ",
    "Deducting": "VBG",
    "Deduction": "NN",
    "Deductions": "NNS",
    "Dee": "NNP",
    "Deed": "NNP",
    "Deegan": "NNP",
    "Deemed": "VBN",
    "Deep": "JJ|NNP|RB",
    "Deepak": "NNP",
    "Deeper": "JJR",
    "Deeply": "RB",
    "Deer": "NNS|NNP",
    "Deere": "NNP",
    "Deerfield": "NNP",
    "Deering": "NNP",
    "Deerstalker": "NN|NNP",
    "Dees": "NNP",
    "Deets": "NNP",
    "Def": "NNP",
    "Defamation": "NNP",
    "Default": "NNP",
    "Defaults": "NNS",
    "Defeat": "NNP",
    "Defect": "NN",
    "Defections": "NNS",
    "Defectors": "NNS",
    "Defects": "NNPS",
    "Defence": "NN",
    "Defendant": "NN",
    "Defendants": "NNS",
    "Defenders": "NNS",
    "Defending": "VBG",
    "Defends": "NNS|VBZ",
    "Defense": "NNP",
    "Defensive": "JJ",
    "Deficiency": "NNP",
    "Deficit": "NNP",
    "Define": "VB",
    "Defining": "VBG",
    "Definite": "JJ",
    "Definitely": "RB",
    "Definition": "NN",
    "Definitive": "JJ",
    "Defoe": "NNP",
    "Defrost": "VB",
    "Defuse": "VB",
    "Defying": "VBG",
    "Degas": "NNP",
    "Degree": "NN",
    "Dehmelt": "NNP",
    "Dei": "NNP|FW",
    "Deidre": "NNP",
    "Deity": "NN",
    "Del": "NNP",
    "Del.": "NNP",
    "Del.-based": "JJ",
    "Delacre": "NNP",
    "Delahanty": "NNP",
    "Delamuraz": "NNP",
    "Delancy": "NNP",
    "Deland": "NNP",
    "Delaney": "NNP",
    "Delano": "NNP",
    "Delaunay": "NNP",
    "Delaware": "NNP",
    "Delaware-based": "JJ",
    "Delawareans": "NNPS",
    "Delawares": "NNS",
    "Delay": "NNP",
    "Delayed": "JJ",
    "Delays": "NNS",
    "Delbert": "NNP",
    "Delbridge": "NNP",
    "Delchamps": "NNP",
    "Delco": "NNP",
    "Deleage": "NNP",
    "Delegate": "NNP",
    "Delegates": "NNPS|NNS",
    "Delegation": "NNP",
    "Delegations": "NNS",
    "Delfim": "NNP",
    "Delhi": "NNP",
    "Deli": "NNP",
    "Delia": "NNP",
    "Deliberately": "RB",
    "Deliberations": "NNP",
    "Delicious": "NNP",
    "Delight": "NNP",
    "Delinquency": "NNP",
    "Delio": "NNP",
    "Delius": "NNP",
    "Deliver": "VB",
    "Deliveries": "NNS",
    "Delivery": "NN|NNP",
    "Dell": "NNP",
    "Della": "NNP",
    "Deller": "NNP",
    "Delloye": "NNP",
    "Dells": "NNP",
    "Dellums": "NNP",
    "Dellwood": "NNP",
    "Delmed": "NNP",
    "Delmont": "NNP",
    "Delmore": "NNP",
    "Deloitte": "NNP",
    "Deloitte-Touche": "NNP",
    "Delon": "NNP",
    "Deloris": "NNP",
    "Delors": "NNP",
    "Delphi": "NNP",
    "Delphine": "NNP",
    "Delray": "NNP",
    "Delta": "NNP|JJ",
    "Deltacorp": "NNP",
    "Deltec": "NNP",
    "Deluge": "NN",
    "Deluged": "VBN",
    "Delusion": "NNP",
    "Deluxe": "NNP|JJ",
    "Delvin": "NNP",
    "Delving": "VBG",
    "Delwin": "NNP",
    "Demagogues": "NNS",
    "Demand": "NN|VB|NNP",
    "Demanded": "VBD",
    "Demanding": "VBG",
    "Demands": "NNS",
    "Demented": "JJ",
    "Demery": "NNP",
    "Demetrius": "NNP",
    "Deminex": "NNP",
    "Demisch": "NNP",
    "Demler": "NNP",
    "Demme": "NNP",
    "Democracy": "NN|NNP",
    "Democrat": "NNP",
    "Democratic": "JJ|NN|NNP",
    "Democratic-controlled": "JJ",
    "Democratic-endorsed": "JJ",
    "Democratic-led": "JJ",
    "Democratic-sounding": "JJ",
    "Democratic-sponsored": "JJ",
    "Democratic-style": "JJ",
    "Democratique": "NNP",
    "Democratization": "NN",
    "Democrats": "NNPS|NNS|VBP",
    "Demodocus": "NNP",
    "Demographics": "NNS",
    "Demographie": "NNP",
    "Demoiselles": "NNP",
    "Demon": "NNP",
    "Demons": "NNS",
    "Demonstrating": "VBG",
    "Demonstrations": "NNS",
    "Dempsey": "NNP",
    "Demus-Schubert": "NNP",
    "Den": "NNP",
    "Denali": "NNP",
    "Denenchofu": "NNP",
    "Deng": "NNP",
    "Denials": "NNS",
    "Denied": "VBN",
    "Denis": "NNP",
    "Denise": "NNP",
    "Denison": "NNP",
    "Denizens": "NNS",
    "Denko": "NNP",
    "Denlea": "NNP",
    "Denman": "NNP",
    "Denmark": "NNP",
    "Dennehy": "NNP",
    "Dennis": "NNP|NNS",
    "Dennison": "NNP",
    "Denny": "NNP",
    "Deno": "NNP",
    "Denouncing": "VBG",
    "Denrees": "NNP",
    "Denshi": "NNP",
    "Densmore": "NNP",
    "Dent": "NNP",
    "Dental": "NNP",
    "Dentistry": "NNP",
    "Denton": "NNP",
    "Dentsu": "NNP",
    "Denver": "NNP",
    "Denver-area": "NN",
    "Denver-based": "JJ|NNP",
    "Denverite": "NNP",
    "Deo": "NNP",
    "Deor": "NNP",
    "Deparment": "NNP",
    "Departing": "VBG",
    "Department": "NNP",
    "Department-sponsored": "JJ",
    "Department-store": "JJ",
    "Departments": "NNP|NNPS",
    "Departmentstore": "NNP",
    "Departure": "NN",
    "Departures": "NNP",
    "Dependency": "NNP",
    "Dependent": "NNP|JJ",
    "Depending": "VBG",
    "Depew": "NNP",
    "Depicted": "VBN",
    "Depicting": "VBG",
    "Depictions": "NNS",
    "Depletions": "NNS",
    "Deployment": "NNP",
    "Deportees": "NNS",
    "Deposit": "NNP",
    "Depositary": "NNP|JJ",
    "Depositors": "NNS",
    "Depository": "NNP",
    "Deposits": "NNS|NNPS",
    "Deposits-a": "NNP|NNS|NNPS|LS",
    "Depot": "NNP",
    "Deppy": "NNP",
    "Depression": "NNP",
    "Depression-era": "JJ",
    "Depressive": "NNP",
    "Dept.": "NNP",
    "Deputies": "NNS|NNPS",
    "Deputy": "NNP|JJ",
    "Dequindre": "NNP",
    "Der": "NNP",
    "Derails": "NNS",
    "Derby": "NNP",
    "Derchin": "NNP",
    "Derck": "NNP",
    "Deregulation": "NN",
    "Derek": "NNP",
    "Derel": "NNP",
    "Derivative": "JJ",
    "Deriving": "VBG",
    "Derr": "NNP",
    "Dershowitz": "NNP",
    "Dervish": "NN",
    "Derwin": "NNP",
    "Deryck": "NNP",
    "Des": "NNP|FW",
    "DesRosiers": "NNP",
    "Desai": "NNP",
    "Desarrollo": "NNP",
    "Desc": "NNP",
    "Descartes": "NNP",
    "Descendants": "NNS",
    "Descending": "VBG",
    "Descent": "NN",
    "Describing": "VBG",
    "Description": "NNP",
    "Descriptive": "JJ",
    "Dese": "NNP",
    "Desegregation": "NN|NNP",
    "Deseret": "NNP",
    "Desert": "NNP",
    "Desheng": "NNP",
    "Design": "NNP",
    "Designated": "NNP",
    "Designcraft": "NNP",
    "Designed": "VBN",
    "Designer": "NN",
    "Designers": "NNPS|NNS",
    "Designing": "NNP|VBG",
    "Designs": "NNS|VBZ",
    "Desir": "NNP",
    "Desire": "NN",
    "Desiring": "VBG",
    "Desk": "NNP",
    "Desktop": "NNP",
    "Deslonde": "NNP",
    "Desmond": "NNP",
    "Desolation": "NNP",
    "Despair": "NN",
    "Desperate": "JJ",
    "Desperately": "RB",
    "Despina": "NNP",
    "Despising": "VBG",
    "Despite": "IN",
    "Desprez": "NNP",
    "Desrosiers": "NNP",
    "Destec": "NNP",
    "Destinations": "NNS",
    "Destler": "NNP",
    "Destroy": "NNP",
    "Destroyer": "NN",
    "Destruction": "NNP|NN",
    "Detached": "VBN",
    "Detachment": "NNP",
    "Detail": "NNP",
    "Detailed": "VBN",
    "Details": "NNS|NNP",
    "Detecting": "VBG",
    "Detective": "NNP",
    "Detectives": "NNP",
    "Detente": "NN",
    "Detention": "NNP",
    "Detergent": "NN",
    "Deterioration": "NN",
    "Determine": "VB",
    "Determined": "VBN",
    "Determining": "VBG",
    "Deterrent": "NN",
    "Detractors": "NNS",
    "Detrex": "NNP",
    "Detroit": "NNP",
    "Detroit-area": "JJ",
    "Detroit-based": "JJ",
    "Detroit-over-San": "JJ",
    "Detroit-to-Tokyo": "JJ",
    "Detroiters": "NNS",
    "Deukmejian": "NNP",
    "Deus": "FW",
    "Deutsch": "NNP",
    "Deutsche": "NNP|FW",
    "Devans": "NNP",
    "Devario": "NNP",
    "Devastation": "NN",
    "Devcon": "NNP",
    "Develop": "VB",
    "DevelopMate": "NNP",
    "Developed": "VBN",
    "Developer": "NNP",
    "Developers": "NNS|NNP",
    "Developing": "VBG|NNP",
    "Development": "NNP",
    "Developments": "NNPS|NNS",
    "Develops": "NNPS",
    "Devens": "NNP",
    "Dever": "NNP",
    "Devereux": "NNP",
    "Devery": "NNP",
    "Devesa": "NNP",
    "Devey": "NNP",
    "Device": "NN|NNP",
    "Devices": "NNPS|NNS",
    "Devil": "NNP",
    "Devils": "NNPS",
    "Devin": "NNP",
    "Devine": "NNP",
    "Devitt": "NNP",
    "Devlin": "NNP",
    "Devol": "NNP",
    "Devon": "NNP",
    "Devonshire": "NNP",
    "Devoted": "VBN",
    "Devotees": "NNS",
    "Devout": "JJ",
    "Dewar": "NNP",
    "Dewey": "NNP",
    "Dewhurst": "NNP",
    "Dexatrim": "NNP",
    "Dexedrine": "NNP",
    "Dexter": "NNP",
    "Dey": "NNP",
    "Deyo": "NNP",
    "Dhabi": "NNP",
    "Dharma": "NNP",
    "Dhofaris": "NNPS",
    "Dhuu": "NNP",
    "Di": "NNP",
    "DiCara": "NNP",
    "DiFilippo": "NNP",
    "DiGiorgio": "NNP",
    "DiIulio": "NNP",
    "DiLeo": "NNP",
    "DiLorenzo": "NNP",
    "DiLoreto": "NNP",
    "DiLuzio": "NNP",
    "DiMaggio": "NNP",
    "DiNardo": "NNP",
    "DiSimone": "NNP",
    "DiVall": "NNP",
    "DiVarco": "NNP",
    "Diabetes": "NNP",
    "Diabetic": "NNP",
    "Diaghileff": "NNP",
    "Diaghilev": "NNP",
    "Diagnoses": "NNPS",
    "Diagnosis": "NNP",
    "Diagnostic": "NNP",
    "Diagnostics": "NNPS",
    "Dial": "NNP",
    "Dialogue": "NNP",
    "Dialogues": "NNP",
    "Diamandis": "NNP",
    "Diamanti": "NNP",
    "Diametric": "JJ",
    "Diamond": "NNP",
    "Diamond-Star": "NNP",
    "Dian": "NNP",
    "Diana": "NNP",
    "Diane": "NNP",
    "Dianne": "NNP",
    "Diaper": "NNP",
    "Diario": "NNP",
    "Diary": "NNP",
    "Diasonics": "NNP",
    "Diaz": "NNP",
    "Dicarban": "NN",
    "Dice": "NNS",
    "Dicello": "NNP",
    "Diceon": "NNP",
    "Dick": "NNP",
    "Dicke": "NNP",
    "Dickel": "NNP",
    "Dickens": "NNP",
    "Dickensian": "JJ",
    "Dickey": "NNP",
    "Dickie": "NNP",
    "Dickinson": "NNP",
    "Dickman": "NNP",
    "Dicks": "NNP",
    "Dickson": "NNP",
    "Dictaphone": "NNP",
    "Dictates": "NNS",
    "Dictation": "NN",
    "Dictator": "NNP",
    "Dictionaries": "NNS",
    "Dictionary": "NNP",
    "Did": "VBD",
    "Did-": "NNP",
    "Didi": "NNP",
    "Didion": "NNP",
    "Die": "VB|NNP|FW|VBP",
    "Die-hard": "JJ",
    "DieHard": "JJ",
    "Diebel": "NNP",
    "Diebold": "NNP",
    "Died": "VBD|VBN",
    "Diefenbach": "NNP",
    "Diego": "NNP|JJ",
    "Diego-area": "JJ",
    "Diego-based": "JJ|NNP",
    "Diehards": "NNS",
    "Diehl": "NNP",
    "Diem": "NNP",
    "Dienbienphu": "NNP",
    "Dieppe": "NNP",
    "Dierker": "NNP",
    "Diery": "NNP",
    "Dies": "VBZ|NNP",
    "Diesel": "NNP",
    "Diest": "NNP",
    "Diet": "NNP",
    "Dietary": "JJ",
    "Dieter": "NNP",
    "Dietetic": "NNP",
    "Diethylstilbestrol": "NN",
    "Dietisa": "NNP",
    "Dietrich": "NNP",
    "Diets": "NNS",
    "Diety": "NNP",
    "Dietz": "NNP",
    "Dietzer": "NNP",
    "Dieu": "FW",
    "Dieux": "NNP",
    "Diff": "NN",
    "Differ": "VBP",
    "Differences": "NNS",
    "Different": "JJ|NNP",
    "Differential": "JJ",
    "Difficult": "JJ",
    "Diffring": "NNP",
    "Dig": "VB",
    "Digate": "NNP",
    "Digby": "NNP",
    "Digest": "NNP",
    "Diggers/Noise": "NNP",
    "Digges": "NNP",
    "Digi": "NNP",
    "Digital": "NNP|JJ",
    "Dignitaries": "NNS",
    "Dignity": "NNP",
    "Dijon": "NNP",
    "Dilantin": "NNP",
    "Dilenschneider": "NNP",
    "Dili": "NNP",
    "Diligence": "NNP",
    "Dilip": "NNP",
    "Dill": "NNP",
    "Dillard": "NNP",
    "Diller": "NNP",
    "Dillinger": "NNP",
    "Dillingham": "NNP",
    "Dillmann": "NNP",
    "Dillon": "NNP",
    "Dillow": "NNP",
    "Dilly": "NNP",
    "Dilthey": "NNP",
    "Dilworth": "NNP",
    "Dilys": "NNP",
    "Dilzem": "NNP",
    "Dim": "VBP",
    "Dimaggio": "NNP",
    "Diman": "NNP",
    "Dime": "NNP",
    "Dimensions": "NNP|NNS|NNPS",
    "Dimes": "NNP",
    "Dimitri": "NNP",
    "Dimitriadis": "NNP",
    "Dimitris": "NNP",
    "Dimly": "RB",
    "Dineen": "NNP",
    "Diners": "NNP",
    "Dinerstein": "NNP",
    "Dines": "NNP",
    "Ding": "NNP",
    "Dingell": "NNP",
    "Dingell-Waxman": "NNP",
    "Dingle": "NNP",
    "Dingman": "NNP",
    "Dingwall": "NNP",
    "Dingy-looking": "JJ",
    "Dinh": "NNP",
    "Dining": "NNP|VBG",
    "Dinkins": "NNP",
    "Dinner": "NN",
    "Dino": "NNP",
    "Dinosaur": "NNP",
    "Dinsa": "NNP",
    "Dinsmore": "NNP",
    "Diocesan": "JJ",
    "Diocese": "NNP",
    "Diodati": "NNP",
    "Dion": "NNP",
    "Dionie": "NNP",
    "Dionigi": "NNP",
    "Dionne": "NNP",
    "Dionysian": "JJ",
    "Dionysus": "NNP",
    "Dior": "NNP",
    "Dioxins": "NNS",
    "Dip": "VB",
    "Diplomatic": "JJ",
    "Diplomats": "NNS",
    "Diprivan": "NNP",
    "Dipylon": "NNP",
    "Dire": "JJ",
    "Direct": "NNP|JJ",
    "Direct-mail": "JJ",
    "Directed": "NNP|VBN",
    "Direction": "NNP",
    "Directionality": "NN",
    "Directions": "NNP|NNS|NNPS",
    "Directive": "NNP",
    "Directly": "RB",
    "Director": "NNP",
    "Director-General": "NNP",
    "Directorate": "NNP",
    "Directors": "NNS|NNP|NNPS",
    "Directory": "NNP",
    "Dirion": "NNP",
    "Dirk": "NNP",
    "Dirks": "NNP|NNS",
    "Dirksen": "NNP",
    "Diron": "NNP",
    "Dirt": "NN",
    "Dirty": "JJ",
    "Dirvin": "NNP",
    "Disabilities": "NNPS|NNP",
    "Disabled": "JJ|NN|NNP|VBN",
    "Disadvantaged": "NNP",
    "Disadvantages": "NNS",
    "Disaffiliation": "NN",
    "Disagreement": "NN",
    "Disappointing": "JJ",
    "Disappointment": "NN",
    "Disappointments": "NNS",
    "Disapproval": "NN",
    "Disarmament": "NNP",
    "Disaster": "NN",
    "Disasters": "NNS",
    "Disc": "NNP",
    "Disciplinary": "NNP",
    "Discipline": "NN",
    "Disciplined": "VBN",
    "Disclosed": "VBN",
    "Disclosure": "NN",
    "Disclosures": "NNS",
    "Discontinue": "VB",
    "Discos": "NNS",
    "Discount": "NNP|JJ",
    "Discounts": "NNS",
    "Discouraged": "VBN",
    "Discouragement": "NN",
    "Discours": "NNP",
    "Discourse": "NNP",
    "Discover": "NNP",
    "Discovered": "VBN",
    "Discoveries": "NNS",
    "Discovering": "VBG",
    "Discovery": "NNP",
    "Discovision": "NNP",
    "Discreet": "JJ",
    "Discrepancies": "NNS",
    "Discretion": "NN",
    "Discrimination": "NNP",
    "Discs": "NNP",
    "Discussed": "VBN",
    "Discussing": "VBG",
    "Discussion": "NN",
    "Discussions": "NNS",
    "Disease": "NNP",
    "Diseases": "NNPS",
    "Disgrace": "NN",
    "Disgruntled": "JJ",
    "Disgusted": "VBN",
    "Dish": "NNP",
    "Dishonesty": "NN",
    "Disk": "NN",
    "Disk/Trend": "NNP",
    "Dismal": "JJ",
    "Dismantle": "VB",
    "Dismay": "NN",
    "Dismissing": "VBG",
    "Dismounting": "VBG",
    "Disney": "NNP",
    "Disney/MGM": "NNP",
    "Disneyland": "NNP",
    "Disorderly": "JJ",
    "Dispatch": "NNP",
    "Dispensing": "VBG",
    "Dispersals": "NNS",
    "Displacement": "NN",
    "Display": "NN|VB",
    "Displayed": "VBN",
    "Displaying": "VBG",
    "Disposable": "JJ",
    "Disposables": "NNS",
    "Disposal": "NNP",
    "Disposition": "NNP",
    "Disposti": "NNP",
    "Disputada": "NNP",
    "Disputado": "NNP",
    "Disputes": "NNP",
    "Disquisition": "NNP",
    "Disregarding": "VBG",
    "Dissect": "VB",
    "Dissenting": "JJ",
    "Dissident": "JJ|NNP",
    "Dissidents": "NNS",
    "Dist": "NNP",
    "Dist.": "NN",
    "Distally": "RB",
    "Distance": "NNP",
    "Distances": "NNS",
    "Distant": "JJ",
    "Distilled": "NNP",
    "Distiller": "NN",
    "Distillers": "NNPS|NNS",
    "Distinguished": "NNP",
    "Distorts": "NNP",
    "Distracted": "VBN",
    "Distressed": "JJ",
    "Distributed": "VBN",
    "Distributing": "VBG",
    "Distribution": "NN|NNP",
    "Distributive": "NNP",
    "Distributors": "NNPS|NNS",
    "District": "NNP",
    "Districts": "NNS|NNPS",
    "Ditch": "NNP",
    "Ditka": "NNP",
    "Ditlow": "NNP",
    "Ditmar": "NNP",
    "Ditmars": "NNP",
    "Dittamore": "NNP",
    "Ditto": "NN",
    "Divergent": "JJ",
    "Divers": "NNP",
    "Diversey": "NNP",
    "Diversification": "NN",
    "Diversified": "NNP|VBN|JJ",
    "Diversify": "VB",
    "Diversity": "NN|NNP",
    "Divertimento": "NNP",
    "Dives": "NNS",
    "Divesting": "VBG",
    "Divestiture": "NN",
    "Divi": "NNP",
    "Divide": "VB",
    "Divided": "VBN",
    "Dividend": "NN|NNP",
    "Dividend-related": "JJ",
    "Dividends": "NNS",
    "Divine": "NNP|JJ",
    "Diving": "NN|NNP",
    "Divinity": "NNP",
    "Division": "NNP",
    "Divisional": "NNP",
    "Divisions": "NNS",
    "Divorced": "NNP",
    "Dixie": "NNP",
    "Dixiecrat": "NNP",
    "Dixiecrats": "NNS",
    "Dixieland": "NNP",
    "Dixon": "NNP",
    "Dixons": "NNP",
    "Dizzy": "NNP",
    "Djakarta": "NNP",
    "Django": "NNP",
    "Djangology": "NNP",
    "Djemaa": "NNP",
    "Djurdjevic": "NNP",
    "Dludsky": "NNP",
    "Dmitri": "NNP",
    "DnC": "NNP",
    "Dnieper": "NNP",
    "Dniepr": "NNP",
    "Do": "VBP|NNP",
    "Doak": "NNP",
    "Doaty": "NNP",
    "Dobbins": "NNP",
    "Dobbs": "NNP",
    "Doberman": "NN",
    "Dobi": "NNP",
    "Dobson": "NNP",
    "Doc": "NNP",
    "Docherty": "NNP",
    "Dock": "NNP",
    "Dockray": "NNP",
    "Dockweiler": "NNP",
    "Doctor": "NNP",
    "Doctors": "NNS|NNPS",
    "Doctrine": "NNP",
    "Document": "NNP",
    "Documentary": "NNP",
    "Documentation": "NNP",
    "Documents": "NNS|NNP",
    "Dodd": "NNP",
    "Dodd-type": "NNP",
    "Dodds": "NNP",
    "Dodge": "NNP",
    "Dodger": "NNP",
    "Dodgers": "NNP|JJ|NNPS",
    "Dodington": "NNP",
    "Dods": "NNP",
    "Dodson": "NNP",
    "Doe": "NNP",
    "Doerflinger": "NNP",
    "Doerig": "NNP",
    "Doerner": "NNP",
    "Does": "VBZ|NNP",
    "Dog": "NNP",
    "Dogberry": "NNP",
    "Dogs": "NNS|NNPS",
    "Dogtown": "NNP",
    "Dogumenti": "FW",
    "Doherty": "NNP",
    "Dohnanyi": "NNP",
    "Doi": "NNP",
    "Doing": "VBG|NNP",
    "Dolan": "NNP",
    "Dolce": "NNP",
    "Dole": "NNP",
    "Doll": "NNP",
    "Dollar": "NN|NNP",
    "Dollar-Britten": "NNP",
    "Dollar-De": "NNP",
    "Dollar-yen": "JJ",
    "Dollars": "NNPS|NNS",
    "Dolley": "NNP",
    "Dolls": "NNP",
    "Dolly": "NNP",
    "Dolmabahce": "NNP",
    "Dolora": "NNP",
    "Dolores": "NNP|NNS",
    "Dolphin": "NNP",
    "Dolphins": "NNPS",
    "Dom": "NNP",
    "Domaine": "NNP",
    "Doman": "NNP",
    "Dome": "NNP",
    "Domeier": "NNP",
    "Domenici": "NNP",
    "Domesday": "NNP",
    "Domestic": "JJ|NNP",
    "Domestically": "RB",
    "Domicilium": "NNP",
    "Domina": "NNP|FW",
    "Dominant": "NNP|JJ",
    "Dominated": "VBN",
    "Domingo": "NNP",
    "Domingos": "NNP",
    "Dominguez": "NNP",
    "Dominic": "NNP",
    "Dominica": "NNP",
    "Dominican": "NNP|JJ",
    "Dominici": "NNP",
    "Dominick": "NNP",
    "Dominion": "NNP",
    "Dominique": "NNP",
    "Domino": "NNP",
    "Dominus": "NNP",
    "Domitian": "NNP",
    "Domokous": "NNP",
    "Dompierre": "NNP",
    "Domtar": "NNP",
    "Don": "NNP",
    "Dona": "NNP",
    "Donaghy": "NNP",
    "Donahue": "NNP",
    "Donald": "NNP",
    "Donaldson": "NNP",
    "Donaldsonville": "NNP",
    "Donating": "VBG",
    "Donations": "NNS",
    "Donato": "NNP",
    "Donbas": "NNP",
    "Done": "VBN",
    "Doner": "NNP",
    "Dong": "NNP",
    "Dong-A": "NNP",
    "Dongen": "NNP",
    "Donics": "NNP",
    "Donizetti": "NNP",
    "Donna": "NNP",
    "Donnan": "NNP",
    "Donnay": "NNP",
    "Donnell": "NNP",
    "Donnelley": "NNP",
    "Donnelly": "NNP",
    "Donner": "NNP",
    "Donning": "VBG",
    "Donnybrook": "NNP",
    "Donofrio": "NNP",
    "Donoghue": "NNP|VB",
    "Donohoo": "NNP",
    "Donohue": "NNP",
    "Donor": "NN",
    "Donors": "NNS",
    "Donovan": "NNP",
    "Donut": "NNP",
    "Donuts": "NNP|NNPS|NNS",
    "Doo": "NNP",
    "Doobie": "NNP",
    "Dookiyoon": "NNP",
    "Dooley": "NNP",
    "Dooleys": "NNPS",
    "Doolin": "NNP",
    "Dooling": "NNP",
    "Doolittle": "NNP",
    "Doonesbury": "NNP",
    "Door": "NNP",
    "Doordarshan": "NNP",
    "Doorne": "NNP",
    "Doors": "NNS",
    "Doosan": "NNP",
    "Doppler": "NNP",
    "Dor": "NNP",
    "Dora": "NNP",
    "Dorado": "NNP",
    "Doran": "NNP",
    "Doraville": "NNP",
    "Dorcas": "NNP",
    "Dorena": "NNP",
    "Dorens": "NNP",
    "Dorenzo": "NNP",
    "Dorfman": "NNP",
    "Dorgan": "NNP",
    "Dorgen": "NNP",
    "Doria": "NNP",
    "Dorian": "NNP",
    "Doric": "JJ",
    "Doris": "NNP|NNS",
    "Doritos": "NNS",
    "Dormitory": "NNP",
    "Dornan": "NNP",
    "Dorney": "NNP",
    "Dornier": "NNP",
    "Doron": "NNP",
    "Doronfeld": "NNP",
    "Dorothee": "NNP",
    "Dorothy": "NNP",
    "Dorr": "NNP",
    "Dorrance": "NNP",
    "Dorrances": "NNPS",
    "Dorsch": "NNP",
    "Dorset": "NNP",
    "Dorsey": "NNP",
    "Dorsten": "NNP",
    "Dort": "NNP",
    "Dortch": "NNP",
    "Dortmund": "NNP",
    "Dos": "NNP",
    "Doskocil": "NNP",
    "Dostoevski": "NNP",
    "Dostoevsky": "NNP",
    "Doswell": "NNP",
    "Dotson": "NNP",
    "Dotzler": "NNP",
    "Double": "RB|NNP|JJ|VB",
    "Double-Figure": "NNP",
    "Double-Jointed": "NNP",
    "Double-digit": "JJ",
    "Doubled": "VBD",
    "Doubleday": "NNP",
    "Doubles": "NNP",
    "Doubt": "NN|VBP",
    "Doubtful": "JJ",
    "Doubtless": "RB",
    "Doubts": "NNS",
    "Douce": "NNP",
    "Doug": "NNP",
    "Dough": "NN",
    "Dougherty": "NNP",
    "Doughnuttery": "NN",
    "Douglas": "NNP",
    "Douglass": "NNP",
    "Doulgas": "NNP",
    "Dousman": "NNP",
    "Dov": "NNP",
    "Dove": "NN|NNP",
    "Dover": "NNP",
    "Dow": "NNP",
    "Dow-Jones": "NNP",
    "DowBrands": "NNP",
    "Dowager": "NNP",
    "Dowd": "NNP",
    "Dowex-2-chloride": "NN|NNP",
    "Dowguard": "NNP",
    "Dowie": "NNP",
    "Dowling": "NNP",
    "Down": "NNP|IN|VB",
    "Downbeat": "NNP",
    "Downers": "NNP",
    "Downey": "NNP",
    "Downfall": "NNP",
    "Downgraded": "VBN",
    "Downgrades": "NNS",
    "Downham": "NNP",
    "Downing": "NNP",
    "Downs": "NNP",
    "Downside": "JJ",
    "Downstairs": "NN|RB",
    "Downtown": "NN|NNP",
    "Dowty": "NNP",
    "Doxiadis": "NNP",
    "Doyle": "NNP",
    "Dozen": "NNP",
    "Dozens": "NNS",
    "Dr": "NNP",
    "Dr.": "NNP",
    "Drabble": "NNP",
    "Drabinsky": "NNP",
    "Draco": "NNP",
    "Draconian": "JJ",
    "Dracula": "NNP",
    "Draft": "NNP",
    "Drafted": "VBN",
    "Draftula": "NNP",
    "Drag": "VB",
    "Dragging": "VBG",
    "Dragnet": "NNP",
    "Drago": "NNP",
    "Dragon": "NNP",
    "Dragonetti": "NNP",
    "Dragons": "NNP",
    "Dragoslav": "NNP",
    "Dragoumis": "NNP",
    "Drahuschak": "NNP",
    "Drain": "VB|NN",
    "Drake": "NNP",
    "Dramatic": "JJ",
    "Draper": "NNP",
    "Drastic": "JJ",
    "Dravo": "NNP",
    "Draw": "VB|NNP",
    "Draw-file": "NN|VB",
    "Drawbacks": "NNS",
    "Drawers": "NNS",
    "Drawing": "VBG|NNP",
    "Drawn": "VBN",
    "Dread": "NNP",
    "Dreadnought": "NNP",
    "Dream": "VB|NNP",
    "Dream-Lusty": "NNP",
    "Dream-Miss": "NNP",
    "Dream-Next": "NNP",
    "Dream-Sweetmite": "NNP",
    "Dream-Torkin": "NNP",
    "Dream-Way": "NNP",
    "Dreamboat": "NNP",
    "Dreamers": "NNS|NNPS",
    "Dreams": "NNS|NNPS",
    "Dred": "NNP",
    "Dreieich": "NNP",
    "Dreiser": "NNP",
    "Dreisers": "NNPS",
    "Drell": "NNP",
    "Dreman": "NNP",
    "Drenched": "JJ",
    "Drennen": "NNP",
    "Dresbach": "NNP",
    "Dresbachs": "NNPS",
    "Dresden": "NNP|JJ",
    "Dresdner": "NNP",
    "Dresdner-ABD": "NNP",
    "Dress": "NNP|VB",
    "Dressed": "VBN",
    "Dresser": "NNP",
    "Dresses": "NNS",
    "Dresylon": "NNP",
    "Drew": "NNP|JJ|VBD",
    "Drexel": "NNP",
    "Drexel-managed": "JJ",
    "Drexel-underwritten": "JJ",
    "Drexler": "NNP",
    "Dreyer": "NNP",
    "Dreyfus": "NNP",
    "Dried": "VBN|JJ",
    "Driesell": "NNP",
    "Drift": "NNP",
    "Drifting": "VBG",
    "Drifts": "NNS|NNP",
    "Drill": "VB|NN",
    "Drilling": "NNP",
    "Drink": "NN|VB",
    "Drinker": "NN",
    "Drinkhouse": "NNP",
    "Drinking": "VBG",
    "Driscoll": "NNP",
    "Driskill": "NNP",
    "Drive": "NNP|VB",
    "Drive-in": "NNP",
    "Driven": "VBN",
    "Driver": "NN|NNP",
    "Drivers": "NNS",
    "Driving": "VBG|NNP",
    "Drivon": "NNP",
    "Drobnick": "NNP",
    "Drobny": "NNP",
    "Drogerias": "NNP",
    "Drogoul": "NNP",
    "Droll": "NNP",
    "Dromey": "NNP",
    "Dronk": "NNP",
    "Drop": "VB|NNP|VBP",
    "Dropouts": "NNS",
    "Dropping": "VBG",
    "Drought": "NN",
    "Drouot": "NNP",
    "Drovers": "NNS",
    "Droz": "NNP",
    "Drs.": "NNP|NNPS",
    "Dru": "NNP",
    "Drubbing": "NN",
    "Drug": "NNP",
    "Drug-Treatment": "JJ",
    "Drug-industry": "JJ",
    "Druggan-Lake": "NNP",
    "Drugs": "NNS|NNPS",
    "Drugstore": "NNP",
    "Druid": "NN",
    "Druin": "NNP",
    "Drum": "NNP",
    "Drummer": "NN",
    "Drums": "NNS",
    "Drunk": "NNP|JJ",
    "Drunkard": "NNP",
    "Drunken": "JJ",
    "Drunkenness": "NN",
    "Drury": "NNP",
    "Druse": "JJ",
    "Dry": "NNP|JJ",
    "Drybred": "NNP",
    "Dryden": "NNP",
    "Drye": "NNP",
    "Dryer": "NN",
    "Dryfoos": "NNP",
    "Drying": "NN",
    "Dryja": "NNP",
    "Ds": "NNS",
    "Du": "NNP",
    "DuCharme": "NNP",
    "DuComb": "NNP",
    "DuPont": "NNP",
    "DuVol": "NNP",
    "Dual": "JJ",
    "Duane": "NNP",
    "Duarte": "NNP",
    "Dubai": "NNP",
    "Dubaih": "NNP",
    "Dubbed": "VBN",
    "Dubilier": "NNP",
    "Dubin": "NNP",
    "Dubinin": "NNP",
    "Dubinsky": "NNP",
    "Dublin": "NNP",
    "Dubnow": "NNP",
    "Dubois": "NNP",
    "Dubose": "NNP",
    "Dubovskoi": "NNP",
    "Duchenne": "NNP",
    "Duchess": "NNP",
    "Duchossois": "NNP",
    "Duchy": "NNP",
    "Duck": "NN|NNP",
    "Ducking": "VBG",
    "Ducky": "NNP",
    "Duclos": "NNP",
    "Dudley": "NNP",
    "Due": "JJ|NNP|RB",
    "Duel": "NNP",
    "Duero": "NNP",
    "Duesseldorf": "NNP",
    "Duff": "NNP",
    "Duffey": "NNP",
    "Duffield": "NNP",
    "Duffus": "NNP",
    "Duffy": "NNP",
    "Dufresne": "NNP",
    "Dugan": "NNP",
    "Dugan/Farley": "NNP",
    "Dugdale": "NNP",
    "Duhagon": "NNP",
    "Dukakis": "NNP",
    "Dukakises": "NNP",
    "Duke": "NNP",
    "Duke-EPA": "JJ",
    "Dukes": "NNPS",
    "Dulaney": "NNP",
    "Dulles": "NNP|NNS",
    "Dulude": "NNP",
    "Duluth": "NNP",
    "Dumas": "NNP",
    "Dumb": "JJ",
    "Dumbo": "NNP",
    "Dumez": "NNP",
    "Dummkopf": "NN",
    "Dumont": "NNP",
    "Dumping": "NN",
    "Dumpster": "NNP",
    "Dumpty": "NNP",
    "Dun": "NNP",
    "Dunaway": "NNP",
    "Dunbar": "NNP",
    "Duncan": "NNP",
    "Dunde": "NNP",
    "Dundee": "NNP",
    "Dundeen": "NNP",
    "Dunes": "NNPS|NNS",
    "Dung": "NNP",
    "Dunham": "NNP",
    "Dunkel": "NNP",
    "Dunkelberg": "NNP",
    "Dunker": "NNP",
    "Dunkin": "NNP",
    "Dunkirk": "NNP",
    "Dunlaevy": "NNP",
    "Dunlap": "NNP",
    "Dunlop": "NNP",
    "Dunn": "NNP",
    "Dunn-Atherton": "NNP",
    "Dunne": "NNP",
    "Dunston": "NNP",
    "Dunton": "NNP",
    "Duplicate": "NN",
    "Duplicating": "VBG",
    "Dupont": "NNP",
    "Duponts": "NNPS",
    "Dupps": "NNP",
    "Dupuy": "NNP",
    "Duque": "NNP",
    "Duquesne": "NNP",
    "Durable": "JJ",
    "Durable-goods": "JJ",
    "Durables": "NNPS",
    "Duracell": "NNP",
    "Durakon": "NNP",
    "Durant": "NNP",
    "Durante": "NNP",
    "Duration": "NN",
    "Durban": "NNP",
    "Durcan": "NNP",
    "Duren": "NNP",
    "Durenberger": "NNP",
    "Durer": "NNP",
    "Durgin": "NNP",
    "Durham": "NNP",
    "During": "IN|NNP",
    "Duriron": "NNP",
    "Durk": "NNP",
    "Durkheim": "NNP",
    "Durkin": "NNP",
    "Durlach": "NNP",
    "Durmoy": "NNP",
    "Durney": "NNP",
    "Durning": "NNP",
    "Duro-Test": "NNP",
    "DuroTest": "NNP",
    "Durocher": "NNP",
    "Durrell": "NNP",
    "Durwood": "NNP",
    "Duse": "NNP",
    "Dussa": "NNP",
    "Dusseldorf": "NNP",
    "Dust": "NNP",
    "Dustin": "NNP",
    "Duston": "NNP",
    "Dusty": "NNP",
    "Dutch": "JJ|NNPS",
    "Dutch-based": "JJ",
    "Dutch-descended": "JJ",
    "Dutch-elm-disease": "NN",
    "Dutch/Shell": "NNP",
    "Dutchess": "NNP",
    "Dutchman": "NNP",
    "Duties": "NNP|NNS",
    "Dutil": "NNP",
    "Dutton": "NNP",
    "Duty": "NNP",
    "Duty-Free": "NNP",
    "Duty-free": "JJ",
    "Duvalier": "NNP",
    "Duverger": "NNP",
    "Duy": "NNP",
    "Duyvil": "NNP",
    "Duzan": "NNP",
    "Dvorak": "NNP",
    "Dwarfing": "VBG",
    "Dwellers": "NNS",
    "Dwight": "NNP",
    "Dwor": "NNP",
    "Dworkin": "NNP",
    "Dworkin-Cosell": "NNP",
    "Dwyer": "NNP",
    "DyDee": "NNP",
    "Dyazide": "NNP",
    "Dycom": "NNP",
    "Dyer": "NNP",
    "Dyerear": "NNP",
    "Dying": "NNP|VBG",
    "Dyk": "NNP",
    "Dyke": "NNP",
    "Dylan": "NNP",
    "Dylan-influenced": "JJ",
    "Dylex": "NNP",
    "Dyna": "NNP",
    "Dynabook": "NNP",
    "Dynafac": "NN|NNP",
    "Dynamic": "NNP",
    "Dynamics": "NNPS|NNP",
    "Dynamite": "NNP",
    "Dynapert": "NNP",
    "Dynascan": "NNP",
    "Dynasts": "NNPS",
    "Dynasty": "NNP",
    "Dyncorp": "NNP",
    "Dyncorp.": "NNP",
    "Dynoriders": "NNP",
    "Dysan": "NNP",
    "Dyson": "NNP",
    "E": "NNP|NN|JJ|LS",
    "E&J": "NNP",
    "E&P": "NNP",
    "E-2C": "NNP|NN",
    "E-6A": "NN",
    "E-71": "NNP",
    "E-II": "NNP",
    "E-Systems": "NNP|NNPS",
    "E-Z": "JJ",
    "E-mail": "NN",
    "E.": "NNP",
    "E.B.": "NNP",
    "E.C.": "NNP",
    "E.D.": "NNP",
    "E.E.": "NNP",
    "E.F.": "NNP",
    "E.G.": "NNP",
    "E.G.T.": "NNP",
    "E.H.": "NNP",
    "E.M.": "NNP",
    "E.O.": "NNP",
    "E.P.": "NN",
    "E.R.": "NNP",
    "E.T.": "NNP",
    "E.T.C": "NNP",
    "E.W.": "NNP",
    "E.Y.": "NNP",
    "E5": "NNP",
    "EAC": "NNP",
    "EARNINGS": "NNS",
    "EARTHQUAKE": "NN",
    "EAST": "NNS|NNP|JJ",
    "EASTERN": "NNP",
    "EBPI": "NNP",
    "EBS": "NNP",
    "EC": "NNP",
    "EC-1": "NN",
    "EC-made": "JJ",
    "EC-wide": "JJ",
    "ECA": "NNP",
    "ECI": "NNP",
    "ECONOMIC": "JJ",
    "ECONOMY": "NN",
    "ECP": "NNP",
    "ECPA": "NNP",
    "ECU": "NNP",
    "ECU-based": "JJ",
    "ECU-denominated": "JJ",
    "ECUs": "NNS",
    "EDA": "NNP",
    "EDI": "NNP",
    "EDISON": "NNP",
    "EDMOV": "NN",
    "EDS": "NNP",
    "EDT": "NNP",
    "EDUCATION": "NN",
    "EEAE-cellulose": "NN",
    "EEG": "NNP",
    "EEOC": "NNP",
    "EFFECT": "NN",
    "EFPs": "NNS",
    "EG&G": "NNP",
    "EGA": "NNP",
    "EGA-VGA": "JJ",
    "EGYPT": "NNP",
    "EISA": "NNP",
    "EITC": "NNP",
    "EK": "NNP",
    "EL-10": "NNP",
    "ELDERLY": "JJ",
    "ELECTED": "VBD",
    "ELECTIONS": "NNS",
    "ELECTRIC": "NNP",
    "ELECTRONICS": "NNP",
    "ELP": "NNP",
    "ELSINORE": "NNP",
    "ELWOOD": "NNP",
    "EMA": "NNP",
    "EMC": "NNP",
    "EMI": "NNP",
    "EMPIRE": "NNP",
    "EMPLOYEE": "NN",
    "EMPLOYEES": "NNS",
    "EMS": "NNP",
    "ENCYCLOPAEDIA": "NNP",
    "ENDED": "VBD",
    "ENERGY": "NNP|NN",
    "ENFIELD": "NNP",
    "ENG": "NNP",
    "ENGLAND": "NNP",
    "ENGRAPH": "NNP",
    "ENI": "NNP",
    "ENTEL": "NNP",
    "ENTERED": "VBD",
    "ENTERPRISES": "NNP",
    "ENTERS": "VBZ",
    "ENTERTAINMENT": "NNP",
    "ENTREPRENEURSHIP": "NN",
    "ENVIRONMENTAL": "JJ",
    "EOG": "NNP",
    "EP-3E": "NNP",
    "EPA": "NNP",
    "EPC": "NNP",
    "EPO": "NNP",
    "EPO-treated": "JJ",
    "EQU": "NN",
    "EQUIPMENT": "NNP",
    "EQUITIES": "NNPS",
    "EQUITY": "NNP",
    "ERC": "NNP",
    "ERG": "NNP",
    "ERISA": "NNP",
    "ERNST": "NNP",
    "ES": "NNP",
    "ES250": "NNP",
    "ESB": "NNP",
    "ESL": "NNP",
    "ESN": "NN",
    "ESOP": "NNP",
    "ESOPs": "NNS|NNP",
    "ESP": "NNP",
    "ESPN": "NNP",
    "ESPs": "NNPS|NNS",
    "EST": "NNP|RB",
    "ESTABLISHMENT": "NN",
    "ESTATE": "NNP|NN",
    "ESystems": "NNP",
    "ET": "NNP",
    "ETA": "NNP",
    "ETHICS": "NNS",
    "ETR": "NNP",
    "ETV": "NNP",
    "EUMMELIHS": "NNP",
    "EURODOLLARS": "NNS|NNPS",
    "EUROP": "NNP",
    "EUROPE": "NNP",
    "EVEREX": "NNP",
    "EVERYONE": "NN",
    "EWC": "NN",
    "EWDB": "NNP",
    "EX": "NNP",
    "EX-OFFICIALS": "NNS",
    "EXAMINE": "VB",
    "EXBT": "NNP",
    "EXCHANGE": "NN",
    "EXE": "NNP",
    "EXECUTIVES": "NNPS|NNS",
    "EXP": "NNP",
    "EXPANDS": "VBZ",
    "EXPECT": "VBP",
    "EXPENSES": "NNS",
    "EXPENSIVE": "JJ",
    "EXPRESS": "NNP",
    "EXPRESSED": "VBD",
    "EXTEND": "VB",
    "EXXON": "NNP",
    "EYEWEAR": "NN",
    "EYP": "NNP",
    "EZ": "NNP",
    "Each": "DT",
    "Eades": "NNP",
    "Eager": "JJ|NNP",
    "Eagle": "NNP",
    "Eagle-Berol": "NNP",
    "Eagle-Picher": "NNP",
    "Eagleburger": "NNP",
    "Eagles": "NNPS|NNP",
    "Eagleton": "NNP",
    "Eagleton-Newark": "NNP",
    "Eakle": "NNP",
    "Ealy": "NNP",
    "Eamonn": "NNP",
    "Ear": "NN|NNP",
    "Ear-Muffs": "NNPS",
    "Earl": "NNP",
    "Earle": "NNP",
    "Earlham": "NNP",
    "Earlier": "RBR|JJR",
    "Earls": "NNP",
    "Early": "RB|NNP|JJ",
    "Early-morning": "JJ",
    "Early-retirement": "NN",
    "Earning": "NN",
    "Earnings": "NNS",
    "Earns": "VBZ",
    "Earp": "NNP",
    "Ears": "NNS",
    "Earth": "NNP",
    "Earth-quake": "NN",
    "Earth-week": "NN",
    "Earth-weeks": "NNS",
    "Earthbeat": "NNP",
    "Earthlings": "NNS",
    "Earthmen": "NNPS|NNS",
    "Earthquake": "NN|NNP",
    "Earthquake-related": "JJ",
    "Earthquakes": "NNS",
    "Ease": "VB",
    "Easier": "JJR|RBR",
    "Easily": "RB",
    "East": "NNP|NNPS|JJ|RB|NNS",
    "East-West": "NNP|JJ",
    "Eastate": "NNP",
    "Eastchester": "NNP",
    "Easter": "NNP",
    "Easterbrook": "NNP",
    "Eastern": "NNP|JJ",
    "Easterners": "NNS|NNPS",
    "Easthampton": "NNP",
    "Eastland": "NNP",
    "Eastman": "NNP",
    "Easton": "NNP",
    "Eastwick": "NNP",
    "Easy": "NNP|JJ|RB",
    "EasyLink": "NNP",
    "Eat": "NNP|VB",
    "Eaters": "NNS",
    "Eating": "NNP|NN|VBG",
    "Eaton": "NNP",
    "Eats": "NNS",
    "Eaux": "NNP",
    "Eavesdropping": "NN",
    "Ebasco": "NNP",
    "Ebaugh": "NNP",
    "Ebbetts": "NNP",
    "Ebbutt": "NNP",
    "Ebel": "NNP",
    "Eben": "NNP",
    "Ebensburg": "NNP",
    "Eber": "NNP",
    "Eberly": "NNP",
    "Ebersol": "NNP",
    "Ebert": "NNP",
    "Ebrahim": "NNP",
    "Ebury": "NNP",
    "Eccles": "NNP",
    "Ecclesiastical": "NNP",
    "Ecco": "NNP",
    "Echeandia": "NNP",
    "Echelon": "NNP",
    "Echo": "NNP",
    "Echoing": "VBG",
    "Eckart": "NNP",
    "Eckenfelder": "NNP",
    "Eckerd": "NNP",
    "Eckersley": "NNP",
    "Eckhard": "NNP",
    "Eckhardt": "NNP",
    "Eclectic": "JJ",
    "Eclipse": "NNP",
    "Ecogen": "NNP",
    "Ecolab": "NNP",
    "Ecole": "NNP",
    "Ecological": "NNP",
    "Ecology": "NN|NNP",
    "Econoclast": "NNP",
    "Economdis": "NNP",
    "Econometric": "NNP",
    "Economic": "NNP|JJ",
    "Economically": "RB",
    "Economics": "NNP|NNS",
    "Economidis": "NNP",
    "Economies": "NNS",
    "Economique": "NNP",
    "Economist": "NNP",
    "Economists": "NNS|NNP|NNPS",
    "Economizers": "NNS",
    "Economy": "NNP",
    "Ecuador": "NNP",
    "Ecumenical": "NNP|JJ",
    "Ed": "NNP",
    "Ed.": "NNP",
    "Eddie": "NNP",
    "Eddies": "NNP",
    "Eddington": "NNP",
    "Eddy": "NNP",
    "Eddyman": "NNP",
    "Ede": "NNP",
    "Edelman": "NNP",
    "Edelmann": "NNP",
    "Edelson": "NNP",
    "Edelstein": "NNP",
    "Eden": "NNP",
    "Eder": "NNP",
    "Edgar": "NNP",
    "Edgardo": "NN",
    "Edge": "NNP",
    "Edgerton": "NNP",
    "Edgewater": "NNP",
    "Edict": "NNP",
    "Edinburgh": "NNP",
    "Edison": "NNP",
    "Edisto": "NNP",
    "Edita": "NNP",
    "Edith": "NNP",
    "Editing": "NN",
    "Edition": "NNP",
    "Editions": "NNPS",
    "Editor": "NNP",
    "Editorial": "JJ|NN",
    "Editorials": "NNS",
    "Editors": "NNS",
    "Edley": "NNP",
    "Edmar": "NNP",
    "Edmiston": "NNP",
    "Edmond": "NNP",
    "Edmondson": "NNP",
    "Edmonia": "NN",
    "Edmonton": "NNP",
    "Edmund": "NNP",
    "Edmunston": "NNP",
    "Edna": "NNP",
    "Ednee": "NNP",
    "Ednie": "NNP",
    "Edouard": "NNP",
    "Edsel": "NNP",
    "Edson": "NNP",
    "Eduard": "NNP",
    "Eduardo": "NNP",
    "Educate": "VB",
    "Education": "NNP",
    "Educational": "NNP|JJ",
    "Educator": "NNP",
    "Educators": "NNP|NNS",
    "Edw": "NNP",
    "Edward": "NNP",
    "Edwardes": "NNP",
    "Edwardh": "NNP",
    "Edwards": "NNP",
    "Edwardsville": "NNP",
    "Edwin": "NNP|NNPS",
    "Edwina": "NNP",
    "Edwviges": "NNP",
    "Edythe": "NNP",
    "Edzard": "NNP",
    "Effect": "NN",
    "Effective": "JJ",
    "Effectively": "RB",
    "Effects": "NNPS",
    "Efficiencies": "NNS",
    "Efficiency": "NN",
    "Effie": "NNP",
    "Effjohn": "NNP",
    "Effoa": "NNP",
    "Efforts": "NNS",
    "Egad": "UH",
    "Egalitarianism": "NNP",
    "Egan": "NNP",
    "Egerton": "NNP",
    "Egg": "NNP",
    "Egg-industry": "NN",
    "Egger": "NNP",
    "Eggers": "NNP",
    "Eggs": "NNP|NNPS|NNS",
    "Eggum": "NNP",
    "Egil": "NNP",
    "Egils": "NNP",
    "Egnuss": "NNP",
    "Egon": "NNP",
    "Egypt": "NNP",
    "Egyptian": "JJ|NNP",
    "Egyptians": "NNPS",
    "Eh": "UH|NNP",
    "Ehlers": "NNP",
    "Ehman": "NNP",
    "Ehrhardt": "NNP",
    "Ehrlich": "NNP",
    "Ehrlichman": "NNP",
    "Ehrman": "NNP",
    "Eicher": "NNP",
    "Eichler": "NNP",
    "Eichmann": "NNP",
    "Eichner": "NNP",
    "Eichof": "NNP",
    "Eidsmo": "NNP",
    "Eiffel": "NNP",
    "Eigen": "NNP",
    "Eight-foot-tall": "JJ",
    "Eighteenth": "NNP|JJ",
    "Eighteenth-century": "JJ",
    "Eighth": "NNP|JJ",
    "Eighties": "NNP",
    "Eighty-Eight": "NNP",
    "Eighty-Four": "NNP",
    "Eighty-seventh": "NNP",
    "Eiji": "NNP",
    "Eileen": "NNP",
    "Einar": "NNP",
    "Einhorn": "NNP",
    "Einsatzkommandos": "NNP",
    "Einstein": "NNP",
    "Einsteinian": "JJ",
    "Eire": "NNP",
    "Eisai": "NNP",
    "Eisenach": "NNP",
    "Eisenberg": "NNP",
    "Eisenhhower": "NNP",
    "Eisenhower": "NNP|JJR",
    "Eisenstat": "NNP",
    "Eishi": "NNP",
    "Eisler": "NNP",
    "Eiszner": "NNP",
    "Either": "CC|DT|NNP",
    "Eizenstat": "NNP",
    "Ejaculated": "VBD",
    "Ek": "NNP",
    "Ekaterinoslav": "NNP",
    "Ekberg": "NNP",
    "Ekco": "NNP",
    "Ekman": "NNP",
    "Ekonomicheskaya": "NNP",
    "Ekstrohm": "NNP",
    "Ekwanok": "NNP",
    "El": "NNP",
    "El-Abed": "NNP",
    "El-Sadr": "NNP",
    "Elaborate": "JJ",
    "Elaborating": "VBG",
    "Elaine": "NNP",
    "Elan": "NNP",
    "Elanco": "NNP",
    "Elavil": "NNP",
    "Elba": "NNP",
    "Elbaum": "NNP",
    "Elbaz": "NNP",
    "Elbe": "NNP",
    "Elbow": "NN|NNP",
    "Elburn": "NNP",
    "Elco": "NNP",
    "Elcotel": "NNP",
    "Elder": "NNP",
    "Elderly": "JJ",
    "Elders": "NNP|NNS|NNPS",
    "Eldest": "JJS",
    "Eldon": "NNP",
    "Eldred": "NNP",
    "Eleanor": "NNP",
    "Eleazar": "NNP",
    "Elec": "NNP",
    "Elecktra": "NNP",
    "Elected": "VBN",
    "Election": "NNP",
    "Elections": "NNS|NNP",
    "Elector": "NNP",
    "Electoral": "NNP",
    "Electra": "NNP",
    "Electress": "NNP",
    "Electric": "NNP|JJ",
    "Electrical": "JJ|NNP",
    "Electricity": "NNP",
    "Electrification": "NNP",
    "Electro": "NNP",
    "Electro-Optical": "NNP",
    "Electro-Optics": "NNP",
    "Electrochemical": "NNP",
    "Electrolux": "NNP",
    "Electromyography": "NN",
    "Electron": "NNP",
    "Electron-microscopical": "NN",
    "Electronic": "NNP|JJ",
    "Electronics": "NNP|NNPS|NNS",
    "Electrostatic": "JJ",
    "Electrosurgery": "NNP",
    "Elegance": "NN",
    "Elegant": "NNP",
    "Elegies": "NNP",
    "Elektronik": "NNP",
    "Elemental": "JJ",
    "Elementary": "NNP|JJ",
    "Elements": "NNS|NNPS",
    "Elemer": "NNP",
    "Elena": "NNP",
    "Elephant": "NNP",
    "Elephants": "NNS",
    "Elevated": "NNP",
    "Elf": "NNP",
    "Elfner": "NNP",
    "Elgin": "NNP",
    "Eli": "NNP",
    "Eliades": "NNP",
    "Elianti": "NNP",
    "Elias": "NNP",
    "Elie": "NNP",
    "Eliezer": "NNP",
    "Eligibility": "NN",
    "Eligio": "NNP",
    "Elijah": "NNP",
    "Eliminate": "VB",
    "Eliminating": "VBG",
    "Elimination": "NN",
    "Elinor": "NNP",
    "Elinsky": "NNP",
    "Elios": "NNP",
    "Eliot": "NNP",
    "Eliot-or-Martin": "NNP|CC|NP",
    "Elisa": "NNP",
    "Elisabeth": "NNP",
    "Elise": "NNP",
    "Elisha": "NNP",
    "Elite": "NNP",
    "Elizabeth": "NNP",
    "Elizabethan": "JJ|NNP",
    "Elizabethans": "NNS",
    "Elizario": "NNP",
    "Eljer": "NNP",
    "Elkan": "NNP",
    "Elkhorn": "NNP",
    "Elkin": "NNP",
    "Elkind": "NNP",
    "Elkins": "NNP",
    "Elks": "NNP",
    "Elkus": "NNP",
    "Ella": "NNP",
    "Ellamae": "NNP",
    "Elle": "NNP",
    "Ellen": "NNP",
    "Ellerman": "NNP",
    "Ellesmere": "NNP",
    "Ellie": "NNP",
    "Elliman": "NNP",
    "Ellington": "NNP",
    "Elliot": "NNP",
    "Elliott": "NNP",
    "Ellis": "NNP",
    "Ellison": "NNP",
    "Ellman": "NNP",
    "Ellmann": "NNP",
    "Ellsaesser": "NNP",
    "Ellsworth": "NNP",
    "Ellwood": "NNP",
    "Elm": "NNP",
    "Elman": "NNP",
    "Elmer": "NNP",
    "Elmgrove": "NNP",
    "Elmhurst": "NNP",
    "Elmira": "NNP",
    "Elmsford": "NNP",
    "Eloi": "NNP",
    "Eloise": "NNP",
    "Eloy": "NNP",
    "Elrick": "NNP",
    "Elsa": "NNP",
    "Else": "RB",
    "Elsevier": "NNP",
    "Elsewhere": "RB|NNP",
    "Elshtain": "NNP",
    "Elsie": "NNP",
    "Elsinore": "NNP",
    "Elton": "NNP",
    "Eluard": "NNP",
    "Elusive": "NNP",
    "Elvador": "NNP",
    "Elvekrog": "NNP",
    "Elvira": "NNP",
    "Elvis": "NNP",
    "Ely": "NNP",
    "Elyria": "NNP",
    "Elysees": "NNP",
    "Emancipation": "NNP",
    "Emanuel": "NNP",
    "Emanuele": "NNP",
    "Embarcadero": "NNP",
    "Embarcaderothe": "NNP",
    "Embarrassed": "JJ",
    "Embassy": "NNP",
    "Embedded": "VBN",
    "Embittered": "JJ",
    "Emboldened": "VBN|JJ",
    "Embraer": "NNP",
    "Embry": "NNP",
    "Embryo": "NN",
    "Embryogen": "NNP",
    "Embryos": "NNS",
    "Emcee": "NNP",
    "Emerald": "NNP",
    "Emergency": "NNP",
    "Emerging": "VBG|JJ|NNP",
    "Emeritus": "NNP",
    "Emerson": "NNP",
    "Emery": "NNP",
    "Emeryville": "NNP",
    "Emhart": "NNP",
    "Emigrant": "NNP",
    "Emigration": "NN",
    "Emil": "NNP",
    "Emile": "NNP",
    "Emilio": "NNP",
    "Emily": "NNP",
    "Eminase": "NNP",
    "Eminonu": "NNP",
    "Emirates": "NNPS",
    "Emission": "NN",
    "Emlyn": "NNP",
    "Emma": "NNP",
    "Emmanuel": "NNP",
    "Emmaus": "NNP",
    "Emmerich": "NNP",
    "Emmert": "NNP",
    "Emmett": "NNP",
    "Emmies": "NNPS",
    "Emmons": "NNP",
    "Emmy": "NN|NNP",
    "Emory": "NNP",
    "Emotional": "JJ",
    "Emotionally": "RB",
    "Empedocles": "NNP",
    "Emperor": "NNP",
    "Emperors": "NNS",
    "Emphasis": "NN",
    "Empire": "NNP",
    "Empire-Berol": "NNP",
    "Empirically": "RB",
    "Employee": "NNP",
    "Employee-benefit": "JJ",
    "Employee-owned": "JJ",
    "Employees": "NNS|NNP|NNPS",
    "Employer": "NN",
    "Employers": "NNS|NNP|NNPS",
    "Employes": "NNS",
    "Employment": "NNP",
    "Emporium": "NNP",
    "Empresa": "NNP",
    "Emptied": "VBD",
    "Empty": "JJ|NNP",
    "Emshwiller": "NNP",
    "Emulex": "NNP",
    "Emyanitoff": "NNP",
    "En": "NNP|IN",
    "En-lai": "NNP",
    "EnClean": "NNP",
    "Enasa": "NNP",
    "Encare": "NNP",
    "Enchaine": "NNP",
    "Encino": "NNP",
    "Enclosed": "VBN",
    "Encompassing": "VBG",
    "Encore": "NNP",
    "Encourage": "VB|VBP",
    "Encouraged": "VBN|JJ",
    "Encouragement": "NNP",
    "Encouraging": "VBG",
    "Encyclopaedia": "NNP",
    "Encyclopedia": "NNP",
    "Encylopedia": "NN",
    "End": "NN|VB|NNP",
    "Endangered": "NNP",
    "Endara": "NNP",
    "Endeavor": "VB|NNP",
    "Ended": "NNP",
    "Endgame": "NNP",
    "Endicott": "NNP",
    "Ending": "VBG",
    "Endless": "JJ",
    "Endo": "NNP",
    "Endowment": "NNP",
    "Ends": "NNS|VBZ|NNPS",
    "Endure": "VBP",
    "Enel": "NNP",
    "Enemies": "NNS",
    "Enemy": "NN|NNP",
    "Energetic": "JJ",
    "Energie": "NNP",
    "Energieproduktiebedrijf": "NNP",
    "Energies": "NNP|NNPS",
    "Energized": "VBN",
    "Energy": "NNP",
    "Enersen": "NNP",
    "Enfield": "NNP",
    "Enforce": "VB",
    "Enforcement": "NNP",
    "Enforcers": "NNS",
    "Eng": "NNP",
    "Engaged": "VBN",
    "Engages": "NNS",
    "Engaging": "VBG",
    "Engel": "NNP",
    "Engelhard": "NNP",
    "Engelken": "NNP",
    "Engh": "NNP",
    "Engine": "NNP",
    "Engineer": "NNP",
    "Engineered": "NNP",
    "Engineering": "NNP",
    "Engineers": "NNPS|NNS",
    "Engines": "NNPS|NNS",
    "Engisch": "NNP",
    "England": "NNP",
    "England-based": "JJ",
    "England-born": "VBN|NNP",
    "Englander": "NNP",
    "Englanders": "NNPS",
    "Engle": "NNP",
    "Engler": "NNP",
    "Engles": "NNP",
    "Englewood": "NNP",
    "English": "NNP|JJ|NNPS|NNS",
    "English-Danish": "NNP",
    "English-Dutch": "JJ",
    "English-Scottish-French": "NNP",
    "English-born": "JJ",
    "English-dialogue": "JJ",
    "English-language": "JJ|NN",
    "English-rights": "JJ",
    "English-speakers": "NNS",
    "English-speaking": "JJ",
    "Englishman": "NNP",
    "Englishmen": "NNS|NNP",
    "Englishwoman": "NNP",
    "Englishy": "JJ",
    "Englund": "NNP",
    "Engraph": "NNP",
    "Engraving": "NNP",
    "Engrg": "NNP",
    "Enhance": "NNP",
    "Enhanced": "NNP",
    "Enhancement": "NNP",
    "Enhancements": "NNP",
    "Enholme": "NNP",
    "EniChem": "NNP",
    "Enichem": "NNP",
    "Enid": "NNP",
    "Enimont": "NNP",
    "Enjoy": "VB",
    "Enjoying": "VBG",
    "Enlargement": "NN",
    "Ennis": "NNP",
    "Enoch": "NNP",
    "Enormous": "JJ",
    "Enos": "NNP",
    "Enough": "NNP|JJ|RB",
    "Enquirer": "NNP",
    "Enrico": "NNP",
    "Enright": "NNP",
    "Enrique": "NNP",
    "Enron": "NNP",
    "Ensemble": "NNP",
    "Enserch": "NNP",
    "Ensign": "NNP",
    "Enskilda": "NNP",
    "Ensolite": "NN",
    "Ensrud": "NNP",
    "Ente": "NNP",
    "Entenmann": "NNP",
    "Enter": "VB",
    "Entergy": "NNP",
    "Entering": "NNP",
    "Enterprise": "NNP|NNPS",
    "Enterprises": "NNPS|NNS",
    "Entertaining": "NNP",
    "Entertainment": "NNP",
    "Entex": "NNP",
    "Enthoven": "NNP",
    "Enthusiasm": "NN",
    "Enthusiast": "NNP",
    "Enthusiastic": "JJ",
    "Enthusiastically": "RB",
    "Enthusiasts": "NNS",
    "Entirely": "RB",
    "Entitlements": "NNS",
    "Entombment": "NN",
    "Entrance": "NN",
    "Entre": "NNP",
    "Entree": "NNP",
    "Entrekin": "NNP",
    "Entrenched": "VBN",
    "Entrepreneur": "NN",
    "Entrepreneurs": "NNS",
    "Entries": "NNS",
    "Entry": "NN",
    "Entwhistle": "NNP",
    "Enver": "NNP",
    "Envigado": "NNP",
    "Enviro-Gro": "NNP",
    "Environment": "NNP",
    "Environmental": "NNP|JJ",
    "Environmentalism": "NNP",
    "Environmentalists": "NNPS|NNS",
    "Enviropact": "NNP",
    "Enzo": "NNP",
    "Enzor": "NNP",
    "Enzymatic": "JJ",
    "Enzytech": "NNP",
    "Epes": "NNP",
    "Eph": "NNP",
    "Ephesians": "NNPS",
    "Ephesus": "NNP",
    "Ephlin": "NNP",
    "Ephron": "NNP",
    "Epicurean": "JJ",
    "Epicurus": "NNP",
    "Epidemiological": "JJ|NNP",
    "Epigraph": "NN",
    "Epilady": "NNP",
    "Epilepsy": "NNP",
    "Epinal": "NNP",
    "Epinalers": "NNPS",
    "Epiphany": "NNP",
    "Episcopal": "NNP|JJ",
    "Episcopalians": "NNPS",
    "Episodes": "NNS",
    "Epistles": "NNPS",
    "Epitaph": "NNP",
    "Epp": "NNP",
    "Eppel": "NNP",
    "Eppelmann": "NNP",
    "Eppler": "NNP",
    "Epplers": "NNP",
    "Eppner": "NNP",
    "Epps": "NNP",
    "Eprex": "NNP",
    "Epsilon": "NNP",
    "Epsom": "NNP",
    "Epson": "NNP",
    "Epstein": "NNP",
    "Eq.": "NN|NNP",
    "Equal": "NNP|JJ",
    "Equality": "NNP",
    "Equalizer": "NNP",
    "Equally": "RB",
    "Equate": "VB",
    "Equations": "NNS",
    "Equator": "NNP",
    "Equestrian": "NNP",
    "Equibank": "NNP",
    "Equifax": "NNP",
    "Equimark": "NNP",
    "Equinox": "NNP",
    "Equipement": "NNP",
    "Equipment": "NNP",
    "Equipped": "VBN",
    "Equitable": "NNP",
    "Equitec": "NNP",
    "Equities": "NNPS|NNS",
    "Equity": "NNP",
    "Equity-Income": "NNP",
    "Equivalent": "NN",
    "Equivalents": "NNS",
    "Equus": "NNP",
    "Era": "NNP",
    "Erasing": "VBG",
    "Erasmus": "NNP",
    "Erath": "NNP",
    "Erbamont": "NNP",
    "Erburu": "NNP",
    "Erde": "NNP",
    "Erdman": "NNP",
    "Erdmann": "NN",
    "Erdolversorgungs": "NNP",
    "Erdos": "NNP",
    "Erected": "VBN",
    "Erection": "NNP",
    "Erensel": "NNP",
    "Erfurt": "NNP",
    "Erhart": "NNP",
    "Eric": "NNP",
    "Erich": "NNP",
    "Erickson": "NNP",
    "Ericson": "NNP",
    "Erie": "NNP",
    "Erik": "NNP",
    "Erikson": "NNP",
    "Erin": "NNP",
    "Eriskay": "NNP",
    "Erithmatic": "NN",
    "Eritrea": "NNP",
    "Eritrean": "JJ|NNP",
    "Eritreans": "NNPS",
    "Erjun": "NNP",
    "Erle": "NNP",
    "Erlenborn": "NNP",
    "Erlenmeyer": "NN",
    "Erling": "NNP",
    "Erma": "NNP",
    "Ermanno": "NNP",
    "Ernest": "NNP",
    "Ernesto": "NNP",
    "Ernie": "NNP",
    "Ernst": "NNP",
    "Erodes": "VBZ",
    "Eromonga": "NNP|JJ|NNPS",
    "Eros": "NNP",
    "Erosion": "NN",
    "Erotic": "NNP",
    "Err": "VB",
    "Errol": "NNP",
    "Erroll": "NNP",
    "Errors": "NNS|NNP",
    "Erskin": "NNP",
    "Erskine": "NNP",
    "Ervin": "NNP",
    "Erwin": "NNP",
    "Esber": "NNP",
    "Escadrille": "NNP",
    "Escalante": "NNP",
    "Escalation": "NN",
    "Escanaba": "NNP",
    "Escape": "NNP|VB",
    "Eschewing": "VBG",
    "Escobar": "NNP",
    "Escort": "NNP",
    "Escorts": "NNS",
    "Escudome": "NNP",
    "Esher": "NNP",
    "Eshleman": "NNP",
    "Eskandarian": "NNP",
    "Eskenazi": "NNP",
    "Eskimo": "NNP",
    "Eskimos": "NNPS",
    "Eskridge": "NNP",
    "Eslinger": "NNP",
    "Esmarch": "NNP",
    "Esnard": "NNP",
    "Esnards": "NNPS",
    "Esopus": "NNP",
    "Espagnol": "NNP",
    "Espana": "NNP",
    "Espanol": "NNP",
    "Especially": "RB",
    "Espectador": "NNP",
    "Espenhain": "NNP",
    "Esperanza": "NNP",
    "Espinosa": "NNP",
    "Esplanade": "NNP",
    "Espre": "NNP",
    "Esprit": "NNP",
    "Espy": "NNP",
    "Esquire": "NNP",
    "Esquivel": "NNP",
    "Esrey": "NNP",
    "Essar": "NNP",
    "Esselte": "NNP",
    "Essen": "NNP",
    "Essentially": "RB",
    "Essex": "NNP",
    "Esso": "NNP",
    "Establish": "VB",
    "Established": "VBN",
    "Establishing": "VBG",
    "Establishment": "NNP",
    "Estancieros": "NNS",
    "Estate": "NNP",
    "Estates": "NNP",
    "Esteban": "NNP",
    "Estee": "NNP",
    "Esteli": "NNP",
    "Estella": "NNP",
    "Estep": "NNP",
    "Estes": "NNP",
    "Esther": "NNP",
    "Estherson": "NNP",
    "Estimate": "NNP|VB",
    "Estimated": "VBN|JJ",
    "Estimates": "NNS",
    "Estimating": "VBG",
    "Estonia": "NNP",
    "Estonian": "JJ|NNP",
    "Estonian-language": "JJ",
    "Estonians": "NNPS",
    "Estuary": "NNP",
    "Eta": "NNP",
    "Etablissements": "NNP",
    "Etc.": "NNP",
    "Etch-a-Sketch": "NNP",
    "Eternal": "NNP",
    "Eternity": "NN",
    "Etess": "NNP",
    "Ethan": "NNP",
    "Ethane": "NN",
    "Ethel": "NNP",
    "Ethel-Jane": "NNP",
    "Ethernet": "NNP",
    "Ethical": "NNP",
    "Ethicist": "NN",
    "Ethics": "NNP|NNS",
    "Ethiopia": "NNP",
    "Ethiopian": "JJ",
    "Ethiopians": "NNPS|NNS",
    "Ethocyn": "NNP",
    "Ethyl": "NNP",
    "Etienne-Emile": "NNP",
    "Etruscan": "JJ",
    "Etsuko": "NNP",
    "Etsuro": "NNP",
    "Ettore": "NNP",
    "Etudes": "NNP",
    "Etzioni": "NNP",
    "Eubank": "NNP",
    "Eubanks": "NNP",
    "Eubie": "NNP",
    "Euclid": "NNP",
    "Eugene": "NNP",
    "Eugenia": "NNP",
    "Euler": "NNP",
    "Euphoria": "NNP",
    "Euralliance": "NNP",
    "Eurasian": "NNP",
    "Euratom": "NNP",
    "Eureka": "NNP",
    "Euripides": "NNP",
    "Euro": "NNP",
    "Euro-Belge": "NNP",
    "Euro-Communist": "NNP",
    "Euro-TV": "NNP",
    "Euro-ashtrays": "NNS",
    "Euro-banners": "NNS",
    "Euro-barbecue": "NN",
    "Euro-beach": "NN|JJ",
    "Euro-caps": "NNS",
    "Euro-cards": "NNS",
    "Euro-cigarette": "NN",
    "Euro-consumers": "NNPS",
    "Euro-enthusiasts": "NNS",
    "Euro-factories": "NNS",
    "Euro-housewife": "NN",
    "Euro-jogging": "JJ",
    "Euro-pillows": "NNS",
    "Euro-playing": "JJ",
    "Euro-products": "NNS",
    "Euro-son": "NN",
    "Euro-that": "NN",
    "Euro-this": "NN",
    "Euro-watches": "NNS",
    "EuroBelge": "NNP",
    "EuroTV": "NNP",
    "Eurobond": "NN|NNP",
    "Eurobonds": "NNS|NNPS",
    "Eurocell": "NNP",
    "Eurocom": "NNP",
    "Eurocommercial": "JJ",
    "Euroconsumer": "NN",
    "Euroconvertible": "JJ",
    "Eurocops": "NNPS",
    "Eurocracy": "NN|NNP",
    "Eurocrat": "NN",
    "Eurocrats": "NNS|NNP",
    "Eurocrooks": "NNPS",
    "Eurodebentures": "NNS",
    "Eurodebt": "NNP",
    "Eurodollar": "NN|JJ|NNP",
    "Eurodynamics": "NNPS",
    "Eurofighter": "NNP",
    "Eurofima": "NNP",
    "Euroflics": "NNPS",
    "Euroissues": "NNS",
    "Eurokitsch": "NN",
    "Euromark": "NN",
    "Euromarket": "NNP",
    "Euronotes": "NNS",
    "Europa": "NNP",
    "Europalia": "NNP",
    "Europe": "NNP",
    "europe": "NNP",
    "Europe-based": "JJ",
    "Europe-wide": "JJ|RB",
    "European": "JJ|NN|NNP",
    "European-American": "NNP",
    "European-based": "JJ",
    "European-branch": "JJ",
    "European-made": "JJ",
    "European-minded": "JJ",
    "Europeanish": "JJ",
    "Europeanization": "NN",
    "Europeanized": "VBN",
    "Europeans": "NNPS|NNS",
    "Europhoria": "NN",
    "Euroshuttle": "NNP",
    "Eurostat": "NNP",
    "Eurotempo": "NNP",
    "Eurotunnel": "NNP",
    "Eurovision": "NNP",
    "Euroyen": "NNP",
    "Eurydice": "NNP",
    "Eustis": "NNP",
    "Euthanasia": "NN",
    "Euzhan": "NNP",
    "Evadna": "NNP",
    "Evaluating": "VBG",
    "Evaluation": "NN|NNP",
    "Evaluations": "NNS",
    "Evan": "NNP",
    "Evangelical": "JJ|NNP",
    "Evangelicalism": "NNP",
    "Evangeline": "NNP",
    "Evangelism": "NNP",
    "Evangelista": "NNP",
    "Evans": "NNP",
    "Evans-Black": "NNP",
    "Evanston": "NNP",
    "Evansville": "NNP",
    "Evarsito": "NNP",
    "Eve": "NNP",
    "Evegeni": "NNP",
    "Evelyn": "NNP",
    "Even": "RB|JJ",
    "Evenflo": "NNP",
    "Evening": "NNP",
    "Evenings": "RB",
    "Evensen": "NNP",
    "Event": "NN|NNP",
    "Events": "NNS|NNP",
    "Eventually": "RB",
    "Ever": "RB|NNP",
    "Ever-confident": "JJ",
    "Ever-more": "RB",
    "Eveready": "NNP",
    "Everest": "NNP",
    "Everett": "NNP",
    "Everglades": "NNS|NNP",
    "Evergreen": "NNP",
    "Everhart": "NNP",
    "Everly": "NNP",
    "Everlys": "NNS",
    "Evershed": "NNP",
    "Every": "DT",
    "Everybody": "NN|NNP",
    "Everyman": "NNP",
    "Everyone": "NN|NNP",
    "Everything": "NN|NNP",
    "Everytime": "RB",
    "Everywhere": "RB",
    "Evian": "NNP",
    "Evidence": "NN",
    "Evidences": "NNS",
    "Evident": "JJ",
    "Evidently": "RB",
    "Evil": "NNP|JJ",
    "Evolution": "NNP",
    "Evolving": "VBG",
    "Evren": "NNP",
    "Evry": "NNP",
    "Evzone": "NNP",
    "Ewan": "NNP",
    "Eward": "NNP",
    "Ewe": "NNP",
    "Ewen": "NNP",
    "Ewing": "NNP",
    "Ex-Cub": "JJ",
    "Ex-Im": "NNP",
    "Ex-Oriole": "NNP",
    "Ex-Premier": "NNP",
    "Ex-Presidents": "NNS",
    "Ex-Wells": "NNP",
    "Ex-smokers": "NNS",
    "ExPe": "NNP",
    "Exabyte": "NNP",
    "Exact": "JJ",
    "Exactly": "RB",
    "Exaggerated": "VBN",
    "Examination": "NNP|NN",
    "Examiner": "NNP",
    "Examiners": "NNS|NNP",
    "Example": "NN",
    "Examples": "NNS",
    "Exboyfriend": "NN",
    "Excalibur": "NNP",
    "Exceed": "VBD",
    "Excel": "NNP",
    "Excell": "NNP",
    "Excellence": "NN",
    "Excellency": "NNP",
    "Excellent": "JJ",
    "Excels": "NNS|NNPS",
    "Excelsior": "NNP",
    "Except": "IN|NNP",
    "Exceptional": "NNP|JJ",
    "Exceptions": "NNS",
    "Excerpts": "NNS",
    "Excess": "JJ",
    "Exch": "NN",
    "Exchange": "NNP",
    "Exchange-listed": "JJ",
    "Exchange-rate": "JJ",
    "Exchange-sponsored": "JJ",
    "Exchangeable": "NNP",
    "Exchanges": "NNS",
    "Exchequer": "NNP",
    "Exchnage": "NNP",
    "Excise-tax": "JJ",
    "Excision": "NN",
    "Excitement": "NN",
    "Exclaimed": "VBD",
    "Excluded": "VBN",
    "Excludes": "NNS|VBZ",
    "Excluding": "VBG|NNP",
    "Exclusion": "NN",
    "Exclusive": "JJ",
    "Excuse": "VB",
    "Excuses": "NNPS",
    "Executed": "VBD",
    "Execution": "NNP",
    "Executioner": "NN",
    "Executions": "NNS",
    "Executive": "NNP",
    "Executive-branch": "JJ",
    "Executives": "NNS|NNP|NNPS",
    "Exegete": "NNP",
    "Exemption": "NN",
    "Exercise": "NN",
    "Exeter": "NNP",
    "Exhausted": "JJ",
    "Exhibit": "NN",
    "Exhibited": "VBN",
    "Exhibition": "NNP",
    "Exhibits": "NNPS",
    "Existence": "NN",
    "Existentialism": "NNP",
    "Existentialists": "NNS",
    "Existing": "VBG|JJ",
    "Exit": "NN",
    "Exitosa": "NNP",
    "Exocet": "NNP",
    "Exodus": "NNP",
    "Expand": "NNP",
    "Expanded": "VBN",
    "Expanding": "VBG",
    "Expands": "VBZ",
    "Expansion": "NN",
    "Expect": "VB",
    "Expectations": "NNS|NNP|NNPS",
    "Expected": "VBN|NNP",
    "Expecting": "VBG",
    "Expects": "NNS|VBZ",
    "Expedition": "NNP",
    "Expenditure": "NNP",
    "Expenditures": "NNS|NNPS",
    "Expense": "NN",
    "Expenses": "NNS",
    "Experience": "NN|NNP",
    "Experienced": "VBN",
    "Experiencing": "VBG",
    "Experiment": "NN",
    "Experimental": "JJ",
    "Experimentally": "RB",
    "Experimenting": "VBG",
    "Experiments": "NNS",
    "Experts": "NNS",
    "Explain": "VB",
    "Explained": "NNP",
    "Explaining": "VBG",
    "Explains": "VBZ",
    "Explanations": "NNS",
    "Explicit": "JJ",
    "ExploiTech": "NNP",
    "Explonaft": "NNP",
    "Exploracion": "NNP",
    "Exploration": "NNP",
    "Exploratory": "JJ",
    "Explorer": "NNP",
    "Explosion": "NN",
    "Explosions": "NNS",
    "Expo": "NNP",
    "Exponents": "NNS",
    "Export": "NNP",
    "Export-Import": "NNP",
    "Exporters": "NNPS",
    "Exporting": "NNP",
    "Exportkredit": "NNP",
    "Exports": "NNS|NNPS",
    "Expos": "NNPS",
    "Exposition": "NNP",
    "Exposure": "NN",
    "Express": "NNP|JJ",
    "Express-Buick": "NNP",
    "Expressed": "VBN",
    "Expresses": "VBZ",
    "Expressing": "VBG",
    "Expressionism": "NNP",
    "Expressions": "NNS",
    "Expressway": "NNP",
    "Expressways": "NNP",
    "Extend": "VB",
    "Extended": "NNP|VBN",
    "Extending": "VBG",
    "Extension": "NNP",
    "Extensions": "NNS",
    "Extensive": "JJ",
    "Extensor": "NNP",
    "Exterior": "NNP",
    "Exteriors": "NNS",
    "Exterminatin": "VBG",
    "External": "NNP|JJ",
    "Extinction": "NNP",
    "Exton": "NNP",
    "Extra": "NNP",
    "Extractor": "NN",
    "Extracts": "NNS",
    "Extraordinary": "JJ",
    "Extrapolation": "NN",
    "Extremadura": "NNP",
    "Extreme": "JJ|NNP",
    "Extricating": "VBG",
    "Extruded": "VBN",
    "Exxon": "NNP",
    "Exxon-Valdez": "JJ",
    "Exxon-owned": "JJ",
    "Eye": "NNP",
    "Eyes": "NNS|NNP|NNPS",
    "Eyewear": "NNP",
    "Eyke": "NNP",
    "Ezekiel": "NNP",
    "Ezra": "NNP",
    "F": "NN|LS|NNP",
    "F-108": "NN",
    "F-14": "NN|NNP",
    "F-14s": "NNS",
    "F-15": "NNP",
    "F-16s": "NNPS",
    "F-18": "NN",
    "F-18s": "NNS",
    "F-20": "NNP",
    "F-20s": "NNPS",
    "F-4": "NNP",
    "F-A-18": "NN",
    "F-major": "NN",
    "F-series": "NNPS|JJ",
    "F.": "NNP",
    "F.A.": "NNP",
    "F.A.O.": "NNP",
    "F.B.": "NNP",
    "F.B.I.": "NN|NNP",
    "F.C": "NNP",
    "F.D.": "NNP",
    "F.D.R.": "NNP",
    "F.E.": "NNP",
    "F.E.L.": "NNP",
    "F.G.": "NNP",
    "F.H.": "NNP",
    "F.J.": "NNP",
    "F.L.": "NNP",
    "F.N.": "NNP",
    "F.O.": "NNP",
    "F.O.O.D.": "NNP",
    "F.R": "NN",
    "F.R.": "NN",
    "F.S.B.": "NNP",
    "F.S.C.": "NNP",
    "F.S.L.I.C": "NNP",
    "F.W.": "NNP",
    "F100-PW-200": "NNP",
    "F111": "NN",
    "F16s": "NNS",
    "F18s": "NNS",
    "FAA": "NNP",
    "FAC": "NNP",
    "FACES": "VBZ",
    "FACING": "VBG",
    "FADA": "NNP",
    "FADE": "VBP",
    "FAI": "NNP",
    "FAILED": "VBD",
    "FAKE": "JJ",
    "FALL": "NN",
    "FALTERS": "NNP",
    "FAMILY": "NN",
    "FAN": "NN",
    "FAR": "RB",
    "FARGO": "NNP",
    "FARM": "NN",
    "FARMERS": "NNS",
    "FARMING": "NNP",
    "FASB": "NNP",
    "FAST": "NNP",
    "FAST-FOOD": "NN",
    "FATHER": "NN",
    "FAX": "NNP",
    "FAXM": "NNP",
    "FBI": "NNP",
    "FCB": "NNP",
    "FCB/Leber": "NNP",
    "FCC": "NNP",
    "FDA": "NNP",
    "FDA-NIH-industry": "JJ",
    "FDA-approved": "JJ",
    "FDA-defined": "JJ",
    "FDA-regulated": "JJ",
    "FDC": "NNP",
    "FDIC": "NNP",
    "FDR": "NNP",
    "FE": "NNP",
    "FEAR": "NN|VBP",
    "FEARS": "NNS",
    "FED": "NNP",
    "FEDERAL": "NNP|JJ",
    "FELA": "NNP",
    "FELLED": "VBD",
    "FELLOWSHIP": "NN",
    "FEMA": "NNP",
    "FEMALES": "NNS",
    "FERC": "NNP",
    "FEWER": "JJR",
    "FFA": "NNP",
    "FFr1": "NNP",
    "FFr27.68": "NN",
    "FH-77B": "NNP",
    "FHA": "NNP",
    "FHA-backed": "JJ",
    "FHA-insured": "JJ",
    "FHLBB": "NNP",
    "FHP": "NNP",
    "FIAT": "NNP",
    "FICO": "NNP",
    "FICOs": "NNS",
    "FIDELITY": "NNP",
    "FIG": "NNP",
    "FIGHT": "NNP",
    "FII": "NNP",
    "FINAL": "JJ",
    "FINANCES": "NNS",
    "FINANCIAL": "NNP",
    "FIRM": "NN|NNP",
    "FIRMS": "NNS",
    "FIRST-TIME": "JJ",
    "FIT": "NNP",
    "FITC": "NNP",
    "FK-506": "NNP",
    "FLAG": "NN",
    "FLARE": "VBP",
    "FLARE-OFF": "NN",
    "FLIGHT": "NN",
    "FLN": "NNP",
    "FLORIDA": "NNP",
    "FLYING": "VBG",
    "FM": "NNP|JJ",
    "FMC": "NNP",
    "FMI": "NNP",
    "FMR": "NNP",
    "FN": "NNP",
    "FNMA": "NNP",
    "FOES": "NNS",
    "FOILED": "VBD",
    "FOMC": "NNP",
    "FOOD": "NN|NNP",
    "FOOTNOTE": "NNP",
    "FOR": "IN",
    "FORCE": "VBP",
    "FORCES": "NNS",
    "FORD": "NNP",
    "FOREAMI": "NNP",
    "FOREIGN": "JJ|NNP",
    "FORGN": "NNP",
    "FORMER": "JJ",
    "FORMERLY": "RB",
    "FOUNDER": "NN",
    "FOX": "NN",
    "FPA": "NNP",
    "FPL": "NNP",
    "FRANCHISE": "NN",
    "FRANKENBERRY": "NNP",
    "FRANKFURT": "NNP",
    "FRANKLIN": "NNP",
    "FRAUDS": "NNS",
    "FRE": "NNP",
    "FREED": "VBD",
    "FREEZE": "VB",
    "FREIGHTWAYS": "NNP|NNPS",
    "FRICTION": "NN",
    "FRINGE-BENEFIT": "JJ",
    "FROG-7B": "NN",
    "FROM": "IN",
    "FSLIC": "NNP",
    "FSX": "NNP",
    "FT": "NNP",
    "FT-SE": "NNP",
    "FTC": "NNP",
    "FUND": "NNP",
    "FUNDS": "NNS|NNP|NNPS",
    "FUTURES": "NNS",
    "FXTV": "NNP",
    "Fab": "NNP",
    "Fabbri": "NNP",
    "Faber": "NNP",
    "Faberge": "NNP",
    "Fabi": "NNP",
    "Fabian": "NNP",
    "Fable": "NNP",
    "Fabric": "NN|NNP",
    "Fabricius": "NNP",
    "Fabrics": "NNP|NNS|NNPS",
    "Fabrri": "NNP",
    "Fabulous": "NNP|JJ",
    "Face": "NNP|VBP",
    "Faced": "VBN|VBD",
    "Faces": "NNPS",
    "Facetious": "NNP",
    "Facilitatory": "JJ",
    "Facilities": "NNPS|NNS",
    "Facility": "NNP",
    "Facing": "VBG",
    "Factions": "NNS",
    "Factor": "NNP",
    "Factor-VIII": "NNP",
    "Factorex": "NNP",
    "Factories": "NNS|NNPS",
    "Factoring": "NN",
    "Factors": "NNS|NNP",
    "Factory": "NN|NNP",
    "Factory-to-You": "NNP",
    "Facts": "NNP|NNPS|NNS",
    "Faculty": "NN",
    "Fads": "NNS",
    "Fagan": "NNP",
    "Fagenson": "NNP",
    "Fagershein": "NNP",
    "Faget": "NNP",
    "Fahd": "NNP",
    "Fahey": "NNP",
    "Fahlgren": "NNP",
    "Fahrenheit": "NN|NNP",
    "Faight": "NNP",
    "Fail": "NNP",
    "Failing": "VBG",
    "Fails": "VBZ|NNS",
    "Failure": "NN",
    "Failures": "NNS",
    "Fain": "NNP",
    "Faint": "JJ",
    "Fair": "NNP|JJ",
    "Fair-priced": "JJ",
    "Fairbanks": "NNP",
    "Fairbrothers": "NNP",
    "Fairchild": "NNP",
    "Fairfax": "NNP",
    "Fairfield": "NNP",
    "Fairing": "NN",
    "Fairlawn": "NNP",
    "Fairless": "NNP",
    "Fairly": "RB",
    "Fairmont": "NNP",
    "Fairmount": "NNP",
    "Fairness": "NNP",
    "Fairview": "NNP",
    "Fairy": "NNP",
    "Faith": "NNP",
    "Faithful": "NN",
    "Fakty": "NNP",
    "Falb": "NNP",
    "Falco": "NNP",
    "Falcon": "NNP",
    "Falconbridge": "NNP",
    "Falconer": "NNP",
    "Falconry": "NNP",
    "Falcons": "NNPS|NNS",
    "Falegnami": "NNP",
    "Falin": "NNP",
    "Falkland": "NNP",
    "Falklands": "NNP",
    "Fall": "NN|NNP|VB",
    "Fall-in": "NNP",
    "Falla": "NNP",
    "Fallen": "NNP|JJ",
    "Fallick": "NNP",
    "Falling": "VBG|NNP",
    "Fallon": "NNP",
    "Fallout": "NNP",
    "Falls": "NNP|VBZ|NNPS",
    "Falmouth": "NNP",
    "False": "NNP|JJ",
    "Falstaff": "NNP",
    "Falvey": "NNP",
    "Falwell": "NNP",
    "Falwell-Robertson": "NNP",
    "Falwell-like": "JJ",
    "Famcorp": "NNP",
    "Fame": "NNP",
    "Famed": "JJ",
    "Familia": "NNP",
    "Families": "NNS|NNPS",
    "Familism": "NN",
    "Family": "NNP",
    "Family-owned": "JJ",
    "Famine": "NN",
    "Famous": "NNP|JJ",
    "Famous-Barr": "NNP",
    "Fan": "NNP|VB",
    "Fancy": "NNP|JJ",
    "Faneuil": "NNP",
    "Fang": "NNP",
    "Fannie": "NNP",
    "Fanning": "NNP",
    "Fanny": "NNP",
    "Fans": "NNS",
    "Fanshawe": "NNP",
    "Fantasia": "NNP",
    "Fantastic": "JJ",
    "Fantastico": "NNP",
    "Fantasy": "NNP",
    "Fanuc": "NNP",
    "Far": "NNP|JJ|RB",
    "Far-reaching": "JJ",
    "Faraday": "NNP",
    "Farberware": "NNP",
    "Fardulli": "NNP",
    "Fare": "VBP|NN",
    "Farentino": "NNP",
    "Fares": "NNS",
    "Farewell": "NNP",
    "Farge": "NNP",
    "Fargo": "NNP",
    "Farina": "NNP",
    "Farley": "NNP",
    "Farm": "NNP",
    "Farm-machine": "NN",
    "Farmaco": "NNP",
    "Farmboy": "NNP",
    "Farmer": "NNP",
    "Farmer-in-the-Dell": "NNP",
    "Farmers": "NNP|NNS|NNPS",
    "Farming": "VBG",
    "Farmingdale": "NNP",
    "Farmington": "NNP",
    "Farmland": "NNP",
    "Farms": "NNP|NNPS",
    "Farmwife": "NNP",
    "Farnell": "NNP",
    "Farnese": "NNP",
    "Farneses": "NNPS",
    "Farney": "NNP",
    "Farnham": "NNP",
    "Farnum": "NNP",
    "Farnworth": "NNP",
    "Farooquee": "NNP",
    "Farouk": "NNP",
    "Farr": "NNP",
    "Farra": "NNP",
    "Farragut": "NNP",
    "Farrar": "NNP",
    "Farrell": "NNP",
    "Farrells": "NNPS",
    "Farren": "NNP",
    "Farrow": "NNP",
    "Farther": "RB",
    "Farthing": "NNP",
    "Farvel-Topsy": "NNP",
    "Farwell": "NNP",
    "Fas-antigen": "NN",
    "Fascio-Communist": "JJ",
    "Fascism": "NNP",
    "Fascist": "NNP|JJ",
    "Fascists": "NNPS",
    "Fashion": "NNP|VB",
    "Fashions": "NNPS",
    "Fasken": "NNP",
    "Faso": "NNP",
    "Fassbinder": "NNP",
    "Fast": "NNP|JJ",
    "Fast-food": "NN",
    "Fastenal": "NNP",
    "Faster": "JJR",
    "Fat": "NNP|JJ",
    "Fatah": "NNP",
    "Fatal": "NNP",
    "Fatalities": "NNS",
    "Fate": "NNP",
    "Father": "NNP",
    "Father-God": "NNP",
    "Fathers": "NNS|NNPS",
    "Fathi": "NNP",
    "Fatima": "NNP",
    "Fatimata": "NNP",
    "Fatman": "NNP",
    "Fats": "NNP|NNS",
    "Fatso": "NN",
    "Faulder": "NNP",
    "Faulding": "NNP",
    "Faulk": "NNP",
    "Faulkner": "NNP",
    "Faulknerian": "JJ",
    "Fault": "NNP",
    "Fault-tolerant": "JJ",
    "Fauntleroy": "NNP",
    "Fauntroy": "NNP",
    "Faust": "NNP",
    "Faustian": "JJ",
    "Fausto": "NNP",
    "Faustus": "NNP",
    "Favor": "VB",
    "Favorable": "JJ",
    "Favored": "JJ|VBN",
    "Favorite": "NNP|JJ",
    "Favorites": "NNPS|JJ",
    "Favour": "NN",
    "Favre": "NNP",
    "Fawaz": "NNP",
    "Fawcett": "NNP",
    "Fawell": "NNP",
    "Fawkes": "NNP",
    "Fawn": "NNP",
    "Fawzi": "NNP",
    "Fawzy": "NNP",
    "Fax": "NNP",
    "Faxes": "NNS",
    "Fay": "NNP",
    "Faye": "NNP",
    "Fayette": "NNP",
    "Fayetteville": "NNP",
    "Fazio": "NNP",
    "Fe": "NNP",
    "Fear": "NN|NNP",
    "Fear-maddened": "JJ",
    "Feared": "VBN",
    "Fearful": "JJ",
    "Fearing": "VBG",
    "Fearless": "NNP|JJ",
    "Fearon": "NNP",
    "Fears": "NNS|VBZ",
    "Featherbed": "NN",
    "Featherston": "NNP",
    "Feathertop": "NNP",
    "Featherweight": "NN",
    "Feature": "NNP",
    "Features": "NNPS",
    "Feb.": "NNP",
    "February": "NNP",
    "Fed": "NNP|VBN|JJ",
    "Fed-bashing": "NN",
    "Fed-watching": "JJ",
    "Fedders": "NNP|NNS",
    "Federal": "NNP|JJ",
    "Federal-Mogul": "NNP",
    "Federal-Tiger": "NNP",
    "Federal-court": "JJ",
    "Federalist": "NNP|JJ",
    "Federals": "NN",
    "Federated": "NNP",
    "Federation": "NNP",
    "Federico": "NNP",
    "Feders": "NNP",
    "Feds": "NNPS",
    "Fee": "NN",
    "Feebly": "RB",
    "Feed": "VB|NN",
    "Feedback": "NN",
    "Feeder": "NN",
    "Feeding": "NNP",
    "Feedlots": "NNS",
    "Feeds": "NNS",
    "Feelers": "NNS",
    "Feeley": "NNP",
    "Feeling": "VBG",
    "Feelings": "NNS",
    "Feels": "VBZ",
    "Feenberg": "NNP",
    "Feeney": "NNP",
    "Fees": "NNS|NNPS",
    "Feess": "NNP",
    "Fegersheim": "NNP",
    "Fehr": "NNP",
    "Fei": "NNP",
    "Feick": "NNP",
    "Feigen": "NNP",
    "Feigenbaum": "NNP",
    "Feiner": "NNP",
    "Feinman": "NNP",
    "Feinstein": "NNP",
    "Feis": "NNP",
    "Fel-Pro": "NNP",
    "Feld": "NNP",
    "Feldberg": "NNP",
    "Feldemuehle": "NNP",
    "Feldene": "NNP",
    "Feldman": "NNP",
    "Feldstein": "NNP",
    "Felec": "NNP",
    "Felice": "NNP",
    "Feliciano": "NNP",
    "Felicity": "NNP",
    "Felipe": "NNP",
    "Felix": "NNP",
    "Fell": "NNP|VBD",
    "Fella": "UH",
    "Fellini": "NNP",
    "Fellow": "NNP|NN|JJ",
    "Fellows": "NNS",
    "Fellowship": "NNP",
    "Fellowships": "NNS|NNP",
    "Felons": "NNS",
    "Felsenthal": "NNP",
    "Felsher": "NNP",
    "Felske": "NNP",
    "Felten": "NNP",
    "Feltes": "NNP",
    "Female": "JJ",
    "Females": "NNPS",
    "Femina": "NNP",
    "Feminism": "NN",
    "Feminist": "NNP",
    "Femmes": "NNP",
    "Fence-line": "JJ",
    "Fendi": "NNP",
    "Fending": "VBG",
    "Fendrick": "NNP",
    "Fenerty": "NNP",
    "Feng-hsiung": "NNP",
    "Feniger": "NNP",
    "Fenimore": "NNP",
    "Fenn": "NNP",
    "Fenner": "NNP",
    "Fennessy": "NNP",
    "Fenster": "NNP",
    "Fenton": "NNP",
    "Fenway": "NNP",
    "Fenwick": "NNP",
    "Feodor": "NNP",
    "Feralloys": "NNP",
    "Ferber": "NNP",
    "Ferdinand": "NNP",
    "Ferdinando": "NNP",
    "Ferembal": "NNP",
    "Ferenc": "NNP",
    "Ferencik": "NNP",
    "Fergeson": "NNP",
    "Fergus": "NNP",
    "Ferguson": "NNP",
    "Fergusson": "NNP",
    "Feringa": "NNP",
    "Ferlenghetti": "NNP",
    "Fermate": "NNP",
    "Ferment": "NN",
    "Fernald": "NNP",
    "Fernand": "NNP",
    "Fernandes": "NNP",
    "Fernandez": "NNP",
    "Fernando": "NNP",
    "Fernberger": "NNP",
    "Ferranti": "NNP|NNS",
    "Ferranti-led": "JJ",
    "Ferrara": "NNP",
    "Ferrari": "NNP",
    "Ferraro": "NNP",
    "Ferraros": "NNPS",
    "Ferre": "NNP",
    "Ferreira": "NNP",
    "Ferrell": "NNP",
    "Ferrer": "NNP",
    "Ferrero": "NNP",
    "Ferrier": "NNP",
    "Ferris": "NNP",
    "Ferro": "NNP",
    "Ferrofluidics": "NNP",
    "Ferron": "NNP",
    "Ferruzzi": "NNP",
    "Ferry": "NNP",
    "Fertitta": "NNP",
    "Feruzzi": "NNP",
    "Fery": "NNP",
    "Feshbach": "NNP",
    "Festiva": "NNP",
    "Festival": "NNP",
    "Festivals": "NNS",
    "Fetch": "VB",
    "Fete": "NNP",
    "Fetzer": "NNP",
    "Feuchtwanger": "NNP",
    "Feud": "NN",
    "Feuer": "NNP",
    "Feuermann": "NNP",
    "Fever": "NN",
    "Feverishly": "RB",
    "Feversham": "NNP",
    "Few": "JJ|NNP",
    "Fewer": "JJR|RB",
    "Fey": "NNP",
    "Feyer": "NNP",
    "Ffortescue": "NNP",
    "Fiala": "NNP",
    "Fialkow": "NNP",
    "Fiap": "NNP",
    "Fiasco": "NNP",
    "Fiat": "NNP",
    "Fiats": "NNPS",
    "Fiber": "NNP",
    "FiberCom": "NNP",
    "FiberWorld": "NNP",
    "Fiberall": "NNP",
    "Fiberglas": "JJ|NN|NNP",
    "Fibre": "NNP",
    "Fibreboard": "NNP",
    "Fichte": "NNP",
    "Fiddler": "NNP",
    "Fiddles": "NNS",
    "Fiddlesticks": "NNS",
    "Fidel": "NNP",
    "Fidelity": "NNP",
    "Fidis": "NNP",
    "Fidler": "NNP",
    "Fiechter": "NNP",
    "Fiedler": "NNP",
    "Field": "NNP",
    "Field-Fisher": "NNP",
    "Fieldcrest": "NNP",
    "Fielder": "NNP",
    "Fielding": "NN",
    "Fields": "NNP|NNPS|NNS",
    "Fienberg": "NNP",
    "Fierce": "JJ",
    "Fiering": "NNP",
    "Fiero": "NNP",
    "Fiery": "JJ",
    "Fiesta": "NNP",
    "Fife": "NNP",
    "Fifield": "NNP",
    "Fifteenth": "NNP|JJ",
    "Fifth": "NNP|JJ",
    "Fifties": "NNPS",
    "Fifty-fifth": "NNP",
    "Fifty-ninth": "NNP",
    "Fifty-three": "JJ",
    "Fifty-two": "JJ",
    "Fig": "NN",
    "Fig.": "NN|NNP",
    "Figaro": "NNP|FW",
    "Figger": "VB",
    "Figgie": "NNP",
    "Fight": "VB|NN",
    "Fighter": "NNP",
    "Fighters": "NNP",
    "Fighting": "NN|NNP|JJ|VBG",
    "Fights": "NNS",
    "Figlewski": "NNP",
    "Figone": "NNP",
    "Figs.": "NNS|NNP",
    "Figura": "NNP",
    "Figure": "NN|VB|NNP",
    "Figures": "NNS|NNPS",
    "Figurines": "NNS",
    "Figuring": "VBG",
    "Fike": "NNP",
    "Fil": "NNP",
    "Fila": "NNP",
    "File": "NN|VB",
    "FileNet": "NNP",
    "Filed": "VBN",
    "Filene": "NNP",
    "Filigreed": "JJ",
    "Filipino": "NNP|JJ",
    "Filipinos": "NNPS|NNS",
    "Filippo": "NNP",
    "Fill": "VB|VBP",
    "Fill-Or-Kill": "NNP",
    "Filling": "VBG|NNP",
    "Fillmore": "NNP",
    "Film": "NNP",
    "Filmakers": "NNPS",
    "Filmdom": "NNP",
    "Filmed": "VBN",
    "Filming": "NN",
    "Films": "NNS",
    "Filmstar": "NNP",
    "Filmworks": "NNP",
    "Filofax": "NNP",
    "Filofaxes": "NNPS",
    "Filter": "NNP",
    "Filtered": "VBN",
    "Filtertek": "NNP",
    "Fin-syn": "JJ",
    "Fina": "NNP",
    "Final": "JJ|NNP",
    "Final-hour": "JJ",
    "Finalists": "NNS",
    "Finally": "RB",
    "Finals": "NNS",
    "Finan": "NNP",
    "Finance": "NNP",
    "Financial": "NNP|JJ",
    "Financial-service": "NN",
    "Financially": "RB",
    "Financials": "NNP|NNPS",
    "Financiere": "NNP",
    "Financieros": "NNP",
    "Financiers": "NNS",
    "Financing": "NNP|VBG",
    "Financings": "NNS",
    "Financo": "NNP",
    "Finanziaria": "NNP",
    "Finanziario": "NNP",
    "Finberg": "NNP",
    "Find": "VBP|VB",
    "Finder": "NNP",
    "Finders": "NNP",
    "Finding": "VBG|NNP",
    "Findings": "NNS",
    "Findlay": "NNP",
    "Finds": "VBZ",
    "Fine": "NNP|JJ|NNPS",
    "Finerman": "NNP",
    "Fines": "NNP",
    "Finevest": "NNP",
    "Fing": "NNP",
    "Finger": "NNP",
    "Fingered": "NNP",
    "Fingerprints": "NNS",
    "Fingers": "NNP",
    "Fininvest": "NNP",
    "Finis": "NNP",
    "Finish": "VB",
    "Finished": "VBN",
    "Finishing": "VBG",
    "Fink": "NNP",
    "Finkbiner": "NNP",
    "Finkel": "NNP",
    "Finkelstein": "NNP",
    "Finkelsteins": "NNPS",
    "Finks": "NNP",
    "Finland": "NNP",
    "Finley": "NNP",
    "Finmeccanica": "NNP",
    "Finn": "NNP",
    "Finnair": "NNP",
    "Finnegan": "NNP",
    "Finnerty": "NNP",
    "Finney": "NNP",
    "Finnie": "NNP",
    "Finnish": "JJ",
    "Finns": "NNPS",
    "Finnsburg": "NNP",
    "Finot": "NNP",
    "Finsbury": "NNP",
    "Finsilver": "NNP",
    "Finucane": "NNP",
    "Fio": "NNP",
    "Fiore": "NNP",
    "Fiorello": "NNP",
    "Fiori": "NNP",
    "Fiorina": "NNP",
    "Fiorini": "NNP",
    "Fire": "NNP",
    "Firearms": "NNPS|NNP",
    "Firebird": "NNP",
    "Fired": "VBN",
    "Fireman": "NNP",
    "Firemen": "NNS",
    "Fires": "VBZ|NNP",
    "Fireside": "NNP",
    "Fireside/Simon": "NNP",
    "Firestone": "NNP",
    "Firm": "NN|JJ|NNP",
    "Firms": "NNS|NNPS",
    "First": "NNP|NNPS|JJ|LS|RB",
    "First-Born": "NNP",
    "First-half": "JJ",
    "First-hand": "JJ",
    "First-round": "JJ",
    "First-section": "JJ",
    "FirstSouth": "NNP",
    "Firzite": "NN",
    "Fiscal": "JJ|NN|NNP",
    "Fiscal-year": "JJ",
    "Fischbach": "NNP",
    "Fischer": "NNP",
    "Fish": "NN|NNP",
    "Fishback": "NNP",
    "Fisher": "NNP",
    "Fisheries": "NNPS|NNP",
    "Fishermen": "NNS",
    "Fishery": "NNP",
    "Fishing": "NNP",
    "Fishkill": "NNP",
    "Fishman": "NNP",
    "Fisk": "NNP",
    "Fiske": "NNP",
    "Fisons": "NNP",
    "Fistoulari": "NNP",
    "Fists": "NNS",
    "Fit": "JJ",
    "Fitch": "NNP",
    "Fitchburg": "NNP",
    "Fitness": "NNP",
    "Fitting": "VBG",
    "Fittingly": "RB",
    "Fittro": "NNP",
    "Fitts": "NNP",
    "Fitz": "NNP",
    "Fitzgerald": "NNP",
    "Fitzgibbon": "NNP",
    "Fitzhugh": "NNP",
    "Fitzpatrick": "NNP",
    "Fitzpatrick-Davis": "NNP",
    "Fitzroy": "NNP",
    "Fitzsimmons": "NNP",
    "Fitzwater": "NNP",
    "Fitzwilliam": "NNP",
    "Fitzwilliams": "NNP",
    "Five-Elements": "NNP",
    "Five-O": "NNP",
    "Five-Year": "NNP",
    "Fix": "VB",
    "Fixed": "VBN|VBD|JJ",
    "Fixed-income": "JJ|NN",
    "Fixed-rate": "JJ",
    "Fixing": "VBG",
    "Fixit": "NNP",
    "Fixture": "NNP",
    "Fixx": "NNP",
    "Fizkultura": "NNP",
    "Fjelstad": "NNP",
    "Fla": "NNP",
    "Fla.": "NNP",
    "Fla.-based": "JJ",
    "Flag": "NN",
    "Flagg": "NNP",
    "Flagler": "NNP",
    "Flags": "NNS|NNP",
    "Flaherty": "NNP",
    "Flair": "NNP",
    "Flake": "NN",
    "Flakes": "NNPS",
    "Flameco": "NNP",
    "Flames": "NNPS",
    "Flaming": "NNP",
    "Flamingo": "NNP",
    "Flanagan": "NNP",
    "Flanders": "NNP",
    "Flanked": "VBN",
    "Flannagan": "NNP",
    "Flannagans": "NNPS",
    "Flash": "NN",
    "Flashdance": "NNP",
    "Flashed": "VBN",
    "Flashlight": "NN",
    "Flat": "JJ|NNP",
    "Flatiron": "NN",
    "Flatley": "NNP",
    "Flatness": "NN",
    "Flats": "NNP|NNPS|NNS",
    "Flattau": "NNP",
    "Flaum": "NNP",
    "Flav-O-Rich": "NNP",
    "Flavel": "NNP",
    "Flavell": "NNP",
    "Flavio": "NNP",
    "Flavus": "NNP",
    "Flaws": "NNS",
    "Flax": "NNP",
    "Flaxseed": "NN",
    "Flea": "NNP",
    "Fleckenstein": "NNP",
    "Fledermaus": "NNP",
    "Fledgling": "NN",
    "Flee": "VBP",
    "Fleece": "NNP",
    "Fleet": "NNP",
    "Fleet/Norstar": "NNP",
    "Fleeting": "JJ",
    "Fleetwood": "NNP",
    "Fleischer": "NNP",
    "Fleischman": "NNP",
    "Fleischmann": "NNP",
    "Fleischmanns": "NNP",
    "Fleisher": "VB|NNP",
    "Flem": "NNP",
    "Fleming": "NNP",
    "Flemings": "NNP|NNPS",
    "Flemish": "JJ|NNP",
    "Flesh": "NN",
    "Flesher": "NNP",
    "Fletch": "NNP",
    "Fletcher": "NNP",
    "Fleury": "NNP",
    "Flexibility": "NN",
    "Flexible": "JJ|NNP",
    "Flexicokers": "NNS",
    "Flexural": "JJ",
    "Flick": "NN|NNP",
    "Flier": "NN",
    "Fliers": "NNPS",
    "Flies": "NNS",
    "Flight": "NNP",
    "Flights": "NNS",
    "Flint": "NNP",
    "Flip": "NNP",
    "Flippo": "NNP",
    "Flite-King": "JJ",
    "Floating": "VBG|JJ",
    "Floats": "VBZ",
    "Flock": "NNP",
    "Flocks": "NNS",
    "Floey": "NNP",
    "Flom": "NNP",
    "Flood": "NNP|VBP",
    "Floodlights": "NNP",
    "Floor": "NNP",
    "Flor": "NNP",
    "Floradora": "NNP",
    "Floral": "NNP",
    "Florence": "NNP",
    "Florentine": "NNP|JJ",
    "Flores": "NNP",
    "Floresville": "NNP",
    "Florian": "NNP",
    "Florican-Inverness": "NNP",
    "Florican-My": "NNP",
    "Florida": "NNP",
    "Floridabanc": "NNP",
    "Floridian": "NN",
    "Floridians": "NNP",
    "Florido": "NNP",
    "Florio": "NNP",
    "Flory": "NNP",
    "Floss": "NNP",
    "Flotilla": "NNP",
    "Flotte": "NNP",
    "Flottl": "NNP",
    "Flour": "NN",
    "Flow": "NNP",
    "Flow-Mole": "NNP",
    "Flower": "NNP",
    "Flowering": "NN",
    "Flowers": "NNPS|NNS",
    "Floyd": "NNP",
    "Fluctuation": "NN",
    "Fluent": "NNP|JJ",
    "Flugdienst": "NNP",
    "Flugel": "NNP",
    "Flugleasing": "NNP",
    "Flumenbaum": "NNP",
    "Flumenophobe": "NNP",
    "Fluor": "NNP",
    "Fluorescence": "NN",
    "Fluorescent": "JJ",
    "Flush": "JJ",
    "Flushing": "NNP",
    "Flushing-Main": "NNP",
    "Flusser": "NNP",
    "Flustered": "JJ",
    "Flute": "NN",
    "Fly": "VB",
    "Flyer": "NNP",
    "Flyer-Castle": "NNP",
    "Flygplanet": "NNP",
    "Flying": "NNP|VBG",
    "Flynn": "NNP",
    "FmHA": "NNP",
    "Foamed": "NNP",
    "Foamy": "NNP",
    "Focus": "NNP",
    "Focusing": "VBG",
    "Foe": "NNP",
    "Foerster": "NNP",
    "Fog": "NN",
    "Fogelman": "NNP",
    "Fogelson": "NNP",
    "Fogg": "NNP",
    "Foggia": "NNP",
    "Foggs": "NNP",
    "Foggy": "NNP",
    "Fogle": "NNP",
    "Fogler": "NNP",
    "Foglio": "NNP",
    "Foil": "NNP",
    "Foiled": "VBN",
    "Foiles": "NNP",
    "Fokine": "NNP",
    "Fokker": "NNP",
    "Folcroft": "NNP",
    "Fold": "VB",
    "Folded": "NNP",
    "Folding": "VBG",
    "Foley": "NNP",
    "Folgers": "NNP",
    "Foliage": "NN|NNP",
    "Folk": "NN|NNP",
    "Folk-lore": "NN",
    "Folkerts": "NNP",
    "Folklore": "NN|NNP",
    "Folks": "NNS",
    "Folkston": "NNP",
    "Follow": "VB",
    "Follow-through": "JJ",
    "Follow-up": "JJ",
    "Followin": "VBG",
    "Following": "VBG|NN",
    "Follows": "NNP",
    "Folly": "NNP",
    "Folmar": "NNP",
    "Folonari": "NNP",
    "Folsom": "NNP",
    "Foncier": "NNP",
    "Fond": "NNP|JJ",
    "Fonda": "NNP",
    "Fonds": "NNP",
    "Fonseca": "NNP",
    "Fonstein": "NNP",
    "Fonta": "NNP",
    "Fontainbleau": "NNP",
    "Fontaine": "NNP",
    "Fontainebleau": "NNP",
    "Fontana": "NNP",
    "Fonz": "NNP",
    "Food": "NNP",
    "Food-price": "JJ",
    "Foodmaker": "NNP",
    "Foods": "NNPS|NNS",
    "Fooled": "VBN",
    "Fools": "NNS",
    "Foont": "NNP",
    "Foot": "NNP",
    "Football": "NNP",
    "Foote": "NNP",
    "Foothills": "NNP|NNS",
    "Footnotes": "NNS",
    "For": "IN|CC|NNP",
    "For...": ":",
    "Forand": "NNP",
    "Forbes": "NNP",
    "Forbidden": "NNP",
    "Force": "NNP|FW",
    "Forced": "VBN",
    "Forces": "NNS|NNPS|FW|VBZ",
    "Ford": "NNP",
    "Ford-Kissinger": "NNP",
    "Fordham": "NNP",
    "Fords": "NNS|NNP|NNPS",
    "Forebearing": "NNP",
    "Forecast": "NNP",
    "Forecaster": "NNP",
    "Forecasters": "NNS",
    "Forecasting": "NN",
    "Forecasts": "NNS|NNPS",
    "Foreclosed": "VBN",
    "Foreclosure": "NNP",
    "Foreclosures": "NNS",
    "Foreign": "NNP|JJ",
    "Foreign-exchange": "NN|JJ",
    "Foreign-registered": "JJ",
    "Foreigners": "NNS",
    "Forellen": "NNP",
    "Foremost": "RB|NNP",
    "Forensic": "NNP",
    "Forerunner": "NNP",
    "Foreseeing": "VBG",
    "Foresight": "NN",
    "Foresman": "NNP",
    "Forest": "NNP",
    "Forest-products": "NNS",
    "Forester": "NNP",
    "Foresters": "NNS",
    "Forests": "NNPS|NNS",
    "Foret": "NNP",
    "Forever": "NNP|RB",
    "Forfeiture": "NNP",
    "Forge": "NNP",
    "Forget": "VB|NNP",
    "Forgive": "VB",
    "Forgiveness": "NN",
    "Forgoing": "VBG",
    "Forgot": "VBN",
    "Forgotten": "NNP",
    "Fork": "NNP",
    "Forked": "NNP",
    "Forks": "NNS",
    "Form": "NN|VB|NNP",
    "FormBase": "NNP",
    "Formally": "RB",
    "Forman": "NNP",
    "Format": "NN",
    "Formation": "NNP",
    "Formby": "NNP",
    "Formed": "VBN",
    "Former": "NNP|JJ",
    "Formerly": "RB",
    "Formica": "NNP",
    "Formosa": "NNP",
    "Formosan": "JJ",
    "Forms": "NNPS|NNS",
    "Formula": "NN",
    "Forney": "NNP",
    "Forrest": "NNP",
    "Forrestal": "NNP",
    "Forrester": "NNP",
    "Forsan": "FW",
    "Forseth": "NNP",
    "Forst": "NNP",
    "Forster": "NNP",
    "Forstmann": "NNP",
    "Forsyth": "NNP",
    "Forsythe": "NNP",
    "Fort": "NNP|VB",
    "Fortas": "NNP",
    "Forte": "NNP",
    "Fortenbaugh": "NNP",
    "Fortescue": "NNP",
    "Fortier": "NNP",
    "Forties": "NNP|NNPS",
    "Fortified": "VBN",
    "Fortin": "NNP",
    "Fortman": "NNP",
    "Fortney": "NNP",
    "Fortress": "NNP",
    "FortressEurope": "NN",
    "Fortunate": "JJ",
    "Fortunately": "RB|NNP",
    "Fortune": "NNP",
    "Forty-nine": "JJ",
    "Forty-one": "JJ",
    "Forty-second": "JJ",
    "Forty-seven": "JJ",
    "Forty-third": "JJ",
    "Forum": "NNP",
    "Forward": "NNP",
    "Forwarding": "NNP",
    "Fosback": "NNP",
    "Fosdick": "NNP",
    "Foss": "NNP",
    "Fossan": "NNP",
    "Fosset": "NNP",
    "Fossett": "NNP",
    "Fossey": "NNP",
    "Foster": "NNP",
    "Fosterite": "NNP",
    "Fosterites": "NNP",
    "Fought": "VBN",
    "Foul": "NNP|JJ",
    "Foulds": "NNP",
    "Foundation": "NNP",
    "Founded": "VBN",
    "Founder": "NN|NNP",
    "Founders": "NNP|NNPS|NNS",
    "Founding": "VBG|NNP",
    "Foundry": "NNP",
    "Fountain": "NNP",
    "Four-fifths": "NNS",
    "Fournier": "NNP",
    "Fourteenth": "NNP",
    "Fourth": "JJ|NNP|RB",
    "Fourth-of-July": "NNP",
    "Fourth-quarter": "JJ|NN",
    "Fourtou": "NNP",
    "Fowler": "NNP",
    "Fox": "NNP",
    "Fox-Meyer": "NNP",
    "Fox-Pitt": "NNP",
    "Foxboro": "NNP",
    "Foxmoor": "NNP",
    "Foxx": "NNP",
    "Foy": "NNP",
    "Fra": "NNP",
    "Fraas": "NNP",
    "Frabotta": "NNP",
    "Fraction": "NNP",
    "Fractions": "NNS",
    "Fracturing": "NNP",
    "Fraga": "NNP",
    "Fragile": "NNP",
    "Fragin": "NNP",
    "Fragment": "NN",
    "Fragonard": "NNP",
    "Fragua": "NNP",
    "Frail": "JJ",
    "Framatome": "NNP",
    "Frame": "NN",
    "Framework": "NNP",
    "Framingham": "NNP",
    "Frampton": "NNP",
    "Fran": "NNP",
    "Francais": "NNP",
    "Francaise": "NNP",
    "Francaises": "NNP",
    "France": "NNP",
    "France-Germany": "NNP",
    "France-Presse": "NNP",
    "France.": "NNP",
    "Frances": "NNP",
    "Francesca": "NNP",
    "Francesco": "NNP",
    "Francesville": "NNP",
    "Franchise": "NNP",
    "Franchisee": "NN",
    "Franchisees": "NNS",
    "Franchising": "NNP",
    "Francie": "NNP",
    "Francis": "NNP",
    "Franciscan": "JJ|NNP",
    "Franciscans": "NNS|NNP|NNPS",
    "Francisco": "NNP",
    "Francisco-Oakland": "NNP",
    "Francisco-area": "JJ|NNP",
    "Francisco-based": "JJ",
    "Franciso": "NNP",
    "Franck": "NNP",
    "Franco": "NNP",
    "Franco-German": "NNP",
    "Franco-Irishman": "NNP",
    "Franco-Japanese": "NNP",
    "Francois": "NNP",
    "Francois-Poncet": "NNP",
    "Francoise": "NNP",
    "Francoisette": "NNP",
    "Francona": "NNP",
    "Franconia": "NNP",
    "Francophone": "JJ",
    "Frank": "NNP|NNPS",
    "Franke": "NNP",
    "Frankel": "NNP",
    "Frankenberry": "NNP",
    "Frankenstein": "NNP",
    "Frankford": "NNP",
    "Frankfort": "NNP",
    "Frankfurt": "NNP|NNPS",
    "Frankfurt-based": "JJ",
    "Frankfurter": "NNP",
    "Frankie": "NNP",
    "Franklin": "NNP|NNPS",
    "Franklin-Trout": "NNP",
    "Frankly": "RB|NNP",
    "Franklyn": "NNP",
    "Franks": "NNPS",
    "Franny": "NNP",
    "Frans": "NNP",
    "Frantisek": "NNP",
    "Franyo": "NNP",
    "Franz": "NNP",
    "Fraser": "NNP",
    "Fraternal": "NNP",
    "Fraud": "NNP",
    "Frauds": "NNPS",
    "Fraumeni": "NNP",
    "Frawley": "NNP",
    "Fray": "NN",
    "Frayne": "NNP",
    "Frazee": "NNP",
    "Frazer": "NNP",
    "Frazier": "NNP",
    "Frazzano": "NNP",
    "Fred": "NNP",
    "Freddie": "NNP",
    "Freddy": "NNP",
    "Frederic": "NNP",
    "Frederick": "NNP",
    "Fredericksburg": "NNP",
    "Fredericton": "NNP",
    "Frederik": "NNP",
    "Fredonia": "NNP",
    "Fredric": "NNP",
    "Fredrick": "NNP",
    "Fredrico": "NNP",
    "Fredrik": "NNP",
    "Fredrikshall": "NNP",
    "Free": "NNP|JJ|RB",
    "Free-Will": "NNP",
    "Free-marketeers": "NNS",
    "Free-trade": "JJ",
    "Freeberg": "NNP",
    "Freebies": "NNS",
    "Freed": "NNP|VBN|JJ",
    "Freedman": "NNP",
    "Freedom": "NNP",
    "Freeholder": "NNP",
    "Freeman": "NNP",
    "Freeport": "NNP",
    "Freeport-McMoRan": "NNP",
    "Freeway": "NNP",
    "Freeze": "NN",
    "Freiburghouse": "NNP",
    "Freida": "NNP",
    "Freie": "NNP",
    "Freight": "NNP",
    "Freightways": "NNP|NNPS",
    "Freind": "NNP",
    "Freinkel": "NNP",
    "Frelinghuysen": "NNP",
    "Fremantle": "NNP",
    "Fremont": "NNP",
    "French": "JJ|NNP|NNS|NNPS",
    "French-Canadian": "NNP",
    "French-Canadians": "NNPS",
    "French-English": "NNP",
    "French-Italian": "JJ",
    "French-born": "JJ",
    "French-franc": "NN",
    "French-government-owned": "JJ",
    "French-language": "JJ",
    "French-made": "JJ",
    "French-modeled": "JJ",
    "French-polished": "JJ",
    "French-speaking": "JJ",
    "Frenchman": "NNP",
    "Frenchmen": "NNPS|NNS",
    "Frenchwoman": "NNP",
    "Freni": "NNP",
    "Frenzel": "NNP",
    "Frenzy": "NNP",
    "Freon": "NN|NNP",
    "Frequency": "NNP",
    "Frequent": "JJ",
    "Frequent-flier": "JJ",
    "Frequently": "RB|NNP",
    "Freres": "NNP",
    "Fresca": "NNP",
    "Fresenius": "NNP",
    "Fresh": "JJ|NNP",
    "Freshbake": "NNP",
    "Freshman": "NN",
    "Freshmen": "NNS",
    "Freshwater": "NNP",
    "Fresnel": "NNP",
    "Fresno": "NNP",
    "Freston": "NNP",
    "Fret": "VB",
    "Fretting": "VBG",
    "Freud": "NNP|,",
    "FreudToy": "NNP",
    "Freudenberger": "NNP",
    "Freudian": "JJ|NNP",
    "Freund": "NNP",
    "Frey": "NNP",
    "Freya": "NNP",
    "Fri": "NNP",
    "Friar": "NN",
    "Friars": "NNS",
    "Frick": "NNP",
    "Fricke": "NNP",
    "Friday": "NNP",
    "Friday-the-13th": "JJ|NN",
    "Fridays": "NNS|NNPS",
    "Fridge": "NNP",
    "Fridman": "NNP",
    "Fried": "NNP",
    "Friedberg": "NNP",
    "Friede": "NNP",
    "Friedenwald": "NNP",
    "Friedman": "NNP",
    "Friedmann": "NNP",
    "Friedreich": "NNP",
    "Friedrich": "NNP",
    "Friedrichs": "NNP",
    "FriedrichsInc.": "NNP",
    "Friend": "NNP",
    "Friendly": "NNP",
    "Friends": "NNPS|NNS",
    "Fries": "NNP",
    "Friesen": "NNP",
    "Frills": "NNP",
    "Frisbee": "NNP",
    "Frisch": "NNP",
    "Frisco": "NNP",
    "Frist": "FW",
    "Frito": "NNP",
    "Frito-Lay": "NNP",
    "Frits": "NNP",
    "Fritz": "NNP",
    "Fritze": "NNP",
    "Fritzie": "NNP",
    "Fritzsche": "NNP",
    "Froelich": "NNP",
    "Frog-marched": "JJ",
    "Frohock": "NNP",
    "Froissart": "NNP",
    "From": "IN|NNP",
    "Fromm": "NNP",
    "Fromstein": "NNP",
    "Frondel": "NNP",
    "Front": "NNP|JJ",
    "Front-line": "JJ|NN",
    "Front-runners": "NNS",
    "Frontage": "NN",
    "Frontier": "NNP",
    "Frontieres": "FW",
    "Frontiers": "NNS",
    "Frost": "NNP",
    "Frost-Debby": "NNP",
    "Frostbite": "NN",
    "Frosted": "NNP",
    "Frosts": "NNPS",
    "Frothingham": "NNP",
    "Frothy": "JJ",
    "Frowning": "VBG",
    "Frozen": "VBN",
    "Frucher": "NNP",
    "Fruehauf": "NNP",
    "Fruit": "NNP",
    "Frum": "NNP",
    "Frumil": "NNP",
    "Frustrate": "VBP",
    "Frustrated": "JJ|VBN",
    "Frustration": "NN",
    "Fry": "VB",
    "Fryar": "NNP",
    "Ft.": "NNP",
    "Fu": "NNP",
    "Fuchs": "NNP",
    "Fuck": "VB",
    "Fudo": "NNP",
    "Fudomae": "NNP",
    "Fudosan": "NNP",
    "Fuel": "NN|NNP",
    "Fueled": "VBN",
    "Fueling": "VBG",
    "Fueloil": "NNP",
    "Fuentes": "NNP",
    "Fuhrer": "NNP",
    "Fuhrmann": "NNP",
    "Fuji": "NNP|NNS",
    "Fuji-apple": "JJ",
    "Fujii": "NNP",
    "Fujimoto": "NNP",
    "Fujis": "NNPS",
    "Fujisankei": "NNP",
    "Fujisawa": "NNP",
    "Fujita": "NNP",
    "Fujitsu": "NNP",
    "Fukuda": "NNP",
    "Fukuoka": "NNP",
    "Fukuyama": "NNP",
    "Fulbright": "NNP",
    "Fulcrum": "NNP",
    "Fuld": "NNP",
    "Fulfills": "VBZ",
    "Fulghum": "NNP",
    "Fulgoni": "NNP",
    "Fulham": "NNP",
    "Fulke": "NNP",
    "Full": "JJ|NNP",
    "Full-time": "JJ",
    "Fuller": "NNP",
    "Fullerton": "NNP",
    "Fully": "RB",
    "Fulmar": "NNP",
    "Fulson": "NNP",
    "Fulton": "NNP",
    "Fultz": "NNP",
    "Fulwood": "NNP",
    "Fuming": "VBG",
    "Fumio": "NN",
    "Fun": "NNP",
    "Funari": "NNP",
    "Functionalism": "NN",
    "Functionally": "RB",
    "Functions": "NNPS",
    "Fund": "NNP",
    "Fund-Raisers": "NNS",
    "FundTrust": "NNP",
    "Fundamental": "JJ|NNP",
    "Fundamentalists": "NNPS|NNS",
    "Fundamentally": "RB",
    "Fundamentals": "NNS|NNPS",
    "Funded": "VBN",
    "Fundidora": "NNP",
    "Funding": "NNP",
    "Funds": "NNS|NNPS",
    "Funeral": "NNP",
    "Fung": "NNP",
    "Fungi": "NNP",
    "Fungible": "JJ",
    "Funk": "NNP",
    "Funny": "NNP|JJ|RB",
    "Funston": "NNP",
    "Fuqua": "NNP",
    "Fur": "NNP",
    "Furey": "NNP",
    "Furhmann": "NNP",
    "Furies": "NNS",
    "Furillo": "NNP",
    "Furious": "NNP",
    "Furiouser": "RBR",
    "Furlaud": "NNP",
    "Furlett": "NNP",
    "Furman": "NNP",
    "Furnace": "NN",
    "Furnaces": "NNP",
    "Furnishes": "VBZ",
    "Furniture": "NNP",
    "Furs": "NNP",
    "Further": "RB|JJ|JJR|NNP|RBR",
    "Furthermore": "RB",
    "Furukawa": "NNP",
    "Furuta": "NNP",
    "Fury": "NN|NNP",
    "Furze": "NNP",
    "Fuss": "VB",
    "Fuster": "NNP",
    "Futhermore": "NN",
    "Futotsu": "FW",
    "Futter": "NNP",
    "Future": "NNP|JJ",
    "Futures": "NNPS|NNS|NNP",
    "Futures-related": "JJ",
    "Fuzzy": "JJ",
    "Fyffes": "NNP",
    "Fyodor": "NNP",
    "G": "NNP|NN|LS",
    "G-2": "NN",
    "G-24": "NNP",
    "G-R-H": "NNP",
    "G.": "NNP",
    "G.B.S.": "NN",
    "G.D.": "NNP",
    "G.E.": "NNP",
    "G.J.": "NNP",
    "G.L.": "NNP",
    "G.N.": "NNP",
    "G.O.": "NNP",
    "G.O.P.": "NN",
    "G.P.": "NNP",
    "G.S.": "NNP",
    "G.W.": "NNP",
    "G.m.b": "NNP",
    "G7": "NNP",
    "GA": "NNP",
    "GABLE": "NNP",
    "GAF": "NNP",
    "GAG": "NNP",
    "GALAXY": "NN",
    "GAMBLE": "NNP",
    "GANNETT": "NNP",
    "GAO": "NNP",
    "GAP": "NNP",
    "GAR": "NNP",
    "GARY": "NNP",
    "GAS": "NNP",
    "GASB": "NNP",
    "GATT": "NNP",
    "GBL": "NNP",
    "GD": "NNP",
    "GDL": "NNP",
    "GDP": "NNP",
    "GDR": "NNP",
    "GE": "NNP",
    "GEC": "NNP",
    "GENENTECH": "NNP",
    "GENERAL": "NNP",
    "GENERIC-DRUG": "NN",
    "GERMAN": "JJ",
    "GERMANS": "NNS|NNPS",
    "GERMANY": "NNP",
    "GET": "VB",
    "GEnie": "NNP",
    "GF": "NNP",
    "GFSA": "NNP",
    "GHKM": "NNP",
    "GHR": "NNP",
    "GHS": "NNP",
    "GI": "NNP",
    "GIMMEE": "UH",
    "GIPPER": "NN",
    "GIS": "NNP",
    "GIVE": "VBP",
    "GL": "NNP",
    "GLASNOST": "NNP|FW",
    "GLI": "NNP",
    "GLITTER": "NN",
    "GLITTERS": "VBZ",
    "GLS": "NNP",
    "GM": "NNP",
    "GM-10": "NN|NNP",
    "GM-10s": "NNP",
    "GM-CSF": "NNP",
    "GM-Jaguar": "JJ|NNP",
    "GM-Toyota": "JJ",
    "GMA": "NNP",
    "GMAC": "NNP",
    "GMC": "NNP",
    "GMr": "NN",
    "GNP": "NNP",
    "GNP-based": "JJ",
    "GO": "VB",
    "GOLD": "NN",
    "GOLDEN": "NNP",
    "GOLF": "NN",
    "GOOD": "JJ",
    "GOODY": "NNP",
    "GOP": "NNP",
    "GORBACHEV": "NNP",
    "GOULD": "NNP",
    "GOVERNMENT": "NN",
    "GP": "NNP",
    "GPA": "NNP",
    "GQ": "NNP",
    "GRAB": "NNP",
    "GRAINS": "NNS|NNPS",
    "GRAND": "NNP|JJ",
    "GRANTING": "VBG",
    "GRE": "NNP",
    "GREAT": "JJ|NNP",
    "GREW": "VBD",
    "GREY": "NNP",
    "GROUP": "NNP",
    "GROVE": "NNP",
    "GROWING": "VBG",
    "GROWS": "VBZ",
    "GROWTH": "NN",
    "GRP": "NNP",
    "GRX": "NNP",
    "GRiD": "NNP",
    "GRiDPad": "NNP",
    "GS": "NNP",
    "GSA": "NNP",
    "GSD&M": "NNP",
    "GSI": "NNP",
    "GSP": "NNP",
    "GSX": "NNP",
    "GT": "NNP",
    "GTE": "NNP",
    "GTG": "NNP",
    "GTI": "NNP",
    "GUIDE": "NNP",
    "GUN": "NNP",
    "Ga": "NNP",
    "Ga.": "NNP",
    "Gaafer": "NNP",
    "Gabe": "NNP",
    "Gabele": "NNP",
    "Gabelli": "NNP",
    "Gabelman": "NNP",
    "Gable": "NNP",
    "Gabler": "NNP",
    "Gables": "NNP|NNPS",
    "Gabon": "NNP",
    "Gabor": "NNP",
    "Gabriel": "NNP",
    "Gabriela": "NNP",
    "Gabriele": "NNP",
    "Gabrielle": "NNP",
    "Gachinger": "NNP",
    "Gadhafi": "NNP",
    "Gadsden": "NNP",
    "Gadwani": "NNP",
    "Gaechinger": "NNP",
    "Gaelic": "JJ",
    "Gaetan": "NNP",
    "Gaffney": "NNP",
    "Gagarin": "NNP",
    "Gagliardini": "NNP",
    "Gagne": "NNP",
    "Gaieties": "NNPS",
    "Gail": "NNP",
    "Gaillard": "NNP",
    "Gain": "NN|VB|NNP",
    "Gainen": "NNP",
    "Gainers": "NNP|NNS",
    "Gaines": "NNP",
    "Gainesville": "NNP",
    "Gaining": "NNP|VBG",
    "Gains": "NNS",
    "Gaisman": "NNP",
    "Gaither": "NNP",
    "Gaithersburg": "NNP",
    "Gaja": "NNP",
    "Gajda": "NNP",
    "Gal": "NNP",
    "Gala": "NNP",
    "Galahad": "NNP",
    "Galamian": "NNP",
    "Galan": "NNP",
    "Galant": "NNP",
    "Galanter": "NNP",
    "Galantuomo": "NNP",
    "Galapagos": "NNP",
    "Galata": "NNP",
    "Galatians": "NNPS",
    "Galax": "NNP",
    "Galaxy": "NN",
    "Galbani": "NNP",
    "Galbraith": "NNP",
    "Gale": "NNP",
    "Galecke": "NNP",
    "Galen": "NNP",
    "Galena": "NNP",
    "Galicia": "NNP",
    "Galicians": "NNPS",
    "Galilee": "NNP",
    "Galileo": "NNP",
    "Galina": "NNP",
    "Galindez": "NNP",
    "Galipault": "NNP",
    "Gallagher": "NNP",
    "Galland": "NNP",
    "Gallant": "NNP",
    "Galle": "NNP",
    "Gallen": "NNP",
    "Galleria": "NNP",
    "Gallery": "NNP",
    "Galles": "NNP",
    "Gallet": "NN",
    "Galli": "NNP",
    "Galligan": "NNP",
    "Gallitano": "NNP",
    "Gallitzin": "NNP",
    "Gallium": "NN",
    "Gallo": "NNP",
    "Gallon": "NNP",
    "Gallon-Loren": "NNP",
    "Galloway": "NNP",
    "Gallup": "NNP",
    "Galoob": "NNP",
    "Galophone-Kimberly": "NNP",
    "Galophone-Prissy": "NNP",
    "Galsworthy": "NNP",
    "Galt": "NNP",
    "Galtier": "NNP",
    "Galveston": "NNP",
    "Galveston-Houston": "NNP",
    "Galveston-Port": "NNP",
    "Galvin": "NNP",
    "Galway": "NNP",
    "Gambit": "NNP",
    "Gamble": "NNP",
    "Gambling": "NN",
    "Game": "NNP|NN",
    "Game-Boy": "NN",
    "Gamecock": "NNP",
    "Gamel": "NNP",
    "Games": "NNPS|NNS",
    "Gaming": "NN|NNP",
    "Gamma": "NNP",
    "Gamper": "NNP",
    "Ganado": "NNP",
    "Gandalf": "NNP",
    "Gander": "NNP",
    "Gandhi": "NNP",
    "Gandois": "NNP",
    "Gandy": "NNP",
    "Ganes": "NNP",
    "Ganessa": "NNP",
    "Gang": "NN|NNP",
    "Ganges": "NNP",
    "Ganis": "NNP",
    "Gann": "NNP",
    "Gannett": "NNP",
    "Gannon": "NNP",
    "Gansevoort": "NNP",
    "Gant": "NNP",
    "Gantos": "NNP",
    "Gantry": "NNP",
    "Gaon": "NNP",
    "Gap": "NNP",
    "Gar-Dene": "NNP",
    "Garamendi": "NNP",
    "Garanti": "NNP",
    "Garbage": "NNP",
    "Garber": "NNP",
    "Garbutt": "NNP",
    "Garcia": "NNP",
    "Garcias": "NNPS",
    "Gardelin": "NNP",
    "Garden": "NNP",
    "Garden-variety": "NN",
    "Gardena": "NNP",
    "Gardening": "NNP",
    "Gardens": "NNPS|NNS",
    "Gardiner": "NNP",
    "Gardini": "NNP",
    "Gardner": "NNP",
    "Gardner-Denver": "NNP",
    "Garea": "NNP",
    "Garfield": "NNP",
    "Gargan": "NNP",
    "Gargantuan": "JJ",
    "Gargery": "NNP",
    "Gargle": "NNP",
    "Gari": "NNP",
    "Garibaldi": "NNP",
    "Garin": "NNP",
    "Garine": "NNP",
    "Garish": "JJ",
    "Garland": "NNP",
    "Garman": "NNP",
    "Garment": "NNP",
    "Garments": "NNS",
    "Garn": "NNP",
    "Garner": "NNP",
    "Garnett": "NNP",
    "Garonzik": "NNP",
    "Garpian": "JJ",
    "Garrard": "NNP",
    "Garratt": "NNP",
    "Garret": "NNP",
    "Garrett": "NNP",
    "Garrick": "NNP",
    "Garrick-Aug": "NNP",
    "Garrin": "NNP",
    "Garrison": "NNP",
    "Garrisonian": "NN",
    "Garry": "NNP",
    "Garryowen": "NNP",
    "Garson": "NNP",
    "Garstung": "NNP",
    "Garth": "NNP",
    "Gartner": "NNP|JJR",
    "Garvey": "NNP",
    "Garvier": "NNP",
    "Gary": "NNP",
    "Garza": "NNP",
    "Garzarelli": "NNP",
    "Gas": "NNP",
    "Gas-cooled": "JJ",
    "Gas-reactor": "JJ",
    "Gasch": "NNP",
    "Gascony": "NNP",
    "Gases": "NNS",
    "Gasich": "NNP",
    "Gaskin": "NNP",
    "Gaslight": "NN",
    "Gasoline": "NN",
    "Gaspard": "NNP",
    "Gaspee": "NNP",
    "Gasse": "NNP",
    "Gassee": "NNP",
    "Gasset": "NNP",
    "Gassman": "NNP",
    "Gastineau": "NNP",
    "Gaston": "NNP",
    "Gastronomes": "NNS",
    "Gastronomie": "NNP",
    "Gastronomy": "NNP",
    "Gate": "NNP",
    "Gates": "NNP",
    "Gates-Warren": "NNP",
    "Gateway": "NNP",
    "Gather": "VB",
    "Gathered": "VBN",
    "Gatherer": "NNP",
    "Gathering": "NN|VBG",
    "Gati": "NNP",
    "Gatlinburg": "NNP",
    "Gato": "NNP",
    "Gatoil": "NNP",
    "Gator": "JJ",
    "Gatos": "NNP",
    "Gatsby": "NNP",
    "Gatsby-in-reverse": "NN",
    "Gatward": "NNP",
    "Gatwick": "NNP",
    "Gaubert": "NNP",
    "Gauchos": "NNS",
    "Gauer": "NNP",
    "Gauged": "VBN",
    "Gauguin": "NNP",
    "Gaul": "NNP",
    "Gauleiter": "NNP",
    "Gaulle": "NNP",
    "Gauloises": "NNP|NNPS",
    "Gaunt": "JJ",
    "Gauntlett": "NNP",
    "Gauntley": "NNP",
    "Gaussian": "JJ",
    "Gautier": "NNP",
    "Gave": "VBD",
    "Gaveston": "NNP",
    "Gavin": "NNP",
    "Gavrilov": "NNP",
    "Gawdamighty": "UH",
    "Gay": "NNP|JJ",
    "Gaydon": "NNP",
    "Gayle": "NNP",
    "Gaylor": "NNP",
    "Gaylord": "NNP",
    "Gaynor": "NNP",
    "Gays": "NNS",
    "Gaza": "NNP",
    "Gazdag": "NNP",
    "Gazeta": "NNP",
    "Gazette": "NNP",
    "Gazettes": "NNP",
    "Gazing": "VBG",
    "Gazinosu": "NNP",
    "Gear": "NNP",
    "Geary": "NNP",
    "Geatish": "JJ",
    "Gebhard": "NNP",
    "Gebrueder": "NNP",
    "Gecker": "NNP",
    "Geddes": "NNP|NNPS",
    "Geduld": "NNP",
    "Gee": "UH|NNP",
    "Geech": "NNP",
    "Geeks": "NNPS|NNS",
    "Geely": "NNP",
    "Geer": "NNP",
    "Geertz": "NNP",
    "Geffen": "NNP",
    "Gehl": "NNP",
    "Gehrig": "NNP",
    "Geico": "NNP",
    "Geier": "NNP",
    "Geiger": "NNP",
    "Geingob": "NNP",
    "Geisha": "NN",
    "Geissinger": "NNP",
    "Gel": "NNP",
    "Gelb": "NNP",
    "Gelbart": "NNP",
    "Geld": "NNP",
    "Gelder": "NNP",
    "Geldermann": "NNP",
    "Gell": "NNP",
    "Geller": "NNP",
    "Gellert": "NNP",
    "Gelles": "NNP",
    "Gelly": "NNP",
    "Gelman": "NNP",
    "Gem": "NNP",
    "Geman": "NNP",
    "Gemayel": "NNP",
    "Gemeinschaft": "FW",
    "Gemina": "NNP",
    "Gems": "NNS",
    "Gen": "NNP",
    "Gen-Probe": "NNP",
    "Gen.": "NNP",
    "GenCorp": "NNP",
    "GenProbe": "NN",
    "Gencor": "NNP",
    "Gendron": "NNP",
    "Gene": "NNP",
    "Gene-Princess": "NNP",
    "Gene-Spliced": "JJ",
    "Gene-splicing": "NN",
    "Genel": "NNP",
    "Genelabs": "NNPS",
    "Genentech": "NNP",
    "General": "NNP|JJ",
    "Generale": "NNP",
    "Generales": "NNP",
    "Generali": "NNP",
    "Generalissimo": "NNP",
    "Generalizations": "NNS",
    "Generalized": "NNP",
    "Generally": "RB|NNP",
    "Generating": "NNP",
    "Generation": "NNP",
    "Generic": "NNP",
    "Generic-Drug": "JJ",
    "Generic-industry": "JJ",
    "Generics": "NNS",
    "Genesee": "NNP",
    "Genesis": "NNP",
    "Genetic": "NNP|JJ",
    "Geneticist": "NNP",
    "Genetics": "NNP|NNPS",
    "Geneva": "NNP",
    "Geneva-based": "JJ",
    "Genevieve": "NNP",
    "Genghis": "NNP",
    "Genie": "NNP",
    "Genigraphics": "NNP",
    "Genius": "NN",
    "Gennaro": "NNP",
    "Geno": "NNP",
    "Genocide": "NN",
    "Genome": "NNP",
    "Genossenschafts": "NNP",
    "Genossenschaftsbank": "NNP",
    "Genova": "NNP",
    "Genscher": "NNP",
    "Gensichen": "NNP",
    "Genson": "NNP",
    "Gentile": "NNP",
    "Gentile-Jewish": "NNP",
    "Gentiles": "NNPS",
    "Gentility": "NN",
    "Gentleman": "NN|NNP",
    "Gentlemen": "NNS|NNP",
    "Genuine": "NNP",
    "Genzyme": "NNP",
    "Geo": "NNP",
    "Geo.": "NNP",
    "Geocentricism": "NN",
    "Geocryology": "NNP",
    "Geodetic": "NNP",
    "Geoff": "NNP",
    "Geoffrey": "NNP",
    "Geoffrie": "NNP",
    "Geoffrion": "NNP",
    "Geographic": "NNP|JJ",
    "Geographical": "JJ",
    "Geolite": "NN",
    "Geological": "NNP",
    "Geologists": "NNS",
    "Geology": "NNP",
    "Geometric": "NNP|JJ",
    "Georg": "NNP",
    "Georgano": "NNP",
    "George": "NNP",
    "George-Barden": "NNP",
    "George-Creque": "NNP",
    "Georgene": "NNP",
    "Georges": "NNP",
    "Georgescu": "NNP",
    "Georgeson": "NNP",
    "Georgetown": "NNP",
    "Georgette": "NNP",
    "Georgi": "NNP",
    "Georgia": "NNP",
    "Georgia-Pacific": "NNP",
    "Georgia-based": "JJ",
    "Georgian": "JJ|NNP",
    "Georgians": "NNPS",
    "Geos": "NNS",
    "Geothermal": "NNP",
    "Gephardt": "NNP",
    "Gephardtian": "JJ",
    "Geraetetechnik": "NNP",
    "Geraghty": "NNP",
    "Geraghtys": "NNPS",
    "Gerald": "NNP",
    "Geraldine": "NNP",
    "Geraldo": "NNP",
    "Gerard": "NNP",
    "Gerardo": "NNP",
    "Gerber": "NNP",
    "Gerbig": "NNP",
    "Gerbrandt": "NNP",
    "Gerby": "NNP",
    "Gerd": "NNP",
    "Gerdes": "NNP",
    "Geren": "NNP",
    "Gerhard": "NNP",
    "Gericault": "NNP",
    "Gerlinger": "NNP",
    "Germain": "NNP",
    "German": "JJ|NN|NNP",
    "German-French": "JJ",
    "German-Italian": "JJ",
    "German-born": "JJ",
    "German-built": "JJ",
    "German-language": "JJ",
    "German-made": "JJ",
    "German-speaking": "JJ",
    "Germania": "NNP",
    "Germanic": "JJ|NNP",
    "Germanized": "VBN",
    "Germano-Slavic": "JJ",
    "Germans": "NNPS|NNS|VBP",
    "Germans.": "NNS",
    "Germantown": "NNP",
    "Germany": "NNP",
    "Germany-based": "JJ",
    "Germanys": "NNS|NNPS",
    "Germeten": "NNP",
    "Germont": "NNP",
    "Gero": "NNP",
    "Geroge": "NNP",
    "Gerolamo": "NNP",
    "Gerold": "NNP",
    "Gerome": "NNP",
    "Gerosa": "NNP",
    "Gerrard": "NNP",
    "Gerraughty": "NNP",
    "Gerry": "NNP",
    "Gershen": "NNP",
    "Gershman": "NNP",
    "Gershwin": "NNP",
    "Gershwins": "NNP",
    "Gersony": "NNP",
    "Gerstacker": "NNP",
    "Gerstenblatt": "NNP",
    "Gerstner": "NNP",
    "Gertrude": "NNP",
    "Gesamtkunstwerke": "FW",
    "Gesangverein": "NNP",
    "Gesell": "NNP",
    "Gestapo": "NNP",
    "Gestapo-style": "JJ",
    "Geste": "NNP",
    "Gesualdo": "NNP",
    "Get": "VB|NNP|VBP",
    "Gethsemane": "NNP|NN",
    "Getrudis": "NNP",
    "Gets": "VBZ|NNP",
    "Getting": "VBG",
    "Gettinger": "NNP",
    "Gettleman": "NNP",
    "Getty": "NNP",
    "Gettysburg": "NNP",
    "Getulio": "NNP",
    "Getz": "NNP",
    "Geva": "NNP",
    "Gevergeyev": "NNP",
    "Gevergeyeva": "NNP",
    "Gevurtz": "NNP",
    "Gewirtz": "NNP",
    "Geza": "NNP",
    "Ghadiali": "NNP",
    "Ghana": "NNP",
    "Ghanaian": "JJ",
    "Ghazel": "NNP",
    "Ghent": "NNP",
    "Gherlein": "NNP",
    "Ghettos": "NNPS",
    "Ghez": "NNP",
    "Ghiberti": "NNP",
    "Gholamreza": "NNP",
    "Ghoreyeb": "NNP",
    "Ghormley": "NNP",
    "Ghose": "NNP",
    "Ghost": "NN|NNP",
    "Ghostbusters": "NNP|NNS",
    "Giacometti": "NNP",
    "Giacomo": "NNP",
    "Giamatti": "NNP",
    "Giampiero": "NNP",
    "Gian": "NNP",
    "Giancarlo": "NNP",
    "Gianicolo": "NNP",
    "Gianni": "NNP|FW",
    "Giannini": "NNP",
    "Giant": "NNP|JJ",
    "Giants": "NNPS|NNP|NNS",
    "Giants-Houston": "NNP",
    "Giaour": "NN",
    "Giardini/Russell": "NNP",
    "Gibault": "NNP",
    "Gibbon": "NNP",
    "Gibbons": "NNP",
    "Gibbs": "NNP",
    "Gibby": "NNP",
    "Giblen": "NNP",
    "Gibraltar": "NNP",
    "Gibson": "NNP",
    "Giddings": "NNP",
    "Gide": "NNP",
    "Gideon": "NNP",
    "Gidwani": "NNP",
    "Gie": "NNP",
    "Gienow": "NNP",
    "Giffen": "NNP",
    "Gifford": "NNP",
    "Gift": "NNP",
    "Gifting": "NN",
    "Gifts": "NNS",
    "Gigenza": "NNP",
    "Giggey": "NNP",
    "Gignac": "NNP",
    "Gignoux": "NNP",
    "Gigot": "NNP",
    "Giguiere": "NNP",
    "Gil": "NNP",
    "Gilbert": "NNP",
    "Gilbertie": "NNP",
    "Gilberto": "NNP",
    "Gilborn": "NNP",
    "Gilbraltar": "NNP",
    "Gilchrist": "NNP",
    "Gilda": "NNP",
    "Gildas": "NNP",
    "Gilded": "NNP",
    "Gilder": "NNP",
    "Gildersleeve": "NNP",
    "Gilels": "NNP",
    "Giles": "NNP",
    "Gilgore": "NNP",
    "Gilhooley": "NNP",
    "Gilkson": "NNP",
    "Gill": "NNP",
    "Gilleland": "NNP",
    "Gillers": "NNP",
    "Gilles": "NNP",
    "Gillespie": "NNP",
    "Gillett": "NNP",
    "Gillette": "NNP",
    "Gilley": "NNP",
    "Gillian": "NNP",
    "Gillis": "NNP",
    "Gilman": "NNP",
    "Gilmartin": "NNP",
    "Gilmore": "NNP",
    "Gilroy": "NNP",
    "Gilsbar": "NNP",
    "Gilt": "NNP",
    "Gilts": "NNS",
    "Gim-": "NNP",
    "Gimbel": "NNP",
    "Gimenez": "NNP",
    "Gimpy": "NNP",
    "Gin": "NNP",
    "Ginandjar": "NNP",
    "Gingerly": "RB",
    "Ginghams": "NNS",
    "Gingl": "NNP",
    "Gingrich": "NNP",
    "Ginn": "NNP",
    "Ginner": "NNP",
    "Ginnie": "NNP",
    "Ginning": "NNP",
    "Gino": "NNP",
    "Ginsberg": "NNP",
    "Ginsburg": "NNP",
    "Gintel": "NNP",
    "Ginza": "NN|NNP",
    "Gioconda": "NNP",
    "Giolito": "NNP",
    "Giordano": "NNP",
    "Giorgetta": "NNP",
    "Giorgio": "NNP",
    "Giorgios": "NNP",
    "Giovanni": "NNP",
    "Giraffe": "NNP",
    "Giraldi": "NNP",
    "Girard": "NNP",
    "Giraud": "NNP",
    "Girl": "NNP",
    "Girls": "NNP|NNS",
    "Giroldi": "NNP|NNS",
    "Giroux": "NNP",
    "Girozentrale": "NNP",
    "Gisele": "NNP",
    "Giselle": "NNP",
    "Gisors": "NNP",
    "Git": "VB",
    "Gitanes": "NNP",
    "Gitano": "NNP",
    "Gitter": "NNP",
    "Giubbonari": "NNP",
    "Giuffrida": "NNP",
    "Giuliani": "NNP",
    "Giulietta": "NNP",
    "Giulio": "NNP",
    "Giurleo": "NNP",
    "Giuseppe": "NNP",
    "Giustiniani": "NNP",
    "Givaudan": "NNP",
    "Give": "VB",
    "Giveaways": "NNS",
    "Given": "VBN",
    "Givens": "NNP",
    "Givers": "NNP",
    "Gives": "VBZ",
    "Giving": "VBG",
    "Gizenga": "NNP",
    "Glacier": "NNP",
    "Glaciology": "NNP",
    "Glad": "JJ",
    "Gladden": "NNP",
    "Gladdy": "NNP",
    "Gladiator": "NNP",
    "Gladius": "NNP|FW",
    "Gladys": "NNP",
    "Glamorous": "JJ",
    "Glance": "VB",
    "Glantz": "NNP",
    "Glaris": "NNP",
    "Glaser": "NNP",
    "Glasgow": "NNP",
    "Glasnost": "FW",
    "Glasow": "NNP",
    "Glass": "NNP",
    "Glass-Steagall": "NNP",
    "Glassell": "NNP",
    "Glasser": "NNP",
    "Glasses": "NNS",
    "Glasswork": "NNP",
    "Glassworks": "NNP",
    "Glauber": "NNP",
    "Glavin": "NNP",
    "Glaxo": "NNP",
    "Glayre": "NNP",
    "Glaze": "VB",
    "Glazed": "VBN",
    "Glazer": "NNP",
    "Glazer-Fine": "NNP",
    "Glazes": "NNS",
    "Glazier": "NNP",
    "Gleacher": "NNP",
    "Gleason": "NNP",
    "Glee": "NN",
    "Gleeson": "NNP",
    "Glemp": "NNP",
    "Glen": "NNP",
    "Glenbrook": "NNP",
    "Glenda": "NNP",
    "Glendale": "NNP",
    "Glendora": "NNP",
    "Glenham": "NNP",
    "Glenn": "NNP",
    "Glenne": "NNP",
    "Glennon": "NNP",
    "Glenview": "NNP",
    "Glick": "NNP",
    "Glickman": "NNP",
    "Gliedman": "NNP",
    "Glimco": "NNP",
    "Glison": "NNP",
    "Glo": "NNP",
    "Global": "NNP|JJ",
    "Globalization": "NNP",
    "Globaliztion": "NN",
    "Globally": "RB",
    "Globe": "NNP",
    "Globe-Democrat": "NNP",
    "Globex": "NNP",
    "Globo": "NNP",
    "Globocnik": "NNP",
    "Glocester": "NNP",
    "Gloeilampenfabrieken": "NNP",
    "Gloom": "NN",
    "Gloomy": "JJ",
    "Gloria": "NNP",
    "Gloriana": "NNP",
    "Glorioso": "NNP",
    "Glorious": "JJ",
    "Glory": "NNP|NN",
    "Glossy": "JJ",
    "Gloucester": "NNP",
    "Glove": "NNP",
    "Glover": "NNP",
    "Gloversville": "NNP",
    "Gloves": "NNP",
    "Glow": "NNP",
    "Glowering": "VBG",
    "Gluck": "NNP",
    "Glucksman": "NNP",
    "Glue": "NN",
    "Glumly": "RB",
    "Glycerinated": "JJ",
    "Glynis": "NNP",
    "Gnu-Emacs": "NNP",
    "Go": "VB|NNP",
    "Go-Go": "NN",
    "Goa": "NNP",
    "Goals": "NNPS",
    "Gobain": "NNP",
    "Gobbee": "NNP",
    "God": "NNP|UH",
    "God-curst": "JJ",
    "God-forsaken": "JJ",
    "God-given": "JJ",
    "Goddammit": "UH",
    "Goddamn": "UH",
    "Goddard": "NNP",
    "Goddess": "NNP",
    "Godfather": "NNP",
    "Godfrey": "NNP",
    "Godiva": "NNP",
    "Godkin": "NNP",
    "Godot": "NNP",
    "Godown": "NNP",
    "Gods": "NNS|NNP",
    "Godspeed": "NN",
    "Godunov": "NNP",
    "Godwin": "NNP",
    "Goebbels": "NNP",
    "Goebel": "NNP",
    "Goering": "NNP",
    "Goes": "VBZ|NNP",
    "Goethe": "NNP",
    "Goetz": "NNP",
    "Goffstein": "NNP",
    "Gog": "NNP",
    "Gogh": "NNP",
    "Gogo": "NNP",
    "Gogol": "NNP",
    "Goh": "NNP",
    "Going": "VBG|NNP",
    "Goizueta": "NNP",
    "Golan": "NNP",
    "Golar": "NNP",
    "Gold": "NNP",
    "Gold-backed": "JJ",
    "Gold-oriented": "JJ",
    "GoldCard": "NNP",
    "Gold/Minerals": "NNP",
    "Golda": "NNP",
    "Goldang": "UH",
    "Goldberg": "NNP",
    "Golden": "NNP|JJ",
    "Goldenberg": "NNP",
    "Goldenthal": "NNP",
    "Goldfein": "NNP",
    "Goldie": "NNP",
    "Goldin": "NNP",
    "Goldinger": "NNP",
    "Goldline": "NNP",
    "Goldman": "NNP",
    "Goldome": "NNP",
    "Goldscheider": "NNP",
    "Goldschmidt": "NNP",
    "Goldsmith": "NNP",
    "Goldstar": "NNP",
    "Goldstein": "NNP",
    "Goldston": "NNP",
    "Goldwag": "NNP",
    "Goldwater": "NNP",
    "Goldwin": "NNP",
    "Goldwyn": "NNP",
    "Golenbock": "NNP",
    "Golf": "NNP",
    "Golfers": "NNP",
    "Goliath": "NNP",
    "Goliaths": "NNS|NNPS",
    "Gollich": "NNP",
    "Gollust": "NNP",
    "Golly": "UH",
    "Golomb": "NNP",
    "Golovanov": "NNP",
    "Goloven": "NNP",
    "Golub": "NNP",
    "Gomel": "NNP",
    "Gomez": "NNP",
    "Gompachi": "NNP",
    "Gon": "VBG",
    "Goncharov": "NNP",
    "Gone": "VBN",
    "Gong": "NNP",
    "Gontran": "NNP",
    "Gonzaga": "NNP",
    "Gonzales": "NNP",
    "Gonzalez": "NNP",
    "Good": "JJ|NNP|UH",
    "Good-by": "UH",
    "Good-bye": "NN|UH",
    "Good-faith": "NN",
    "Goodbody": "NNP",
    "Goodby": "NNP|UH",
    "Goodbye": "NNP|UH",
    "Goodchild": "NNP",
    "Goode": "NNP",
    "Goodfellow": "NNP",
    "Goodfriend": "NNP",
    "Gooding": "NNP",
    "Goodis": "NNP",
    "Goodison": "NNP",
    "Goodkind": "NNP",
    "Goodman": "NNP",
    "Goodrich": "NNP",
    "Goods": "NNP|NNS|NNPS",
    "Goodson": "NNP",
    "Goodwill": "NNP",
    "Goodwills": "NNPS",
    "Goodwin": "NNP",
    "Goody": "UH",
    "Goodyear": "NNP|VBP",
    "Goolick": "NN",
    "Goose": "NNP",
    "Gorbachev": "NNP",
    "Gorbachev-era": "NN",
    "Gorboduc": "NNP",
    "Gorby": "NNP",
    "Gorce": "NNP",
    "Gord": "NNP",
    "Gordan": "NNP",
    "Gordin": "NNP",
    "Gordon": "NNP",
    "Gordon/Pick": "NNP",
    "Gore": "NNP",
    "Gorenstein": "NNP",
    "Gorgeous": "NNP",
    "Gorham": "NNP",
    "Gorilla": "NNP",
    "Gorillas": "NNP|NNS",
    "Goriot": "NNP",
    "Gorky": "NNP",
    "Gorman": "NNP",
    "Gorney": "NNP",
    "Gornto": "NNP",
    "Gorshek": "NNP",
    "Gorshin": "NNP",
    "Gorski": "NNP",
    "Gortari": "NNP",
    "Gorton": "NNP",
    "Gortonists": "NNS|NNPS",
    "Gosbank": "NNP",
    "Gosh": "UH",
    "Gosheim": "NNP",
    "Goshen": "NNP",
    "Gospel": "NNP",
    "Gospel-singer": "NN",
    "Gospelers": "NNS",
    "Gospels": "NNP|NNPS|NNS",
    "Gosplan": "NNP",
    "Gossage": "NNP",
    "Gosset": "NNP",
    "Gossip": "NN",
    "Gossiping": "NNP",
    "Gossips": "NNS",
    "Gossnab": "NNP",
    "Gosson": "NNP",
    "Gostomski": "NNP",
    "Got": "NNP|VBD|VBN",
    "Gotaas-Larsen": "NNP",
    "Gotham": "VB",
    "Gothic": "JJ|NNP",
    "Gothicism": "NNP",
    "Gotlieb": "NNP",
    "Gotschall": "NNP",
    "Gotshal": "NNP",
    "Gott": "FW",
    "Gotta": "NNP|VB",
    "Gotterdammerung": "NNP",
    "Gottesfeld": "NNP",
    "Gottesman": "NNP",
    "Gottfried": "NNP",
    "Gottingen": "NNP",
    "Gottlieb": "NNP",
    "Gottschalk": "NNP",
    "Gottshall": "NNP",
    "Goudsmit": "NNP",
    "Gouge": "VB",
    "Gough": "NNP",
    "Gould": "NNP",
    "Goulde": "NNP",
    "Goulding": "NNP",
    "Gouldings": "NNPS",
    "Gouldoid": "JJ",
    "Goupil": "NNP",
    "Gourlay": "NNP",
    "Gourman": "NNP",
    "Gourmet": "NNP",
    "Gouvernement": "NNP",
    "Gov.": "NNP",
    "Goverman": "NNP",
    "Govern": "VB",
    "Governali": "NNP",
    "Governed": "JJ",
    "Governer": "NNP",
    "Government": "NNP",
    "Government-Sponsored": "NNP",
    "Government-blessed": "JJ",
    "Government-mandated": "JJ",
    "Government-owned": "JJ",
    "Governmental": "NNP",
    "Governments": "NNS|NNP",
    "Governor": "NNP",
    "Governor-General": "NNP",
    "Governors": "NNS|NNP|NNPS",
    "Govett": "NNP",
    "Govette": "NNP",
    "Govs.": "NNP",
    "Goya": "NNP",
    "Goyette": "NNP",
    "Grab": "VB|NN",
    "Grabbing": "VBG",
    "Grabe": "NNP",
    "Grabowiec": "NNP",
    "Grabski": "NNP",
    "Grace": "NNP",
    "Grace-Sierra": "NNP",
    "Graceful": "JJ",
    "Gracias": "FW",
    "Gracie": "NNP",
    "Graciela": "NNP",
    "Grad": "NNP",
    "Gradco": "NNP",
    "Grade": "NNP",
    "Gradison": "NNP",
    "Gradmann": "NNP",
    "Grads": "NNS",
    "Gradual": "JJ",
    "Gradually": "RB",
    "Graduate": "NNP|JJ",
    "Graduate-student": "NN",
    "Graduates": "NNS",
    "Grady": "NNP",
    "Graedel": "NNP",
    "Graeme": "NNP",
    "Graf": "NNP",
    "Graff": "NNP",
    "Grafil": "NNP",
    "Grafin": "NNP",
    "Graft": "NN",
    "Grafton": "NNP",
    "Graham": "NNP",
    "Grahams": "NNPS",
    "Grahamstown": "NNP",
    "Grail": "NNP",
    "Grain": "NN|NNP",
    "Grains": "NNS|NNPS",
    "Grais": "NNP",
    "Gram": "JJ|NNP",
    "Gram-negative": "JJ",
    "Gramercy": "NNP",
    "Gramm": "NNP",
    "Gramm-Rudman": "NNP",
    "Gramm-Rudman-Hollings": "NNP",
    "Grammar": "NNP",
    "Grammophon": "NNP",
    "Grammys": "NNS",
    "Gran": "NNP",
    "Granada": "NNP",
    "Granath": "NNP",
    "Grand": "NNP|FW|JJ",
    "Grand-Clement": "NNP",
    "Grande": "NNP|FW",
    "Grande-Bretagne": "FW|NNP",
    "Grandeur": "NN",
    "Grandis": "NNP",
    "Grandma": "NNP",
    "Grandmother": "NNP",
    "Grandmothers": "NNP",
    "Grandparent": "NNP",
    "Grandparents": "NNP|NNS",
    "Grands": "NNP",
    "Grandsire": "NNP",
    "Grandson": "NNP",
    "Grange": "NNP",
    "Granger": "NNP",
    "Granges": "NNP|NNS",
    "Granin": "NNP",
    "Granite": "NNP",
    "Grannell": "NNP",
    "Grannies": "NNPS",
    "Grannon": "NNP",
    "Granny": "NNP",
    "Grano": "NNP",
    "Grant": "NNP|VB",
    "Granted": "VBN",
    "Granther": "NNP",
    "Grantor": "NNP",
    "Grants": "NNPS",
    "Grants-in-aid": "NNS",
    "Granville": "NNP",
    "Grapefruit": "NNP",
    "Grapes": "NNS|NNP",
    "Graph": "NN",
    "Graphic": "NNP",
    "Graphics": "NNP|NNS|NNPS",
    "Grappelly": "NNP",
    "Grappely": "NNP",
    "Gras": "NNP",
    "Grass": "NNP",
    "Grass-roots": "JJ",
    "Grasslands": "NNPS|NNS",
    "Grassley": "NNP",
    "Grasso": "NNP",
    "Grassy": "NNP",
    "Grateful": "NNP",
    "Gratified": "JJ",
    "Gratt": "NNP",
    "Grattan": "NNP",
    "Graubart": "NNP",
    "Grauer": "NNP",
    "Grauman": "NNP",
    "Gravelle": "NNP",
    "Gravely": "NNP",
    "Graves": "NNP",
    "Gravesend": "NNP",
    "Gravity": "NN|NNP",
    "Gray": "NNP",
    "Grayhound": "NNP",
    "Grayson": "NNP",
    "Graziano": "NNP",
    "Grazie": "NNP",
    "Gre.": "NNP",
    "Greaney": "NNP",
    "Grease": "NN",
    "Greases": "NNS",
    "Greasies": "NNS",
    "Greasy": "JJ",
    "Great": "NNP|JJ",
    "Greater": "NNP|JJR",
    "Greatest": "JJS|NNP",
    "Greatly": "RB",
    "Greatness": "NNP",
    "Grecian": "JJ|NNP",
    "Greco": "NNP",
    "Greece": "NNP",
    "Greed": "NNP|NN",
    "Greedily": "RB",
    "Greek": "JJ|NNP",
    "Greek-Americans": "NNPS",
    "Greek-Canadian": "JJ",
    "Greek-Danish": "NNP",
    "Greek-born": "JJ",
    "Greek-speaking": "JJ",
    "Greekfest": "NNP",
    "Greeks": "NNPS|NNS",
    "Green": "NNP|JJ",
    "Green-labeled": "JJ",
    "Greenall": "NNP",
    "Greenback": "NNP",
    "Greenbelt": "NNP",
    "Greenberg": "NNP",
    "Greenberger": "NNP",
    "Greene": "NNP",
    "Greene/Worldwide": "NNP",
    "Greener": "JJR",
    "Greenery": "NNP",
    "Greenfield": "NNP",
    "Greenhill": "NNP",
    "Greenhouse": "NN",
    "Greeniaus": "NNP",
    "Greening": "NN",
    "Greenland": "NNP",
    "Greenleaf": "NNP",
    "Greenmoss": "NNP",
    "Greenness": "NN",
    "Greenock": "NNP",
    "Greenpeace": "NNP",
    "Greens": "NNP|NNPS|NNS",
    "Greensboro": "NNP",
    "Greenshields": "NNP",
    "Greenspan": "NNP",
    "Greenspon": "NNP",
    "Greenstein": "NNP",
    "Greensville": "NNP",
    "Greentree": "NNP",
    "Greenville": "NNP",
    "Greenwald": "NNP",
    "Greenwich": "NNP",
    "Greenwich-Potowomut": "NNP",
    "Greenwood": "NNP",
    "Greer": "NNP",
    "Greetings": "NNP|NNS",
    "Greg": "NNP",
    "Gregg": "NNP",
    "Gregoire": "NNP",
    "Gregorio": "NNP",
    "Gregorius": "NNP",
    "Gregory": "NNP",
    "Greif": "NNP",
    "Greiff": "NNP",
    "Greifswald": "NNP",
    "Greiner": "NNP",
    "Greisler": "NNP",
    "Grenada": "NNP",
    "Grenadian": "JJ",
    "Grenfell": "NNP",
    "Grenier": "NNP",
    "Grenoble": "NNP",
    "Grenville": "NNP",
    "Gresham": "NNP",
    "Gressette": "NNP",
    "Gretchen": "NNP",
    "Grev.": "NNP",
    "Greve": "NNP",
    "Grevile": "NNP",
    "Greville": "NNP",
    "Grevyles": "NNP",
    "Grew": "VBD",
    "Grey": "NNP",
    "Greyhound": "NNP",
    "Greylag": "NNP",
    "Grgich": "NNP",
    "Gribbin": "NNP",
    "Gribin": "NNP",
    "Grid": "NNP",
    "Gridley": "NNP",
    "Grieco": "NNP",
    "Grien": "NNP",
    "Griesa": "NNP",
    "Grievances": "NNP|NNPS",
    "Griffin": "NNP",
    "Griffin-Byrd": "NNP",
    "Griffith": "NNP",
    "Griffith-Jones": "NNP",
    "Griffith-Joyner": "NNP",
    "Griggs": "NNP",
    "Grigoli": "NNP",
    "Grigori": "NNP",
    "Grigoriy": "NNP",
    "Grigorss": "NNP",
    "Grigory": "NNP",
    "Grigsby": "NNP",
    "Grill": "NNP",
    "Grimaldi": "NNP",
    "Grimes": "NNP",
    "Grimesby": "NNP",
    "Grimm": "NNP",
    "Grindlay": "NNP",
    "Grinevsky": "NNP",
    "Gringo": "NNP|NN",
    "Grinned": "VBD",
    "Grinsfelder": "NNP",
    "Grinten": "NNP",
    "Gripen": "NNP",
    "Gripped": "VBN",
    "Grippo": "NNP",
    "Grips": "NNS",
    "Gris": "NNP",
    "Grisebach": "NNP",
    "Griselda": "NNP",
    "Grisha-class": "JJ",
    "Grishaw-Mueller": "NNP",
    "Grisoni": "NNP",
    "Grist": "NNP",
    "Griston": "NNP",
    "Griswold": "NNP",
    "Grits": "NNP",
    "Gritten": "NNP",
    "Grizzlies": "NNS",
    "Gro": "NNP",
    "Gro-Lites": "NNPS",
    "Groat": "NNP",
    "Groben": "NNP",
    "Grobstein": "NNP",
    "Grocer": "NNP",
    "Grocery": "NNP",
    "Grodnik": "NNP",
    "Groep": "NNP",
    "Groff": "NNP",
    "Groggins": "NNP",
    "Grohl": "NNP",
    "Grohowski": "NNP",
    "Grolier": "NNP",
    "Gromov": "NNP",
    "Groom": "NNP",
    "Grooms": "NNP",
    "Groopman": "NNP",
    "Groot": "NNP",
    "Gross": "NNP|JJ",
    "Grosse": "NNP",
    "Grosset": "NNP",
    "Grossinger": "NNP",
    "Grossman": "NNP",
    "Grossner": "NNP",
    "Grosvenor": "NNP",
    "Grote": "NNP",
    "Groth": "NNP",
    "Groton": "NNP",
    "Groucho": "NNP",
    "Ground": "NNP",
    "Grounds": "NNPS",
    "Groundwater": "NNP",
    "Group": "NNP",
    "Group-of-Seven": "NN",
    "Group/Business": "NNP",
    "Groupe": "NNP",
    "Groupement": "NNP",
    "Groups": "NNS|NNPS",
    "Groused": "VBD",
    "Grove": "NNP",
    "Grove/Weidenfeld": "NN",
    "Grover": "NNP",
    "Grovers": "NNP",
    "Groves": "NNP",
    "Grow": "NNP|VB",
    "Growers": "NNPS",
    "Growing": "VBG",
    "Grows": "VBZ",
    "Growth": "NN|NNP",
    "Grubb": "NNP",
    "Gruber": "NNP",
    "Gruberova": "NNP",
    "Grubman": "NNP",
    "Grudges": "NNS",
    "Gruene": "NNP",
    "Gruller": "NNP",
    "Grumble": "NNP",
    "Grumbled": "VBD",
    "Grumman": "NNP",
    "Grunberg": "NNP",
    "Grundfest": "NNP",
    "Grune": "NNP",
    "Grunfeld": "NNP",
    "Grunnfeu": "NNP",
    "Gruntal": "NNP",
    "Grupo": "NNP",
    "Gruppe": "NNP",
    "Grusin": "NNP",
    "Gruss": "NNP",
    "Grzesiak": "NNP",
    "Gtech": "NNP",
    "Guadalajara": "NNP",
    "Guadalcanal": "NNP",
    "Guadalupe": "NNP",
    "Guadalupes": "NNPS",
    "Guadeloupe": "NNP",
    "Guam": "NNP",
    "Guandong": "NNP",
    "Guangdong": "NNP",
    "Guar": "JJ",
    "Guarana": "NNP",
    "Guarantee": "NN|NNP",
    "Guaranteed": "VBN|NNP|JJ",
    "Guaranty": "NNP",
    "Guarascio": "NNP",
    "Guard": "NNP|VB",
    "Guardia": "NNP",
    "Guardian": "NNP",
    "Guardini": "NNP",
    "Guardino": "NNP",
    "Guards": "NNPS",
    "Guardsmen": "NNPS",
    "Guarini": "NNP",
    "Guatemala": "NNP",
    "Guatemalan": "JJ|NNP",
    "Guber": "NNP",
    "Guber-Peter": "NNP",
    "Guber-Peters": "NNP|NNS|JJ",
    "Guber/Peters": "NNP",
    "Gubers": "NNP",
    "Gucci": "NNP",
    "Guccione": "NNP",
    "Guderian": "NNP",
    "Guenter": "NNP",
    "Guerbet": "NNP",
    "Guerin": "NNP",
    "Guerneville": "NNP",
    "Guerrilla": "NN",
    "Guerrillas": "NNPS|NNS",
    "Guess": "NNP|VBP",
    "Guesstimates": "NNS",
    "Guest": "NNP",
    "Guests": "NNS",
    "Guevara": "NNP",
    "Guffey": "NNP",
    "Guggenheim": "NNP",
    "Guglielmo": "NNP",
    "Guiana": "NNP",
    "Guidance": "NN|NNP",
    "Guide": "NNP",
    "Guidelines": "NNS",
    "Guideposts": "NNPS",
    "Guides": "NNPS|NNS|NNP",
    "Guidi": "NNP",
    "Guido": "NNP",
    "Guiftes": "NNS",
    "Guigal": "NNP",
    "Guignol": "NNP",
    "Guild": "NNP",
    "Guildford": "NNP",
    "Guilford": "NNP",
    "Guilford-Martin": "NNP",
    "Guilherme": "NNP",
    "Guilin": "NNP",
    "Guillaume": "NNP",
    "Guillermin": "NNP",
    "Guillermo": "NNP",
    "Guimet": "NNP",
    "Guinea": "NNP",
    "Guinness": "NNP",
    "Guiseppe": "NNP",
    "Guitar": "NNP",
    "Guitarist": "NNP",
    "Guizot": "NNP",
    "Gujarat": "NNP|NN",
    "Gulag": "NNP",
    "Gulbuddin": "NNP",
    "Gulch": "NNP",
    "Gulf": "NNP",
    "Gulfstream": "NNP",
    "Gulick": "NNP",
    "Gullah": "NNP",
    "Gulliver": "NNP",
    "Gumbel": "NNP",
    "Gumbel/Walt": "NNP",
    "Gumi": "NNP",
    "Gumkowski": "NNP",
    "Gummi-Werke": "NNP",
    "Gump": "NNP",
    "Gumpel": "NNP",
    "Gumport": "NNP",
    "Gums": "NNS",
    "Gumucio": "NNP",
    "Gun": "NNP",
    "Gunder": "NNP",
    "Gundle": "NNP",
    "Gundy": "NNP",
    "Gunfire": "NN",
    "Gunlocke": "NNP",
    "Gunmen": "NNS",
    "Gunnar": "NNP",
    "Gunner": "NNP",
    "Gunny": "NNP",
    "Guns": "NNS|NNP",
    "Gunter": "NNP",
    "Gunther": "NNP",
    "Gunthrop-Warren": "NNP",
    "Gunton": "NNP",
    "Guofeng": "NNP",
    "Guppy": "NNP",
    "Gupta": "NNP",
    "Gur": "NNP",
    "Guralnick": "NNP",
    "Gurion": "NNP",
    "Gurkhas": "NNP",
    "Gurla": "NNP",
    "Gurria": "NNP",
    "Gursel": "NNP",
    "Gurtz": "NNP",
    "Gurus": "NNS",
    "Gus": "NNP",
    "Gustaf": "NNP",
    "Gustafson": "NNP",
    "Gustafsson": "NNP",
    "Gustav": "NNP",
    "Gustave": "NNP",
    "Gustavo": "NNP",
    "Gustavus": "NNP",
    "Guste": "NNP",
    "Gute": "FW",
    "Gutenberghus": "NNP",
    "Guterman": "NNP",
    "Gutermann": "NNP",
    "Gutfeld": "NNP",
    "Gutfreund": "NNP",
    "Gutfreund-Postel": "NNP",
    "Gutfreunds": "NNPS",
    "Guth": "NNP",
    "Guthman": "NNP",
    "Guthrie": "NNP",
    "Guttmacher": "NNP",
    "Guttman": "NNP",
    "Guttman-type": "JJ",
    "Gutwein": "NNP",
    "Gutzon": "NNP",
    "Guy": "NNP",
    "Guyana": "NNP",
    "Guyon": "NNP",
    "Guys": "NNS",
    "Guzewich": "NNP",
    "Guzman": "NNP",
    "Guzzi": "NNP",
    "Gwen": "NNP",
    "Gwendolyn": "NNP",
    "Gwyn": "NNP",
    "Gyi": "NNP",
    "Gyllensten": "NNP",
    "Gymnasium": "NNP",
    "Gynecologists": "NNS",
    "Gyp": "NNP",
    "Gypsum": "NNP",
    "Gypsy": "NN",
    "Gyrocompass": "NN",
    "Gyula": "NNP",
    "H": "NNP|LS",
    "H&M": "NNP",
    "H&Q": "NNP",
    "H&R": "NNP",
    "H-2": "NNP",
    "H-P": "NNP",
    "H.": "NNP",
    "H.A.": "NNP",
    "H.C.": "NNP",
    "H.E.": "NNP",
    "H.F.": "NNP",
    "H.G.": "NNP",
    "H.H.": "NNP",
    "H.J.": "NNP",
    "H.K.": "NNP",
    "H.L.": "NNP",
    "H.M.": "NNP",
    "H.M.S.": "NNP",
    "H.M.S.S": "NNP",
    "H.M.S.S.": "NNP",
    "H.N.": "NNP",
    "H.P.R.": "NNP",
    "H.R.": "NNP",
    "H.S.": "NNP",
    "H.T.": "NNP",
    "H.V.": "NNP",
    "H.W.": "NNP",
    "H/NNP.A.": "NN",
    "H2Owner": "NNP",
    "HAD": "VBD",
    "HAL": "NNP",
    "HALE": "NNP",
    "HALT": "NNP",
    "HANDICAPPED": "VBN",
    "HANNIFIN": "NNP",
    "HANOVER": "NNP",
    "HAPPY": "JJ",
    "HARD": "JJ",
    "HAS": "VBZ",
    "HASTINGS": "NNP",
    "HATS": "NNS",
    "HAWLEY": "NNP",
    "HBJ": "NNP",
    "HBO": "NNP",
    "HCA": "NNP",
    "HCC": "NNP",
    "HCF": "NNP",
    "HCFA": "NNP",
    "HCFCs": "NNS",
    "HCS": "NNP",
    "HD": "NNP",
    "HDI": "NNP",
    "HDM": "NNP",
    "HDTV": "NN|NNP",
    "HDTV-screen": "JJ",
    "HDTVs": "NNS",
    "HE": "PRP",
    "HEADED": "VBD",
    "HEALTH": "NN|NNP",
    "HEALTH-CARE": "NN",
    "HEALTHDYNE": "NNP",
    "HEALTHY": "JJ",
    "HEARS": "VBZ",
    "HEAVY": "JJ",
    "HEFTY": "NNP",
    "HEI": "NNP",
    "HELD": "VBD",
    "HELPS": "VBZ",
    "HENRI": "NNP",
    "HENRY": "NNP",
    "HERITAGE": "NNP",
    "HERO": "NN",
    "HERS": "NNP",
    "HEUBLEIN": "NNP",
    "HEWLETT-PACKARD": "NNP",
    "HEXCEL": "NNP",
    "HEXX": "NNP",
    "HEYNOW": "NNP",
    "HF": "NNP",
    "HFC": "NNP",
    "HG": "NNP",
    "HHS": "NNP",
    "HI": "NNP",
    "HIAA": "NNP",
    "HIB": "NNP",
    "HIGH": "NNP|JJ",
    "HIGH-SCHOOL": "NN",
    "HIGHER": "JJR",
    "HIGHEST": "JJS",
    "HILLS": "NNP",
    "HIRING": "NN|VBG",
    "HIS": "NNP|JJ|PRP$",
    "HISPANIC": "JJ",
    "HIV": "NNP",
    "HIV-1": "NNP",
    "HIV-infected": "JJ|VBN",
    "HIV-related": "JJ",
    "HIV/AIDS": "JJ",
    "HK": "NNP",
    "HK$": "$",
    "HLR": "NNP",
    "HLTs": "NNS",
    "HM": "NNP",
    "HMA": "NNP",
    "HMOs": "NNP",
    "HMS": "NNP",
    "HMSS": "NNP",
    "HN": "NNP",
    "HNSX": "NNP",
    "HOBBY": "NN",
    "HOCKEY": "NN",
    "HOFI": "NNP",
    "HOLD": "VB",
    "HOLDING": "NNP",
    "HOLDINGS": "NNPS",
    "HOLIDAY": "NNP",
    "HOLLYWOOD": "NNP",
    "HOME": "NNP",
    "HOME-SALE": "JJ",
    "HOMEOWNERS": "NNS",
    "HOMESTAKE": "NNP",
    "HOMESTEAD": "NNP",
    "HONECKER": "NNP",
    "HOPE": "VBP",
    "HOPES": "NNS|VBZ",
    "HOSPITALS": "NNS",
    "HOT": "NNP|JJ",
    "HOTEL": "NNP",
    "HOTELS": "NNPS",
    "HOUSE": "NNP",
    "HOUSTON": "NNP",
    "HOUSTON-CALGARY": "NNP",
    "HP": "NNP",
    "HPB": "NNP",
    "HRB": "NNP",
    "HRE": "NNP",
    "HRH": "NNP",
    "HRT": "NNP",
    "HUD": "NNP",
    "HUD-backed": "JJ",
    "HUD-related": "JJ",
    "HUD-subsidized": "JJ",
    "HUD-supervised": "JJ",
    "HUDSON": "NNP",
    "HUGO": "NNP",
    "HUH": "NNP",
    "HUNGARY": "NNP",
    "HUNTING": "NN|VBG",
    "HUNTLEY": "NNP",
    "HURRICANE": "NNP",
    "HUSBANDS": "NNS",
    "HUTTON": "NNP",
    "HYATT": "NNP",
    "Ha": "NNP|UH",
    "Haack": "NNP",
    "Haaek": "NNP",
    "Haag": "NNP",
    "Haagen": "NNP",
    "Haagen-Dazs": "NNP",
    "Haake": "NNP",
    "Haan": "NNP",
    "Haarlem": "NNP",
    "Haas": "NNP",
    "Haase": "NNP",
    "Haavelmo": "NNP",
    "Habeas": "FW",
    "Haber": "NNP",
    "Haberle": "NNP",
    "Habib": "NNP",
    "Habicht": "NNP",
    "Habitat": "NNP",
    "Habla": "NNP",
    "Habomai": "NNP",
    "Habsburg": "NNP",
    "Hacche": "NNP",
    "Hachette": "NNP",
    "Hachiya": "NNP",
    "Hachiyas": "NNPS",
    "Hachuel": "NNP",
    "Hacienda": "NNP",
    "Hack": "NNP",
    "Hackel": "NNP",
    "Hackensack": "NNP",
    "Hackett": "NNP",
    "Hackettstown": "NNP",
    "Hacking": "VBG",
    "Hackman": "NNP",
    "Hackmann": "NNP",
    "Hackney": "NNP",
    "Hacksaw": "NNP",
    "Hackstaff": "NNP",
    "Had": "VBD|NNP|VBN",
    "Hadassah": "NNP",
    "Haddad": "NNP",
    "Haddix": "NNP",
    "Haden": "NNP",
    "Hadera": "NNP",
    "Hadhazy": "NNP",
    "Hadley": "NNP",
    "Hadrian": "NNP",
    "Hadson": "NNP",
    "Haementeria": "FW",
    "Haestier": "NNP",
    "Hafer": "NNP",
    "Haferkamp": "NNP",
    "Hafetz": "NNP",
    "Hafez": "NNP",
    "Hafif": "NNP",
    "Hafiz": "NNP",
    "Hafner": "NNP",
    "Hage": "NNP",
    "Hagen": "NNP",
    "Hager": "NNP",
    "Hagerty": "NNP",
    "Haggard": "NNP",
    "Hagner": "NNP",
    "Hagood": "NNP",
    "Hagoshrim": "NNP",
    "Hague": "NNP",
    "Hagura": "NNP",
    "Hahn": "NNP",
    "Hahnemann": "NNP",
    "Haig": "NNP",
    "Haight": "NNP",
    "Haigler": "NNP",
    "Haijac": "NNP",
    "Hail": "NNP",
    "Haile": "NNP",
    "Hainan": "NNP",
    "Haines": "NNP",
    "Hair": "NN",
    "Haislip": "NNP",
    "Haislmaier": "NNP",
    "Haiti": "NNP",
    "Haitian": "JJ",
    "Hajak": "NNP",
    "Hajime": "NNP",
    "Hakim": "NNP",
    "Hakko": "NNP",
    "Hakuhodo": "NNP",
    "Hal": "NNP",
    "Halas": "NNP",
    "Halcion": "NNP",
    "Halda": "NNP",
    "Haldeman": "NNP",
    "Hale": "NNP|JJ",
    "Halebian": "NNP",
    "Half": "NN|PDT|NNP|RB",
    "half": "NN|PDT|RB",
    "Half-man": "JJ",
    "Half-time": "JJ",
    "Half-year": "JJ",
    "Halfback": "NNP",
    "Halfway": "RB",
    "Haliburton": "NNP",
    "Halis": "NNP",
    "Halkett": "NNP",
    "Hall": "NNP",
    "Hall-Mills": "NNP",
    "Hallador": "NNP",
    "Hallbauer": "NNP",
    "Halle": "NNP",
    "Halleck": "NNP",
    "Hallelujah": "NNP",
    "Hallett": "NNP",
    "Halliburton": "NNP",
    "Hallingby": "NNP",
    "Hallman": "NNP",
    "Hallmark": "NNP",
    "Halloran": "NNP",
    "Halloween": "NNP",
    "Hallowell": "NNP",
    "Halls": "NNP",
    "Hallucigenia": "NNP",
    "Hallwood": "NNP",
    "Halma": "NNP",
    "Halo": "NNP",
    "Halperin": "NNP",
    "Halpern": "NNP",
    "Halprin": "NNP",
    "Hals": "NNP",
    "Halsey": "NNP",
    "Halsmuseum": "NNP",
    "Halstead": "NNP",
    "Halsted": "NNP",
    "Halting": "VBG",
    "Halva-Neubauer": "NNP",
    "Ham": "NNP",
    "Hama": "NNP",
    "Hama-style": "JJ",
    "Hamakua": "NN",
    "Hambrecht": "NNP",
    "Hambric": "NNP",
    "Hambros": "NNP",
    "Hamburg": "NNP",
    "Hamburger": "NN|NNP",
    "Hamburgers": "NNP|NNS",
    "Hamer": "NNP",
    "Hamey": "NNP",
    "Hamilton": "NNP",
    "Hamilton-Dorgan": "NNP",
    "Hamilton-oriented": "JJ",
    "Hamiltonian": "JJ",
    "Hamiltonians": "NNPS",
    "Hamish": "NNP",
    "Hamlet": "NNP",
    "Hamlin": "NNP",
    "Hamm": "NNP",
    "Hammacher": "NNP",
    "Hammack": "NNP",
    "Hammacks": "NNP|NNPS",
    "Hammarskjold": "NNP",
    "Hammer": "NNP",
    "Hammers": "VBZ",
    "Hammerschmidt": "NNP",
    "Hammersla": "NNP",
    "Hammersmith": "NNP",
    "Hammerstein": "NNP",
    "Hammerton": "NNP",
    "Hammett": "NNP",
    "Hammond": "NNP",
    "Hammons": "NNP",
    "Hampshire": "NNP",
    "Hampster": "NNP",
    "Hampton": "NNP",
    "Hamrick": "NNP",
    "Han": "NNP",
    "Hanao": "NNP",
    "Hanaspur": "NNP",
    "Hanauer": "NNP",
    "Hanch": "NNP",
    "Hancock": "NNP",
    "Hand": "NN|VB|NNP",
    "Hand-holding": "NN",
    "Handbook": "NN|NNP",
    "Handel": "NNP",
    "Handels": "NNP",
    "Handelsbank": "NNP",
    "Handelsbanken": "NNP",
    "Handelsman": "NNP",
    "Handguns": "NNS",
    "Handicapped": "NNP",
    "Handing": "VBG",
    "Handle": "VB",
    "Handled": "VBN",
    "Handler": "NNP",
    "Handlers": "NNP|NNS",
    "Handley": "NNP",
    "Handling": "VBG",
    "Handmade": "NNP",
    "Handmaid": "NNP",
    "Hands": "NNP|NNPS|NNS",
    "Hands-off": "JJ",
    "Hands-on": "JJ",
    "Handsome": "JJ|NNP",
    "Handsomest": "JJS",
    "Handstands": "NNS",
    "Handy": "NNP",
    "Handyman": "NNP",
    "Handzlik": "NNP",
    "Hanes": "NNP",
    "Haney": "NNP",
    "Hanford": "NNP",
    "Hanfsaengl": "NNP",
    "Hanft": "NNP",
    "Hang": "NNP|VB",
    "Hanging": "VBG",
    "Hangman": "NNP",
    "Hani": "NNP",
    "Hanifen": "NNP",
    "Hank": "NNP",
    "Hanks": "NNP",
    "Hanley": "NNP",
    "Hanlon": "NNP",
    "Hann": "NNP",
    "Hannah": "NNP",
    "Hannam": "NNP",
    "Hannes": "NNP",
    "Hannibal": "NNP",
    "Hannifin": "NNP",
    "Hannon": "NNP",
    "Hannover": "NNP",
    "Hanoi": "NNP",
    "Hanoi-backed": "JJ",
    "Hanover": "NNP",
    "Hanover-Bertie": "NNP",
    "Hanover-Ceyway": "NNP",
    "Hanover-Chalidale": "NNP",
    "Hanover-Justitia": "NNP",
    "Hanover-Lucy": "NNP",
    "Hanover-Mauri": "NNP",
    "Hanover-Misty": "NNP",
    "Hanover-Pebble": "NNP",
    "Hanover-Precious": "NNP",
    "Hanover-Sally": "NNP",
    "Hanover-Supermarket": "NNP",
    "Hanoverian": "NNP|JJ",
    "Hans": "NNP",
    "Hans-Dietrich": "NNP",
    "Hans-Peter": "NNP",
    "Hans-Ulrich": "NNP",
    "HansGeorg": "NNP",
    "Hansen": "NNP",
    "Hanshin": "NNP",
    "Hansmann": "NNP",
    "Hanson": "NNP",
    "Hanukkah": "NNP",
    "Hanwa": "NNP",
    "Haole": "FW",
    "Hap": "NNP",
    "Hapgood": "NNP",
    "Hapoalim": "NNP",
    "Happened": "VBD|VBN",
    "Happens": "VBZ",
    "Happily": "RB",
    "Happiness": "NN|NNP",
    "Happy": "JJ|NNP",
    "Hapsburg": "NNP",
    "Haqvin": "NNP",
    "Har-Lev": "NNP",
    "Hara": "NNP",
    "Harapiak": "NNP",
    "Harassed": "JJ",
    "Harassment": "NN",
    "Harbanse": "NNP",
    "Harbert": "NNP",
    "Harbison": "NNP",
    "Harbor": "NNP",
    "Harbor/Save": "NNP",
    "Harbors": "NNPS",
    "Harbour": "NNP",
    "Harbridge": "NNP",
    "Harburg": "NNP",
    "Harch": "NNP",
    "Harco": "NNP",
    "Harcourt": "NNP",
    "Hard": "NNP|JJ|RB",
    "Hard-Hearted": "NNP",
    "Hard-Line": "JJ",
    "Hard-hitting": "JJ",
    "Hard-surface": "JJ",
    "Hardart": "NNP",
    "Hardball": "NNP",
    "Hardee": "NNP",
    "Hardest": "RBS|JJS",
    "Hardiman": "NNP",
    "Harding": "NNP",
    "Hardings": "NNPS",
    "Hardis": "NNP",
    "Hardly": "RB",
    "Hardscrabble": "NNP",
    "Hardshell": "NNP",
    "Hardware": "NNP",
    "Hardwick": "NNP",
    "Hardwicke": "NNP",
    "Hardwicke-Etter": "NNP",
    "Hardy": "NNP",
    "Hare": "NNP",
    "Harel": "NNP",
    "Harford": "NNP",
    "Hargett": "NNP",
    "Hargitay": "NNP",
    "Hargrave": "NNP",
    "Hargrove": "NNP",
    "Hark": "NNP",
    "Harken": "NNP",
    "Harkess": "NNP",
    "Harkin": "NNP",
    "Harkins": "NNP",
    "Harkinson": "NNP",
    "Harlan": "NNP",
    "Harlan-Hickory": "NNP",
    "Harlan-Marcia": "NNP",
    "Harland": "NNP",
    "Harlem": "NNP|JJ",
    "Harlequins": "NNPS",
    "Harley": "NNP",
    "Harley-Davidson": "NNP",
    "Harlin": "NNP",
    "Harlingen": "NNP",
    "Harlow": "NNP",
    "Harm": "NNP",
    "Harman": "NNP",
    "Harmas": "NNP",
    "Harmful": "JJ",
    "Harmless": "JJ",
    "Harmon": "NNP",
    "Harmonia": "NNP",
    "Harmonizing": "NNP",
    "Harmony": "NNP",
    "Harms": "NNP",
    "Harnack": "NNP",
    "Harnessing": "VBG",
    "Harnick": "NNP",
    "Harnischfeger": "NNP",
    "Haro": "NNP",
    "Harold": "NNP",
    "Harpener": "NNP",
    "Harper": "NNP",
    "Harperner": "NNP",
    "Harpers": "NNP",
    "Harpo": "NNP",
    "Harpoon": "NNP",
    "Harrah": "NNP",
    "Harrell": "NNP",
    "Harrier": "NNP",
    "Harriers": "NNPS",
    "Harriet": "NNP",
    "Harrigan": "NNP",
    "Harriman": "NNP",
    "Harrington": "NNP",
    "Harris": "NNP",
    "Harrisburg": "NNP",
    "Harrison": "NNP",
    "Harriton": "NNP",
    "Harrity": "NNP",
    "Harro": "UH",
    "Harrold": "NNP",
    "Harrow": "NNP",
    "Harrows": "NNPS",
    "Harry": "NNP",
    "Harsco": "NNP",
    "Hart": "NNP",
    "Hart-Scott": "NNP",
    "Hart-Scott-Rodino": "NNP|JJ",
    "Harte-Hanks": "NNP",
    "Hartfield-Zodys": "NNP",
    "Hartford": "NNP",
    "Hartford-based": "JJ",
    "Hartford/Springfield": "NNP",
    "Hartigan": "NNP",
    "Hartley": "NNP",
    "Hartley-Leonard": "NNP",
    "Hartlib": "NNP",
    "Hartman": "NNP",
    "Hartmarx": "NNP",
    "Hartnett": "NNP",
    "Hartselle": "NNP",
    "Hartsfield": "NNP",
    "Hartt": "NNP",
    "Hartung": "NNP",
    "Hartweger": "NNP",
    "Hartwell": "NNP",
    "Harty": "NNP",
    "Hartz": "NNP",
    "Hartzog": "NNP",
    "Haruki": "NNP",
    "Haruo": "NNP",
    "Haruyuki": "NNP",
    "Harvard": "NNP",
    "Harve": "NNP",
    "Harvest": "NNP",
    "Harvester": "NNP",
    "Harvesting": "NN",
    "Harvey": "NNP",
    "Harveys": "NNPS",
    "Harvie": "NNP",
    "Harwood": "NNP",
    "Has": "VBZ|NNP",
    "Hasbro": "NNP",
    "Hasbrouck": "NNP",
    "Hasbrouk": "NNP",
    "Haselhoff": "NNP",
    "Hasenauer": "NNP",
    "Hash": "NNP",
    "Hashers": "NNS",
    "Hashidate": "NNP",
    "Hashimoto": "NNP",
    "Hashing": "NN|NNP",
    "Hasidic": "JJ",
    "Haskayne": "NNP",
    "Haskell": "NNP",
    "Haskin": "NNP",
    "Haskins": "NNP",
    "Hassan": "NNP",
    "Hasse": "NNP",
    "Hasseltine": "NNP",
    "Hassenberg": "NNP",
    "Hassenfeld": "NNP",
    "Hassenfelt": "NNP",
    "Hassey": "NNP",
    "Haste": "NN",
    "Hastening": "VBG",
    "Hastert": "NNP",
    "Hastily": "RB",
    "Hasting": "NNP",
    "Hastings": "NNP",
    "Hastings-on-Hudson": "NNP",
    "Hat": "NNP",
    "Hatakeyama": "NNP",
    "Hatch": "NNP",
    "Hatched": "VBN",
    "Hatchet": "NNP",
    "Hatchett": "NNP",
    "Hatching": "NNP",
    "Hatfield": "NNP",
    "Hathaway": "NNP",
    "Hathcock": "NNP",
    "Hating": "VBG",
    "Hatless": "JJ",
    "Hatred": "NN",
    "Hatteras": "NNP",
    "Hatters": "NNP",
    "Hattie": "NNP",
    "Hattiesburg": "NNP",
    "Hatton": "NNP",
    "Hattori": "NNP",
    "Hauer": "NNP",
    "Haugh": "NNP",
    "Haughey": "NNP",
    "Haughton": "NNP",
    "Hauling": "VBG",
    "Haumd": "NNP",
    "Haun": "NNP",
    "Hauptman": "NNP",
    "Haupts": "NNP",
    "Hauser": "NNP",
    "Hausman": "NNP",
    "Haussmann": "NNP",
    "Haut": "NNP",
    "Haut-Brion": "NNP",
    "Havana": "NNP",
    "Have": "VBP|NNP",
    "Havel": "NNP",
    "Haven": "NNP",
    "Havens": "NNP",
    "Haverfield": "NNP",
    "Haverhill": "NNP",
    "Havilland": "NNP",
    "Having": "VBG|NNP",
    "Havisham": "NNP",
    "Haw": "UH",
    "Hawaii": "NNP|NNS",
    "Hawaiian": "JJ|NNP|NNPS",
    "Hawaiian-Americans": "NNPS",
    "Hawaiian/Japanese": "JJ",
    "Hawes": "NNP",
    "Hawesville": "NNP",
    "Hawk": "NNP",
    "Hawke": "NNP",
    "Hawker": "NNP",
    "Hawkes": "NNP",
    "Hawking": "NNP",
    "Hawkins": "NNP",
    "Hawkinses": "NNPS",
    "Hawks": "NNPS|NNS",
    "Hawksley": "NNP",
    "Hawksworth": "NNP",
    "Hawley": "NNP",
    "Hawn": "NNP",
    "Haworth": "NNP",
    "Hawthorne": "NN|NNP",
    "Hay": "NNP",
    "Hayasaka": "NNP",
    "Hayden": "NNP",
    "Haydn": "NNP",
    "Haydon": "NNP",
    "Hayek": "NNP",
    "Hayes": "NNP",
    "Hayeses": "NNPS",
    "Haying": "NN",
    "Hayne": "NNP",
    "Haynes": "NNP",
    "Haynie": "NNP",
    "Hays": "NNP",
    "Hayter": "NNP",
    "Hayward": "NNP",
    "Haywood": "NNP",
    "Hazard": "NNP",
    "Hazardous": "JJ",
    "Hazards": "NNS",
    "Hazel": "NNP",
    "Hazell": "NNP",
    "Hazeltine": "NNP",
    "Hazelwood": "NNP",
    "Hazlett": "NNP",
    "Hazlitt": "NNP",
    "Hazy": "NNP",
    "Hazzard": "NNP",
    "He": "PRP|NNP",
    "Head": "NNP",
    "Headed": "VBN",
    "Heading": "VBG",
    "Headland": "NNP",
    "Headley": "NNP",
    "Headline": "NNP",
    "Headlines": "NNS",
    "Headly": "NNP",
    "Headquarters": "NNP|NNS",
    "Headrests": "NNS",
    "Heads": "NNS|NNPS",
    "Heady": "JJ|NNP",
    "Healey": "NNP",
    "Health": "NNP",
    "Health-Chem": "NNP",
    "Health-care": "JJ",
    "Health-insurance": "NN",
    "HealthAmerica": "NNP",
    "HealthCare": "NNP",
    "HealthVest": "NNP|JJS",
    "Healthcare": "NNP|JJ",
    "Healthco": "NNP",
    "Healthdyne": "NNP",
    "Healthier": "JJR",
    "Healthsource": "NNP",
    "Healthvest": "NNP",
    "Healthy": "JJ",
    "Healy": "NNP",
    "Hear": "VB",
    "Heard": "VBN|NNP",
    "Hearing": "VBG|NNP",
    "Hearings": "NNS",
    "Hearn": "NNP",
    "Hearst": "NNP",
    "Heart": "NNP",
    "Heart-measuring": "JJ",
    "Heartburn": "NNP",
    "Heartland": "NNP",
    "Hearts": "NNPS",
    "Heartwise": "NNP",
    "Heat": "NNP|NN",
    "Heath": "NNP",
    "Heather": "NNP",
    "Heatherington": "NNP",
    "Heathrow": "NNP",
    "Heating": "NN|NNP|VBG",
    "Heatwole": "NNP",
    "Heave": "VB",
    "Heaven": "NNP|UH",
    "Heavenly": "NNP|JJ",
    "Heavily": "RB",
    "Heavy": "NNP|JJ",
    "Heavy-coated": "JJ",
    "Heber": "NNP",
    "Hebert": "NNP",
    "Heberto": "NNP",
    "Hebraic": "JJ",
    "Hebrew": "NNP",
    "Hebrews": "NNPS",
    "Hebron": "NNP",
    "Hecht": "NNP",
    "Heck": "NNP",
    "Heckman": "NNP",
    "Hecla": "NNP",
    "Hector": "NNP",
    "Hedda": "NNP",
    "Hedding": "NNP",
    "Hedge": "NNP",
    "Hedges": "NNP",
    "Hedison": "NNP",
    "Hedman": "NNP",
    "Hedquist": "NNP",
    "Hedrick": "NNP",
    "Hee": "UH|NNP",
    "Heebner": "NNP",
    "Heed": "VB",
    "Heeding": "VBG",
    "Heel-Beryl": "NNP",
    "Heel-Betty": "NNP",
    "Heel-Holiday": "NNP",
    "Heel-Kaola": "NNP",
    "Heel-Lotus": "NNP",
    "Heel-Miracle": "NNP",
    "Heel-Terka": "NNP",
    "Heels": "NNS",
    "Heem": "NNP",
    "Heenan": "NNP",
    "Heerden": "NNP",
    "Hees": "NNP",
    "Heffer": "NNP",
    "Heffernan": "NNP",
    "Heffner": "NNP",
    "Heflin": "NNP",
    "Hefner": "NNP",
    "Hefter": "NNP",
    "Hegel": "NNP",
    "Hegelian": "NNP",
    "Heidegger": "NNP",
    "Heidelberg": "NNP",
    "Heideman": "NNP",
    "Heidenstam": "NNP",
    "Heidi": "NNP",
    "Heidrick": "NNP",
    "Heifetz": "NNP",
    "Heigh-ho": "UH",
    "Height": "NN",
    "Heightened": "JJ",
    "Heights": "NNP|NNPS",
    "Heikes": "NNP",
    "Heiko": "NNP",
    "Heilbron": "NNP",
    "Heileman": "NNP",
    "Heilman": "NNP",
    "Heimbold": "NNP",
    "Heimers": "NNP",
    "Hein": "NNP",
    "Heinbockel": "NNP",
    "Heine": "NNP",
    "Heineken": "NNP",
    "Heinemann": "NNP",
    "Heinhold": "NNP",
    "Heinkel": "NNP",
    "Heinrich": "NNP",
    "Heintze": "NNP",
    "Heinz": "NNP",
    "Heinze": "NNP",
    "Heinzes": "NNPS",
    "Heisbourg": "NNP",
    "Heisch": "NNP",
    "Heiser": "NNP",
    "Heitman": "NNP",
    "Heitschmidt": "NNP",
    "Heiwa": "NNP",
    "Heiwado": "NNP",
    "Hekhmatyar": "NNP",
    "Helaba": "NNP",
    "Helane": "NNP",
    "Held": "VBN|VBD",
    "Heldring": "NNP",
    "Helen": "NNP",
    "Helena": "NNP",
    "Helene": "NNP",
    "Helfman": "NNP",
    "Helga": "NNP",
    "Helibor": "NN",
    "Helicopter": "NNP",
    "Helicopters": "NNPS|NNP",
    "Helion": "NNP",
    "Helionetics": "NNP",
    "Heliopolis": "NNP",
    "Helix": "NNP",
    "Hell": "UH|NNP",
    "Hellene": "NNP",
    "Hellenic": "NNP|JJ",
    "Heller": "NNP",
    "Hellfire": "NNP",
    "Helliesen": "NNP",
    "Hellinger": "NNP",
    "Hellisen": "NNP",
    "Hellman": "NNP",
    "Hello": "UH",
    "Hells": "NNP",
    "Helm": "NNP",
    "Helmerich": "NNP",
    "Helmet": "NN",
    "Helms": "NNP",
    "Helmsley": "NNP",
    "Helmsley-Spear": "NNP",
    "HelmsleySpear": "NNP",
    "Helmut": "NNP",
    "Helmuth": "NNP",
    "Help": "VB|NN",
    "Help-wanted": "JJ",
    "Helped": "VBN",
    "Helper": "NNP",
    "Helpern": "NNP",
    "Helping": "VBG",
    "Helpless": "NNP|JJ",
    "Helpline": "NNP",
    "Helps": "VBZ",
    "Helsinki": "NNP",
    "Helsinki-based": "JJ",
    "Helton": "NNP",
    "Helva": "NNP",
    "Hemant": "NNP",
    "Hemel": "NNP",
    "Hemenway": "NNP",
    "Hemingway": "NNP",
    "Hemisphere": "NNP",
    "Hemispheric": "NNP",
    "Hemmed": "VBN",
    "Hemmer": "NNP",
    "Hemming": "NNP",
    "Hemorrhage": "NNP",
    "Hempel": "NNP",
    "Hemphill": "NNP",
    "Hempstead": "NNP",
    "Hemus": "NNP",
    "Hemweg": "NNP",
    "Hen": "NN",
    "Hence": "RB",
    "Henceforth": "RB",
    "Henderson": "NNP",
    "Hendersonville": "NNP",
    "Hendl": "NNP",
    "Hendricks": "NNP",
    "Hendrik": "NNP",
    "Hendry": "NNP",
    "Heng-Shan": "NNP",
    "Hengeler": "NNP",
    "Hengesbach": "NNP",
    "Hengst": "NNP",
    "Henh": "UH",
    "Henley": "NNP",
    "Hennefeld": "NNP",
    "Hennessey": "NNP",
    "Hennessy": "NNP",
    "Henney": "NNP",
    "Henning": "NNP",
    "Henri": "NNP|NNPS",
    "Henrich": "NNP",
    "Henrietta": "NNP",
    "Henrik": "NNP",
    "Henritze": "NNP",
    "Henry": "NNP",
    "Hens": "NNS|NNPS",
    "Henson": "NNP",
    "Hentoff": "NNP",
    "Henze": "NNP",
    "Heorot": "NNP",
    "Hepatitis": "NNP",
    "Hephzibah": "NNP",
    "Hepker": "NNP",
    "Her": "PRP$|PRP$R",
    "Heraclitus": "NNP",
    "Herald": "NNP",
    "Herald-American": "NNP",
    "Herald-Examiner": "NNP",
    "Herald-Post": "NNP",
    "Herald-Tribune": "NNP",
    "Herb": "NNP",
    "Herber": "NNP",
    "Herberet": "NNP",
    "Herbert": "NNP",
    "Herbig": "NNP",
    "Hercule": "NNP",
    "Herculean": "JJ",
    "Hercules": "NNP|NNS",
    "Herder": "NNP",
    "Herdman": "NNP",
    "Here": "RB|UH",
    "Hereby": "RB",
    "Heredity": "NN",
    "Hereford": "NNP",
    "Heresy": "NNP",
    "Heretic": "NN",
    "Heretofore": "RB",
    "Herford": "NNP",
    "Herger": "NNP",
    "Hergesheimer": "NNP",
    "Hering": "NNP",
    "Heritage": "NNP",
    "Herman": "NNP",
    "Hermann": "NNP",
    "Hermanovski": "NNP",
    "Hermione": "NNP",
    "Hermitage": "NNP",
    "Hernandez": "NNP",
    "Hernando": "NNP",
    "Hero": "NNP",
    "Herod": "NNP",
    "Heroic": "NNP",
    "Herold": "NNP",
    "Heron": "NNP",
    "Herr": "NNP|FW",
    "Herrera": "NNP",
    "Herrick": "NNP",
    "Herridge": "NNP",
    "Herrin-Murphysboro-West": "NNP",
    "Herring": "NNP",
    "Herrington": "NNP",
    "Herrman": "NNP",
    "Herrmann": "NNP",
    "Herron": "NNP",
    "Herry": "NNP",
    "Hers": "JJ|PRP",
    "Hersant": "NNP",
    "Herschel": "NNP",
    "Herscu": "NNP",
    "Hersey": "NNP",
    "Hersh": "NNP",
    "Hershel": "NNP",
    "Hershey": "NNP",
    "Hershhenson": "NNP",
    "Hershiser": "NNP",
    "Herslow": "NNP",
    "Hersly": "NNP",
    "Herter": "NNP",
    "Hertz": "NNP",
    "Herwick": "NNP",
    "Herwig": "NNP",
    "Herzenberg": "NNP",
    "Herzfeld": "NNP",
    "Herzlinger": "NNP",
    "Herzog": "NNP",
    "Hesburgh": "NNP",
    "Hesiometer": "NN",
    "Hesperus": "NNP",
    "Hess": "NNP",
    "Hessan": "NNP",
    "Hesse": "NNP",
    "Hesse-Darmstadt": "NNP",
    "Hessian": "JJ",
    "Hessians": "NNS|NNPS",
    "Hessische": "NNP",
    "Hester": "NNP",
    "Heston": "NNP",
    "Hetman": "NNP",
    "Hettie": "NNP",
    "Hettinger": "NNP",
    "Hetty": "NNP",
    "Heublein": "NNP",
    "Heumann": "NNP",
    "Heusen": "NNP",
    "Heuvelmans": "NNP",
    "Hewett": "NNP",
    "Hewitt": "NNP",
    "Hewlett": "NNP",
    "Hewlett-Packard": "NNP",
    "Hewlett-Woodmere": "NNP",
    "Hewlitt": "NNP",
    "Hexen": "FW",
    "Hey": "UH|NNP",
    "Heyden": "NNP",
    "Heydrich": "NNP",
    "Heyford": "NNP",
    "Heylin": "NNP",
    "Heyman": "NNP",
    "Heymann": "NNP",
    "Heymeyer": "NNP",
    "Heyward": "NNP",
    "Heywood": "NNP",
    "Hez": "NNP",
    "Hi": "UH|NNP",
    "Hi-Country": "NNP",
    "HiPro": "NNP",
    "Hiatt": "NNP",
    "Hiawatha": "NNP",
    "Hibbard": "NNP",
    "Hibben": "NNP",
    "Hibernia": "NNP",
    "Hibler": "NNP",
    "Hibor": "NNP",
    "Hichens": "NNP",
    "Hickey": "NNP",
    "Hickman": "NNP",
    "Hickok": "NNP",
    "Hickory": "NNP",
    "Hicks": "NNP",
    "Hid": "NNP",
    "Hidden": "VBN|JJ",
    "Hideaki": "NNP",
    "Hideous": "NNP",
    "Hiding": "VBG",
    "Hieber": "NNP",
    "Hieronymus": "NNP",
    "Higgins": "NNP",
    "High": "NNP|JJ|RB",
    "High-Grade": "NNP",
    "High-Tech": "JJ",
    "High-Yield": "NNP",
    "High-definition": "JJ",
    "High-end": "JJ",
    "High-gain": "JJ",
    "High-grade": "JJ",
    "High-level": "JJ",
    "High-priced": "JJ",
    "High-ranking": "JJ",
    "High-speed": "JJ",
    "High-tech": "JJ|NN",
    "High-technologies": "NNS",
    "High-tension": "JJ",
    "High-yield": "JJ",
    "High-yielding": "JJ",
    "Higher": "JJR|NNP",
    "Higher-income": "JJR",
    "Highest": "JJS",
    "Highfield": "NNP",
    "Highland": "NNP",
    "Highlander": "NNP",
    "Highlands": "NNP|NNPS|NNS",
    "Highlights": "NNS",
    "Highly": "NNP|RB",
    "Highness": "NNP",
    "Highway": "NNP",
    "Highways": "NNS|NNP|NNPS|RB",
    "Hijet": "NNP",
    "Hiker": "NN",
    "Hilary": "NNP",
    "Hilboldt": "NNP",
    "Hildebrandt": "NNP",
    "Hildegard": "NNP",
    "Hilder": "NNP",
    "Hildy": "NNP",
    "Hilger": "NNP",
    "Hilkert": "NNP",
    "Hill": "NNP",
    "Hillary": "NNP",
    "Hillcrest": "NNP",
    "Hillel": "NNP",
    "Hiller": "NNP",
    "Hillerich": "NNP",
    "Hillhaven": "NNP",
    "Hilliard": "NNP",
    "Hillis": "NNP",
    "Hillman": "NNP",
    "Hills": "NNP|NNPS",
    "Hills-Hollywood": "JJ",
    "Hillsboro": "NNP",
    "Hillsborough": "NNP",
    "Hillsdale": "NNP",
    "Hillsdown": "NNP",
    "Hillstrom": "NNP",
    "Hillyard": "NNP",
    "Hillyer": "NNP",
    "Hilo": "NNP",
    "Hilprecht": "NNP",
    "Hilton": "NNP",
    "Hiltons": "NNPS",
    "Hiltunen": "NNP",
    "Him": "PRP|NNP",
    "Himalayan": "JJ",
    "Himalayas": "NNPS",
    "Hime": "NNP",
    "Himebaugh": "NNP",
    "Himmler": "NNP",
    "Himont": "NNP",
    "Himself": "PRP",
    "Hinchliff": "NNP",
    "Hinckley": "NNP",
    "Hindelong": "NNP",
    "Hindemith": "NNP|NN",
    "Hindenburg": "NNP",
    "Hindes": "NNP",
    "Hindle": "NNP",
    "Hindoo": "NNP",
    "Hindu": "NNP",
    "Hinduish": "JJ",
    "Hinduism": "NNP",
    "Hindus": "NNP",
    "Hine": "NNP",
    "Hines": "NNP",
    "Hingham": "NNP",
    "Hingorani": "NNP",
    "Hinkle": "NNP",
    "Hinman": "NNP",
    "Hino": "NNP",
    "Hinsdale": "NNP",
    "Hint": "NN",
    "Hinton": "NNP",
    "Hints": "NNS",
    "Hintz": "NNP",
    "Hinzack": "NNP",
    "Hip": "NN",
    "Hip-pocket": "JJ",
    "Hippie": "NNP",
    "Hippocrates": "NNP|NNS",
    "Hippodrome": "NNP",
    "Hippophagique": "NNP",
    "Hiram": "NNP",
    "Hirano": "NNP",
    "Hired": "VBN|JJ",
    "Hires": "NNP",
    "Hirey": "NNP",
    "Hiring": "VBG",
    "Hiroaki": "NNP",
    "Hirohito": "NNP",
    "Hironaka": "NNP",
    "Hiroshi": "NNP",
    "Hiroshima": "NNP",
    "Hiroyuki": "NNP",
    "Hirsch": "NNP",
    "Hirschey": "NNP",
    "Hirschfeld": "NNP",
    "Hirschman": "NNP",
    "Hirudo": "FW",
    "Hirzy": "NNP",
    "His": "PRP$|NNP",
    "Hisao": "NNP",
    "Hisaya": "NNP",
    "Hisham": "NNP",
    "Hismanal": "NNP",
    "Hispanic": "JJ|NNP",
    "Hispanic-market": "JJ",
    "Hispanics": "NNPS|NNS",
    "Hispano": "NNP",
    "Hispanoil": "NNP",
    "Hiss": "NNP",
    "Histadrut": "NNP",
    "Histochemistry": "NNP",
    "Historian": "NN",
    "Historians": "NNS|NNPS",
    "Historical": "NNP|JJ",
    "Historically": "NNP|RB",
    "Histories": "NNP",
    "History": "NN|NNP",
    "Histrionix": "NNP",
    "Hit": "VBP|VBN|NN",
    "Hitachi": "NNP",
    "Hitch": "NNP",
    "Hitchcock": "NNP",
    "Hitching": "VBG",
    "Hitler": "NNP|JJR",
    "Hitlers": "NNPS",
    "Hits": "NNS",
    "Hitter": "NN",
    "Hitting": "VBG|NN",
    "Hittner": "NNP",
    "Hive": "NNP",
    "Hixson": "NNP",
    "Hmm": "NN|UH",
    "Hmmm": "UH",
    "Hmong": "NNPS|JJ",
    "Hmpf": "UH",
    "Hnilica": "NNP",
    "Ho": "NNP|UH",
    "Hoa": "NNP",
    "Hoa-whup": "UH",
    "Hoag": "NNP",
    "Hoagy": "NNP",
    "Hoak": "NNP",
    "Hoaps": "NNP",
    "Hoare": "NNP",
    "Hobart": "NNP",
    "Hobbes": "NNP",
    "Hobday": "NNP",
    "Hoboken": "NNP",
    "Hobson": "NNP",
    "Hoc": "NNP",
    "Hochiminh": "NNP",
    "Hochman": "NNP",
    "Hock": "NNP",
    "Hockaday": "NNP",
    "Hocke": "NNP",
    "Hockett": "NNP",
    "Hockey": "NNP",
    "Hockney": "NNP",
    "Hodel": "NNP",
    "Hodge": "NNP",
    "Hodgepodge": "NN",
    "Hodges": "NNP",
    "Hodgkin": "NNP",
    "Hodgson": "NNP",
    "Hodosh": "NNP",
    "Hodson": "NNP",
    "Hoe": "VB",
    "Hoe-Down": "NNP",
    "Hoechst": "NNP",
    "Hoelterhoff": "NNP",
    "Hoelzer": "NNP",
    "Hoemke": "NNP",
    "Hoenemeyer": "NNP",
    "Hoenlein": "NNP",
    "Hoeve": "NNP",
    "Hoexum": "NNP",
    "Hof": "NNP",
    "Hoff": "NNP",
    "Hoffa": "NNP",
    "Hoffer": "NNP",
    "Hoffman": "NNP",
    "Hoffmann-La": "NNP",
    "Hoffmann-LaRoche": "NNP",
    "Hofstad": "NNP",
    "Hofstra": "NNP",
    "Hog": "NN",
    "Hogan": "NNP",
    "Hoge": "NNP",
    "Hogg": "NNP",
    "Hogs": "NNS",
    "Hogue": "NNP",
    "Hogwash": "NN",
    "Hohlbein": "NNP",
    "Hoijer": "NNP",
    "Hokan": "NNP",
    "Hokey": "JJ",
    "Hokkaido": "NNP",
    "Hokuriku": "NNP",
    "Holabird": "NNP",
    "Holbrook": "NNP",
    "Holch": "NNP",
    "Holcomb": "NNP",
    "Holcombe": "NNP",
    "Hold": "VB|VBP",
    "Holden": "NNP",
    "Holderbank": "NNP",
    "Holderlin": "NNP",
    "Holders": "NNS|NNP",
    "Holding": "NNP|VBG",
    "Holdings": "NNPS|NNP|NNS",
    "Holds": "NNP",
    "Hole": "NNP",
    "Holen": "NNP",
    "Holes": "NNS",
    "Holewinski": "NNP",
    "Holgerson": "NNP",
    "Holguin": "NNP",
    "Holiday": "NNP",
    "Holidays": "NNS",
    "Holien": "NNP",
    "Holies": "NNPS",
    "Holiness": "NN|NNP",
    "Holland": "NNP",
    "Hollandale": "NNP",
    "Hollander": "NNP",
    "Holler": "NNP",
    "Holleran": "NNP",
    "Holley": "NNP",
    "Holliday": "NNP",
    "Holliger": "NNP",
    "Hollinger": "NNP",
    "Hollings": "NNP",
    "Hollingshead": "NNP",
    "Hollingsworth": "NNP",
    "Hollins": "NNP",
    "Hollis": "NNP",
    "Hollister": "NNP",
    "Holliston": "NNP",
    "Holloway": "NNP",
    "Hollowell": "NNP",
    "Hollsworth": "NNP",
    "Holly": "NNP",
    "Hollywood": "NNP",
    "Holman": "NNP",
    "Holmberg": "NNP",
    "Holmes": "NNP",
    "Holocaust": "NNP",
    "Holstein": "NNP",
    "Holston": "NNP",
    "Holt": "NNP",
    "Holty": "NNP",
    "Holtz": "NNP",
    "Holtzman": "NNP",
    "Holy": "NNP|JJ",
    "Holynskyj": "NNP",
    "Holyoke": "NNP",
    "Holz": "NNP",
    "Holzfaster": "NNP",
    "Holzman": "NNP",
    "Homart": "NNP",
    "Hombre": "NNP",
    "Hombrecher": "NNP",
    "Home": "NNP",
    "Home-keeping": "JJ",
    "Home-made": "JJ",
    "HomeCare": "NNP",
    "HomeFed": "NNP|VBN",
    "Homebrew": "NNP",
    "Homebuilders": "NNPS",
    "Homecoming": "NN|NNP",
    "Homeland": "NN",
    "Homeless": "NNP|JJ",
    "Homemade": "NNP|VBN",
    "Homemakers": "NNP",
    "Homemaster": "JJ",
    "Homeowner": "NNP",
    "Homeowners": "NNP|NNS",
    "Homer": "NNP",
    "Homeric": "NNP|JJ",
    "Homerists": "NNS",
    "Homeroom": "NNP",
    "Homerun": "NN",
    "Homes": "NNPS|NNP|NNS",
    "Homestake": "NNP",
    "Homestead": "NNP",
    "Homewood": "NNP",
    "Homicide": "NNP",
    "Homma": "NNP",
    "Homo": "NN|NNP",
    "Homosexuals": "NNS",
    "Homozygous": "JJ",
    "Hon": "NNP",
    "Hon.": "NNP",
    "HonFed": "NNP",
    "Honan": "NNP",
    "Honda": "NNP",
    "Hondas": "NNPS|NNS",
    "Hondius": "NNP",
    "Hondo": "NNP",
    "Honduran": "JJ",
    "Hondurans": "NNS",
    "Honduras": "NNP|NNS",
    "Hone": "NNP",
    "Honecker": "NNP",
    "Honest": "UH",
    "Honestly": "RB",
    "Honey": "NNP",
    "Honeybee": "NNP",
    "Honeysuckle": "NNP",
    "Honeywell": "NNP",
    "Honfed": "NNP",
    "Hong": "NNP|JJ",
    "Hongkong": "NNP",
    "Honiss": "NNP",
    "Honjo": "NNP",
    "Honolulu": "NNP",
    "Honolulu-based": "JJ",
    "Honor": "NNP",
    "Honorable": "NNP",
    "Honored": "VBN",
    "Honors": "NNP|NNS",
    "Honotassa": "NNP",
    "Honshu": "NNP",
    "Hooch": "NNP",
    "Hood": "NNP",
    "Hoof": "NNP",
    "Hooghli": "NNP",
    "Hoogli": "NNP",
    "Hook": "NNP",
    "Hooked": "VBD",
    "Hooker": "NNP",
    "Hooks": "NNP",
    "Hooper": "NNP",
    "Hoopla": "NNP",
    "Hooray": "UH",
    "Hoosier": "NNP",
    "Hoot": "NNP",
    "Hoover": "NNP",
    "Hope": "NNP|VB|VBP",
    "Hoped-for": "JJ",
    "Hopedale": "NNP",
    "Hopefully": "NNP|RB",
    "Hopei": "NNP",
    "Hopes": "NNS",
    "Hopi": "NNP",
    "Hoping": "VBG",
    "Hopis": "NNPS",
    "Hopkins": "NNP",
    "Hopkinsian": "NNP",
    "Hopley": "NNP",
    "Hoppe": "NNP",
    "Hopson": "NNP",
    "Hopwood": "NNP",
    "Horace": "NNP",
    "Horatio": "NNP",
    "Hord": "NNP",
    "Hordern": "NNP",
    "Hori": "NNP",
    "Horicon": "NNP",
    "Horizon": "NNP",
    "Horizons": "NNP",
    "Hormats": "NNP",
    "Hormel": "NNP",
    "Horn": "NNP",
    "Hornaday": "NNP",
    "Hornbeck": "NNP",
    "Horne": "NNP",
    "Horner": "NNP",
    "Hornet": "NNP",
    "Hornets": "NNPS",
    "Horns": "NNS",
    "Hornung": "NNP",
    "Horowitz": "NNP",
    "Horrigan": "NNP",
    "Horror": "NNP",
    "Horry": "NNP",
    "Horse": "NNP",
    "Horsehead": "NNP",
    "Horsely": "NNP",
    "Horseman": "NN",
    "Horses": "NNS",
    "Horsham": "NNP",
    "Horst": "NNP",
    "Horstman": "NNP",
    "Horta": "NNP",
    "Horten": "NNP",
    "Horticultural": "NNP",
    "Horton": "NNP",
    "Horwath": "NNP",
    "Horwitz": "NNP",
    "Hosaka": "NNP",
    "Hose": "NNP",
    "Hosea": "NNP",
    "Hoses": "NNS",
    "Hoskyns": "NNP",
    "Hosni": "NNP",
    "Hosogane": "NNP",
    "Hosokawa": "NNP",
    "Hosomi": "NNP",
    "Hospice": "NNP",
    "Hospital": "NNP",
    "Hospital-Cornell": "NNP",
    "Hospitality": "NNP",
    "Hospitalization": "NN",
    "Hospitals": "NNS|NNP|NNPS",
    "Host": "NNP",
    "Hostage": "NNP",
    "Hostaria": "NNP",
    "Hostess": "NNP",
    "Hostetter": "NNP",
    "Hostile": "JJ",
    "Hosting": "VBG",
    "Hot": "NNP|JJ",
    "Hotei": "NNP",
    "Hotel": "NNP",
    "Hotel-casino": "NN",
    "Hotelecopy": "NNP",
    "Hotels": "NNPS|NNS",
    "Hotham": "NNP",
    "Hotline": "NNP",
    "Houdaille": "NNP",
    "Houdini": "NNP",
    "Hough": "NNP",
    "Houghton": "NNP",
    "Houk": "NNP",
    "Houlian": "NNP",
    "Hound": "NNP",
    "Hounds": "NNPS",
    "Hourly": "JJ",
    "Hours": "NNS",
    "House": "NNP|JJ",
    "House-Senate": "NNP|JJ",
    "House-floor": "JJ",
    "House-passed": "JJ",
    "House.": "NNP",
    "Housed": "VBN",
    "Household": "NNP",
    "Households": "NNS",
    "Housekeeping": "NN|NNP",
    "Houses": "NNS",
    "Housewares": "NNPS",
    "Housewives": "NNS",
    "Housing": "NNP",
    "Housings": "NNS",
    "Housman": "NNP",
    "Houston": "NNP|JJ",
    "Houston-Dallas": "JJ",
    "Houston-Galveston": "NNP",
    "Houston-Montgomery": "NNP",
    "Houston-area": "JJ",
    "Houston-based": "JJ|NNP",
    "Houten": "NNP",
    "Houtz": "NNP",
    "Hovarter": "NNP",
    "Hovdingar": "FW",
    "Hovercraft": "NNP",
    "Hovis": "NNP",
    "Hovnanian": "NNP",
    "How": "WRB|NNP",
    "How-2": "NNP",
    "Howard": "NNP|RP|NNPS",
    "Howda": "WRB",
    "Howdy": "UH",
    "Howe": "NNP",
    "Howell": "NNP",
    "However": "RB|RBR|WRB",
    "Howick": "NNP",
    "Howie": "NNP",
    "Howl": "NNP",
    "Howley": "NNP",
    "Howmet": "NNP",
    "Howorth": "NNP",
    "Howry": "NNP",
    "Howsabout": "RB",
    "Howsam": "NNP",
    "Howser": "NNP",
    "Howson-Algraphy": "NNP",
    "Howzit": "NN",
    "Hoxa": "NNP",
    "Hoxan": "NNP",
    "Hoy": "NNP",
    "Hoylake": "NNP|JJ",
    "Hoyle": "NNP",
    "Hoyt": "NNP",
    "Hoyte": "NNP",
    "Hoyvald": "NNP",
    "Hrothgar": "NNP",
    "Hsieh": "NNP",
    "Hsu": "NNP",
    "Hu": "NNP",
    "Hua": "NNP",
    "Huai": "NNP",
    "Hualien": "NNP",
    "Huang-ti": "NNP",
    "Huaqiong": "NNP",
    "Huard": "NNP",
    "Hub": "NNP",
    "Hubacher": "NNP",
    "Hubay": "NNP",
    "Hubba": "UH",
    "Hubbard": "NNP",
    "Hubbell": "NNP",
    "Hubble": "NNP",
    "Hubel": "NNP",
    "Huber": "NNP",
    "Hubermann": "NNP",
    "Hubert": "NNP",
    "Hubie": "NNP",
    "Huck": "NNP",
    "Hucksters": "NNP",
    "Hudbay": "NNP",
    "Huddle": "NN",
    "Hudnut": "NNP",
    "Hudson": "NNP",
    "Hue": "NN",
    "Hueglin": "NNP",
    "Huerta": "NNP",
    "Huey": "NNP",
    "Huff": "NNP",
    "Huffman": "NNP",
    "Huge": "JJ",
    "Hugely": "RB",
    "Huggies": "NNPS",
    "Huggins": "NNP",
    "Hugh": "NNP",
    "Hughes": "NNP",
    "Hughey": "NNP",
    "Hugo": "NNP",
    "Hugoton": "NNP",
    "Huhmun": "NNP",
    "Huichol": "NNP",
    "Huitotoes": "NNS",
    "Hulbert": "NNP",
    "Hulings": "NNP",
    "Hulks": "NNS",
    "Hull": "NNP",
    "Hulse": "NNP",
    "Hultberg": "NNP",
    "Human": "NNP|JJ",
    "Human-rights": "NNS",
    "Humana": "NNP",
    "Humanism": "NNP",
    "Humanist": "NNP",
    "Humanities": "NNP",
    "Humanity": "NNP",
    "Humberto": "NNP",
    "Humble": "NNP",
    "Humboldt": "NNP",
    "Hume": "NNP",
    "Humiliation": "NN",
    "Humility": "NNP",
    "Hummerstone": "NNP",
    "Humor": "NN",
    "Hump": "NNP",
    "Humphrey": "NNP",
    "Humphreys": "NNP",
    "Humphries": "NNP",
    "Humpty": "NNP",
    "Humulin": "NNP",
    "Hun": "NNP",
    "Hund": "FW",
    "Hundreds": "NNS|NNP",
    "Hung": "NNP",
    "Hungarian": "JJ|NNP",
    "Hungarian-born": "NNP|JJ",
    "Hungarians": "NNPS|NNS",
    "Hungary": "NNP|JJ",
    "Hungary-Suez": "NNP",
    "Hungerfords": "NNP",
    "Hungry": "JJ",
    "Hunkerish": "JJ",
    "Hunsucker": "NNP",
    "Hunt": "NNP",
    "Hunter": "NNP|NNPS",
    "Hunterdon": "NNP",
    "Hunters": "NNPS|NNS",
    "Hunting": "NN",
    "Huntington": "NNP",
    "Huntingtons": "NNPS",
    "Huntley": "NNP",
    "Huntley-Brinkley": "NNP",
    "Huntsman": "NNP",
    "Huntsville": "NNP",
    "Huntz": "NNP",
    "Huo-Shan": "NNP",
    "Huppert": "NNP",
    "Hurd": "NNP",
    "Huricane": "NNP",
    "Hurley": "NNP",
    "Hurok": "NNP",
    "Huron": "NNP",
    "Hurrah": "UH|NNP",
    "Hurray": "NNP",
    "Hurrays": "NNP",
    "Hurrican": "NNP",
    "Hurricane": "NNP",
    "Hurricanes": "NNPS",
    "Hurry": "VB",
    "Hurst": "NNP",
    "Hurt": "NNP|VBN",
    "Hurtado": "NNP",
    "Hurter": "NNP",
    "Hurts": "VBZ",
    "Hurwitt": "NNP",
    "Hurwitz": "NNP",
    "Husak": "NNP",
    "Husbandry": "NN",
    "Hush": "NN|UH",
    "Husk": "NNP",
    "Husker": "NNP",
    "Huskers": "NNPS",
    "Huskins": "NNP",
    "Husky": "NNP|JJ",
    "Hussein": "NNP",
    "Hussman": "NNP",
    "Hustead": "NNP",
    "Hustle": "VB",
    "Hustler": "NN",
    "Huston": "NNP",
    "Hut": "NNP",
    "Hutchings": "NNP",
    "Hutchins": "NNP",
    "Hutchinson": "NNP",
    "Hutchison": "NNP",
    "Hutton": "NNP",
    "Huwa": "NNP",
    "Hux": "NNP",
    "Huxley": "NNP",
    "Huxtable": "NNP",
    "Huy": "NNP",
    "Hwa-Shan": "NNP",
    "Hwan": "NNP",
    "Hwang": "NNP",
    "Hyannis": "NNP",
    "Hyatt": "NNP",
    "Hyatt-Clark": "NNP",
    "Hybrid": "NNP",
    "Hybritech": "NNP",
    "Hyde": "NNP",
    "Hyde-to-Jekyll": "JJ",
    "Hydra-matic": "JJ",
    "Hydraulic": "NNP|JJ",
    "Hydro": "NNP",
    "Hydro-Electric": "NNP",
    "Hydro-Quebec": "NNP",
    "Hydrochlorothiazides": "NNS",
    "Hydrogen": "NN",
    "Hydroxazine": "NN",
    "Hydroxides": "NNS",
    "Hyena": "NN",
    "Hygene": "NNP",
    "Hygiene": "NNP",
    "Hyman": "NNP",
    "Hymen": "NN",
    "Hymn": "NN|NNP",
    "Hymowitz": "NNP",
    "Hyndman": "NNP",
    "Hyon-hui": "NNP",
    "HyperCard": "NNP",
    "Hyperlite": "NN",
    "Hypnosis": "NN",
    "Hypocrisy": "NN",
    "Hypothalamic": "JJ",
    "Hypotheekkas": "NNP",
    "Hypotheses": "NNPS",
    "Hypothesis": "NN",
    "Hypothesizing": "VBG",
    "Hyun": "NNP",
    "Hyundai": "NNP|NNS",
    "i": "FW|PRP",
    "me": "PRP|FW",
    "you": "PRP|VBP",
    "him": "PRP",
    "he": "PRP|VB",
    "she": "PRP",
    "her": "PRP$|PRP$R",
    "it": "PRP",
    "we": "PRP|VBP",
    "us": "PRP",
    "they": "PRP",
    "them": "PRP|DT",
    "I-5": "NNP",
    "I-75": "NN",
    "I-880": "NNP|NN",
    "I-E": "NNP",
    "I.": "NNP|FW|JJ",
    "I...": ":",
    "I.A.": "NN",
    "I.A.P/NNP.A.": "NN",
    "I.B.M.": "NNP",
    "I.C.H": "NNP",
    "I.C.H.": "NNP",
    "I.D.": "NN",
    "I.E.P.": "NNP",
    "I.L.": "NN",
    "I.M.": "NNP",
    "I.M.F.": "NNP",
    "I.N.D.": "NNP",
    "I.P.": "NNP",
    "I.Q.": "NNP",
    "I.R.S": "NNP",
    "I.R.S.": "NNP",
    "I.S.": "NNP",
    "I.W.": "NNP",
    "IAFP": "NNP",
    "IATA": "NNP",
    "IBC": "NNP",
    "IBCA": "NNP",
    "IBC/Donoghue": "NN",
    "IBEW": "NNP",
    "IBJ": "NNP",
    "IBM": "NNP",
    "IBM-based": "JJ",
    "IBM-bashing": "NN",
    "IBM-compatible": "JJ",
    "IBM-oriented": "JJ",
    "IBM-remarketer": "JJ",
    "IBRD": "NNP",
    "IBT": "NNP",
    "IC": "NNP",
    "ICA": "NNP",
    "ICAO": "NNP",
    "ICBM": "NNP",
    "ICBMs": "NNPS",
    "ICC": "NNP",
    "ICCO": "NNP",
    "ICE": "NNP",
    "ICG": "NNP",
    "ICI": "NNP",
    "ICL-GE": "NNP",
    "ICM": "NNP",
    "ICN": "NNP",
    "ICS": "NNP",
    "IDA": "NNP",
    "IDB": "NNP",
    "IDD": "NNP",
    "IDEC": "NNP",
    "IDS": "NNP",
    "IDs": "NNS",
    "IF": "IN",
    "IFA": "NNP",
    "IFAR": "NNP",
    "IFC": "NNP",
    "IFI": "NNP",
    "IFIL": "NNP",
    "IFO": "NNP",
    "IG": "NNP",
    "IGS": "NNP",
    "IH.": "NNP",
    "IIGS": "NNP",
    "IIT": "NNP",
    "IIci": "NNP",
    "IIcx": "NNP",
    "IIs": "NNPS",
    "IJAL": "NNP",
    "IL-2": "NNP",
    "IL-4": "NN",
    "ILA": "NNP",
    "ILLINOIS": "NNP",
    "IMA": "NNP",
    "IMEDE": "NNP",
    "IMELDA": "NNP",
    "IMF": "NNP",
    "IMF-World": "NNP",
    "IMF-approved": "JJ",
    "IMF-guided": "JJ",
    "IMO": "NNP",
    "IMREG": "NNP",
    "IMS": "NNP",
    "IMSAI": "NNP",
    "IN": "IN|RB|RP",
    "INA": "NNP",
    "INB": "NNP",
    "INC": "NNP",
    "INC.": "NNP",
    "INCOME": "NNP|NN",
    "INCREASING": "VBG",
    "IND": "NNP",
    "INDEX": "NN",
    "INDIAN": "JJ",
    "INDUSTRIES": "NNP|NNPS",
    "INFLATION": "NN",
    "INFORMATION": "NNP",
    "INGERSOLL-RAND": "NNP",
    "INMAC": "NNP",
    "INPS": "NNP",
    "INQUIRY": "NN",
    "INRA": "NNP",
    "INS": "NNP",
    "INSEAD": "NNP",
    "INSTITUTE": "NNP",
    "INSURANCE": "NNP",
    "INSURERS": "NNS",
    "INTEL": "NNP",
    "INTENSIVE": "JJ",
    "INTER-TEL": "NNP",
    "INTERBANK": "NNP|NN|JJ|RB",
    "INTEREST": "NN",
    "INTEREST-RATE": "NN",
    "INTERMARK": "NNP",
    "INTERNATIONAL": "NNP",
    "INTERPUBLIC": "NNP",
    "INTERVOICE": "NNP",
    "INVESTIGATION": "NNP",
    "INVESTMENT": "NNP",
    "INVESTMENTS": "NNPS",
    "INVESTORS": "NNS",
    "IOC": "NNP",
    "IOCS": "NN",
    "IOCSIXF": "NN",
    "IOCSIXG": "NN",
    "IOS": "NNP",
    "IOU": "NNP",
    "IOUs": "NNS",
    "IOWA": "NNP",
    "IPM": "NNP",
    "IPO": "NN|NNP",
    "IPOs": "NNS|NNPS",
    "IPTAY": "NNP",
    "IQ": "NNP",
    "IRA": "NNP",
    "IRA-Plus": "NN",
    "IRAN": "NNP",
    "IRAs": "NNS|NNPS",
    "IRI": "NNP",
    "IRNA": "NNP",
    "IRONY": "NN",
    "IRS": "NNP",
    "IRS-HHS": "JJ",
    "IRSAC": "NNP",
    "IS": "VBZ",
    "ISC": "NNP",
    "ISC/Bunker": "NNP",
    "ISI": "NNP",
    "ISO": "NNP",
    "ISRAEL": "NNP",
    "ISSUE": "NN",
    "ISSUES": "NNS",
    "ISTAT": "NNP",
    "IT": "PRP",
    "ITC": "NNP",
    "ITEL": "NNP",
    "ITG": "NNP",
    "ITO": "NNP",
    "ITS": "PRP$",
    "ITT": "NNP",
    "IUD": "NNP",
    "IV": "NNP",
    "IV-drug-free": "JJ",
    "IVF": "NNP",
    "IXL": "NNP",
    "I": "PRP|NNP",
    "Iaciofano": "NNP",
    "Iacocca": "NNP",
    "Iain": "NNP",
    "Ian": "NNP",
    "Iard": "NNP",
    "Ibaraki": "NNP",
    "Ibbotson": "NNP",
    "Iberia": "NNP",
    "Iberian": "NNP|JJ",
    "Ibias": "NNP",
    "Ibn": "NNP",
    "Ibos": "NNP",
    "Ibrahim": "NNP",
    "Ibsen": "NNP",
    "Ica": "NN",
    "Icahn": "NNP",
    "Icahns": "NNP",
    "Ice": "NNP",
    "Iceland": "NNP",
    "Icelandic": "NNP",
    "Icelandic-speaking": "JJ",
    "Ich": "FW",
    "Ichi": "NNP",
    "Ichiro": "NNP",
    "Icterus": "FW",
    "Id": "NN",
    "Ida": "NNP",
    "Idaho": "NNP",
    "Idaho-based": "JJ",
    "Idal": "NNP",
    "Idea": "FW|NN",
    "Ideal": "NNP|JJ",
    "Idealist": "NN",
    "Ideally": "RB",
    "Ideas": "NNS",
    "Idec": "NNP",
    "Identification": "NNP",
    "Identifying": "VBG",
    "Ideologues": "NNS",
    "Idex": "NNP",
    "Idiot": "NN",
    "Idje": "NNP",
    "Idle": "JJ",
    "Idol": "NNP",
    "Idols": "NNS",
    "Idris": "NNP",
    "Idrissa": "NNP",
    "Idrocarburi": "NNP",
    "Ierulli": "NNP",
    "If": "IN",
    "Ifint": "NNP",
    "Ifni": "NNP",
    "Ifo": "NNP",
    "IgG": "NNP",
    "Igaras": "NNP",
    "Igbo": "NNP",
    "Igdaloff": "NNP",
    "Iglehart": "NNP",
    "Ignacio": "NNP",
    "Ignatius": "NNP",
    "Ignazio": "NNP",
    "Ignition": "NN",
    "Ignorance": "NN",
    "Ignore": "VB",
    "Ignoring": "VBG",
    "Igor": "NNP",
    "Iguana": "NNP",
    "Ihmsen": "NNP",
    "Ihor": "NNP",
    "Iijima": "NNP",
    "Ike": "NNP",
    "Ikegai": "NNP",
    "Ikegai-Goss": "NNP",
    "Iken": "NNP",
    "Ikle": "NNP",
    "Il": "NNP|FW",
    "Ila": "NNP",
    "Ilford": "NNP",
    "Iliad": "NNP",
    "Ilka": "NNP",
    "Ilkka": "NNP",
    "Ill": "NNP|JJ",
    "Ill-considered": "JJ",
    "Ill.": "NNP",
    "Ill.-based": "JJ|NNP",
    "Ille": "NNP",
    "Illeman": "NNP",
    "Illick": "NNP",
    "Illingworth": "NNP",
    "Illinois": "NNP",
    "Illinois-based": "JJ",
    "Illiterate": "JJ",
    "Illuminating": "NNP",
    "Illusion": "NNP",
    "Illustrated": "NNP",
    "Illustration": "NNP",
    "Illustrations": "NNS|NNP",
    "Ilminster": "NNP",
    "Ilona": "NNP",
    "Ilotycin": "NNP",
    "Ilva": "NNP",
    "Ilyushin": "NN",
    "Ilyushins": "NNPS",
    "Image": "NN",
    "Image-processing": "NN",
    "Images": "NNP",
    "Imaginary": "NNP|JJ",
    "Imagine": "VB|NNP",
    "Imaging": "NNP",
    "Imai": "NNP",
    "Imam": "NNP",
    "Imasco": "NNP",
    "Imasdounian": "NNP",
    "Imboden": "NNP",
    "Imbrium": "NNP",
    "Imelda": "NNP",
    "Imhoff": "NNP",
    "Imitation": "NN",
    "Immaculate": "NNP",
    "Immanuel": "NNP",
    "Immediate": "NNP|JJ",
    "Immediately": "RB",
    "Immigrant": "JJ",
    "Immigration": "NNP",
    "Immoderate": "NNP",
    "Immortal": "NNP",
    "Immune": "NNP",
    "Immunetech": "NNP",
    "Immunex": "NNP",
    "ImmunoGen": "NNP",
    "Imo": "NNP",
    "Impact": "NNP",
    "Impartiality": "NN",
    "Impasse": "NNP",
    "Impatiently": "RB",
    "Impco": "NNP",
    "Impediments": "NNP",
    "Imperial": "NNP|JJ",
    "Imperiales": "NNPS",
    "Imperials": "NNPS",
    "Impersonal": "JJ",
    "Impetus": "NN",
    "Implementation": "NN",
    "Implements": "NNS",
    "Implores": "VBZ",
    "Import": "NN",
    "Importance": "NN",
    "Important": "JJ|NNP",
    "Imported": "NNP",
    "Importers": "NNP",
    "Imports": "NNS|NNP|NNPS",
    "Impose": "VB",
    "Imposed": "VBN",
    "Imposition": "NN",
    "Impossible": "JJ",
    "Impressed": "VBN",
    "Impressionism": "NN|NNP",
    "Impressionist": "JJ",
    "Impressionists": "NNPS",
    "Impressions": "NNS",
    "Impressive": "JJ",
    "Imprimis": "NNP",
    "Imprisoned": "VBN",
    "Improper": "JJ",
    "Improprieties": "NNS",
    "Improve": "VB",
    "Improved": "VBN|JJ",
    "Improvement": "NNP",
    "Improvements": "NNP|NNS",
    "Improves": "VBZ",
    "Improving": "NN|VBG",
    "Imre": "NNP",
    "Imreg": "NNP",
    "Imrene": "NNP",
    "In": "IN|RBR|JJ|NNP",
    "InCide": "NNP",
    "Inability": "NN",
    "Inacio": "NNP",
    "Inada": "NNP",
    "Inadequate": "JJ",
    "Inamori": "NNP",
    "Inasmuch": "RB",
    "Inaugural": "NNP|JJ",
    "Inaugurates": "VBZ",
    "Inauguration": "NNP",
    "Inc": "NNP|NNPS",
    "Inc.": "NNP|NNPS",
    "Inca": "NNP|JJ",
    "Incapable": "JJ",
    "Incarnation": "NNP",
    "Incentives": "NNS",
    "Incest": "NN",
    "Incident": "NN",
    "Incidentally": "RB",
    "Incidents": "NNS",
    "Incinerator": "NNP",
    "Incline": "NNP",
    "Include": "VB",
    "Included": "VBN|JJ",
    "Includes": "VBZ|NNS",
    "Including": "VBG|NNP",
    "Inco": "NNP",
    "Income": "NNP",
    "Inconsistent": "JJ",
    "Incorporated": "NNP|VBN",
    "Incorrect": "JJ",
    "Increase": "VB|NN|NNP",
    "Increased": "VBN|JJ",
    "Increases": "NNS|VBZ",
    "Increasing": "VBG|JJ",
    "Increasingly": "RB",
    "Incredibly": "RB",
    "Incredulous": "JJ",
    "Incrementally": "RB",
    "Incumbent": "NNP",
    "Incurably": "RB",
    "Ind": "NNP",
    "Ind.": "NNP",
    "Ind.-based": "JJ",
    "Ind.-investment": "NN",
    "Indebted": "JJ",
    "Indecon": "NNP",
    "Indeed": "RB|UH",
    "Indefinite": "JJ",
    "Indelicato": "NNP",
    "Indemnity": "NNP",
    "Indentical": "JJ",
    "Independence": "NNP",
    "Independent": "NNP|JJ",
    "Independents": "NNPS",
    "Inderbinen": "NNP",
    "Indeterminate": "NNP",
    "Index": "NNP",
    "Index-arbitrage": "NN",
    "Index-linked": "JJ",
    "Index-related": "JJ",
    "Indexed": "JJ",
    "Indexes": "NNS",
    "Indexing": "NN|VBG",
    "India": "NNP",
    "India-Pakistan": "NNP",
    "India-born": "JJ",
    "Indian": "JJ|NNP",
    "Indian-summer": "JJ",
    "Indiana": "NNP",
    "Indiana-Ohio": "NNP",
    "Indianapolis": "NNP|NNS",
    "Indianapolis-based": "JJ",
    "Indians": "NNPS",
    "Indicated": "VBD",
    "Indicating": "VBG",
    "Indication": "NN",
    "Indications": "NNS",
    "Indicator": "NN",
    "Indicators": "NNPS|NNP|NNS",
    "Indicted": "VBN",
    "Indies": "NNP|NNPS",
    "Indigenes": "NNP",
    "Indigestion": "NN",
    "Indignantly": "RB",
    "Indigo": "NNP",
    "Indio": "NNP",
    "Indira": "NNP",
    "Indirect": "JJ",
    "Indirectly": "RB",
    "Individual": "NNP|JJ|NN",
    "Individuals": "NNS",
    "Indo-China": "NNP",
    "Indo-German": "NNP",
    "IndoSuez": "NNP",
    "Indochina": "NNP",
    "Indochinese": "JJ|NNS",
    "Indocin": "NNP",
    "Indonesia": "NNP",
    "Indonesian": "JJ|NNP",
    "Indonesians": "NNPS",
    "Indoor": "JJ",
    "Indosuez": "NNP",
    "Indulgence": "NNP",
    "Indulgers": "NNS",
    "Industri": "NNP",
    "Industria": "NNP",
    "Industrial": "NNP|JJ",
    "Industriale": "NNP",
    "Industriali": "NNP",
    "Industrialistes": "NNP",
    "Industrials": "NNP|NNS|NNPS",
    "Industrias": "NNP",
    "Industrie": "NNP",
    "Industriel": "FW",
    "Industrielle": "NNP",
    "Industriels": "NNPS",
    "Industries": "NNPS|NNP|NNS",
    "Industries-developed": "NNP",
    "Industrikredit": "NNP",
    "Industry": "NNP|NN",
    "Industrywide": "RB|JJ",
    "Ineffective": "JJ",
    "Inefficient": "JJ",
    "Inefficient-Market": "NNP",
    "Inevitably": "RB",
    "Inexpensive": "JJ",
    "Inexplicably": "RB",
    "Inez": "NNP",
    "Infamous": "NNP",
    "Infant": "JJ",
    "Infantry": "NNP",
    "Infants": "NNS",
    "Infection": "NN",
    "Infectious": "JJ",
    "Inferential": "NNP",
    "Inferiority": "NN",
    "Inferno": "NN|NNP",
    "Infertility": "NNP",
    "Infighting": "NN",
    "Infinite": "JJ|NN",
    "Infiniti": "NNP",
    "Infirmary": "NNP",
    "Inflammatory": "JJ",
    "Inflate": "VB",
    "Inflation": "NN",
    "Inflation-adjusted": "VBN|JJ",
    "Inflationary": "JJ",
    "Inflow": "NN",
    "Inflows": "NNS",
    "Influenced": "NNP",
    "Influential": "JJ",
    "InfoCorp": "NNP",
    "InfoCorp.": "NNP",
    "Infocorp.": "NNP",
    "Inform": "NNP",
    "Informal": "JJ",
    "Information": "NNP",
    "Informed": "VBN",
    "Informix": "NNP",
    "Infotab": "NNP",
    "Infotechnology": "NNP",
    "Infrared": "JJ",
    "Infrequently": "RB",
    "Infusion": "NN",
    "Ing": "NNP",
    "Ingalls": "NNP",
    "Ingbar": "NNP",
    "Ingeniera": "NNP",
    "Ingersoll": "NNP",
    "Ingham": "NNP",
    "Ingleside": "NNP",
    "Inglewood": "NNP",
    "Ingo": "NNP",
    "Ingot": "NN",
    "Ingram": "NNP",
    "Ingrassia": "NNP",
    "Ingrid": "NNP",
    "Inhalation": "NNP",
    "Inherently": "RB",
    "Inheritance": "NN",
    "Inheriting": "VBG",
    "Inhouse": "JJ",
    "Inisel": "NNP",
    "Initial": "JJ",
    "Initially": "RB",
    "Initiating": "VBG",
    "Initiation": "NN",
    "Initiative": "NNP",
    "Inject": "VB",
    "Injection": "NNP",
    "Inju": "NNP",
    "Injun": "NNP",
    "Injuns": "NNPS",
    "Injury": "NNP",
    "Inland": "NNP|RB",
    "Inlet": "NNP",
    "Inmac": "NNP",
    "Inman": "NNP",
    "Inmate": "NNP",
    "Inmates": "NNS|NNPS",
    "Inn": "NNP",
    "Inna": "NNP",
    "Inner": "JJ|NNP",
    "Innes": "NNP",
    "Innesfree": "NNP",
    "Inning": "NN",
    "Innis-Maggiore-Olson": "NNP",
    "Innocent": "JJ",
    "Innocenti": "NNP",
    "Innopac": "NNP",
    "Innovation": "NNP",
    "Innovative": "JJ",
    "Inns": "NNPS",
    "Innuendos": "NNS",
    "Innumerable": "JJ",
    "Inorganic": "JJ",
    "Inoue": "NNP",
    "Inouye": "NNP",
    "Inpatient": "NN",
    "Inpex": "NNP",
    "Input": "NN|NNP",
    "Inquirer": "NNP",
    "Inquiry": "NNP",
    "Inquisition": "NNP",
    "Inquisitor-General": "NNP",
    "Inquisitors": "NNS",
    "Insam": "NNP",
    "Inscribed": "VBN",
    "Insect": "NN",
    "Insects": "NNS",
    "Insecures": "NNPS",
    "Inside": "IN|NNP|RB",
    "Insider": "NNP|JJ",
    "Insiders": "NNS",
    "Insight": "NNP",
    "Insights": "NNPS",
    "Insilco": "NNP",
    "Insinuations": "NNS",
    "Insisting": "VBG",
    "Insitutional": "JJ",
    "Insofar": "RB",
    "Insomnia": "NN",
    "Inspect": "VB",
    "Inspection": "NNP",
    "Inspections": "NNP",
    "Inspector": "NNP",
    "Inspectorate": "NNP",
    "Inspectorate-Adia": "NNP",
    "Inspectors": "NNS",
    "Inspects": "VBZ",
    "Inspire": "NNP",
    "Inspired": "VBN",
    "Inspiring": "VBG|JJ",
    "Insta-Care": "NNP",
    "Install": "VB",
    "Installation": "NN|NNP",
    "Installed": "VBN",
    "Installing": "VBG",
    "Instances": "NNS",
    "Instant": "JJ|NNP",
    "Instantaneously": "RB",
    "Instantly": "RB",
    "Instead": "RB|IN",
    "Instinctively": "RB",
    "Institue": "NNP",
    "Institut": "NNP",
    "Institute": "NNP",
    "Institutes": "NNPS|NNS",
    "Institutio": "NNP",
    "Institution": "NNP",
    "Institutional": "JJ|NNP",
    "Institutional-type": "JJ",
    "Institutionalization": "NN",
    "Institutions": "NNS|NNP|NNPS",
    "Instituto": "NNP",
    "Institutue": "NNP",
    "Instructions": "NNS|NNP",
    "Instructor": "NNP",
    "Instructors": "NNS",
    "Instrument": "NNP",
    "Instrumental": "NNP",
    "Instruments": "NNP|NNPS|NNS",
    "Insulate": "VB",
    "Insurance": "NNP",
    "Insurance-industry": "NN",
    "Insurance-reform": "NN",
    "Insurance-related": "JJ",
    "Insurances": "NNPS",
    "Insureres": "NNS",
    "Insurers": "NNS|NNP",
    "Insurgent": "JJ",
    "Insuring": "VBG",
    "Insurrecto": "FW",
    "Intair": "NNP",
    "Intan": "NNP",
    "Intangible": "JJ",
    "Intangibles": "NNS",
    "Intar": "NNP",
    "Intech": "NNP",
    "Intecknings": "NNP",
    "Intecom": "NNP",
    "Integra": "NNP",
    "Integra-A": "NNP",
    "Integraph": "NNP",
    "Integrated": "NNP",
    "Integration": "NN|NNP",
    "Integrator": "NNP",
    "Intek": "NNP",
    "Intel": "NNP",
    "Intellectual": "NNP",
    "Intelligence": "NNP",
    "Intelligent": "NNP|JJ",
    "Intelogic": "NNP",
    "Intelsat": "NNP",
    "Intense": "JJ",
    "Intensification": "NN",
    "Intent": "NN",
    "Inter": "NNP",
    "Inter-American": "NNP",
    "Inter-Canadian": "NNP",
    "Inter-City": "NNP",
    "Inter-american": "NNP",
    "InterMarket": "NNP",
    "InterMedia": "NNP",
    "InterNorth": "NNP",
    "InterVoice": "NNP",
    "Interactive": "NNP|JJ",
    "Interagency": "NNP",
    "Interair": "NNP",
    "Interama": "NNP",
    "Interbank": "NNP",
    "Intercable": "NNP",
    "Intercede": "VB",
    "Intercepting": "VBG",
    "Intercity": "JJ",
    "Interco": "NNP",
    "Intercollegiate": "NNP",
    "Intercontinental": "NNP",
    "Interest": "NN|NNP",
    "Interest-rate": "JJ",
    "Interested": "VBN|JJ",
    "Interesting": "JJ",
    "Interestingly": "RB",
    "Interface": "NNP",
    "Interfaith": "JJ",
    "Interference": "NNP",
    "Interfering": "VBG",
    "Interferon": "NNP",
    "Interfinance": "NNP",
    "Interfinancial": "NNP",
    "Interfunding": "NNP",
    "Intergovernmental": "NNP",
    "Intergraph": "NNP",
    "Intergroup": "NNP",
    "Interhash": "NNP",
    "Interhome": "NNP",
    "Interim": "JJ",
    "Interior": "NNP|JJ",
    "Interiors": "NNS",
    "Interlake": "NNP",
    "Interleaf": "NNP",
    "Interleukin-3": "NN",
    "Interlink": "NNP",
    "Interlochen": "NNP",
    "Interlocking": "VBG",
    "Interlude": "NNP",
    "Intermarco": "NNP",
    "Intermark": "NNP",
    "Intermarriage": "NN",
    "Intermec": "NNP",
    "Intermediate": "NNP|JJ",
    "Intermediates": "NNPS|NNS",
    "Intermoda": "NNP",
    "Internaional": "NNP",
    "Internal": "NNP|JJ",
    "International": "NNP|JJ",
    "Internationale": "NNP|FW",
    "Internationalist": "NNP",
    "Internatonal": "NNP",
    "Internet": "NN|NNP",
    "Interpersonal": "JJ",
    "Interpoint": "NNP",
    "Interpore": "NNP",
    "Interpretation": "NNP",
    "Interprovincial": "NNP",
    "Interpublic": "NNP",
    "Interruptions": "NNS",
    "Interscience": "NNP",
    "Interspec": "NNP",
    "Interspersed": "VBN",
    "Interstate": "NNP|JJ",
    "Interstate/Johnson": "NNP",
    "Intertan": "NNP",
    "Intertech": "NNP",
    "Intertrade": "NNP",
    "Intervenes": "VBZ",
    "Intervention": "NN|NNP",
    "Interview": "NNP|VB",
    "Interviewed": "VBN",
    "Interviewing": "NN",
    "Interviews": "NNS",
    "Interviu": "NNP",
    "Intervoice": "NNP",
    "Interwoven": "JJ",
    "Intimations": "NNS",
    "Intl": "NNP",
    "Into": "NNP|IN",
    "Intolerable": "JJ",
    "Intouch": "NNP",
    "Intourist": "NNP",
    "Intra-European": "JJ",
    "Intrapreneurship": "NN",
    "Intrepid": "NNP",
    "Intriguing": "JJ",
    "Introduce": "VB",
    "Introduced": "VBN",
    "Introduces": "VBZ",
    "Introducing": "VBG",
    "Introduction": "NN|NNP",
    "Intuition": "NN",
    "Inuit": "NNP",
    "Invacare": "NNP",
    "Invalid": "NNP",
    "Invariably": "RB",
    "Invasion": "NNP",
    "Inventions": "NNS",
    "Inventor": "NNP",
    "Inventories": "NNS",
    "Inventors": "NNS",
    "Inventory": "NN|VB|NNP",
    "Invercalt": "NNP",
    "Invercon": "NNP",
    "Inverness": "NNP",
    "InvesTech": "NNP",
    "Invest": "NNP|VB|VBP",
    "Investcorp": "NNP",
    "Investigating": "VBG",
    "Investigation": "NNP",
    "Investigations": "NNS|NNPS",
    "Investigators": "NNS|NNP",
    "Investing": "VBG|NN|NNP",
    "Investment": "NNP",
    "Investment-Grade": "NNP",
    "Investment-grade": "JJ",
    "Investments": "NNP|NNPS|NNS",
    "Investor": "NNP",
    "Investors": "NNS|NNPS",
    "Invictus": "NNP",
    "Invisible": "NNP",
    "Invitation": "NNP",
    "Invitations": "NNS",
    "Invite": "NNP|VB",
    "Invoking": "VBG",
    "Involved": "VBN",
    "Involving": "VBG",
    "Inward": "NNP",
    "Inwood": "NNP",
    "Inx": "NNP",
    "Io": "NNP",
    "Iodinated": "VBN",
    "Iodination": "NN",
    "Ion": "NNP",
    "Ione": "NNP",
    "Ionic": "JJ",
    "Ionizing": "VBG",
    "Iosola": "NNP",
    "Iowa": "NNP",
    "Iowa-based": "JJ",
    "Ipswich": "NNP",
    "Ira": "NNP",
    "Iraj": "NNP",
    "Iran": "NNP",
    "Iran-Contra": "NNP|JJ",
    "Iran-Iraq": "NNP",
    "IranU.S": "NNP",
    "Iranian": "JJ|NNP",
    "Iranian-backed": "JJ",
    "Iranians": "NNPS",
    "Iraq": "NNP",
    "Iraqi": "JJ|NNP",
    "Iraqis": "NNPS",
    "Iraqw": "NNP",
    "Irec": "NNP",
    "Ireland": "NNP",
    "Irelands": "NNP",
    "Irenaeus": "NNP",
    "Irene": "NNP",
    "Irian": "NNP",
    "Irimajiri": "NNP",
    "Irina": "NNP",
    "Iris": "NNP",
    "Irises": "NNS|NNP|NNPS",
    "Irish": "JJ|NNPS",
    "Irish-Soviet": "JJ",
    "Irish-made": "JJ",
    "Irishman": "NN",
    "Irishmen": "NNPS|NNS",
    "Irma": "NNP",
    "Iron": "NNP",
    "Ironic": "JJ",
    "Ironically": "RB|NNP",
    "Ironpants": "NNP",
    "Ironside": "NNP",
    "Ironweed": "NN",
    "Iroquois": "NNP",
    "Irradiation": "NN",
    "Irrawaddy": "NNP",
    "Irretrievably": "RB",
    "Irrigation": "NN",
    "Irv": "NN",
    "Irvin": "NNP",
    "Irvine": "NNP",
    "Irving": "NNP",
    "Irwin": "NNP",
    "Is": "VBZ|NNP",
    "Isaac": "NNP",
    "Isaacs": "NNP",
    "Isaacson": "NNP",
    "Isaam": "NNP",
    "Isabel": "NNP",
    "Isabell": "NNP",
    "Isabella": "NNP",
    "Isabelle": "NNP",
    "Isacsson": "NNP",
    "Isadora": "NNP",
    "Isadore": "NNP",
    "Isaiah": "NNP",
    "Isaly": "NNP",
    "Isao": "NNP",
    "Isetan": "NNP",
    "Isfahan": "NNP",
    "Isgur": "NNP",
    "Isham": "NNP",
    "Ishida": "NNP",
    "Ishiguro": "NNP",
    "Ishihara": "NNP",
    "Ishii": "NNP",
    "Ishtar": "NNP",
    "Isikoff": "NNP",
    "Isis": "NNP",
    "Islam": "NNP",
    "Islamabad": "NNP",
    "Islamic": "NNP|JJ",
    "Island": "NNP",
    "Island-based": "JJ",
    "Islander": "NNP",
    "Islanders": "NNPS",
    "Islandia": "NN",
    "Islands": "NNP|NNPS",
    "Isle": "NNP",
    "Isler": "NNP",
    "Isles": "NNP|NNPS",
    "Ismail": "NNP",
    "Ismaili": "NNP",
    "Ismet": "NNP",
    "Isoda": "NNP",
    "Isodine": "NNP",
    "Isola": "NNP",
    "Isolated": "JJ",
    "Isolating": "VBG",
    "Isolde": "FW|NNP",
    "Isosceles": "NNP",
    "Isotechnologies": "NNPS",
    "Isquith": "NNP",
    "Israel": "NNP",
    "Israeli": "JJ|NNP",
    "Israeli-Palestinian": "JJ|NNP",
    "Israeli-born": "JJ",
    "Israeli-occupied": "JJ",
    "Israeli/Palestinian": "JJ",
    "Israelis": "NNPS|NNS",
    "Israelite": "NNP",
    "Israelites": "NNPS",
    "Issak": "NNP",
    "Issam": "NNP",
    "Isselbacher": "NNP",
    "Issuance": "NN",
    "Issue": "NN|NNP|VB",
    "Issuers": "NNS",
    "Issues": "NNS|NNP|NNPS",
    "Issuing": "NN|VBG",
    "Istanbul": "NNP",
    "Istat": "NNP",
    "Istel": "NNP",
    "Istel-type": "JJ",
    "Isthmus": "NN",
    "Istiqlal": "NNP",
    "Istiqlal-sponsored": "JJ",
    "Istituto": "NNP",
    "Istvan": "NNP",
    "Isuzu": "NNP",
    "It": "PRP|NNP",
    "It-wit": "NN",
    "Itagaki": "NNP",
    "Italia": "NNP",
    "Italian": "JJ|NNP",
    "Italian-American": "JJ",
    "Italian-based": "JJ",
    "Italian-cut": "JJ",
    "Italian-led": "JJ",
    "Italian-made": "JJ",
    "Italian-style": "JJ",
    "Italiana": "NNP",
    "Italianate": "JJ",
    "Italians": "NNPS|NNS",
    "Italics": "NNS",
    "Italo": "NNP",
    "Italo-American": "NNP",
    "Italtel": "NN",
    "Italy": "NNP",
    "Itasca": "NNP",
    "Itch": "VB",
    "Itching": "VBG",
    "Itel": "NNP",
    "Item-Categories": "NNPS",
    "Items": "NNS",
    "Ithaca": "NNP",
    "Ithacan": "NNP",
    "Ito": "NNP",
    "Ito-Yokado": "NNP",
    "Itoh": "NNP",
    "Itoiz": "NNP",
    "Its": "PRP$|NNP",
    "Itself": "PRP",
    "Itsuo": "NNP",
    "Ittleson": "NNP",
    "Iturup": "NNP",
    "Itzhak": "NNP",
    "Ivan": "NNP",
    "Iveco": "NNP",
    "Ivern": "NNP",
    "Iverson": "NNP",
    "Ives": "NNP",
    "Ivey": "NNP",
    "Ivies": "NNPS",
    "Ivory": "NNP",
    "Ivy": "NNP|JJ",
    "Iwai": "NNP",
    "Iwatare": "NNP",
    "Iwo": "NNP",
    "Izaak": "NNP",
    "Izquierda": "NNP",
    "Izvestia": "NNP",
    "J": "NNP|LS",
    "J&B": "NNP",
    "J&C": "NNP",
    "J&J": "NNP",
    "J&L": "NNP",
    "J-2": "NNP",
    "J.": "NNP",
    "J.A.": "NNP",
    "J.B.": "NNP",
    "J.C.": "NNP",
    "J.D.": "NNP",
    "J.D.H.": "NNP",
    "J.E.": "NNP",
    "J.F.": "NNP",
    "J.G.": "NNP",
    "J.H.": "NNP",
    "J.I.": "NNP",
    "J.J": "NNP",
    "J.J.": "NNP",
    "J.J.G.M.": "NNP",
    "J.K.": "NNP",
    "J.L.": "NNP",
    "J.M.": "NNP|.",
    "J.MBB": "NNP",
    "J.N.": "NNP",
    "J.NTT": "NNP",
    "J.P": "NNP",
    "J.P.": "NNP",
    "J.R.": "NNP",
    "J.T.": "NNP",
    "J.V": "NNP",
    "J.V.": "NNP",
    "J.W.": "NNP",
    "J.X.": "NNP",
    "J.Y.": "NNP",
    "J/NNP.A.": "NN|VB",
    "J/NNP.A.C.": "NNP",
    "J/NNP.A.W.": "NNP",
    "J/NNP.G.L.": "NNP",
    "J/NNP.I.": "JJ",
    "J/NNP.J/NNP.A.": "NN",
    "JA": "NNP",
    "JAC": "NNP",
    "JACKPOT": "NNP",
    "JACUZZI": "NNP",
    "JAGRY": "NNP",
    "JAILED": "VBN",
    "JAL": "NNP",
    "JAMES": "NNP",
    "JAPAN": "NNP",
    "JAPANESE": "JJ",
    "JAS": "NNP",
    "JAUNTS": "NNS",
    "JCKC": "NNP",
    "JCP": "NNP",
    "JEDEC": "NN",
    "JERSEY": "NNP",
    "JFK": "NNP",
    "JH": "NNP",
    "JIM": "NNP",
    "JKD": "NNP",
    "JMB": "NNP",
    "JNR": "NNP",
    "JOB": "NN",
    "JOIN": "VB",
    "JOINS": "VBZ",
    "JOINT": "JJ",
    "JOKE": "NN",
    "JONES": "NNP",
    "JP": "NNP",
    "JPI": "NNP",
    "JROE": "NNP",
    "JSP": "NNP",
    "JSP-supported": "JJ",
    "JT8D-200": "NN",
    "JUDGE": "NN|NNP",
    "JUDGES": "NNS",
    "JUDICIAL": "JJ",
    "JUDICIARY": "NNP",
    "JUICE": "NN",
    "JUMBO": "JJ",
    "JUMPING": "NNP",
    "JUNK": "NN",
    "JURORS": "NNS",
    "JURY": "NN",
    "JUST": "RB",
    "JVC": "NNP",
    "JVC/Victor": "NNP",
    "JWP": "NNP",
    "JYJ": "NN|SYM",
    "JYM": "NN|SYM",
    "Jaap": "NNP",
    "Jabe": "NNP",
    "Jacchia": "NNP",
    "Jachmann": "NNP",
    "Jacinto": "NNP",
    "Jack": "NNP",
    "Jack-an-Apes": "NN",
    "Jack-of-all-trades": "NN",
    "Jackals": "NNS",
    "Jackets": "NNS",
    "Jacki": "NNP",
    "Jackie": "NNP",
    "Jackman": "NNP",
    "Jackpot": "NNP",
    "Jackson": "NNP",
    "Jackson-Cross": "NNP",
    "Jackson-Vanick": "JJ",
    "Jacksonian": "NNP|JJ",
    "Jacksons": "NNPS",
    "Jacksonville": "NNP",
    "Jackstadt": "NNP",
    "Jacky": "NNP",
    "Jaclyn": "NNP",
    "Jacob": "NNP",
    "Jacobean": "JJ",
    "Jacobite": "NNP",
    "Jacobius": "NNP",
    "Jacoboski": "NNP",
    "Jacobs": "NNP",
    "Jacobsen": "NNP",
    "Jacobson": "NNP",
    "Jacoby": "NNP",
    "Jacopo": "NNP",
    "Jacqueline": "NNP",
    "Jacquelyn": "NN",
    "Jacques": "NNP",
    "Jacques-Francois": "NNP",
    "Jacquette": "NNP",
    "Jacuzzi": "NN|NNP",
    "Jacuzzis": "NNS",
    "Jadwiga": "NNP",
    "Jaffe": "NNP",
    "Jaffray": "NNP",
    "Jagan": "NNP",
    "Jager": "NNP",
    "Jaggers": "NNP",
    "Jagt": "NNP",
    "Jaguar": "NNP",
    "Jaguar-GM": "NNP|JJ",
    "Jaguars": "NNPS",
    "Jahn": "NNP",
    "Jahr": "FW",
    "Jai": "NNP",
    "Jail": "NN|NNP",
    "Jaime": "NNP",
    "Jakarta": "NNP",
    "Jake": "NNP",
    "Jakes": "NNP",
    "Jalaalwalikraam": "NNP",
    "Jalalabad": "NNP",
    "Jam": "NNP",
    "Jamaica": "NNP",
    "Jamaican": "JJ|NN|NNP",
    "James": "NNP",
    "James-the-Less": "NNP",
    "Jameses": "NNP",
    "Jameson": "NNP",
    "Jamestown": "NNP",
    "Jamie": "NNP",
    "Jamieson": "NNP",
    "Jamiesson": "NNP",
    "Jan": "NNP",
    "Jan.": "NNP|VB",
    "Jana": "NNP",
    "Janachowski": "NNP",
    "Jane": "NNP",
    "Janeiro": "NNP",
    "Janes": "NNPS",
    "Janesville": "NNP",
    "Janet": "NNP",
    "Janice": "NNP",
    "Janis": "NNP",
    "Janissaries": "NNS",
    "Janitsch": "NNP",
    "Janizsewski": "NNP",
    "Janlori": "NNP",
    "Jannequin": "NNP",
    "Janney": "NNP",
    "Jannsen": "NNP",
    "Janofsky": "NNP",
    "Jansen": "NNP",
    "Jansenist": "NNP",
    "Jansky": "NNP",
    "Janson": "NNP",
    "Janssen": "NNP",
    "Jansz.": "NNP",
    "January": "NNP",
    "January-August": "NNP",
    "January-June": "JJ",
    "January-March": "NNP",
    "January-to-August": "NNP",
    "Janus": "NNP",
    "Janus-faced": "JJ",
    "Jap": "NNP",
    "Japan": "NNP",
    "Japan-U.S": "NNP",
    "Japan-U.S.": "JJ",
    "Japan-made": "JJ",
    "Japanese": "JJ|NN|NNPS|NNS|VBP",
    "Japanese-American": "JJ",
    "Japanese-Americans": "NNPS|NNS",
    "Japanese-South": "NNP",
    "Japanese-based": "JJ",
    "Japanese-financed": "JJ",
    "Japanese-language": "JJ|NN",
    "Japanese-made": "JJ",
    "Japanese-managed": "JJ",
    "Japanese-owned": "JJ",
    "Japanese-style": "JJ",
    "Japanese-supplied": "JJ",
    "Japanese-type": "JJ",
    "Japanese/Chinese": "JJ",
    "Japs": "NNPS",
    "Jaques": "NNP",
    "Jardin": "NNP",
    "Jardine": "NNP",
    "Jarmusch": "NNP",
    "Jaross": "NNP",
    "Jarrell": "NNP",
    "Jarrett": "NNP",
    "Jarrodsville": "NNP",
    "Jars": "NNS",
    "Jartran": "NNP",
    "Jarvik": "NNP",
    "Jarvis": "NNP",
    "Jas": "NNP",
    "Jascha": "NNP",
    "Jase": "NNP",
    "Jasmine": "NNP",
    "Jason": "NNP",
    "Jasper": "NNP",
    "Jastrow": "NNP",
    "Jath": "NNP",
    "Java": "NNP",
    "Javanese": "JJ",
    "Javert": "NNP",
    "Javier": "NNP",
    "Jawaharlal": "NNP",
    "Jaworski": "NNP",
    "Jaws": "NNPS|NNS",
    "Jay": "NNP",
    "Jaya": "NNP",
    "Jayark": "NNP",
    "Jaycee": "NNP",
    "Jaycees": "NNPS",
    "Jays": "NNPS",
    "Jazz": "NN|NNP",
    "Jean": "NNP",
    "Jean-Claude": "NNP",
    "Jean-Honore": "NNP",
    "Jean-Jacques": "NNP",
    "Jean-Louis": "NNP",
    "Jean-Luc": "NNP",
    "Jean-Marie": "NNP",
    "Jean-Michel": "NNP",
    "Jean-Pascal": "NNP",
    "Jean-Paul": "NNP",
    "Jean-Pierre": "NNP",
    "Jean-Rene": "NNP",
    "Jeancourt-Galignani": "NNP",
    "Jeane": "NNP",
    "Jeanene": "NNP",
    "Jeanette": "NNP",
    "Jeanne": "NNP",
    "Jeannie": "NNP",
    "Jeans": "NNPS",
    "Jeb": "NNP",
    "Jed": "NNP",
    "Jee-sus": "UH",
    "Jeep": "NNP",
    "Jeep-Eagle": "NNP",
    "Jeep-brand": "JJ",
    "Jeep-like": "JJ",
    "Jeep/Eagle": "NNP",
    "Jeepers": "UH",
    "Jeeps": "NNS",
    "Jeff": "NNP",
    "Jefferies": "NNP|NNS",
    "Jefferson": "NNP",
    "Jeffersonian": "JJ",
    "Jeffersonians": "NNPS",
    "Jeffersons": "NNPS",
    "Jeffery": "NNP",
    "Jeffrey": "NNP",
    "Jeffry": "NNP",
    "Jehovah": "NNP",
    "Jekyll": "NNP",
    "Jelenic": "NNP",
    "Jelinski": "NNP",
    "Jelke": "NNP",
    "Jell-O": "NNP",
    "Jellinek": "NNP",
    "Jellison": "NNP",
    "Jelly": "NNP",
    "Jellyby": "NNP",
    "Jemela": "NNP",
    "Jemima": "NNP",
    "Jen": "NNP",
    "JenMar": "NNP",
    "Jena": "NNP",
    "Jenco": "NNP",
    "Jenkins": "NNP",
    "Jenkinson": "NNP",
    "Jenks": "NNP",
    "Jenner": "NNP",
    "Jenni": "NNP",
    "Jennie": "NNP",
    "Jennifer": "NNP",
    "Jenning": "NNP",
    "Jennings": "NNP",
    "Jennison": "NNP",
    "Jenny": "NNP",
    "Jenrette": "NNP",
    "Jens": "NNP",
    "Jens-Uwe": "NNP",
    "Jensen": "NNP",
    "Jeopardize": "VB",
    "Jeopardy": "NNP",
    "Jepson": "NNP",
    "Jerald": "NNP",
    "Jerebohm": "NNP",
    "Jerebohms": "NNP",
    "Jerell": "NNP",
    "Jeremiah": "NNP",
    "Jeremy": "NNP",
    "Jerez": "NNP",
    "Jergens": "NNP",
    "Jeri": "NNP",
    "Jericho": "NNP",
    "Jerky": "NNP",
    "Jeroboam": "NN",
    "Jeroboams": "NNPS",
    "Jerome": "NNP",
    "Jerr-Dan": "NNP",
    "Jerral": "NNP",
    "Jerrico": "NNP",
    "Jerritts": "NNP",
    "Jerrold": "NNP",
    "Jerry": "NNP",
    "Jersey": "NNP",
    "Jersey-Salem": "NNP",
    "Jersey-based": "JJ",
    "Jerseyite": "NNP",
    "Jerusalem": "NNP|UH",
    "Jervase": "NNP",
    "Jervis": "NNP",
    "Jesperson": "NNP",
    "Jess": "NNP",
    "Jesse": "NNP",
    "Jessey": "NNP",
    "Jessica": "NNP",
    "Jessie": "NNP",
    "Jessy": "NNP",
    "Jessye": "NNP",
    "Jesuit": "NNP",
    "Jesuits": "NNPS",
    "Jesus": "NNP|UH",
    "Jet": "NNP",
    "Jets": "NNS|NNP",
    "Jetta": "NNP",
    "Jetway": "NNP",
    "Jeux": "FW",
    "Jew": "NNP",
    "Jew-as-enemy": "NN",
    "Jew-baiter": "NN",
    "Jew-haters": "NNS",
    "Jewboy": "NN",
    "Jewel": "NNP",
    "Jewelers": "NNPS",
    "Jewelery": "NNP",
    "Jewell": "NNP",
    "Jewelry": "NN",
    "Jewett": "NNP",
    "Jewish": "JJ|NNP",
    "Jewish-Gentile": "NNP",
    "Jewishness": "NN|NNP",
    "Jewry": "NNP",
    "Jews": "NNPS|NNS",
    "Jeyes": "NNP",
    "Jiang": "NNP",
    "Jiangsu": "NNP",
    "Jianying": "NNP",
    "Jiaqi": "NNP",
    "Jibril": "NNP",
    "Jidge": "NNP",
    "Jif": "NNP",
    "Jiffy": "NNP|JJ",
    "Jiffy-Couch-a-Bed": "NNP",
    "Jihad": "NNP",
    "Jihong": "NNP",
    "Jill": "NNP",
    "Jim": "NNP",
    "Jima": "NNP",
    "Jimbo": "NNP",
    "Jimenez": "NNP",
    "Jimmie": "NNP",
    "Jimmy": "NNP",
    "Jin": "NNP",
    "Jin-Shung": "NNP",
    "Jindo": "NNP",
    "Jingoism": "NN",
    "Jingsheng": "NNP",
    "Jinny": "NNP",
    "Jinshajiang": "NNP",
    "Jiotto": "NNP",
    "Jiri": "NNP",
    "Jist": "RB",
    "Jittery": "JJ",
    "Jno": "NNP",
    "Jo": "NNP",
    "JoAnn": "NNP",
    "Joachim": "NNP",
    "Joan": "NNP",
    "Joann": "NNP",
    "Joanna": "NNP",
    "Joanne": "NNP",
    "Joannie": "NNP",
    "Joao": "NNP",
    "Joaquin": "NNP",
    "Job": "NNP",
    "Job-Bias": "JJ",
    "Joban": "NNP",
    "Jobs": "NNP|NNS|NNPS",
    "Jobson": "NNP",
    "Jocelyn": "NNP",
    "Jock": "NNP",
    "Jockey": "NNP",
    "Jodi": "NNP",
    "Jody": "NNP",
    "Joe": "NNP",
    "Joel": "NNP",
    "Joerg": "NNP",
    "Joes": "NNS",
    "Joey": "NNP",
    "Joffre": "NNP",
    "Joffrey": "NNP",
    "Jogjakarta": "NN",
    "Johan": "NNP",
    "Johann": "NNP",
    "Johanna": "NNP",
    "Johannesburg": "NNP",
    "Johansen": "NNP",
    "Johanson": "NNP",
    "Johansson": "NNP",
    "John": "NNP|NNPS",
    "John-Henry": "NNP",
    "John-and-Linda": "NNP",
    "Johnnie": "NNP",
    "Johnny": "NNP",
    "Johns": "NNP",
    "Johns-Manville": "NNP",
    "Johnson": "NNP",
    "Johnson-Merck": "NNP",
    "Johnson-era": "NN",
    "Johnston": "NNP",
    "Johnstone": "NNP",
    "Johnstown": "NNP",
    "Johsen": "NNP",
    "Join": "VB|NNP|VBP",
    "Joined": "VBN",
    "Joiners": "NNPS",
    "Joining": "VBG",
    "Joint": "NNP",
    "Joint-research": "JJ",
    "Joint-venture": "JJ",
    "Joker": "NNP",
    "Jokes": "NNS",
    "Joking": "VBG",
    "Jolas": "NNP",
    "Jolivet": "NNP",
    "Jolla": "NNP",
    "Jolliffe": "NNP",
    "Jolly": "JJ|NNP",
    "Jolt": "VB|NNP",
    "Jon": "NNP",
    "Jonas": "NNP",
    "Jonathan": "NNP",
    "Jones": "NNP",
    "Jones-Imboden": "NNP",
    "Jones-Irwin": "NNP",
    "Jonesborough": "NNP",
    "Joneses": "NNPS",
    "Jong": "NNP",
    "Joni": "NNP",
    "Jonni": "NNP",
    "Jonquieres": "NNP",
    "Joon": "NNP",
    "Joplin": "NN",
    "Jorda": "NNP",
    "Jordan": "NNP",
    "Jordan/Zalaznick": "NNP",
    "Jordanian": "JJ",
    "Jordon": "NNP",
    "Jordonelle": "NNP",
    "Jorge": "NNP",
    "Jorio": "NNP",
    "Jorndt": "NNP",
    "Jos": "NNP",
    "Jose": "NNP",
    "Jose-Maria": "NNP",
    "Josef": "NNP",
    "Joseph": "NNP|NNPS",
    "Joseph-Daniel": "NNP",
    "Josephine": "NNP",
    "Josephson": "NNP",
    "Josephthal": "NNP",
    "Josephus": "NNP",
    "Josh": "NNP",
    "Joshi": "NNP",
    "Joshua": "NNP",
    "Joshual": "NNP",
    "Josiah": "NNP",
    "Jossy": "NNP",
    "Jotaro": "NNP",
    "Jour": "NNP",
    "Journal": "NNP",
    "Journal-American": "NNP",
    "Journal-Bulletin": "NNP",
    "Journal/Europe": "NNP",
    "Journal/NBC": "NNP",
    "Journalism": "NNP|NN",
    "Journalist": "NNP",
    "Journalists": "NNS|NNPS",
    "Journals": "NNPS",
    "Journey": "NNP",
    "Journeys": "NNS",
    "Jouvet": "NNP",
    "Jovanovich": "NNP",
    "Jovanovich/Bruccoli": "NNP",
    "Jovi": "NNP",
    "Joviality": "NN",
    "Jovian": "JJ",
    "Joy": "NNP",
    "Joyce": "NNP",
    "Joynt": "NNP",
    "Joyo": "NNP",
    "Jozef": "NNP",
    "Jr": "NNP",
    "Jr.": "NNP|NNPS",
    "Juan": "NNP",
    "Juanita": "NNP",
    "Juarez": "NNP",
    "Juarez-area": "NN",
    "Jubal": "NNP",
    "Judah": "NNP",
    "Judaism": "NNP",
    "Judas": "NNP",
    "Judd-Boston": "NNP",
    "Jude": "NNP",
    "Judea": "NNP",
    "Judeo-Christian": "JJ",
    "Judge": "NNP|VB",
    "Judges": "NNPS|NNS",
    "Judging": "VBG|NNP",
    "Judgment": "NNP",
    "Judgments": "NNS",
    "Judi": "NNP",
    "Judicial": "NNP|JJ",
    "Judiciary": "NNP",
    "Judie": "NNP",
    "Judith": "NNP",
    "Judson": "NNP",
    "Judsons": "NNPS",
    "Judy": "NNP",
    "Juergen": "NNP",
    "Juet": "NNP",
    "Juge": "NNP",
    "Jugend": "NNP",
    "Juice": "NN",
    "Juilliard": "NNP",
    "Jujo": "NNP",
    "Jukes": "NNP",
    "Jules": "NNP",
    "Julia": "NNP",
    "Julian": "NNP",
    "Juliano": "NNP",
    "Juliber": "NNP",
    "Julie": "NNP",
    "Juliet": "NNP",
    "Juliette": "NNP",
    "Julio": "NNP",
    "Julius": "NNP",
    "July": "NNP",
    "July-September": "JJ",
    "Jump": "NN|VB",
    "Jumping": "VBG|UH",
    "Juncal": "NNP",
    "Junction": "NNP",
    "June": "NNP",
    "June-to-September": "NNP",
    "June.": "NN",
    "Juneau": "NNP",
    "Jung": "NNP",
    "Junge": "NNP",
    "Jungho": "NNP",
    "Jungian": "NNP",
    "Jungle": "NNP",
    "Junid": "NNP",
    "Junior": "NN|JJ|NNP|NNS",
    "Juniors": "NNS|JJ|NNPS",
    "Junius": "NNP",
    "Junk": "NN",
    "Junk-Bond": "NN",
    "Junk-bond": "NN|JJ",
    "Junk-fund": "NN",
    "Junk-holders": "NNS",
    "Junk-portfolio": "NN",
    "Junkerdom": "NNP",
    "Junkers": "NNPS",
    "Junkholders": "NNS",
    "Junkins": "NNP",
    "Junor": "NNP",
    "Junsheng": "NNP",
    "Jupiter": "NNP",
    "Jupiter-bound": "JJ",
    "Juras": "NNP",
    "Jurgen": "NNP",
    "Jurisdiction": "NNP",
    "Jurisprudence": "NN",
    "Jurists": "NNP",
    "Jurong": "NNP",
    "Jurors": "NNP|NNS",
    "Jury": "NNP",
    "Jussel": "NNP",
    "Just": "RB|NNP|JJ",
    "Justice": "NNP|JJ",
    "Justices": "NNPS",
    "Justin": "NNP",
    "Justine": "NNP",
    "Justinian": "NNP",
    "Justino": "NNP",
    "Jute": "NN",
    "Jutish": "JJ",
    "Jutting": "VBG",
    "Juvenile": "NNP|JJ",
    "Jyoti": "NNP",
    "K": "NNP|LS",
    "K-9": "NNP",
    "K-H": "NNP",
    "K-resin": "NN",
    "K.": "NNP",
    "K.B.": "NNP",
    "K.C.": "NN",
    "K.G.": "NNP",
    "K.J.P.": "NNP",
    "K.L.": "NNP",
    "KAISER": "NNP",
    "KAL": "NNP",
    "KANEB": "NNP",
    "KARL": "NNP",
    "KB": "NNP",
    "KC": "NNP",
    "KC-10": "NN|NNP",
    "KC-135s": "NNS",
    "KCRA": "NNP",
    "KCS": "NNP",
    "KCs": "NNS",
    "KEARNEY": "NNP",
    "KEEPING": "VBG",
    "KEISHI": "NNP",
    "KETV": "NNP",
    "KEY": "JJ",
    "KFAC-FM": "NNP",
    "KFC": "NNP",
    "KGB": "NNP",
    "KGF": "NNP",
    "KHAD/WAD": "NN",
    "KICKING": "VBG",
    "KID": "NNP",
    "KIM": "NNP",
    "KIPPUR": "NNP",
    "KISSINGER": "NNP",
    "KK": "NNP",
    "KKK": "NNP",
    "KKR": "NNP",
    "KLA": "NNP",
    "KLERK": "NNP",
    "KLM": "NNP",
    "KLM-Northwest": "NNP",
    "KLM-controlled": "JJ",
    "KLUC": "NNP",
    "KLUC-FM": "NNP",
    "KMW": "NNP",
    "KN": "NNP",
    "KODAK": "NNP",
    "KOFY": "NNP",
    "KOFY-FM": "NNP",
    "KOREAN": "JJ",
    "KPMG": "NNP",
    "KQED": "NNP",
    "KRAFT": "NNP",
    "KRC": "NNP",
    "KRENZ": "NNP",
    "KRON": "NNP",
    "KSAN": "NNP",
    "KSI": "NNP",
    "KTXL": "NNP",
    "KUHN": "NNP",
    "KV": "NNP",
    "KVA": "NNP",
    "KVDA": "NNP",
    "KWU": "NNP",
    "Kabalevsky": "NNP",
    "Kabel": "NNP",
    "Kaboom": "NN",
    "Kabul": "NNP",
    "Kacy": "NNP",
    "Kadane": "NNP",
    "Kaddish": "NNP",
    "Kaddurah-Daouk": "NNP",
    "Kader": "NNP",
    "Kadonada": "NNP",
    "Kafaroff": "NNP",
    "Kafka": "NNP",
    "Kafkaesque": "JJ",
    "Kagakushi": "NNP",
    "Kagan": "NNP",
    "Kaganovich": "NNP",
    "Kageyama": "NNP",
    "Kahan": "NNP",
    "Kahiltna": "NNP",
    "Kahler": "NNP",
    "Kahler-Craft": "NNP",
    "Kahn": "NNP",
    "Kahwaty": "NNP",
    "Kai": "NNP",
    "Kai-shek": "NNP",
    "Kaifu": "NNP",
    "Kailin": "NNP",
    "Kaina": "NNP",
    "Kaiparowits": "NNP",
    "Kaiser": "NNP",
    "Kaisers": "NNPS",
    "Kaisha": "NNP",
    "Kaitaia": "NNP",
    "Kaixi": "NNP",
    "Kajar": "NNP",
    "Kajima": "NNP",
    "Kakadu": "NN",
    "Kakita": "NNP",
    "Kakuei": "NNP",
    "Kakumaru": "NNP",
    "Kakutani": "NNP",
    "Kal": "NNP",
    "Kalamazoo": "NNP",
    "Kaldahl": "NNP",
    "Kalentiev": "NNP",
    "Kalevi": "NNP",
    "Kali": "VBP",
    "Kalikow": "NNP",
    "Kalin": "NNP",
    "Kaliniak": "NNP",
    "Kalinowski": "NNP",
    "Kalipharma": "NNP",
    "Kalison": "NNP",
    "Kalman": "NNP",
    "Kalmuk": "NNP",
    "Kalmus": "NNP",
    "Kalonji": "NNP",
    "Kaltschmitt": "NNP",
    "Kalyagin": "NNP",
    "Kalyani": "NNP",
    "Kamal": "NNP",
    "Kaman": "NNP",
    "Kamchatka": "NNP",
    "Kamehameha": "NNP",
    "Kamel": "NNP",
    "Kamemura": "NNP",
    "Kamens": "NNP",
    "Kamieniec": "NNP",
    "Kamin": "NNP",
    "Kaminski": "NNP",
    "Kaminsky": "NNP",
    "Kamloops": "NNP",
    "Kamm": "NNP",
    "Kamp": "NNP",
    "Kampen": "NNP",
    "Kan": "NNP",
    "Kan.": "NNP",
    "Kan.-based": "JJ",
    "Kanab": "NNP",
    "Kanaday": "NNP",
    "Kanan": "NNP",
    "Kandahar": "NNP",
    "Kandemir": "NNP",
    "Kandinsky": "NNP",
    "Kandu": "NNP",
    "Kane": "NNP",
    "Kaneb": "NNP|JJ",
    "Kanebo": "NN|NNP",
    "Kanegafuchi": "NNP",
    "Kang": "NNP",
    "KangaROOS": "NNP",
    "Kangaroo": "NN|NNP",
    "Kangas": "NNP",
    "Kangyo": "NNP",
    "Kanin": "NNP",
    "Kanjorski": "NNP",
    "Kankakee": "NNP",
    "Kann": "NNP",
    "Kanner": "NNP",
    "Kano": "NNP",
    "Kanoff": "NNP",
    "Kanon": "NNP",
    "Kans.": "NNP",
    "Kansai": "NNP",
    "Kansallis": "NNP",
    "Kansan": "NNP",
    "Kansas": "NNP",
    "Kansas-Nebraska": "NNP",
    "Kanska": "NNP",
    "Kant": "NNP",
    "Kanter": "NNP",
    "Kanto": "NNP",
    "Kantorei": "NNP",
    "Kao": "NNP",
    "Kaolin": "NNP",
    "Kapadia": "NNP",
    "Kaplan": "NNP",
    "Kapnek": "NNP",
    "Kapoor": "NNP",
    "Kappa": "NNP",
    "Kappil": "NNP",
    "Kara": "NNP",
    "Karacan": "NNP",
    "Karalis": "NNP",
    "Karamazov": "NNP",
    "Karan": "NNP",
    "Karangelen": "NNP",
    "Karate": "NNP|NN",
    "Karatz": "NNP",
    "Karcher": "NNP",
    "Karcher-Everly": "NNP",
    "Karches": "NNP",
    "Kare": "NNP",
    "Karel": "NNP",
    "Karen": "NNP",
    "Karene": "NNP",
    "Karet": "NNP",
    "Karim": "NNP",
    "Karin": "NNP",
    "Karipo": "NNP",
    "Karkazis": "NNP",
    "Karl": "NNP|JJ",
    "Karl-Birger": "NNP",
    "Karlheinz": "NNP",
    "Karlis": "NNP",
    "Karlsruhe": "NNP",
    "Karnak": "NNP",
    "Karnes": "NNP",
    "Karns": "NNP",
    "Karnsund": "NNP",
    "Karo": "NNP",
    "Karol": "NN",
    "Karolinerna": "NNP",
    "Karolinska": "NNP",
    "Karos": "NNP",
    "Karp": "NNP",
    "Karpa": "NNP",
    "Karpov": "NNP",
    "Karre": "NNP",
    "Karshilama": "NNP",
    "Karsner": "NNP",
    "Karstadt": "NNP",
    "Kartalia": "NNP",
    "Kartasasmita": "NNP",
    "Kary": "NNP",
    "Kas": "NNP",
    "Kasai": "NNP",
    "Kasavubu": "NNP",
    "Kasen": "NNP",
    "Kashing": "NNP",
    "Kashpirovsky": "NNP",
    "Kasiva": "NNP",
    "Kaskaskia": "NNP",
    "Kasler": "NNP",
    "Kasparov": "NNP",
    "Kasper": "NNP",
    "Kasriel": "NNP",
    "Kass": "NNP",
    "Kass-Pedone": "NNP",
    "Kassal": "NNP",
    "Kassan": "NNP",
    "Kassar": "NNP",
    "Kassebaum": "NNP",
    "Kassem": "NNP",
    "Kasten": "NNP",
    "Kaster": "NNP",
    "Katanga": "NNP",
    "Katangan": "JJ",
    "Katangans": "NNPS",
    "Katcher": "NNP",
    "Kate": "NNP",
    "Katharina": "NNP",
    "Katharine": "NNP",
    "Kathe": "NNP",
    "Katherine": "NNP",
    "Kathie": "NNP",
    "Kathleen": "NNP",
    "Kathryn": "NNP",
    "Kathy": "NNP",
    "Katie": "NNP",
    "Katims": "NNP",
    "Katmandu": "NNP",
    "Kato": "NNP",
    "Katonah": "NNP",
    "Katow": "NNP",
    "Katsanos": "NNP",
    "Katsive": "NNP",
    "Katsuya": "NNP",
    "Kattus": "NNP",
    "Katutura": "NNP",
    "Katy": "NNP",
    "Katya": "NNP",
    "Katz": "NNP",
    "Katzenjammer": "NNP",
    "Katzenstein": "NNP",
    "Kauffeld": "NNP",
    "Kauffmann": "NNP",
    "Kaufhaus": "NNP",
    "Kaufhof": "NNP",
    "Kaufman": "NNP",
    "Kaufmann": "NNP",
    "Kaufnabb": "NNP",
    "Kaul": "NNP",
    "Kaulentis": "NNP",
    "Kavanagh": "NNP",
    "Kawasaki": "NNP",
    "Kawasaki-Rikuso": "NNP",
    "Kawecki": "NNP",
    "Kay": "NNP",
    "Kay-Bee": "NNP",
    "Kayabashi": "NNP",
    "Kayabashi-san": "NNP",
    "Kaydon": "NNP",
    "Kaye": "NNP",
    "Kayne": "NNP",
    "Kaysersberg": "NNP",
    "Kayton": "NNP",
    "Kaza": "NNP",
    "Kazakh": "NNP",
    "Kazakhstan": "NNP",
    "Kazan": "NNP",
    "Kazikaev": "NNP",
    "Kazis": "NNP",
    "Kazuhiko": "NNP",
    "Kazuo": "NNP",
    "Kazushige": "NNP",
    "Kchessinska": "NNP",
    "Ke": "NNP",
    "Kean": "NNP",
    "Keane": "NNP",
    "Keansburg": "NNP",
    "Kearney": "NNP",
    "Kearns": "NNP",
    "Kearny": "NNP",
    "Kearton": "NNP",
    "Keath": "NNP",
    "Keating": "NNP",
    "Keatingland": "NNP",
    "Keats": "NNP",
    "Keck": "NNP",
    "Kedgeree": "NN",
    "Kedzie": "NNP",
    "Kee-reist": "UH",
    "Keebler": "NNP",
    "Keeeerist": "UH",
    "Keefe": "NNP",
    "Keegan": "NNP",
    "Keehn": "NNP",
    "Keeler": "NNP",
    "Keeling": "NNP",
    "Keen": "NNP",
    "Keenan": "NNP",
    "Keene": "NNP",
    "Keeny": "NNP",
    "Keep": "VB|NNP",
    "Keepers": "NNS",
    "Keeping": "VBG|NNP",
    "Keeps": "VBZ",
    "Keerist": "UH",
    "Keeshond": "NN",
    "Keffer": "NNP",
    "Keg": "NNP",
    "Kegham": "NNP",
    "Kegler": "NNP",
    "Kehl": "NNP",
    "Keidanren": "NNP",
    "Keihin": "NNP",
    "Keilin": "NNP",
    "Keillor": "NNP",
    "Keio": "NNP",
    "Keith": "NNP",
    "Keiyo": "NNP",
    "Keizai": "NNP",
    "Keizaikai": "NNP",
    "Keizer": "NNP",
    "Kekisheva": "NNP",
    "Kel": "NNP",
    "Kell": "NNP",
    "Kellar": "NNP",
    "Kellaway": "NNP",
    "Kelleher": "NNP",
    "Keller": "NNP",
    "Kelley": "NNP",
    "Kelli": "NNP",
    "Kellmer": "NNP",
    "Kellner": "NNP",
    "Kellogg": "NNP",
    "Kellogg-Briand": "NNP",
    "Kellum": "NNP",
    "Kellwood": "NNP",
    "Kelly": "NNP",
    "Kelly/David": "NNP",
    "Kelman": "NNP",
    "Kelsey": "NNP",
    "Kelsey-Hayes": "NNP",
    "Kelseyville": "NNP",
    "Kelton": "NNP",
    "Kelts": "NNP",
    "Kemble": "NNP",
    "Kemchenjunga": "NNP",
    "Kemm": "NNP",
    "Kemp": "NNP",
    "Kempe": "NNP",
    "Kemper": "NNP",
    "Kempinski": "NNP",
    "Kempner": "NNP",
    "Kemps": "NNP",
    "Ken": "NNP",
    "Kenan": "NNP",
    "Kendall": "NNP",
    "Kendrick": "NNP",
    "Keng": "NNP",
    "Kenilworth": "NNP",
    "Kenji": "NNP",
    "Kenlake": "NNP",
    "Kenmare": "NNP",
    "Kenmore": "NNP",
    "Kennametal": "NNP",
    "Kennan": "NNP",
    "Kennard": "NNP",
    "Kennedy": "NNP",
    "Kennedy-Waxman": "NNP",
    "Kennedy-wordsmith": "NNP",
    "Kennedyesque": "JJ",
    "Kennel": "NNP",
    "Kennelly": "NNP",
    "Kenner": "NNP",
    "Kenneth": "NNP",
    "Kennett": "NNP",
    "Kennewick": "NNP",
    "Kenney": "NNP",
    "Kennington": "NNP",
    "Kennon": "NNP",
    "Kenny": "NNP",
    "Kenosha": "NNP",
    "Kensetsu": "NNP",
    "Kensington": "NNP",
    "Kent": "NNP",
    "Kentfield": "NNP",
    "Kenton": "NNP",
    "Kentuck": "NNP",
    "Kentucky": "NNP",
    "Kenworthy": "NNP",
    "Kenya": "NNP",
    "Kenyan": "JJ|NNP",
    "Kenyans": "NNPS",
    "Kenyon": "NNP",
    "Kenzo": "NNP",
    "Keo": "NNP",
    "Keogh": "NNP",
    "Keough": "NNP",
    "Kepler": "NNP",
    "Kerby": "NNP",
    "Kercheval": "NNP",
    "Kerensky": "NNP",
    "Kerich": "NNP",
    "Kerkorian": "NNP",
    "Kerkorian-owned": "JJ",
    "Kerlone": "NNP",
    "Kermit": "NNP",
    "Kern": "NNP",
    "Kernel": "NNP",
    "Kerner": "NNP",
    "Kerosene": "NN",
    "Kerouac": "NNP",
    "Kerr": "NNP",
    "Kerr-McGee": "NNP",
    "Kerr-Mills": "NNP",
    "KerrMcGee": "NNP",
    "Kerrey": "NNP",
    "Kerrville": "NNP",
    "Kerry": "NNP",
    "Kerschner": "NNP",
    "Kershbaum": "NNP",
    "Kersley": "NNP",
    "Kerson": "NNP",
    "Kerstin": "NNP",
    "Keschl": "NNP",
    "Keshtmand": "NNP",
    "Kessler": "NNP",
    "Kestner": "NNP",
    "Keswick": "NNP",
    "Ketchikan": "NNP",
    "Ketchum": "NNP",
    "Ketelsen": "NNP",
    "Keteyian": "NNP",
    "Keul": "NNP",
    "Kevah": "NNP",
    "Kevin": "NNP",
    "Kevlar": "NNP",
    "Key": "NNP|JJ",
    "Keye/Donna/Pearlstein": "NN",
    "Keyes": "NNP",
    "Keynes": "NNP",
    "Keynesian": "JJ",
    "Keynesians": "NNPS",
    "Keynotes": "NNS",
    "Keys": "NNP",
    "Keystone": "NNP",
    "Kezar": "NNP",
    "Kezziah": "NNP",
    "Khaju": "NNP",
    "Khalifa": "NNP",
    "Khan": "NNP",
    "Khare": "NNP",
    "Khartoum": "NNP",
    "Khasi": "NNP",
    "Kheel": "NNP",
    "Khin": "NNP",
    "Khivrich": "NNP",
    "Khmer": "NNP",
    "Khomeini": "NNP",
    "Khomeni": "NNP",
    "Khost": "NNP",
    "Khouja": "NNP",
    "Khrush": "NNP",
    "Khrushchev": "NNP",
    "Khrushchevs": "NNPS",
    "Khustndinov": "NNP",
    "Kia": "NNP",
    "Kiam": "NNP",
    "Kian": "NNP",
    "Kiang": "NNP",
    "Kiarti": "NNP",
    "Kibbutz": "NNP",
    "Kibbutzim": "NNS",
    "Kibbutzniks": "NNS",
    "Kid": "NNP",
    "Kid-Isoletta": "NNP",
    "Kidd": "NNP",
    "Kidder": "NNP|JJR",
    "Kiddie": "NNP",
    "Kidnaper": "NN",
    "Kidnapper": "NN",
    "Kids": "NNP|NNS|NNPS",
    "Kieffer": "NNP",
    "Kiefferm": "NNP",
    "Kiel": "NNP",
    "Kiep": "NNP",
    "Kieran": "NNP",
    "Kieslowski": "NNP",
    "Kiev": "NNP",
    "Kihei": "NNP",
    "Kika": "NNP",
    "Kiki": "NNP",
    "Kikiyus": "NNPS",
    "Kikkoman": "NNP",
    "Kiko": "NNP",
    "Kikuyu": "NNP",
    "Kildare": "NNP",
    "Kilduff": "NNP",
    "Kiley": "NNP",
    "Kilhour": "NNP",
    "Kililngsworth": "NNP",
    "Kill": "VB|NNP",
    "Killebrew": "NNP",
    "Killeen": "NNP",
    "Killelea": "NNP",
    "Killen": "NNP",
    "Killer": "NNP",
    "Killers": "NNPS",
    "Killing": "NN|NNP|VBG",
    "Killingsworth": "NNP",
    "Killington": "NNP",
    "Killion": "NNP",
    "Killips": "NNP",
    "Killory": "NNP",
    "Killow": "NNP",
    "Killpath": "NNP",
    "Kilpatrick": "NNP",
    "Kilty": "NNP",
    "Kim": "NNP",
    "Kimba": "NNP",
    "Kimball": "NNP",
    "Kimbark": "NNP",
    "Kimbell-Diamond": "NNP",
    "Kimberly": "NNP",
    "Kimberly-Clark": "NNP",
    "Kimbolton": "NNP",
    "Kimbrough": "NNP",
    "Kimco": "NNP",
    "Kimihide": "NNP",
    "Kimmel": "NNP",
    "Kimmell": "NNP",
    "Kimmelman": "NNP",
    "Kimpton": "NNP",
    "Kims": "NNPS",
    "Kimsong": "NNP",
    "Kincannon": "NNP",
    "Kind": "NNP|NN",
    "Kinda": "RB",
    "Kinder-Care": "NNP",
    "KinderCare": "NNP",
    "Kindergarten": "NN",
    "Kindertotenlieder": "FW",
    "King": "NNP",
    "Kingan": "NNP",
    "Kingdom": "NNP",
    "Kingdom-based": "JJ",
    "Kingdome": "NNP",
    "Kingfisher": "NNP",
    "Kingman": "NNP",
    "Kingpin": "NN",
    "Kings": "NNPS|NNP",
    "Kingsbridge": "NNP",
    "Kingsepp": "NNP",
    "Kingsford": "NNP",
    "Kingsley": "NNP",
    "Kingston": "NNP",
    "Kingstown": "NNP",
    "Kingsville": "NNP",
    "Kingwood": "NNP",
    "Kinji": "NNP",
    "Kinkaid": "NNP",
    "Kinnard": "NNP",
    "Kinnear": "NNP",
    "Kinnett": "NNP",
    "Kinnevik": "NNP",
    "Kinney": "NNP",
    "Kinnock": "NNP",
    "Kinsell": "NNP",
    "Kinsey": "NNP",
    "Kinsley": "NNP",
    "Kiowa": "NNP",
    "Kip": "NNP",
    "Kipling": "NNP|VBG",
    "Kipp": "NNP",
    "Kippur": "NNP",
    "Kira": "NNP",
    "Kiran": "NNP",
    "Kirby": "NNP",
    "Kirchberger": "NNP",
    "Kirghiz": "NNP",
    "Kirgizia": "NNP",
    "Kirin": "NNP",
    "Kirk": "NNP",
    "Kirkendall": "NNP",
    "Kirkland": "NNP",
    "Kirkpatrick": "NNP",
    "Kirkwood": "NNP",
    "Kirnan": "NNP",
    "Kirov": "NNP",
    "Kirsch": "NNP",
    "Kirschbaum": "NNP",
    "Kirschner": "NNP",
    "Kiryat": "NNP",
    "Kis": "NNP",
    "Kisen": "NNP",
    "Kisha": "FW",
    "Kishimoto": "NNP",
    "Kiss": "VB",
    "Kissak": "NNP",
    "Kisscorni": "NNP",
    "Kissick": "NNP",
    "Kissin": "NNP",
    "Kissing": "VBG",
    "Kissinger": "NNP",
    "Kita": "NNP",
    "Kitada": "NNP",
    "Kitamura": "NNP",
    "Kitaro": "NNP",
    "Kitcat": "NNP",
    "Kitchen": "NN|NNP",
    "Kitchin": "NNP",
    "Kitti": "NNP",
    "Kittler": "NNP",
    "Kittredge": "NNP",
    "Kitty": "NNP",
    "Kivu": "NNP",
    "Kiwanis": "NNP",
    "Kiyoi": "NNP",
    "Kiyotaka": "NNP",
    "Kiz": "NNP",
    "Kizzie": "NNP",
    "Klamath": "NNP",
    "Klan": "NNP",
    "Klansmen": "NNPS",
    "Klass": "NNP",
    "Klatman": "NNP",
    "Klatsky": "NNP",
    "Klauber": "NNP",
    "Klauer": "NNP",
    "Klaus": "NNP",
    "Klauser": "NNP",
    "Klawitter": "NNP",
    "Kleber": "NNP",
    "Kleenex": "NNP",
    "Klees": "NNP",
    "Kleiber": "NNP",
    "Kleiman": "NNP",
    "Klein": "NNP",
    "Kleinaitis": "NNP",
    "Kleiner": "NNP",
    "Kleinman": "NNP",
    "Kleinwort": "NNP",
    "Kleissas": "NNP",
    "Kleist": "NNP",
    "Klejna": "NNP",
    "Klemperer": "NNP",
    "Klerk": "NNP",
    "Klesken": "NNP",
    "Klette": "NNP",
    "Kligman": "NNP",
    "Klimpl": "NNP",
    "Klimt": "NNP",
    "Kline": "NNP",
    "Klineberg": "NNP",
    "Klinger": "NNP",
    "Klinico": "NNP",
    "Klinsky": "NNP",
    "Klipstein": "NNP",
    "Kloeckner": "NNP",
    "Kloman": "NNP",
    "Klondike": "NNP",
    "Kloner": "NNP",
    "Klopfenstein": "NNP",
    "Kloske": "NNP",
    "Kloves": "NNP",
    "Kluckhohn": "NNP",
    "Kluge": "NNP",
    "Klugt": "NNP",
    "Klute": "NNP",
    "Klux": "NNP",
    "Knapek": "NNP",
    "Knapp": "NNP",
    "Knappertsbusch": "NNP",
    "Knauer": "NNP",
    "Knead": "VB",
    "Kneale": "NNP",
    "Knecht": "NNP",
    "Knee": "NN",
    "Kneeling": "VBG",
    "Knesset": "NNP",
    "Knickerbocker": "NNP",
    "Knife": "NNP",
    "Knife-grinder": "NNP",
    "Knight": "NNP|VBP",
    "Knight-Ridder": "NNP",
    "Knightes": "NNP",
    "Knightfall": "NNP",
    "Knights": "NNP|NNPS|NNS",
    "Knightsbridge": "NNP",
    "Knill": "NNP",
    "Knit": "VB",
    "Knitwear": "NNP",
    "Knock": "VB",
    "Knogo": "NNP",
    "Knoll": "NNP",
    "Knopf": "NNP",
    "Knorr": "NNP",
    "Knots": "NNP",
    "Know": "NNP|VB|VBP",
    "Know-Nothing": "JJ",
    "Know-nothings": "NNS",
    "Knowing": "VBG",
    "Knowledge": "NN",
    "KnowledgeWare": "NNP",
    "Knowledgeable": "JJ",
    "Knowledgeware": "NNP",
    "Knowlton": "NNP",
    "Known": "VBN",
    "Knows": "VBZ",
    "Knox": "NNP",
    "Knox-like": "JJ",
    "Knoxville": "NNP",
    "Knudsen": "NNP",
    "Knudson": "NNP",
    "Knuettel": "NNP",
    "Knupp": "NNP",
    "Knute": "NNP",
    "Knutz": "NNP",
    "Ko": "NNP",
    "Koa": "NNP",
    "Kobacker": "NNP",
    "Kobayashi": "NNP",
    "Kobe": "NNP",
    "Kobrand": "NNP",
    "Koch": "NNP",
    "Kochan": "NNP",
    "Kochanek": "NNP",
    "Kochaneks": "NNPS",
    "Kochis": "NNP",
    "Kochitov": "NNP",
    "Kochola": "NNP",
    "Kodak": "NNP",
    "Kodaks": "NNPS",
    "Kodama": "NNP",
    "Kodansha": "NNP",
    "Kodiak": "NNP",
    "Kodyke": "NNP",
    "Koehler": "NNP",
    "Koenig": "NNP",
    "Koenigsberg": "NNP",
    "Koepf": "NNP",
    "Koeppel": "NNP",
    "Koerner": "NNP",
    "Kofanes": "NNS",
    "Kofcoh": "NNP",
    "Koffman": "NNP",
    "Kogan": "NNP",
    "Kogyo": "NNP",
    "Koh": "NNP",
    "Kohi": "FW",
    "Kohl": "NNP",
    "Kohlberg": "NNP",
    "Kohler": "NNP",
    "Kohnstamm": "NNP",
    "Kohnstamm-negative": "JJ",
    "Kohnstamm-positive": "JJ|NNP",
    "Kohrs": "NNP",
    "Kohut": "NNP",
    "Koito": "NNP",
    "Koizumi": "NNP",
    "Koji": "NNP",
    "Kok": "NNP",
    "Kokoschka": "NNP",
    "Kokubu": "NNP",
    "Kokusai": "NNP",
    "Kolakowski": "NNP",
    "Kolb": "NNP",
    "Kolber": "NNP",
    "Kolberg": "NNP",
    "Kolff": "NNP",
    "Kollmorgen": "NNP",
    "Kolman": "NNP",
    "Kolpakova": "NNP",
    "Kolsrud": "NNP",
    "Kolstad": "NNP",
    "Komatsu": "NNP",
    "Kombo": "NNP",
    "Komleva": "NNP",
    "Komori": "NNP",
    "Kompakt": "NNP",
    "Komsomol": "NNP",
    "Komsomolskaya": "NNP",
    "Komurasaki": "NNP",
    "Kon": "NNP",
    "Kona": "NNP",
    "Kondo": "NNP",
    "Kondratas": "NNP",
    "Kong": "NNP",
    "Kong-based": "JJ|NNP",
    "Kong-dollar": "NN",
    "Kongsberg": "NNP",
    "Konheim": "NNP",
    "Konigsberg": "NNP",
    "Konikow": "NNP",
    "Koninklijke": "NNP",
    "Konishi": "NNP",
    "Konitz": "NNP",
    "Konner": "NNP",
    "Konopnicki": "NNP",
    "Konowitch": "NNP",
    "Konrad": "NNP",
    "Konstantin": "NNP",
    "Kontrollbank": "NNP",
    "Konzerthaus": "NNP",
    "Kooks": "NNPS",
    "Kool-Aid": "NNP",
    "Kooning": "NNP",
    "Koop": "NNP",
    "Koopman": "NNP",
    "Koor": "NNP",
    "Kooten": "NNP",
    "Kopcke": "NNP",
    "Kopp": "NNP",
    "Koppel": "NNP",
    "Koppers": "NNP",
    "Kopstein": "NNP",
    "Koran": "NNP",
    "Korando": "NNP",
    "Korbich": "NNP",
    "Korbin": "NNP",
    "Korda": "NNP",
    "Korea": "NNP",
    "Korea-basher": "NN",
    "Koreagate": "NNP",
    "Korean": "JJ|NNP",
    "Korean-American": "JJ|NNP",
    "Korean-Americans": "NNPS",
    "Korean-U.S.": "NNP",
    "Koreans": "NNPS|NNS",
    "Korff": "NNP",
    "Kori": "NNP",
    "Korman": "NNP",
    "Korn": "NNP",
    "Korn/Ferry": "NNP",
    "Kornbluth": "NNP",
    "Kornevey": "NNP",
    "Korneyev": "NNP",
    "Korneyeva": "NNP",
    "Kornfield": "NNP",
    "Korngold": "NNP",
    "Kornick": "NNP",
    "Kornreich": "NNP",
    "Korobytsin": "NNP",
    "Korobytsins": "NNS",
    "Korotich": "NNP",
    "Korowin": "NNP",
    "Korps": "NNP",
    "Korra": "NNP",
    "Kors": "NNP",
    "Kortunov": "NNP",
    "Kos": "NNP",
    "Kosan": "NNP",
    "Kosar": "NNP",
    "Koshare": "NNP",
    "Koshland": "NNP",
    "Koskotas": "NNP",
    "Kosonen": "NNP",
    "Kosovo": "NNP",
    "Kossuth": "NNP",
    "Kostelanetz": "NNP",
    "Kotman": "NNP",
    "Kotobuki": "NNP",
    "Kots": "NNP",
    "Kouji": "NNP",
    "Koussevitzky": "NNP",
    "Kovacic": "NNP",
    "Kowa": "NNP",
    "Kowalski": "NNP",
    "Koyata": "NNP",
    "Koyo": "NNP",
    "Kozak": "NNP",
    "Kozinski": "NNP",
    "Kozintsev": "NNP",
    "Kozloff": "NNP",
    "Kozuo": "NNP",
    "Kraemer": "NN",
    "Kraft": "NNP",
    "Krakatoa": "NNP",
    "Krakow": "NNP",
    "Krakowiak": "NNP",
    "Kramer": "NNP",
    "Krampe": "NNP",
    "Krane": "NNP",
    "Krapels": "NNP",
    "Krapp": "NNP",
    "Krasnik": "NNP",
    "Krasnow": "NNP",
    "Krasnoyarsk": "NNP",
    "Krat": "NNP",
    "Krause": "NNP",
    "Krauss": "NNP",
    "Krauss-Maffei": "NNP",
    "Krauts": "NNS",
    "Kravis": "NNP",
    "Kravitz": "NNP",
    "Krebs": "NNP",
    "Kredietbank": "NNP",
    "Kreditanstalt": "NNP",
    "Kreditkasse": "NNP",
    "Kreisler": "NNP",
    "Kremlin": "NNP",
    "Krenz": "NNP",
    "Krepon": "NNP",
    "Kresa": "NNP",
    "Kress": "NNP",
    "Kretchmer": "NNP",
    "Kreuter": "NNP",
    "Kreutzer": "NNP",
    "Krick": "NNP",
    "Krieger": "NNP",
    "Krim": "NNP",
    "Krims": "NNPS",
    "Kringle": "NNP",
    "Krisher": "NNP",
    "Krishna": "NNP",
    "Krishnaists": "NNS",
    "Krishnamurthy": "NNP",
    "Krishnaswami": "NNP",
    "Krispies": "NNPS",
    "Kriss": "NNP",
    "Krist": "UH",
    "Kristallstrukturen": "FW",
    "Kristen": "NNP",
    "Kristiansen": "NNP",
    "Kristin": "NNP",
    "Kristine": "NNP",
    "Kristol": "NNP",
    "Kriz": "NNP",
    "Kroc": "NNP",
    "Kroczek": "NNP",
    "Kroening": "NNP",
    "Kroger": "NNP",
    "Krogers": "NNPS",
    "Krohley": "NNP",
    "Krohn": "NNP",
    "Kroll": "NNP",
    "Kroller-Muller": "NNP",
    "Kromy": "NNP",
    "Kron": "NNP",
    "Kronenberger": "NNP",
    "Kronish": "NNP",
    "Kropp": "NNP",
    "Krueger": "NNP",
    "Krug": "NNP",
    "Kruger": "NNP",
    "Kruk": "NNP",
    "Krumpp": "NNP",
    "Krupa": "NNP",
    "Krupp": "NNP",
    "Krutch": "NNP",
    "Krutchensky": "NNP",
    "Krys": "NNP",
    "Krysalis": "NNP",
    "Krystallographie": "NNP",
    "Kryuchkov": "NNP",
    "Krzysztof": "NNP",
    "Krzywy-Rog": "NNP",
    "Ku": "NNP",
    "Kuala": "NNP",
    "Kuan": "NNP",
    "Kubek": "NNP",
    "Kucharski": "NNP",
    "Kudlow": "NNP",
    "Kuehler": "NNP",
    "Kuehn": "NNP",
    "Kueneke": "NNP",
    "Kuhlke": "NNP",
    "Kuhlman": "NNP",
    "Kuhn": "NNP",
    "Kuhns": "NNP",
    "Kuiper": "NNP",
    "Kulani": "NNP",
    "Kulongoski": "NNP",
    "Kulturbund": "NNP",
    "Kum": "NNP",
    "Kumagai": "NNP",
    "Kumagai-Gumi": "NNP",
    "Kumble": "NNP",
    "Kume": "NNP",
    "Kummerfeld": "NNP",
    "Kunashir": "NNP",
    "Kung": "NN",
    "Kuniji": "NNP",
    "Kunkel": "NNP",
    "Kunste": "NNP",
    "Kunz": "NNP",
    "Kunze": "NNP",
    "Kuomintang": "NNP",
    "Kuparuk": "NNP",
    "Kupcinet": "NNP",
    "Kupelian": "NNP",
    "Kuperberg": "NNP",
    "Kupor": "NNP",
    "Kurabo": "NNP",
    "Kuraray": "NNP",
    "Kurd": "NNP",
    "Kurdish": "JJ",
    "Kurds": "NNPS",
    "Kurigalzu": "NNP",
    "Kurile": "NNP",
    "Kuriles": "NNP",
    "Kurlak": "NNP",
    "Kurland": "NNP",
    "Kurlander": "NNP",
    "Kurnit": "NNP",
    "Kurosaki": "NNP",
    "Kursk": "NNP",
    "Kurt": "NNP",
    "Kurtanjek": "NNP",
    "Kurth": "NNP",
    "Kurtwood": "NNP",
    "Kurtz": "NNP",
    "Kurtzig": "NNP",
    "Kurzweil": "NNP",
    "Kuse": "NNP",
    "Kuser": "NNP",
    "Kushkin": "NNP",
    "Kushnick": "NNP",
    "Kuster": "NNP",
    "Kutak": "NNP",
    "Kutney": "NNP",
    "Kuttner": "NNP",
    "Kutz": "NNP",
    "Kutzke": "NNP",
    "Kuvin": "NNP",
    "KuwAm": "NNP",
    "Kuwait": "NNP",
    "Kuwaiti": "JJ",
    "Kwaishinsha": "NNP",
    "Kwame": "NNP",
    "Kwan": "NNP",
    "Kwang": "NNP",
    "Kwango": "NNP",
    "Kwasha": "NNP",
    "Kweisi": "NNP",
    "Kwek": "NNP",
    "Kwik": "NNP",
    "Kwon": "NNP",
    "Kwong": "NNP",
    "Ky": "NNP",
    "Ky.": "NNP",
    "Ky.-based": "JJ",
    "Kyi": "NNP",
    "Kylberg": "NNP",
    "Kyle": "NNP",
    "Kymberly": "NNP",
    "Kyne": "NNP",
    "Kynikos": "NNP",
    "Kyo": "NNP",
    "Kyo-zan": "NN",
    "Kyocera": "NNP",
    "Kyodo": "NNP",
    "Kyong": "NNP",
    "Kyoto": "NNP",
    "Kyowa": "NNP",
    "Kysor": "NNP",
    "Kyu": "NNP",
    "Kyushu": "NNP",
    "Kyzyl": "NNP",
    "L": "NNP",
    "L&N": "NNP",
    "L-1011": "NNP",
    "L-5-vinyl-2-thio-oxazolidone": "NN",
    "L-P": "NNP",
    "L-shaped": "JJ",
    "L.": "NNP",
    "L.A": "NNP",
    "L.A.": "NNP",
    "L.B.": "NNP",
    "L.C.": "NNP",
    "L.E.": "NNP",
    "L.F.": "NNP",
    "L.H.": "NNP",
    "L.J.": "NNP",
    "L.L.": "NNP",
    "L.M.": "NNP",
    "L.P": "NNP",
    "L.P.": "NNP",
    "L.P.V": "NNP",
    "L.R.": "NNP",
    "L.S.U.": "NNP",
    "L.T.": "NNP",
    "LA": "NNP",
    "LABOR": "NN|NNP",
    "LABORATORIES": "NNP",
    "LAC": "NNP",
    "LAMBERT": "NNP",
    "LAN": "NNP",
    "LAND": "NNP",
    "LANDOR": "NNP",
    "LARGEST": "JJS",
    "LASHED": "VBD",
    "LATE": "JJ|RB|NNP",
    "LATE-BREAKING": "JJ",
    "LATEST": "JJS",
    "LAW": "NN|NNP",
    "LAWMAKERS": "NNS",
    "LAWSON": "NNP",
    "LAWYER": "NN",
    "LAWYERS": "NNS|NNP",
    "LAYOFFS": "NNS",
    "LBJ": "NNP",
    "LBO": "NNP",
    "LBO-related": "JJ",
    "LBOs": "NNS|NNPS",
    "LD": "NN",
    "LD056": "NN",
    "LD060": "NN",
    "LDC": "NNP",
    "LDCs": "NNPS",
    "LDI": "NNP",
    "LDP": "NNP",
    "LDS": "NNP",
    "LEADER": "NN",
    "LEADERS": "NNS",
    "LEAVE": "NN",
    "LEAVING": "VBG",
    "LEBANESE": "JJ",
    "LEHMAN": "NNP",
    "LENSES": "NNS",
    "LETTER": "NN",
    "LEVERAGED": "VBN",
    "LEVINE": "NNP",
    "LIBERTY": "NNP",
    "LIBOR": "NNP",
    "LICENSE": "NN",
    "LIES": "VBZ",
    "LIFETIME": "NNP",
    "LIKE": "IN",
    "LIMB": "NN",
    "LIMITED": "NNP|JJ",
    "LIN": "NNP",
    "LIN-BellSouth": "NNP|JJ",
    "LINCOLN": "NNP",
    "LINK-UP": "NN",
    "LINTAS": "NNP",
    "LISA": "NNP",
    "LIT": "NNP",
    "LITORIGIN": "NN",
    "LIVERPOOL": "NNP",
    "LIVESTOCK": "NN|NNP",
    "LJH": "NNP",
    "LJN": "NNP",
    "LLerena": "NNP",
    "LM": "NNP",
    "LME": "NNP",
    "LMEYER": "NNP",
    "LOAN": "NNP",
    "LOBBIES": "VBZ",
    "LOBSTERS": "NNS",
    "LOC": "NNP",
    "LOCKHEED": "NNP",
    "LOGIC": "NNP",
    "LONDON": "NNP",
    "LONG-TERM": "JJ",
    "LONGS": "NNP",
    "LOOKING": "VBG",
    "LOOM": "VBZ",
    "LOS": "NNP",
    "LOSES": "VBZ",
    "LOSSES": "NNS",
    "LOSS": "NN",
    "LOT": "NNP",
    "LOTUS": "NNP",
    "LOUIS": "NNP",
    "LOW": "RB",
    "LOWER": "JJR",
    "LP": "NNP",
    "LPL": "NNP",
    "LS": "NNP",
    "LS400": "NN|NNP",
    "LSC": "NNP",
    "LSI": "NNP",
    "LSO": "NNP",
    "LSU": "NNP",
    "LSX": "NNP",
    "LTCB": "NNP",
    "LTD": "NNP",
    "LTV": "NNP",
    "LUTHER": "NNP",
    "LUXURY": "NN",
    "LVI": "NNP",
    "LVMH": "NNP",
    "LX": "NNP",
    "LXI": "NNP",
    "LXi": "NNP",
    "LYNCH": "NNP",
    "LYONs": "NNS",
    "La": "NNP|FW",
    "La-la-landers": "NNS",
    "La.": "NNP",
    "LaBella": "NNP",
    "LaBerge": "NNP",
    "LaBonte": "NNP",
    "LaBoon": "NNP",
    "LaBow": "NNP",
    "LaCroix": "NNP",
    "LaFalce": "NNP",
    "LaGow": "NNP",
    "LaGrange": "NNP",
    "LaGuardia": "NNP",
    "LaLonde": "NNP",
    "LaMacchia": "NNP",
    "LaMantia": "NNP",
    "LaMore": "NNP",
    "LaMothe": "NNP",
    "LaRiviere": "NNP",
    "LaRosa": "NNP",
    "LaSalle": "NNP",
    "LaWare": "NNP",
    "LaWarre": "NNP",
    "Lab": "NNP",
    "Laban": "NNP",
    "Laband": "NNP",
    "Labans": "NNP",
    "Labaton": "NNP",
    "Labatt": "NNP",
    "Labe": "NNP",
    "Labeling": "VBG",
    "Labor": "NNP",
    "Laboratories": "NNPS",
    "Laboratorium": "NNP",
    "Laboratory": "NNP",
    "Laboring": "VBG",
    "Labothe": "NNP",
    "Labouisse": "NNP",
    "Labour": "NNP",
    "Labovitz": "NNP",
    "Labow": "NNP",
    "Labrador": "NNP",
    "Labs": "NNPS",
    "Lac": "NNP",
    "Lacey": "NNP",
    "Lachica": "NNP",
    "Lack": "NN|NNP",
    "Lackey": "NNP",
    "Lacking": "VBG",
    "Lackland": "NNP",
    "Lackluster": "JJ",
    "Lacroix": "NNP",
    "Lacy": "NNP",
    "Lada": "NNP",
    "Ladas": "NNP",
    "Ladbroke": "NNP",
    "Ladd": "NNP",
    "Ladehoff": "NNP",
    "Ladenburg": "NNP",
    "Ladgham": "NNP",
    "Ladies": "NNP|NNS|NNPS",
    "Ladislav": "NNP",
    "Lady": "NNP",
    "Laenderbank": "NNP",
    "Lafarge": "NNP",
    "Lafayette": "NNP",
    "Lafe": "NNP",
    "Laff": "NNP",
    "Lafite-Rothschild": "NNP",
    "Lafontant": "NNP",
    "Lag": "NN",
    "Lagerlof": "NNP",
    "Lagnado": "NNP",
    "Lagonda": "NNP",
    "Lagoon": "NNP",
    "Lagrange": "NNP",
    "Lags": "VBZ",
    "Laguerre": "NNP",
    "Laguna": "NNP",
    "Lahan": "NNP",
    "Lahus": "NNP",
    "Lai": "NNP",
    "Laicos": "NNP",
    "Laidig": "NNP",
    "Laidlaw": "NNP",
    "Laima": "NNP",
    "Laing": "NNP",
    "Laird": "NNP",
    "Lake": "NNP",
    "Lakeland": "NNP",
    "Lakers": "NNP",
    "Lakes": "NNP|NNPS",
    "Lakeshore": "NNP",
    "Lakewood": "NNP",
    "Lakshmipura": "NNP",
    "Lal": "NNP",
    "Lalaurie": "NNP",
    "Lalauries": "NNPS",
    "Lama": "NNP",
    "Lamalie": "NNP",
    "Lamar": "NNP",
    "Lamarche": "NNP",
    "Lamb": "NNP",
    "Lambarene": "NNP",
    "Lambda": "NNP",
    "Lamberjack": "NNP",
    "Lambert": "NNP",
    "Lamberth": "NNP",
    "Lambeth": "NNP",
    "Lamborghini": "NNP",
    "Lamentation": "NNP",
    "Lamle": "NNP",
    "Lamm": "NNP",
    "Lamma": "NNP",
    "Lammermoor": "NNP",
    "Lamon": "NNP",
    "Lamos": "NNP",
    "Lampe": "NNP",
    "Lamphere": "NNP",
    "Lampoon": "NNP",
    "Lamson": "NNP",
    "Lamy": "NNP",
    "Lamy-Lutti": "NNP",
    "Lana": "NNP",
    "Lancashire": "NNP",
    "Lancaster": "NNP",
    "Lance": "NNP",
    "Lancet": "NNP",
    "Lancia": "NNP",
    "Lancome": "NNP",
    "Lancret": "NNP",
    "Land": "NNP|VBP",
    "Land-O-Sun": "NNP",
    "Land-Rover": "NNP",
    "Land-based": "JJ",
    "Landa": "NNP",
    "Landau": "NNP",
    "Lande": "NNP",
    "Lander": "NNP",
    "Landerbank": "NNP",
    "Landers": "NNP",
    "Landesbank": "NNP",
    "Landesbank-Girozentrale": "NNP",
    "Landesco": "NNP",
    "Landesrentenbank": "NNP",
    "Landfill": "NN|NNP",
    "Landing": "NNP|VBG",
    "Landini": "NNP",
    "Landis": "NNP",
    "Landmark": "NNP",
    "Landon": "NNP",
    "Landonne": "NNP",
    "Landor": "NNP",
    "Landover": "NNP",
    "Landowners": "NNS",
    "Landrieu": "NNP",
    "Landrum-Griffin": "NNP",
    "Landry": "NNP",
    "Lands": "NNPS|NNS",
    "Landscape": "NNP",
    "Lane": "NNP",
    "Lanes": "NNS",
    "Lanese": "NNP",
    "Lanesmanship": "NN",
    "Lanesville": "NNP",
    "Lang": "NNP|JJ",
    "Langbo": "NNP",
    "Langeland": "NNP",
    "Langendorf": "NNP",
    "Langer": "NNP",
    "Langevin": "NNP",
    "Langford": "NNP",
    "Langhorne": "NNP",
    "Langley": "NNP",
    "Langner": "NNP",
    "Langsdorf": "NNP",
    "Langstaff": "NNP",
    "Langton": "NNP",
    "Language": "NN|NNP",
    "Languages": "NNP|NNPS",
    "Lanham": "NNP",
    "Lanier": "NNP",
    "Lanin": "NNP",
    "Lanka": "NNP",
    "Lankford": "NNP",
    "Lannon": "NNP",
    "Lanny": "NNP",
    "Lansbury": "NNP",
    "Lansing": "NNP",
    "Lanston": "NNP",
    "Lante": "NNP",
    "Lantos": "NNP",
    "Lantz": "NNP",
    "Lanvin": "NNP",
    "Lanvin-owned": "JJ",
    "Lanyi": "NNP",
    "Lanza": "NNP",
    "Lanzhou": "NNP",
    "Lao": "NNP|JJ",
    "Lao-tse": "NNP",
    "Laodicean": "JJ|NNP",
    "Laos": "NNP",
    "Laotian": "JJ",
    "Laotians": "NNS",
    "Lap": "NNP",
    "Lapham": "NNP",
    "Laphroaig": "NNP",
    "Lapides": "NNP",
    "Lapin": "FW",
    "Laplace": "NNP",
    "Lapointe": "NNP",
    "Laporte": "NNP",
    "Lapp": "NNP",
    "Lappenberg": "NNP",
    "Lappenburg-Kemble": "NNP",
    "Lapps": "NNPS",
    "Laptev": "NNP",
    "Laptop": "NN",
    "Laptops": "NNS",
    "Lara": "NNP",
    "Laramie": "NNP",
    "Larchmont": "NNP",
    "Laredo": "NNP",
    "Large": "JJ|NNP",
    "Large-deposit": "JJ",
    "Large-package": "JJ",
    "Large-screen": "JJ",
    "Largely": "RB",
    "Larger": "JJR",
    "Largo": "NNP",
    "Larimer": "NNP",
    "Larisa": "NNP",
    "Larish": "NNP",
    "Lark": "NNP",
    "Larkin": "NNP",
    "Larkins": "NNP",
    "Larkspur": "NNP",
    "Laro": "NNP",
    "Larry": "NNP",
    "Lars": "NNP",
    "Lars-Erik": "NNP",
    "Larsen": "NNP",
    "Larson": "NNP",
    "Larsson": "NNP",
    "Las": "NNP",
    "Lascar": "NNP",
    "Lascivious": "NNP",
    "Lasco": "NNP",
    "Laser": "NNP",
    "LaserTripter": "NNP",
    "LaserWriter": "NNP",
    "Lasers": "NNS",
    "Laserscope": "NNP",
    "Lashof": "NNP",
    "Lasker": "NNP",
    "Lasmo": "NNP",
    "Lasorda": "NNP",
    "Lass": "NNP",
    "Lassie": "NNP",
    "Lassila": "NNP",
    "Lassus": "NNP",
    "Lasswitz": "NNP",
    "Last": "JJ|NNP|RB|VB",
    "Lastly": "RB",
    "Laswick": "NNP",
    "Laszlo": "NNP",
    "Latchford": "NNP",
    "Late": "RB|JJ|NNP",
    "Late-night": "JJ",
    "Lateiner": "NNP",
    "Lately": "RB|NNP",
    "Later": "RB|JJR|RBR",
    "Lateral": "NNP",
    "Lateran": "NNP",
    "Latest": "JJS",
    "Latest-quarter": "JJ",
    "Latham": "NNP",
    "Lathouris": "NNP",
    "Latin": "NNP|JJ|NNPS",
    "Latino": "JJ",
    "Latinovich": "NNP",
    "Latour": "NNP",
    "Latowski": "NNP",
    "Latter": "NN|NNP",
    "Latter-day": "JJ",
    "Lattice": "NNP",
    "Lattimer": "NNP",
    "Latvia": "NNP",
    "Latvian": "JJ|NNP",
    "Latvians": "NNPS",
    "Lauber": "NNP",
    "Lauchli": "NNP",
    "Laudably": "RB",
    "Laude": "NNP",
    "Lauder": "NNP",
    "Lauderdale": "NNP",
    "Lauderhill": "NNP",
    "Laue": "NNP",
    "Lauer": "NNP",
    "Laufenberg": "NNP",
    "Laugh": "NNP",
    "Laughing": "NNP",
    "Laughlin": "NNP",
    "Launch": "NN|VB",
    "Launched": "VBN",
    "Launches": "VBZ",
    "Launching": "VBG",
    "Launder": "NNP",
    "Launder-Ometer": "NNP",
    "Laundered": "VBN",
    "Laura": "NNP",
    "Laurance": "NNP",
    "Laurel": "NNP",
    "Lauren": "NNP",
    "Laurence": "NNP",
    "Laurene": "NNP",
    "Laurent": "NNP",
    "Laurentian": "NNP",
    "Laurentiis": "NNP",
    "Laurents": "NNP",
    "Lauri": "NNP",
    "Laurie": "NNP",
    "Lauritsen": "NNP",
    "Lauritz": "NNP",
    "Lauro": "NNP",
    "Lausanne": "NNP",
    "Lautenbach": "NNP",
    "Lautenberg": "NNP",
    "Lautner": "NNP",
    "Laux": "NNP",
    "Laval": "NNP",
    "Lavallade": "NNP",
    "Lavaro": "NN",
    "Lavato": "NNP",
    "Lavaughn": "NNP",
    "Lavelle": "NNP",
    "Laventhol": "NNP",
    "Laverne": "JJ",
    "Laverty": "NNP",
    "Lavery": "NNP",
    "Lavidge": "NNP",
    "Lavin": "NNP",
    "Lavity": "NNP",
    "Lavoisier": "NNP",
    "Lavoro": "NNP",
    "Law": "NNP",
    "Law-enforcement": "JJ|NN",
    "Lawford": "NNP",
    "Lawful": "JJ",
    "Lawless": "NNP",
    "Lawmakers": "NNS|NNPS",
    "Lawmaking": "JJ",
    "Lawn": "NNP",
    "Lawn-Boy": "NNP",
    "Lawrence": "NNP",
    "Lawrenceville": "NNP",
    "Lawrenson": "NNP",
    "Laws": "NNS|NNP",
    "Lawson": "NNP",
    "Lawson-Walters": "NNP",
    "Lawsuit": "NNP",
    "Lawsuits": "NN|NNS|NNP",
    "Lawton": "NNP",
    "Lawyer": "NNP",
    "Lawyers": "NNS|NNP|NNPS",
    "Lay": "NNP|VBD|VBP",
    "Laying": "VBG|NNP",
    "Layman": "NNP",
    "Layout": "NN",
    "Layton": "NNP",
    "Lazar": "NNP",
    "Lazard": "NNP",
    "Lazare": "NNP",
    "Lazarus": "NNP",
    "Lazy": "NNP",
    "Lazybones": "NNP|NNS",
    "Lazzaroni": "NNP",
    "Lazzeri": "NNP",
    "Le": "NNP|FW",
    "LeBaron": "NNP",
    "LeBoutillier": "NNP",
    "LeBow": "NNP",
    "LeBrun": "NNP",
    "LeCarre": "NNP",
    "LeCave": "NNP",
    "LeClair": "NNP",
    "LeCompte": "NNP",
    "LeFevre": "NNP",
    "LeFrere": "NNP",
    "LeGere": "NNP",
    "LeMans": "NNP",
    "LeMasters": "NNP",
    "LeMay": "NNP",
    "LePatner": "NNP",
    "LeRoy": "NNP",
    "LeSabre": "NNP",
    "LeSourd": "NNP",
    "LeVecke": "NNP",
    "Lea": "NNP",
    "Leach": "NNP",
    "Lead": "JJ|NN|VB",
    "Leadbetter": "NNP",
    "Leader": "NNP",
    "Leaders": "NNS|NNPS",
    "Leadership": "NN|NNP",
    "Leading": "VBG|JJ|NNP",
    "Leads": "VBZ",
    "Leaf": "NNP|NN",
    "League": "NNP",
    "League-sponsored": "JJ",
    "Leaguers": "NNP|NNPS",
    "Leagues": "NNPS",
    "Leahy": "NNP",
    "Leale": "NNP",
    "Leamington": "NNP",
    "Lean": "VB|NNP",
    "Leaning": "NNP|VBG",
    "Leap": "NNP",
    "Leaping": "VBG",
    "Lear": "NNP|JJ",
    "Learn": "VB|NNP",
    "Learned": "NNP|VBD",
    "Learning": "NNP|VBG",
    "Leary": "NNP",
    "Leasco": "NNP",
    "Lease": "NNP",
    "Leaseway": "NNP",
    "Leasing": "NNP|VBG",
    "Leason": "NNP",
    "Least": "JJS",
    "Least-cost": "JJ",
    "Leasure": "NN",
    "Leath": "NNP",
    "Leather": "NNP",
    "Leatherman": "NNP",
    "Leatherneck": "NNP",
    "Leave": "VB",
    "Leavenworth": "NNP",
    "Leaves": "NNS",
    "Leaving": "VBG",
    "Leavitt": "NNP",
    "Lebanese": "JJ|NNPS",
    "Lebanese-controlled": "JJ",
    "Lebanon": "NNP",
    "Lebans": "NNP",
    "Leben": "NNP",
    "Leber": "NNP",
    "Leblanc": "NNP",
    "Leblang": "NNP",
    "Lebo": "NNP",
    "Lebow": "NNP",
    "LecTec": "NNP",
    "Lech": "NNP",
    "Leche": "NNP",
    "Lecheria": "NNP",
    "Lecky": "NNP",
    "Lectec": "NNP",
    "Lecture": "NNP",
    "Lecturer": "NNP",
    "Lectures": "NNPS|NNS",
    "Led": "VBN|VBD",
    "Lederberg": "NNP",
    "Lederer": "NNP",
    "Lederle": "NNP",
    "Ledford": "NNP",
    "Ledge": "NN|NNP",
    "Ledger": "NNP",
    "Ledoux": "NNP",
    "Ledyard": "NNP",
    "Lee": "NNP",
    "Lee-based": "JJ",
    "Leech": "NNP",
    "Leeches": "NNS",
    "Leeds": "NNP",
    "Leemans": "NNP",
    "Leery": "JJ",
    "Lees": "NNP",
    "Leesona": "NNP",
    "Leesona-Holt": "NNP",
    "Leet": "NNP",
    "Leeward": "NNP",
    "Leeza": "NNP",
    "Lefcourt": "NNP",
    "Lefebvre": "NNP",
    "Lefevre": "NNP",
    "Lefferts": "NNP",
    "Left": "VBN|NNP|VBD|JJ|RB",
    "Left-Wing": "NNP",
    "Left-stream": "JJ",
    "Leftist": "JJ",
    "Leftovers": "NNP",
    "Lefty": "NNP",
    "Leg": "NNP",
    "Legal": "NNP|JJ",
    "Legalization": "NN",
    "Legalizing": "VBG",
    "Legally": "RB",
    "Legend": "NNP",
    "Legends": "NNPS",
    "Legent": "NNP",
    "Leger": "NNP",
    "Legers": "NNPS",
    "Legg": "NNP",
    "Leggett": "NNP",
    "Legion": "NNP",
    "Legionnaire": "NNP",
    "Legislating": "VBG",
    "Legislation": "NN|NNP",
    "Legislative": "NNP",
    "Legislators": "NNS",
    "Legislature": "NNP",
    "Legislatures": "NNS",
    "Legitimate": "JJ",
    "Legittino": "NNP",
    "Lego": "NNP",
    "Legs": "NNS",
    "Lehar": "NNP",
    "Lehder": "NNP",
    "Lehigh": "NNP",
    "Lehman": "NNP",
    "Lehman/American": "NNP",
    "Lehmann": "NNP",
    "Lehmans": "NNPS",
    "Lehn": "NNP",
    "Lehne": "NNP",
    "Lehner": "NNP",
    "Lehtinen": "NNP",
    "Leibler": "NNP",
    "Leibowitz": "NNP",
    "Leiby": "NNP",
    "Leica": "NNP",
    "Leichtman": "NNP",
    "Leiden": "NN",
    "Leigh": "NNP",
    "Leigh-Pemberton": "NNP",
    "Leighfield": "NNP",
    "Leighton": "NNP",
    "Leila": "NNP",
    "Leinberger": "NNP",
    "Leinoff": "NNP",
    "Leinonen": "NNP",
    "Leipzig": "NNP",
    "Leish": "NNP",
    "Leisire": "NNP",
    "Leisure": "NN|NNP",
    "Leisurely": "RB",
    "Leitz": "NNP",
    "Leixlip": "NNP",
    "Lek": "NNP",
    "Lekberg": "NNP",
    "Leland": "NNP",
    "Leleiohaku": "NNP",
    "Lelogeais": "NNP",
    "Lemanowicz": "NNP",
    "Lemans": "NNP",
    "Leming": "NNP",
    "Lemma": "NN",
    "Lemme": "VB",
    "Lemmon": "NNP",
    "Lemon": "NNP",
    "Lemont": "NNP",
    "Lempesis": "NNP",
    "Lemuel": "NNP",
    "Len": "NNP",
    "Lena": "NNP",
    "Lenaghan": "NNP",
    "Lencioni": "NNP",
    "Lend": "VB|NNP",
    "Lender": "NNP",
    "Lenders": "NNP|NNS",
    "Lending": "NN|VBG",
    "Lendrum": "NNP",
    "Leng": "NNP",
    "Length": "NN",
    "Lengthening": "VBG",
    "Lengwin": "NNP",
    "Leni": "NNP",
    "Lenin": "NNP",
    "Leningrad": "NNP|VB",
    "Leningrad-Kirov": "NNP",
    "Leninism-Marxism": "NNP",
    "Leninist": "NNP",
    "Leninskoye": "NNP",
    "Lennie": "NNP",
    "Lennon": "NNP",
    "Lennox": "NNP",
    "Lenny": "NNP",
    "Leno": "NNP",
    "Lenobel": "NNP",
    "Lens": "NNP",
    "Lent": "NNP|VBN",
    "Lentjes": "NNP",
    "Lenwood": "NNP",
    "Leny": "NNP",
    "Lenygon": "NNP",
    "Leo": "NNP",
    "Leobardo": "NNP",
    "Leominster": "NNP",
    "Leon": "NNP",
    "Leona": "NNP",
    "Leonard": "NNP",
    "Leonardo": "NNP",
    "Leonato": "NNP",
    "Leone": "NNP",
    "Leonel": "NNP",
    "Leong": "NNP",
    "Leonid": "NNP",
    "Leonidas": "NNP",
    "Leonore": "NNP",
    "Leontief": "NNP",
    "Leopard": "NNP",
    "Leopold": "NNP",
    "Leopoldville": "NNP",
    "Lep": "NNP",
    "Lepercq": "NNP",
    "Leperq": "NNP",
    "Leponex": "NNP",
    "Leppard": "NNP",
    "Lerach": "NNP",
    "Lerman": "NNP",
    "Lermer": "NNP",
    "Lerner": "NNP",
    "Leroy": "NNP",
    "Les": "NNP|FW",
    "Lesbian": "NNP",
    "Lescaut": "NNP",
    "Lescaze": "NNP",
    "Lesch-Nyhan": "NNP",
    "Leschly": "NNP",
    "Leser": "NNP",
    "Leshem": "NNP",
    "Lesk": "NNP",
    "Lesko": "NNP",
    "Lesley": "NNP",
    "Lesley-Anne": "NNP",
    "Leslie": "NNP",
    "Lespinasse": "NNP",
    "Less": "RBR|JJR|NNP",
    "Less-than-truckload": "JJ",
    "Lessening": "VBG",
    "Lesser": "NNP",
    "Lessing": "NNP",
    "Lessner": "NNP",
    "Lesson": "NN",
    "Lessons": "NNS",
    "Lester": "NNP",
    "Lestoil": "NNP",
    "Lesutis": "NNP",
    "Leszek": "NNP",
    "Let": "VB|NNP|VBD",
    "Letch": "NNP",
    "Lethal": "NNP",
    "Lethcoe": "NNP",
    "Letitia": "NNP",
    "Lett": "NNP",
    "Letter": "NNP",
    "Letterman": "NNP",
    "Letters": "NNS|NNP|NNPS",
    "Letting": "VBG",
    "Leu": "NNP",
    "Leubert": "NNP",
    "Leucadia": "NNP",
    "Leuffer": "NNP",
    "Leukemia": "NNP",
    "Leumi": "NNP",
    "Leuzzi": "NNP",
    "Lev": "NNP",
    "Leval": "NNP",
    "Levamisole": "NN",
    "Level": "NNP",
    "Leven": "NNP",
    "Levenson": "NNP",
    "Leventhal": "NNP",
    "Lever": "NNP",
    "Leverage": "NN",
    "Leveraged": "JJ|VBN",
    "Leverett": "NNP",
    "Leverkuhn": "NNP",
    "Leverkusen": "NNP",
    "Levert": "NNP",
    "Levesque": "NNP",
    "Levi": "NNP",
    "Levin": "NNP",
    "Levina": "NNP",
    "Levine": "NNP",
    "Levinger": "NNP",
    "Levinson": "NNP",
    "Levitt": "NNP",
    "Levittown": "NNP",
    "Levki": "NNP",
    "Levy": "NNP",
    "Lew": "NNP",
    "Lewala": "NNP",
    "Lewco": "NNP",
    "Lewellen": "NNP",
    "Lewelleyn": "NNP",
    "Lewellyn": "NNP",
    "Lewin": "NNP",
    "Lewinton": "NNP",
    "Lewis": "NNP",
    "Lewisohn": "NNP",
    "Lewiston": "NNP",
    "Lewtas": "NNP",
    "Lex": "NNP",
    "Lexington": "NNP",
    "Lexington-based": "JJ",
    "Lexus": "NNP",
    "Leyden": "NN",
    "Leyland": "NNP",
    "Leyse": "NNP",
    "Leyte": "NNP",
    "Leyva": "NNP",
    "Lezovich": "NNP",
    "Li": "NNP",
    "Liability": "NN|NNP",
    "Liaison": "NNP",
    "Liaisons": "NNS",
    "Liang": "NNP",
    "Liar": "NN",
    "Libel": "NNP",
    "Liber": "NNP",
    "Libera": "FW",
    "Liberace": "NNP",
    "Liberal": "NNP|JJ",
    "Liberal-Radical": "NNP",
    "Liberalism": "NN|NNP",
    "Liberals": "NNS|NNPS",
    "Liberated": "VBN|NNP",
    "Liberating": "VBG",
    "Liberation": "NNP",
    "Liberia": "NNPS",
    "Liberian": "JJ",
    "Liberman": "NNP",
    "Liberties": "NNPS",
    "Libertines": "NNS",
    "Liberty": "NNP",
    "Liberty-and-Union": "NN|NNP",
    "Libor": "NNP",
    "Librarians": "NNS",
    "Library": "NNP",
    "Librium": "NNP",
    "Libya": "NNP",
    "Libyan": "JJ|NN|NNP",
    "Libyans": "NNPS",
    "License": "NN",
    "Licenses": "NNP",
    "Licht": "NNP",
    "Lichtblau": "NNP",
    "Lichtenstein": "NNP",
    "Licks": "NNP",
    "Liddell": "NNP",
    "Liddle": "NNP",
    "Lidex": "NNP",
    "Lidgerwood": "NNP",
    "Lido": "NNP",
    "Lidov": "NNP",
    "Lids": "NNS",
    "Lie": "NN|NNP|VB",
    "Lieb": "NNP",
    "Liebenow": "NNP",
    "Lieber": "NNP",
    "Lieberman": "NNP",
    "Lieberthal": "NNP",
    "Liebler": "NNP",
    "Liebowitz": "NNP",
    "Liechtenstein": "NNP",
    "Lied": "NNP",
    "Lien": "NN",
    "Lieppe": "NNP",
    "Lieut": "NN",
    "Lieutenant": "NNP",
    "Lieutenant-Colonel": "NNP",
    "Lieutenant-Governor": "NNP",
    "Life": "NNP",
    "Life-preservers": "NNS",
    "LifeSavers": "NNPS",
    "LifeSpan": "NNP",
    "Lifeboat": "NNP",
    "Lifeco": "NNP",
    "Lifecodes": "NNPS",
    "Lifeguard": "NN",
    "Lifeguards": "NNS",
    "Lifestyle": "NNP",
    "Lifestyles": "NNP|NNPS",
    "Lifetime": "NNP",
    "Liffe": "NNP",
    "Lifland": "NNP",
    "Lifson": "NNP",
    "Lift": "VB",
    "Lifting": "VBG",
    "Ligachev": "NNP",
    "Ligget": "NNP",
    "Liggett": "NNP",
    "Light": "NNP|JJ|VB",
    "Lighted": "VBN|JJ",
    "Lighter": "JJR",
    "Lightfoot": "NNP",
    "Lighthouse": "NNP",
    "Lighting": "NNP|VBG",
    "Lightly": "RB",
    "Lightning": "NN",
    "Lights": "NNP|NNS|NNPS",
    "Lightstone": "NNP",
    "Lightweight": "JJ",
    "Ligne": "NNP",
    "Liipfert": "NNP",
    "Like": "IN|RB",
    "Likely": "JJ|RB",
    "Likening": "VBG",
    "Likewise": "RB",
    "Likins": "NNP",
    "Likud": "NNP",
    "Lil": "NNP",
    "Lila": "NNP",
    "Lilac": "NNP",
    "Lili": "NNP",
    "Lilian": "NNP",
    "Lilien": "NNP",
    "Liliputian": "NNP",
    "Lillard": "NNP",
    "Lille": "NNP",
    "Lillehammer": "NNP",
    "Lilley": "NNP",
    "Lillian": "NNP",
    "Lilliputian": "JJ",
    "Lillo": "NNP",
    "Lilly": "NNP|RB",
    "Lily": "NNP",
    "Lim": "NNP",
    "Lima": "NNP",
    "Liman": "NNP",
    "Limbo": "NNP",
    "Lime": "NNP|JJ",
    "Limerick": "NNP",
    "Liming": "NNP",
    "Limit": "NNP|VB",
    "Limitation": "NNP",
    "Limitations": "NNPS|NNS",
    "Limited": "NNP|JJ|VBN",
    "Limiting": "VBG",
    "Limits": "NNPS",
    "Lin": "NNP",
    "Linage": "NN",
    "Lincoln": "NNP|VBP",
    "Lincoln-Douglas": "NNP",
    "Lincoln-Mercury": "NNP",
    "Lincoln-Mercury-Merkur": "NNP",
    "Lincolnshire": "NNP",
    "Lind": "NNP",
    "Lind-Waldock": "NNP",
    "Linda": "NNP",
    "Lindamood": "NNP",
    "Lindbergh": "NN",
    "Lindemann": "NNP",
    "Lindemanns": "NNPS",
    "Linden": "NNP",
    "Lindens": "NNPS",
    "Linder": "NNP",
    "Lindner": "NNP",
    "Lindsay": "NNP",
    "Lindsey": "NNP",
    "Lindskog": "NNP",
    "Lindy": "NNP",
    "Lindzen": "NNP",
    "Line": "NNP",
    "Line-item": "JJ",
    "Linear": "NNP",
    "Liner": "NNP",
    "Lines": "NNPS|NNS",
    "Lines-Trans": "NNP",
    "Linger": "VB|NNP",
    "Lingering": "JJ",
    "Lingo": "NN",
    "Linguistic": "JJ",
    "Linguists": "NNS",
    "Lingus": "NNP",
    "Linh": "NNP",
    "Link": "NN|NNP|VBP",
    "Linked": "VBN",
    "Linker": "NNP",
    "Linking": "VBG",
    "Links": "NNP",
    "Linsenberg": "NNP",
    "Linsert": "NNP",
    "Linsey": "NNP",
    "Linsley": "NNP",
    "Lint": "NNP",
    "Lintas": "NNP",
    "Lintas:Campbell-Ewald": "NNP",
    "Lintas:New": "NNP",
    "Linter": "NNP",
    "Lintner": "NNP",
    "Linus": "NNP",
    "Linville": "NNP",
    "Linvure": "NNP",
    "Linwick": "NNP",
    "Linwood": "NNP",
    "Linz": "NNP",
    "Lion": "NNP",
    "Lionel": "NNP",
    "Lions": "NNP",
    "Lionville": "NNP",
    "Lior": "NNP",
    "Lipchitz": "NNP",
    "Lipman": "NNP",
    "Lipner": "NNP",
    "Lipowa": "NNP",
    "Lippens": "NNP",
    "Lipper": "NNP",
    "Lippi": "NNP",
    "Lippincott": "NNP",
    "Lippman": "NNP",
    "Lippmann": "NNP",
    "Lipps": "NNP",
    "Lips": "NNS",
    "Lipshie": "NNP",
    "Lipsky": "NNP",
    "Lipson": "NNP",
    "Lipstein": "NNP",
    "Liptak": "NNP",
    "Lipton": "NNP",
    "Liqueur": "NNP",
    "Liquid": "NN|NNP|JJ",
    "Liquidating": "NNP|VBG",
    "Liquidation": "NNP",
    "Liquidity": "NN",
    "Liquor": "NNP",
    "Liriano": "NNP",
    "Liro": "NNP",
    "Lisa": "NNP",
    "Lisbeth": "NNP",
    "Lisbon": "NNP",
    "Lish": "NNP",
    "Lisle": "NNP",
    "Liss": "NNP",
    "Lissa": "NNP",
    "List": "NN|NNP|VB",
    "Listed": "VBN|JJ",
    "Listen": "VB|NNP",
    "Listeners": "NNS",
    "Listenin": "NN",
    "Listening": "NN|VBG",
    "Lister": "NNP",
    "Listerine": "NNP",
    "Liston": "NNP",
    "Lita": "NNP",
    "Litchfield": "NNP",
    "Lite": "NNP",
    "Liter": "NN",
    "Literacy": "NN",
    "Literal": "JJ",
    "Literally": "RB",
    "Literary": "NNP|JJ",
    "Literature": "NNP",
    "Literaturnaya": "NNP",
    "Lithe": "JJ",
    "Lithell": "NNP",
    "Lithograph": "NNP",
    "Lithox": "NNP",
    "Lithuanian": "JJ",
    "Lithuanians": "NNPS",
    "Litigants": "NNS",
    "Litigation": "NNP",
    "Litman/Gregory": "NNP",
    "Litowski": "NNP",
    "Litta": "NNP",
    "Littau": "NNP",
    "Littell": "NNP",
    "Little": "NNP|JJ|RB",
    "Littleboy": "NNP",
    "Littlefield": "NNP",
    "Littlepage": "NNP",
    "Littleton": "NNP",
    "Littman": "NNP",
    "Litton": "NNP",
    "Litvack": "NNP",
    "Litvinchuk": "NNP",
    "Litz": "NNP",
    "Liu": "NNP",
    "Live": "NNP|VBP|JJ",
    "Live-In": "NN",
    "Lived": "VBD",
    "Livermore": "NNP",
    "Liverpool": "NNP",
    "Liverpudlians": "NNPS",
    "Livery": "JJ",
    "Lives": "NNS|NNP|VBZ",
    "Livestock": "NN|NNP",
    "Living": "VBG|NNP|JJ",
    "Livingston": "NNP",
    "Livshitz": "NNP",
    "Liz": "NNP",
    "Liza": "NNP",
    "Lizhi": "NNP",
    "Lizt": "NNP",
    "Lizzie": "NNP",
    "Lizzy": "NNP",
    "Llewellyn": "NNP",
    "Llosa": "NNP",
    "Lloyd": "NNP",
    "Lloyds": "NNP",
    "Lo": "NNP|UH",
    "Lo-Jack": "NNP",
    "LoSpam": "NNP",
    "Load": "NN",
    "Loan": "NNP",
    "Loan-loss": "JJ",
    "Loans": "NNS|NNP",
    "Loantech": "NNP",
    "Loathing": "NN",
    "Lobar": "NNP",
    "Lobby": "NNP",
    "Lobbying": "NN",
    "Lobbyist": "NN",
    "Lobbyists": "NNS",
    "Lobl": "NNP",
    "Lobo": "NNP",
    "Lobsenz": "NNP",
    "Lobster": "NN",
    "Lobularity": "NN",
    "Local": "JJ|NNP",
    "Localism": "NN",
    "Locally": "RB",
    "Locate": "VB",
    "Located": "VBN",
    "Location": "NNP",
    "Lock": "NNP",
    "Lock-Up": "NN",
    "Locke": "NNP",
    "Locked": "VBN",
    "Locker": "NNP",
    "Locker-room": "NN",
    "Lockerbie": "NNP",
    "Lockhart": "NNP",
    "Lockheed": "NNP|VBN",
    "Lockian": "JJ",
    "Lockies": "NNPS",
    "Locking": "VBG",
    "Lockman": "NNP",
    "Locks": "NNP",
    "Lockwood": "NNP",
    "Loco": "NNP",
    "Locust": "NN",
    "Lodestar": "NNP",
    "Lodge": "NNP",
    "Lodging": "NN",
    "Lodley": "NNP",
    "Lodowick": "NNP",
    "Loeb": "NNP",
    "Loen": "NNP",
    "Loeser": "NNP",
    "Loesser": "NNP",
    "Loevner": "NNP",
    "Loew": "NNP",
    "Loewe": "NNP",
    "Loewenson": "NNP",
    "Loewenstern": "NNP",
    "Loewi": "NNP",
    "Loews": "NNP",
    "Loewy": "NNP",
    "Loftier": "JJR",
    "Loftus": "NNP",
    "Logan": "NNP",
    "Loggia": "NNP",
    "Logging": "NN",
    "Logic": "NNP",
    "Logica": "NNP",
    "Logically": "RB",
    "Logistics": "NNP",
    "Logsdon": "NNP",
    "Lohman": "NNP",
    "Lohmans": "NNP",
    "Loire": "NNP",
    "Lois": "NNP",
    "Lojack": "NNP",
    "Lok": "NNP",
    "Lokey": "NNP",
    "Lola": "NNP",
    "Lolita": "NNP",
    "Lollipops": "NNS",
    "Lolly": "NNP",
    "Lolotte": "NNP",
    "Loma": "NNP",
    "Loman": "NNP",
    "Lomas": "NNP",
    "Lomax": "NNP",
    "Lomb": "NNP",
    "Lombard": "NNP",
    "Lombarde": "NNP",
    "Lombardi": "NNP",
    "Lombardo": "NNP",
    "Lompoc": "NNP",
    "Lond.": "NNP",
    "Londe": "NNP",
    "London": "NNP|JJ",
    "London-based": "JJ|NNP",
    "London-bred": "JJ",
    "Londonderry": "NNP",
    "Londoner": "NN|NNP",
    "Londono": "NNP",
    "Londontowne": "NNP",
    "Lone": "NNP",
    "Loneliness": "NNP",
    "Lonesome": "JJ",
    "Loney": "NNP",
    "Long": "NNP|JJ|RB",
    "Long-Term": "NNP|JJ",
    "Long-debated": "JJ",
    "Long-distance": "NN",
    "Long-haul": "JJ",
    "Long-lived": "JJ",
    "Long-range": "JJ",
    "Long-term": "JJ|NNP",
    "Longer": "JJR",
    "Longer-term": "JJ|RB",
    "Longest": "NNP",
    "Longevity": "NN",
    "Longfellow": "NNP",
    "Longhorn": "NNP",
    "Longhorns": "NNP",
    "Longinotti": "NNPS",
    "Longley": "NNP",
    "Longman": "NNP",
    "Longmont": "NNP",
    "Longshoremen": "NNS|NNPS",
    "Longstreet": "NNP",
    "Longtime": "JJ|NN",
    "Longue": "NNP",
    "Longview": "NNP",
    "Longwood": "NNP",
    "Lonnie": "NNP",
    "Lonrho": "NNP",
    "Lonsdale": "NNP",
    "Lonski": "NNP",
    "Look": "VB|NN|UH|NNP",
    "Looked": "VBD",
    "Looking": "VBG|NNP",
    "Lookit": "VB",
    "Lookout": "NNP",
    "Looks": "VBZ",
    "Looky": "VB",
    "Loom": "NNP",
    "Loomans": "NNP",
    "Looming": "VBG",
    "Loomis": "NNP",
    "Loon": "NNP",
    "Loop": "NNP",
    "Loopholes": "NNS",
    "Loose": "NNP|JJ",
    "Loosli": "NNP",
    "Lopatnikoff": "NNP",
    "Loper": "NNP",
    "Lopez": "NNP",
    "Lopid": "NNP",
    "Lopukhov": "NNP",
    "Lora": "NNP",
    "Lorain": "NNP",
    "Loraine": "NNP",
    "Loral": "NNP|JJ",
    "Loran": "NNP",
    "Lorca": "NNP",
    "Lord": "NNP|VB|UH",
    "Lorde": "NNP",
    "Lords": "NNPS|NNS",
    "Lordstown": "NNP",
    "Lorelei": "NNPS",
    "Loren": "NNP",
    "Lorena": "NNP",
    "Lorentz": "NNP",
    "Lorenz": "NNP",
    "Lorenzo": "NNP",
    "Lorex": "NNP",
    "Lori": "NNP",
    "Lorillard": "NNP",
    "Lorimar": "NNP",
    "Lorin": "NNP",
    "Lorincze": "NNP",
    "Lorinda": "NNP",
    "Loring": "NNP",
    "Lorlyn": "NNP",
    "Lorna": "NNP",
    "Lorne": "NNP",
    "Lorrain": "NNP",
    "Lorraine": "NNP",
    "Lortie": "NNP",
    "Los": "NNP|JJ",
    "Losec": "NNP",
    "Loser": "JJ",
    "Losers": "NNS",
    "Loses": "VBZ",
    "Losing": "VBG|NNP",
    "Loss": "NN|NNP",
    "Losses": "NNS|NNP",
    "Lost": "VBD|JJ",
    "Lot": "NN|NNP",
    "Lothario": "NN",
    "Lothson": "NNP",
    "Lotos": "NNP",
    "Lots": "NNS",
    "Lott": "NNP",
    "Lotte": "NNP",
    "Lotteries": "NNS",
    "Lottery": "NNP",
    "Lottie": "NNP",
    "Lotus": "NNP",
    "Lou": "NNP",
    "Louchheim": "NNP",
    "Loud": "JJ|NNP",
    "Loudermilk": "NNP",
    "Loudon": "NNP",
    "Loudspeakers": "NNS",
    "Louella": "NNP",
    "Loughlin": "NNP",
    "Loughman": "NNP",
    "Louis": "NNP",
    "Louis-Dreyfus": "NNP",
    "Louis-based": "JJ",
    "Louisa": "NNP",
    "Louise": "NNP",
    "Louisiana": "NNP",
    "Louisiana-Pacific": "NNP",
    "Louisianan": "NN",
    "Louisiane": "NNP",
    "Louisville": "NNP",
    "Lounge": "NNP",
    "Lourie": "NNP",
    "Lousie": "NNP",
    "Lousiness": "NN",
    "Lousy": "JJ",
    "Louvre": "NNP",
    "Love": "NNP|VBP",
    "Lovejoy": "NNP",
    "Lovelace": "NNP",
    "Loveless": "NNP",
    "Lovell": "NNP",
    "Lovely": "NNP",
    "Lovenberg": "NNP",
    "Lover": "NNP",
    "Lovering": "NNP",
    "Lovers": "NNPS",
    "Loves": "VBZ|NNP",
    "Lovett": "NNP",
    "Loveways": "NNP",
    "Lovie": "UH",
    "Loving": "NNP",
    "Lovingly": "RB",
    "Lovingood": "NNP",
    "Lovington": "NNP",
    "Low": "NNP|JJ",
    "Low-Income": "NNP",
    "Low-flying": "JJ",
    "Low-interest-rate": "JJ",
    "Low-paying": "JJ",
    "Lowe": "NNP",
    "Lowell": "NNP",
    "Lowenstein": "NNP",
    "Lowenthal": "NNP",
    "Lower": "NNP|JJR",
    "Lower-than-expected": "JJ",
    "Lowery": "NNP",
    "Lown": "NNP",
    "Lowndes": "NNP",
    "Lowry": "NNP",
    "Loy": "NNP",
    "Loyal": "JJ",
    "Loyalist": "JJ",
    "Loyalties": "NNS",
    "Loyalty": "NN|NNP",
    "Loyola": "NNP",
    "Lt.": "NNP",
    "Ltd": "NNP",
    "Ltd.": "NNP",
    "Ltee": "NNP",
    "Lu": "NNP",
    "Luang": "NNP",
    "Lubar": "NNP",
    "Lubars": "NNP",
    "Lubberlanders": "NNS",
    "Lubbock": "NNP",
    "Lube": "NNP",
    "Lubell": "NNP",
    "Luber": "NNP",
    "Lubkin": "NNP",
    "Lublin": "NNP",
    "Lubowski": "NNP",
    "Lubriderm": "NNP",
    "Lubrizol": "NNP",
    "Lubyanka": "NNP",
    "Luc": "NNP",
    "Lucas": "NNP",
    "Lucassen": "NNP",
    "Lucca": "NNP",
    "Luce": "NNP",
    "Lucerne": "NNP",
    "Luci": "NNP",
    "Lucia": "NNP",
    "Lucian": "NNP",
    "Luciano": "NNP",
    "Lucie": "NNP",
    "Lucien": "NNP",
    "Lucifer": "NNP",
    "Lucille": "NNP",
    "Lucinda": "NNP",
    "Lucio": "NNP",
    "Lucisano": "NNP",
    "Lucite": "NNP",
    "Lucius": "NNP",
    "Luck": "NNP",
    "Luckily": "RB",
    "Lucky": "JJ|NNP",
    "Lucky-Goldstar": "NNP",
    "Lucretia": "NNP",
    "Lucretius": "NNP",
    "Lucullan": "JJ",
    "Lucy": "NNP",
    "Ludcke": "NNP",
    "Ludden": "NNP",
    "Ludie": "NNP",
    "Ludlow": "NNPS",
    "Ludlum": "NNP",
    "Ludmilla": "NNP",
    "Ludwick": "NNP",
    "Ludwig": "NNP",
    "Ludwigshafen": "NNP",
    "Ludwin": "NNP",
    "Luechtefeld": "NNP",
    "Lueger": "NNP",
    "Luehrs": "NNP",
    "Luerssen": "NNP",
    "Luette": "NNP",
    "Lufkin": "NNP",
    "Luft": "NNP",
    "Luftfahrt": "NNP",
    "Lufthansa": "NNP",
    "Luftwaffe": "NNP",
    "Lugar": "NNP",
    "Luger": "NNP",
    "Lugosi": "NNP",
    "Luigi": "NNS",
    "Luis": "NNP",
    "Luisa": "NNP",
    "Luise": "NNP",
    "Lujan": "NNP",
    "Lukas": "NNP",
    "Lukassen": "NNP",
    "Luke": "NNP",
    "Lukens": "NNP",
    "Lukman": "NNP",
    "Luksik": "NNP",
    "Lukuklu": "NNP",
    "Lullaby": "NN",
    "Lullwater": "NNP",
    "Lully": "NNP",
    "Lumber": "NNP",
    "Lumbera": "NNP",
    "Lumex": "NNP",
    "Lumia": "NNP",
    "Lumiere": "NNP",
    "Lumina": "NNP",
    "Lummus": "NNP",
    "Lumpe": "NNP",
    "Lumped": "VBN",
    "Lumpur": "NNP",
    "Lumsden": "NNP",
    "Lumumba": "NNP",
    "Luna": "NNP",
    "Lunch": "NN|NNP",
    "Luncheon": "NNP",
    "Lund": "NNP",
    "Lunday": "NNP",
    "Lundberg": "NNP",
    "Lundeen": "NNP",
    "Lundy": "NNP",
    "Luneburg": "NNP",
    "Lung": "NNP",
    "Lung-cancer": "NN",
    "Lunge": "NNP",
    "Lupatkin": "NNP",
    "Lupe": "NNP",
    "Lupel": "NNP",
    "Lupo": "NNP",
    "Lupton": "NNP",
    "Lura": "NNP",
    "Luray": "NNP",
    "Lurcat": "NNP",
    "Lure": "VBP",
    "Lureen": "NNP",
    "Lurgi": "NNP",
    "Lurie": "NNP",
    "Lusaka": "NNP",
    "Lusignan": "NNP",
    "Lusser": "NNP",
    "Lust": "NNP",
    "Lustgarten": "NNP",
    "Luth": "NNP",
    "Luther": "NNP",
    "Lutheran": "NNP",
    "Luthringshausen": "NNP",
    "Luthuli": "NNP",
    "Lutsenko": "NNP",
    "Lutte": "NNP",
    "Lutz": "NNP",
    "Luvs": "NNPS",
    "Lux": "FW",
    "Luxco": "NNP",
    "Luxembourg": "NNP",
    "Luxembourg-based": "JJ",
    "Luxembourg-registered": "JJ",
    "Luxemburg": "NNP",
    "Luxor": "NNP",
    "Luxuries": "NNP",
    "Luxurious": "JJ",
    "Luxury": "NN",
    "Luz": "NNP",
    "Luzon": "NNP",
    "Lvov": "NNP",
    "Lvovna": "NNP",
    "Lyaki": "NNP",
    "Lybrand": "NNP",
    "Lyceum": "NNP",
    "Lycidas": "NNP",
    "Lycra": "NNP",
    "Lydall": "NNP",
    "Lydia": "NNP",
    "Lyford": "NNP",
    "Lying": "VBG",
    "Lyle": "NNP",
    "Lyman": "NNP",
    "Lyme": "NNP",
    "Lyme-disease": "JJ",
    "Lymington": "NNP",
    "Lyn": "NNP",
    "Lynch": "NNP",
    "Lynch-led": "JJ",
    "Lynchburg": "NNP",
    "Lynde": "NNP",
    "Lynden": "NNP",
    "Lyndhurst": "NNP",
    "Lyndon": "NNP",
    "Lynes": "NNP",
    "Lyneses": "NNP",
    "Lynford": "NNP",
    "Lynn": "NNP",
    "Lynne": "NNP",
    "Lynnwood": "NNP",
    "Lynx": "NNP",
    "Lyon": "NNP",
    "Lyondell": "NNP",
    "Lyonnais": "NNP",
    "Lyons": "NNP",
    "Lyphomed": "NNP",
    "Lyric": "NNP",
    "Lyrics": "NNS",
    "Lys": "NNP",
    "Lysle": "NNP",
    "Lysol": "NNP",
    "Lyster": "NNP",
    "Lyttleton": "NNP",
    "Lytton": "NNP",
    "Lyubov": "NNP",
    "M": "NNP",
    "M$": "$",
    "M&A": "NNP",
    "M&H": "NNP",
    "M&Ms": "NNS",
    "M-1": "NNP",
    "M-19": "NN",
    "M-4": "NNP",
    "M-CSF": "NNP",
    "M-K": "NNP",
    "M-Whatever": "NN|NNP",
    "M-m-m": "UH",
    "M.": "NNP",
    "M.A.": "NNP",
    "M.B.A.": "NNP",
    "M.B.A.s": "NNPS|NNS",
    "M.C.": "NNP",
    "M.D": "NNP",
    "M.D.": "NNP",
    "M.D.-speak": "JJ",
    "M.D.C": "NNP",
    "M.D.C.": "NNP",
    "M.D.s": "NNS",
    "M.E.": "NNP",
    "M.Ed": "NNP",
    "M.G.": "NNP",
    "M.I.M.": "NNP",
    "M.I.T.-trained": "JJ",
    "M.J.": "NNP",
    "M.L.": "NNP",
    "M.P.": "NNP",
    "M.R.": "NNP",
    "M.S.": "NNP",
    "M.T.": "NNP",
    "M.W.": "NNP",
    "M30": "NNP",
    "M4": "NNP",
    "M8.7sp": "NNP",
    "MAC": "NNP",
    "MACHINES": "NNP",
    "MACMILLAN": "NNP",
    "MACPOST": "NNP",
    "MACY": "NNP",
    "MADD": "NNP",
    "MAGURNO": "NNP",
    "MAI": "NNP",
    "MAILINGS": "NNS",
    "MAINTENANCE": "NNP",
    "MAJOR": "JJ",
    "MAKE": "VB",
    "MAKERS": "NNS",
    "MAKES": "VBZ",
    "MAKING": "VBG",
    "MALAISE": "NNP",
    "MAN": "NNP",
    "MANAGEMENT": "NNP",
    "MANAGER": "NN",
    "MANAGERS": "NNS",
    "MANEUVERS": "NNS",
    "MANHATTAN": "NNP",
    "MANUALS": "NNS",
    "MANUFACTURERS": "NNPS",
    "MANUFACTURING": "NNP",
    "MANY": "JJ",
    "MAPCO": "NNP",
    "MARCHED": "VBD",
    "MARCOS": "NNP",
    "MARCUS": "NNP",
    "MARGIN": "NN",
    "MARK": "NNP",
    "MARKET": "NN|NNP",
    "MARKETING": "NN",
    "MARKS": "NNS",
    "MARYLAND": "NNP",
    "MAT": "NNP",
    "MATERIALS": "NNP",
    "MATTEL": "NNP",
    "MAY": "NNP|MD",
    "MB": "NNP",
    "MB-339": "NNP",
    "MBA": "NNP|NN",
    "MBAs": "NNS",
    "MBB": "NNP",
    "MBE": "NNP",
    "MBI": "NNP",
    "MBIA": "NNP",
    "MBK": "NNP",
    "MBOs": "NNPS",
    "MC": "NNP",
    "MC68030": "NNP",
    "MC88200": "NNP",
    "MCA": "NNP",
    "MCC": "NNP",
    "MCI": "NNP",
    "MCV": "NNP",
    "MCorp": "NNP",
    "MD-11": "NNP",
    "MD-80": "NN|NNP",
    "MD-80-series": "NN",
    "MD-80s": "NNS",
    "MD-81": "NN",
    "MD-82s": "NNPS",
    "MD-90": "NN",
    "MD-90s": "NNS",
    "MD11": "NNP",
    "MD90": "NN",
    "MDC": "NNP",
    "MDL-1": "NN",
    "MDT": "NNP",
    "ME": "PRP",
    "MEA": "NNP",
    "MEASUREX": "NNP",
    "MEATS": "NNS|NNPS",
    "MEDIA": "NNP",
    "MEDICINE": "NNP",
    "MEDUSA": "NNP",
    "MEI": "NNP",
    "MEMOS": "NNS|NNPS",
    "MEN": "NNS",
    "MERCHANTS": "NNPS",
    "MERGER": "NN",
    "MERGING": "VBG",
    "MERRILL": "NNP",
    "MET": "VBD",
    "METALS": "NNS|NNPS",
    "MEXICAN": "JJ",
    "MEXICO": "NNP",
    "MF": "NNP",
    "MFA": "NNP",
    "MFS": "NNP",
    "MG": "NNP",
    "MGM": "NNP",
    "MGM-UA": "NNP",
    "MGM/UA": "NNP",
    "MH-60K": "NN",
    "MHz": "NNS",
    "MICRO": "NNP",
    "MICROPOLIS": "NNP",
    "MICROSYSTEMS": "NNP",
    "MIDDLEMAN": "NN",
    "MIDLANTIC": "NNP",
    "MIG-1": "JJ",
    "MIG-2": "NN|JJ",
    "MIGHT": "MD",
    "MILEAGE": "NN",
    "MINIMUM-WAGE": "NN",
    "MINING": "NNP",
    "MINISTER": "NN",
    "MINOR": "JJ|NNP",
    "MINORITY": "NN",
    "MIPS": "NNP|NNS",
    "MIPS-based": "JJ",
    "MIPs": "NNS|NNP",
    "MISFIRE": "NN",
    "MISUSE": "NNP",
    "MIServer": "NNP",
    "MIT": "NNP",
    "MITI": "NNP",
    "MK-Ferguson": "NNP",
    "MKI": "NNP",
    "MLD": "NNP",
    "MLPI": "NNP",
    "MLR": "NNP",
    "MLSS": "NN",
    "MLX": "NNP",
    "MMC": "NNP",
    "MMG": "NNP",
    "MMI": "NNP",
    "MMS": "NNP",
    "MNB": "NNP",
    "MNC": "NNP",
    "MO": "NNP",
    "MOB": "NNP",
    "MOHAWK": "NNP",
    "MONEY": "NN|NNP",
    "MONITORED": "VBD",
    "MONTHLY": "JJ",
    "MORE": "JJR|RBR",
    "MORGAN": "NNP",
    "MORTGAGE": "NNP",
    "MOST": "JJS",
    "MOTOR": "NNP",
    "MOTORISTS": "NNS",
    "MOTORS": "NNP|NNPS",
    "MOVE": "NN",
    "MOVED": "VBD",
    "MOVES": "VBZ",
    "MP": "NNP",
    "MPD": "NNP",
    "MPH": "NNP",
    "MPI": "NNP",
    "MPl": "NNP",
    "MPs": "NNS",
    "MR": "NNP",
    "MRA": "NNP",
    "MRC": "NNP",
    "MRCA": "NNP",
    "MRI": "NNP",
    "MRI-type": "JJ",
    "MS": "NNP",
    "MS-DOS": "NNP",
    "MSD-200": "NNP",
    "MSP": "NNP",
    "MSU": "NNP",
    "MSX": "NNP",
    "MSX-run": "JJ",
    "MTCR": "NNP",
    "MTM": "NNP",
    "MTU": "NNP",
    "MTV": "NNP",
    "MUMBO": "NN",
    "MUNICIPALS": "NNS",
    "MURDER": "NN",
    "MUST": "MD",
    "MUST-SIGN": "JJ",
    "MUTUAL": "JJ",
    "MV40000": "NN",
    "MVL": "NNP",
    "MVP": "NNP",
    "MVestment": "NNP",
    "MX": "NNP",
    "MX-6": "NNP",
    "MX-6s": "NNPS",
    "MX-missile": "NN",
    "MYERSON": "NNP",
    "MYSTERY": "NNP",
    "M*A*S*H": "NNP",
    "M/A-Com": "NNP",
    "M/I": "NNP",
    "Ma": "NNP|FW",
    "Maack": "NNP",
    "Maalox": "NNP",
    "Maanen": "NNP",
    "Mabellini": "NNP",
    "Mabon": "NNP",
    "Mac": "NNP",
    "Mac-Laren": "NNP",
    "Mac-Reynolds": "NNP",
    "MacAllister": "NNP",
    "MacAndrews": "NNP",
    "MacArthur": "NNP",
    "MacArthur-Helen": "NNP",
    "MacDonald": "NNP",
    "MacDougall": "NNP",
    "MacDowell": "NNP",
    "MacFarlanes": "NNP",
    "MacGregor": "NNP",
    "MacGregors": "NNPS",
    "MacGyver": "NNP",
    "MacInnis": "NNP",
    "MacIsaacs": "NNP",
    "MacKinnon": "NNP",
    "MacLean": "NNP",
    "MacLeishes": "NNPS",
    "MacLellan": "NNP",
    "MacMillan": "NNP",
    "MacNamara": "NNP",
    "MacNeil-Lehrer": "NNP",
    "MacNeil": "NNP",
    "MacNeil/Lehrer": "NNP",
    "MacPhail": "NNP",
    "MacPherson": "NNP",
    "MacReady": "NNP",
    "MacSharry": "NNP",
    "MacWeek": "NNP",
    "MacWhorter": "NNP",
    "Macao": "NNP",
    "Macare": "NNP",
    "Macari": "NNP",
    "Macaroni": "NNP",
    "Macassar": "NNP",
    "Macaulay": "NNP",
    "Macbeth": "NNP",
    "Maccabee": "NNP",
    "Maccabeus": "NNP",
    "Maccaquano": "NNP",
    "Maccario": "NNP",
    "Macchiarola": "NNP",
    "Mace": "NNP",
    "Macedon": "NNP",
    "Macel": "NNP",
    "Macfadden": "NNP",
    "Macfarlane": "NNP",
    "Mach": "NN",
    "Machado": "NNP",
    "Machelle": "NNP",
    "Macheski": "NNP",
    "Machiavelli": "NNP",
    "Machiavellian": "JJ",
    "Machida": "NNP",
    "Machiguenga": "NNP",
    "Machiguengas": "NNS|NNPS",
    "Machine": "NN|NNP",
    "Machine-tool": "JJ",
    "Machine-vision": "JJ",
    "Machineries": "NNP|NNS",
    "Machinery": "NNP",
    "Machines": "NNPS|NNS",
    "Machinist": "NNP",
    "Machinist-union": "NNP",
    "Machinists": "NNS|NPS|NNPS",
    "Macho": "FW",
    "Machold": "NNP",
    "Machon": "NNP",
    "Machos": "FW",
    "Macintosh": "NNP",
    "Mack": "NNP",
    "Mackenzie": "NNP",
    "Mackey": "NNP",
    "Mackinac": "NNP",
    "Mackinack": "NNP",
    "Macklin": "NNP",
    "Macksey": "NNP",
    "Maclaine": "NNP",
    "Maclean": "NNP",
    "Macmillan": "NNP",
    "Macmillan/McGraw": "NNP",
    "Macmillan/McGraw-Hill": "NNP",
    "Macneff": "NNP",
    "Macomber": "NNP",
    "Macon": "NNP",
    "Macquarie": "NNP",
    "MacroChem": "NNP",
    "Macrodantin": "NNP",
    "Macropathological": "NNP",
    "Macropathology": "NN",
    "Macrophages": "NNS",
    "Macwhyte": "NNP",
    "Macy": "NNP",
    "Mad": "JJ|NNP",
    "Madagascar": "NNP",
    "Madam": "NNP",
    "Madama": "NNP",
    "Madame": "NNP",
    "Madaripur": "NNP",
    "Maddalena": "NNP",
    "Madden": "NNP",
    "Maddie": "NNP",
    "Madding": "NNP",
    "Maddox": "NNP",
    "Maddry": "NNP",
    "Made": "VBN|NNP",
    "Madeira": "NNP",
    "Madeleine": "NNP",
    "Madelon": "NNP",
    "Mademoiselle": "NNP",
    "Madison": "NNP",
    "Madonna": "NNP",
    "Madre": "NNP",
    "Madrid": "NNP",
    "Madrid-based": "JJ",
    "Madrigal": "NNP",
    "Madsen": "NNP",
    "Madson": "NNP",
    "Mae": "NNP",
    "Mae-backed": "JJ",
    "Maecker": "NNP",
    "Maeda": "NNP",
    "Maersk": "NNP",
    "Maestro": "NNP",
    "Maeterlinck": "NNP",
    "Maffei": "NNP",
    "Mafia": "NNP",
    "Mafia-tainted": "JJ",
    "Mag": "NNP",
    "Magadan": "NNP",
    "Magarity": "NNP",
    "Magarrell": "NNP",
    "Magazine": "NNP",
    "Magazines": "NNS|NNP",
    "Magdalena": "NNP",
    "Magdalene": "NNP",
    "Maged": "NNP",
    "Magee": "NNP",
    "Magellan": "NNP",
    "Mager": "NNP",
    "Maggart": "NNP",
    "Maggetto": "NNP",
    "Maggie": "NNP",
    "Maggot": "NNP",
    "Magi": "NNP",
    "Magic": "NNP|JJ",
    "Magleby": "NNP",
    "Magma": "NNP",
    "Magna": "NNP",
    "Magnascreen": "NNP",
    "Magnatek": "NNP",
    "Magnavox": "NNP",
    "Magnet": "NNP",
    "Magnetic": "JJ",
    "Magnetics": "NNPS",
    "Magnetism": "NNP",
    "Magnier": "NNP",
    "Magnificent": "JJ",
    "Magnin": "NNP",
    "Magnolias": "NNS",
    "Magnum": "NN|NNP",
    "Magnums": "NNS|NNPS",
    "Magnus": "NNP",
    "Magnusson": "NNP",
    "Magog": "NNP",
    "Magoon": "NNP",
    "Magoun": "NNP",
    "Magpie": "NNP",
    "Magruder": "NNP",
    "Magten": "NNP",
    "Maguire": "NNP",
    "Maguires": "NNPS",
    "Magurno": "NNP",
    "Magwitch": "NNP",
    "Mahagonny": "NNP",
    "Mahal": "NNP",
    "Mahal-flavor": "NNP",
    "Mahan": "NNP",
    "Maharashtra": "NNP",
    "Mahathir": "NNP",
    "Mahatma": "NNP",
    "Mahayana": "NNP",
    "Mahayanist": "NN",
    "Mahe": "NNP",
    "Maher": "NNP",
    "Mahfouz": "NNP",
    "Mahler": "NNP",
    "Mahmoud": "NNP",
    "Mahoganny": "NNP",
    "Mahone": "NNP",
    "Mahoney": "NNP",
    "Mahran": "NNP",
    "Mahwah": "NNP",
    "Mahzeer": "NNP",
    "Mai": "NNP",
    "Maid": "NNP",
    "Maiden": "NNP",
    "Maidenform": "NNP",
    "Maidens": "NNPS",
    "Maier": "NNP",
    "Mail": "NNP",
    "Mail-Order": "JJ",
    "Mail-order": "NN",
    "Mailer": "NNP",
    "Mailing": "NNP|VBG",
    "Mailings": "NNS",
    "Mailloux": "NNP",
    "Mailson": "NNP",
    "Main": "NNP|JJ",
    "Maine": "NNP",
    "Mainland": "NNP|JJ",
    "Mainliner-Highland": "NNP",
    "Mainly": "RB",
    "Mainstay": "NN",
    "Mainstream": "NNP|NN",
    "Maintain": "VBP",
    "Maintaining": "VBG",
    "Maintenance": "NNP",
    "Mainz": "NNP",
    "Maiorana": "NNP",
    "Mais": "FW",
    "Maitland": "NNP",
    "Maitres": "NNP",
    "Maize": "NNP",
    "Maize-Products": "NNPS",
    "Maj.": "NNP",
    "Majdan-Tartarski": "NNP",
    "Majdanek": "NNP",
    "Majestic": "NNP",
    "Majesties": "NNPS",
    "Majesty": "NNP",
    "Major": "NNP|JJ",
    "Major-League": "NNP",
    "Majority": "NNP",
    "Makato": "NNP",
    "Make": "VB|VBP|NN|NNP",
    "Makepeace": "NNP",
    "Maker": "NN",
    "Makers": "NNPS|NNS",
    "Makes": "VBZ",
    "Makin": "NNP|VBG",
    "Makinac": "NNP",
    "Making": "VBG|NNP",
    "Makoto": "NNP",
    "Makro": "NNP",
    "Maksoud": "NNP",
    "Makwah": "NNP",
    "Mal": "NNP",
    "Malabar": "NNP",
    "Malacca": "NNP",
    "Malamud": "NNP",
    "Malapai": "NNP",
    "Malapi": "NNP",
    "Malaria": "NN",
    "Malato": "NNP",
    "Malawi": "NNP",
    "Malay": "NNP",
    "Malay-based": "JJ",
    "Malays": "NNP",
    "Malaysia": "NNP",
    "Malaysian": "JJ",
    "Malaysian-based": "JJ",
    "Malcolm": "NNP",
    "Malcom": "NNP",
    "Malden": "NNP",
    "Maldutis": "NNP",
    "Male": "NN|JJ|NNP",
    "Malec": "NNP",
    "Malek": "NNP",
    "Malenkov": "NNP",
    "Males": "NNPS",
    "Malesherbes": "NNP",
    "Mali": "NNP",
    "Malia": "NNP",
    "Malibu": "NNP",
    "Malignant": "NN",
    "Malik": "NNP",
    "Malin": "NNP",
    "Malinovsky": "NNP",
    "Malizia": "NNP",
    "Malknecht": "NNP",
    "Malkovich": "NNP",
    "Mall": "NNP",
    "Mallet-Prevost": "NNP",
    "Mallinckrodt": "NNP",
    "Mallory": "NNP",
    "Malloy": "NNP",
    "Malmesbury": "NNP",
    "Malmo": "NNP",
    "Malmros": "NNP",
    "Malmud": "NNP",
    "Malocclusion": "NN",
    "Malone": "NNP",
    "Maloney": "NNP",
    "Maloof": "NNP",
    "Malott": "NNP",
    "Malpass": "NNP",
    "Malpede": "NNP",
    "Malpractice": "NN",
    "Malraux": "NNP",
    "Malson": "NNP",
    "Malt": "NNP",
    "Malta": "NNP",
    "Maltese": "JJ|NNP",
    "Maluf": "NNP",
    "Malvenius": "NNP",
    "Malvern": "NNP",
    "Mama": "NNP",
    "Mamaroneck": "NNP",
    "Mambelli": "NNP",
    "Mambo": "NNP",
    "Mame": "NNP",
    "Mamma": "NNP",
    "Mammograms": "NNS",
    "Man": "NN|UH|NNP",
    "Man-Made": "JJ",
    "Mana": "NNP",
    "Manac": "NNP",
    "Manafort": "NNP",
    "Managed": "VBN",
    "Management": "NNP|JJ",
    "Manager": "NNP",
    "Managerial": "JJ",
    "Managers": "NNS|NNP|NNPS",
    "Managing": "VBG|NNP",
    "Managua": "NNP",
    "Manaifatturiera": "NNP",
    "Manalapan": "NNP",
    "Manas": "NNP",
    "Manassas": "NNP",
    "Manchester": "NNP",
    "Mancini": "NNP",
    "Mancuso": "NNP",
    "Mandarin": "NNP|JJ",
    "Mandate": "NN",
    "Mandel": "NNP",
    "Mandela": "NNP",
    "Mandelbaum": "NNP",
    "Mandell": "NNP",
    "Manderbach": "NNP",
    "Manderscheid": "NNP",
    "Mandhata": "NNP",
    "Mandina": "NNP",
    "Mandle": "NNP",
    "Mando": "NNP",
    "Mandolin": "NNP",
    "Mandom": "NNP",
    "Mandresh": "NNP",
    "Mandy": "NNP",
    "Maneret": "NNP",
    "Manet": "NNP",
    "Maneuvers": "NNS",
    "Manfred": "NNP|VBN",
    "Manganese": "NNP",
    "Mangano": "NNP",
    "Manger": "NNP",
    "Manges": "NNP",
    "Mangino": "NNP",
    "Manhattan": "NNP",
    "Manhattan-based": "JJ",
    "Maniago": "NNP",
    "Manic": "NNP|JJ",
    "Manifatture": "NNP",
    "Maniffature": "NNP",
    "Manigat": "NNP",
    "Manila": "NNP",
    "Manila-based": "JJ",
    "Manin": "NNP",
    "Manion": "NNP",
    "Manitoba": "NNP",
    "Manitoba-based": "JJ",
    "Manjucri": "NNP",
    "Mankiewicz": "NNP",
    "Mankind": "NNP",
    "Manko": "NNP",
    "Mankowski": "NNP",
    "Manley": "NNP",
    "Manlove": "NNP",
    "Manly": "NNP",
    "Mann": "NNP",
    "Manned": "NNP|VBN",
    "Mannerhouse": "NNP",
    "Manners": "NNP|NNS",
    "Mannesmann": "NNP",
    "Mannheim": "NNP",
    "Manning": "NNP",
    "Manningham": "NNP",
    "Mannington": "NNP",
    "Mannix": "NNP",
    "Manny": "NNP",
    "Manon": "NNP",
    "Manoplax": "NNP",
    "Manor": "NNP",
    "Manos": "NNP",
    "Manpower": "NNP",
    "Mansfield": "NNP",
    "Mansion": "NNP",
    "Manske": "NNP",
    "Manson": "NNP",
    "Mantegna": "NNP",
    "Mantha": "NNP",
    "Manthey": "NNP",
    "Mantle": "NNP",
    "Mantua": "NNP",
    "Manu": "NNP",
    "Manual": "JJ|NNP",
    "Manuel": "NNP",
    "Manuela": "NNP",
    "Manufacture": "NN",
    "Manufactured": "JJ",
    "Manufacturer": "NNP",
    "Manufacturers": "NNPS|NNS",
    "Manufacturing": "NNP",
    "Manuscript": "NNP",
    "Manute": "NNP",
    "Manville": "NNP",
    "Many": "JJ|RB|NNP|PDT",
    "Manya": "NNP",
    "Manzanec": "NNP",
    "Manzanola": "NNP",
    "Manzella": "NNP",
    "Manzi": "NNP",
    "Manzoni": "NNP",
    "Mao": "NNP",
    "Maoist": "JJ",
    "Maoist-style": "JJ",
    "Maoists": "NNPS",
    "Map": "NNP",
    "Mapco": "NNP",
    "Maple": "NNP|JJ",
    "Maplecrest": "NNP",
    "Mapplethorpe": "NNP",
    "Maquet": "NNP",
    "Maquila": "NN",
    "Maquilas": "NNP",
    "Mar": "NNP",
    "Mar.": "NNP",
    "MarCor": "NNP",
    "Mara": "NNP",
    "Marantz": "NNP",
    "Marathon": "NNP",
    "Marble": "NNP",
    "Marc": "NNP",
    "Marcel": "NNP",
    "Marcella": "NNP",
    "Marcello": "NNP",
    "Marcellus": "NNP",
    "March": "NNP",
    "Marchand": "NNP",
    "Marche": "NNP",
    "Marchers": "NNPS",
    "Marches": "NNPS",
    "Marchese": "NNP",
    "Marching": "NNP",
    "Marcia": "NNP",
    "Marciano": "NNP",
    "Marcile": "NNP",
    "Marcilio": "NNP",
    "Marcius": "NNP",
    "Marckesano": "NNP",
    "Marcmann": "NNP",
    "Marco": "NNP",
    "Marcom": "NNP",
    "Marconi": "NNP",
    "Marcor": "NNP",
    "Marcos": "NNP",
    "Marcoses": "NNPS",
    "Marcus": "NNP",
    "Marcy": "NNP",
    "Marder": "NNP",
    "Mardi": "NNP",
    "Mardis": "NNP",
    "Mardon": "NNP",
    "Mare": "NNP",
    "Mareb": "NNP",
    "Mareham": "NNP",
    "Marella": "NNP",
    "Marenzio": "NNP",
    "Marer": "NNP",
    "Margaret": "NNP",
    "Margaretville": "NN",
    "Margarito": "NNP",
    "Margaux": "NNP",
    "Marge": "NNP",
    "Margenau": "NNP",
    "Margeotes": "NNP|NNS",
    "Margery": "NNP",
    "Margie": "NNP",
    "Margin": "NN",
    "Marginal": "JJ",
    "Margins": "NNS|NNP",
    "Margler": "NNP",
    "Margo": "NNP",
    "Margolin": "NNP",
    "Margolis": "NNP",
    "Margret": "NNP",
    "Marguerite": "NNP",
    "Margulies": "NNP",
    "Maria": "NNP",
    "Mariam": "NNP",
    "Marian": "NNP",
    "Mariana": "NNP",
    "Mariano": "NNP",
    "Marico": "NNP",
    "Maricopa": "NNP",
    "Marie": "NNP",
    "Marie-Louise": "NNP",
    "Mariel": "NNP",
    "Marietta": "NNP",
    "Marijuana": "NN",
    "Marilee": "NNP",
    "Marilyn": "NNP",
    "Marin": "NNP",
    "Marina": "NNP",
    "Marinaro": "NNP",
    "Marinas": "NNS",
    "Marine": "NNP|JJ",
    "Mariners": "NNPS",
    "Marines": "NNPS|NNS",
    "Marino": "NNP",
    "Marinvest": "NNP",
    "Mario": "NNP",
    "Marion": "NNP",
    "Mariotta": "NNP",
    "Maris": "NNP",
    "Marist": "NNP",
    "Maritain": "NNP",
    "Maritime": "NNP",
    "Marjorie": "NNP",
    "Mark": "NNP|VB",
    "Markel": "NNP",
    "Markese": "NNP",
    "Market": "NNP",
    "Market-If-Touched": "NNP",
    "Market-based": "JJ",
    "Market-if-touched": "JJ",
    "Market-leader": "NN",
    "Market-research": "NN",
    "Marketed": "VBN",
    "Marketers": "NNS|NNPS",
    "Marketing": "NNP|VBG|NN",
    "Marketplace": "NNP",
    "Markets": "NNP|NNPS|NNS",
    "Markey": "NNP",
    "Markham": "NNP",
    "Markoe": "NNP",
    "Markovic": "NNP",
    "Markovitz": "NNP",
    "Markowitz": "NNP",
    "Markrud": "NNP",
    "Marks": "NNP|NNS",
    "Marksmanship": "NN",
    "Markus": "NNP",
    "Marla": "NNP",
    "Marlboro": "NNP",
    "Marlboros": "NNPS",
    "Marlborough": "NNP",
    "Marlene": "NNP",
    "Marley": "NNP",
    "Marlin": "NNP",
    "Marlo": "NNP",
    "Marlon": "NNP",
    "Marlow": "NNP",
    "Marlowe": "NNP",
    "Marlys": "NNP",
    "Marmalstein": "NNP",
    "Marmara": "NNP",
    "Marmee": "NNP",
    "Marmi": "NNP",
    "Marmon": "NNP",
    "Marne": "NNP",
    "Marne-la-Vallee": "NNP",
    "Marni": "NNP",
    "Maroc": "NNP",
    "Marocaine": "NNP",
    "Maronite": "JJ",
    "Maronites": "NNPS",
    "Marous": "NNP",
    "Maroy": "NNP",
    "Marques": "NNP",
    "Marquess": "NNP",
    "Marquet": "NNP",
    "Marquette": "NNP",
    "Marquez": "NNP",
    "Marquis": "NNP",
    "Marr": "NNP",
    "Marra": "NNP",
    "Marrakesh": "NNP",
    "Marriage": "NNP",
    "Marrie": "NNP",
    "Married": "JJ|VBN|NNP",
    "Marrill": "NNP",
    "Marriott": "NNP",
    "Marron": "NNP",
    "Marrow-Tech": "NNP",
    "Marry": "NNP",
    "Mars": "NNP",
    "Marsam": "NNP",
    "Marschalk": "NNP",
    "Marsden": "NNP",
    "Marseillaise": "NNP",
    "Marseilles": "NNP",
    "Marsh": "NNP",
    "Marsha": "NNP",
    "Marshal": "NNP",
    "Marshall": "NNP",
    "Marshalls": "NNP",
    "Marshes": "NNP",
    "Marsicano": "NNP",
    "Marsico": "NNP",
    "Marskmen": "NNP",
    "Marston": "NNP",
    "Mart": "NNP",
    "Martek": "NNP",
    "Martens": "NNP",
    "Martex": "NNP",
    "Martha": "NNP",
    "Marthe": "NNP",
    "Martian": "NNP|JJ",
    "Martians": "NNP",
    "Martin": "NNP",
    "Martin-type": "JJ",
    "Martinair": "NNP",
    "Martineau": "NNP",
    "Martinelli": "NNP",
    "Martinez": "NNP",
    "Martini": "NN|NNP",
    "Martinique": "NNP",
    "Martinsburg": "NNP",
    "Martinsek": "NNP",
    "Martinsville": "NNP",
    "Martoche": "NNP",
    "Marty": "NNP",
    "Martyn": "NNP",
    "Martyrs": "NNP",
    "Marubeni": "NNP",
    "Marulanda": "NNP",
    "Marum": "NNP",
    "Marunouchi": "NNP",
    "Marushita": "NNP",
    "Maruwa": "NNP",
    "Maruzen": "NNP",
    "Marv": "NNP",
    "Marvellee": "NNP",
    "Marvelon": "NNP",
    "Marvelous": "JJ",
    "Marver": "NNP",
    "Marvin": "NNP",
    "Marvis": "NNP",
    "Marwick": "NNP",
    "Marx": "NNP",
    "Marxism": "NNP",
    "Marxist": "JJ|NNP",
    "Marxist-Leninist": "JJ|NNP",
    "Marxist-dominated": "JJ",
    "Marxist-leaning": "NNP",
    "Marxists": "NNPS",
    "Mary": "NNP",
    "Maryann": "NNP",
    "Maryanne": "NNP",
    "Maryinsky": "NN",
    "Maryland": "NNP",
    "Marylanders": "NNPS",
    "Marysville": "NNP",
    "Maryville": "NNP",
    "Masaaki": "NNP",
    "Masada": "NNP",
    "Masahiko": "NNP",
    "Masahiro": "NNP",
    "Masaki-Schatz": "NNP",
    "Masami": "NNP",
    "Masaryk": "NNP",
    "Masato": "NNP",
    "Mascarita": "NNP",
    "Mascotte": "NNP",
    "Maser": "NNP",
    "Maserati": "NNP",
    "Masillon": "NNP",
    "Masius": "NNP",
    "Mask": "NNP",
    "Masket": "NNP",
    "Masks": "VBZ",
    "Maslyukov": "NNP",
    "Masnadieri": "NNP",
    "Mason": "NNP",
    "Masonic": "NNP",
    "Masonry": "NNP",
    "Masons": "NNPS|NNS",
    "Masque": "NNP",
    "Mass": "NNP|JJ",
    "Mass.": "NNP",
    "Mass.-based": "JJ|NNP",
    "MassMutual": "NNP",
    "Mass/Amherst": "NNP",
    "Massa": "NNP",
    "Massachusetts": "NNP",
    "Massachussets": "NNP",
    "Massacre": "NNP",
    "Massacres": "NNS",
    "Massage": "NN|NNP",
    "Masse": "NNP",
    "Massell": "NNP",
    "Massenet": "NNP",
    "Massey": "NNP",
    "Massey-Ferguson": "NNP",
    "Massicotte": "NNP",
    "Massimi": "NNP",
    "Massimo": "NNP",
    "Massive": "JJ|NNP",
    "Masson": "NNP",
    "Masssachusetts": "NNP",
    "Master": "NNP",
    "MasterCard": "NNP",
    "MasterCards": "NNS",
    "Mastergate": "NNP",
    "Mastering": "VBG",
    "Masterpiece": "NNP",
    "Masterpieces": "NNPS",
    "Masters": "NNP|NNPS|NNS",
    "Masterson": "NNP",
    "Masterworks": "NNPS",
    "Mastro": "NNP",
    "Masu": "NNP",
    "Masuda": "NNP",
    "Masur": "NNP",
    "Matagorda": "NNP",
    "Matais": "NNP",
    "Matamoras": "NNP",
    "Matamoros": "NNP",
    "Matanky": "NNP",
    "Match": "NNP",
    "Matchbook-sized": "JJ",
    "Matchbox": "NNP",
    "Matchett": "NNP",
    "Matching": "VBG|JJ",
    "Mateo": "NNP",
    "Mater": "NNP",
    "Material": "NNP|JJ",
    "Materialism": "NN",
    "Materials": "NNPS|NNS",
    "Mateyo": "NNP",
    "Math": "NNP",
    "Mathavious": "NNP",
    "Mathematical": "JJ",
    "Mathematically": "RB",
    "Mathematics": "NNP",
    "Mather": "NNP",
    "Matheson": "NNP",
    "Mathews": "NNP",
    "Mathewson": "NNP",
    "Mathias": "NNP",
    "Mathilde": "NNP",
    "Mathis": "NNP",
    "Mathues": "NNP",
    "Matilda": "NNP",
    "Matisse": "NNP",
    "Matisses": "NNPS",
    "Matlock": "NNP",
    "Matlowsky": "NNP",
    "Matos": "NNP",
    "Matra": "NNP",
    "Matra-Harris": "NNP",
    "Matrimonial": "NNP",
    "Matritech": "NNP",
    "Matrix": "NNP",
    "Matsing": "NNP",
    "Matson": "NNP",
    "Matsu": "NNP",
    "Matsuda": "NNP",
    "Matsui": "NNP",
    "Matsunaga": "NNP",
    "Matsuo": "NNP",
    "Matsushita": "NNP",
    "Matsushita-made": "JJ",
    "Matsushita-owned": "JJ",
    "Matsuura": "NNP",
    "Matt": "NNP",
    "Mattathias": "NNP",
    "Mattausch": "NNP",
    "Mattei": "NNP",
    "Mattel": "NNP",
    "Matter": "NN|NNP",
    "Matters": "NNS|NNP|VBZ",
    "Mattes": "NNP",
    "Matteson": "NNP",
    "Matthew": "NNP",
    "Matthews": "NNP",
    "Matthias": "NNP",
    "Matthies": "NNP",
    "Mattia": "NNP",
    "Mattie": "NNP",
    "Mattis": "NNP",
    "Mattison": "NNP",
    "Mattone": "NNP",
    "Mattox": "NNP",
    "Mattress": "NNP",
    "Mattsson": "NNP",
    "Matunuck": "NNP",
    "Maturities": "NNS",
    "Maturity": "NN",
    "Matuschka": "NNP",
    "Matz": "NNP",
    "Mauch": "NNP",
    "Maude": "NNP",
    "Maugham": "NNP",
    "Maughan": "NNP",
    "Maui": "NNP",
    "Mauldin": "NNP",
    "Maumee": "NNP",
    "Maung": "NNP",
    "Maura": "NNP",
    "Maureen": "NNP",
    "Maurer": "NNP",
    "Maurice": "NNP",
    "Maurier": "NNP",
    "Maurine": "NNP",
    "Mauritania": "NNP",
    "Maurits": "NNP",
    "Maury": "NNP",
    "Mauve-colored": "JJ",
    "Mavis": "NNP",
    "Mawr": "NNP",
    "Max": "NNP",
    "Maxell": "NNP",
    "Maxentius": "NNP",
    "Maxhuette": "NNP",
    "Maxicare": "NNP",
    "Maxim": "NNP",
    "Maxima": "NNP",
    "Maximilian": "NNP",
    "Maximizing": "VBG",
    "Maximum": "NNP|JJ",
    "Maxine": "NNP",
    "Maxtor": "NNP",
    "Maxus": "NNP",
    "Maxwell": "NNP",
    "Maxxam": "NNP",
    "May": "NNP|MD",
    "Maya": "FW",
    "Mayan": "JJ",
    "Mayans": "NNS",
    "Maybe": "RB|UH",
    "Maybelline": "NNP",
    "Mayberry": "NNP",
    "Mayer": "NNP",
    "Mayfair": "NNP",
    "Mayfield": "NNP",
    "Mayflower": "NNP",
    "Mayhap": "RB",
    "Mayland": "NNP",
    "Maynard": "NNP",
    "Mayne": "NNP",
    "Maynor": "NNP",
    "Mayo": "NNP",
    "Mayor": "NNP",
    "Mayor-elect": "NNP",
    "Mayor-nominate": "NNP",
    "Mayoral": "JJ",
    "Mayors": "NNS",
    "Mays": "NNP",
    "Maytag": "NNP",
    "Mayumi": "NNP",
    "Maywood": "NNP",
    "Mazda": "NNP",
    "Mazeroski": "NNP",
    "Mazilo": "NNP",
    "Mazowiecki": "NNP",
    "Mazowsze": "NNP",
    "Mazza": "NNP",
    "Mazzera": "NNP",
    "Mazzone": "NNP",
    "Mazzoni": "NNP",
    "Mazzorana": "NNP",
    "Mc": "NNP",
    "McAbee": "NNP",
    "McAfee": "NNP",
    "McAlester": "NNP",
    "McAlinden": "NNP",
    "McAlister": "NNP",
    "McAllen": "NNP",
    "McAllister": "NNP",
    "McAlpine": "NNP",
    "McArthur": "NNP",
    "McArtor": "NNP",
    "McAuley": "NNP",
    "McAuliffe": "NNP",
    "McAvity": "NNP",
    "McBee": "NNP",
    "McBride": "NNP",
    "McCabe": "NNP",
    "McCafferty": "NNP",
    "McCaffrey": "NNP",
    "McCain": "NNP",
    "McCall": "NNP",
    "McCamant": "NNP",
    "McCammon": "NNP",
    "McCann": "NNP",
    "McCann-Erickson": "NNP",
    "McCann-Erikson": "NNP",
    "McCanna": "NNP",
    "McCarran": "NNP",
    "McCarran-Ferguson": "NNP",
    "McCarthy": "NNP",
    "McCarthy-era": "JJ",
    "McCarthyite": "JJ",
    "McCartin": "NNP",
    "McCartney": "NNP",
    "McCarty": "NNP",
    "McCarver": "NNP",
    "McCaskey": "NNP",
    "McCaskill": "NNP",
    "McCaughan": "NNP",
    "McCaughey": "NNP",
    "McCauley": "NNP",
    "McCauliffe": "NNP",
    "McCaw": "NNP",
    "McCay": "NNP",
    "McChesney": "NNP",
    "McChicken": "NNP",
    "McClatchy": "NNP",
    "McClave": "NNP",
    "McClellan": "NNP",
    "McClelland": "NNP",
    "McClements": "NNP",
    "McCleod": "NNP",
    "McClintick": "NNP",
    "McClintock": "NNP",
    "McCloy": "NNP",
    "McClure": "NNP",
    "McCluskey": "NNP",
    "McColl": "NNP",
    "McCollum": "NNP",
    "McColm": "NNP",
    "McCombs": "NNP",
    "McCone": "NNP",
    "McConnell": "NNP",
    "McCord": "NNP",
    "McCormack": "NNP",
    "McCormick": "NNP",
    "McCovey": "NNP",
    "McCoy": "NNP",
    "McCracken": "NNP",
    "McCrady": "NNP",
    "McCraw": "NNP",
    "McCrory": "NNP",
    "McCullers": "NNP",
    "McCulley": "NNP",
    "McCullough": "NNP",
    "McCurdy": "NNP",
    "McCurry": "NNP",
    "McCutchen": "NNP",
    "McDLT": "NNP",
    "McDade": "NNP",
    "McDaniel": "NNP",
    "McDermid": "NNP",
    "McDermott": "NNP",
    "McDonald": "NNP|VB",
    "McDonalds": "NNP",
    "McDonnell": "NNP",
    "McDonough": "NNP",
    "McDougall": "NNP",
    "McDowell": "NNP",
    "McDuffie": "NNP",
    "McEachern": "NNP",
    "McElroy": "NNP",
    "McElvaney": "NNP",
    "McElyee": "NNP",
    "McEnaney": "NNP",
    "McEnany": "NNP",
    "McEnroe": "NNP",
    "McFadden": "NNP",
    "McFall": "NNP",
    "McFarlan": "NNP",
    "McFarland": "NNP",
    "McFee": "NNP",
    "McFeeley": "NNP",
    "McFeely": "RB",
    "McGann": "NNP",
    "McGee": "NNP",
    "McGehee": "NNP",
    "McGeorge": "NNP",
    "McGhie": "NNP",
    "McGill": "NNP",
    "McGillicuddy": "NNP",
    "McGillivray": "NNP",
    "McGinley": "NNP",
    "McGinty": "NNP",
    "McGlade": "NNP",
    "McGlothlin": "NNP",
    "McGlynn": "NNP",
    "McGonagle": "NNP",
    "McGovern": "NNP",
    "McGowan": "NNP",
    "McGrath": "NNP",
    "McGraw": "NNP",
    "McGraw-Hill": "NNP",
    "McGregor": "NNP",
    "McGrevin": "NNP",
    "McGroarty": "NNP",
    "McGruder": "NNP",
    "McGuane": "NNP",
    "McGuigan": "NNP",
    "McGuire": "NNP",
    "McGuirk": "NNP",
    "McGurk": "NNP",
    "McGwire": "NNP",
    "McHenry": "NNP",
    "McInerney": "NNP",
    "McInnes": "NNP",
    "McInroy": "NNP",
    "McIntosh": "NNP",
    "McIntyre": "NNP",
    "McIver": "NNP",
    "McKENZIE": "NNP",
    "McKay": "NNP",
    "McKee": "NNP",
    "McKeever": "NNP",
    "McKellar": "NNP",
    "McKenna": "NNP",
    "McKennon": "NNP",
    "McKenzie": "NNP",
    "McKeon": "NNP",
    "McKeown": "NNP",
    "McKesson": "NNP",
    "McKibben": "NNP",
    "McKid": "NNP",
    "McKim": "NNP",
    "McKinley": "NNP",
    "McKinleyville": "NNP",
    "McKinney": "NNP",
    "McKinnon": "NNP",
    "McKinsey": "NNP",
    "McKinzie": "NNP",
    "McKnight": "NNP",
    "McKusick": "NNP",
    "McLauchlan": "NNP",
    "McLauchlin": "NNP",
    "McLaughlin": "NNP",
    "McLean": "NNP",
    "McLelland": "NNP",
    "McLemore": "NNP",
    "McLendon": "NNP",
    "McLendon-Ebony": "NNP",
    "McLennan": "NNP",
    "McLeod": "NNP",
    "McLish": "NNP",
    "McLoughlin": "NNP",
    "McLuhan": "NNP",
    "McMahon": "NNP",
    "McManus": "NNP",
    "McMaster": "NNP",
    "McMeel": "NNP",
    "McMillen": "NNP",
    "McMillin": "NNP",
    "McMoRan": "NNP",
    "McMullan": "NNP",
    "McMullin": "NNP",
    "McN": "NNP",
    "McNabb": "NNP",
    "McNair": "NNP",
    "McNally": "NNP|RB",
    "McNamar": "NNP",
    "McNamara": "NNP",
    "McNamee": "NNP",
    "McNaughton": "NNP",
    "McNeal": "NNP",
    "McNealy": "NNP",
    "McNear": "NNP",
    "McNeil": "NNP",
    "McNeill": "NNP",
    "McNerney": "NNP",
    "McNichols": "NNP",
    "McPherson": "NNP",
    "McQueen": "NNP",
    "McQuillan": "NNP",
    "McQuown": "NNP",
    "McRae": "NNP",
    "McRaney": "NNP",
    "McRoberts": "NNP",
    "McShane": "NNP",
    "McSorley": "NNP",
    "McToxics": "NNP",
    "McVay": "NNP",
    "McVities": "NNP",
    "McWhinney": "NNP",
    "McWilliams": "NNP",
    "Mcdonald": "NNP",
    "Md": "NNP",
    "Md.": "NNP",
    "Me": "PRP|NNP|VBP",
    "Me-210": "NNP|JJ",
    "Mead": "NNP",
    "Meaden": "NNP",
    "Meador": "NNP",
    "Meadow": "NNP",
    "Meadowland": "NNP",
    "Meadows": "NNP",
    "Meager": "JJ",
    "Meagher": "NNP",
    "Meals": "NNP",
    "Mean": "VB",
    "Meana": "NNP",
    "Meaney": "NNP",
    "Meaning": "NN|NNP",
    "Meaningful": "JJ",
    "Meanings": "NNS",
    "Means": "NNP|NNS|NNPS|VBZ",
    "Meantime": "RB|NNP",
    "Meanwhile": "RB",
    "Meanwile": "RB",
    "Mears": "NNP",
    "Measure": "NN|NNP|VB",
    "Measured": "VBN",
    "Measurement": "NNP",
    "Measurements": "NNS|NNP",
    "Measures": "NNS",
    "Measuring": "VBG|NN",
    "Meat": "NNP",
    "Meatheads": "NNS",
    "Meats": "NNS|NNPS",
    "Mecaniques": "NNP",
    "Mecca": "NNP",
    "Mechanics": "NNP",
    "Mechanicsburg": "NNP",
    "Mechanisms": "NNPS",
    "Mechanix": "NNP",
    "Mechanized": "JJ|VBN",
    "Mecholyl": "NNP",
    "Mecklenberg": "NNP",
    "Med-Chemical": "NNP",
    "MedChem": "NNP",
    "Medal": "NNP",
    "Medco": "NNP",
    "Medea": "NNP",
    "Medecine": "NNP",
    "Medellin": "NNP",
    "Medfield": "NNP",
    "Medford": "NNP",
    "Medgyessy": "NNP",
    "Medi-Mail": "NNP",
    "MediVision": "NNP",
    "Media": "NNP|NNS|NNPS",
    "Media-buying": "NN",
    "Medialink": "NNP",
    "Median": "JJ",
    "Mediation": "NNP",
    "Medibank": "NNP",
    "Medicaid": "NNP",
    "Medicaid-covered": "JJ",
    "Medicaid-paid": "JJ",
    "Medical": "NNP|JJ",
    "Medical-instrument": "JJ",
    "Medical-supply": "JJ",
    "Medicale": "NNP",
    "Medicare": "NNP",
    "Medicare-approved": "JJ",
    "Medicare-catastrophic-care": "JJ",
    "Medicare-eligible": "JJ",
    "Medici": "NNPS",
    "Medicine": "NNP",
    "Medicines": "NNP",
    "Medicis": "NNPS",
    "Medicus": "NNP",
    "Medieval": "JJ|NNP",
    "Mediobanca": "NNP",
    "Meditations": "NNPS|NNS",
    "Mediterranean": "NNP|JJ",
    "Mediterranean-inspired": "JJ",
    "Mediumistic": "JJ",
    "Medlin": "NNP",
    "Medmenham": "NNP",
    "Mednis": "NNP",
    "Medstone": "NNP",
    "Medtronic": "NNP",
    "Medtronics": "NNP",
    "Medusa": "NN",
    "Medvedev": "NNP",
    "Meech": "NNP",
    "Meehan": "NNP",
    "Meek": "NNP",
    "Meeker": "NNP",
    "Meekison": "NNP",
    "Meese": "NNP",
    "Meet": "NNP|VB|VBP",
    "Meeting": "VBG|NNP",
    "Meetings": "NNS",
    "Meets": "NNP",
    "Meg": "NNP",
    "MegEcon": "NNP",
    "Mega": "JJ",
    "Mega-hits": "NNS",
    "Megamarketing": "NN",
    "Megane": "NNP",
    "Megargel": "NNP",
    "Megarians": "NNPS",
    "Megat": "NNP",
    "Megdal": "NNP",
    "Meggs": "NNP|NNS",
    "Meharry": "NNP",
    "Mehitabel": "NNP",
    "Mehl": "NNP",
    "Mehrens": "NNP",
    "Mehta": "NNP",
    "Meidinger": "NNP",
    "Meigher": "NNP",
    "Meils": "NNP",
    "Meinckian": "NNP",
    "Meinders": "NNP",
    "Meineke": "NNP",
    "Meinung": "FW",
    "Meir": "NNP",
    "Meisenheimer": "NNP",
    "Meissner": "NNP",
    "Meister": "NNP",
    "Meistersinger": "NNP",
    "Mekong": "NNP",
    "Mel": "NNP",
    "Melamed": "NNP",
    "Melamine": "JJ",
    "Melancholy": "JJ",
    "Melanesian": "NNP",
    "Melanie": "NNP",
    "Melanto": "NNP",
    "Melbourne": "NNP",
    "Melbourne-based": "JJ",
    "Melcher": "NNP",
    "Melies": "NNP",
    "Melinda": "NNP",
    "Melisande": "NNP",
    "Melissa": "NNP",
    "Mellal": "NNP",
    "Mellanby": "NNP",
    "Mellen": "NNP",
    "Meller": "NNP",
    "Melling": "NNP",
    "Mello": "NNP",
    "Melloan": "NNP",
    "Mellon": "NNP",
    "Mellor": "NNP",
    "Mellow": "JJ",
    "Melodious": "JJ",
    "Melodramatic": "JJ",
    "Melody": "NNP",
    "Melott": "NNP",
    "Melrose": "NNP",
    "Melsungen": "NNP",
    "Melted": "VBN",
    "Meltex": "NNP",
    "Meltnomah": "NNP",
    "Melton": "NNP",
    "Meltzer": "NNP",
    "Melville": "NNP",
    "Melvin": "NNP",
    "Melvyn": "NNP",
    "Melzi": "NNP",
    "Member": "NNP|NN",
    "Members": "NNS|NNPS",
    "Membership": "NN|NNP",
    "Mementoes": "NNS",
    "Memoir": "NN",
    "Memoirs": "NNP",
    "Memorex": "NNP",
    "Memorial": "NNP",
    "Memorials": "NNP",
    "Memories": "NNP|NNPS|NNS",
    "Memory": "NN|NNP",
    "Memotec": "NNP",
    "Memphis": "NNP|NNS",
    "Men": "NN|NNS|NNP|NNPS",
    "Menagerie": "NNP",
    "Menahem": "NNP",
    "Menas": "NNP",
    "Mencius": "NNP",
    "Mencken": "NNP",
    "Mendell": "NNP",
    "Mendelsohn": "NNP",
    "Mendelson": "NNP",
    "Mendelssohn": "NNP",
    "Menderes": "NNP",
    "Mendes": "NNP",
    "Mendez": "NNP",
    "Mendoza": "NNP",
    "Menelaus": "NNP",
    "Menell": "NNP",
    "Menem": "NNP",
    "Menendez": "NNP",
    "Menenendez": "NNP",
    "Menet": "NNP",
    "Menfolk": "NNS",
    "Mengistu": "NNP",
    "Mengitsu": "NNP",
    "Menilmontant": "NNP",
    "Meninas": "NNP",
    "Menlo": "NNP",
    "Mennen": "NNP",
    "Mennis": "NNP",
    "Mennonite": "JJ|NNP",
    "Mennonites": "NNPS",
    "Menomonee": "NNP",
    "Menshikov": "NNP",
    "Ment": "NNP",
    "Mental": "NNP|JJ",
    "Mentality": "NN",
    "Menton": "NNP",
    "Mentor": "NNP",
    "Mentum": "NNP",
    "Mentz": "NNP",
    "Menu": "NNP",
    "Menuhin": "NNP",
    "Menuhin-Amadeus": "NNP",
    "Menzel": "NNP",
    "Mephistopheles": "NNP",
    "Meps": "NNP",
    "MeraBank": "NNP",
    "Merabank": "NNP",
    "Merc": "NNP",
    "Mercantile": "NNP",
    "Mercantilists": "NNS",
    "Merce": "NNP",
    "Merced": "NNP",
    "Mercedes": "NNP|NNS|NNPS",
    "Mercedes-Benz": "NNP",
    "Mercedes-Benzes": "NNS|NNPS",
    "Mercenary": "NN",
    "Mercer": "NNP",
    "Mercer-Meidinger-Hansen": "NNP",
    "Mercers": "NNPS",
    "Merchandise": "NNP",
    "Merchandising": "NNP",
    "Merchant": "NN|NNP",
    "Merchants": "NNP|NNS|NNPS",
    "MerchantsBank": "NNP",
    "Mercier": "NNP",
    "Merciful": "JJ",
    "Mercifully": "RB",
    "Merck": "NNP",
    "Mercury": "NNP",
    "Mercy": "NNP",
    "Meredith": "NNP",
    "Merely": "RB",
    "Mergens": "NNP",
    "Merger": "NN|NNP",
    "Mergers": "NNPS|NNS",
    "Merhige": "NNP",
    "Meriden": "NNP",
    "Meridian": "NNP",
    "Merieux": "NNP",
    "Merieux-Connaught": "NNP",
    "Merigan": "NNP",
    "Merighi": "NNP",
    "Merill": "NNP",
    "Merion": "NNP",
    "Merit": "NNP",
    "Merited": "JJ",
    "Meritor": "NNP",
    "Merits": "NNS",
    "Meriwether": "NNP",
    "Merkel": "NNP",
    "Merksamer": "NNP",
    "Merkur": "NNP",
    "Merkurs": "NNPS",
    "Merle": "NNP",
    "Merleau-Ponty": "NNP",
    "Merlis": "NNP",
    "Merlo": "NNP",
    "Merner": "NNP",
    "Merola": "NNP",
    "Merom": "NNP",
    "Merrell": "NNP",
    "Merriam-Webster": "NNP",
    "Merrick": "NNP",
    "Merrill": "NNP",
    "Merrill-Lynch": "NNP",
    "Merrimac": "NNP",
    "Merrimack": "NNP",
    "Merritt": "NNP",
    "Merritt-Chapman": "NNP",
    "Merry": "NNP|JJ",
    "Merry-Go-Round": "NNP",
    "Merry-go-round": "NNP",
    "Merryman": "NNP",
    "Mersa": "NNP",
    "Mertle": "NNP",
    "Merton": "NNP",
    "Merv": "NNP",
    "Mervin": "NNP",
    "Mervyn": "NNP",
    "Meryl": "NNP",
    "Merz": "NNP",
    "Mesa": "NNP",
    "Mesaba": "NNP",
    "Mescalero": "NNP",
    "Meselson": "NNP",
    "Meshulam": "NNP",
    "Mesirov": "NNP",
    "Mesnil": "NNP",
    "Meson": "NNP",
    "Mess": "NN",
    "Messa": "FW|NNP",
    "Message": "NN|NNP",
    "Messaggero": "NNP",
    "Messelt": "NNP",
    "Messenger": "NNP",
    "Messengers": "NNPS",
    "Messerschmitt": "NN|NNP",
    "Messerschmitt-Boelkow": "NNP",
    "Messerschmitt-Boelkow-Blohm": "NNP",
    "Messerschmitt-Bolkow": "NNP",
    "Messiaen": "NNP",
    "Messiah": "NNP",
    "Messina": "NNP",
    "Messinesi": "NNP",
    "Messing": "VBG",
    "Messinger": "NNP",
    "Messner": "NNP",
    "Messrs": "NNPS",
    "Messrs.": "NNP|NNPS|NNS",
    "Mesta": "NNP",
    "Met": "NNP|FW|VBD|VBN",
    "MetWest": "NNP",
    "Meta": "NNP",
    "Metabolite": "NN",
    "Metal": "NNP",
    "Metall": "NNP",
    "Metallgesellschaft": "NNP",
    "Metallurgical": "NNP",
    "Metals": "NNPS|NNP|NNS",
    "Metamorphose": "NNP",
    "Metamorphosis": "NN",
    "Metamucil": "NNP",
    "Metaphysics": "NNS",
    "Metatrace": "NNP",
    "Metcalf": "NNP",
    "Meteorological": "NNP",
    "Methanol": "NN",
    "Method": "NN",
    "Methodism": "NNP",
    "Methodist": "NNP|JJ",
    "Methodists": "NNPS",
    "Methods": "NNS|NNPS",
    "Methuselah": "NNP|VB",
    "Methuselahs": "NNPS",
    "Methyl": "NN",
    "Methylene": "NN",
    "Metier": "NNP",
    "Metrecal": "NNP",
    "Metric": "NNP",
    "Metrically": "RB",
    "Metro": "NNP",
    "Metro-Goldwyn-Mayer": "NNP",
    "MetroCorp": "NNP",
    "Metrocorp": "NNP",
    "Metromedia": "NNP",
    "Metromedia-ITT": "NNP",
    "Metronic": "NNP",
    "Metronome": "NNP",
    "Metroplex": "NNP",
    "Metropolian": "NNP",
    "Metropolis": "NNP",
    "Metropolitan": "NNP",
    "Metruh": "NNP",
    "Mets": "NNP|NNPS",
    "Metschan": "NNP",
    "Metter": "NNP",
    "Metz": "NNP",
    "Metzenbaum": "NNP",
    "Metzenbaums": "NNPS",
    "Metzler": "NNP",
    "Meurer": "NNP",
    "Meurons": "NNS",
    "Mevacor": "NNP",
    "Mevalotin": "NN",
    "Mexicali": "NNP",
    "Mexican": "JJ|NNP",
    "Mexican-food": "JJ",
    "Mexicana": "NNP",
    "Mexicanos": "NNP",
    "Mexicans": "NNPS|NNS",
    "Mexico": "NNP",
    "Mexico-United": "NNP",
    "Mexico-based": "JJ",
    "Mexico-watchers": "NNS",
    "Meyer": "NNP",
    "Meyerbeer": "NNP",
    "Meyers": "NNP",
    "Meyerson": "NNP",
    "Meyle": "NNP",
    "Meynell": "NNP",
    "Meyner": "NNP",
    "Meyohas": "NNP",
    "Mezzanine": "NNP",
    "Mezzogiorno": "NNP",
    "Mfg.": "NNP",
    "Mfume": "NNP",
    "Mi": "NNP|FW",
    "MiG-23": "NNP",
    "MiG-23BN": "NN",
    "MiG-26": "NNP",
    "MiG-29": "NNP",
    "MiG-29s": "NNS",
    "MiGs": "NNPS",
    "Mia": "NNP",
    "Miami": "NNP",
    "Miami-Madrid": "NNP",
    "Miami-based": "JJ",
    "Miantonomi": "NNP",
    "Micawber": "NNP",
    "Mice": "NNS",
    "Micelles": "NNS",
    "Micelli": "NNP",
    "Mich": "NNP",
    "Mich.": "NNP",
    "Mich.-based": "JJ",
    "Micha": "NNP",
    "Michael": "NNP",
    "Michaelcheck": "NNP",
    "Michaels": "NNP|NNS",
    "Michaelson": "NNP",
    "Michel": "NNP",
    "Michel-Etienne": "NNP",
    "Michelangelo": "NNP",
    "Michelangelos": "NNPS",
    "Michele": "NNP",
    "Michelin": "NNP",
    "Michelle": "NNP",
    "Michelman": "NNP",
    "Michelob": "NNP",
    "Michels": "NNP",
    "Michelson": "NNP",
    "Michigan": "NNP|JJ",
    "Michigan-based": "JJ",
    "Michilimackinac": "NNP",
    "Michio": "NNP",
    "Mick": "NNP",
    "Mickelberry": "NNP",
    "Mickey": "NNP",
    "Mickie": "NNP",
    "Micro": "NNP",
    "Micro-Economics": "NNPS",
    "MicroAge": "NNP",
    "MicroBilt": "NNP",
    "MicroGeneSys": "NNP",
    "Microamerica": "NNP",
    "Microbilt": "NNP",
    "Microbiological": "NNP",
    "Microbiology": "NNP",
    "Microchannel": "NNP",
    "Microcom": "NNP",
    "Microdyne": "NNP",
    "Microelectronics": "NNPS",
    "Microlog": "NNP",
    "Micron": "NNP",
    "Micronic": "NNP",
    "Micronics": "NNP",
    "Micronite": "NN",
    "Micronyx": "NNP",
    "Microorganisms": "NNS",
    "Microphones": "NNS",
    "Micropolis": "NNP",
    "Microprocessor": "NNP",
    "Microscopes": "NNS",
    "Microscopic": "JJ",
    "Microscopically": "RB",
    "Microsoft": "NNP",
    "Microsoft-Apple": "NNP",
    "Microsystems": "NNPS",
    "Microwave": "NNP",
    "Microwaves": "NNS",
    "Mid": "NNP",
    "Mid-America": "NNP",
    "Mid-Atlantic": "NN",
    "Mid-Century": "NNP",
    "Mid-Continent": "NNP",
    "Mid-State": "NNP",
    "Mid-sized": "JJ",
    "Midas": "NNP",
    "Midco": "NNP",
    "Middenstandsbank": "NNP",
    "Middle": "NNP|NNPS|JJ",
    "Middle-Eastern": "JJ",
    "Middle-South": "NNP|JJ",
    "Middle-aged": "JJ",
    "Middle-class": "JJ",
    "Middlebury": "NNP",
    "Middlefield": "NNP",
    "Middleman": "NN",
    "Middleness": "NN",
    "Middlesex": "NNP",
    "Middletown": "NNP",
    "Mideast": "JJ|NNP",
    "Mideastern": "JJ",
    "Midge": "NNP",
    "Midgetman": "NNP",
    "Midi": "NNP",
    "Midland": "NNP",
    "Midlantic": "NNP",
    "Midler": "NNP",
    "Midmorning": "NN",
    "Midnight": "NNP",
    "Midshipman": "NNP",
    "Midsized": "JJ",
    "Midvale": "NNP",
    "Midway": "NNP|RB",
    "Midwesco": "NNP",
    "Midwest": "NNP|JJS",
    "Midwestern": "JJ|NN|NNP",
    "Midwesterners": "NNS",
    "Midwood": "NNP",
    "Miert": "NN",
    "Mifepristone": "NNP",
    "Mifflin": "NNP",
    "Mig": "NN",
    "Might": "MD",
    "Mighty": "NNP",
    "Miglia": "NNP",
    "Migliorino": "NNP",
    "Mignanelli": "NNP",
    "Mignon": "NNP",
    "Mignott": "NNP",
    "Migrant": "NNP",
    "Migs": "NNS",
    "Miguel": "NNP",
    "Mihalek": "NNP",
    "Mihaly": "NNP",
    "Mij": "NNP",
    "Mijbil": "NNP",
    "Mikado": "NNP",
    "Mike": "NNP",
    "Mikeen": "NNP",
    "Mikhail": "NNP",
    "Mikie": "NNP",
    "Miklos": "NNP",
    "Mikoyan": "NNP",
    "Mikulich": "NNP",
    "Mikulski": "NNP",
    "Mil-Spec": "NNP",
    "Milacron": "NNP",
    "Milan": "NNP",
    "Milan-based": "JJ",
    "Milano": "NNP",
    "Milanoff": "NNP",
    "Milbank": "NNP",
    "Milbankes": "NNPS",
    "Milbauer": "NNP",
    "Milberg": "NNP",
    "Milburn": "NNP",
    "Milcote": "NNP",
    "Mildner": "NNP",
    "Mile": "NNP",
    "Mileage": "NN",
    "Milenoff": "NNP",
    "Miles": "NNP",
    "Milford": "NNP",
    "Milgrim": "NNP",
    "Milhaud": "NNP",
    "Militant": "JJ",
    "Military": "NNP|JJ",
    "Militia": "NNS",
    "Milk": "NN|NNP",
    "Milka": "NNP",
    "Milkaukee": "NNP",
    "Milken": "NNP",
    "Milkens": "NNPS",
    "Milko": "NNP",
    "Milky": "NNP",
    "Mill": "NNP",
    "Millard": "NNP",
    "Millay": "NNP",
    "Millbrae": "NNP",
    "Millburn": "NNP",
    "Mille": "NNP",
    "Milledgeville": "NNP",
    "Millen": "NNP",
    "Millenarianism": "NN",
    "Millenbruch": "NNP",
    "Millennium": "NN",
    "Miller": "NNP",
    "Miller-Studds": "NNP",
    "Millers": "NNPS",
    "Millicent": "NNP",
    "Millicom": "NNP",
    "Millie": "NNP",
    "Milling": "NNP",
    "Milling-Stanley": "NNP",
    "Million-dollar": "JJ",
    "Millions": "NNS",
    "Millipore": "NNP",
    "Millis": "NNP",
    "Millkens": "NNP",
    "Millo": "NNP",
    "Mills": "NNP|NNPS|NNS",
    "Millstein": "NNP",
    "Millstone": "NNP",
    "Milman": "NNP",
    "Milne": "NNP",
    "Milos": "NNP",
    "Milpitas": "NNP",
    "Milquetoasts": "NNS",
    "Milstar": "NNP",
    "Milstein": "NNP",
    "Milt": "NNP",
    "Milties": "NNP",
    "Milton": "NNP",
    "Miltonic": "JJ",
    "Milunovich": "NNP",
    "Milwaukee": "NNP",
    "Milwaukee-based": "JJ",
    "Mimesis": "NN|NNP",
    "Mimi": "NNP",
    "Mimieux": "NNP",
    "MinHa": "NNP",
    "Minato-Mirai": "NNP",
    "Mind": "VB|NN|NNP",
    "Mindanao": "NNP",
    "Minden": "NNP",
    "Mindlin": "NNP",
    "Minds": "NNPS",
    "Mindscape": "NNP",
    "Mindy": "NNP",
    "Mine": "NNP|PRP|JJ",
    "Minella": "NNP",
    "Mineola": "NNP",
    "Miner": "NNP",
    "Minera": "NNP",
    "Mineral": "NNP",
    "Mineralogies": "NNPS",
    "Mineralogy": "NNP",
    "Minerals": "NNPS|NNS",
    "Minero": "NNP",
    "Miners": "NNP",
    "Minerva": "NNP",
    "Mines": "NNP|NNPS|NNS",
    "Mineworkers": "NNPS",
    "Ming": "NNP",
    "Mingo": "NNP",
    "Mingus": "NNP",
    "Minh": "NNP",
    "MiniScribe": "NNP",
    "MiniSport": "NNP",
    "Minicar": "JJ",
    "Minikes": "NNP",
    "Minimum": "NNP",
    "Mining": "NNP",
    "MinisPort": "NNP",
    "Miniscribe": "NNP",
    "Minister": "NNP",
    "Ministers": "NNP|NNPS|NNS",
    "Ministries": "NNP",
    "Ministry": "NNP",
    "Minitruck": "NN",
    "Miniver": "NNP",
    "Minkow": "NNP",
    "Minks": "NNP",
    "Minn": "NNP",
    "Minn.": "NNP",
    "Minn.-based": "JJ",
    "Minna": "NNP",
    "Minneapolis": "NNP|NNS",
    "Minneapolis-St": "NNP",
    "Minneapolis-based": "JJ",
    "Minnelli": "NNP",
    "Minnery": "NNP",
    "Minnesota": "NNP",
    "Minnesotan": "NNP",
    "Minnesotans": "NNPS",
    "Minnetonka": "NNP",
    "Minnett": "NNP",
    "Minnie": "NNP",
    "Minns": "NNP",
    "Minny": "NNP",
    "Minoan-Mycenaean": "NNP",
    "Minolta": "NNP",
    "Minor": "NNP",
    "Minorco": "NNP",
    "Minority": "NNP",
    "Minors": "NNS",
    "Minoru": "NNP",
    "Minoso": "NNP",
    "Minot": "NNP",
    "Minpeco": "NNP",
    "Minpeco-Manufacturers": "NNPS",
    "Minsk": "NNP",
    "Minster": "NNP",
    "Mint": "NNP",
    "Mintel": "NNP",
    "Minter": "NNP",
    "Mints": "NNS",
    "Mintz": "NNP",
    "Minuses": "NNS",
    "Minute": "NNP",
    "Minuteman": "NNP",
    "Minutemen": "NNPS",
    "Minutes": "NNPS|NNS",
    "Minwax": "NNP",
    "Mio": "NNP",
    "Mips": "NNP",
    "Mira": "NNP",
    "Mirabella": "NNP",
    "Mirabello": "NNP",
    "Miracle": "NNP",
    "Miraculously": "RB",
    "Miraflores": "NNP",
    "Mirage": "NNP",
    "Miranda": "NNP",
    "Mirante": "NNP",
    "Mired": "NNP",
    "Mirek": "NNP",
    "Mirella": "NNP",
    "Miriam": "NNP",
    "Miriani": "NNP",
    "Miringoff": "NNP",
    "Miro": "NNP",
    "Miron": "NNP",
    "Mironenko": "NNP",
    "Mirror": "NNP",
    "Mirsky": "NNP",
    "Mis-ter": "NNP",
    "Misa": "NNP",
    "Misanthrope": "NN",
    "Misawa": "NNP",
    "Misbegotten": "NNP",
    "Miscellaneous": "JJ",
    "Miscellany": "NNP",
    "Mischa": "NNP",
    "Misconceptions": "NNS",
    "Misdemeanors": "NNS",
    "Miser": "NNP",
    "Miserables": "FW",
    "Misery": "NN",
    "Mises": "NNP",
    "Mishelevka": "NNP",
    "Mishkin": "NNP",
    "Misinformation": "NN",
    "Miss": "NNP",
    "Miss.": "NNP",
    "Missa": "NNP",
    "Missail": "NNP",
    "Misses": "NNPS",
    "Missett": "NNP",
    "Missile": "NNP",
    "Missiles": "NNP|NNS",
    "Missing": "JJ",
    "Mission": "NNP",
    "Missionary": "JJ|NN|NNP",
    "Missions": "NNP",
    "Mississippi": "NNP",
    "Mississippian": "NNP",
    "Mississippians": "NNS",
    "Missoula": "NNP",
    "Missouri": "NNP",
    "Missouri-Illinois": "NNP",
    "Missy": "NNP",
    "Mist": "NNP",
    "Mistake": "NNP",
    "Mister": "NNP",
    "Mistsubishi": "NNP",
    "Misubishi": "NNP",
    "Misunderstanding": "VBG|NN",
    "Mita": "NNP",
    "Mitch": "NNP",
    "Mitchel": "NNP",
    "Mitchell": "NNP",
    "Mitchells": "NNP",
    "Mite": "NNP",
    "Mitofksy": "NNP",
    "Mitofsky": "NNP",
    "Mitre": "NNP",
    "Mitropoulos": "NNP",
    "Mitsotakis": "NNP",
    "Mitsu": "NNP",
    "Mitsubishi": "NNP|NNS",
    "Mitsui": "NNP|NNS",
    "Mitsukoshi": "NNP",
    "Mitsuo": "NNP",
    "Mitsuoka": "NNP",
    "Mitsuru": "NNP",
    "Mittag": "NNP",
    "Mitterrand": "NNP",
    "Mityukh": "NNP",
    "Mitzel": "NNP",
    "Miullo": "NNP",
    "Mix": "NNP",
    "Mix-Up": "NN",
    "Mixed": "NNP|VBN|JJ",
    "Mixte": "NNP",
    "Mixtec": "JJ",
    "Miyagi": "NNP",
    "Miyata": "NNP",
    "Miyazaki": "NNP",
    "Miyoshi": "NNP",
    "Mizell": "NNP",
    "Mizuno": "NNP",
    "Mlangeni": "NNP",
    "Mlle": "NNP",
    "Mme": "NNP",
    "Mmes": "NNPS",
    "Mmes.": "NNPS",
    "Mmm": "UH",
    "Mmmm": "UH",
    "Mnemosyne": "NNP",
    "Mnouchkine": "NNP",
    "Mnuchin": "NNP",
    "Mo": "NNP",
    "Mo.": "NNP",
    "Mo.-based": "JJ",
    "Mob": "NN",
    "MobiTel": "NNP",
    "Mobil": "NNP",
    "Mobile": "NNP|JJ",
    "Mobilfunk": "NNP",
    "Mobilia": "NNP",
    "Mobilization": "NNP",
    "Mobs": "NNS",
    "Mobutu": "NNP",
    "Moby": "NNP",
    "Moccasin": "NNP",
    "Mochida": "NNP",
    "Mocking": "NNP",
    "Mockler": "NNP",
    "Mockowiczes": "NNPS",
    "Mode": "NNP",
    "Model": "NNP|NN",
    "Modeling": "NNP",
    "Modell": "NNP",
    "Models": "NNS",
    "Moderate": "JJ",
    "Moderating": "VBG",
    "Modern": "NNP|JJ",
    "Modest": "JJ",
    "Modestly": "RB",
    "Modesto": "NNP",
    "Modifications": "NNS",
    "Modigliani": "NNP",
    "Modrall": "NNP",
    "Modrow": "NNP",
    "Modular": "NNP",
    "Modzelewski": "NNP",
    "Moe": "NNP",
    "Moehn": "NNP",
    "Moeller": "NNP",
    "Moertel": "NNP",
    "Moet": "NNP|JJS",
    "Moet-Hennessy": "NNP",
    "Moffett": "NNP",
    "Moffitt": "NNP",
    "Mogadishu": "NNP",
    "Mogan": "NNP",
    "Mogavero": "NNP",
    "Mogg": "NNP",
    "Mogul": "NNP",
    "Mohamad": "NNP",
    "Mohamed": "NNP",
    "Mohammad": "NNP",
    "Mohammed": "NNP",
    "Mohammedanism": "NNP",
    "Mohan": "NNP",
    "Mohandas": "NNP",
    "Mohasco": "NNP",
    "Mohawk": "NNP",
    "Mohlere": "NNP",
    "Moineau": "NNP",
    "Moines": "NNP",
    "Moines-based": "JJ",
    "Moira": "NNP",
    "Moise": "NNP",
    "Moises": "NNP",
    "Moiseyev": "NNP",
    "Moiseyeva": "NNP",
    "Moisture": "NN",
    "Mojave": "NNP",
    "Mokaba": "NNP",
    "Mokae": "NNP",
    "Mokhiber": "NNP",
    "Molard": "NNP",
    "Mold": "NN",
    "Moldavia": "NNP",
    "Moldavian": "NNP",
    "Molding": "NN|NNP",
    "Mole": "NNP",
    "Molecular": "NNP",
    "Moleculon": "NNP",
    "Molesworth": "NNP",
    "Moliere": "NNP",
    "Molinari": "NNP",
    "Molinaro": "NNP",
    "Moline": "NNP",
    "Moll": "NNP",
    "Moller": "NNP",
    "Mollica": "NNP",
    "Mollie": "NNP",
    "Molloy": "NNP",
    "Mollusks": "NNS",
    "Molly": "NNP",
    "Moloch": "NNP",
    "Molokai": "NNP",
    "Molotov": "NNP",
    "Molson": "NNP",
    "Molten": "JJ",
    "Moluccas": "NNP",
    "Molvar": "NNP",
    "Mom": "NN|NNP",
    "Momentarily": "RB",
    "Moments": "NNS|NNPS",
    "Momentum": "NN",
    "Momma": "NNP",
    "Mommor": "NNP",
    "Mommy": "NNP",
    "Momoyama": "NNP",
    "Mon": "NNP",
    "Mon-Columbia": "NNP",
    "Mon-Fay": "NNP",
    "Mon-Goddess": "NNP",
    "Mon-Khmer": "NNP",
    "Mona": "NNP",
    "Monaco": "NNP",
    "Monagan": "NNP",
    "Monahan": "NNP",
    "Monarch": "NNP",
    "Monarque": "FW",
    "Monastery": "NNP",
    "Monchecourt": "NNP",
    "Mondale": "NNP",
    "Monday": "NNP",
    "Monday-Friday": "NNP",
    "Monday-morning": "JJ",
    "Mondays": "NNS|NNPS",
    "Monde": "NNP",
    "Mondonville": "NNP",
    "Mondrian": "NNP",
    "Mondry": "NNP",
    "Mondschein": "NNP",
    "Monel": "NNP",
    "Monet": "NNP",
    "Monetary": "NNP|JJ",
    "Monets": "NNPS",
    "Monetta": "NNP",
    "Monex": "NNP",
    "Money": "NNP",
    "Money-fund": "NN|JJ",
    "Money-making": "JJ",
    "Money-market": "NN",
    "Money-saving": "JJ",
    "Moneyed": "NNP",
    "Moneyletter": "NNP",
    "Mongan": "NNP",
    "Mongi": "NNP",
    "Mongolia": "NNP",
    "Monica": "NNP",
    "Monier": "NNP",
    "Monieson": "NNP",
    "Monilia": "NN",
    "Monitor": "NNP",
    "Monitoring": "NN|VBG",
    "Monitors": "NNP",
    "Moniuszko": "NNP",
    "Monk": "NNP",
    "Monkey": "NNP",
    "Monmouth": "NNP",
    "Mono-unsaturated": "JJ",
    "Monocite": "NNP",
    "Monoclonal": "JJ",
    "Monogamy": "NN",
    "Monogram": "NNP",
    "Monopolies": "NNPS",
    "Monopoly": "NN|NNP",
    "Monorail": "NNP",
    "Monroe": "NNP",
    "Monsanto": "NNP",
    "Monsieur": "NNP|FW",
    "Monsky": "NNP",
    "Monster": "NN|NNP",
    "Mont": "NNP",
    "Mont.": "NNP",
    "Montagu": "NNP",
    "Montaigne": "NNP",
    "Montana": "NNP",
    "Montbrial": "NNP",
    "Monte": "NNP|FW",
    "Monteath": "NNP",
    "Montedision": "NN",
    "Montedison": "NNP",
    "Monteith": "NNP",
    "Montenegrin": "NNP",
    "Monterey": "NNP",
    "Montero": "NNP",
    "Monterrey": "NNP",
    "Monterrey-based": "JJ",
    "Montesano": "NNP",
    "Monteverdi": "NNP",
    "Montevideo": "NNP",
    "Montfaucon": "NNP",
    "Montgolfier": "NNP",
    "Montgomery": "NNP",
    "Montgoris": "NNP",
    "Month": "NNP",
    "Monthly": "JJ|NNP",
    "Months": "NNS",
    "Monticciolo": "NNP",
    "Monticello": "NNP",
    "Montle": "NNP",
    "Montmartre": "NNP",
    "Montpelier": "NNP",
    "Montrachet": "NNP",
    "Montreal": "NNP|JJ",
    "Montreal-Toronto": "JJ",
    "Montreal-based": "JJ",
    "Montreux": "NNP",
    "Montrose": "NNP",
    "Montserrat": "NNP",
    "Montvale": "NNP",
    "Monty": "NNP",
    "Monument": "NNP",
    "Mony": "NNP",
    "Mood": "NNP",
    "Moods": "NNP",
    "Moody": "NNP|JJ",
    "Moog": "NNP",
    "Moon": "NNP",
    "Moon-faced": "JJ",
    "Moonachie": "NNP",
    "Moonan": "NNP",
    "Mooney": "NNP",
    "Moonie": "NN",
    "Moonies": "NNPS|NNS",
    "Moonlighting": "NN|NNP",
    "Moore": "NNP",
    "Moorhead": "NNP",
    "Moorish": "JJ",
    "Moors": "NNPS",
    "Moos": "NNP",
    "Moosilauke": "NNP",
    "Mor-ee-air-teeeee": "NNP",
    "Moraine": "NNP",
    "Moral": "NNP|JJ",
    "Morale": "NN",
    "Morals": "NNS",
    "Moran": "NNP",
    "Morarji": "NNP",
    "Moravcsik": "NNP",
    "Moravian": "NNP",
    "Morbid": "JJ",
    "Morcott": "NNP",
    "More": "JJR|RBR|JJ|NN|JJS|NNP",
    "More-detailed": "JJR",
    "Moreau": "NNP",
    "Morehouse": "NNP",
    "Moreira": "NNP",
    "Morel": "NNP",
    "Moreland": "NNP",
    "Morelli": "NNP",
    "Moreno": "NNP",
    "Moreover": "RB|JJR",
    "Moreton": "NNP",
    "Morever": "RB",
    "Morey": "NNP",
    "Morfey": "NNP",
    "Morgan": "NNP",
    "Morgantown": "NNP",
    "Morgart": "NNP",
    "Morgenthau": "NNP",
    "Morgenzon": "NNP",
    "Mori": "NNP",
    "Moriarty": "NNP",
    "Morikawa": "NNP",
    "Morimoto": "NNP",
    "Morin": "NNP",
    "Morinaga": "NNP",
    "Morino": "NNP",
    "Morishita": "NNP",
    "Morison": "NNP",
    "Morita": "NNP",
    "Moritz": "NNP",
    "Morley": "NNP",
    "Mormon": "NNP",
    "Morning": "NN|NNP|UH",
    "MorningStar": "NNP",
    "Morningstar": "NNP",
    "Moroccan": "NNP|JJ",
    "Morocco": "NNP",
    "Moross": "NNP",
    "Morover": "JJR",
    "Morozov": "NNP",
    "Morphophonemic": "JJ",
    "Morrell": "NNP",
    "Morrill": "NNP",
    "Morris": "NNP",
    "Morrison": "NNP",
    "Morrissey": "NNP",
    "Morristown": "NNP",
    "Morrow": "NNP",
    "Morse": "NNP",
    "Mort": "NNP",
    "Mortage": "NNP",
    "Mortality": "NN",
    "Mortals": "NNS",
    "Mortar": "NNP",
    "Mortars": "NNS",
    "Mortgage": "NNP",
    "Mortgage-Backed": "JJ|NNP",
    "Mortgage-backed": "JJ",
    "Mortimer": "NNP",
    "Morton": "NNP",
    "Morvillo": "NNP",
    "Mory": "NNP",
    "Mosbacher": "NNP",
    "Moscom": "NNP",
    "Moscone": "NNP",
    "Moscow": "NNP",
    "Moscow-Shannon": "JJ",
    "Moscow-allied": "JJ",
    "Moscow-based": "JJ",
    "Mose": "NNP",
    "Moselle": "NNP",
    "Moses": "NNP|NNS",
    "Mosettig": "NNP",
    "Moshe": "NNP",
    "Mosher": "NNP",
    "Mosk": "NNP",
    "Moskovskaya": "NNP",
    "Mosle": "NNP",
    "Moslem": "NNP|JJ",
    "Moslems": "NNPS|NNS",
    "Mosnier": "NN",
    "Mosque": "NNP",
    "Moss": "NNP",
    "Mossberg": "JJ|NNP",
    "Mossman": "NNP",
    "Mossoviet": "NNP",
    "Most": "JJS|NNP|RBS",
    "Most-Favored": "JJS",
    "Most-Remarkable": "JJS",
    "Most-recommended": "JJ",
    "Mostly": "RB",
    "Motel": "NNP",
    "Mother": "NNP",
    "Mothers": "NNS|NNPS",
    "Motherwell": "NNP",
    "Motif": "NN",
    "Motion": "NNP",
    "Motion-picture": "JJ",
    "Motivated": "VBN",
    "Motive": "NN",
    "Motley": "NNP",
    "Moto": "NNP",
    "Motor": "NNP",
    "Motorcars": "NNPS",
    "Motorcycle": "NNP",
    "Motorcycles": "NNS",
    "Motoren": "NNP",
    "Motoren-und": "NNP",
    "Motorfair": "NNP",
    "Motorists": "NNS",
    "Motorized": "NNP",
    "Motorola": "NNP",
    "Motors": "NNPS",
    "Motown": "NNP",
    "Motoyuki": "NNP",
    "Motsoaledi": "NNP",
    "Mott": "NNP",
    "Mottice": "NNP",
    "Mottram": "NNP",
    "Mottus": "NNP",
    "Mouchet": "NNP",
    "Moudy": "NNP",
    "Mough": "NN",
    "Moulin": "NNP",
    "Moulinex": "NNP",
    "Moulins": "NNP",
    "Moulton": "NNP",
    "Moultons": "NNPS",
    "Mound": "NNP",
    "Moune": "NNP",
    "Mount": "NNP|VB",
    "Mountain": "NNP",
    "Mountain-Hi": "NNP",
    "MountainBikes": "NNPS",
    "Mountaineer": "NNP",
    "Mountaineering": "NNP",
    "Mountains": "NNPS",
    "Mounted": "NNP",
    "Mourning": "VBG",
    "Mouse": "NNP",
    "Mousie": "NNP",
    "Mouth": "NNP",
    "Mouvement": "NNP",
    "Movable": "JJ",
    "Movats": "NNP",
    "Move": "VB|NN|NNP|VBP",
    "Movement": "NNP",
    "Movements": "NNS",
    "Moves": "NNS",
    "Movie": "NNP",
    "Movieline": "NNP",
    "Movies": "NNP|NNS",
    "Movietime/Alfalfa": "NNP",
    "Moving": "VBG",
    "Moxley": "NNP",
    "Moynihan": "NNP",
    "Mozambiquans": "NNS",
    "Mozambique": "NNP",
    "Mozart": "NNP",
    "Mr": "NNP",
    "Mr.": "NNP",
    "Mrad": "NN",
    "Mrads": "NNS",
    "Mrs": "NNP",
    "Mrs.": "NNP",
    "Ms": "NNP",
    "Ms.": "NNP",
    "Msec.": "NNS",
    "Mt": "NNP",
    "Mt.": "NNP",
    "Mts.": "NNP",
    "Muammar": "NNP",
    "Mubarak": "NNP",
    "Much": "RB|JJ|NNP",
    "Muck": "NNP",
    "Mud": "NNP",
    "Mudd": "NNP",
    "Mudge": "NNP",
    "Mudugno": "NNP",
    "Mueller": "NNP",
    "Muench": "NNP",
    "Muenchen": "NNP",
    "Muenchmeyer": "NNP",
    "Mueslix": "NNP",
    "Muffin": "NNP",
    "Muffler": "NNP",
    "Muffling": "VBG",
    "Mugabe": "NNP",
    "Muggeridge": "NNP",
    "Muhammad": "NNP",
    "Muir": "NNP",
    "Mukachevo": "NNP",
    "Mukherjee": "NNP",
    "Muki": "NNP",
    "Mulberry": "NNP",
    "Mulcahy": "NNP",
    "Muldoon": "NNP",
    "Mulford": "NNP",
    "Mulhouse": "NNP",
    "Mullaney": "NNP",
    "Mullen": "NNP",
    "Mullenax": "NNP",
    "Mullendore": "NNP",
    "Muller": "NNP",
    "Mullerin": "NNP",
    "Mulligan": "NNP",
    "Mulligatawny": "NNP",
    "Mullins": "NNP",
    "Mulloy": "NNP",
    "Mulroney": "NNP",
    "Mulrooney": "NNP",
    "Multi-Income": "NNP",
    "Multi-employer": "JJ",
    "MultiMedia": "NNP",
    "Multiflow": "NNP",
    "Multifoods": "NNP|NNPS",
    "Multilateral": "NNP",
    "Multimate": "NNP",
    "Multimedia": "NNP",
    "Multinational": "JJ|NNP",
    "Multiphastic": "NNP",
    "Multiple": "NNP|JJ",
    "Multiples": "NNPS",
    "Multiplexers": "NNS",
    "Multiplication": "NN",
    "Multiply": "VB",
    "Multiplying": "VBG",
    "Multnomah": "NNP",
    "Mulvoy": "NNP",
    "Mumford": "NNP",
    "Munchen": "NNP",
    "Munching": "VBG",
    "Muncie": "NNP",
    "Muncie-Peru": "NNP",
    "Muncipal": "NNP",
    "Muncke": "NNP",
    "Mundo": "NNP",
    "Mundt": "NNP",
    "Munger": "NNP",
    "Muni": "JJ",
    "Muniak": "NNP",
    "Munich": "NNP",
    "Munich-based": "JJ",
    "Municipal": "NNP|JJ",
    "Municipalities": "NNS",
    "Municipals": "NNS|NNPS",
    "Muniz": "NNP",
    "Munk": "NNP",
    "Munoz": "NNP",
    "Munro": "NNP",
    "Munroe": "NNP",
    "Munsell": "NNP",
    "Munster": "NNP",
    "Munsters": "NNPS",
    "Muong": "NNP",
    "Murai": "NNP",
    "Murakami": "NNP",
    "Muramatsu": "NNP",
    "Murasawa": "NNP",
    "Murat": "NNP",
    "Murata": "NNP",
    "Muratore": "NNP",
    "Murder": "NN|NNP",
    "Murderers": "NNS",
    "Murderous": "JJ",
    "Murders": "NNS",
    "Murdoch": "NNP",
    "Murfreesboro": "NNP",
    "Murguia": "NNP",
    "Murilo": "NNP",
    "Murjani": "NNP",
    "Murkland": "NNP",
    "Murmann": "NNP",
    "Murphy": "NNP",
    "Murray": "NNP",
    "Murrin": "NNP",
    "Murrow": "NNP",
    "Murtaugh": "NNP",
    "Murville": "NNP",
    "Muscat": "NNP",
    "Muscatine": "NNP",
    "Muscle": "NN|NNP",
    "Muscolina": "NNP",
    "Muscovite": "NNP",
    "Muscovites": "NNS|NNPS",
    "Muscovy": "NNP",
    "Muscular": "NNP",
    "Muse": "NNP",
    "Musee": "NNP",
    "Muses": "NNP",
    "Museum": "NNP",
    "Museums": "NNS|NNPS",
    "Mushkat": "NNP",
    "Mushr": "NN",
    "Musial": "NNP",
    "Music": "NNP",
    "Musica": "NNP",
    "Musical": "JJ|NNP",
    "Musicale": "NNP",
    "Musically": "RB",
    "Musician": "NN",
    "Musicians": "NNS|NNPS",
    "Musil": "NNP",
    "Musique": "NNP",
    "Muskegon": "NNP",
    "Muskoka": "NNP",
    "Muslim": "NNP",
    "Muslims": "NNPS",
    "Musmanno": "NNP",
    "Muss": "NNP",
    "Mussett": "NNP",
    "Mussolini": "NNP",
    "Mussolini-like": "JJ",
    "Mussolinis": "NNPS",
    "Mussorgsky": "NNP",
    "Must": "MD",
    "Mustafa": "NNP",
    "Mustain": "NNP",
    "Mustang": "NNP",
    "Mustangs": "NNP",
    "Mustard": "NN",
    "Mutant": "NNP",
    "Mutants": "NNS",
    "Mutchin": "NNP",
    "Mutinies": "NNS",
    "Mutsch": "NNP",
    "Mutton": "NNP",
    "Mutual": "NNP|JJ",
    "Mutual-fund": "NN|JJ",
    "Mutuelles": "NNP",
    "Muynak": "NNP",
    "Muzak": "NNP",
    "Muzo": "NNP",
    "Muzyka": "NNP",
    "Muzzling": "JJ",
    "My": "PRP$|NN|NNP",
    "Mycenae": "NNP",
    "Myers": "NNP",
    "Myerson": "NNP",
    "Mylan": "NNP",
    "Mylanta": "NNP",
    "Mylar": "NNP",
    "Mynheer": "NNP",
    "Myra": "NNP",
    "Myrdal": "NNP",
    "Myron": "NNP",
    "Myrtle": "NNP",
    "Myself": "NNP",
    "Mysteries": "NNPS|NNP",
    "Mysterious": "JJ|NNP",
    "Mystery": "NN|NNP",
    "Myth": "NNP",
    "Mythical": "JJ",
    "Mythological": "JJ",
    "Mytton": "NNP",
    "Myung": "NNP",
    "N": "NNP|NN",
    "N-W": "NNP",
    "N-acetylcysteine": "NNP",
    "N-no": "UH",
    "N.": "NNP|JJ",
    "N.A": "NN|NNP",
    "N.A.": "NNP",
    "N.C": "NNP",
    "N.C.": "NNP",
    "N.C.-based": "JJ",
    "N.D": "NNP",
    "N.D.": "NNP",
    "N.E.": "NNP",
    "N.F.": "NNP",
    "N.H": "NNP",
    "N.H.": "NNP",
    "N.J": "NNP",
    "N.J.": "NNP",
    "N.J.-based": "JJ|NNP",
    "N.L.": "NNP",
    "N.M": "NNP",
    "N.M.": "NNP",
    "N.M.-based": "JJ",
    "N.R.": "NNP",
    "N.V": "NNP",
    "N.V.": "NNP",
    "N.Y": "NNP",
    "N.Y.": "NNP",
    "N.Y.-based": "JJ",
    "N.Y.U.": "NNP",
    "N/NNP.Y.C.": "NNP",
    "NAACP": "NNP",
    "NAB": "NNP",
    "NAC": "NNP",
    "NAEBM": "NNP",
    "NAFTA": "NNP",
    "NAHB": "NNP",
    "NAIR": "NNP",
    "NAIRO": "NNP",
    "NALU": "NNP",
    "NAM": "NNP",
    "NAR": "NNP",
    "NAREB": "NNP",
    "NAS": "NNP",
    "NASA": "NNP",
    "NASA-Air": "NNP",
    "NASAA": "NNP",
    "NASD": "NNP",
    "NASDA": "NNP",
    "NASDAQ": "NNP",
    "NATIONAL": "NNP|JJ",
    "NATIONWIDE": "NNP",
    "NATO": "NNP",
    "NATO-Warsaw": "NNP",
    "NAV:22.15": "NN",
    "NB": "NNP",
    "NBA": "NNP",
    "NBC": "NNP",
    "NBC-Sears": "NNP",
    "NBC-TV": "NNP",
    "NBC-owned": "JJ",
    "NBI": "NNP",
    "NBS": "NNP",
    "NC": "NNP",
    "NCAA": "NNP",
    "NCAAs": "NNS",
    "NCB": "NNP",
    "NCI": "NNP",
    "NCNB": "NNP",
    "NCR": "NNP",
    "NCTA": "NNP",
    "NDN": "NNP",
    "NE": "NNP",
    "NEA": "NNP",
    "NEARLY": "JJ|RB",
    "NEATNESS": "NN",
    "NEC": "NNP",
    "NEC-compatible": "JJ",
    "NED": "NNP",
    "NEEDS": "NNS",
    "NEG": "NNP",
    "NEKOOSA": "NNP",
    "NESB": "NNP",
    "NET": "JJ",
    "NETWORK": "NN",
    "NEW": "JJ|NNP",
    "NEWHALL": "NNP",
    "NEWS": "NN|NNP|NNS",
    "NEWSPAPERS": "NNPS|NNS",
    "NEWT": "NN",
    "NFA": "NNP",
    "NFC": "NNP",
    "NFIB": "NNP",
    "NFL": "NNP",
    "NGL": "NNP",
    "NH": "NNP",
    "NHI": "NNP",
    "NHL": "NNP",
    "NHTSA": "NNP",
    "NIAGARA": "NNP",
    "NICHOLS": "NNP",
    "NIH": "NNP",
    "NIH-appointed": "JJ",
    "NJ": "NNP",
    "NKF": "NNP",
    "NKK": "NNP",
    "NL": "NNP",
    "NL.": "NNP",
    "NLD": "NNP",
    "NLO": "NNP",
    "NLRB": "NNP",
    "NLRDA": "NNP",
    "NMB": "NNP",
    "NME": "NNP",
    "NMR": "NNP",
    "NMS": "NNP",
    "NMTBA": "NNP",
    "NO": "DT|RB|UH",
    "NOC": "NNP",
    "NOP": "NN|NNP",
    "NORAD": "NNP",
    "NORC": "NNP",
    "NORDSTROM": "NNP",
    "NORIEGA": "NNP",
    "NORTH": "NNP",
    "NORTHEAST": "NN|NNP",
    "NORTHERN": "NNP",
    "NOT-GUILTY": "JJ",
    "NOTE": "VB|NN",
    "NOTES": "NNS",
    "NOVA": "NNP",
    "NOVEMBER": "NNP",
    "NOW": "RB|NNP",
    "NP": "NNP",
    "NP-27": "NNP",
    "NPD": "NNP",
    "NPL": "NNP",
    "NRA": "NNP",
    "NRC": "NNP",
    "NRDC": "NNP",
    "NRL": "NNP",
    "NRLDA": "NNP",
    "NRM": "NNP",
    "NS": "NNP",
    "NS-X": "NNP",
    "NSA": "NNP",
    "NSBU": "NNP",
    "NSC": "NNP",
    "NSM": "NNP",
    "NSPA": "NNP",
    "NT&SA": "NNP",
    "NT&SA-run": "JJ",
    "NTC": "NNP",
    "NTG": "NNP",
    "NTSB": "NNP",
    "NTT": "NNP",
    "NU": "NNP",
    "NUCLEAR": "NN",
    "NUM": "NNP",
    "NUMBER": "NN",
    "NUMBERS": "NNS",
    "NURSING": "NN",
    "NUS": "NNP",
    "NV": "NNP",
    "NW": "NNP",
    "NWA": "NNP",
    "NYSE": "NNP",
    "NYU": "NNP",
    "NZ$": "$",
    "NZI": "NNP",
    "Nabisco": "NNP",
    "Nabokov": "NNP",
    "Nac": "NNP",
    "Nacchio": "NNP",
    "Nachman": "NNP",
    "Nachmany": "NNP",
    "Nacht": "FW",
    "Nacion": "NNP",
    "Nacional": "NNP",
    "Naclerio": "NNP",
    "Nadeau": "NNP",
    "Nadelmann": "NNP",
    "Nader": "NNP",
    "Naderite": "NNP|JJ",
    "Naderites": "NNS",
    "Nadine": "NNP",
    "Nadir": "NNP",
    "Nadja": "NNP",
    "Nae": "UH",
    "Naess": "NNP",
    "Naftalis": "NNP",
    "Naga": "NNPS",
    "Nagamo": "NNP",
    "Naganawa": "NNP",
    "Nagano": "NNP",
    "Nagasaki": "NNP",
    "Nagayama": "NNP",
    "Nagel": "NNP",
    "Nagelvoort": "NNP",
    "Nagin": "NNP",
    "Nagle": "NNP",
    "Nagorno-Karabakh": "NNP",
    "Nagorski": "NNP",
    "Nagoya": "NNP",
    "Nagrin": "NNP",
    "Naguib": "NNP",
    "Nagy": "NNP",
    "NagyAntal": "NNP",
    "Nagykanizsa": "NNP",
    "Nagymaros": "NNP",
    "Nahas": "NNP",
    "Nail": "NNP",
    "Naiman": "NNP",
    "Nairne": "NNP",
    "Nairobi": "NNP",
    "Naive": "JJ",
    "Najarian": "NNP",
    "Naji": "NNP",
    "Nakagawa": "NNP",
    "Nakajima": "NNP",
    "Nakamura": "NNP",
    "Nakasone": "NNP",
    "Nakayasu": "NNP",
    "Nakazato": "NNP",
    "Naked": "JJ",
    "Nakhamkin": "NNP",
    "Nakoma": "NNP",
    "Naktong": "NNP",
    "Nalbone": "NNP",
    "Nalcor": "NNP",
    "Nalick": "NNP",
    "Nam": "NNP",
    "Name": "NN|NNP|VB",
    "Name-dropping": "NN",
    "Named": "VBN",
    "Nameless": "NNP",
    "Namely": "RB",
    "Names": "NNS|NNPS",
    "Namib": "NNP",
    "Namibia": "NNP",
    "Namibian": "JJ",
    "Namibian-independence": "NN",
    "Nan": "NNP",
    "Nana": "NNP",
    "Nancy": "NNP",
    "Nando": "NNP",
    "Nanjing": "NNP",
    "Nanofilm": "NNP",
    "Nanook": "NNP",
    "Nantucket": "NNP",
    "Naomi": "NNP",
    "Nap": "NNP",
    "Napa": "NNP",
    "Naperville": "NNP",
    "Naphta": "NNP",
    "Napkin": "NN",
    "Napkins": "NNS",
    "Naples": "NNP",
    "Naples-born": "JJ",
    "Napoleon": "NNP",
    "Napoleonic": "JJ",
    "Napolitan": "NNP",
    "Nara": "NNP",
    "Narberth": "NNP",
    "Narbonne": "NNP",
    "Narcotics": "NNP|NNPS",
    "Naren": "NNP",
    "Narita": "NNP",
    "Narragansett": "NNP",
    "Narrative": "JJ",
    "Narrow": "JJ|NNP",
    "Narrow-gauged": "JJ",
    "Narrowing": "VBG",
    "Narrowly": "NNP",
    "Narver": "NNP",
    "Nary": "NNP",
    "Nasdaq": "NNP",
    "Nasdaq-traded": "JJ",
    "Nasdaq/National": "NNP",
    "Nash": "NNP",
    "Nashua": "NNP",
    "Nashville": "NNP",
    "Nasional": "NNP",
    "Nassau": "NNP",
    "Nassau-Suffolk": "NNP",
    "Nasser": "NNP",
    "Nast": "NNP",
    "Naster": "NNP",
    "Nastro": "NNP",
    "Nasty": "JJ",
    "Nat": "NNP",
    "NatWest": "NNP",
    "Natalia": "NNP",
    "Natalie": "NNP",
    "Natcher": "NNP",
    "Natchez": "NNP",
    "Nate": "NNP",
    "Nath": "NNP",
    "Nathan": "NNP",
    "Nathan-Bond": "NNP",
    "Nathanael": "NNP",
    "Nathaniel": "NNP",
    "Natick": "NNP",
    "Nation": "NN|NNP",
    "National": "NNP|NNPS|JJ",
    "Nationalcar": "NNP",
    "Nationale": "NNP",
    "Nationalism": "NN",
    "Nationalist": "JJ|NNP",
    "Nationalistic": "JJ",
    "Nationalists": "NNPS",
    "Nationalized": "VBN",
    "Nationally": "RB",
    "Nations": "NNPS|VBP|NNP|NPS|NNS",
    "Nations-monitored": "JJ",
    "Nationwide": "NNP|JJ|RB",
    "Native": "NNP|JJ",
    "Natrona": "NNP",
    "Nattily": "RB",
    "Natural": "NNP|JJ",
    "Naturalization": "NNP",
    "Naturally": "RB",
    "Naturals": "NNPS",
    "Naturam": "FW",
    "Nature": "NNP",
    "Natwest": "NNP",
    "Nauman": "NNP",
    "Naumberg": "NNP",
    "Nausea": "NN",
    "Nautilus": "JJ|NNP",
    "Navajo": "NNP",
    "Navajos": "NNPS",
    "Naval": "NNP|JJ",
    "Navcom": "NNP",
    "NavforJapan": "NNP",
    "Navigation": "NNP",
    "Navin": "NNP",
    "Navistar": "NNP",
    "Navona": "NNP",
    "Navy": "NNP",
    "Naw": "UH",
    "Nawal": "NNP",
    "Nawbo": "NNP",
    "Naxos": "NNP",
    "Nazal": "NNP",
    "Nazar": "NNP",
    "Nazarene": "NNP",
    "Nazario": "NNP",
    "Nazarova": "NNP",
    "Nazem": "NNP",
    "Nazer": "NNP",
    "Nazi": "JJ|NNP",
    "Nazi-minded": "JJ",
    "Nazi-occupied": "JJ",
    "Nazia": "NNP",
    "Nazionale": "NNP",
    "Nazis": "NNPS|NNS",
    "Nazism": "NNP",
    "Nazzella": "NNP",
    "Ndola": "NNP",
    "Ne": "NNP",
    "Neal": "NNP",
    "Neanderthal": "JJ",
    "Neanderthals": "NNS",
    "Neapolitan": "NNP|JJ",
    "Near": "IN|JJ|NNP",
    "Near-Term": "RB",
    "Near-term": "JJ",
    "Nearby": "JJ|RB|NNP",
    "Nearing": "VBG",
    "Nearly": "RB",
    "Nearness": "NN",
    "Neas": "NNP",
    "Neave": "NNP",
    "Neb": "NNP",
    "Neb.": "NNP",
    "Neb.-based": "JJ",
    "Neblett": "NNP",
    "Nebraska": "NNP",
    "Nec": "FW",
    "Necci": "NNP",
    "Necesarily": "NNP",
    "Necessary": "JJ",
    "Necessity": "NN",
    "Neck": "NNP",
    "Necklace": "NNP",
    "Ned": "NNP",
    "Nedelman": "NNP",
    "Nedelya": "NNP",
    "Nederland": "NNP",
    "Nederlanden": "NNP",
    "Nederlander": "NNP",
    "Nederlandsche": "NNP",
    "Nederlandse": "NNP",
    "Nedlloyd": "NNP",
    "Neece": "NNP",
    "Need": "VB|NNP|MD|VBP",
    "Needham": "NNP",
    "Needing": "VBG",
    "Needless": "JJ|NNP",
    "Needs": "NNS",
    "Needy": "NNP|NNS",
    "Neesen": "NNP",
    "Neff": "NNP",
    "Negas": "NNP",
    "Negative": "JJ",
    "Neglect": "VBP|NN",
    "Neglected": "NNP",
    "Neglecting": "VBG",
    "Negligence": "NN",
    "Negmegan": "NNP",
    "Negotiable": "JJ",
    "Negotiating": "VBG",
    "Negotiation": "NN",
    "Negotiations": "NNS",
    "Negotiators": "NNS",
    "Negro": "NNP|JJ",
    "Negro-appeal": "JJ",
    "Negroes": "NNPS|NNS",
    "Negroid": "JJ",
    "Negus": "NNP",
    "Nehf": "NNP",
    "Nehru": "NNP",
    "Neibart": "NNP",
    "Neidl": "NNP",
    "Neighbor": "NN",
    "Neihart": "NNP",
    "Neil": "NNP",
    "Neill": "NNP",
    "Neils": "NNP",
    "Neilson": "NNP",
    "Neiman": "NNP",
    "Neiman-Marcus": "NNP",
    "Neinas": "NNP",
    "Neisse": "NNP",
    "Neisse-Oder": "NNP",
    "Neither": "DT|CC|IN|RB",
    "Neitzbohr": "NNP",
    "Nekoosa": "NNP",
    "Nell": "NNP",
    "Nellcor": "NNP",
    "Nellie": "NNP",
    "Nellies": "NNPS",
    "Nelms": "NNP",
    "Nelson": "NNP",
    "Nelson-Atkins": "NNP",
    "Nemesis": "NNP",
    "Nemeth": "NNP",
    "Nennius": "NNP",
    "Neo-Classicism": "NNP",
    "Neo-Classicists": "NNPS",
    "Neo-Ecclesiasticism": "NNP",
    "Neo-Jazz": "NNP",
    "Neo-Paganism": "NNP",
    "Neo-Popularism": "NNP",
    "Neo-Romanticism": "NNP",
    "Neoax": "NNP",
    "Neodata": "NNP",
    "Neoliberal": "JJ",
    "Neon": "NNP",
    "Nepal": "NNP",
    "Nepalese": "NNPS|JJ",
    "Neptune": "NNP",
    "Nerds": "NNS|NNPS",
    "Nerien": "NNP",
    "Nerio": "NNP",
    "Nernst": "NNP",
    "Nero": "NNP",
    "Nerves": "NNS",
    "Nervous": "JJ",
    "Nervousness": "NN",
    "Nesbit": "NNP",
    "Nesbitt": "NNP",
    "Nesconset": "NNP",
    "Nesi": "NNP",
    "Nessel": "NNP",
    "Nessen": "NNP",
    "Nest": "NNP",
    "Neste": "NNP",
    "Nestle": "NNP",
    "Nestled": "VBN",
    "Nestor": "NNP",
    "Net": "JJ|NNP",
    "NetFrame": "NNP",
    "NetWare": "NNP",
    "Netherland": "NNP",
    "Netherlands": "NNP|NNPS",
    "Netherlands-based": "JJ",
    "Netsch": "NNP",
    "Nett": "NNP",
    "Nettleton": "NNP",
    "Netto": "NNP",
    "Netty": "NNP",
    "Network": "NNP",
    "Network-access": "JJ",
    "Networks": "NNP|NNPS|NNS",
    "Neubauer": "NNP",
    "Neuberger": "NNP",
    "Neue": "NNP",
    "Neuharth": "NNP",
    "Neuharths": "NNPS",
    "Neuhaus": "NNP",
    "Neumann": "NNP",
    "Neurenschatz": "NNP",
    "Neurex": "NNP",
    "Neurological": "NNP",
    "Neurosciences": "NNP",
    "Neurotron": "NNP",
    "Neusteter": "NNP",
    "Neusteters": "NNP",
    "Neutral": "NNP|JJ",
    "Nev": "NNP",
    "Nev.": "NNP",
    "Nevada": "NNP",
    "Nevah": "NNP",
    "Neveh": "NNP",
    "Never": "RB|UH|NNP",
    "Nevermind": "VB",
    "Neversink": "NNP",
    "Nevertheless": "RB",
    "Neveu": "NNP",
    "Neville": "NNP",
    "Nevsky": "NNP",
    "New": "NNP|NNPS|JJ",
    "New-England": "NNP",
    "New-Waver": "NNP",
    "New-York": "NNP",
    "New-construction": "NN",
    "New-home": "JJ",
    "New-issue": "JJ",
    "NewVector": "NNP",
    "Newall": "NNP",
    "Newark": "NNP",
    "Newarker": "NNP",
    "Newberg": "NNP",
    "Newbery": "NNP",
    "Newbiggin": "NNP",
    "Newbold": "NNP",
    "Newbridge": "NNP",
    "Newburger": "NNP",
    "Newburgh": "NNP",
    "Newbury": "NNP",
    "Newburyport": "NNP",
    "Newcastle": "NNP",
    "Newcomb": "NNP",
    "Newcomers": "NNS",
    "Newell": "NNP",
    "Newells": "NNPS",
    "Newer": "JJR",
    "Newest": "JJS",
    "Newfoundland": "NNP",
    "Newgate": "NNP",
    "Newhart": "NNP",
    "Newhouse": "NNP",
    "Newitt": "NNP",
    "Newkirk": "NNP",
    "Newly": "RB",
    "Newlywed": "NNP",
    "Newman": "NNP",
    "Newmark": "NNP",
    "Newmont": "NNP",
    "Newport": "NNP",
    "Newport-based": "JJ",
    "Newquist": "NNP",
    "News": "NNP|NNS|NNPS",
    "News-American": "NNP",
    "NewsEdge": "NNP",
    "NewsHour": "NNP",
    "News/Retrieval": "NNP",
    "Newsday": "NNP",
    "Newshour": "NN",
    "Newsletter": "NNP",
    "Newsnight": "NNP",
    "Newsom": "NNP",
    "Newsote": "NNP",
    "Newspaper": "NNP",
    "Newspapermen": "NNS",
    "Newspapers": "NNS|NNPS",
    "Newspeak": "NNP",
    "Newsprint": "NN",
    "Newsreel": "NNP",
    "Newsstands": "NNS",
    "Newsweek": "NNP",
    "Newswire": "NNP",
    "Newt": "NNP",
    "Newton": "NNP",
    "Newton-John": "NNP",
    "Newtonian": "JJ",
    "Newtonville": "NNP",
    "Newtown": "NNP",
    "Newts": "NNP",
    "Next": "NNP|JJ|RB|IN",
    "Next-Most-Remarkable": "JJ",
    "Nezhari": "NNP",
    "Ng": "NNP",
    "Nghe": "NNP",
    "Ngo": "NNP",
    "Ngoc": "NNP",
    "Nguyen": "NNP",
    "Niagara": "NNP",
    "Niarchos": "NNP",
    "Nibble": "NNP",
    "Nibelungenlied": "NNP",
    "Nicandra": "NNP",
    "Nicaragua": "NNP",
    "Nicaraguan": "JJ|NNP",
    "Nicaraguans": "NNPS",
    "Nicastro": "NNP",
    "Niccolo": "NNP",
    "Nice": "JJ|RB|NNP",
    "Niche-itis": "NN",
    "Nichias": "NNP",
    "Nichido": "NNP",
    "Nichol": "NNP",
    "Nicholas": "NNP|NNS",
    "Nichols": "NNP",
    "Nicholson": "NNP",
    "Nichtige": "NN",
    "Niciporuk": "NNP",
    "Nick": "NNP",
    "Nickel-iron": "JJ",
    "Nickelodeon": "NNP",
    "Nickelson": "NNP",
    "Nickerson": "NNP",
    "Nicklaus": "NNP",
    "Nickle": "NNP",
    "Nickles": "NNP",
    "Nickless": "NNP",
    "Nico": "NNP",
    "Nicodemus": "NNP",
    "Nicol": "NNP",
    "Nicolas": "NNP",
    "Nicole": "NNP",
    "Nicolo": "NNP",
    "Nicolson": "NNP",
    "Nicos": "NNP",
    "Nicosia": "NNP",
    "Nidal": "NNP",
    "Niebuhr": "NNP",
    "Niedermaier": "NNP",
    "Niels": "NNP",
    "Nielsen": "NNP",
    "Nielson": "NNP",
    "Niem": "NNP",
    "Nieman": "NNP",
    "Niepce": "NNP",
    "Nietzsche": "NNP",
    "Nigel": "NNP",
    "Niger": "NNP",
    "Nigeria": "NNP",
    "Nigger": "NN",
    "Niggertown": "NNP",
    "Night": "NNP|NNPS",
    "Nightclubs": "NNPS",
    "Nightingale": "NN|NNP",
    "Nightlife": "NN",
    "Nightline": "NNP",
    "Nightly": "NNP",
    "Nightmare": "NNP",
    "Nights": "NNPS|NNP",
    "Nightshade": "NNP",
    "Nightwatch": "NNP",
    "Nihon": "NNP",
    "Nijinska": "NNP",
    "Nijinsky": "NN",
    "Nika": "NNP",
    "Nike": "NNP",
    "Nike-Zeus": "NNP",
    "Nikes": "NNPS",
    "Nikita": "NNP",
    "Nikitas": "NNP",
    "Nikka": "NNP",
    "Nikkei": "NNP",
    "Nikkhah": "NNP",
    "Nikko": "NNP",
    "Nikolai": "NNP",
    "Nikolais": "NNP",
    "Nikon": "NNP",
    "Nikonov": "NNP",
    "Nikons": "NNPS",
    "Nile": "NNP",
    "Niles": "NNP",
    "Nilsen": "NNP",
    "Nilson": "NNP",
    "Nilsson": "NNP",
    "Nimbus-7": "NNP",
    "Nimitz": "NNP",
    "Nina": "NNP",
    "Nine-month": "JJ",
    "Nines": "NNPS",
    "Nineteen-sixty": "NNP",
    "Nineteenth": "JJ|NNP",
    "Nineteenth-century": "JJ",
    "Nineties": "NNPS",
    "Ninety-Eight": "NNP",
    "Ninety-Two": "NNP",
    "Nineveh": "NNP",
    "Ninja": "NNP",
    "Nino": "NNP",
    "Ninomiya": "NNP",
    "Nintendo": "NNP",
    "Nintendos": "NNPS",
    "Ninth": "NNP|JJ",
    "Niobe": "VB",
    "Nipe": "NNP",
    "Nipp": "NNP",
    "Nippon": "NNP",
    "Nipponese": "JJ",
    "Nippur": "NN",
    "Nipsco": "NNP",
    "Nisbet": "NNP",
    "Nischwitz": "NNP",
    "Nishi": "NNP",
    "Nishiki": "NNP",
    "Nishima": "NNP",
    "Nishimo": "NNP",
    "Nishimura": "NNP",
    "Nishizuka": "NNP",
    "Nissan": "NNP",
    "Nissans": "NNPS",
    "Nissei": "NNP",
    "Nisshin": "NNP",
    "Nisshinbo": "NNP",
    "Nissho": "NNP",
    "Nissho-Iwai": "NNP",
    "Nissin": "NNP",
    "Nite": "NNP",
    "Nitrogen": "NN",
    "Nitsuko": "NNP",
    "Nitto": "NNP",
    "Nitze": "NNP",
    "Niva": "NNP",
    "Niven": "NNP",
    "Nixdorf": "NNP",
    "Nixon": "NNP",
    "Nizer": "NNP",
    "Njust": "NNP",
    "Nkrumah": "NNP",
    "No": "DT|NN|RB|UH|NNP",
    "No-Cal": "NNP",
    "No-Name": "NNP",
    "No-Smoking": "NNP",
    "No-Tobacco": "NNP",
    "No-o-o": "UH",
    "No.": "NN|JJ|VB|NNP",
    "No.3": "JJ",
    "Noah": "NNP",
    "Noam": "NNP",
    "Nob": "NNP",
    "Nobel": "NNP",
    "Nobels": "NNPS",
    "Noble": "NNP",
    "Noblesville": "NNP",
    "Nobody": "NN|NNP",
    "Nobrega": "NNP",
    "Nobuto": "NNP",
    "Nobuya": "NNP",
    "Nobuyuki": "NNP",
    "Noces": "NNP|FW",
    "Noctiluca": "NN",
    "Nocturne": "NNP",
    "Nod": "NNP",
    "Nodding": "VBG",
    "Noel": "NNP",
    "Noffsinger": "NNP",
    "Nofzinger": "NNP",
    "Nogales": "NNP",
    "Nogaret": "NNP",
    "Nogay": "NNP",
    "Nogol": "NNP",
    "Nokia": "NNP",
    "Nokomis": "NNP",
    "Nolan": "NNP",
    "Nolen": "NNP",
    "Noll": "NNP",
    "Nomani": "NNP",
    "Nomenklatura": "NN",
    "Nomi": "NNP",
    "Nomia": "NNP",
    "Nomination": "NN",
    "Nominations": "NNS",
    "Nomisma": "NNP",
    "Nomo": "NNP",
    "Nomura": "NNP",
    "Non": "FW",
    "Non-Catholics": "NNS",
    "Non-Dissonant": "NNP",
    "Non-God": "UH",
    "Non-Proliferation": "NNP",
    "Non-Smokers": "NNP",
    "Non-actors": "NNS",
    "Non-bank": "JJ",
    "Non-callable": "JJ",
    "Non-cosmetic": "JJ",
    "Non-executive": "JJ",
    "Non-interest": "JJ",
    "Non-lawyers": "NNS",
    "Non-money": "JJ",
    "Non-performing": "JJ",
    "Non-residential": "JJ",
    "Non-smoking": "NN",
    "Non-steel": "JJ",
    "NonProfit": "NNP",
    "Nonbuilding": "JJ",
    "Nonconformist": "NNP",
    "Nonconformists": "NNS",
    "None": "NN|NNP",
    "Nonelectrical": "JJ",
    "Nonetheless": "RB",
    "Nonfat": "NNP",
    "Nonfinancial": "JJ",
    "Nonmagical": "NNP",
    "Nonperformers": "NNS",
    "Nonperforming": "VBG|JJ",
    "Nonprofit": "JJ",
    "Nonrecurring": "JJ",
    "Nonresident": "JJ",
    "Nonresidential": "JJ",
    "Nonsense": "NN",
    "Nonsexist": "NNP",
    "Nonsmokers": "NNP",
    "Nonspecific": "JJ",
    "Nonunion": "NNP",
    "Noon": "NNP",
    "Noonan": "NNP",
    "Noonday": "NNP",
    "Nope": "UH",
    "Nor": "CC",
    "Nora": "NNP",
    "Norall": "NNP",
    "Noranda": "NNP",
    "Norberg": "NNP",
    "Norbert": "NNP",
    "Norberto": "NNP",
    "Norborne": "NNP",
    "Norcen": "NNP",
    "Norcross": "NNP",
    "Nord": "NNP",
    "Norddeutsche": "NNP",
    "Nordic": "JJ",
    "Nordine": "NNP",
    "Nordmann": "NNP",
    "Nordson": "NNP",
    "Nordstrom": "NNP",
    "Nordyke": "NNP",
    "Norell": "NNP",
    "Norex": "NNP",
    "Norfolk": "NNP",
    "Norge": "NNP",
    "Norgle": "NNP",
    "Nori": "NNP",
    "Noriega": "NNP",
    "Noriegan": "JJ",
    "Noriegas": "NNS",
    "Norimasa": "NNP",
    "Norio": "NNP",
    "Norm": "NNP",
    "Norma": "NNP",
    "Normal": "JJ|NNP",
    "Normalize": "VB",
    "Normally": "NNP|RB",
    "Norman": "NNP",
    "Normandy": "NNP",
    "Norment": "NNP",
    "Norms": "NNS",
    "Normura": "NNP",
    "Norodom": "NNP",
    "Norris": "NNP",
    "Norris-LaGuardia": "NNP",
    "Norristown": "NNP",
    "Norsemen": "NNPS",
    "Norsk": "NNP",
    "Norske": "NNP",
    "Norte": "NNP",
    "Nortek": "NNP",
    "Nortex": "NNP",
    "North": "NNP|NNPS|JJ|RB",
    "North-Central": "JJ",
    "North-Rhine": "NNP",
    "Northampton": "NNP",
    "Northamptonshire": "NNP",
    "Northbrook": "NNP",
    "Northeast": "NNP|JJ",
    "Northeastern": "JJ|NNP",
    "Northeners": "NNP",
    "Northern": "NNP|JJ",
    "Northerner": "NN|NNP",
    "Northerners": "NNPS|NNS",
    "Northfield": "NNP",
    "Northgate": "NNP",
    "Northington": "NNP",
    "Northland": "NN|NNP",
    "Northlich": "NNP",
    "Northridge": "NNP",
    "Northrop": "NNP|VB",
    "Northrup": "NNP",
    "Norths": "NNPS",
    "Northumberland": "NN",
    "Northview": "NNP",
    "Northwest": "NNP|JJ|RB",
    "Northwest-Skinner": "NNP",
    "Northwestern": "NNP",
    "Northwood": "NNP",
    "Northy": "NNP",
    "Norton": "NNP",
    "Norville": "NNP",
    "Norwalk": "NNP",
    "Norway": "NNP",
    "Norwegian": "JJ|NNP",
    "Norwegians": "NNPS",
    "Norwell": "NNP",
    "Norwest": "NNP",
    "Norwich": "NNP",
    "Norwick": "NNP",
    "Norwitz": "NNP",
    "Norwood": "NNP",
    "Nos.": "NNS",
    "Noschese": "NNP",
    "Nosebleed": "NN",
    "Noskova": "NNP",
    "Nostalgia": "NN",
    "Nostalgic": "JJ",
    "Nostradamus": "NNP",
    "Not": "RB|NNP|DT",
    "Not-Held": "NNP",
    "Not-held": "JJ",
    "Notable": "NNP|JJ",
    "Notably": "RB",
    "Notarius": "NNP",
    "Note": "VB|NN",
    "Notebooks": "NNP|NNS",
    "Noted": "JJ",
    "Notes": "NNS|NNP|NNPS",
    "Noteware": "NNP",
    "Nothing": "NN|NNP",
    "Notice": "NNP|NN|VB",
    "Noticias": "NNP",
    "Noticing": "VBG",
    "Noting": "VBG",
    "Notitia": "NNS",
    "Notre": "NNP",
    "Notre-Dame": "NNP",
    "Nott": "NNP",
    "Notte": "NNP",
    "Notwithstanding": "IN",
    "Noufou": "NNP",
    "Nouns": "NNS",
    "Nourbakhsh": "NNP",
    "Nourishing": "JJ",
    "Nouveaux": "NNP",
    "Nouvelle": "NNP",
    "Nouvelle-Heloise": "NNP",
    "Nov": "NNP",
    "Nov.": "NNP|VB",
    "Nova": "NNP",
    "Novacor": "NNP",
    "Novak": "NNP",
    "Novalta": "NNP",
    "Novametrix": "NNP",
    "Novato": "NNP",
    "Novaya": "NNP",
    "Novell": "NNP",
    "Novello": "NNP",
    "November": "NNP|JJ",
    "November-December": "NNP",
    "Novick": "NNP",
    "Novo": "NNP",
    "Novosibirsk": "NNP",
    "Novosti": "NNP",
    "Now": "RB|NNP",
    "Nowacki": "NNP",
    "Nowadays": "RB",
    "Nowak": "NNP",
    "Nowhere": "RB",
    "Noxell": "NNP",
    "Noxema": "NNP",
    "Noxzema": "NNP",
    "Noyes": "NNP",
    "Noyon-la-Sainte": "NNP",
    "Nozze": "FW",
    "Nu": "NNP",
    "Nu-Med": "NNP",
    "Nu-West": "NNP",
    "Nucci": "NNP",
    "Nuclear": "NNP|JJ",
    "Nuclepore": "NNP",
    "Nucor": "NNP",
    "Nucor-like": "JJ",
    "Nude": "NNP",
    "Nuell": "NNP",
    "Nueva": "NNP",
    "Nuf": "RB",
    "Nugent": "NNP",
    "Nugget": "NNP",
    "Nuggets": "NNPS",
    "Nuit": "NNP",
    "Nujoma": "NNP",
    "Numb": "JJ",
    "Number": "NN|NNP",
    "Numbers": "NNS|NNPS",
    "Numeral": "NNP",
    "Numerous": "JJ",
    "Nummi": "NNP",
    "Nunes": "NNP",
    "Nunn": "NNP",
    "Nunn-McCurdy": "NNP",
    "Nuns": "NNPS",
    "Nunzio": "NNP",
    "Nuovo": "NNP",
    "Nuremberg": "NNP",
    "Nureyev": "NNP",
    "Nurse": "NNP",
    "Nurseries": "NNPS",
    "Nursery": "NNP",
    "Nurses": "NNS",
    "Nursing": "NNP|VBG",
    "Nusbaum": "NNP",
    "Nussbaum": "NNP",
    "Nut": "NNP",
    "Nutcracker": "NNP",
    "Nutley": "NNP",
    "Nutmeg": "NNP",
    "NutraSweet": "NNP",
    "Nutrasweet": "NNP",
    "Nutrition": "NNP",
    "Nutritional": "NNP",
    "Nutritionists": "NNS",
    "Nutritious": "JJ",
    "Nutt": "NNP",
    "Nuttall": "NNP",
    "Nutting": "NNP",
    "Nuttle": "NNP",
    "Nuveen": "NNP",
    "Nux": "NN",
    "Nuys": "NNP",
    "Nuzhet": "NNP",
    "Nyack": "NNP",
    "Nyberg": "NNP",
    "Nyckeln": "NNP",
    "Nye": "NNP",
    "Nyers": "NNP",
    "Nyheter": "NNP",
    "Nyiregyhaza": "NNP",
    "Nykvist": "NNP",
    "Nylev": "NNP",
    "Nymagic": "NNP",
    "Nymark": "NNP",
    "Nymex": "NNP",
    "Nymphomaniacs": "NNS",
    "Nynex": "NNP",
    "Nyunt": "NNP",
    "O&Y": "NNP",
    "O*/NNP&M": "NN",
    "O*/NNP&Y": "NN",
    "O-B": "NNP",
    "O.": "NNP",
    "O.B.": "NNP",
    "O.E.": "NNP",
    "O.E.C.D.": "NNP",
    "O.G.": "NNP",
    "O.J.": "NNP",
    "O.K": "UH",
    "O.K.": "UH|NNP",
    "O.N.": "NNP",
    "O.P.": "NNP",
    "O.S.K.": "NNP",
    "O.T.": "NNP",
    "OAS": "NNP",
    "OBE": "NNP",
    "OBERMAIER": "NNP",
    "OBrion": "NNP",
    "OCC": "NNP",
    "OCC-member": "JJ",
    "OCCIDENTAL": "NNP",
    "OCN-PPL": "NNP",
    "OCR": "NNP",
    "ODDITIES": "NNS",
    "ODI": "NNP",
    "OEC": "NNP",
    "OECD": "NNP",
    "OEL": "NNP",
    "OEP": "NNP",
    "OEX": "NNP",
    "OF": "IN",
    "OFFENSIVE": "JJ",
    "OFFERED": "VBN|NNP|JJ",
    "OFFICER": "NN",
    "OFFICES": "NNS",
    "OFFICIALS": "NNS",
    "OGDEN": "NNP",
    "OGURA": "NNP",
    "OH": "NN",
    "OHIO": "NNP",
    "OIF": "NNP",
    "OIL": "NNP",
    "OK": "JJ|RB|UH",
    "OK.": "UH",
    "OKC": "NNP",
    "OKI": "NNP",
    "OKing": "NNP",
    "OLE": "NNP",
    "OLYMPIA": "NNP",
    "OMB": "NNP",
    "OME": "NNP",
    "ON": "NNP|IN|RP",
    "ONCE": "RB",
    "ONE-DAY": "JJ",
    "ONEIDA": "NNP",
    "ONEZIE": "NNP",
    "OOH": "NNP",
    "OPA-LOCKA": "NNP",
    "OPEC": "NNP",
    "OPEN": "JJ",
    "OPPENHEIMER": "NNP",
    "OPTIONS": "NNS",
    "OR": "CC",
    "ORACLE": "NNP",
    "ORANGE": "NN",
    "ORDER": "NNP",
    "ORDERED": "VBN",
    "ORDERS": "VBZ",
    "ORGAN-TRANSPLANT": "JJ",
    "ORGANIZED": "VBN",
    "ORTEGA": "NNP",
    "OSHA": "NNP",
    "OST": "NNP",
    "OS": "NNP",
    "OTC": "NNP",
    "OTC-market": "JJ",
    "OTS": "NNP",
    "OUR": "PRP$",
    "OUSTED": "VBN|VBD",
    "OUT": "IN|RP",
    "OUTLOOK": "NNP",
    "OUTRAGE": "NN",
    "OUTSIDE": "JJ",
    "OVER": "IN",
    "OVERHAUL": "NN",
    "OVERSEAS": "JJ",
    "OWI": "NNP",
    "OWNER": "NNP",
    "Oafid": "NNP",
    "Oak": "NNP",
    "Oakar": "NNP",
    "Oakbrook": "NNP",
    "Oakes": "NNP",
    "Oakhurst": "NNP",
    "Oakland": "NNP",
    "Oakland-Alameda": "NNP",
    "Oakland-Berkeley": "NNP",
    "Oaklanders": "NNPS",
    "Oakmont": "NNP",
    "Oaks": "NNP|NNPS",
    "Oakwood": "NNP",
    "Oana": "NNP",
    "Oases": "NNS",
    "Oasis": "NNP",
    "Oat": "NNP",
    "Oatnut": "NNP",
    "Oats": "NNP|NNPS",
    "Ob-Irtysh": "NNP",
    "Obedience": "NN",
    "Obelisk": "NNP",
    "Oberhausen": "NNP",
    "Oberkfell": "NNP",
    "Oberlin": "NNP",
    "Obermaier": "NNP",
    "Oberman": "NNP",
    "Obernauer": "NNP",
    "Oberreit": "NNP",
    "Oberstar": "NNP",
    "Oberweis": "NNP",
    "Obesity": "NN",
    "Obey": "NNP",
    "Obeying": "VBG",
    "Obispo": "NNP",
    "Object": "NN",
    "Objections": "NNS",
    "Objects": "NNS|NNPS|VBZ",
    "Obligations": "NNS",
    "Obligingly": "RB",
    "Observations": "NNS",
    "Observatory": "NNP",
    "Observer": "NNP",
    "Observers": "NNS",
    "Observing": "VBG",
    "Obsolescence": "NNP",
    "Obstacles": "NNS",
    "Obviously": "RB",
    "Occasional": "JJ|NNP",
    "Occasionally": "RB",
    "Occident": "NNP",
    "Occidental": "NNP",
    "Occupation": "NNP",
    "Occupational": "NNP|JJ",
    "Occupational-Urgent": "NNP",
    "Oce": "NNP",
    "Oce-Van": "NNP",
    "Ocean": "NNP",
    "Oceana": "NNP",
    "Oceania": "NNP",
    "Oceanic": "NNP",
    "Oceanography": "NNP",
    "Oceans": "NNS",
    "Oceanside": "NNP",
    "Ochoa": "NNP",
    "Ochs": "NNP",
    "Ochsenschlager": "NNP",
    "Oct": "NNP",
    "Oct.": "NNP",
    "Oct.13": "NNP",
    "Octave": "NNP",
    "Octavia": "NNP",
    "Octel": "NNP",
    "Octet": "NNP",
    "October": "NNP",
    "October-December": "NNP",
    "October-March": "NNP",
    "Octobers": "NNPS",
    "Octobrists": "NNPS",
    "Octopus": "NNP",
    "Octoroon": "NNP",
    "Oculon": "NNP",
    "Oczakov": "NNP",
    "Odakyu": "NNP",
    "Odd": "NNP",
    "Odd-lot": "JJ",
    "Odd-year": "JJ",
    "Oddly": "RB",
    "Odds": "NNS|NNPS",
    "Oddy": "NNP",
    "Odean": "NNP",
    "Odell": "NNP",
    "Odeon": "NNP",
    "Oder": "NNP",
    "Odessa": "NNP",
    "Odetics": "NNP",
    "Odilo": "NNP",
    "Odom": "NNP",
    "Odors": "NNP",
    "Odysseus": "NNP",
    "Odyssey": "NNP",
    "Oedipal": "JJ",
    "Oedipus": "NNP",
    "Oei": "NNP",
    "Oerlikon-Buehrle": "NNP",
    "Oersted": "NNP",
    "Oeschger": "NNP",
    "Oesterreichische": "NNP",
    "Oestreich": "NNP",
    "Of": "IN|NNP",
    "Off": "IN|NNP|RB|RP",
    "Off-Broadway": "NNP",
    "Off-Road": "NNP",
    "Off-Track": "NNP",
    "Off-flavor": "NN",
    "Off-price": "JJ",
    "Off-season": "JJ",
    "Offenbach": "NNP",
    "Offenses": "NNS",
    "Offensive": "NNP",
    "Offer": "NN|VB|VBP",
    "Offered": "NNP|VBN",
    "Offering": "VBG|NN|NNP",
    "Offers": "VBZ",
    "Office": "NNP",
    "Office.": "NNP",
    "Officer": "NNP",
    "Officers": "NNS|NNPS",
    "Offices": "NNS|NNPS",
    "Official": "NNP|JJ",
    "Officially": "RB|NNP",
    "Officials": "NNS|NNPS",
    "Officielle": "NNP",
    "Officine": "NNP",
    "Offsetting": "VBG",
    "Offshore": "NNP|JJ",
    "Offutt": "NNP",
    "Often": "RB|NNP",
    "Ogallala": "NNP",
    "Ogden": "NNP",
    "Ogilvy": "NNP",
    "Ogilvyspeak": "NNP",
    "Ogisu": "NNP",
    "Oglethorpe": "NNP",
    "Ogonyok": "NNP",
    "Ogunjobi": "NNP",
    "Ogura": "NNP",
    "Oh": "UH|NNP",
    "Oh-Hyun": "NNP",
    "Oh-the-pain-of-it": "UH",
    "Ohara": "NNP",
    "Ohbayashi": "NNP|NNS",
    "Oher": "NNP",
    "Ohga": "NNP",
    "Ohio": "NNP",
    "Ohio-based": "JJ",
    "Ohio-chartered": "JJ",
    "Ohioan": "NNP",
    "Ohioans": "NNPS",
    "Ohira": "NNP",
    "Ohkuma": "NNP",
    "Ohlman": "NNP",
    "Ohls": "NNP",
    "Ohmae": "NNP",
    "Oi": "NNP",
    "Oil": "NNP",
    "Oil-field": "NN",
    "Oil-related": "JJ",
    "Oil-tool": "NN",
    "Oilcloth": "NN",
    "Oilers": "NNP|NNPS",
    "Oilfields": "NNS",
    "Oilgram": "NNP",
    "Oils": "NNS",
    "Oilwell": "NNP",
    "Oistrakh": "NNP",
    "Oji": "NNP",
    "Ojibwa": "NNP",
    "Ok": "NN|NNP",
    "Oka": "NNP",
    "Okada": "NNP",
    "Okamoto": "NNP",
    "Okasan": "NNP",
    "Okay": "UH|JJ",
    "Okayama": "NNP",
    "Okies": "NNP",
    "Okinawa": "NNP",
    "Okla": "NNP",
    "Okla.": "NNP",
    "Oklahoma": "NNP",
    "Oklahoman": "NNP",
    "Okobank": "NNP",
    "Okrent": "NNP",
    "Okuma": "NNP",
    "Okura": "NNP",
    "Ol": "JJ",
    "Olaf": "NNP",
    "Olathe": "NNP",
    "Olatunji": "NNP",
    "Olav": "NNP",
    "Olay": "NNP",
    "Olayan": "NNP",
    "Old": "NNP|JJ",
    "Old-House": "NNP",
    "Old-time": "JJ",
    "Old-timers": "NNS",
    "Olde": "NNP",
    "Oldenburg": "NNP",
    "Older": "JJR|NNP",
    "Oldham": "NNP",
    "Olds": "NNP",
    "Oldsmobile": "NNP",
    "Ole": "JJ|NNP",
    "Olea": "NNP",
    "Olean": "NNP",
    "Oleanders": "NNS",
    "Olechowski": "NNP",
    "Oleg": "NNP",
    "Olenegorsk": "NNP",
    "Olerichs": "NNPS",
    "Olestra": "NN|NNP",
    "Oley": "NNP",
    "Olga": "NNP",
    "Olgivanna": "NNP",
    "Olick": "NNP",
    "Olin": "NNP",
    "Olissa": "NNP",
    "Olivares": "NNP",
    "Olive": "NNP",
    "Oliveira": "NNP",
    "Oliver": "NNP",
    "Olivet": "NNP",
    "Olivetti": "NNP",
    "Olivia": "NNP",
    "Olivier": "NNP",
    "Ollari": "NNP",
    "Olle": "NNP",
    "Ollie": "NNP",
    "Olney": "NNP",
    "Olof": "NNP",
    "Olsen": "NNP",
    "Olshan": "NNP",
    "Olson": "NNP",
    "Olsson": "NNP",
    "Olszewski": "NNP",
    "Olszewskiof": "NNP",
    "Olvey": "NNP",
    "Olympia": "NNP",
    "Olympian": "JJ",
    "Olympic": "NNP|JJ|NNPS",
    "Olympics": "NNPS|NNS",
    "Olympus": "NN",
    "Omaha": "NNP",
    "Oman": "NNP",
    "Omani": "JJ",
    "Omar": "NNP",
    "Omega": "NNP",
    "OmegaSource": "NNP",
    "Omission": "NN",
    "Omni": "NNP",
    "OmniBank": "NNP",
    "Omnibank": "NNP",
    "Omnibus": "NN",
    "Omnicare": "NNP",
    "Omnicom": "NNP",
    "Omnicorp": "NNP",
    "Omron": "NNP",
    "Omsk": "NNP",
    "On": "IN|NNP",
    "On-Broadway": "NNP",
    "On-Line": "JJ|NNP",
    "On-Site": "NNP",
    "On-Target": "NNP",
    "On-to-Spokane": "NNP",
    "Onan": "NNP",
    "Once": "RB|NNP|IN",
    "Once-only": "JJ",
    "OncoScint": "NNP",
    "Oncogen": "NNP",
    "Oncogene": "NNP",
    "Oncogenes": "NNS",
    "Oncology": "NNP",
    "Oncor": "NNP",
    "Oncotech": "NNP",
    "Ondaatje": "NNP",
    "One-Cancels-The-Other": "NNP",
    "One-Horse": "JJ",
    "One-Leg": "NNP",
    "One-Step": "NNP",
    "One-armed": "JJ",
    "One-day": "JJ",
    "One-fourth": "NN",
    "One-inch": "JJ",
    "One-third": "NN",
    "One-time": "JJ",
    "One-year": "NNP|JJ",
    "Onegin": "NNP",
    "Oneida": "NNP",
    "Oneita": "NNP",
    "Oneok": "NNP",
    "Ones": "NNP",
    "Oneupmanship": "NN",
    "Onex": "NNP",
    "Ong": "NNP",
    "Onidi": "NNP",
    "Onleh": "RB",
    "Online": "NNP",
    "Onlookers": "NNS",
    "Only": "RB|JJ",
    "Onni": "NNP|NNS",
    "Onno": "NNP",
    "Ono": "NNP",
    "Onondaga": "NNP",
    "Onset": "NN",
    "Onsets": "NNS",
    "Onstage": "RB",
    "Ont.": "NNP",
    "Ontario": "NNP",
    "Oooo": "UH",
    "Oops": "UH",
    "Oopsie": "NNP",
    "Oopsie-Cola": "NNP",
    "Op.": "NNP",
    "Opa-Locka": "NNP",
    "Opaque": "JJ",
    "Opax": "NNP",
    "Opel": "NNP",
    "Opelika": "NNP",
    "Open": "NNP|JJ|VB",
    "Open-adoption": "NN",
    "Open-end": "JJ",
    "Open-flame": "JJ",
    "Opening": "NN|VBG|NNP",
    "Opera": "NNP",
    "Operating": "NN|NNP|VBG",
    "Operating-profit": "NN",
    "Operating-system": "JJ",
    "Operation": "NNP",
    "Operational": "JJ",
    "Operationally": "RB",
    "Operations": "NNP|NNS|NNPS|FW",
    "Operators": "NNP|NNS",
    "Opere": "NNP",
    "Ophthalmic": "NNP",
    "Opinion": "NNP",
    "Opinions": "NNS|NNPS",
    "Opositora": "NNP",
    "Oppen": "NNP",
    "Oppenheim": "NNP",
    "Oppenheimer": "NNP",
    "Opponents": "NNS",
    "Opportunities": "NNPS|NNS|NNP",
    "Opportunity": "NNP",
    "Opposed": "VBN",
    "Opposite": "IN|JJ",
    "Opposition": "NN",
    "Oppressive": "JJ",
    "Oprah": "NNP",
    "Optek": "NNP",
    "Optic-Electronic": "NNP",
    "Optical": "NNP",
    "Optical-storage": "JJ",
    "Optics": "NNP",
    "Optima": "NNP",
    "Optimism": "NN",
    "Optimists": "NNS",
    "Option": "NN|NNP",
    "Options": "NNPS|NNS",
    "Optique": "NNP",
    "Opus": "NNP",
    "Or": "CC",
    "Oracle": "NNP",
    "Oral": "NNP",
    "Oran": "NNP",
    "Orange": "NNP|JJ",
    "Orangeburg": "NNP",
    "Oranges": "NNPS|NNS",
    "Oranjemund": "NNP",
    "Oratory": "NNP",
    "Orban": "NNP",
    "Orbe": "NNP",
    "Orben": "NNP",
    "Orbis": "NNP",
    "Orbital": "NNP",
    "Orbiting": "NNP",
    "Orchard": "NNP",
    "Orchesis": "NNP",
    "Orchester": "NNP",
    "Orchestra": "NNP",
    "Orchestral": "NNP",
    "Orchestration": "NNP",
    "Orchestre": "NNP",
    "Orcutt": "NNP",
    "Ord": "NNP",
    "Orden": "NNP",
    "Order": "NNP",
    "Order-Entry": "NN",
    "Ordered": "VBD|VBN",
    "Orders": "NNS|NNPS",
    "Ordinance": "NNP",
    "Ordinaries": "NNPS",
    "Ordinarily": "RB",
    "Ordinary": "JJ|NNP",
    "Ordnance": "NNP",
    "Ore": "NNP",
    "Ore.": "NNP",
    "Ore.-based": "JJ",
    "Oregon": "NNP",
    "Oregonian": "NNP",
    "Oregonians": "NNPS",
    "Orejuela": "NNP",
    "Orel": "NNP",
    "Orem": "NNP",
    "Oremland": "NNP",
    "Orens": "NNP",
    "Oreos": "NNPS",
    "Oresme": "NNP",
    "Oresteia": "NNP",
    "Orestes": "NNP",
    "Orfeo": "NNP",
    "Org": "NNP",
    "Organ": "NN",
    "Organic": "NNP",
    "Organification": "NN",
    "Organisation": "NNP",
    "Organization": "NNP",
    "Organizational": "JJ",
    "Organizations": "NNP|NNPS|NNS",
    "Organized": "NNP",
    "Organizers": "NNS",
    "Organizing": "NNP",
    "Orgotein": "NNP",
    "Oriani": "NNP",
    "Orient": "NNP",
    "Oriental": "JJ|NNP",
    "Origen": "NNP",
    "Origin": "NN",
    "Original": "NNP|JJ",
    "Originally": "RB|NNP",
    "Originals": "NNS",
    "Origins": "NNP",
    "Orin": "NNP",
    "Orinoco": "NNP",
    "Oriole": "NNP",
    "Orioles": "NNP|NNPS",
    "Orion": "NNP",
    "Orissa": "NNP",
    "Orix": "NNP",
    "Orkem": "NNP|VB",
    "Orkney": "NNP",
    "Orlando": "NNP",
    "Orleans": "NNP",
    "Orleans-based": "JJ",
    "Orlick": "NNP",
    "Orlowski": "NNP",
    "Orly": "NNP",
    "Ormat": "NNP",
    "Ormoc": "NNP",
    "Ormsby": "NNP",
    "Ormstedt": "NNP",
    "Ornament": "NN",
    "Ornelas": "NNP",
    "Ornette": "NNP",
    "Ornithological": "NNP",
    "Ornstein": "NNP",
    "Orondo": "NNP",
    "Oros": "NNP",
    "Orpheus": "NNP",
    "Orphic": "JJ",
    "Orr": "NNP",
    "Orrick": "NNP",
    "Orrie": "NNP",
    "Orrin": "NNP",
    "Orso": "NNP",
    "Orson": "NNP",
    "Ortega": "NNP",
    "Ortegas": "NNPS",
    "Ortho": "NNP",
    "Orthodontic": "JJ",
    "Orthodox": "NNP|JJ",
    "Orthodoxy": "NNP",
    "Orthopedic": "NNP",
    "Ortiz": "NNP",
    "Orvil": "NNP",
    "Orville": "NNP",
    "Orvis": "NNP",
    "Orwell": "NNP",
    "Orwellian": "NNP|JJ",
    "Ory": "NNP",
    "Oryx": "NNP",
    "Osaka": "NNP",
    "Osake": "NNP",
    "Osamu": "NNP",
    "Osbert": "NNP",
    "Osborn": "NNP",
    "Osborne": "NNP",
    "Oscar": "NNP",
    "Oshinsky": "NNP",
    "Oshkosh": "NNP",
    "Oshry": "NNP",
    "Osipenko": "NNP",
    "Osis": "NNP",
    "Oskar": "NNP",
    "Osler": "NNP",
    "Oslo": "NNP",
    "Osnos": "NNP",
    "Oso": "NNP",
    "Osprey": "NNP",
    "Osram": "NNP",
    "Osric": "NNP",
    "Ossad": "NNP",
    "Ostentatious": "JJ",
    "Osterman": "NNP",
    "Osterreichische": "NNP",
    "Ostlandske": "NNP",
    "Ostpolitik": "NNP",
    "Ostrager": "NNP",
    "Ostrander": "NNP",
    "Ostriches": "NNS",
    "Ostro": "NNP",
    "Ostroff": "NNP",
    "Ostrovsky": "NNP",
    "Ostrowsky": "NNP",
    "Oswald": "NNP",
    "Oswego": "NNP",
    "Otaiba": "NNP",
    "Otero": "NNP",
    "Othello": "NNP",
    "Other": "JJ|NNP",
    "Others": "NNS|NNPS",
    "Otherwise": "RB",
    "Othon": "NNP",
    "Otis": "NNP",
    "Otradovec": "NNP",
    "Otros": "NNP",
    "Otsego": "NNP",
    "Ottauquechee": "NNP",
    "Ottawa": "NNP",
    "Ottaway": "NNP",
    "Otte": "NNP",
    "Otterlo": "NNP",
    "Ottermole": "NNP",
    "Otto": "NNP",
    "Ottoman": "NNP",
    "Ottoni": "NNP",
    "Oubati": "NNP",
    "Ouedraogo": "NNP",
    "Ouellette": "NNP",
    "Ought": "MD",
    "Ouija": "NNP",
    "Oum": "NNP",
    "Our": "PRP$|NNP",
    "Ouray": "NNP",
    "Ours": "PRP",
    "Ouse": "NNP",
    "Ousley": "NNP",
    "Out": "IN|RB|RP|NNP",
    "Outboard": "NNP|JJ",
    "Outbreaks": "NNS",
    "Outcome": "NN",
    "Outdoor": "JJ|NNP",
    "Outer": "NNP|NNPS|JJ",
    "Outfielder": "NNP",
    "Outflows": "NNS",
    "Outgoing": "JJ",
    "Outhwaite": "NNP",
    "Outing": "NNP",
    "Outlays": "NNS",
    "Outlet": "NNP",
    "Outline": "NN",
    "Outlook": "NN|NNP",
    "Outlooks": "NNS",
    "Outokumpu": "NNP",
    "Outpatient": "NN|NNP",
    "Outperform": "NNP",
    "Outplacement": "NN|NNP",
    "Output": "NN",
    "Outputs": "NNS",
    "Outraged": "JJ",
    "Outrageous": "NNP",
    "Outreach": "NNP",
    "Outright": "JJ",
    "Outrunning": "VBG",
    "Outside": "JJ|IN|NN|RB",
    "Outsiders": "NNS",
    "Outstanding": "JJ|NNP",
    "Outsville": "NNP",
    "Outwardly": "RB",
    "Ouzo": "NN",
    "Oval": "NNP|JJ",
    "Ovalle": "NNP",
    "Ovcharenko": "NNP",
    "Ovens": "NNS",
    "Over": "IN|NNP",
    "Over-50": "JJ",
    "Over-achievers": "NNS",
    "Over-chilling": "NN",
    "Over-the-counter": "JJ",
    "Overall": "RB|NNP|JJ",
    "Overbuilding": "VBG|NN",
    "Overbuilt": "JJ",
    "Overextension": "NN",
    "Overfall": "NNP",
    "Overfunding": "VBG",
    "Overhanging": "VBG",
    "Overhead": "NN|RB",
    "Overland": "NNP",
    "Overlords": "NNPS",
    "Overly": "RB",
    "Overnight": "RB",
    "Overnite": "NNP",
    "Overpriced": "NNP",
    "Overreach": "NNP",
    "Overreacting": "VBG",
    "Overriding": "NN",
    "Overseas": "NNP|JJ|RB",
    "Overseeing": "VBG",
    "Overseers": "NNPS",
    "Oversight": "NNP",
    "Oversized": "JJ",
    "Overstreet": "NNP",
    "Overt": "JJ",
    "Overtega": "NNP",
    "Overtones": "NNS",
    "Overture": "NNP",
    "Overturf": "NNP",
    "Overvalued": "JJ",
    "Overweight": "JJ",
    "Overwhelmed": "VBN",
    "Overwhelming": "JJ",
    "Ovitz": "NNP",
    "Ovonic": "NNP",
    "Owasso": "NNP",
    "Owego": "NNP",
    "Owen": "NNP",
    "Owens": "NNP",
    "Owens-Corning": "NNP",
    "Owens-Ilinois": "NNP",
    "Owens-Illinois": "NNP",
    "Owing": "RB",
    "Owings": "NNP",
    "Owl": "NN",
    "Owls": "NNS",
    "Own": "JJ|NNP",
    "Owned": "NNP",
    "Owner": "NNP|NN",
    "Owners": "NNS|NNP",
    "Ownership": "NNP",
    "Owning": "VBG",
    "Oxford": "NNP",
    "Oxfordshire": "NNP",
    "Oxidation": "NN",
    "Oxley": "NNP",
    "Oxnard": "NNP",
    "Oxy": "NNP",
    "Oxygen": "NN",
    "Oxytetracycline": "NN",
    "Oy": "NNP",
    "Oyajima": "NNP",
    "Oyster": "NNP",
    "Oz": "NNP",
    "Ozagen": "NNP",
    "Ozagenians": "NNS",
    "Ozal": "NNP",
    "Ozanne": "NNP",
    "Ozark": "NNP",
    "Ozarks": "NNPS",
    "Ozick": "NNP",
    "Ozon": "NN",
    "Ozone": "NN",
    "Ozzie": "NNP",
    "P": "NNP",
    "P&C": "NNP",
    "P&G": "NNP|NNPS|VB",
    "P&S": "NNP",
    "P*/NNP&G": "NN|VB",
    "P-11": "NN",
    "P-20": "NN",
    "P-3": "NN",
    "P-5-39": "NNP",
    "P-7A": "NNP",
    "P-E": "NNP",
    "P.": "NNP",
    "P.-T.A.": "NNP",
    "P.A.": "NN",
    "P.D.I.": "NNP",
    "P.GA": "NNP",
    "P.I.": "NN",
    "P.J.": "NNP",
    "P.L.": "NNP",
    "P.M.": "RB|NNP|FW|JJ",
    "P.R.": "NN|JJ",
    "P.S": "NN",
    "P.m": "NN",
    "PA": "NNP",
    "PABA": "NN",
    "PAC": "NNP",
    "PACIFIC": "NNP",
    "PACS": "NNS",
    "PACs": "NNPS|NNS",
    "PAN": "NNP",
    "PANDA": "NNP",
    "PANEL": "NN",
    "PANHANDLER": "NN",
    "PAP": "NNP",
    "PAPER": "NN|NNP|NNS",
    "PAPERS": "NNS",
    "PARENT": "NN",
    "PARENTAL": "JJ",
    "PARIS": "NNP",
    "PARK": "NN|NNP",
    "PARKER": "NNP",
    "PARS": "NNP",
    "PARS-Datas": "NNP",
    "PARTICIPATED": "VBD",
    "PARTNER": "NN",
    "PARTNERS": "NNS|NNP|NNPS",
    "PARTNERSHIP": "NNP",
    "PASOK": "NNP",
    "PATCO": "NNP",
    "PATH": "NNP",
    "PATIENCE": "NN",
    "PATOIS": "NNP",
    "PATRON": "NNP",
    "PATTON": "NNP",
    "PAUL": "NNP",
    "PAY": "VB|NN",
    "PAYMENTS": "NNS",
    "PAYS": "VBZ",
    "PBS": "NNP",
    "PBX": "NNP",
    "PC": "NN|NNP",
    "PC-magazine": "JJ",
    "PC9801LX5C": "NNP",
    "PCBs": "NNS",
    "PCM": "NNP",
    "PCP": "NNP",
    "PCS": "NNP",
    "PCST": "NNP",
    "PCs": "NNS|NNP|NNPS",
    "PDI": "NNP",
    "PDN": "NNP",
    "PDT": "NNP",
    "PEDAL": "NN",
    "PENALTY": "NN|NNP",
    "PENCIL": "NNP",
    "PENCILS": "NNS",
    "PENNEY": "NNP",
    "PENSION": "NN|NNP",
    "PENTAGON": "NNP",
    "PEOPLE": "NNS",
    "PERFORMANCE": "NN",
    "PERIOD": "NN",
    "PERIPATETIC": "JJ",
    "PERKS": "NNS",
    "PERMANENTE": "NNP",
    "PERSUADING": "VB",
    "PETROLEUM": "NNP",
    "PETS": "NNS",
    "PF": "NNP",
    "PFC": "NNP",
    "PG&E": "NNP",
    "PG-13": "NN",
    "PGH": "NNP",
    "PGM": "NNP",
    "PHH": "NNP",
    "PHILADELPHIA": "NNP",
    "PHOBIA": "NN",
    "PHOENIX": "NNP",
    "PHONE": "NNP",
    "PHOTOGRAPH": "NN",
    "PHP": "NNP",
    "PHS": "NNP",
    "PHYSICIANS": "NNS",
    "PIC": "NNP",
    "PIERCE": "NNP",
    "PIK": "NNP",
    "PILGRIM": "NNP",
    "PILING": "VBG",
    "PINDLING": "NNP",
    "PIPELINE": "NNP",
    "PIPELINES": "NNPS",
    "PIR": "NNP",
    "PITCH": "NNP",
    "PKbanken": "NNP",
    "PL-480": "NN",
    "PLACE": "NNP",
    "PLAN": "NN",
    "PLANS": "VBZ",
    "PLANTS": "NNS",
    "PLASTIC": "NN",
    "PLAYER": "NNP",
    "PLC": "NNP",
    "PLC.": "NNP",
    "PLEA": "NN",
    "PLEASURE": "NN",
    "PLO": "NNP",
    "PLO-backed": "JJ",
    "PLODDERS": "NNS",
    "PLUNGED": "VBD",
    "PM": "NNP",
    "PMR": "NNP",
    "PMs": "NNS",
    "PNC": "NNP",
    "POINTS": "NNPS",
    "POLICE": "NN",
    "POLICY": "NNP",
    "POLITICAL": "JJ",
    "POLITICS": "NNS",
    "PONT": "NNP",
    "POOCH": "NN",
    "POP": "NNP",
    "POPs": "NNS",
    "PORTFOLIO": "NN",
    "PORTING": "VBG",
    "POST-TRIAL": "NNP",
    "POTABLES": "NNS",
    "POUNDED": "VBD",
    "POW": "NN|NNP",
    "POWER": "NNP",
    "POWERS": "NNS",
    "POWs": "NNS",
    "PPG": "NNP",
    "PPI": "NNP",
    "PPP": "NNP",
    "PQ": "NN",
    "PR": "NNP",
    "PR-wise": "JJ",
    "PRA": "NNP",
    "PRATT": "NNP",
    "PRC": "NNP",
    "PRECIOUS": "JJ|NNP",
    "PREDAWN": "NN",
    "PRESIDENT": "NNP|NN",
    "PRI": "NNP",
    "PRICES": "NN|NNS",
    "PRICIEST": "JJS",
    "PRIME": "JJ|NN|NNP",
    "PRIMERICA": "NNP",
    "PRINCE": "NNP",
    "PRISON": "NN",
    "PRISON-SHOP": "NNP",
    "PRIVILEGE": "NN",
    "PRO": "FW",
    "PRO-CHOICE": "JJ",
    "PROCEEDINGS": "NNS",
    "PROCTER": "NNP",
    "PRODUCT": "NN",
    "PRODUCTS": "NNP|NNS",
    "PROFESSOR": "NN",
    "PROFIT": "NN",
    "PROFIT-SHARING": "NN",
    "PROFITS": "NNS",
    "PROFITT": "NNP",
    "PROGRAM": "NN",
    "PROMISE": "NN",
    "PROMOTION": "NNP",
    "PROPERTIES": "NNPS",
    "PROPERTY": "NN",
    "PROPOSAL": "NN",
    "PROPOSALS": "NNS",
    "PROPOSE": "VB",
    "PROPOSED": "VBD",
    "PROSECUTIONS": "NNS",
    "PROSECUTOR": "NN|NNP",
    "PROSECUTORS": "NNS",
    "PROSPECTORS": "NNS",
    "PROSPECTS": "NNS",
    "PROSPER": "VBP",
    "PS": "NNP|NN",
    "PSA": "NNP",
    "PSE": "NNP",
    "PS/2": "NNP",
    "PTA": "NNP",
    "PTC": "NNP",
    "PTL": "NNP",
    "PUBLIC": "JJ",
    "PUBLICITY": "NN",
    "PUBLISHING": "NN|NNP",
    "PUNITIVE": "JJ",
    "PUTS": "NNPS",
    "PVC": "NNP",
    "PW-2000": "NN",
    "PW-4000": "NN",
    "PW4000": "NNP",
    "PW4060": "NNP",
    "PWA": "NNP",
    "PWA-owned": "JJ",
    "PX": "NNP",
    "P/E": "NNP",
    "Pa": "NNP",
    "Pa.": "NNP",
    "Pa.-based": "JJ",
    "Paata": "NNP",
    "Pablo": "NNP",
    "Pabor": "NNP",
    "Pabst": "NNP",
    "Pac": "NNP",
    "Pace": "NNP",
    "Paced": "VBN",
    "Pacemakers": "NNPS",
    "Pacheco": "NNP",
    "Pachelbel": "NNP",
    "Pachinko": "NN",
    "Pacholik": "NNP",
    "Pachyderms": "NNPS",
    "PacifiCare": "NNP",
    "Pacific": "NNP|JJ",
    "Pacific-listed": "JJ",
    "Pacify": "VB",
    "Pacitti": "NNP",
    "Pack": "VB|NNP",
    "Package": "NN",
    "Packaged-goods": "NNS",
    "Packages": "NNS",
    "Packaging": "NN|NNP",
    "Packard": "NNP",
    "Packards": "NNPS",
    "Packer": "NNP",
    "Packers": "NNPS|NNP",
    "Packet": "NN",
    "Packing": "NNP|VBG",
    "Packs": "NNPS",
    "Packwood": "NNP",
    "Packwood-Roth": "NNP",
    "Pact": "NNP",
    "Pacta": "FW",
    "Pacwest": "NNP",
    "Paddle": "VB",
    "Paddock": "NNP",
    "Paddy": "NNP",
    "Padget": "NNP",
    "Padgett": "NNP",
    "Padovan": "NNP",
    "Padre": "NNP",
    "Padres": "NNPS",
    "Pae": "NNP",
    "Paestum": "NNP",
    "Paev": "NNP",
    "Pagan": "NNP",
    "Paganini": "NNS",
    "Pagans": "NNS",
    "Page": "NNP",
    "PageAmerica": "NNP",
    "PageMaker": "NNP",
    "Pageant": "NNP",
    "Pageants": "NNS",
    "Pagemaker": "NNP",
    "Pages": "NNP|NNPS",
    "Paget": "NNP",
    "Paging": "NNP",
    "Paglieri": "NNP",
    "Pagliuca": "NNP",
    "Pagni": "NNP",
    "Pagnol": "NNP",
    "Pagones": "NNP",
    "Pagong": "NNP",
    "Pagurian": "NNP",
    "Pah": "NNP",
    "Paid": "VBN|JJ",
    "Pain": "NN",
    "Paine": "NNP",
    "PaineWebber": "NNP|VB",
    "PaineWebber-involved": "JJ",
    "Painful": "JJ",
    "Paini": "NNP",
    "Pains": "NNS",
    "Paint": "NN",
    "Painter": "NNP",
    "Painters": "NNS",
    "Painting": "VBG|NNP",
    "Paintings": "NNS",
    "Paints": "NNP",
    "Paisley": "NNP",
    "Paix": "NNP",
    "Pak": "NNP",
    "Pakistan": "NNP",
    "Pakistani": "JJ|NNP",
    "Pakistanis": "NNPS",
    "Pal": "NNP",
    "Palace": "NNP",
    "Palaces": "NNPS",
    "Palache": "NNP",
    "Palacio": "NNP",
    "Paladin": "NNP",
    "Palamara": "NNP",
    "Palash": "NNP",
    "Palasts": "NNPS",
    "Palatine": "NNP",
    "Palazzo": "NNP",
    "Palcy": "NNP",
    "Pale": "NNP|RB",
    "Palermo": "NNP",
    "Palestine": "NNP",
    "Palestine-General": "NNP",
    "Palestinian": "JJ|NNP",
    "Palestinians": "NNPS",
    "Paley": "NNP",
    "Palfrey": "NNP",
    "Palicka": "NNP",
    "Palisades": "NNP|NNPS",
    "Pall": "NNP",
    "Palladian": "NNP",
    "Palladio": "NNP",
    "Pallavicini": "NNP",
    "Pallo": "NNP",
    "Palm": "NNP",
    "Palma": "NNP",
    "Palmatier": "NNP",
    "Palmdale": "NNP",
    "Palme": "NNP",
    "Palmer": "NNP",
    "Palmero": "NNP",
    "Palmetto": "NNP",
    "Palmingiano": "NNP",
    "Palmolive": "NNP",
    "Palms": "NNPS",
    "Palmtops": "NNS",
    "Palo": "NNP",
    "Palomar": "NNP",
    "Palomino": "NNP",
    "Palos": "NNP",
    "Palsy": "NNP",
    "Paluck": "NNP",
    "Palumbo": "NNP",
    "Pam": "NNP",
    "Pamasu": "NNP",
    "Pamela": "NNP",
    "Pamorex": "NNP",
    "Pamour": "NNP",
    "Pampa": "NNP",
    "Pampel": "NNP",
    "Pampers": "NNPS",
    "Pamphili": "NNP",
    "Pamplin": "NNP",
    "Pan": "NNP",
    "Pan-Alberta": "NNP",
    "Pan-American": "JJ",
    "PanAm": "NNP",
    "Panam": "NNP",
    "Panama": "NNP",
    "Panama-based": "JJ",
    "Panama-incorporated": "JJ",
    "Panamanian": "JJ|NNP",
    "Panamanians": "NNPS|NNS",
    "Panasonic": "NNP|JJ",
    "Pancho": "NNP",
    "Pancoast": "NNP",
    "Pancrazio": "NNP",
    "Panda": "NNP",
    "Pandelli": "NNP",
    "Pandick": "NNP",
    "Pandora": "NNP",
    "Panel": "NNP",
    "Panelli": "NNP",
    "Panels": "NNS",
    "Panet-Raymond": "NNP",
    "Panetta": "NNP",
    "Panglossian": "JJ",
    "Panhandle": "NNP|VB",
    "Panic": "NN|NNP",
    "Panicked": "JJ",
    "Panisse": "NNP",
    "Pankki": "NNP",
    "Pankowski": "NNP",
    "Pankyo": "NNP",
    "Panmunjom": "NNP",
    "Panny": "NNP",
    "Panorama": "NNP",
    "Panoz": "NNP",
    "Pansies": "NNS",
    "Pantages": "NNS",
    "Pantas": "NNP",
    "Pantasaph": "NNP",
    "Pantasote": "NNP",
    "Pantera": "NNP",
    "Pantheon": "NNP",
    "Panther": "NNP",
    "Panting": "VBG",
    "Pantyhose": "NN",
    "Panyotis": "NNP",
    "Panza": "NNP",
    "Panzhihua": "NNP",
    "Pao": "NNP",
    "Paolo": "NNP",
    "Paos": "NNPS",
    "Pap-pap-pap-hey": "UH",
    "Papa": "NN|NNP",
    "Papa-san": "NNP",
    "Papal": "JJ",
    "Papandreou": "NNP",
    "Papanicolaou": "NN",
    "Papasan": "NNP",
    "Paper": "NNP",
    "Paperboard": "NNP",
    "Paperhouse": "NNP",
    "Paperin": "NNP",
    "Papermate": "NNP",
    "Papermils": "NNP",
    "Papers": "NNP|NNS|NNPS",
    "Paperweight": "NNP",
    "Paperwork": "NNP",
    "Papetti": "NNP",
    "Papp": "NNP",
    "Pappas": "NNP",
    "Pappy": "NNP",
    "Paprika": "NN",
    "Papua": "NNP",
    "Papua-New": "NNP",
    "Paquin": "NNP",
    "Par": "NNP",
    "Paracchini": "NNP",
    "Parade": "NNP",
    "Paradise": "NNP",
    "Paradox": "NNP",
    "Paradoxically": "RB",
    "Paragon": "NNP",
    "Paragould": "NNP",
    "Paragraph": "NNP",
    "Parallel": "JJ",
    "Paramedics": "NNS",
    "Parametric": "NNP",
    "Paramount": "NNP",
    "Paramount-MCA": "JJ|NNP",
    "Paramus": "NNP",
    "Paranormal": "NNP",
    "Parapsychology": "NNP",
    "Paraquat": "NN",
    "Paray": "NNP",
    "Parc": "NNP",
    "Parcel": "NNP",
    "Pardo": "NNP",
    "Pardon": "NN|VB",
    "Pardus": "NNP",
    "Paredon": "NN",
    "Paree": "NNP",
    "Parella": "NNP",
    "Parent": "NNP",
    "Parental": "JJ",
    "Parenthesis": "NN",
    "Parenthood": "NNP",
    "Parents": "NNS|NNP|NNPS",
    "Pareo": "NNP",
    "Parfums": "NNP",
    "Paribas": "NNP|NNPS|NNS",
    "Parichy": "NNP",
    "Parichy-Hamm": "NNP",
    "Parioli": "NNP",
    "Paris": "NNP",
    "Paris-based": "JJ",
    "Parish": "NNP",
    "Parisian": "NNP|JJ",
    "Parisians": "NNPS",
    "Parisien": "NNP",
    "Parisina": "NNP",
    "Parity": "NN",
    "Parizeau": "NNP",
    "Park": "NNP|VB",
    "Park-affiliated": "JJ",
    "Parke": "NNP",
    "Parke-Davis": "NNP",
    "Parker": "NNP",
    "Parkersburg": "NNP",
    "Parkhaji": "NNP",
    "Parkhouse": "NNP",
    "Parkhurst": "NNP",
    "Parkinson": "NNP|NNPS",
    "Parkland": "NNP",
    "Parkos": "NNP",
    "Parks": "NNP|NNPS|NNS",
    "Parkshore": "NNP",
    "Parkway": "NNP",
    "Parkways": "NNP|NNPS",
    "Parliament": "NNP",
    "Parliamentarians": "NNP",
    "Parliamentary": "JJ",
    "Parmer": "NNP",
    "Parodi": "NNP",
    "Parodis": "NNS",
    "Parretti": "NNP",
    "Parrillo": "NNP",
    "Parrino": "NNP",
    "Parris": "NNP",
    "Parrot": "NNP",
    "Parrott": "NNP",
    "Parry": "NNP",
    "Parsifal": "NNP|JJ",
    "Parsippany": "NNP",
    "Parsley": "NNP",
    "Parson": "NNP",
    "Parsons": "NNP",
    "Parsow": "NNP",
    "Part": "NN|NNP",
    "Part-time": "JJ",
    "Partecipazioni": "NNP",
    "Parthenon": "NNP",
    "Parti": "NNP",
    "Participants": "NNS",
    "Participating": "VBG",
    "Participation": "NN",
    "Particular": "JJ",
    "Particularly": "RB",
    "Parties": "NNS",
    "Partisan": "NNP",
    "Partisans": "NNS",
    "Partisanship": "NN",
    "Partlow": "NNP",
    "Partly": "RB",
    "Partner": "NNP",
    "Partners": "NNPS|NNS",
    "Partnership": "NNP",
    "Partnerships": "NNS",
    "Parts": "NNS|NNP|NNPS",
    "Party": "NNP",
    "Party.": "NNP",
    "Parvenu": "NNP",
    "Pas": "FW",
    "Pasadena": "NNP",
    "Pasatieri": "NNP",
    "Pascagoula": "NNP",
    "Pascal": "NNP",
    "Pascale": "NNP",
    "Pascataqua": "NNP",
    "Paschal": "NNP",
    "Paschall": "NNP",
    "Paschi": "NNP",
    "Pascual": "NNP",
    "Pascutto": "NNP",
    "Pasha": "NNP",
    "Pasley": "NNP",
    "Paso": "NNP",
    "Pasoan": "NNP",
    "Pasquale": "NNP",
    "Pass": "NNP|VB",
    "Passage": "NN",
    "Passaic": "NNP",
    "Passaic-Clifton": "NNP",
    "Passat": "NNP",
    "Passavant": "NNP",
    "Passed": "VBN",
    "Passenger": "NN|NNP",
    "Passengers": "NNS|NNP",
    "Passing": "VBG",
    "Passion": "NNP",
    "Passive": "NNP",
    "Passos": "NNP",
    "Passport": "NN",
    "Past": "JJ|IN|NN|RB|NNP",
    "Pasta": "NNP",
    "Paster": "NNP",
    "Pastern": "NNP",
    "Pasternack": "NNP",
    "Pasternak": "NNP",
    "Pasterns": "NNPS",
    "Pasteur": "NNP",
    "Pastiche": "NN",
    "Pastor": "NNP",
    "Pasture": "NNP",
    "Pastures": "NNS",
    "Pasztor": "NNP",
    "Pat": "NNP",
    "Patagonia": "NNP",
    "Patagonians": "NNPS",
    "Patch": "NNP",
    "Patchen": "NNP",
    "Pate": "NNP",
    "Patel": "NNP",
    "Patent": "NNP",
    "Patentees": "NNS",
    "Patents": "NNP",
    "Pater": "NNP",
    "Paternelle": "NNP",
    "Paterson": "NNP",
    "Path": "NN|NNP",
    "Pathans": "NNPS",
    "Pathe": "NNP",
    "Pathet": "NNP",
    "Pathology": "NNP",
    "Pati": "FW",
    "Patience": "NN",
    "Patiently": "RB",
    "Patients": "NNPS|NNS",
    "Patil": "NNP",
    "Patman": "NNP",
    "Patmore": "NNP",
    "Patriarca": "NNP",
    "Patriarch": "NNP",
    "Patriarchy": "NNP",
    "Patrice": "NNP",
    "Patricelli": "NNP",
    "Patricia": "NNP",
    "Patrician": "NN",
    "Patricio": "NNP",
    "Patrick": "NNP",
    "Patricof": "NNP",
    "Patrimony": "NNP",
    "Patriot": "NNP",
    "Patriots": "NNPS",
    "Patrol": "NNP",
    "Patrolman": "NNP",
    "Patrolmen": "NNP",
    "Patronage": "NN",
    "Patsy": "NNP",
    "Patten": "NNP",
    "Pattenden": "NNP",
    "Pattern": "NN",
    "Patterns": "NNS",
    "Patterson": "NNP",
    "Patti": "NNP",
    "Pattison": "NNP",
    "Pattisson": "NNP",
    "Patton": "NNP",
    "Patty": "NNP",
    "Paul": "NNP",
    "Paul-Minneapolis": "NNP",
    "Paula": "NNP",
    "Paulah": "NNP",
    "Pauletta": "NNP",
    "Pauley": "NNP",
    "Pauleys": "NNPS",
    "Pauline": "NNP",
    "Pauling": "NNP",
    "Paulo": "NNP",
    "Paulus": "NNP",
    "Pausing": "VBG",
    "Pauson": "NNP",
    "Pautsch": "NNP",
    "Pavane": "NNP",
    "Pavarotti": "NNP",
    "Paved": "VBN",
    "Pavel": "NNP",
    "Pavese": "NNP",
    "Pavillion": "NNP",
    "Pavletich": "NNP",
    "Pavlov": "NNP",
    "Pavlova": "NNP",
    "Pavlovitch": "NNP",
    "Pavlovsky": "NNP",
    "Paw": "NN",
    "Pawcatuck": "NNP",
    "Pawley": "NNP",
    "Pawleys": "NNP",
    "Pawlowski": "NNP",
    "Pawtucket": "NNP",
    "Pawtuxet": "NNP",
    "Pax": "NNP",
    "Paxson": "NNP",
    "Paxton": "NNP",
    "Paxus": "NNP",
    "Pay": "VB|VBP|NNP",
    "Pay-Per-View": "NNP",
    "Payback": "NN",
    "Paychex": "NNP",
    "Payco": "NNP",
    "Payers": "NNS",
    "Paying": "VBG",
    "Payless": "NNP",
    "Payline": "NNP",
    "Payment": "NN",
    "Payments": "NNS|NNP",
    "Payne": "NNP",
    "Paynes": "NNPS",
    "Payola": "NN",
    "Payout": "NN",
    "Payouts": "NNS",
    "Payroll": "NNP",
    "Payson": "NNP",
    "Payton": "NNP",
    "Paz": "NNP",
    "Pe": "NNP",
    "Peabody": "NNP",
    "Peace": "NN|NNP",
    "Peaceable": "NNP|JJ",
    "Peaceful": "JJ",
    "Peacekeeper": "NNP",
    "Peach": "NNP",
    "Peacocks": "NNS",
    "Peak": "NNP|JJ",
    "Peake": "NNP",
    "Peal": "NNP",
    "Peale": "NNP",
    "Peanut": "NN",
    "Peanuts": "NNP|NNPS|NNS",
    "Peapack": "NNP",
    "Pearce": "NNP",
    "Pearl": "NNP",
    "Pearlman": "NNP",
    "Pearlstine": "NNP",
    "Pearson": "NNP",
    "Peasant": "NNP",
    "Peasants": "NNPS|NNS",
    "Pease": "NNP",
    "Peat": "NNP",
    "Pebworth": "NNP",
    "Pechiney": "NNP",
    "Pechman": "NNP",
    "Pechora": "NNP",
    "Pechora-class": "JJ",
    "Peck": "NNP",
    "Pecks": "NNPS",
    "Pecorone": "NNP",
    "Pecos": "NNP",
    "Pedde": "NNP",
    "Peden": "NNP",
    "Pedersen": "NNP",
    "Pederson": "NNP",
    "Pedestrian": "NNP",
    "Pediatric": "NNP",
    "Pediatricians": "NNS",
    "Pedigree": "NNP",
    "Pedigree-contemplating": "VBG",
    "Pedigrees": "NNS",
    "Pedone": "NNP",
    "Pedott": "NNP",
    "Pedro": "NNP",
    "Pedroli": "NNP",
    "Peduzzi": "NNP",
    "Pee": "NNP",
    "Peebles": "NNP",
    "Peeking": "VBG",
    "Peel": "NNP",
    "Peep": "NNP",
    "Peeping": "NNP",
    "Peepy": "NNP",
    "Peer": "NNP",
    "Peerless": "NNP",
    "Peery": "NNP",
    "Peeter": "NNP",
    "Peg": "NNP",
    "PegaSys": "NNP",
    "Pegasus": "NNP",
    "Peggy": "NNP",
    "Pegler": "NNP",
    "Pei": "NNP",
    "Peiping": "NNP",
    "Pekin": "NNP",
    "Peking": "NNP",
    "Peladeau": "NNP",
    "Pelham": "NNP",
    "Pelican": "NNP",
    "Pelin": "NNP",
    "Pell": "NNP",
    "Pellegrini": "NNP",
    "Peller": "NNP",
    "Pelletier": "NNP",
    "Pellicano": "NNP",
    "Pels": "NNP",
    "Pelto": "NNP",
    "Peltz": "NNP",
    "Pemberton": "NNP",
    "Pembina": "NNP",
    "Pembridge": "NNP",
    "Pembroke": "NNP",
    "Pemex": "NNP",
    "Pen": "NNP",
    "Pena": "NNP",
    "Penal": "NNP",
    "Penang": "NNP",
    "Pence": "NNP",
    "Pencil": "NNP|VB",
    "Pencils": "NNS",
    "Pendant": "NNP",
    "Pendergast": "NNP",
    "Pending": "NNP|VBG",
    "Pendleton": "NNP",
    "Penelope": "NNP",
    "Peng": "NNP",
    "Pengally": "NNP",
    "Penguin": "NNP",
    "Penh": "NNP",
    "Peninsula": "NNP",
    "Penman": "NNP",
    "Penn": "NNP",
    "PennCorp": "NNP",
    "Penna.": "FW",
    "Pennell": "NNP",
    "Penney": "NNP",
    "Penniman": "NNP",
    "Pennington": "NNP",
    "Pennock": "NNP",
    "Pennsauken": "NNP",
    "Pennsylvania": "NNP",
    "Pennsylvania-based": "JJ",
    "Pennview": "NNP",
    "Penny": "NNP",
    "Pennzoil": "NNP",
    "Pennzoil/Texaco": "NNP",
    "Penrose": "NNP",
    "Pensacola": "NNP",
    "Pension": "NNP|NN",
    "Pension-fund": "NN",
    "Pensive": "JJ",
    "Pensupreme": "NNP",
    "Pentagon": "NNP",
    "Pentagon-related": "JJ",
    "Pentagonese": "NNP",
    "Pentecostal": "NNP",
    "Penthouse": "NNP",
    "Penutian": "NNP",
    "Peony": "NNP",
    "People": "NNS|NNPS",
    "Peoples": "NNPS|NNS",
    "Peoria": "NNP",
    "Pepcid": "NNP",
    "Pepinsky": "NNP",
    "Pepper": "NNP",
    "Pepper/Seven": "NNP",
    "Pepperdine": "NNP",
    "Pepperell": "NNP",
    "Pepperidge": "NNP",
    "Peppers": "NNP",
    "Pepsi": "NNP|NNS",
    "Pepsi-Cola": "NNP",
    "PepsiCo": "NNP",
    "PepsiCola": "NNP",
    "Pepto-Bismol": "NNP",
    "Per": "IN",
    "Per-capita": "JJ",
    "Per-share": "JJ",
    "Peralta": "NNP",
    "Perasso": "NNP",
    "Percent": "NN",
    "Percentage": "NN",
    "Perception": "NN|NNP",
    "Perch": "NNP",
    "Perchdale": "NNP",
    "Perched": "VBN",
    "Perches": "NNP",
    "Percival": "NNP",
    "Percussion": "NNP",
    "Percussive": "NNP",
    "Percy": "NNP",
    "Perdido": "NNP",
    "Perdue": "NNP",
    "Pere": "NNP",
    "Peregrine": "NNP",
    "Pereira": "NNP",
    "Perella": "NNP",
    "Perelman": "NNP",
    "Perennial": "JJ|NNP",
    "Perennian": "NNP|JJ",
    "Peres": "NNP",
    "Perestroika": "FW",
    "Perez": "NNP",
    "Perfect": "NNP|JJ",
    "Perfecta": "NNP",
    "Perfection": "NNP",
    "Performance": "NNP|NN",
    "Performances": "NNPS",
    "Performed": "VBN",
    "Performers": "NNS",
    "Performing": "VBG",
    "Perfume": "NN",
    "Perfumes": "NNPS",
    "Pergamon": "NNP",
    "Pergolesi": "NNP",
    "Perham": "NNP",
    "Perhaps": "RB",
    "Pericle": "NNP",
    "Periclean": "NNP",
    "Pericles": "NNP",
    "Perier": "NNP",
    "Perignon": "NNP",
    "Perimeter": "NNP",
    "Perin": "NNP",
    "Perinetti": "NNP",
    "Period": "NN|NNP",
    "Periodic": "JJ",
    "Periodically": "RB",
    "Periods": "NNS",
    "Peripherals": "NNPS",
    "Perish": "VB",
    "Perito": "NNP",
    "Perk": "NNP",
    "Perken": "NNP",
    "Perkin-Elmer": "NNP",
    "PerkinElmer": "NNP",
    "Perkins": "NNP",
    "Perle": "NNP",
    "Perlman": "NNP",
    "Perluss": "NNP",
    "Permanent": "JJ",
    "Permanente": "NNP",
    "Permian": "NNP",
    "Permission": "NN",
    "Permit": "VB",
    "Permits": "NNS",
    "Permut": "NNP",
    "Perna": "NNP",
    "Pernod": "NN",
    "Peron": "NNP",
    "Peronist": "NNP",
    "Perot": "NNP",
    "Perot-EDS": "JJ",
    "Perozo": "NNP",
    "Perpetual": "JJ",
    "Perrier": "NNP",
    "Perrin": "NNP",
    "Perritt": "NNP",
    "Perro": "NNP",
    "Perry": "NNP",
    "Perse": "NNP",
    "Pershare": "JJ",
    "Pershing": "NNP|VBG",
    "Persia": "NNP",
    "Persian": "NNP|JJ",
    "Persianesque": "JJ",
    "Persians": "NNPS",
    "Persico": "NNP",
    "Persky": "NNP",
    "Perskys": "NNPS",
    "Person": "NNP",
    "Persona": "NNP",
    "Personages": "NNS",
    "Personal": "NNP|JJ",
    "Personal-computer": "NN",
    "Personality": "NNP",
    "Personally": "RB",
    "Personnel": "NNP|NNS|NNPS",
    "Persons": "NNS|NNP|NNPS",
    "Perspective": "NNP",
    "Persuading": "VBG",
    "Persuasion": "NN",
    "Pertamina": "NNP",
    "Perth": "NNP",
    "Perth-based": "JJ",
    "Pertschuk": "NNP",
    "Peru": "NNP",
    "Peruvian": "JJ|NNP",
    "Pervanas": "NNP",
    "Perzio-Biroli": "NNP",
    "Pesaro": "NNP",
    "Pesce": "NNP",
    "Pesqueira": "NNP",
    "Pestered": "VBN",
    "Pesticide": "NNP",
    "Pesticides": "NNS",
    "Pestillo": "NNP",
    "Pestle": "NNP",
    "Pet": "NNP",
    "Petaluma": "NNP",
    "Petco": "NNP",
    "Pete": "NNP",
    "Peter": "NNP",
    "Peterborough": "NNP",
    "Peterbroeck": "NNP",
    "Peterhouse": "NNP",
    "Peterman": "NNP",
    "Petermann": "NNP",
    "Peterpaul": "NNP",
    "Peters": "NNP",
    "Petersburg": "NNP",
    "Petersen": "NNP",
    "Peterson": "NNP",
    "Peterson-Kroll": "NNP",
    "Petery": "NNP",
    "Petey": "NN",
    "Petfoods": "NNPS",
    "Petipa": "NNP",
    "Petipa-Minkus": "NNP",
    "Petipa-Tschaikowsky": "NNP",
    "Petit": "NNP",
    "Petite": "JJ",
    "Petitio": "NNP",
    "Petitioner": "NN",
    "Petitions": "NNS",
    "Petrarchan": "JJ",
    "Petre": "NNP",
    "Petrie": "NNP",
    "Petrini": "NNP",
    "Petro": "NNP",
    "Petro-Canada": "NNP",
    "Petrobras": "NNP",
    "Petrochemical": "NNP",
    "Petrocorp": "NNP",
    "Petrofina": "NNP",
    "Petrograd": "NNP",
    "Petrolane": "NNP",
    "Petroleos": "NNP",
    "Petroles": "NNP",
    "Petroleum": "NNP",
    "Petroliam": "NNP",
    "Petronas": "NNP",
    "Petrone": "NNP",
    "Petrossian": "NNP",
    "Petrovich": "NNP",
    "Petruchka": "NNP",
    "Petrus": "NNP",
    "Petruzzi": "NNP",
    "Petry": "NNP",
    "Pets": "NNS",
    "Pettee": "NNP",
    "Pettersson": "NNP",
    "Pettibone": "NNP",
    "Pettigrew": "NNP",
    "Pettis": "NNP",
    "Pettit": "NNP",
    "Petty": "NNP|JJ",
    "Peugeot": "NNP",
    "Pew": "NNP",
    "Pewabic": "NNP",
    "Peyrelongue": "NNP",
    "Pezza": "NNP",
    "Pfaff": "NNP",
    "Pfau": "NNP",
    "Pfc.": "NNP",
    "Pfeiffer": "NNP",
    "Pfiefer": "NNP",
    "Pfizer": "NNP",
    "Pflaum": "NNP",
    "Pflugerville": "NNP",
    "Pfohl": "NNP",
    "Ph.": "NNP|NNPS",
    "PhacoFlex": "NNP",
    "Phalanx": "NNP",
    "Phamaceutical": "NNP",
    "Phamaceuticals": "NNPS",
    "Phantom": "NNP",
    "Pharaoh": "NNP",
    "Pharma": "NNP",
    "PharmaKinetics": "NNP",
    "Pharmacal": "NNP",
    "Pharmaceutical": "NNP|JJ",
    "Pharmaceuticals": "NNP|NNS|NNPS",
    "Pharmacia": "NNP",
    "Pharmacies": "NNS",
    "Pharmacopoeia": "NN",
    "Pharmacuetica": "NNP",
    "Pharmacy": "NNP",
    "Pharmical": "NNP",
    "Pharmics": "NNP",
    "Phase": "NN|NNP",
    "Phase-2": "NN",
    "Phase-3": "NN",
    "Phedre": "NNP",
    "Phelan": "NNP",
    "Phelps": "NNP",
    "Phenix-Transmission": "NNP",
    "Phenolic": "JJ",
    "Phenothiazine": "NN",
    "Pherwani": "NNP",
    "Phi": "NNP",
    "Phibro": "NNP",
    "Phil": "NNP",
    "Philadelphia": "NNP",
    "Philadelphia-area": "JJ",
    "Philadelphia-based": "JJ",
    "Philanthropic": "NNP",
    "Philco": "NNP",
    "Philco-sponsored": "JJ",
    "Philharmonic": "NNP",
    "Philharmonique": "NNP",
    "Philibert": "NNP",
    "Philinte": "NNP",
    "Philip": "NNP",
    "Philippe": "NNP",
    "Philippi": "NNP",
    "Philippians": "NNS",
    "Philippine": "JJ|NNP",
    "Philippine-studies": "NN",
    "Philippines": "NNPS|NNP",
    "Philippines-backed": "JJ",
    "Philippoff": "NNP",
    "Philips": "NNP|NNS",
    "Philistines": "NNPS",
    "Phillies": "NNP|NNPS",
    "Phillip": "NNP",
    "Phillipe": "NNP",
    "Phillipines": "NNS",
    "Phillippe-Francois": "NNP",
    "Phillips": "NNP|NNS",
    "Philly": "RB",
    "Philmont": "NNP",
    "Philo": "NNP",
    "Philosophic": "JJ",
    "Philosophical": "NNP",
    "Philosophies": "NNP",
    "Philosophy": "NN|NNP",
    "Phils": "NNPS",
    "Phineas": "NNP",
    "Phineoppus": "NNP",
    "Phipps": "NNP",
    "Phnom": "NNP",
    "Phoenician": "JJ",
    "Phoenicians": "NNS",
    "Phoenix": "NNP",
    "Phoenix-based": "JJ|NNP",
    "Phoenixville": "NNP",
    "Phone": "NN|NNP",
    "Phonemes": "NNS",
    "Phosphate": "NNP",
    "Phosphates": "NNP",
    "Photek": "NNP",
    "Photo": "NNP",
    "Photofinishing": "NNP",
    "Photofrin": "NN",
    "Photograph": "NNP|NN",
    "Photographer": "NNP",
    "Photographers": "NNP",
    "Photographic": "JJ",
    "Photographing": "NNP",
    "Photography": "NNP",
    "Photonics": "NNP",
    "Photoprotective": "NNP",
    "Photos": "NNS",
    "Phouma": "NNP",
    "Phrase": "NNP",
    "Phuong": "NNP",
    "Phyfe": "NNP",
    "Phyllis": "NNP",
    "Physical": "NNP|JJ",
    "Physically": "RB",
    "Physician": "NN|NNP",
    "Physicians": "NNP|NNS|NNPS",
    "Physicist": "NNP",
    "Physicists": "NNS",
    "Physicochemical": "JJ",
    "Physics": "NNP",
    "Physiological": "NNP|JJ",
    "Physiologically": "RB",
    "Physiologist": "NNP",
    "Physiology": "NNP",
    "Physique": "NN",
    "Pi": "NN|NNP",
    "Pia": "NNP",
    "Pianists": "NNS",
    "Piano": "NNP",
    "Pianos": "NNP",
    "Piazza": "NNP|FW",
    "Piazzo": "NNP",
    "Pic": "NNP",
    "Picasso": "NNP",
    "Picassos": "NNPS",
    "Piccadilly": "NNP|JJ",
    "Picchi": "NNP",
    "Piccolino": "NNP",
    "Pichia": "NN",
    "Pick": "VB|NNP",
    "Pickard": "NNP",
    "Pickens": "NNP",
    "Pickering": "NNP",
    "Pickett": "NNP",
    "Pickfair": "NNP",
    "Pickford": "NNP",
    "Pickin": "VBG",
    "Pickle": "NNP",
    "Pickman": "NNP",
    "Picks": "VBZ",
    "Pickup": "NNP",
    "Picon": "NNP",
    "Picop": "NNP",
    "Picoult": "NNP",
    "Picture": "NNP",
    "Pictures": "NNP|NNPS|NNS",
    "Picturing": "VBG",
    "Picus": "NNP",
    "Piddington": "NNP",
    "Pie": "NNP",
    "Pieces": "NNP|NNS",
    "Piedmont": "NNP",
    "Piepsam": "NNP",
    "Pier": "NNP",
    "Pierce": "NNP|VB",
    "Pierluigi": "NNP",
    "Piero": "NNP",
    "Pierpont": "NNP",
    "Pierre": "NNP",
    "Pierre-Karl": "NNP",
    "Piers": "NNP",
    "Piersee": "NNP",
    "Pierson": "NNP",
    "Piet": "NNP",
    "Pieta": "NNP",
    "Pieter": "NNP",
    "Pietermartizburg": "NNP",
    "Pietism": "NNP",
    "Pietro": "NNP",
    "Pietruski": "NNP",
    "Pigeon": "NNP",
    "Piggybacking": "VBG",
    "Pignatelli": "NNP",
    "Pigs": "NNPS",
    "Pikaia": "NNP",
    "Pike": "NNP",
    "Pikeville": "NNP",
    "Pilate": "NNP",
    "Pile": "NNP",
    "Pileggi": "NNP",
    "Pilevsky": "NNP",
    "Pilferage": "NN",
    "Pilgrim": "NNP",
    "Pilgrimage": "NNP",
    "Pilgrims": "NNPS",
    "Pilgrin": "NNP",
    "Pilgrm": "NNP",
    "Pilipino": "NN",
    "Pilko": "NNP",
    "Pillay": "NNP",
    "Piller": "NNP",
    "Pillsbury": "NNP",
    "Pilot": "NN",
    "Piloting": "VBG",
    "Pilots": "NNPS|NNS",
    "Pils": "NNP",
    "Pilson": "NNP",
    "Pilsudski": "NNP",
    "Pimen": "NNP",
    "Pimlott": "NNP",
    "Pin": "VB",
    "Pina": "NNP",
    "Pinar": "NNP",
    "Pincavage": "NNP",
    "Pincian": "NNP",
    "Pincus": "NNP",
    "Pindling": "NNP",
    "Pine": "NNP",
    "Pinel": "NNP",
    "Pinellas": "NNP",
    "Pines": "NNP",
    "Ping-pong": "NN",
    "Pinick": "NNP",
    "Pinion": "NNP",
    "Pink": "NNP|JJ",
    "Pinkerton": "NNP",
    "Pinkie": "NN",
    "Pinky": "NNP",
    "Pinnacle": "NNP",
    "Pinned": "VBN",
    "Pinola": "NNP",
    "Pinpoint": "NNP",
    "Pinscher": "NN",
    "Pinsk": "NNP",
    "Pinsoneault": "NNP",
    "Pinter": "NNP",
    "Pioneer": "NNP",
    "Pioneering": "NNP",
    "Pioneers": "NNPS|NNS",
    "Piovra": "FW",
    "Pip": "NNP",
    "Pipe": "NNP",
    "PipeLines": "NNP|NNPS",
    "Pipeline": "NNP",
    "Piper": "NNP",
    "Pipes": "NNP",
    "Pipgras": "NNP",
    "Piping": "NN",
    "Piraeus": "NNP",
    "Pirandello": "NNP",
    "Piranesi": "NNP",
    "Piraro": "NNP",
    "Pirate": "NNP",
    "Pirates": "NNP|NNPS",
    "Pirelli": "NNP",
    "Pirie": "NNP",
    "Pirko": "NNP",
    "Pirrie": "NNP",
    "Pisa": "NNP",
    "Piscataway": "NNP",
    "Pisces": "NNP",
    "Pischinger": "NNP",
    "Piscopo": "NNP",
    "Pissarro": "NNP",
    "Pissocra": "NNP",
    "Pistol-whipping": "IN",
    "Piszczalski": "NNP",
    "Pit": "NN",
    "Pita": "NNP",
    "Pitch": "NN|VB|NNP",
    "Pitcher": "NNP|NN",
    "Pitchers": "NNS",
    "Pitching": "VBG",
    "Pitcoff": "NNP",
    "Pitfalls": "NNS",
    "Pitiful": "NNP",
    "Pitman": "NNP",
    "Pitman-Moore": "NNP",
    "Pitney": "NNP",
    "Pitney-Bowes": "NNP",
    "Pitt": "NNP",
    "Pitt-Rivers": "NNP",
    "Pitted": "VBN",
    "Pittenger": "NNP",
    "Pittman": "NNP",
    "Pittsboro": "NNP",
    "Pittsburg": "NNP",
    "Pittsburgh": "NNP",
    "Pittsburgh-based": "JJ",
    "Pittsburghers": "NNPS",
    "Pittston": "NNP",
    "Pity": "NNP|VB",
    "Pitz": "NNP",
    "Pius": "NNP",
    "Pivot": "NNP",
    "Piwen": "NNP",
    "Pixley": "NNP",
    "Pizarro": "NNP",
    "Pizza": "NNP",
    "Pizzo": "NNP",
    "Place": "NNP|VB",
    "Place-names": "NNS",
    "Placement": "NNP",
    "Placements": "NNP",
    "Placentia": "NNP",
    "Placer": "NNP",
    "Places": "NNPS|NNS",
    "Placid": "NNP",
    "Placido": "NNP",
    "Placing": "VBG",
    "Plain": "NNP|JJ",
    "Plain-vanilla": "JJ",
    "Plaines": "NNP",
    "Plainfield": "NNP",
    "Plainly": "RB",
    "Plains": "NNP|NNS|NNPS",
    "Plaintiffs": "NNS",
    "Plainview": "NNP",
    "Plan": "NNP",
    "PlanEcon": "NNP",
    "Planar": "NNP",
    "Planck": "NNP",
    "Plane": "NNP",
    "Planes": "NNS",
    "Planet": "NNP",
    "Planeten": "NNP",
    "Planitzer": "NNP",
    "Plank": "VB",
    "Planned": "NNP",
    "Planners": "NNS|NNPS",
    "Planning": "NNP",
    "Plano": "NNP",
    "Plans": "NNS|NNP|NNPS|VBZ",
    "Plant": "NNP",
    "Plantago": "NN",
    "Plantation": "NNP",
    "Plantations": "NNS|NNPS",
    "Planter": "NNP",
    "Planters": "NNP",
    "Plants": "NNS",
    "Plaskett": "NNP",
    "Plaster": "NN|NNP",
    "Plasti-Bars": "NNP",
    "Plastic": "JJ|NNP",
    "Plastics": "NNPS|NNS",
    "Plastow": "NNP",
    "Plate": "NNP",
    "Plateadas": "NNP",
    "Plateau": "NNP",
    "Plates": "NNS",
    "Platform": "NN",
    "Plath": "NNP",
    "Platinum": "NN|NNP",
    "Plato": "NNP",
    "Platonic": "JJ|NNP",
    "Platonica": "FW",
    "Platonism": "NN",
    "Platonist": "NN|NNP",
    "Platoons": "NNS",
    "Platt": "NNP",
    "Platter": "NNP",
    "Platzer": "NNP",
    "Plaude": "NNP",
    "Plaumann": "NNP",
    "Play": "NNP|VB",
    "Playa": "NNP",
    "Playback": "NNP",
    "Playboy": "NNP",
    "Playboy-Show-Biz": "NNP",
    "Playboy-at-Night": "NNP",
    "Played": "VBN",
    "Player": "NNP",
    "Players": "NNS|NNPS",
    "Playes": "NNP",
    "Playgirl": "NNP",
    "Playground": "NNP",
    "Playhouse": "NNP",
    "Playhouses": "NNP",
    "Playing": "VBG",
    "Playmates": "NNPS",
    "Plays": "NNP|NNS|VBZ",
    "Playskool": "NNP",
    "Playtex": "NNP",
    "Playworld": "NNP",
    "Playwrights": "NNP",
    "Plaza": "NNP",
    "Plazek": "NNP",
    "Plea": "NN",
    "Pleas": "NNPS|NNS",
    "Pleasant": "NNP|JJ",
    "Pleasanton": "NNP",
    "Pleasantville": "NNP",
    "Please": "VB|RB|UH|NNP",
    "Pleasure": "NN",
    "Plebian": "JJ",
    "Pledge": "NNP",
    "Plee-Zing": "NNP",
    "Plekhanov": "NNP",
    "Plenary": "NNP",
    "Plenitude": "NNP",
    "Plenty": "NN|NNP|RB",
    "Plentywood": "NNP",
    "Plessey": "NNP",
    "Plessis": "NNP",
    "Plews": "NNP",
    "Plexiglas": "NN",
    "Plimpton": "NNP",
    "Pliny": "NN",
    "Plot": "NN",
    "Plotkin": "NNP",
    "Plouf": "NNP",
    "Plow": "NNP",
    "Plowman": "NN",
    "Ploys": "NNS",
    "Plug-in": "JJ",
    "Plugging": "VBG",
    "Plumbing": "NNP",
    "Plummer": "NNP",
    "Plump": "JJ",
    "Plumrose": "NNP",
    "Plunge": "NN",
    "Plunging": "VBG",
    "Plunkett": "NNP",
    "Plunking": "VBG",
    "Plus": "NNP|CC",
    "Plus-one": "JJ",
    "Pluses": "NNS",
    "Plutarch": "NNP",
    "Plymouth": "NNP",
    "Plympton": "NNP",
    "Pm": "NN",
    "Png": "NNP",
    "Po": "NNP",
    "Poach": "VB",
    "Poachers": "NNS",
    "Poag": "NNP",
    "Pocasset": "NNP",
    "Pocket": "NNP",
    "Pocketing": "VBG",
    "Pockets": "NNS",
    "Pocklington": "NNP",
    "Pockmanster": "NNP",
    "Poconos": "NNPS",
    "Pod": "NNP",
    "Podell": "NNP",
    "Podger": "NNP",
    "Podgers": "NNS",
    "Podolia": "NNP",
    "Podolsky": "NNP",
    "Podufaly": "NNP",
    "Poduska": "NNP",
    "Poe": "NNP",
    "Poehl": "NNP",
    "Poelker": "NNP",
    "Poeme": "NNP",
    "Poems": "NNPS",
    "Poesy": "NN",
    "Poet": "NNP",
    "Poetics": "NNP",
    "Poetrie": "NNP",
    "Poetry": "NNP",
    "Poets": "NNS",
    "Pogue": "NNP",
    "Pohl": "NNP",
    "Pohlad": "NNP",
    "Pohly": "NNP",
    "Pohs": "NNP",
    "Poindexter": "NNP",
    "Point": "NNP|JJ",
    "Point-Pepperell": "NNP",
    "Pointe": "NNP",
    "Pointer": "NNP",
    "Pointers": "NNS",
    "Pointes": "NNP",
    "Pointing": "VBG",
    "Points": "NNPS",
    "Poirot": "NNP",
    "Poised": "NNP",
    "Poison": "NN",
    "Poitrine": "NNP",
    "Poker": "NN|NNP",
    "Pokorny": "NNP",
    "Pol": "NNP",
    "Pola": "NNP",
    "Poland": "NNP",
    "Polar": "NNP",
    "Polaris": "NNP|JJ",
    "Polaroid": "NNP",
    "Poldowski": "NNP",
    "Pole": "NNP",
    "Poles": "NNPS|NNS",
    "Polevoi": "NNP",
    "Polian": "NNP",
    "Police": "NNP|NNS|NNPS",
    "Police-man": "NNP",
    "Policeman": "NNP",
    "Policemen": "NNS|NNPS",
    "Policies": "NNS",
    "Policy": "NNP",
    "Polimotor": "NNP",
    "Poling": "NNP",
    "Polish": "JJ|VB|NNP",
    "Polished": "JJ",
    "Politan": "NNP",
    "Politburo": "NNP",
    "Political": "NNP|JJ",
    "Political-Military": "NNP",
    "Politically": "RB",
    "Politicians": "NNS",
    "Politics": "NNS|NNP|NNPS",
    "Politics-ridden": "JJ",
    "Politizdat": "NNP",
    "Politrick": "NN",
    "Polk": "NNP",
    "Poll": "NNP",
    "Pollack": "NNP",
    "Pollak": "NNP",
    "Pollare": "NNP",
    "Pollen": "NNP",
    "Pollin": "NNP",
    "Pollitt": "NNP",
    "Pollnow": "NNP",
    "Pollo": "NNP",
    "Pollock": "NNP",
    "Polls": "NNS",
    "Pollution": "NNP",
    "Pollution-control": "JJ",
    "Polly": "NNP",
    "Polo": "NNP",
    "Polo/Ralph": "NNP",
    "Pololu": "NNP",
    "Polsky": "NNP",
    "Poltava": "NNP",
    "Poltawa": "NNP",
    "Poltrack": "NNP",
    "PolyGram": "NNP",
    "Polyakova": "NNP",
    "Polyanka": "NNP",
    "Polycast": "NNP",
    "Polychemicals": "NNP",
    "Polyconomics": "NNP",
    "Polygram": "NNP",
    "Polymerix": "NNP",
    "Polymerization": "NN",
    "Polyphosphates": "NNS",
    "Polypropylene": "NN",
    "Polysar": "NNP",
    "Polysilicon": "NN",
    "Polystyrene": "NNP",
    "Polytechnic": "NNP",
    "Polyurethane": "NN",
    "Polyvinyl": "NN",
    "Pomerania": "NNP",
    "Pomerantz": "NNP",
    "Pomham": "NNP",
    "Pomicino": "NNP",
    "Pomona": "NNP",
    "Pompadour": "NNP",
    "Pompano": "NNP",
    "Pompeii": "NNP",
    "Pompey": "NNP",
    "Pomton": "NNP",
    "Ponce": "NNP",
    "Ponchartrain": "NNP",
    "Ponchielli": "NNP",
    "Pond": "NNP",
    "Ponder": "VBP",
    "Pong": "NNP",
    "Ponkob": "NNP",
    "Ponoluu": "NNP",
    "Pons": "NNP",
    "Pont": "NNP",
    "Pontchartrain": "NNP",
    "Pontiac": "NNP",
    "Pontiac-Cadillac": "NNP",
    "Pontiff": "NNP",
    "Pontissara": "NNP",
    "Pontius": "NNP",
    "Pony": "NNP",
    "Ponzi": "NNP",
    "Poo": "NNP",
    "Poodle": "NNP",
    "Pooh": "NNP",
    "Pooh-like": "JJ",
    "Pool": "NNP",
    "Poole": "NNP",
    "Pooling": "NNP",
    "Poong": "NNP",
    "Poor": "NNP|JJ",
    "Poore": "NNP",
    "Poorer": "JJR",
    "Poorest": "JJS",
    "Pop": "NN|NNP",
    "Pope": "NNP",
    "Popes": "NNPS",
    "Popeye": "NNP",
    "Popish": "NNP",
    "Popkin": "NNP",
    "Popoff": "NNP",
    "Popolare": "NNP",
    "Poppea": "FW",
    "Poppenberg": "NNP",
    "Popping": "VBG",
    "Poppins": "NNP",
    "Pops": "NNP",
    "Populace": "NN",
    "Populaire": "NNP",
    "Populaires": "NNP",
    "Popular": "NNP|JJ",
    "Populares": "NNP",
    "Popularism": "NN",
    "Population": "NNP",
    "Poquet": "NNP",
    "Porcaro": "NNP",
    "Porch": "NNP",
    "Porche": "NNP",
    "Porgy": "NNP",
    "Pork": "NNP",
    "Pork-barrel": "JJ",
    "Porkapolis": "NNP",
    "Pornographer": "NNP",
    "Pornsen": "NNP",
    "Porres": "NNP",
    "Porretti": "NNP",
    "Porsche": "NNP",
    "Porsche-like": "JJ",
    "Porsches": "NNPS",
    "Port": "NNP",
    "Port-au-Prince": "NNP",
    "Porta": "NNP",
    "Porta-Potti": "NNP",
    "Portage": "NNP",
    "Portago": "NNP",
    "Porter": "NNP",
    "Porterhouse": "NN",
    "Porters": "NNPS",
    "Portfolio": "NNP",
    "Portfolios": "NNS|NNPS",
    "Portia": "NNP",
    "Portico": "NNP",
    "Portillo": "NNP",
    "Portland": "NNP",
    "Portman": "NNP",
    "Porto": "NNP",
    "Portrait": "NN|JJ",
    "Portraits": "NNPS",
    "Portrayal": "NN",
    "Ports": "NNS|NNP",
    "Portsmouth": "NNP",
    "Portugal": "NNP",
    "Portuguese": "JJ|NNP",
    "Portuguese-language": "JJ",
    "Portwatchers": "NNPS",
    "Porum": "NNP",
    "Poseidon": "NNP",
    "Posey": "NNP",
    "Posh": "JJ",
    "Position": "NN|VB",
    "Positive": "JJ|NNP",
    "Posix": "NNP",
    "Posner": "NNP",
    "Possible": "JJ",
    "Possibly": "RB",
    "Post": "NNP",
    "Post-Dispatch": "NNP",
    "Post-Graduate": "NNP",
    "Post-Newsweek": "NNP",
    "Post-Serialism": "NNP",
    "Post-tragedy": "RB",
    "PostScript": "NNP",
    "Postal": "NNP|JJ",
    "Postbank": "NNP",
    "Posted": "VBN|VBD",
    "Postel": "NNP",
    "Postelle": "NNP",
    "Postels": "NNPS",
    "Poster": "NNP",
    "Posterity": "NN",
    "Postipankki": "NNP",
    "Postmaster": "NNP",
    "Posts": "VBZ|NNP",
    "Postscript": "NNP",
    "Postwar": "RB",
    "Poszgay": "NNP",
    "Pot": "NNP",
    "Potala": "NNP",
    "Potash": "NNP",
    "Potato": "NN",
    "Potemkin": "NNP",
    "Potential": "JJ",
    "Potentially": "RB",
    "Pothier": "NNP",
    "Pothitos": "NNP",
    "Potlatch": "NNP",
    "Potlatches": "NNPS",
    "Potomac": "NNP",
    "Potowomut": "NNP",
    "Potpourri": "NNS",
    "Potsdam": "NNP",
    "Pottawatomie": "NNP",
    "Potter": "NNP",
    "Pottery": "NNP",
    "Potts": "NNP",
    "Poughkeepsie": "NNP",
    "Pouilly-Fuisse": "NNP",
    "Poul": "NNP",
    "Poulenc": "NNP",
    "Poulin": "NNP",
    "Poultry": "NN",
    "Pound": "NNP",
    "Pounds": "NNS",
    "Pountain": "NNP",
    "Poupin": "NNP",
    "Pour": "NNP",
    "Poussin": "NNP",
    "Poussins": "NNS",
    "Poverty": "NN|NNP",
    "Povich": "NNP",
    "Powder": "NNP",
    "Powell": "NNP",
    "Power": "NNP",
    "Power-Seek": "NN",
    "Power-generation": "JJ",
    "Powerful": "JJ",
    "Powers": "NNP",
    "Powicke": "NNP",
    "Powless": "NNP",
    "Poxon": "NNP",
    "Poyne": "NNP",
    "Poyner": "NNP",
    "Poynting-Robertson": "NNP",
    "Pozen": "NNP",
    "Pozzatti": "NNP",
    "Pp.": "NN|NNS",
    "Prab": "NNP",
    "Prabang": "NNP",
    "Practical": "NNP|JJ",
    "Practically": "RB",
    "Practice": "NNP",
    "Practices": "NNPS|NNS",
    "Prado": "NNP",
    "Prager": "NNP",
    "Pragmatism": "NN",
    "Prague": "NNP",
    "Prairie": "NNP",
    "Praise": "NN",
    "Praisegod": "NNP|JJ",
    "Praises": "VBZ",
    "Pramual": "NNP",
    "Prandini": "NNP",
    "Prandtl": "NNP",
    "Prapas": "NNP",
    "Pratap": "NNP",
    "Prater": "NNP",
    "Pratt": "NNP",
    "Prattville": "NNP",
    "Pravda": "NNP",
    "Praver": "NNP",
    "Pravo": "NNP",
    "Prawiro": "NNP",
    "Praxis": "NNP",
    "Pray": "NNP",
    "Prayer": "NN|NNP",
    "Prayers": "NNS",
    "Pre-College": "NNP",
    "Pre-Legislative": "NNP",
    "Pre-attack": "JJ",
    "Pre-decoration": "NN",
    "Pre-inaugural": "JJ",
    "Pre-refunded": "JJ",
    "Pre-shaped": "JJ",
    "Pre-trial": "JJ",
    "Preamble": "NN",
    "Preambles": "NNS",
    "Prebon": "NNP",
    "Prechter": "NNP",
    "Precinct": "NNP",
    "Precious": "JJ|NNP|RB",
    "Precious-metals": "NNS|JJ",
    "Precise": "JJ",
    "Precisely": "RB",
    "Precision": "NNP",
    "Predictably": "RB|NNP",
    "Predicting": "VBG",
    "Predictions": "NNS",
    "Predispositions": "NNS",
    "Prednisone": "NN",
    "Preface": "NNP",
    "Prefecture": "NNP",
    "Preferably": "RB",
    "Preferences": "NNPS|NNP|NNS",
    "Preferred": "NNP|JJ",
    "Preferred-dividend": "JJ",
    "Prego": "NNP",
    "Prejudice": "NNP",
    "Preliminary": "JJ",
    "Prelude": "NNP",
    "Preludes": "NNPS",
    "Premarin": "NNP",
    "Premark": "NNP",
    "Premier": "NNP",
    "Premiere": "NNP",
    "Premise": "NNP",
    "Premium": "NNP",
    "Premner": "NNP",
    "Premont": "NNP",
    "Prenatal": "JJ",
    "Prence": "NNP",
    "Prendergast": "NNP",
    "Prentice": "NNP",
    "Prentice-Hall": "NNP",
    "Prentiss": "NNP",
    "Preoccupied": "VBN|JJ",
    "Preparation": "NNP|NN",
    "Preparation-Inquirers": "NNP",
    "Preparations": "NNP|NNS",
    "Prepared": "JJ",
    "Preparedness": "NN",
    "Prepayments": "NNS",
    "Prepulsid": "NN",
    "Presbyterian": "NNP",
    "Presbyterian-St": "JJ|NP",
    "Presbyterianism": "NN",
    "Presbyterians": "NNPS",
    "Prescience": "NNP",
    "Prescott": "NNP",
    "Prescribed": "VBN",
    "Prescription": "NNP",
    "Prescription-drug": "NN",
    "Preseault": "NNP",
    "Presence": "NNP",
    "Present": "JJ|NN|RB|VB|NNP",
    "Presentation": "NN",
    "Presenting": "VBG",
    "Presently": "RB",
    "Preservation": "NNP",
    "Preserve": "NNP",
    "Preserving": "VBG",
    "Presidency": "NNP",
    "President": "NNP",
    "President-elect": "NNP",
    "Presidential": "JJ|NNP",
    "Presidents": "NNS|NNPS",
    "Presiding": "NNP",
    "Presidio": "NNP",
    "Presley": "NNP",
    "Press": "NNP|VB",
    "Pressburger": "NNP",
    "Presse": "NNP",
    "Pressed": "VBN",
    "Presser": "NN",
    "Pressing": "VBG",
    "Pressler": "NNP",
    "Pressman": "NNP",
    "Pressure": "NN|NNP",
    "Pressure-happy": "JJ",
    "Pressured": "VBN",
    "Pressures": "NNS",
    "Prestige": "NNP|NN",
    "Presto": "FW",
    "Preston": "NNP",
    "Presumably": "RB",
    "Presupposed": "VBN",
    "Pretax": "JJ|NNP",
    "Pretend": "VB",
    "Pretender": "NN",
    "Preti": "NNP",
    "Pretl": "NNP",
    "Pretoria": "NNP",
    "Prettier": "JJR",
    "Pretty": "NNP|RB|JJ",
    "Prettyman": "NNP",
    "Preussag": "NNP",
    "Prevent": "VB",
    "Prevented": "VBN",
    "Prevention": "NNP",
    "Preventive": "JJ",
    "Prevents": "VBZ",
    "Previewing": "VBG",
    "Previous": "JJ",
    "Previously": "RB",
    "Prevost": "NNP",
    "Prevot": "NNP",
    "Prexy": "NNP",
    "Preyss": "NNP",
    "PriMerit": "NNP",
    "Priam": "NNP",
    "Price": "NNP",
    "Price-Fleming": "NNP",
    "Price-boosting": "JJ",
    "Price-earnings": "JJ",
    "Prices": "NNS|NNP",
    "Pricey": "JJ",
    "Pricing": "NN|NNP|VBG",
    "Prick": "VB",
    "Prickly": "JJ",
    "Pricor": "NNP",
    "Priddy": "NNP",
    "Pride": "NNP",
    "Pride-Starlette": "NNP",
    "Pride-Venus": "NNP",
    "Prideaux": "NNP",
    "Prielipp": "NNP",
    "Priem": "NNP",
    "Prieska": "NNP",
    "Priest": "NNP",
    "Priestess": "NNP",
    "Prieta": "NNP",
    "Prieur": "NNP",
    "Primakov": "NNP",
    "Primarily": "RB",
    "Primark": "NNP",
    "Primary": "JJ|NNP",
    "Primate": "NNP",
    "Primaxin": "NNP",
    "Prime": "NNP|JJ",
    "Prime-1": "NN|JJ",
    "Prime-2": "JJ",
    "Prime-3": "JJ",
    "PrimeTime": "NNP",
    "Primerica": "NNP",
    "Primo": "NNP",
    "Prince": "NNP",
    "Princes": "NNPS|NNS",
    "Princess": "NNP",
    "Princeton": "NNP",
    "Princeton/Newport": "NNP",
    "Princeton/Newport-like": "JJ",
    "Principal": "NN|NNP|JJ",
    "Principal-only": "JJ",
    "Principals": "NNS",
    "Principia": "NNP",
    "Principle": "NN|NNP",
    "Principles": "NNPS|NNS",
    "Pringle": "NNP",
    "Prins": "NNP",
    "Print": "VB",
    "Printed": "NNP|JJ",
    "Printemps": "NNP",
    "Printing": "NNP",
    "Printout": "NNP",
    "Prior": "RB",
    "Priorities": "NNPS",
    "Priory": "NNP",
    "Pripet": "NNP",
    "Prisca": "NNP",
    "Priscilla": "NNP",
    "Prism": "NNP",
    "Prison": "NNP",
    "Prisoners": "NNP|NNS",
    "Pritchett": "NNP",
    "Pritikin": "NNP",
    "Pritzker": "NNP|JJR",
    "Pritzkers": "NNPS|NNS",
    "Privacy": "NN",
    "Private": "JJ|NNP",
    "Private-property": "NN",
    "Private-sector": "JJ",
    "Privately": "RB|NNP",
    "Privatization": "NN|NNP",
    "Privatize": "VB",
    "Privatizing": "NN",
    "Priviet": "NNP",
    "Privileged": "NNP|JJ",
    "Privy": "NNP",
    "Prix": "NNP",
    "Prize": "NNP",
    "Prize-winning": "JJ",
    "Prizes": "NNPS",
    "Prizms": "NNPS",
    "Prizzi": "NNP",
    "Pro": "FW|NNP",
    "Pro-Am": "NNP",
    "Pro-Choice": "JJ",
    "Pro-Family": "NNP",
    "Pro-Iranian": "NNP",
    "Pro-choice": "JJ",
    "Pro-forma": "JJ",
    "Pro-life": "JJ",
    "Pro-rated": "JJ",
    "ProBody": "NNP",
    "ProCyte": "NNP",
    "Probable": "NNP|JJ",
    "Probably": "RB|NNP",
    "Probe": "NNP",
    "Probes": "NNPS",
    "Probhat": "NNP",
    "Probing": "VBG",
    "Problem": "NNP",
    "Problems": "NNS",
    "Probus": "NNP",
    "Procaine": "NN",
    "Procardia": "NNP",
    "Procedural": "JJ",
    "Procedure": "NNP|NN",
    "Procedures": "NNPS|NNS",
    "Proceeding": "VBG",
    "Proceedings": "NNP|NNS",
    "Proceeds": "NNS|NNP",
    "Procepe": "NNP",
    "Process": "NNP",
    "Processed": "NNP|VBN",
    "Processing": "NNP|VBG",
    "Processors": "NNPS",
    "Proclamation": "NNP",
    "Procreation": "NN",
    "Procter": "NNP",
    "Proctor": "NNP",
    "Procurement": "NN",
    "Prodded": "VBN",
    "Prodigall": "NNP",
    "Prodigy": "NNP",
    "Produce": "VB",
    "Producer": "NN|NNP",
    "Producer-Price": "NNP",
    "Producers": "NNS|NNPS",
    "Producing": "NNP|VBG",
    "Product": "NN|NNP",
    "Production": "NN|NNP",
    "Productions": "NNPS",
    "Productivity": "NNP|NN",
    "Products": "NNPS|NNS",
    "Proefrock": "NNP",
    "Prof": "NNP",
    "Prof.": "NNP",
    "Professional": "NNP|JJ",
    "Professionally": "RB",
    "Professionals": "NNP|NNS",
    "Professor": "NNP",
    "Professors": "NNP",
    "Profile": "NN",
    "Profili": "NNP",
    "Profit": "NN|NNP",
    "Profit-taking": "NN",
    "Profits": "NNS|NNPS",
    "Profitt": "NNP",
    "Program": "NN|NNP",
    "Program-Trading": "JJ",
    "Programming": "NNP",
    "Programs": "NNP|NNS",
    "Progress": "NNP|NN",
    "Progressive": "JJ|NNP",
    "Progressivism": "NNP",
    "Prohibited": "NNP",
    "Prohibition": "NNP",
    "Project": "NNP",
    "Projected": "VBN",
    "Projecting": "VBG",
    "Projections": "NNS",
    "Projects": "NNPS|NNS",
    "Prokofieff": "NNP",
    "Proler": "NNP",
    "Proleukin": "NNP",
    "Prolonged": "VBN|JJ",
    "Prolusion": "NNP",
    "Promazine": "JJ",
    "Promenade": "NNP",
    "Prometheus": "NNP",
    "Prometrix": "NNP",
    "Prominent": "JJ",
    "Promise": "NNP",
    "Promised": "JJ",
    "Promises": "VBZ",
    "Promoters": "NNP|NNS",
    "Promotion": "NNP",
    "Promotional": "JJ",
    "Prompt": "NNP|JJ",
    "Prompted": "VBN",
    "Promptly": "RB",
    "Proof": "NN",
    "Prop": "NN",
    "Prop.": "NNP",
    "Propaganda": "NN|NNP",
    "Propane": "NNP",
    "Proper": "JJ",
    "Properly": "RB",
    "Properties": "NNP|NNPS|NNS",
    "Propertius": "NNP",
    "Property": "NNP|JJ",
    "Property-tax": "JJ",
    "Prophet": "NNP",
    "Proponents": "NNS|NNP",
    "Proposals": "NNS",
    "Proposed": "VBN",
    "Proposition": "NNP",
    "Propper": "NNP",
    "Proprietary": "NNP",
    "Proprietorship": "NNP",
    "Proprietorships": "NNP|NNS",
    "Propriety": "NN",
    "Propulsion": "NNP",
    "Propylaea": "NNP",
    "Propylene": "NN",
    "Pros": "NNS",
    "Prose": "NNP",
    "Prosecutor": "NNP",
    "Prosecutorial": "JJ",
    "Prosecutors": "NNS",
    "Proskauer": "NNP",
    "Prosopopoeia": "NNP",
    "Prospect": "NNP",
    "Prospective": "JJ",
    "Prospects": "NNS",
    "Prosperity": "NN",
    "Prosser": "NNP",
    "Prostitutes": "NNS",
    "Protection": "NNP",
    "Protectionism": "NNP",
    "Protectionist": "JJ",
    "Protective": "JJ",
    "Protectorate": "NNP",
    "Protege": "NNP",
    "Proteins": "NNPS",
    "Protestant": "JJ|NNP",
    "Protestant-dominated": "JJ",
    "Protestantism": "NNP",
    "Protestants": "NNPS|NNS",
    "Protesters": "NNS",
    "Protesting": "VBG",
    "Protests": "NNS|VBZ",
    "Prothro": "NNP",
    "Protitch": "NNP",
    "Protocol": "NNP",
    "Protogeometric": "JJ|NNP",
    "Protons": "NNS",
    "Prototype": "NN",
    "Prototypes": "NNS",
    "Protracted": "JJ",
    "Proudfoot": "NNP",
    "Proudhon": "NNP",
    "Proust": "NNP",
    "Provato": "NNP",
    "Provenza": "NNP",
    "Proverbs": "NNS",
    "Proves": "VBZ",
    "Provide": "VB|VBP",
    "Provided": "VBN",
    "Providence": "NNP",
    "Provident": "NNP",
    "Providing": "VBG",
    "Provigo": "NNP",
    "Province": "NNP",
    "Provinces": "NNP|NNPS",
    "Provincetown": "NNP",
    "Provincial": "NNP|JJ",
    "Provincie": "NNP",
    "Proving": "NNP",
    "Provision": "NN",
    "Provisional": "NNP",
    "Provo": "NNP",
    "Provost": "NNP",
    "Proximate": "JJ",
    "Proxmire": "NNP",
    "Proxy": "NN",
    "Prozac": "NNP",
    "Pru-Bache": "NNP",
    "Prucker": "NNP",
    "Prudence": "NNP",
    "Prudent": "NNP",
    "Prudential": "NNP|JJ",
    "Prudential-Bache": "NNP",
    "PrudentialBache": "NNP",
    "Prudhoe": "NNP",
    "Pruett": "NNP",
    "Prufrock": "NNP",
    "Prussia": "NNP",
    "Prussian": "NNP",
    "Prussin": "NNP",
    "Pryce": "NNP",
    "Pryor": "NNP",
    "Psalm": "NNP|VB",
    "Pseudomonas": "NNS",
    "Psithyrus": "NNP",
    "Psyche": "NNP",
    "Psychiatric": "NNP",
    "Psychiatry": "NNP",
    "Psychical": "JJ",
    "Psychoanalytic": "NNP",
    "Psychologically": "RB",
    "Psychologists": "NNS",
    "Psychology": "NNP",
    "Psychotherapist": "NN",
    "Psychotherapy": "NNP",
    "Psyllium": "NN",
    "Pt": "NNP",
    "Pt.": "NN",
    "Ptachia": "NNP",
    "Pte": "NNP",
    "Pte.": "NNP",
    "Ptolemaic": "JJ|NNP",
    "Ptolemaists": "NNS",
    "Ptolemy": "NNP",
    "Pty.": "NNP",
    "Pualani": "NNP",
    "Public": "NNP|JJ",
    "Public-health": "JJ|NN",
    "Public-spirited": "JJ",
    "Public-works": "NNS",
    "Publication": "NN|NNP",
    "Publications": "NNP|NNPS",
    "Publicis": "NNP",
    "Publicity": "NN",
    "Publick": "NNP",
    "Publicly": "RB",
    "Publique": "NNP",
    "Published": "VBN",
    "Publisher": "NN|NNP",
    "Publishers": "NNPS|NNS",
    "Publishing": "NNP",
    "Puccini": "NNP",
    "Puccio": "NNP",
    "Puche": "NNP",
    "Pucik": "NNP",
    "Puddingstone": "NNP",
    "Pudwell": "NNP",
    "Pueblo": "NNP",
    "Puente": "NNP",
    "Pueri": "FW",
    "Puerto": "NNP|NNS|JJ",
    "Puette": "NNP",
    "Puffing": "VBG",
    "Puget": "NNP",
    "Pugh": "UH|NNP",
    "Puglisi": "NNP",
    "Pugo": "NNP",
    "Puhl": "NNP",
    "Pulaski": "NNP",
    "Pulitzer": "NNP",
    "Pulkova": "NNP",
    "Pull": "VB",
    "Pullen": "NNP",
    "Pulley": "NNP",
    "Pulliam": "NNP",
    "Pulling": "VBG",
    "Pullings": "NNP",
    "Pullman": "NNP",
    "Pullmans": "NNS",
    "Pullover": "NNP",
    "Pulova": "NNP",
    "Pulp": "NNP",
    "Puma": "NN",
    "Pumblechook": "NNP",
    "Pummeled": "VBN",
    "Pump": "NNP",
    "Pumpkin": "NNP",
    "Pumwani": "NNP",
    "Puna": "NNP",
    "Punch": "VB",
    "Punching": "VBG",
    "Pundits": "NNS",
    "Pune": "NNP",
    "Punishment": "NN",
    "Punitive": "JJ|NNP",
    "Punjab": "NNP",
    "Puny": "JJ",
    "Pupil": "NN",
    "Pupils": "NNS",
    "Puppeteer": "NN",
    "Puppies": "NNS",
    "Puppy": "NNP",
    "Purcell": "NNP",
    "Purchase": "NNP",
    "Purchases": "NNS|NNPS",
    "Purchasing": "NNP|VBG",
    "Purdew": "NNP",
    "Purdie": "NNP",
    "Purdue": "NNP",
    "Purdy": "NNP",
    "Pure": "NNP|JJ",
    "Purely": "RB",
    "Purepac": "NNP",
    "Purgatory": "NNP",
    "Purification": "NN|NNP",
    "Purified": "VBN",
    "Purina": "NNP",
    "Puritan": "NNP|JJ",
    "Puritans": "NNS",
    "Purkis": "NNP",
    "Purloined": "NNP",
    "Purnick": "NNP",
    "Purple": "NNP",
    "Purpose": "NNP",
    "Purse": "NNP",
    "Pursewarden": "NNP",
    "Pursuing": "VBG",
    "Pursuit": "NN",
    "Purves": "NNP",
    "Purvis": "NNP",
    "Push": "VBP|NN|VB",
    "Push-Pull": "NNP",
    "Push-ups": "NNS",
    "Pushing": "VBG",
    "Pushkin": "NNP",
    "Pushup": "NNP",
    "Put": "VB|VBD|VBN|JJ|NN",
    "Putas": "NNP",
    "Putka": "NNP",
    "Putnam": "NNP",
    "Puts": "VBZ",
    "Putt": "NNP",
    "Puttana": "NN",
    "Puttin": "NNP",
    "Putting": "VBG",
    "Puttnam": "NNP",
    "Putty": "NN",
    "Putzi": "NNP",
    "Puzzled": "VBN",
    "Pye": "NNP",
    "Pyhrric": "JJ",
    "Pyle": "NNP",
    "Pymm": "NNP",
    "Pyne": "NNP",
    "Pyo": "NNP",
    "Pyongyang": "NNP",
    "Pyramid": "NNP",
    "Pyramids": "NNPS",
    "Pyrex": "NNP",
    "Pyrometer": "NNP",
    "Pyrrhic": "JJ",
    "Pysllium": "NN",
    "Pyszkiewicz": "NNP",
    "Pythagoreans": "NNPS",
    "Python": "NNP",
    "Pyxis": "NNP",
    "Pyzhyanov": "NNP",
    "Q": "NNP|NN",
    "Q.": "NNP",
    "Q45": "NNP",
    "QB": "NNP",
    "QE": "NNP",
    "QFC": "NNP",
    "QUANTUM": "NNP",
    "QUARTER": "NN",
    "QUOTABLE": "JJ",
    "QVC": "NNP",
    "Qantas": "NNP",
    "Qatar": "NNP",
    "Qing": "NNP",
    "Qinghua": "NNP",
    "Qintex": "NNP",
    "Qintex-MGM/UA": "NNP",
    "Qizhen": "NNP",
    "Quack": "UH|NNP",
    "Quackenbush": "NNP",
    "Quacks": "NNS",
    "Quad": "NNP",
    "Quadra": "NNP",
    "Quadrant": "NNP",
    "Quadrex": "NNP",
    "Quadrille": "NNP",
    "Quadrum": "NNP",
    "Quaid": "NNP",
    "Quake": "NN",
    "Quaker": "NNP",
    "Quakeress": "NN",
    "Quakers": "NNS|NNPS",
    "Qualitative": "JJ",
    "Qualities": "NNPS",
    "Quality": "NNP|NN|JJ",
    "Qualls": "NNP",
    "Quant": "NN",
    "Quantum": "NNP",
    "Quarry": "NNP",
    "Quarter": "NN|NNP",
    "Quarterback": "NNP",
    "Quarterly": "JJ|NNP",
    "Quartermaster": "NNP",
    "Quartet": "NN|NNP",
    "Quasimodo": "NNP",
    "Quatre": "NNP",
    "Quatsch": "FW",
    "Quattlebaum": "NNP",
    "Quattro": "NNP",
    "Quattro.": "NNP",
    "Quayle": "NNP",
    "Quebec": "NNP",
    "Quebecers": "NNPS",
    "Quebeckers": "NNPS",
    "Quebecois": "NNP",
    "Quebecor": "NNP",
    "Quebequois": "NNP",
    "Queen": "NNP",
    "Queenan": "NNP",
    "Queens": "NNP|NNPS",
    "Queensland": "NNP",
    "Quek": "NNP",
    "Queks": "NNPS",
    "Quelch": "NNP",
    "Quell": "NNP",
    "Quelle": "NNP",
    "Quemoy": "NNP",
    "Quennell": "NNP",
    "Quentin": "NNP",
    "Querecho": "NNP",
    "Queried": "VBN",
    "QuesTech": "NNP",
    "Quesada": "NNP",
    "Quesadas": "NNPS",
    "Quest": "NNP",
    "Question": "NN|VB|NNP",
    "Questioned": "VBN",
    "Questions": "NNS|NNP|VBZ",
    "Quezon": "NNP",
    "Qui": "FW",
    "Quick": "NNP|RB|JJ",
    "Quick-Wate": "NNP",
    "Quickening": "VBG",
    "Quicker": "JJR",
    "Quickly": "RB",
    "Quickview": "NNP",
    "Quiet": "JJ|NNP",
    "Quieter": "JJR",
    "Quietism": "NNP",
    "Quietist": "NNP",
    "Quietly": "RB",
    "Quigley": "NNP",
    "Quiksilver": "NNP",
    "Quill": "NNP",
    "Quill/William": "NNP",
    "Quilt": "NNP",
    "Quilted": "NNP",
    "Quina": "NNP",
    "Quince": "NN",
    "Quincy": "NNP",
    "Quindlen": "NNP",
    "Quiney": "NNP",
    "Quinlan": "NNP",
    "Quinn": "NNP",
    "Quint": "NNP",
    "Quinta": "NNP",
    "Quintana": "NNP",
    "Quintet": "NNP",
    "Quinton": "NNP",
    "Quintus": "NNP",
    "Quinzaine": "NNP",
    "Quips": "VBZ",
    "Quirinal": "NNP",
    "Quist": "NNP",
    "Quit": "VB",
    "Quite": "PDT|RB|JJ",
    "Quitslund": "NNP",
    "Quivar": "NNP",
    "Quixote": "NNP",
    "Quizzical": "NNP",
    "Quod": "FW",
    "Quota": "NNP",
    "Quotable": "NNP",
    "Quotas": "NNS",
    "Quotation": "NNP",
    "Quotations": "NNPS|NNS",
    "Quote": "NN",
    "Quotidien": "NNP",
    "Quoting": "VBG",
    "Quotron": "NNP",
    "Quotrons": "NNPS",
    "Qureshey": "NNP",
    "Quyne": "NNP",
    "Quyney": "NN",
    "R": "NN|NNP",
    "R&D": "NN",
    "R&M": "NNP",
    "R-5th": "JJ",
    "R-6th": "NNP",
    "R-Bergen": "NNP",
    "R-Cape": "NNP",
    "R-Warren": "NNP",
    "R-shaped": "JJ",
    "R-stage": "JJ",
    "R.": "NNP",
    "R.,Iowa": "NNP",
    "R.,Vitro": "NNP",
    "R.A.F.": "NNP",
    "R.B.": "NNP",
    "R.C.": "NNP",
    "R.D.": "NNP",
    "R.E.": "NNP",
    "R.F.": "NNP",
    "R.G.": "NNP",
    "R.H.": "NNP",
    "R.I": "NNP",
    "R.I.": "NNP",
    "R.I.-based": "JJ",
    "R.J.": "NNP",
    "R.L.": "NNP",
    "R.N.": "NNP",
    "R.P.": "NNP",
    "R.R.": "NNP",
    "R.S.": "NNP",
    "R.T.": "NNP",
    "R.V.": "NNP",
    "R.W.": "NNP",
    "R/NNP.A.": "NN",
    "R/NNP.C/NNP.A.": "NN",
    "R/NNP.H.S.": "NNP",
    "R/NNP.I.": "NN",
    "R2-D2": "NN",
    "RA": "NNP",
    "RAAF": "NNP",
    "RACIST": "JJ",
    "RACKS": "NNS",
    "RADIO": "NN|NNP",
    "RAF": "NNP",
    "RAISED": "VBD",
    "RALLIED": "VBD",
    "RAND": "NNP",
    "RANDELL": "NNP",
    "RANSOM": "NNP",
    "RATE": "NN|NNP",
    "RATES": "NNS|NNPS",
    "RATIOS": "NNS",
    "RATTLED": "VBD",
    "RAVAGES": "NNS",
    "RAX": "NNP",
    "RAYCHEM": "NNP",
    "RB&H": "NNP",
    "RBC": "NNP",
    "RBS": "NNP",
    "RBSPr": "NNP",
    "RC6280": "NN",
    "RCA": "NNP",
    "RCA-Victor": "NNP",
    "RCA/Ariola": "NNP",
    "RCSB": "NNP",
    "RD": "NNP",
    "RDF": "NNP",
    "RDW": "NN",
    "RDWS": "NN",
    "RE-ENTRY": "NNP",
    "REACHED": "NNP",
    "REACTOR": "NN",
    "READY": "NNP|JJ",
    "REAGAN": "NNP",
    "REAL": "NNP|JJ",
    "REAL-ESTATE": "JJ|NN",
    "REALLY": "NNP",
    "REALTY": "NNP",
    "REAP": "VBP",
    "REBUFF": "NN",
    "RECEIVED": "VBD|VBN",
    "RECENT": "JJ",
    "RECORD": "NNP",
    "RECORDS": "NNS",
    "RECRUITING": "NN",
    "RECRUITS": "VBZ",
    "REFLECTIONS": "NNP",
    "REFUSED": "VBD",
    "REGULATIONS": "NNS",
    "REIGNS": "VBZ",
    "REINSURERS": "NNS",
    "REIS": "NNP",
    "REIT": "NNP",
    "REITs": "NNS",
    "REJECTED": "VBN",
    "REJECTS": "VBZ",
    "RELEASE": "NN",
    "REMEMBER": "VB",
    "REMIC": "NNP",
    "REMICs": "NNS",
    "REN": "NNP",
    "RENAISSANCE": "NNP",
    "RENT-A-CAR": "NNP",
    "REPAIR": "NN",
    "REPLICATION": "NN",
    "REPLIGEN": "NNP",
    "REPORTED": "VBN",
    "REPORTS": "NNS",
    "REQUESTS": "NNS",
    "REQUIRED": "NNP",
    "RESEARCH": "NNP",
    "RESEARCHERS": "NNS",
    "RESIDENTIAL": "NNP",
    "RESIGNATIONS": "NNS",
    "RESIGNED": "VBD",
    "RESOURCES": "NNP",
    "RETIREMENT": "NNP",
    "RETREAT": "NN",
    "REVENUE": "NN",
    "REVIEW": "NNP",
    "REVISED": "VBN",
    "RF-082": "NN",
    "RFM": "NNP",
    "RIAA": "NNP",
    "RICHARD": "NNP",
    "RICHMOND": "NNP",
    "RICO": "NNP",
    "RICO-forfeiture": "JJ",
    "RICOed": "JJ|VBD",
    "RICOing": "NN",
    "RID": "VB",
    "RIGHTS": "NNS",
    "RISC": "NNP",
    "RISC-based": "JJ",
    "RISE": "NN",
    "RISK": "NN",
    "RIT": "NNP",
    "RIVALRIES": "NNS",
    "RIVER": "NNP",
    "RJR": "NNP",
    "RJR-Macdonald": "NNP",
    "RJR-style": "JJ",
    "RLLY": "NNP",
    "RMC": "NNP",
    "RMI": "NNP",
    "RMS": "NNP",
    "RMd": "NN",
    "RNA": "NNP",
    "RNA-based": "JJ",
    "RNAs": "NNS",
    "ROARED": "VBD",
    "ROBERT": "NNP",
    "RODE": "VBD",
    "ROGERS": "NNP",
    "ROK": "NNP",
    "ROME": "NNP",
    "ROOM": "NN",
    "ROSS": "NNP",
    "ROTC": "NNP",
    "ROUGH": "JJ",
    "ROUND": "NN",
    "ROY": "NNP",
    "RPM": "NNP",
    "RTC": "NNP",
    "RTC-appointed": "JJ",
    "RTC-owned": "JJ",
    "RTRSY": "NNP",
    "RTS": "NNP",
    "RTZ": "NNP",
    "RU": "NNP",
    "RU-486": "NNP",
    "RULE": "VBP",
    "RULERS": "NNS",
    "RULES": "NNS",
    "RULING": "NN",
    "RUN": "NNP",
    "RUSH": "NN|VB",
    "RUSSIANS": "NNS",
    "RV": "NN",
    "RVs": "NNS",
    "RXDC": "NNP",
    "Rabat": "NNP",
    "Rabaul": "NNP",
    "Rabb": "NNP",
    "Rabbi": "NNP",
    "Rabbits": "NNS",
    "Rabble-rousing": "JJ",
    "Rabia": "NNP",
    "Rabies": "NN",
    "Rabin": "NNP",
    "Rabinowiczes": "NNPS",
    "Rabinowitz": "NNP",
    "Rabkin": "NNP",
    "Raboy": "NNP",
    "Racal": "NNP",
    "Raccoon": "NNP",
    "Raccoons": "NNS",
    "Race": "NNP",
    "Race-drivers": "NNS",
    "Raceway": "NNP",
    "Rachael": "NNP",
    "Rachel": "NNP|JJ",
    "Rachelle": "NNP",
    "Rachmaninoff": "NNP",
    "Rachwalski": "NNP",
    "Racial": "JJ",
    "Racie": "NNP",
    "Racin": "NNP",
    "Racine": "NNP",
    "Racing": "VBG|NNP",
    "Racism": "NN|NNP",
    "Racketeer": "NNP",
    "Racketeering": "NNP",
    "Rackmil": "NNP",
    "Racks": "VBZ|NNS",
    "Racquet": "NNP",
    "Radames": "NNP",
    "Radar": "NNP",
    "Radarange": "NN",
    "Radcliffe": "NNP",
    "Rademacher": "NNP",
    "Radetzky": "NNP",
    "Radha": "NNP",
    "Radhakrishnan": "NNP",
    "Radiant": "JJ",
    "Radiation": "NNP|NN",
    "Radic": "NNP",
    "Radical": "NNP",
    "Radio": "NNP",
    "Radio-Television": "NNP",
    "Radio-television": "NN|NNP",
    "Radio-transmitter": "NN",
    "Radioing": "VBG",
    "Radiopasteurization": "NN",
    "Radiosterilization": "NN",
    "Radius": "NNP",
    "Radnor": "NNP",
    "Radzymin": "NNP",
    "Rae": "NNP",
    "Raeder": "NNP",
    "Raesz": "NNP",
    "Raether": "NNP",
    "Rafael": "NNP",
    "Rafale": "NNP",
    "Rafales": "NNPS",
    "Rafeedie": "NNP",
    "Rafer": "NNP",
    "Raffaello": "NNP",
    "Rafferty": "NNP",
    "Rafi": "NNP",
    "Rafsanjani": "NNP",
    "Raft": "NN|NNP",
    "Rafter": "NNP",
    "Raful": "NNP",
    "Rag": "NNP",
    "Ragalyi": "NNP",
    "Ragan": "NNP",
    "Ragavan": "NNP",
    "Rage": "NN",
    "Ragged": "JJ",
    "Raghavan": "NNP",
    "Raghib": "NNP",
    "Ragnar": "NNP",
    "Ragsdale": "NNP",
    "Ragu": "NNP",
    "Raheem": "NNP",
    "Rahill": "NNP",
    "Rahman": "NNP",
    "Rahn": "NNP",
    "Rahway": "NNP",
    "Raich": "NNP",
    "Raider": "NNP",
    "Raiders": "NNPS|NNS",
    "Raiff": "NNP",
    "Raikes": "NNP",
    "Raikin": "NNP",
    "Rail": "NNP",
    "Rail-transit": "NN",
    "Railbikers": "NNS",
    "Railbikes": "NNS",
    "Railcar": "NNP",
    "Railroad": "NN|NNP",
    "Railroad-rate": "JJ",
    "Railroads": "NNPS|NNS",
    "Rails": "NNPS",
    "Railway": "NNP",
    "Raimer": "NNP",
    "Raimondo": "NNP",
    "Raimu": "NNP",
    "Rain": "NN|NNP",
    "Rainbow": "NNP",
    "Raine": "NNP",
    "Rainer": "NNP",
    "Raines": "NNP",
    "Rainey": "NNP",
    "Rainier": "NNP",
    "Rainman": "NNP",
    "Rainwater": "NNP",
    "Rainy": "NNP",
    "Raisa": "NNP",
    "Raise": "VB|NNP",
    "Raised": "VBN",
    "Raising": "NNP|VBG",
    "Raitt": "NNP",
    "Raj": "NNP",
    "Rajiv": "NNP",
    "Rajter": "NNP",
    "Rak": "NNP",
    "Rake": "NN|NNP",
    "Rakestraw": "NNP",
    "Raleigh": "NNP",
    "Rales": "NNP",
    "Rall": "NNP",
    "Rally": "NNP|VB",
    "Ralph": "NNP",
    "Ralphs": "NNP",
    "Ralston": "NNP",
    "Ralston-Purina": "NNP",
    "Ram": "NNP",
    "Rama": "NNP",
    "Ramada": "NNP",
    "Ramathan": "NNP",
    "Ramble": "NNP",
    "Rambo": "NNP",
    "Ramcharger": "NNP",
    "Rameau": "NNP",
    "Ramesh": "NNP",
    "Ramey": "NNP",
    "Ramfis": "NNP",
    "Ramillies": "NNP",
    "Ramirez": "NNP",
    "Rammin": "VBG",
    "Ramo": "NNP",
    "Ramon": "NNP",
    "Ramona": "NNP",
    "Ramone": "NNP",
    "Ramos": "NNP",
    "Ramparts": "NNS",
    "Rampell": "NNP",
    "Ramseier": "NNP",
    "Ramsey": "NNP",
    "Ramsperger": "NNP",
    "Ramtron": "NNP",
    "Ran": "VBD",
    "Ranavan": "NNP",
    "Ranch": "NNP",
    "Rancher": "NNP",
    "Rancho": "NNP",
    "Rand": "NNP",
    "Randall": "NNP",
    "Rande": "NNP",
    "Randell": "NNP",
    "Randi": "NNP",
    "Randol": "NNP",
    "Randolph": "NNP",
    "Random": "NNP|JJ",
    "Randy": "NNP",
    "Range": "NNP|NN",
    "Rangel": "NNP",
    "Ranger": "NNP",
    "Rangers": "NNPS",
    "Ranging": "VBG",
    "Rangoni": "NNP",
    "Rangoon": "NNP",
    "Rangoon-Bangkok": "NNP",
    "Ranieri": "NNP",
    "Rank": "NNP",
    "Ranke": "NNP",
    "Ranked": "VBN",
    "Rankin": "NNP",
    "Ranking": "NN|VBG",
    "Rankings": "NNS",
    "Ranks": "NNP",
    "Ranney": "NNP",
    "Ransom": "NNP|NNPS",
    "Ransomes": "NNP",
    "Ransy": "NNP",
    "Ranyard": "NNP",
    "Ranzer": "NNP",
    "Raos": "NNP",
    "Raoul": "NNPS",
    "Raoul-Duval": "NNP",
    "Rap": "NN",
    "Rapanelli": "NNP",
    "Rapatee": "NNP",
    "Rape": "NNP",
    "Raphael": "NNP",
    "Raphaels": "NNS",
    "Rapid": "NNP|JJ",
    "Rapids": "NNP|NNPS",
    "Rapier": "NN",
    "Rapoport": "NNP",
    "Rapp": "NNP",
    "Rapping": "VBG",
    "Rapport": "NNP",
    "Raptopoulos": "NNP",
    "Rapture": "NN",
    "Rapunzel": "NNP",
    "Rare": "JJ",
    "Rarely": "RB",
    "Rarer": "JJR",
    "Rascal": "NN",
    "Rash": "NNP",
    "Rashid": "NNP",
    "Rashomon": "NNP",
    "Raskolnikov": "NNP",
    "Raspberry": "NN",
    "Rastus": "NNP",
    "Rat": "NNP",
    "Rat-face": "NN",
    "Ratajczak": "NNP",
    "Ratcliff": "NNP",
    "Ratcliffe": "NNP",
    "Rate": "NNP",
    "Rated": "VBN|JJ|NNP",
    "Rates": "NNS|NNP",
    "Rath": "NNP",
    "Rathbone": "NNP",
    "Rathbones": "NNPS",
    "Rather": "RB|NNP",
    "Ratican": "NNP",
    "Ratified": "VBN",
    "Rating": "NNP",
    "Ratings": "NNS|NNPS",
    "Rational": "NNP|JJ",
    "Ratliff": "NNP",
    "Ratner": "NNP",
    "Ratners": "NNP",
    "Raton": "NNP",
    "Rats": "NNP",
    "Rattigan": "NNP",
    "Rattner": "NNP",
    "Ratto": "NNP",
    "Rattzhenfuut": "NNP",
    "Rauch": "NNP",
    "Raucher": "NNP",
    "Rauh": "NNP",
    "Raul": "NNP",
    "Rausch": "NNP",
    "Rauschenberg": "NNP",
    "Rauschenbusch": "NNP",
    "Rauscher": "NNP",
    "Ravel-like": "JJ",
    "Ravencroft": "NNP",
    "Ravenscroft": "NNP",
    "Ravenspurn": "NNP",
    "Ravenswood": "NNP",
    "Ravich": "NNP",
    "Ravine": "NNP",
    "Ravitch": "NNP",
    "Ravitz": "NNP",
    "Raw": "JJ",
    "Raw-steel": "NN|JJ",
    "Rawl": "NNP",
    "Rawleigh": "NNP",
    "Rawlings": "NNP",
    "Rawlins": "NNP",
    "Rawls": "NNP",
    "Rawson": "NNP",
    "Rax": "NNP",
    "Ray": "NNP|NNPS",
    "Rayburn": "NNP",
    "Rayburn-Johnson": "NNP",
    "Raydiola": "NNP",
    "Rayfield": "NNP",
    "Rayle": "NNP",
    "Raymon": "NNP",
    "Raymond": "NNP",
    "Raymonda": "NNP",
    "Raymondville": "NNP",
    "Raymont": "NNP",
    "Raynal": "NNP",
    "Rayon": "NNP",
    "Raytheon": "NNP",
    "Razors": "NNS",
    "Rd.": "NNP",
    "Re": "NNP",
    "Re-Birth": "NNP",
    "Re-creating": "VBG",
    "Re-enactments": "NNS",
    "Reach": "NNP",
    "Reached": "VBN",
    "Reaching": "VBG",
    "Reacting": "VBG",
    "Reaction": "NN",
    "Reactionaries": "NNS",
    "Reactionary": "JJ|NNP",
    "Reactions": "NNS",
    "Reactors": "NNP",
    "Read": "NNP|VBP",
    "Reader": "NNP",
    "Readerman": "NNP",
    "Readers": "NNS",
    "Readily": "RB",
    "Readiness": "NN",
    "Reading": "VBG|NNP",
    "Readings": "NNS",
    "Ready": "JJ|NNP",
    "Reaffirming": "VBG",
    "Reagan": "NNP|JJ",
    "Reagan-Bush": "JJ|NNP",
    "Reagan-Republican": "JJ",
    "Reagan-era": "NN|NNP|JJ",
    "Reagan-like": "JJ",
    "Reaganauts": "NNS",
    "Reaganite": "JJ",
    "Reaganites": "NNPS",
    "Reaganomics": "NNP",
    "Real": "JJ|NNP|RB",
    "Real-estate": "NN",
    "Realism": "NNP",
    "Realist": "NNP",
    "Reality": "NN|NNP",
    "Really": "RB|UH|NNP",
    "Realtor": "NN",
    "Realtors": "NNS|NNPS",
    "Realty": "NNP",
    "Reama": "NNP",
    "Reames": "NNP",
    "Rear": "JJ",
    "Rearding": "VBG",
    "Reared": "VBN",
    "Reason": "NNP",
    "Reasonable": "JJ",
    "Reasoner": "NNP",
    "Reasoning": "NN|NNP",
    "Reasons": "NNS",
    "Reavey": "NNP",
    "Reavis": "NNP",
    "Reb": "NN",
    "Rebaja": "NNP",
    "Rebates": "NNS",
    "Rebecca": "NNP",
    "Rebel": "NN|NNP",
    "Rebellion": "NN",
    "Rebels": "NNS",
    "Reber": "NNP",
    "Rebounding": "VBG",
    "Rebs": "NNS|NNPS",
    "Rebuilding": "VBG",
    "Recall": "VB|VBP",
    "Recalls": "VBZ",
    "Recapitulation": "NNP",
    "Receave": "VBP",
    "Receipts": "NNPS",
    "Receivables": "NNPS",
    "Receiving": "VBG",
    "Recent": "JJ",
    "Recently": "RB",
    "Receptech": "NNP",
    "Reception": "NN|NNP",
    "Recess": "NN|VB",
    "Recession": "NN",
    "Recessions": "NNS",
    "Recherche": "NNP",
    "Recherches": "FW",
    "Reciprocal": "NNP",
    "Recital": "NNP",
    "Reckitt": "NNP",
    "Recklessly": "RB",
    "Reckon": "VB|VBP",
    "Reclamation": "NNP",
    "Recognition": "NNP",
    "Recognize": "VB",
    "Recognizing": "VBG",
    "Recommendations": "NNS",
    "Reconciliation": "NNP",
    "Reconsider": "VB",
    "Reconsideration": "NN",
    "Reconstruction": "NNP",
    "Record": "NNP|VB",
    "Recording": "NNP",
    "Recordings": "NNP",
    "Records": "NNPS|NNS",
    "Records/SONY": "NNP",
    "Recounting": "VBG",
    "Recoup": "VB",
    "Recovering": "VBG",
    "Recovery": "NNP",
    "Recreation": "NN|NNP",
    "Recruit": "NNP",
    "Recruited": "VBN",
    "Recruiter": "NNP",
    "Rectangular": "JJ",
    "Rectifier": "NNP",
    "Rector": "NNP",
    "Rectum": "NN",
    "Recurring": "VBG",
    "Recyclers": "NNPS",
    "Recycling": "NNP",
    "Red": "NNP|JJ|NP",
    "Red-Green": "NNP",
    "Red-Greens": "NNPS",
    "Red-blooded": "JJ",
    "Red-prone": "JJ",
    "Reda": "NNP",
    "Redbirds": "NNP",
    "Redbook": "NNP",
    "Redding": "NNP",
    "Reddington": "NNP",
    "Rede": "NNP",
    "Redeemable": "NNP",
    "Redeemer": "NNP",
    "Rederi": "NNP",
    "Redesign": "NN",
    "Redevelopment": "NNP",
    "Redfield": "NNP",
    "Redford": "NNP",
    "Redgrave": "NNP",
    "Redhook": "NNP",
    "Reding": "NN",
    "Redland": "NNP",
    "Redmond": "NNP",
    "Redondo": "NNP",
    "Redoute": "NNP",
    "Reds": "NNP|NNPS|NNS",
    "Redskins": "NNPS",
    "Redstone": "NNP",
    "Reduce": "VB",
    "Reduced": "NNP|JJ|VBN",
    "Reduces": "VBZ",
    "Reducing": "VBG",
    "Reduction": "NN|NNP",
    "Reductions": "NNS",
    "Redundant": "NNP",
    "Redwood": "NNP",
    "Reebok": "NNP",
    "Reeboks": "NNPS",
    "Reed": "NNP",
    "Reeder": "NNP",
    "Reedville": "NNP",
    "Reedy": "NNP",
    "Reef": "NNP",
    "Reefs": "NNS",
    "Reels": "NNPS",
    "Reenact": "VB",
    "Rees": "NNPS",
    "Reese": "NNP",
    "Reeve": "NNP",
    "Reeves": "NNP|NNS",
    "Reeves-type": "JJ",
    "Ref.": "NN",
    "Refco": "NNP",
    "Refcorp": "NNP",
    "Refcorps": "NNS",
    "Reference": "NNP",
    "References": "NNS",
    "Referrals": "NNS",
    "Referring": "VBG",
    "Refill": "VB",
    "Refinancing": "NN",
    "Refined": "NNP",
    "Refinements": "NNS",
    "Refiners": "NNS",
    "Refinery": "NNP|NN",
    "Refining": "NN|NNP",
    "Reflecting": "VBG",
    "Reflections": "NNP",
    "Reflects": "VBZ",
    "Reflex": "NN",
    "Reform": "NNP",
    "Reformation": "NNP",
    "Reformed": "NNP|JJ",
    "Reforms": "NNS",
    "Refractories": "NNPS",
    "Refrigeration": "NN|NNP",
    "Refsnes": "NNP",
    "Refsum": "NNP",
    "Refuge": "NNP",
    "Refugee": "NNP",
    "Refugees": "NNS|NNP",
    "Refund": "NN",
    "Refunds": "NNS",
    "Refuses": "VBZ",
    "Reg": "NNP",
    "Regaard": "NNP",
    "Regains": "VBZ",
    "Regal": "NNP",
    "Regalia": "NNP",
    "Regan": "NNP",
    "Regarded": "VBN",
    "Regarding": "VBG",
    "Regardless": "RB",
    "Regatta": "NNP",
    "Regency": "NNP",
    "Regent": "NNP",
    "Reggie": "NNP",
    "Regie": "NNP",
    "Regime": "NNP",
    "Regiment": "NNP",
    "Regina": "NNP",
    "Reginald": "NNP",
    "Regine": "NNP",
    "Region": "NNP",
    "Regional": "NNP|JJ",
    "Regionalism": "NNP",
    "Regionally": "RB",
    "Regions": "NNS|NNPS",
    "Regis": "NNP",
    "Register": "NNP",
    "Registered": "NNP|VBN",
    "Registration": "NN",
    "Registrations": "NNS",
    "Registry": "NNP",
    "Regius": "NNP",
    "Regnery": "NNP",
    "Rego": "NNP",
    "Regret": "NN",
    "Regretfully": "RB",
    "Regrets": "VBZ",
    "Regrettably": "RB",
    "Regular": "JJ|NNP",
    "Regulars": "NNS",
    "Regulation": "NNP|NN",
    "Regulations": "NNPS|NNS",
    "Regulative": "JJ",
    "Regulator": "NNP",
    "Regulators": "NNS",
    "Regulatory": "NNP|JJ",
    "Regulus": "NN",
    "Rehabilitation": "NNP",
    "Rehfeld": "NNP",
    "Rehnquist": "NNP",
    "Reich": "NNP",
    "Reichenberg": "NNP",
    "Reichhart": "NNP",
    "Reichhold": "NNP",
    "Reichmann": "NNP",
    "Reichmann-controlled": "JJ",
    "Reichmanns": "NNP|NNPS",
    "Reichstag": "NNP",
    "Reid": "NNP",
    "Reider": "NNP",
    "Reidy": "NNP",
    "Reifenrath": "NNP",
    "Reik": "NNP",
    "Reilly": "NNP",
    "Reily": "NNP",
    "Reimbursement": "NN",
    "Rein": "NNP",
    "Reina": "NNP",
    "Reinaldo": "NNP",
    "Reine": "NNP",
    "Reinforced": "NNP",
    "Reinforcements": "NNS",
    "Reinforcing": "VBG",
    "Reinhard": "NNP",
    "Reinhardt": "NNP",
    "Reinhold": "NNP",
    "Reinisch": "NNP",
    "Reinker": "NNP",
    "Reins": "NNP",
    "Reinstatement": "NN",
    "Reinsurance": "NNP",
    "Reintroducing": "VBG",
    "Reinvestment": "NNP",
    "Reis": "NNP",
    "Reiser": "NNP",
    "Reisert": "NNP",
    "Reiss": "NNP",
    "Reitman": "NNP",
    "Rejection": "NN",
    "Rejoins": "VBZ",
    "Rekindled": "VBN",
    "Related": "NNP|JJ|VBN",
    "Relating": "VBG",
    "Relation": "NN",
    "Relational": "NNP",
    "Relations": "NNP|NNPS|NNS",
    "Relationship": "NNP",
    "Relationships": "NNPS|NNS",
    "Relative": "JJ",
    "Relatively": "RB",
    "Relatives": "NNS",
    "Relativism": "NN",
    "Relax": "VB",
    "Release": "NNP|VB",
    "Relentless": "JJ",
    "Relentlessly": "RB",
    "Relevant": "JJ",
    "Reliability": "NN",
    "Reliable": "NNP",
    "Reliance": "NNP",
    "Relief": "NNP",
    "Relieved": "JJ",
    "Religion": "NNP|NN",
    "Religione": "NNP",
    "Religious": "JJ|NNP",
    "Relishes": "NNS",
    "Relocation": "NNP",
    "Reluctant": "JJ",
    "Relying": "VBG",
    "Remain": "VB",
    "Remaining": "VBG|JJ",
    "Remains": "NNS",
    "Remaking": "VBG",
    "Remarketers": "NNS",
    "Remarks": "NNS|NNP|VBZ",
    "Remarque": "NNP",
    "Rembrandt": "NNP",
    "Remember": "VB",
    "Remembering": "VBG",
    "Remembrance": "NN|NNP",
    "Remic": "NNP|JJ",
    "Remic-related": "JJ",
    "Remics": "NNS|NNPS",
    "Remington": "NNP",
    "Remingtons": "NNPS",
    "Removal": "NNP",
    "Remove": "VB",
    "Removed": "VBN",
    "Remphan": "NNP",
    "Rempsberger": "NNP",
    "Remus": "NNP",
    "Remy": "NNP",
    "Renaissance": "NNP",
    "Renaissance-style": "JJ",
    "Renata": "NNP",
    "Renault": "NNP",
    "Renaults": "NNPS",
    "Rence": "NNP",
    "Renchard": "NNP",
    "Renck": "NNP",
    "Rendell": "NNP",
    "Rendering": "VBG",
    "Rene": "NNP",
    "Renee": "NNP",
    "Renewal": "NNP",
    "Renewed": "VBN",
    "Renfrew": "NNP",
    "Renfro": "NNP",
    "Renk": "NNP",
    "Rennell": "NNP",
    "Rennie": "NNP",
    "Reno": "NNP",
    "Reno-Lake": "NNP|NP",
    "Renoir": "NNP|JJ",
    "Renoirs": "NNPS",
    "Renovo": "NNP",
    "Renowned": "VBN",
    "Renshaw": "NNP",
    "Rensselaer": "NNP",
    "Rensselaerwyck": "NNP",
    "Rent": "NNP",
    "Rent-A-Car": "NNP",
    "Rent-A-Lease": "NNP",
    "Renta": "NNP",
    "Rental": "JJ|NNP",
    "Renton": "NNP",
    "Rents": "NNS|NNP",
    "Renville": "NNP",
    "Renwick": "NNP",
    "Renzas": "NNP",
    "Reorganization": "NNP",
    "Reorganized": "NNP",
    "Reorganizing": "VBG",
    "Rep": "NNP",
    "Rep.": "NNP",
    "Repairing": "VBG",
    "Repayment": "NNP",
    "Repeal": "NN|VB",
    "Repeat": "NN|VB",
    "Repeated": "VBN|JJ",
    "Repeatedly": "RB",
    "Repeating": "VBG",
    "Repertory": "NNP",
    "Replace": "VB",
    "Replacement": "NN",
    "Replacing": "VBG",
    "Replied": "VBD",
    "Replies": "NNS",
    "Repligen": "NNP",
    "Replogle": "NNP",
    "Reply": "NN|NNP",
    "Repnin": "NNP",
    "Report": "NNP|VB|VBP",
    "Reporter": "NNP",
    "Reporters": "NNS|NNPS",
    "Reporting": "NNP",
    "Reports": "NNS|VBZ|NNPS",
    "Repository": "NNP",
    "Representative": "NNP",
    "Representatives": "NNPS|NNS",
    "Representing": "VBG",
    "Repression": "NN",
    "Reprimand": "NN",
    "Reprinted": "VBN",
    "Reprints": "NNS",
    "Reprisals": "NNS",
    "Reproach": "VB",
    "Reproduced": "VBN",
    "Reproduction": "NNP",
    "Reproductive": "NNP",
    "Reps.": "NNPS|NNP",
    "Repsol": "NNP",
    "Reptilian": "NNP",
    "Republic": "NNP",
    "RepublicBank": "NNP",
    "Republican": "NNP|JJ",
    "Republican-controlled": "JJ",
    "Republican-governor": "JJ",
    "Republicanism": "NNP",
    "Republicans": "NNPS|NNS",
    "Republics": "NNPS",
    "Reputedly": "RB",
    "Requests": "NNS",
    "Requiem": "NNP",
    "Require": "VB",
    "Required": "VBN",
    "Requirements": "NNS",
    "Rescue": "NN|NNP",
    "Rescued": "VBN",
    "Rescues": "NNS",
    "Research": "NNP",
    "Research-and-development": "NN",
    "Researchers": "NNS|NNP",
    "Researching": "VBG",
    "Resentment": "NN",
    "Reservation": "NNP",
    "Reserve": "NNP",
    "Reserved": "VBN|NNP",
    "Reserves": "NNS|NNPS",
    "Reservists": "NNPS",
    "Reservoir": "NNP",
    "Reservoirs": "NNP",
    "Reshaping": "VBG",
    "Residence": "NNP",
    "Resident": "NNP",
    "Residential": "NNP|JJ",
    "Residents": "NNS",
    "Resignedly": "RB",
    "Resins": "NNPS",
    "Resist": "VB",
    "Resistance": "NNP",
    "Resisting": "VBG",
    "Resistol": "NNP",
    "Resler": "NNP",
    "Resnick": "NNP",
    "Resnik": "NNP",
    "Resolute": "NNP",
    "Resolution": "NNP",
    "Resolve": "NNP",
    "Resolved": "VBN",
    "Resolves": "NNPS",
    "Resolving": "NNP|VBG",
    "Resort": "NNP",
    "Resorts": "NNP|NNPS",
    "Resource": "NNP",
    "Resourceful": "JJ",
    "Resources": "NNPS|NNS",
    "Resourcesrose": "NNP",
    "Respect": "NN",
    "Respectability": "NN",
    "Respecting": "VBG",
    "Respiratory": "NNP|JJ",
    "Respond": "VBP",
    "Respondents": "NNS",
    "Responding": "VBG",
    "Response": "NNP",
    "Responses": "NNS",
    "Responsibility": "NNP",
    "Responsible": "JJ",
    "Resrve": "NNP",
    "Ress": "NNP",
    "Rest": "VB|NNP",
    "Restaurant": "NNP",
    "Restaurants": "NNP|NNPS|NNS",
    "Resting": "VBG",
    "Restless": "JJ",
    "Reston": "NNP",
    "Restoration": "NNP",
    "Restraint": "NNP",
    "Restrict": "VB",
    "Restrictive": "JJ",
    "Restructure": "VBP",
    "Restructuring": "NN",
    "Rests": "VBZ",
    "Restudy": "VB",
    "Result": "NN",
    "Results": "NNS|NNP",
    "Resuming": "VBG",
    "Ret": "NNP",
    "Retail": "JJ|NNP",
    "Retailer": "NN",
    "Retailers": "NNS|NNP",
    "Retailing": "NN",
    "Retails": "NNS",
    "Retardation": "NNP",
    "Retention": "NNP",
    "Retin-A": "NNP",
    "Retired": "NNP|JJ|VBN",
    "Retiree": "NN",
    "Retirement": "NNP",
    "Retiring": "VBG",
    "Retrace": "VB",
    "Retracing": "VBG",
    "Retrieval": "NNP",
    "Retrovir": "NNP",
    "Retrovirus": "NNP",
    "Retton": "NNP",
    "Return": "NN|NNP|VB",
    "Returning": "VBG|NNP",
    "Returns": "NNS",
    "Reub": "NNP",
    "Reuben": "NNP",
    "Reuling": "NNP",
    "Reunification": "NNP|NN",
    "Reunion": "NNP",
    "Reupke": "NNP",
    "Reuschel": "NNP",
    "Reuss": "NNP",
    "Reuter": "NNP",
    "Reuters": "NNP|NNS",
    "Reuther": "NNP",
    "Reuven": "NNP",
    "Reuveni": "NNP",
    "Rev": "NNP",
    "Rev.": "NNP",
    "Reva": "NNP",
    "Revamps": "NNP",
    "Revco": "NNP",
    "Reveals": "VBZ",
    "Revelation": "NNP",
    "Revell": "NNP",
    "Revenge": "NN",
    "Revenue": "NN|NNP",
    "Revenue-short": "JJ",
    "Revenues": "NNS|NNP",
    "Reverdy": "NNP",
    "Revere": "NNP",
    "Reverend": "NNP",
    "Reverently": "RB",
    "Reversal": "NNP",
    "Reverse": "VBP|VB",
    "Reversing": "VBG",
    "Review": "NNP",
    "Reviewing": "VBG",
    "Reviglio": "NNP",
    "Revise": "VB",
    "Revised": "VBN|NNP",
    "Revising": "VBG",
    "Revision": "NNP",
    "Revisited": "NNP",
    "Revitalization": "NNP",
    "Revitalized": "VBN",
    "Revivals": "NNS",
    "Revlon": "NNP",
    "Revolt": "NN",
    "Revolution": "NNP",
    "Revolutionaries": "NNS",
    "Revolutionary": "NNP",
    "Revolutionibus": "FW",
    "Revolving": "VBG",
    "Revson": "NNP",
    "Revulsion": "NNP",
    "Revzin": "NNP",
    "Reward": "VB",
    "Rewarding": "NN",
    "Rewards": "NNS",
    "Rex": "NNP",
    "Rexall": "NNP",
    "Rexene": "NNP",
    "Rexinger": "NNP",
    "Rexroth": "NNP",
    "Rey": "NNP",
    "Rey-controlled": "JJ",
    "Reye": "NNP",
    "Reyes": "NNP",
    "Reyes-Requena": "NNP",
    "Reykjavik": "NNP",
    "Reynolds": "NNP",
    "Rezneck": "NNP",
    "Reznichenko": "NNP",
    "Rezsoe": "NNP",
    "Rh": "NNP",
    "Rhea": "NNP",
    "Rheims": "NNP",
    "Rheingold": "NNP",
    "Rheinholdt": "NNP",
    "Rheinstahl": "NNP",
    "Rheinstein": "NNP",
    "Rhenish": "JJ",
    "Rhett": "NNP",
    "Rheumatics": "NNS|NN",
    "Rheumatism": "NNP",
    "Rhin": "NNP",
    "Rhine": "NNP",
    "Rhine-Main": "NNP",
    "Rhine-Westphalia": "NNP",
    "Rhineland": "NN",
    "Rhinoceros": "NNP",
    "Rhoads": "NNP",
    "Rhoda": "NNP",
    "Rhode": "NNP",
    "Rhodes": "NNP",
    "Rhodesia": "NNP",
    "Rhona": "NNP",
    "Rhone": "NNP",
    "Rhone-Poulenc": "NNP",
    "Rhu-beb-ni-ice": "NN",
    "Rhyme": "VB",
    "Rhys": "NNP",
    "Rhythm": "NN|NNP",
    "Rhythm-Wily": "NNP",
    "Rhythmic": "JJ",
    "Rhythms": "NNPS",
    "Riad": "NNP",
    "Rianta": "NNP",
    "Ribas": "NNP",
    "Ribeiro": "NNP",
    "Riben": "NNP",
    "Ribes": "NNP",
    "Ribozymes": "NNS",
    "Rica": "NNP",
    "Rican": "JJ|NN|NNP",
    "Rican-American": "NNP",
    "Ricans": "NNS|NNP|NNPS",
    "Ricardo": "NNP",
    "Ricca": "NNP",
    "Riccardo": "NNP",
    "Ricci": "NNP",
    "Ricco": "NNP",
    "Rice": "NNP",
    "Rich": "NNP|JJ",
    "Rich-affiliated": "JJ",
    "Richard": "NNP|NNPS",
    "Richardot": "NNP",
    "Richards": "NNP",
    "Richardson": "NNP",
    "Richardson-Merrell": "NNP",
    "Richardson-Smith": "NNP",
    "Richardson-Vicks": "NNP",
    "Richco": "NNP",
    "Richebourg": "NNP",
    "Richelieu": "NNP",
    "Richer": "NNP|JJR",
    "Richert": "NNP",
    "Richeson": "NNP",
    "Richey": "NNP",
    "Richfield": "NNP",
    "Richland": "NNP",
    "Richman": "NNP",
    "Richmond": "NNP",
    "Richmond-Petersburg": "NNP",
    "Richmond-San": "NNP",
    "Richmond-Watson": "NNP",
    "Richmond-area": "JJ",
    "Richstone": "NNP",
    "Richter": "NNP|JJR",
    "Richter-Haaser": "NNP",
    "Richterian": "JJ",
    "Richwhite": "NNP",
    "Rick": "NNP",
    "Rickards": "NNP",
    "Rickel": "NNP",
    "Ricken": "NNP",
    "Rickenbaugh": "NNP",
    "Ricketts": "NNP",
    "Rickettsia": "NN",
    "Rickey": "NNP",
    "Rickshaw": "NNP",
    "Rico": "NNP",
    "Ricoh": "NNP",
    "Ricostruzioni": "NNP",
    "Ridder": "NNP",
    "Riddle": "NN",
    "Ride": "VB|NNP",
    "Rider": "NNP",
    "Riders": "NNPS",
    "Ridge": "NNP",
    "Ridgefield": "NNP",
    "Ridgway": "NNP",
    "Ridiculing": "VBG",
    "Ridiculous": "JJ",
    "Riding": "VBG|NNP",
    "Ridley": "NNP",
    "Ridpath": "NNP",
    "Riedel": "NNP",
    "Riefenstahl": "NNP",
    "Riefling": "NNP",
    "Riegger": "NNP",
    "Riegle": "NNP",
    "Rieke": "NNP",
    "Riely": "NNP",
    "Riemann": "NNP",
    "Riepe": "NNP",
    "Ries": "NNP",
    "Riese": "NNP",
    "Rieslings": "NNPS",
    "Riesman": "NNP",
    "Rifenburgh": "NNP",
    "Rifkin": "NNP",
    "Rifkind": "NNP",
    "Rifkinesque": "JJ",
    "Rifle": "NNP",
    "Riflery": "NN",
    "Rifles": "NNS",
    "Rig-Veda": "NNP",
    "Riga": "NNP",
    "Riger": "NNP",
    "Riggs": "NNP",
    "Right": "RB|NNP|JJ|UH",
    "Right-hander": "JJ",
    "Right-to-Die": "JJ",
    "Right-wing": "JJ",
    "Righteous": "JJ",
    "Rightly": "RB",
    "Rights": "NNP|NNS|NNPS",
    "Rigid": "JJ",
    "Rigoletto": "NNP",
    "Riiiing": "UH",
    "Riklis": "NNP",
    "Riley": "NNP",
    "Rilke": "NNP",
    "Rill": "NNP",
    "Rilling": "NNP",
    "Rilly": "NNP",
    "Rilwanu": "NNP",
    "Rim": "NNP",
    "Rim-Fire": "JJ",
    "Rima": "NNP",
    "Rimanelli": "NNP",
    "Rimbaud": "NN",
    "Rimes": "NNP",
    "Rimini": "NNP",
    "Rimmer": "NNP",
    "Rimstalker": "NNP",
    "Rinascimento": "NNP",
    "Rinat": "NNP",
    "Rincon": "NNP",
    "Rindos": "NNP",
    "Rinehart": "NNP",
    "Riney": "NNP",
    "Ring": "NNP",
    "Ringel": "NNP",
    "Ringenbach": "NNP",
    "Ringer": "NNP",
    "Ringers": "NNS|NNP",
    "Ringing": "NN|NNP|VBG",
    "Ringler": "NNP",
    "Ringo": "NNP",
    "Ringwood": "NNP",
    "Rink": "NNP",
    "Rinker": "NNP",
    "Rinsing": "VBG",
    "Rio": "NNP",
    "Riordan": "NNP",
    "Rios": "NNP",
    "Rios-embryos": "NNS",
    "Rip": "NNP",
    "Ripa": "NNP",
    "Ripe": "NNP",
    "Rippe": "NNP",
    "Ripper": "NNP",
    "Ripplemeyer": "NNP",
    "Ripples": "NNS",
    "Rise": "NN|NNP|VBP",
    "Riserva": "NNP",
    "Rises": "NNP|VBZ",
    "Rising": "VBG",
    "Risk": "NN|NNP",
    "Risking": "NNP",
    "Risks": "NNS",
    "Risky": "NNP",
    "Risley": "NNP",
    "Risparmio": "NNP",
    "Risques": "NNP",
    "Rita": "NNP",
    "Rita-Sue": "NNP",
    "Ritchie": "NNP",
    "Rite": "NNP",
    "Rito": "NNP",
    "Ritschl": "NNP",
    "Rittenhouse": "NNP",
    "Ritter": "NNP",
    "Ritterman": "NNP",
    "Rittlemann": "NNP",
    "Ritz": "NNP",
    "Ritz-Carlton": "NNP",
    "Riunite": "NNP",
    "Riunitie": "NNP",
    "Rival": "JJ|NNP",
    "Rivals": "NNS",
    "River": "NNP",
    "Rivera": "NNP",
    "Riverboat": "NNP",
    "Riverfront": "NNP",
    "Rivers": "NNPS|NNS",
    "Riverside": "NNP",
    "Riverview": "NNP",
    "Riverwalk": "NNP",
    "Riviera": "NNP",
    "Rivkin": "NNP",
    "Rivlin": "NNP",
    "Rivoli": "FW",
    "Riyadh": "NNP",
    "Rizopolous": "NNP",
    "Rizvi": "NNP",
    "Rizzello": "NNP",
    "Rizzuto": "NNP",
    "Roach": "NNP",
    "Roaco": "NNP",
    "Road": "NNP",
    "RoadRailer": "NNP",
    "RoadRailers": "NNPS",
    "RoadRailing": "VBG",
    "Roads": "NNS|NNP",
    "Roadway": "NNP",
    "Roald": "NNP",
    "Roaming": "VBG",
    "Roanoke": "NNP",
    "Roaring": "NNP",
    "Roark": "NNP",
    "Roast": "VB",
    "Roasters": "NNS",
    "Rob": "NNP",
    "Robards": "NNP",
    "Robb": "NNP",
    "Robbers": "NNS",
    "Robbery": "NNP",
    "Robbie": "NNP",
    "Robbins": "NNP",
    "Robby": "NNP",
    "Robec": "NNP",
    "Robert": "NNP",
    "Roberta": "NNP",
    "Roberti": "NNP",
    "Roberto": "NNP",
    "Roberts": "NNP",
    "RobertsCorp": "NNP",
    "Robertson": "NNP",
    "Robertsons": "NNPS",
    "Robeson": "NNP",
    "Robie": "NNP",
    "Robin": "NNP",
    "Robinowitz": "NNP",
    "Robins": "NNP",
    "Robinson": "NNP",
    "Robinson-Humphrey": "NNP",
    "Robinsonville": "NNP",
    "Robles": "NNP",
    "Robot": "NN",
    "Robotics": "NNP",
    "Robots": "NNP|NNS",
    "Robusta-producing": "JJ",
    "Rocco": "NNP",
    "Roch": "NNP",
    "Rocha": "NNP",
    "Rochdale": "NNP",
    "Roche": "NNP",
    "Rochelle": "NNP",
    "Rochester": "NNP",
    "Rochford": "NNP",
    "Rock": "NNP",
    "Rockabye": "NNP",
    "Rockaways": "NNPS",
    "Rockefeller": "NNP",
    "Rocket": "NNP",
    "Rocket-powered": "JJ",
    "Rocketdyne": "NNP",
    "Rockettes": "NNPS",
    "Rockford": "NNP",
    "Rockfork": "NNP",
    "Rockhall": "NNP",
    "Rockies": "NNPS",
    "Rocking": "NNP",
    "Rockport": "NNP",
    "Rockville": "NNP",
    "Rockwell": "NNP",
    "Rocky": "NNP",
    "Rococo": "JJ",
    "Rod": "NNP",
    "Rodale": "NNP",
    "Rodding": "NN",
    "Rodent": "NN",
    "Rodeo": "NN|NNP",
    "Rodeph": "NNP",
    "Roderick": "NNP",
    "Rodgers": "NNP",
    "Rodman": "NNP",
    "Rodney": "NNP",
    "Rodney-Honor": "NNP",
    "Rodney-Miss": "NNP",
    "Rodney-The": "NNP",
    "Rodolfo": "NNP",
    "Rodrigo": "NNP",
    "Rodriguez": "NNP",
    "Rodriquez": "NNP",
    "Roe": "NNP",
    "Roebuck": "NNP",
    "Roeck": "NNP",
    "Roederer": "NNP",
    "Roehm": "NNP",
    "Roemer": "NNP",
    "Roeser": "NNP",
    "Roessler": "NNP",
    "Roffman": "NNP",
    "Rogaine": "NNP",
    "Roger": "NNP",
    "Rogers": "NNP",
    "Rogin": "NNP",
    "Rognoni": "NNP",
    "Rogues": "NNPS",
    "Roh": "NNP",
    "Rohatyn": "NNP",
    "Rohm": "NNP",
    "Rohr": "NNP",
    "Rohrer": "NNP",
    "Rohs": "NNP",
    "Roine": "NNP",
    "Roizen": "NNP",
    "Rojas": "NNP",
    "Rojo": "NNP",
    "Rolaids": "NNP",
    "Roland": "NNP",
    "Role": "NN",
    "Roleplaying": "NN|VBG",
    "Roles": "NNS",
    "Rolette": "NNP",
    "Rolex": "NNP",
    "Rolexes": "NNPS",
    "Rolf": "NNP",
    "Rolfe": "NNP",
    "Rolfes": "NNP",
    "Roling": "NNP",
    "Roll": "NNP|VB",
    "Rolland": "NNP",
    "Rolled": "VBN",
    "Roller": "NNP",
    "Rollie": "NNP",
    "Rollin": "NNP",
    "Rolling": "NNP",
    "Rollins": "NNP",
    "Rolls": "NNP",
    "Rolls-Royce": "NNP",
    "Rolls-Royces": "NNPS",
    "Rolm": "NNP",
    "Rolnick": "NNP",
    "Rolodex": "NNP",
    "Rolodexes": "NNPS",
    "Roloff": "NNP",
    "Roma": "NNP",
    "Romagnosi": "NNP",
    "Romain": "NNP",
    "Roman": "NNP|JJ|NNPS",
    "Roman-camp": "NN",
    "Romana": "NNP",
    "Romances": "NNP",
    "Romanee-Conti": "NNP",
    "Romanesque": "JJ",
    "Romania": "NNP",
    "Romanian": "JJ",
    "Romaniuk": "NNP",
    "Romano": "NNP",
    "Romans": "NNPS|NNS",
    "Romantic": "JJ|NNP",
    "Romanza": "NNP",
    "Rome": "NNP",
    "Rome-based": "JJ",
    "Romeo": "NNP",
    "Romer": "NNP",
    "Romero": "NNP",
    "Romm": "NNP",
    "Rommel": "NNP",
    "Romo": "NNP",
    "Romulo": "NNP",
    "Ron": "NNP",
    "Rona": "NNP",
    "Ronald": "NNP",
    "Rondanini": "NNP",
    "Rondo": "NN",
    "Rong": "NNP",
    "Ronkonkoma": "NNP",
    "Ronnel": "NN",
    "Ronnie": "NNP",
    "Roof": "NNP",
    "Rooker": "NNP",
    "Rookie": "NN|NNP",
    "Room": "NNP",
    "Roomberg": "NNP",
    "Roommates": "NNS",
    "Rooms": "NNS",
    "Rooney": "NNP",
    "Roos": "NNP",
    "Roosevelt": "NNP",
    "Rooseveltian": "JJ",
    "Root": "NN|NNP",
    "Roots": "NNPS",
    "Ropart": "NNP",
    "Roper": "NNP",
    "Ropes": "NNPS",
    "Roquemore": "NNP",
    "Rorer": "NNP",
    "Rorschach": "NNP",
    "Rory": "NNP",
    "Rosa": "NNP",
    "Rosabelle": "NNP",
    "Rosabeth": "NNP",
    "Rosalco": "NNP",
    "Rosalie": "NNP",
    "Rosalind": "NNP",
    "Rosalyn": "NNP",
    "Rosalynn": "NNP",
    "Rosburg": "NNP",
    "Roscoe": "NNP",
    "Rose": "NNP",
    "Roseanne": "NNP",
    "Roseland": "NNP",
    "Rosella": "NNP",
    "Roselle": "NNP",
    "Rosemary": "NNP",
    "Rosemont": "NNP",
    "Rosen": "NNP",
    "Rosenau": "NNP",
    "Rosenbach": "NNP",
    "Rosenbaum": "NNP",
    "Rosenberg": "NNP",
    "Rosenblatt": "NNP",
    "Rosenblum": "NNP",
    "Rosencrants": "NNP",
    "Rosenfeld": "NNP",
    "Rosenfield": "NNP",
    "Rosenmueller": "NNP",
    "Rosenstein": "NNP",
    "Rosenthal": "NNP",
    "Rosenwald": "NNP",
    "Roses": "NNPS",
    "Rosett": "NNP",
    "Rosewood": "NNP",
    "Rosie": "NNP",
    "Roskind": "NNP",
    "Roslev": "NNP",
    "Roslyn": "NNP",
    "Rosman": "NNP",
    "Rosner": "NNP",
    "Rosoff": "NNP",
    "Rosow": "NNP",
    "Rospatch": "NNP",
    "Ross": "NNP",
    "Rosser": "NNP",
    "Rossi": "NNP",
    "Rossides": "NNP",
    "Rossilini": "NNP",
    "Rossini": "NNP",
    "Rosso": "NNP",
    "Rossoff": "NNP",
    "Rost": "NNP",
    "Rostagno": "NNP",
    "Rostagnos": "NNPS",
    "Rostenkowski": "NNP",
    "Rosty": "NNP",
    "Roswell": "NNP",
    "Rosy": "NNP",
    "Rotan": "NNP",
    "Rotarians": "NNPS",
    "Rotary": "NNP",
    "Rotelli": "NNP",
    "Rotenberg": "NNP",
    "Roth": "NNP",
    "Rotha": "NNP",
    "Rothamsted": "NNP",
    "Rothe": "NNP",
    "Rothenberg": "NNP",
    "Rothko": "NNP",
    "Rothman": "NNP",
    "Rothmans": "NNP",
    "Rothmeier": "NNP",
    "Rothschild": "NNP",
    "Rothschilds": "NNPS",
    "Rothshchild": "NNP",
    "Rothwell": "NNP",
    "Rotie": "NNP",
    "Rotman": "NNP",
    "Roto-Rooter": "NNP",
    "Rotonda": "NNP",
    "Rotondo": "NNP",
    "Rotorex": "NNP",
    "Rotterdam": "NNP",
    "Rottger": "NNP",
    "Rottosei": "NNP",
    "Rotunda": "NNP",
    "Rouben": "NNP",
    "Rouge": "NNP",
    "Rough": "JJ|NN",
    "Roughly": "RB",
    "Roukema": "NNP",
    "Roulac": "NNP",
    "Roulet": "NNP",
    "Round": "NNP|JJ",
    "Rounded": "JJ",
    "Rounding": "VBG",
    "Rounding-off": "NN",
    "Roundtable": "NNP",
    "Roundup": "NNP",
    "Rourke": "NNP",
    "Rous": "NNP",
    "Rousell": "NNP",
    "Rousseau": "NNP",
    "Rousseauan": "JJ",
    "Roussel": "NNP",
    "Roussel-Uclaf": "NNP",
    "Roustabouts": "NNPS",
    "Route": "NNP|IN",
    "Routine": "JJ",
    "Routo-Jig": "NN",
    "Rover": "NNP",
    "Row": "NNP",
    "Rowan": "NNP",
    "Rowe": "NNP",
    "Rowell": "NNP",
    "Rowland": "NNP",
    "Rowland-Molina": "NNP",
    "Rowland-Morin": "NNP",
    "Rowlands": "NNP",
    "Rowley": "NNP",
    "Rowman": "NNP",
    "Rowse": "NNP",
    "Rowswell": "NNP",
    "Roxani": "NNP",
    "Roxanne": "NNP",
    "Roxboro": "NNP",
    "Roxy": "NNP",
    "Roy": "NNP",
    "Royal": "NNP|JJ",
    "Royale": "NNP",
    "Royalty": "NNP",
    "Royaux": "NNP",
    "Roybal": "NNP",
    "Royce": "NNP",
    "Roylott": "NNP",
    "Rozella": "NNP",
    "Rozelle": "NNP",
    "Rte.": "NNP",
    "Ruanda-Urundi": "NNP",
    "Ruark": "NNP",
    "Rubber": "NNP|JJ",
    "Rubbermaid": "NNP",
    "Rubbish": "NN",
    "Rube": "NNP",
    "Rubega": "NNP",
    "Rubel": "NNP",
    "Rubeli": "NNP",
    "Rubendall": "NNP",
    "Rubenesquely": "JJ",
    "Rubens": "NNP",
    "Rubenstein": "NNP",
    "Ruberg": "NNP",
    "Rubicam": "NNP",
    "Rubik": "NNP",
    "Rubin": "NNP",
    "Rubinfien": "NNP",
    "Rubins": "NNS",
    "Rubinstein": "NNP",
    "Rubio": "NNP",
    "Ruby": "NNP",
    "Rucellai": "NNP",
    "Ruckdeschel": "NNP",
    "Ruckert": "NNP",
    "Rudder": "NNP",
    "Rude": "NNP|JJ",
    "Ruder": "NNP",
    "Ruderman": "NNP",
    "Rudi": "NNP",
    "Rudibaugh": "NNP",
    "Ruding": "NNP",
    "Rudkoebing": "NNP",
    "Rudman": "NNP",
    "Rudner": "NNP",
    "Rudnick": "NNP",
    "Rudoff": "NNP",
    "Rudolf": "NNP",
    "Rudolph": "NNP",
    "Rudy": "NNP",
    "Rudyard": "NNP",
    "Rue": "NNP|FW",
    "Ruettgers": "NNP",
    "Rufenacht": "NNP",
    "Ruff": "NNP",
    "Ruffel": "NNP",
    "Ruffians": "NNS",
    "Ruffled": "VBN",
    "Ruffo": "NNP",
    "Rufus": "NNP",
    "Ruger": "NNP",
    "Rugeroni": "NNP",
    "Rugged": "JJ",
    "Ruggiero": "NNP",
    "Ruhnau": "NNP",
    "Ruhollah": "NNP",
    "Ruidoso": "NNP",
    "Ruined": "VBN",
    "Ruiz": "NNP",
    "Ruiz-Mateos": "NNP",
    "Rukeyser": "NNP",
    "Rul.": "NNP",
    "Rule": "NNP",
    "Ruled": "VBN",
    "Rulers": "NNPS",
    "Rules": "NNPS|NNP|NNS",
    "Ruling": "NN|NNP|VBG",
    "Rullo": "NNP",
    "Rum": "NNP",
    "Rumack": "NNP",
    "Rumania": "NNP",
    "Rumanian": "JJ",
    "Rumanians": "NNPS",
    "Rumasa": "NNP",
    "Rumford": "NNP",
    "Rummaging": "VBG",
    "Rummel": "NNP",
    "Rumor": "NN",
    "Rumors": "NNS|NNP",
    "Rumpelstiltskin": "NNP",
    "Rumscheidt": "NNP",
    "Run": "VB",
    "Run-down": "JJ",
    "Runcie": "NNP",
    "Rundfunk": "NNP",
    "Rundfunk-Sinfonie-Orchester": "NNP",
    "Rundfunkchor": "NNP",
    "Rundlett": "NNP",
    "Rune": "NNP",
    "Runge": "NNP",
    "Runiewicz": "NNP",
    "Runkel": "NNP",
    "Runnan": "NNP",
    "Runner": "NNP",
    "Runners": "NNS",
    "Running": "VBG|NNP",
    "Runtagh": "NNP",
    "Runways": "NNS",
    "Runyon": "NNP",
    "Ruoff": "NNP",
    "Rupert": "NNP",
    "Ruppert": "NNP",
    "Rural": "NNP|JJ",
    "Rus": "NNP",
    "Ruschkowski": "NNP",
    "Rush": "NNP",
    "Rush-Presbyterian-St": "NNP",
    "Rushall": "NNP",
    "Rushdie": "NNP",
    "Rushforth": "NNP",
    "Rushmore": "NNP",
    "Rusk": "NNP",
    "Ruskin": "NNP",
    "Russ": "NNP",
    "Russel": "NNP",
    "Russell": "NNP",
    "Russes": "NNP",
    "Russia": "NNP",
    "Russian": "JJ|NNP",
    "Russian-dominated": "JJ",
    "Russian-language": "JJ",
    "Russians": "NNPS|NNS",
    "Russo": "NNP",
    "Russo-American": "JJ",
    "Rust": "NNP",
    "Rustin": "NNP",
    "Rusting": "VBG",
    "Ruston": "NNP",
    "Rusty": "NNP",
    "Rutan": "NNP",
    "Rutgers": "NNP",
    "Ruth": "NNP",
    "Ruthann": "NNP",
    "Rutherford": "NNP",
    "Ruthlessness": "NN",
    "Rutstein": "NNP",
    "Ruttenbur": "NNP",
    "Ruvolo": "NNP",
    "Ruwe": "NNP",
    "Ruxpin": "NNP",
    "Ruys": "NNP",
    "Ruysch": "NNP",
    "Rwanda": "NNP",
    "Ry.": "NNP",
    "Ryan": "NNP",
    "Ryc": "NNP",
    "Rychard": "NNP",
    "Rydell": "NNP",
    "Ryder": "NNP",
    "Rye": "NNP",
    "Ryerson": "NNP",
    "Rykoff-Sexton": "NNP",
    "Ryland": "NNP",
    "Rylie": "NNP",
    "Rymer": "NNP",
    "Ryne": "NNP",
    "Ryosuke": "NNP",
    "Ryrie": "NNP",
    "Ryskamp": "NNP",
    "Ryukichi": "NNP",
    "Ryusenji": "NNP",
    "Ryutaro": "NNP",
    "Ryzhkov": "NNP",
    "S": "NNP|POS",
    "S$": "$",
    "S&L": "NN|NNP",
    "S&Ls": "NNS|NNP|NNPS",
    "S&P": "NNP",
    "S&P-down": "NN",
    "S*": "NNP",
    "S*/NN&L": "NNP|JJ",
    "S*/NNP&L": "NN",
    "S*/NNP&P": "NN",
    "S*/NNS&Ls": "NNP",
    "S-10": "NNP",
    "S-11": "NN",
    "S-20": "NN",
    "S-Cargo": "NNP",
    "S-D": "NN",
    "S-K-I": "NNP",
    "S-curve": "NN",
    "S-s-sahjunt": "NN",
    "S.": "NNP",
    "S.A": "NNP",
    "S.A.": "NNP",
    "S.A.F.E.": "NNP",
    "S.C": "NNP",
    "S.C.": "NNP",
    "S.C.-based": "JJ",
    "S.D": "NNP",
    "S.D.": "NNP",
    "S.G.": "NNP",
    "S.Grove": "NNP",
    "S.I.": "NNP",
    "S.J.": "NNP",
    "S.K.": "NNP",
    "S.O.B": "NNP",
    "S.O.B.": "NN",
    "S.O.B.s": "NNS",
    "S.P.": "NNP",
    "S.P.C.A.": "NN",
    "S.S.": "NNP",
    "S.S.R.": "NNP",
    "S.W.": "NNP",
    "S.p": "NNP",
    "S.p.A.": "NNP",
    "SA": "NNP",
    "SA-12": "NN",
    "SAAMI": "NNP",
    "SAATCHI": "NNP",
    "SAB": "NNP",
    "SABH": "NNP",
    "SABLE": "NNP",
    "SAC": "NNP",
    "SAFEWAY": "NNP",
    "SAID": "VBD",
    "SAINT": "NNP",
    "SAKOS": "FW",
    "SALARIES": "NNS",
    "SALE": "NN",
    "SALES": "NNS|NNP",
    "SALT": "NNP",
    "SAME": "JJ",
    "SAMOS": "NNP",
    "SAMURAI": "NNP",
    "SAN": "NNP",
    "SANTA": "NNP",
    "SARK": "NNP",
    "SAS": "NNP",
    "SAT": "NNP",
    "SAVINGS": "NNPS|NNP",
    "SBA": "NNP",
    "SBCI": "NNP",
    "SC": "NNP",
    "SCA": "NNP",
    "SCANDALS": "NNS",
    "SCE": "NNP",
    "SCECorp": "NNP",
    "SCHLOSS": "NNP",
    "SCHMIDT": "NNP",
    "SCHOOL": "NN",
    "SCHWAB": "NNP",
    "SCHWARTZ": "NNP",
    "SCI": "NNP",
    "SCIENTISTS": "NNS",
    "SCORE": "NNP",
    "SCR": "NNP",
    "SCRAMBLE": "VBP",
    "SCRAP": "VBP",
    "SCUD": "NNP",
    "SD": "NNP",
    "SDI": "NNP",
    "SE": "NNP",
    "SEAGATE": "NNP",
    "SEAQ": "NNP",
    "SEAT": "NNP",
    "SEATO": "NNP",
    "SEC": "NNP",
    "SEC.": "NNP",
    "SECOND": "JJ",
    "SECTION": "NN",
    "SECURITY": "NN",
    "SEE": "VBP",
    "SEEK": "VB",
    "SEEKING": "VBG",
    "SEEKS": "VBZ",
    "SEEQ": "NNP",
    "SEI": "NNP",
    "SELF-DESTROYED": "VBN",
    "SELL": "VB",
    "SELL-OFFS": "NNS",
    "SELLING": "NNP|VBG",
    "SEM": "NNP",
    "SEMICONDUCTOR": "NNP",
    "SENATE": "NNP",
    "SENIOR": "JJ",
    "SEPARATE": "JJ",
    "SEPARATED": "VBN",
    "SEPT.": "NNP",
    "SERVE": "VBP",
    "SERVICE": "NN|NNP",
    "SERVICES": "NNS|NNP|NNPS",
    "SES": "NNP",
    "SESCO": "NNP",
    "SET": "VBD",
    "SETSW": "NN",
    "SETTING": "VBG",
    "SEVEN-UP": "NNP",
    "SE/30": "NNP",
    "SEi": "NNP",
    "SF": "NNP",
    "SFD": "NNP",
    "SFE": "NNP",
    "SFX": "NNP",
    "SFr2": "NNP",
    "SFr3": "NNP",
    "SGA": "NNP",
    "SGB": "NNP",
    "SGC": "NNP",
    "SH": "NNP|NN",
    "SH-11": "NNP",
    "SHAKE": "VB",
    "SHAREDATA": "NNP",
    "SHAREHOLDER": "NN",
    "SHEA": "NNP",
    "SHEARSON": "NNP",
    "SHEDDING": "VBG",
    "SHELTERS": "NNS",
    "SHEVARDNADZE": "NNP",
    "SHIBUMI": "NNP",
    "SHIELD": "NNP",
    "SHIPPING": "NNP",
    "SHOPPE": "NNP",
    "SHOPPERS": "NNS",
    "SHOPS": "NNS",
    "SHORT": "NNP|JJ",
    "SHORT-TERM": "JJ",
    "SHORTAGE": "NN",
    "SHOULD": "MD",
    "SHOWY": "JJ",
    "SHUN": "VBP",
    "SHUTTLE": "NN",
    "SHV": "NNP",
    "SIA": "NNP",
    "SIBV-MS": "NNP",
    "SICK": "NNP",
    "SIDE": "NNP",
    "SIDES": "NNS",
    "SIERRA": "NNP",
    "SIGNAL": "NN|VB",
    "SIGNALED": "VBN",
    "SIGNED": "VBN",
    "SIMPLIFYING": "VBG",
    "SINCE": "IN",
    "SISAL": "NNP",
    "SITE": "NN",
    "SIZING": "NNP",
    "SJO": "NNP",
    "SK": "NNP",
    "SKF": "NNP",
    "SKIDDED": "VBD",
    "SKIES": "NNS",
    "SKILLED": "JJ",
    "SKIRTS": "NNP",
    "SKr1.5": "NNS",
    "SKr20": "NNS",
    "SKr205": "NNS",
    "SKr225": "NNS",
    "SKr29": "NNS",
    "SLHD": "NNP",
    "SLIPPAGE": "NN",
    "SLIPS": "VBZ",
    "SLOGANS": "NNS",
    "SLORC": "NNP",
    "SLTI": "NNP",
    "SMALL": "NNP|JJ",
    "SMALL-BUSINESS": "NN",
    "SMALL-COMPANY": "JJ",
    "SMART": "JJ",
    "SMD": "NNP",
    "SMOKING": "NN",
    "SMU": "NNP",
    "SMYRNA": "NNP",
    "SNET": "NNP",
    "SNIA": "NNP",
    "SNP": "NN",
    "SO": "RB",
    "SO-CALLED": "JJ",
    "SOARED": "VBD",
    "SOARS": "VBZ",
    "SOCIAL": "JJ",
    "SOFT": "JJ",
    "SOFTWARE": "NNP",
    "SOME": "DT",
    "SONG": "NNP",
    "SONGsters": "NNS",
    "SOS": "NNP",
    "SOUTH": "NNP",
    "SOUTHERN": "NNP",
    "SOUVENIRS": "NNS",
    "SOVIET": "JJ|NNP",
    "SOYBEANS": "NNS|NNPS",
    "SP": "NNP",
    "SP-44001": "LS",
    "SP-44002": "LS",
    "SP-44005": "LS",
    "SP-44006": "LS",
    "SP-44007": "LS",
    "SP1": "JJ",
    "SP1-plus": "JJ",
    "SPAN": "NNP",
    "SPCA": "NNP",
    "SPECIALIZED": "JJ",
    "SPENDING": "NN",
    "SPENT": "VBD",
    "SPERANDEO": "NNP",
    "SPLIT-UP": "NN",
    "SPORTS": "NNS",
    "SPRINGFIELD": "NNP",
    "SPRUCING": "VBG",
    "SPWL": "NNP",
    "SQUARE": "NNP",
    "SQUIBB": "NNP",
    "SR": "NNP",
    "SRELEASE": "NN",
    "SRESERVE": "NN",
    "SRS": "NNP",
    "SS": "NNP",
    "SS-18s": "NNS",
    "SS-20": "NNP",
    "SS-20s": "NNPS",
    "SS-24": "NNP",
    "SS-24s": "NNPS",
    "SS-25": "NNP",
    "SS-25s": "NNPS",
    "SS.": "NNP",
    "SSI": "NNP",
    "SSMC": "NNP",
    "SST": "NNP",
    "STAGED": "VBD",
    "STANDARDS": "NNPS",
    "STANLEY": "NNP",
    "STAR": "NN",
    "STAR-STUDDED": "JJ",
    "STARS": "NNP|NNS",
    "START": "NNP",
    "STARTING": "NNP",
    "STATE": "NNP",
    "STATES": "NNS",
    "STC": "NNP",
    "STEEL": "NNP",
    "STERLING": "NNP",
    "STET": "NNP",
    "STOCK": "NN|NNP",
    "STOCK-INDEX": "NN",
    "STOCKS": "NNS",
    "STODGY": "JJ",
    "STOPPED": "VBN",
    "STORES": "NNP|NNPS",
    "STREET": "NNP",
    "STRIP": "VB",
    "STRIPES": "NNP",
    "STRUCK": "VBD|VBN",
    "STRUGGLED": "VBD",
    "STS": "NNP",
    "STSN": "NNP",
    "STUBBED": "VBN",
    "STUDENTS": "NNS",
    "STUDIES": "NNS",
    "STUDY": "NN",
    "SU-27": "NN",
    "SUBURBIA": "NN",
    "SUES": "VBZ",
    "SUGAR": "NN|NNP",
    "SUIT": "NN",
    "SUN": "NNP",
    "SUNDSTRAND": "NNP",
    "SUNY": "NNP",
    "SUPERIOR": "NNP",
    "SUPERPOWERS": "NNPS",
    "SUPREME": "NNP",
    "SURGED": "VBD",
    "SURVEYS": "NNS",
    "SUSPECT": "JJ",
    "SUSPENDED": "VBD",
    "SV-10": "NN",
    "SW": "NNP",
    "SWAO": "NNP",
    "SWAPO": "NNP",
    "SWC": "NNP",
    "SWIFT": "NNP",
    "SWITCH": "NN",
    "SWITCHING": "VBG",
    "SWUNG": "VBD",
    "SX-21": "NNP",
    "SYDNEY-Qintex": "NNP",
    "SYSCO": "NNP",
    "SYSTEMS": "NNP|NNPS",
    "Sa-Duk": "NNP",
    "Saab": "NNP",
    "Saab-Scania": "NNP",
    "Saabye": "NNP",
    "Saadi": "NNP",
    "Saalfeld": "NNP",
    "Saatchi": "NNP|NNS",
    "Saatchis": "NNPS",
    "Saba": "NNP",
    "Sabaneta": "NNP",
    "Sabbath": "NNP",
    "Sabella": "NNP",
    "Sabena": "NNP",
    "Sabha": "NNP",
    "Sabhavasu": "NNP",
    "Sabina": "NNP",
    "Sabinas": "FW",
    "Sabine": "NNP",
    "Sabinson": "NNP",
    "Sable": "NNP",
    "Sabo": "NNP",
    "Sabol": "NNP",
    "Sabras": "NNS",
    "Sabre": "NNP",
    "Sabreliner": "NNP",
    "Sabrina": "NN|NNP",
    "Sacco": "NNP",
    "Sacheverell": "NNP",
    "Sachs": "NNP",
    "Sack": "NNP",
    "Saco": "NNP",
    "Sacramento": "NNP",
    "Sacramento-based": "JJ",
    "Sacre": "NNP",
    "Sacred": "NNP",
    "Sacremento": "NNP",
    "Sacrestia": "NNP",
    "Sacrifice": "NN|NNP",
    "Sacrifices": "NNS",
    "Sad": "JJ",
    "Sadakane": "NNP",
    "Saddam": "NNP",
    "Saddle": "NNP",
    "Sadie": "NNP",
    "Sadler": "NNP",
    "Sadly": "RB",
    "Safari": "NNP",
    "Safavids": "NNPS",
    "Safe": "NNP|JJ",
    "Safeco": "NNP",
    "Safeguards": "NNS",
    "Safely": "RB",
    "Safer": "NNP",
    "Safety": "NNP",
    "Safety-Kleen": "NNP",
    "Safeway": "NNP",
    "Saffer": "NNP",
    "Safford": "NNP",
    "Safi": "NNP",
    "Safra": "NNP",
    "Saftey": "NNP",
    "Sag": "NNP",
    "Saga": "NN|NNP",
    "Sagami": "NNP",
    "Sagan": "NNP",
    "Sage": "NNP",
    "Sago": "NNP",
    "Sagos": "NNS",
    "Sahara": "NNP",
    "Sahjunt": "NNP",
    "Sahour": "NNP",
    "Saicheua": "NNP",
    "Said": "NNP|VBD|VBN",
    "Saigon": "NNP",
    "Sail": "NNP",
    "Sailing": "NNP",
    "Sailor": "NNP",
    "Sailors": "NNS",
    "Sain": "NNP",
    "Sainsbury": "NNP",
    "Saint": "NNP",
    "Saint-Geours": "NNP",
    "Saint-Saens": "NNP",
    "Sainte-Chapelle": "NNP",
    "Sainted": "NNP",
    "Saints": "NNP|NNPS",
    "Saintsbury": "NNP",
    "Saison": "NNP",
    "Saitama": "NNP",
    "Saito": "NNP",
    "Saitoti": "NNP",
    "Sajak": "NNP",
    "Sakaguchi": "NNP",
    "Sakata": "NNP",
    "Sake": "FW",
    "Sakellariadis": "NNP",
    "Sakellariadises": "NNS",
    "Sakharov": "NNP",
    "Saklad": "NNP",
    "Sako": "NN",
    "Sakowitz": "NNP",
    "Saks": "NNP|NNS",
    "Sakura": "NNP",
    "Sal": "NNP",
    "SalFininistas": "NNP",
    "Sala": "NNP",
    "Salaam": "FW",
    "Salads": "NNS",
    "Salamander": "NNP",
    "Salang": "NNP",
    "Salant": "NNP",
    "Salaries": "NNS",
    "Salary": "NN",
    "Salazar": "NNP",
    "Sale": "NN|NNP",
    "Saledo": "NNP",
    "Saleh": "NNP",
    "Salem": "NNP",
    "Salembier": "NNP",
    "Salerno": "NNP",
    "Salerno-Sonnenberg": "NNP",
    "Sales": "NNS|NNP|NNPS",
    "Salesman": "NN",
    "Salesmanship": "NN",
    "Salespeople": "NNS",
    "Salhany": "NNP",
    "Salida": "NNP",
    "Salim": "NNP",
    "Salina": "NNP",
    "Salinas": "NNP",
    "Salinger": "NNP",
    "Salinity": "NN",
    "Salins": "NNP",
    "Salisbury": "NNP",
    "Salish": "NNP",
    "Saliva": "NN",
    "Salive": "NNP",
    "Salk": "NNP",
    "Salle": "NNP",
    "Sallie": "NNP",
    "Sally": "NNP",
    "Salman": "NNP",
    "Salmon": "NNP",
    "Salomon": "NNP",
    "Salomonovich": "NNP",
    "Salon": "NNP",
    "Saloojee": "NNP",
    "Saloon": "NNP",
    "Salpetriere": "NNP",
    "Salsich": "NNP",
    "Salt": "NNP|VB",
    "Salted": "JJ",
    "Salter": "NNP",
    "Saltiel": "NNP",
    "Saltis-McErlane": "NNP",
    "Salton": "NNP",
    "Saltonstall": "NNP",
    "Salty": "NNP",
    "Saltzburg": "NNP",
    "Salu": "NNP",
    "Salvador": "NNP",
    "Salvadoran": "JJ|NNP",
    "Salvadorans": "NNS|NNPS",
    "Salvagni": "NNP",
    "Salvation": "NNP",
    "Salvatore": "NNP",
    "Salvatori": "NNP",
    "Salvesen": "NNP",
    "Salwen": "NNP",
    "Salyer": "NNP",
    "Salzgitter": "NNP",
    "Salzman": "NNP",
    "Sam": "NNP",
    "Samakow": "NNP",
    "Samar": "NNP",
    "Samara": "NNP",
    "Samaritan": "NNP",
    "Samaritans": "NNS",
    "Samba": "NNP",
    "Sambuca": "NNP",
    "Same": "JJ",
    "Same-store": "JJ",
    "Sameness": "NN",
    "Samengo-Turner": "NNP",
    "Samford": "NNP",
    "Sammartini": "NNP",
    "Sammi": "NNP",
    "Sammy": "NNP",
    "Sammye": "NNP",
    "Samnick": "NNP",
    "Samoa": "NNP",
    "Samoilov": "NNP",
    "Samovar": "NNP",
    "Samper": "NNP",
    "Sample": "NN|NNP",
    "Samples": "NNS",
    "Sampson": "NNP",
    "Samson": "NNP",
    "Samsung": "NNP",
    "Samsung-Corning": "NNP",
    "Samuel": "NNP",
    "Samuels": "NNP",
    "Samuelson": "NNP",
    "Samurai": "NNP",
    "San": "NNP|NNS|NNPS|JJ",
    "SanAntonio": "NNP",
    "Sanaa": "NNP",
    "Sanatorium": "NNP",
    "Sanchez": "NNP",
    "Sancho": "NNP",
    "Sancken": "NNP",
    "Sanctam": "NNP",
    "Sanctions": "NNS|NNPS",
    "Sanctuary": "NNP",
    "Sand": "NN|NNP",
    "Sandalphon": "NNP",
    "Sandalwood": "NNP",
    "Sandberg": "NNP",
    "Sandburg": "NNP",
    "Sandburgs": "NNPS",
    "Sande": "NNP",
    "Sander": "NNP",
    "Sanderoff": "NNP",
    "Sanders": "NNP|NNPS",
    "Sanderson": "NNP",
    "Sandhills": "NNP",
    "Sandhurst": "NNP",
    "Sandia": "NNP",
    "Sandifer": "NNP",
    "Sandinista": "NNP|JJ",
    "Sandinistas": "NNS|NNPS",
    "Sandinistas...": ":",
    "Sandip": "NNP",
    "Sandler": "NNP",
    "Sandlund": "NNP",
    "Sandman": "NNP",
    "Sandner": "NNP",
    "Sandor": "NNP",
    "Sandoz": "NNP",
    "Sandra": "NNP",
    "Sandro": "NNP",
    "Sands": "NNP|NNPS",
    "Sandusky": "NNP",
    "Sandwich": "NNP",
    "Sandwiched": "VBN",
    "Sandwiches": "NNS",
    "Sandy": "NNP",
    "Sane": "NNP",
    "Sanford": "NNP",
    "Sang": "NNP|VBD",
    "Sanga": "NNP",
    "Sangallo": "NNP",
    "Sangamon": "NNP",
    "Sanger": "NNP",
    "Sanger-Harris": "NNP",
    "Sangetsu": "NNP",
    "Sangyo": "NNP",
    "Sanitary": "NNP",
    "Sanitation": "NNP",
    "Sanity": "NN",
    "Sanjay": "NNP",
    "Sanjiv": "NNP",
    "Sanka": "NNP",
    "Sankai": "NNP",
    "Sankei": "NNP",
    "Sankyo": "NNP",
    "Sanlandro": "NNP",
    "Sann": "NNP",
    "Sanraku": "NNP",
    "Sans": "NNP|FW",
    "Sansom": "NNP",
    "Sansome": "NNP",
    "Sanson": "NNP",
    "Sansone": "NNP",
    "Sansui": "NNP",
    "Sant": "NNP",
    "Santa": "NNP",
    "Santacruz": "NNP",
    "Santamaria": "NNP",
    "Santas": "NNPS",
    "Santayana": "NNP",
    "Sante": "NNP",
    "Santiago": "NNP",
    "Santiveri": "NNP",
    "Santo": "NNP",
    "Santovenia": "NNP",
    "Santry": "NNP",
    "Santucci": "NNP",
    "Sanwa": "NNP",
    "Sanyo": "NNP",
    "Sao": "NNP",
    "Saouma": "NNP",
    "Sapanski": "NNP",
    "Saperstein": "NNP",
    "Sapio": "NNP",
    "Sapp": "NNP",
    "Sappho": "NNP",
    "Sapporo": "NNP",
    "Sara": "NNP",
    "Saracens": "NNPS",
    "Sarah": "NNP",
    "Saran": "NNP",
    "Sarandon": "NNP",
    "Sarasate": "NNP",
    "Sarason": "NNP",
    "Sarasota": "NNP",
    "Saratoga": "NNP",
    "Sarawak": "NNP",
    "Sardanapalus": "NNP",
    "Sardi": "NNP",
    "Sardina": "NNP",
    "Sardinia": "NNP",
    "Sargent": "NNP",
    "Sark": "NNP",
    "Sarkees": "NNP",
    "Sarmi": "NNP",
    "Sarney": "NNP",
    "Sarpsis": "NNP",
    "Sarrebourg": "NNP",
    "Sarsaparilla": "NN",
    "Sarti": "NNP",
    "Sartoris": "NNP",
    "Sartre": "NNP",
    "Sarum": "NNP",
    "Sary": "NNP",
    "Sary-Shagan": "NNP",
    "Sasaki": "NNP",
    "Sasea": "NNP",
    "Sasebo": "NNP",
    "Sasha": "NNP",
    "Sashimi": "FW",
    "Saskatchewan": "NNP",
    "Sass": "NNP",
    "Sasser": "NNP",
    "Sassy": "NNP|JJ",
    "Sat": "VBD",
    "Satan": "NNP",
    "Satanic": "JJ|NNP",
    "Satellite": "NNP",
    "Satellites": "NNS",
    "Satires": "NNPS",
    "Satis": "NNP",
    "Satisfaction": "NN",
    "Satisfactory": "JJ",
    "Satisfied": "VBN",
    "Satisfying": "VBG",
    "Satoh": "NNP",
    "Satoko": "NNP",
    "Satoshi": "NNP",
    "Satrum": "NNP",
    "Satterfield": "NNP",
    "Sattig": "NNP",
    "Saturated": "JJ",
    "Saturday": "NNP",
    "Saturday-night": "JJ",
    "Saturdays": "NNP|NNPS|NNS",
    "Saturn": "NNP",
    "Sauce": "NNP",
    "Saucer": "NNP",
    "Saucony": "NNP",
    "Saud": "NNP",
    "Saudi": "NNP|JJ",
    "Saudi-American": "NNP",
    "Saudis": "NNPS|VBP",
    "Sauerteig": "NNP",
    "Saul": "NNP",
    "Saull": "NNP",
    "Sault": "NNP",
    "Saunder": "NNP",
    "Saunders": "NNP",
    "Saundra": "NNP",
    "Saupiquet": "NNP",
    "Sausage": "NNP",
    "Sausalito": "NNP",
    "Sauter": "NNP",
    "Sauter/Piller/Percelay": "NNP",
    "Sauternes": "NNP|NNPS",
    "Sauvignon": "NNP",
    "Savage": "NNP|JJ",
    "Savageau": "NNP",
    "Savaiko": "NNP",
    "Savannah": "NNP",
    "Savannakhet": "NNP",
    "Savath": "NNP",
    "Save": "NNP|VB|IN|RB",
    "Saved": "NNP",
    "Savelyeva": "NNP",
    "Savers": "NNP",
    "Saveth": "NNP",
    "Saville": "NNP",
    "Savimbi": "NNP",
    "Savin": "NNP",
    "Saving": "NNP|VBG",
    "Savings": "NNP|NNPS|NNS",
    "Savior": "NNP",
    "Saviour": "NNP",
    "Savoca": "NNP",
    "Savona": "NNP",
    "Savonarola": "NNP",
    "Savory": "JJ",
    "Savoy": "NNP",
    "Savoyards": "NNP",
    "Saw": "VBD|NNP",
    "Sawalisch": "NN",
    "Sawallisch": "NNP",
    "Sawhill": "NNP",
    "Sawicki": "NNP",
    "Sawnders": "NNP",
    "Sawyer": "NNP",
    "Saxe": "NNP",
    "Saxon": "NNP|JJ",
    "Saxons": "NNP|NNS",
    "Saxony": "NNP",
    "Saxton": "NNP",
    "Say": "VB|NNP|VBP",
    "Sayegh": "NNP",
    "Sayers": "NNP",
    "Saying": "VBG",
    "Sayles": "NNP",
    "Saylor": "NNP",
    "Sayre": "NNP",
    "Says": "VBZ",
    "SbCs-type": "JJ",
    "Scala": "NNP",
    "Scale": "NNP",
    "Scalfaro": "NNP",
    "Scali": "NNP",
    "Scalia": "NNP",
    "Scam": "NN",
    "Scambio": "NNP",
    "Scampini": "NNP",
    "Scams": "NNS",
    "Scan": "NNP",
    "Scana": "NNP",
    "Scandal": "NN|NNP",
    "Scandalios": "NNP",
    "Scandanavian": "JJ",
    "Scandia": "NNP",
    "Scandinavia": "NNP",
    "Scandinavian": "JJ|NNP",
    "Scandinavians": "NNPS",
    "Scania": "NNP",
    "Scanlon": "NNP",
    "Scannell": "NNP",
    "Scanner": "NNP",
    "Scapin": "NNP",
    "Scarborough": "NNP",
    "Scarcity": "NN",
    "Scare": "NNP",
    "Scared": "VBN|JJ",
    "Scarface": "NNP",
    "Scaring": "VBG",
    "Scarlatti": "NNP",
    "Scarlet": "NNP",
    "Scarpia": "NNP",
    "Scarsdale": "NNP",
    "Scasi": "NNP",
    "Scattered": "VBN",
    "Scenario": "NN|NNP",
    "Scenarios": "NNS",
    "Scene": "NNP",
    "Scenes": "NNS",
    "Scenic": "JJ",
    "Schaack": "NNP",
    "Schaaf": "NNP",
    "Schabowski": "NNP",
    "Schacht": "NNP",
    "Schachter": "NNP",
    "Schaefer": "NNP",
    "Schaeffer": "NNP",
    "Schafer": "NNP",
    "Schaffner": "NNP",
    "Schall": "NNP",
    "Schang": "NNP",
    "Schantz": "NNP",
    "Schapiro": "NNP",
    "Schaumburg": "NNP",
    "Schechter": "NNP",
    "Schedule": "NNP",
    "Scheduled": "VBN",
    "Schedules": "NNS",
    "Scheetz": "NNP",
    "Scheherazade": "NNP",
    "Schein": "NNP",
    "Schell": "NNP",
    "Schelling": "NNP",
    "Schellke": "NNP",
    "Schemes": "NNS",
    "Schenectady": "NNP",
    "Schenk": "NNP",
    "Schenley": "NNP",
    "Scherer": "NNP",
    "Schering": "NNP",
    "Schering-Plough": "NNP",
    "ScheringPlough": "NN",
    "Schicchi": "FW|NNP",
    "Schick": "NNP",
    "Schieffelin": "NNP",
    "Schiele": "NNP",
    "Schiff": "NNP",
    "Schiffs": "NNPS",
    "Schilling": "NNP",
    "Schillinger": "NNP",
    "Schimberg": "NNP",
    "Schimmel": "NNP",
    "Schindler": "NNP",
    "Schlang": "NNP",
    "Schleiermacher": "NNP",
    "Schlek": "NNP",
    "Schlemmer": "NNP",
    "Schlesinger": "NNP",
    "Schleswig-Holstein": "NNP",
    "Schley": "NNP",
    "Schlieren": "NNP",
    "Schlitz": "NNP",
    "Schloss": "NNP",
    "Schlossberg": "NNP",
    "Schlumberger": "NNP",
    "Schmalensee": "NNP",
    "Schmalma": "UH",
    "Schmalzried": "NNP",
    "Schmedel": "NNP",
    "Schmetterer": "NNP",
    "Schmidl-Seeberg": "NNP",
    "Schmidlin": "NNP",
    "Schmidt": "NNP",
    "Schmidt-Chiari": "NNP",
    "Schmitt": "NNP",
    "Schmolka": "NNP",
    "Schmotter": "NNP",
    "Schnabel": "NNP|JJ",
    "Schnabel-Pro": "NNP",
    "Schnabelian": "JJ",
    "Schnacke": "NNP",
    "Schnader": "NNP",
    "Schneider": "NNP",
    "Schneier": "NNP",
    "Schnitz": "NNP",
    "Schnitzer": "NNP",
    "Schnuck": "NNP",
    "Schober": "NNP",
    "Schoch": "NNP",
    "Schockler": "NNP",
    "Schoder": "NNP",
    "Schoenberg": "NNP",
    "Schoeneman": "NNP",
    "Schoenfeld": "NNP",
    "Schoenholtz": "NNP",
    "Schoeppner": "NNP",
    "Scholar": "NNP",
    "Scholars": "NNPS|NNS",
    "Scholarship": "NN|NNP",
    "Scholastic": "NNP",
    "Scholastica": "NNP",
    "Scholey": "NNP",
    "Schonberg": "NNP",
    "Schone": "NNP",
    "School": "NNP",
    "Schoolmarm": "NN",
    "Schools": "NNP|NNPS|NNS",
    "Schopenhauer": "NNP",
    "Schorr": "NNP",
    "Schott": "NNP",
    "Schottenstein": "NNP",
    "Schotter": "NNP",
    "Schraffts": "NNP",
    "Schrage": "NNP",
    "Schrager": "NNP",
    "Schramm": "NNP",
    "Schreibman": "NNP",
    "Schreyer": "NNP",
    "Schrier": "NNP",
    "Schroder": "NNP",
    "Schroders": "NNP",
    "Schroeder": "NNP",
    "Schroer": "NNP",
    "Schroll": "NNP",
    "Schrunk": "NNP",
    "Schubert": "NNP",
    "Schubert-Beethoven-Mozart": "JJ",
    "Schueler": "NNP",
    "Schuette": "NNP",
    "Schuler": "NNP",
    "Schuller": "NNP",
    "Schulman": "NNP",
    "Schulof": "NNP",
    "Schulte": "NNP",
    "Schultz": "NNP",
    "Schulz": "NNP",
    "Schulze": "NNP",
    "Schumacher": "NNP",
    "Schuman": "NNP",
    "Schumann": "NNP",
    "Schumer": "NNP",
    "Schumpeter": "NNP",
    "Schuster": "NNP",
    "Schutz": "NNP",
    "Schuyler": "NNP",
    "Schuylkill": "NNP",
    "Schwab": "NNP",
    "Schwada": "NNP",
    "Schwalbe": "NNP",
    "Schwartau": "NNP",
    "Schwartz": "NNP",
    "Schwartzman": "NNP",
    "Schwarz": "NNP",
    "Schwarzen": "FW",
    "Schwarzenberger": "NNP",
    "Schwarzer": "NNP",
    "Schwarzkopf": "NNP",
    "Schwarzman": "NNP",
    "Schwarzwaldklinik": "NNP",
    "Schweicker": "NNP",
    "Schweiker": "NNP",
    "Schweitzer": "NNP",
    "Schweitzers": "NNPS",
    "Schweiz": "NNP",
    "Schweizer": "NNP",
    "Schweizerische": "NNP",
    "Schwemer": "NNP",
    "Schwemm": "NNP",
    "Schwengel": "NNP",
    "Schweppes": "NNP",
    "Schwerdt": "NNP",
    "Schwerin": "NNP",
    "Schwinn": "NNP",
    "Sci-Med": "NNP",
    "SciMed": "NNP|VBD|VBN",
    "Science": "NNP",
    "Sciences": "NNPS",
    "Scientech": "NNP",
    "Scientific": "NNP|JJ",
    "Scientific-Atlanta": "NNP",
    "Scientifique": "NNP",
    "Scientists": "NNS|NNP",
    "Scientology": "NNP",
    "Scituate": "NNP",
    "Scobee-Frazier": "NNP",
    "Scofield": "NNP",
    "Scolatti": "NNP",
    "Scollard": "NNP",
    "Scopes": "NNP",
    "Scopo": "NNP",
    "Score": "NN|VB",
    "Scorecard": "NNP",
    "Scores": "NNS|NNPS",
    "Scoring": "NNP",
    "Scorpio": "NNP",
    "Scorpios": "NNPS",
    "Scorsese": "NNP",
    "Scot": "NNP",
    "Scotch": "NNP|JJ",
    "Scotch-Irish-Scandinavian": "NNP",
    "Scotch-and-soda": "NN",
    "Scotchgard": "NNP",
    "Scotchman": "NN",
    "Scotia": "NNP",
    "Scotia-McLeod": "NNP",
    "Scotian": "NNP",
    "Scotland": "NNP",
    "Scots": "NNS|NNP|NNPS",
    "Scott": "NNP",
    "Scottish": "NNP|JJ",
    "Scottish-born": "JJ",
    "Scotto": "NNP",
    "Scotts": "NNP",
    "Scottsdale": "NNP",
    "Scotty": "NNP",
    "Scout": "NNP",
    "Scouting": "VBG",
    "Scouts": "NNPS",
    "Scowcroft": "NNP",
    "Scrabble": "NNP",
    "Scrambling": "VBG",
    "Scranton": "NNP",
    "Scrap": "NN",
    "Scrapings": "NNS",
    "Scrapiron": "NNP",
    "Scraps": "NNS",
    "Scratch": "NN",
    "Scratchard": "NNP",
    "Scratching": "VBG",
    "Screen": "NN",
    "Screenwriter": "NN",
    "Screvane": "NNP",
    "Screw": "NNP",
    "Screwed": "JJ",
    "Scribe": "VB|NNP",
    "Scrimgeour": "NNP",
    "Scripp": "NNP",
    "Scripps": "NNP",
    "Scripps-Howard": "NNP",
    "Scriptural": "JJ",
    "Scripture": "NNP",
    "Scriptures": "NNPS|NNS",
    "Scrivener": "NNP",
    "Scrooge-like": "JJ",
    "Scrub": "VB",
    "Scrum": "NNP",
    "Scrupulous": "JJ",
    "Scudder": "NNP",
    "Scull": "NNP",
    "Sculley": "NNP",
    "Scully": "NNP",
    "Scurlock": "NNP",
    "Scwhab": "NNP",
    "Scypher": "NNP",
    "Se": "NNP",
    "Sea": "NNP",
    "Sea-Land": "NNP",
    "Sea-road": "NN",
    "SeaEscape": "NNP",
    "SeaFest/JAC": "NNP",
    "Seaboard": "NNP",
    "Seaborg": "NNP",
    "Seabrook": "NNP",
    "Seacomb": "NNP",
    "Seafirst": "NNP",
    "Seafood": "NN",
    "Seaga": "NNP",
    "Seagate": "NNP",
    "Seagle": "NNP",
    "Seagoville": "NNP",
    "Seagram": "NNP",
    "Seagull": "NNP",
    "Seahorse": "NNP",
    "Seal": "NNP",
    "Sealed": "NNP",
    "Sealey": "NNP",
    "Sealtest": "NNP",
    "Seaman": "NNP|RB",
    "Sean": "NNP",
    "Seaquarium": "NNP",
    "Sear": "VB",
    "Searby": "NNP",
    "Search": "VB",
    "Searching": "VBG",
    "Searle": "NNP",
    "Searles": "NNP",
    "Sears": "NNP|NNS",
    "Sears-McDonald": "NNP",
    "Seas": "NNP|NNPS",
    "Seashore": "NNP",
    "Season": "NN|NNP",
    "Seasonal": "NNP|JJ",
    "Seasonally": "RB",
    "Seasoned": "JJ",
    "Seasonings": "NNPS",
    "Seasons": "NNPS",
    "Seat": "NN",
    "Seated": "VBN",
    "Seaton": "NNP",
    "Seats": "NNS",
    "Seattle": "NNP",
    "Seattle-First": "NNP",
    "Seattle-Northwest": "NNP",
    "Seattle-based": "JJ",
    "Seattlite": "NNP",
    "Seattlites": "NNS",
    "Sebastian": "NNP",
    "Sec.": "NN|NNP",
    "Secaucus": "NNP",
    "Secesh": "NNP",
    "Secilia": "NNP",
    "Seco": "NNP",
    "Secom": "NNP",
    "Secomerica": "NNP",
    "Second": "JJ|LS|RB|NNP",
    "Second-half": "JJ",
    "Second-highest": "JJ",
    "Second-quarter": "NNP|JJ",
    "Second-tier": "JJ",
    "Secondary": "JJ",
    "Secondly": "RB",
    "Seconds": "NNS",
    "Secord": "NNP",
    "Secrecy": "NNP|NN",
    "Secret": "JJ|NNP",
    "Secretariat": "NNP",
    "Secretariate": "NNP",
    "Secretaries": "NNPS|NNS",
    "Secretary": "NNP",
    "Secretary-General": "NNP",
    "Secretary-designate": "NNP",
    "Secretion": "NN",
    "Section": "NN|NNP",
    "Sections": "NNS",
    "Sector": "NNP",
    "Secular": "JJ",
    "Secure": "VB",
    "Secured": "JJ",
    "Securities": "NNPS|NNS|VBP",
    "Securities-trading": "JJ",
    "Security": "NNP",
    "Security-Connecticut": "NNP",
    "Secutities": "NNPS",
    "Sedan": "NNP",
    "Seddon": "NNP",
    "Sedgwick": "NNP",
    "Sedimentation": "NN",
    "Sedona": "NNP",
    "Seduction": "NN|NNP",
    "See": "VB|UH|NNP",
    "See-through": "JJ",
    "Seebohm": "NNP",
    "Seed": "NN",
    "Seeds": "NNS",
    "Seeing": "VBG|NNP",
    "Seek": "VBP|NNP",
    "Seeking": "VBG",
    "Seekonk": "NNP",
    "Seeks": "VBZ",
    "Seelbinder": "NNP",
    "Seelenfreund": "NNP",
    "Seeley": "NNP",
    "Seelig": "NNP",
    "Seeming": "VBG",
    "Seemingly": "RB",
    "Seems": "VBZ|NNS",
    "Seen": "VBN",
    "Seerey": "NNP",
    "Sees": "VBZ|NNP",
    "Sega": "NNP",
    "Segal": "NNP",
    "Segalas": "NNP",
    "Segall": "NNP",
    "Segar": "NNP",
    "Seger": "NNP",
    "Seger-Elvekrog": "NNP",
    "Segnar": "NNP",
    "Segovia": "NNP",
    "Segundo": "NNP",
    "Segur": "NNP",
    "Segura": "NNP",
    "Seib": "NNP",
    "Seidel": "NNP",
    "Seiders": "NNP",
    "Seidler": "NNP",
    "Seidman": "NNP",
    "Seife": "NNP",
    "Seifert": "NNP",
    "Seigel": "NNP",
    "Seigner": "NNP",
    "Seiki": "NNP",
    "Seiko": "NNP",
    "Seikosha": "NNP",
    "Seiler": "NNP",
    "Seimei": "NNP",
    "Seiren": "NNP",
    "Seisakusho": "NNP",
    "Seismographic": "NNP",
    "Seita": "NNP",
    "Seitz": "NNP",
    "Seiyu": "NNP",
    "Seize": "NNP|VB",
    "Seizes": "VBZ",
    "Seizin": "VBG",
    "Seizing": "VBG",
    "Sejm": "NNP",
    "Sekel": "NNP",
    "Sekisui": "NNP",
    "Seko": "NNP",
    "Selassie": "NNP",
    "Selavo": "NNP",
    "Selden": "NNP",
    "Seldes": "NNP",
    "Seldom": "RB",
    "Select": "NNP|VB",
    "Selected": "JJ|NNP|VBN",
    "Selecting": "VBG",
    "Selection": "NN",
    "Selections": "NNS",
    "Selective": "JJ",
    "Selectives": "NNPS",
    "Selectmen": "NNS",
    "Selectol": "NNP",
    "Selena": "NNP",
    "Self": "NNP",
    "Self-Government": "NNP",
    "Self-censorship": "NN",
    "Self-contained": "JJ",
    "Self-criticism": "NN",
    "Self-designated": "JJ",
    "Self-expression": "NN",
    "Self-sufficiency": "NN",
    "Selig": "NNP",
    "Seligman": "NNP",
    "Selkin": "NNP",
    "Selkirk": "NNP",
    "Selkirkers": "NNS",
    "Sell": "VB|NNP",
    "Sellars": "NNP",
    "Seller": "NN",
    "Sellers": "NNP|NNS",
    "Selling": "VBG|NNP",
    "Sells": "NNP|VBZ",
    "Selma": "NNP",
    "Selman": "NNP",
    "Selmer-Sande": "NNP",
    "Seltzer": "NNP",
    "Selve": "NNP",
    "Selway-Swift": "NNP",
    "Selwyn": "NNP",
    "Selz": "NNP",
    "Semegran": "NNP",
    "Semel": "NNP",
    "Semenov": "NNP",
    "Semi-Tech": "NNP",
    "Semiconductor": "NNP",
    "Semiconductors": "NNP|NNPS",
    "Semifinished": "VBN",
    "Seminar": "NNP",
    "Seminario": "NNP",
    "Seminary": "NNP",
    "Seminole": "NNP",
    "Semiramis": "NNP",
    "Semmel": "NNP",
    "Semmelman": "NNP",
    "Semmes": "NNP",
    "Semon": "NNP",
    "Semple-Lisle": "NNP",
    "Semra": "NNP",
    "Sen": "NNP",
    "Sen.": "NNP",
    "Senate": "NNP|JJ",
    "Senate-House": "JJ|NNP",
    "Senate-backed": "JJ",
    "Senate-passed": "JJ",
    "Senator": "NNP",
    "Senators": "NNPS|NNS|NNP",
    "Send": "VB|NNP",
    "Sendler": "NNP",
    "Sener": "NNP",
    "Senesac": "NNP",
    "Senese": "NNP",
    "Seng": "NNP",
    "Senior": "NNP|JJ",
    "Seniors": "NNP|NNS",
    "Senium": "FW",
    "Senk": "NNP",
    "Senor": "NNP",
    "Senora": "NNP",
    "Senorita": "NNP",
    "Sens.": "NNP|NNS|NNPS",
    "Sense": "NN|NNP",
    "Sensenbrenner": "NNP",
    "Senshukai": "NNP",
    "Sensibility": "NN",
    "Sensing": "VBG",
    "Sensitive": "JJ",
    "Sensor": "NNP",
    "Sent": "VBN",
    "Sentelle": "NNP",
    "Sentence": "NN",
    "Sentences": "NNS",
    "Sentencing": "VBG|NN",
    "Sentiment": "NN",
    "Sentiments": "NNS",
    "Sentor": "NNP",
    "Sentra": "NNP",
    "Sentry": "NNP",
    "Seoul": "NNP",
    "Seoul-Moscow": "NNP",
    "Separate": "JJ",
    "Separately": "RB|NNP",
    "Separating": "VBG",
    "Separation": "NN",
    "Sept": "NNP",
    "Sept.": "NNP|JJ",
    "Sept.1": "NNP",
    "September": "NNP",
    "September-October": "NNP",
    "Sepulveda": "NNP",
    "Sequa": "NNP",
    "Sequent": "NNP",
    "Sequester": "NN",
    "Sequoia": "NNP",
    "Serafin": "NNP",
    "Serbantian": "NNP",
    "Serenade": "NNP",
    "Serene": "NNP",
    "Serenissimus": "NNP",
    "Serenity": "NN",
    "Serex": "NNP",
    "Serge": "NNP",
    "Sergeant": "NNP",
    "Sergei": "NNP",
    "Sergio": "NNP",
    "Sergiusz": "NNP",
    "Serial": "JJ|NNP",
    "Series": "NNP|NNS|NNPS",
    "Serieuses": "NNP",
    "Serif": "NNP",
    "Serious": "NNP|JJ",
    "Serkin": "NNP",
    "Serlin": "NNP",
    "Sermon": "NN|NNP",
    "Serological": "JJ",
    "Serpentine": "NNP",
    "Serra": "NNP",
    "Serrana": "NNP",
    "Serum": "NN",
    "Serv-Air": "NNP",
    "Servanda": "FW",
    "Servant": "NNP",
    "ServantCor": "NNP",
    "Servatius": "NNP",
    "Serve": "VB",
    "Serve-Air": "NNP",
    "Served": "VBN",
    "Serves": "VBZ",
    "Service": "NNP",
    "ServiceMaster": "NNP",
    "Services": "NNPS|NNS",
    "Services/Japan": "NNP",
    "Servicios": "NNP",
    "Servifilm": "NNP",
    "Serving": "VBG",
    "Servive": "NNP",
    "Sesame": "NNP",
    "Sesit": "NNP",
    "Seso": "NNP",
    "Sesshu": "NNP",
    "Session": "NN",
    "Sessions": "NNP|NNS",
    "Set": "VB|VBN|NNP",
    "Seth": "NNP",
    "Sethness": "NNP",
    "Seto": "NNP",
    "Seton": "NNP",
    "Sets": "NNS",
    "Setsuo": "NNP",
    "Setter": "NN",
    "Setting": "VBG",
    "Settle": "VB",
    "Settled": "VBN",
    "Settlement": "NNP|NN",
    "Settlements": "NNP|NNS",
    "Seung": "NNP",
    "Seurat": "NNP",
    "Seven-Eleven": "NNP",
    "Seven-Up": "NNP",
    "Seventeenth": "JJ",
    "Seventh": "NNP|JJ",
    "Seventies": "NNPS",
    "Seventy-fourth": "NNP",
    "Seventy-nine": "JJ",
    "Seventy-seven": "JJ",
    "Seventy-six": "JJ",
    "Severa": "NNP",
    "Several": "JJ|NNP",
    "Severe": "JJ|NNP",
    "Severence": "NNP",
    "Severna": "NNP",
    "Severs": "NNP",
    "Seveso": "NNP",
    "Sevigli": "NNP",
    "Sevigny": "NNP",
    "Seville": "NNP",
    "Sevin": "NN",
    "Sewage": "NNP",
    "Sewanee": "NNP",
    "Seward": "NNP",
    "Sewell": "NNP",
    "Sewer": "NNP",
    "Sewickley": "NNP",
    "Sewing": "NNP|VBG",
    "Sex": "NN|NNP",
    "Sexism": "NN",
    "Sextet": "NNP",
    "Sexton": "NN|NNP",
    "Sextuor": "NNP",
    "Sexual": "NNP",
    "Seydoux": "NNP",
    "Seymour": "NNP",
    "Seynes": "NNP",
    "Sez": "NNP",
    "Sforzt": "NNP",
    "Sgt.": "NNP",
    "Sha.": "NNP",
    "Shabbat": "NNP",
    "Shack": "NNP",
    "Shad": "NNP",
    "Shade": "NNP",
    "Shades": "NNP",
    "Shadow": "NNP",
    "Shady": "NNP",
    "Shaefer": "NNP",
    "Shaevitz": "NNP",
    "Shafer": "NNP",
    "Shaffer": "NNP",
    "Shaffner": "NN",
    "Shafroth": "NNP",
    "Shagan": "NNP",
    "Shah": "NNP",
    "Shahal": "NNP",
    "Shahn": "NNP",
    "Shahon": "NNP",
    "Shahrabani": "NNP",
    "Shahrokh": "NNP",
    "Shaiken": "NNP",
    "Shak.": "NNP",
    "Shakarchi": "NNP",
    "Shake": "NNP|VB",
    "Shaken": "VBN|JJ",
    "Shaker": "NNP",
    "Shakes": "VBZ",
    "Shakespeare": "NNP",
    "Shakespearean": "JJ|NNP",
    "Shakespearian": "JJ",
    "Shaking": "VBG",
    "Shakshuki": "NNP",
    "Shakya": "NNP",
    "Shale": "NNP",
    "Shales": "NNP",
    "Shall": "MD|NNP",
    "Shalom": "FW|NNP",
    "Shalov": "NNP",
    "Shame": "NNP|VB",
    "Shamir": "NNP",
    "Shampoo": "NNP",
    "Shamrock": "NNP",
    "Shamu": "NNP",
    "Shan": "NNP",
    "Shandong": "NNP",
    "Shane": "NNP",
    "Shanghai": "NNP",
    "Shanghai-born": "JJ",
    "Shangkun": "NNP",
    "Shangri-La": "NNP",
    "Shank": "NNP",
    "Shanken": "NNP",
    "Shanker": "NNP",
    "Shann": "NNP",
    "Shannon": "NNP",
    "Shansi": "NNP",
    "Shanties": "NNPS",
    "Shantou": "NNP",
    "Shantung": "NNP",
    "Shantytowns": "NNS",
    "Shantz": "NNP",
    "Shanyun": "NNP",
    "Shape": "NNP",
    "Shaped": "JJ",
    "Shapes": "NNS",
    "Shapiro": "NNP",
    "Shapovalov": "NNP",
    "Shardlow": "NNP",
    "Share": "NN|NNP|VB",
    "ShareData": "NNP",
    "Sharecropping": "NN",
    "Shared": "NNP",
    "Shareholder": "NN",
    "Shareholders": "NNS|NNP",
    "Sharer": "NNP",
    "Shares": "NNS|NNP|NNPS",
    "SharesBase": "NNP",
    "Sharfman": "NNP",
    "Shari": "NNP",
    "Sharing": "VBG",
    "Sharkey": "NNP",
    "Sharon": "NNP",
    "Sharp": "NNP|JJ",
    "Sharp-witted": "JJ",
    "Sharpe": "NNP",
    "Sharpest": "JJS",
    "Sharply": "RB",
    "Sharps": "NNP",
    "Sharpshooter": "NNP",
    "Sharpshooters": "NNPS",
    "Sharrock": "NNP",
    "Shartzer": "NNP",
    "Shatilov": "NNP",
    "Shattered": "JJ",
    "Shattuck": "NNP",
    "Shaughnessy": "NNP",
    "Shaver": "NNP",
    "Shaving": "VBG|NNP",
    "Shaw": "NNP",
    "Shaw-Crier": "NNP",
    "Shaw-Walker": "NNP",
    "Shawano": "NNP",
    "Shawl": "NN",
    "Shawmut": "NNP",
    "Shawn": "NNP",
    "Shawnee": "NNP",
    "Shawomet": "NNP",
    "Shay": "NNP",
    "Shayne": "NNP",
    "Shayol": "NNP",
    "Shays": "NNP",
    "Shcherbitsky": "NNP",
    "She": "PRP|NN",
    "Shea": "NNP",
    "Shealy": "NNP",
    "Shearing": "NNP",
    "Shearman": "NNP",
    "Shearn": "NNP",
    "Shearon": "NNP",
    "Shearson": "NNP",
    "Sheboygan": "NNP",
    "Sheckley": "NNP",
    "Shedding": "VBG",
    "Sheehan": "NNP",
    "Sheehy": "NNP",
    "Sheen": "NNP",
    "Sheena": "NNP",
    "Sheep": "NNP|NNS",
    "Sheer": "NNP|JJ",
    "Sheeran": "NNP",
    "Sheet": "NNP",
    "Sheeting": "NN",
    "Sheets": "NNP",
    "Sheffield": "NNP",
    "Shegog": "NNP",
    "Sheik": "NNP",
    "Sheila": "NNP",
    "Sheinberg": "NNP",
    "Sheindlin": "NNP",
    "Sheiner": "NNP",
    "Shelagh": "NNP",
    "Shelby": "NNP",
    "Shelbyville": "NNP",
    "Sheldon": "NNP",
    "Shell": "NNP",
    "Sheller-Globe": "NNP",
    "Shelley": "NNP",
    "Shellpot": "NNP",
    "Shelly": "NNP",
    "Shelter": "NN|NNP",
    "Shelters": "NNPS",
    "Shelton": "NNP",
    "Shemiatenkov": "NNP",
    "Shemona": "NNP",
    "Shenandoah": "NNP",
    "Shensi": "NNP",
    "Shenzhen": "NNP",
    "Shep": "NNP",
    "Shepard": "NNP",
    "Shepherd": "NNP",
    "Shepherds": "NNPS",
    "Shepperd": "NNP",
    "Sheraton": "NNP",
    "Sheraton-Biltmore": "NNP",
    "Sheraton-Dallas": "NNP",
    "Sheraton-Pan": "NNP",
    "Sherblom": "NNP",
    "Shere": "NNP",
    "Sheremetyevo": "NNP",
    "Sheri": "NNP",
    "Sheridan": "NNP",
    "Sheriff": "NNP",
    "Sherlock": "NNP",
    "Sherlund": "NNP",
    "Sherman": "NNP",
    "Sherren": "NNP",
    "Sherrie": "NNP",
    "Sherrill": "NNP",
    "Sherry": "NNP",
    "Sherwin": "NNP",
    "Sherwin-Williams": "NNP",
    "Sherwood": "NNP",
    "Shevack": "NNP",
    "Shevardnadze": "NNP",
    "Shevchenko": "NNP",
    "Shh": "UH",
    "Shicoff": "NNP",
    "Shidler": "NNP",
    "Shield": "NNP",
    "Shields": "NNP",
    "Shietz": "NNP",
    "Shiflett": "NNP",
    "Shiftan": "NNP",
    "Shifte": "NNP",
    "Shige": "NNP",
    "Shigeru": "NNP",
    "Shigezo": "NNP",
    "Shih": "NNP",
    "Shiite": "NNP|JJ",
    "Shiites": "NNPS",
    "Shijie": "NNP",
    "Shikotan": "NNP",
    "Shilling": "NNP",
    "Shillong": "NNP",
    "Shiloh": "NNP",
    "Shima": "NNP",
    "Shimbun": "NNP",
    "Shimizu": "NNP",
    "Shimon": "NNP",
    "Shimson": "NNP",
    "Shin": "NNP",
    "Shin-Daiwa": "NNP",
    "Shinagawa": "NNP",
    "Shinbun": "NNP",
    "Shine": "NNP",
    "Shing": "NNP",
    "Shingles": "NNS",
    "Shining": "VBG|NNP",
    "Shinn": "NNP",
    "Shinpan": "NNP",
    "Shintaro": "NNP",
    "Shintoism": "NNP",
    "Shinton": "NNP",
    "Shiny": "NNP",
    "Shionogi": "NNP",
    "Shioya": "NNP",
    "Ship": "NNP",
    "Shipbuilders": "NNPS",
    "Shipbuilding": "NNP",
    "Shipley": "NNP",
    "Shipman": "NNP",
    "Shipments": "NNS",
    "Shippers": "NNS|NNP",
    "Shippey": "NNP",
    "Shippin": "VB",
    "Shipping": "NNP",
    "Shippings": "NNS",
    "Ships": "NNS",
    "Shipston": "NNP",
    "Shipyard": "NNP",
    "Shipyards": "NNP|NNPS",
    "Shira": "NNP",
    "Shiremanstown": "NNP",
    "Shirer": "NNP",
    "Shires": "NNP",
    "Shirl": "NNP",
    "Shirley": "NNP",
    "Shirt": "NNP",
    "Shirwen": "NNP",
    "Shiseido": "NNP",
    "Shitts": "NNP",
    "Shiu-Lok": "NNP",
    "Shivering": "VBG",
    "Shivers": "NNP",
    "Shizue": "NNP",
    "Shlaes": "NNP",
    "Shlenker": "NNP",
    "Shlomo": "NNP",
    "Shoals": "NNP|NNS",
    "Shochiku": "NNP",
    "Shochiku-Fuji": "NNP",
    "Shock": "NN",
    "Shocked": "VBN|JJ",
    "Shoe": "NNP",
    "Shoemaker": "NNP",
    "Shoettle": "NNP",
    "Shogun": "NNP",
    "Shoichi": "NNP",
    "Shoichiro": "NNP",
    "Shokubai": "NNP",
    "Sholom": "NNP",
    "Shoney": "NNP",
    "Shook": "VBD",
    "Shooter": "NNP",
    "Shootin": "VBG",
    "Shooting": "NN|NNP",
    "Shop": "NNP|VB",
    "Shopkorn": "NNP",
    "Shoppers": "NNS",
    "Shoppes": "NNP|NNS",
    "Shopping": "NNP|VBG",
    "Shoppsers": "NNS",
    "Shops": "NNPS|VBZ|NNS",
    "Shore": "NNP",
    "Shoreline": "NN",
    "Shores": "NNP",
    "Shorn": "VBN",
    "Short": "JJ|RB|NNP",
    "Short-sellers": "NNP|NNS",
    "Short-term": "JJ|NNP",
    "Shortage": "NN",
    "Shortageflation": "NN",
    "Shortages": "NNS",
    "Shortcuts": "NNS",
    "Shorted": "JJ",
    "Shortening": "VBG",
    "Shorter": "JJR|NNP",
    "Shorting": "NN|VBG",
    "Shortly": "RB",
    "Shortridge": "NNP",
    "Shortstop": "NNP",
    "Shostakovich": "NNP",
    "Shot": "VBN",
    "Shotgun-type": "JJ",
    "Shotguns": "NNS",
    "Shots": "NNS",
    "Shotwell": "NNP",
    "Should": "MD|NNP",
    "Shoulder": "NN",
    "Shouldering": "VBG",
    "Shoup": "NNP",
    "Shoupe": "NNP",
    "Shout": "VB",
    "ShowBiz": "NNP",
    "Showa": "NNP",
    "Showalter": "NNP",
    "Showbiz": "NNP",
    "Showdown": "NNP",
    "Showers": "NNP",
    "Showing": "VBG",
    "Showmanship": "NN",
    "Showrooms": "NNS",
    "Shows": "VBZ|NNS",
    "Showtime": "NNP",
    "Shreveport": "NNP",
    "Shrewd": "JJ",
    "Shrewsbury": "NNP",
    "Shribman": "NNP",
    "Shrieves": "NNP",
    "Shrine": "NNP",
    "Shrinking": "VBG",
    "Shriver": "NNP",
    "Shroeder": "NNP",
    "Shrontz": "NNP",
    "Shropshire": "NNP",
    "Shrove": "NNP",
    "Shrubs": "NNS",
    "Shrug": "NN",
    "Shrugged": "VBN",
    "Shrugs": "NNP",
    "Shrum": "NNP",
    "Shtern": "NNP",
    "Shtromas": "NNP",
    "Shu": "NNP",
    "Shu-tt": "VB",
    "Shucks": "UH",
    "Shugart": "NNP",
    "Shui": "NNP",
    "Shuiski": "NNP",
    "Shukri": "NNP",
    "Shulman": "NNP",
    "Shultis": "NNP",
    "Shultz": "NNP",
    "Shuman": "NNP",
    "Shun": "NNP",
    "Shunted": "VBN",
    "Shupe": "NNP",
    "Shurtleff": "NNP",
    "Shut": "VB|NNP",
    "Shutter": "NNP",
    "Shuttle": "NNP",
    "Shuwa": "NNP",
    "Shuxian": "NNP",
    "Shuz": "NNP",
    "Shvartzer": "NNP",
    "Shvets": "NNP",
    "Shy": "JJ|NNP",
    "Shycon": "NNP",
    "Shylock": "NNP",
    "Shylockian": "JJ",
    "Si": "NNP",
    "SiH": "NN",
    "Siad": "NNP",
    "Siam": "NNP",
    "Siamese": "NNP",
    "Siano": "NNP",
    "Sibaral": "NNP",
    "Siberia": "NNP",
    "Siberian": "JJ",
    "Sibley": "NNP",
    "Sibling": "NN",
    "Sibly": "NNP",
    "Sibra": "NNP",
    "Sibson": "NNP",
    "Sibylla": "NNP",
    "Sibyls": "NNPS",
    "Sic": "FW",
    "Sichuan": "NNP",
    "Sicilian": "NNP|JJ",
    "Siciliana": "NNP",
    "Sicilians": "NNS",
    "Sicily": "NNP",
    "Sick": "NNP|JJ",
    "Sickness": "NN",
    "Sicurella": "NNP",
    "Sid": "NNP",
    "Sidak": "NNP",
    "Siddeley": "NNP",
    "Siddo": "NNP",
    "Side": "NN|NNP",
    "Sidecar": "NN",
    "Sidekick": "NNP",
    "Sider": "NNP",
    "Sides": "NNP",
    "Sidestepping": "VBG",
    "Sidewalk": "NNP",
    "Sidewalks": "NNPS",
    "Sidhpur": "NNP",
    "Sidley": "NNP",
    "Sidley-Ashurst": "NNP",
    "Sidney": "NNP",
    "Sidorenko": "NNP",
    "Sidoti": "NNP",
    "Sidra": "NNP",
    "Sie": "FW",
    "Siebel": "NNP",
    "Siebern": "NNP",
    "Siebert": "NNP",
    "Sieckman": "NNP",
    "Siecle": "NNP",
    "Siecles": "NNPS",
    "Siedenburg": "NNP",
    "Siedlungs": "NNP",
    "Siegal": "NNP",
    "Siege": "NNP",
    "Siegel": "NNP",
    "Siegfried": "NNP",
    "Siegler": "NNP",
    "Siegman": "NNP",
    "Siemaszko": "NNP",
    "Siemens": "NNP",
    "Siemens-GEC-Plessey": "NNP",
    "Siemienas": "NNP",
    "Siena": "NNP",
    "Sienkiewicz": "NNP",
    "Siepi": "NNP",
    "Sierra": "NNP",
    "Sierras": "NNPS",
    "Sietsma": "NNP",
    "Sieux": "NNP",
    "Sievers": "NNP",
    "Siewert": "NNP",
    "Sifco": "NNP",
    "Sifton": "NNP",
    "Sigemund": "NNP",
    "Sighing": "VBG",
    "Sighting": "VBG",
    "Sigler": "NNP",
    "Sigma": "NNP",
    "Sigman": "NNP",
    "Sigmen": "NNP",
    "Sigmund": "NNP",
    "Sign": "NNP",
    "Signal": "NNP",
    "Signature": "NNP",
    "Signed": "VBN",
    "Signers": "NNS",
    "Signet": "NNP",
    "Significance": "NN",
    "Significant": "JJ",
    "Significantly": "RB",
    "Significants": "NNS",
    "Signor": "NNP",
    "Signora": "FW|NNP",
    "Signore": "NNP",
    "Signs": "NNS",
    "Sigoloff": "NNP",
    "Sigourney": "NNP",
    "Sigurd": "NNP",
    "Sihanouk": "NNP",
    "Sik": "NNP",
    "Sikes": "NNP",
    "Sikh": "NNP|JJ",
    "Sikhs": "NNPS",
    "Sikkim": "NNP",
    "Sikorski": "NNP",
    "Silas": "NNP",
    "Silber": "NNP",
    "Silberberg": "NNP",
    "Silberman": "NNP",
    "Silbermann": "NNP",
    "Silbert": "NNP",
    "Silence": "NN|NNP",
    "Silences": "NNS",
    "Silent": "NNP",
    "Silently": "RB",
    "Silesia": "NNP",
    "Silicon": "NNP",
    "Silk": "NNP",
    "Silkworms": "NNP",
    "Sill": "NNP",
    "Sills": "NNP",
    "Silly": "NNP",
    "Silone": "NNP",
    "Silva": "NN|NNP",
    "Silver": "NN|JJ|NNP",
    "Silvercrest": "NNP",
    "Silverman": "NNP",
    "Silvers": "NNP",
    "Silvershoe": "NNP",
    "Silverstein": "NNP",
    "Silvio": "NNP",
    "Sim": "NNP",
    "Simai": "NNP",
    "Simak": "NNP",
    "Simat": "NNP",
    "Simba": "NNP",
    "Simca": "NNP",
    "Simeon": "NNP",
    "Simes": "NNP",
    "Similar": "JJ",
    "Similarities": "NNS",
    "Similarly": "RB",
    "Simmel": "NNP",
    "Simmer": "VB",
    "Simmon": "NNP",
    "Simmons": "NNP|NNS",
    "Simmonsville": "NNP",
    "Simms": "NNP",
    "Simon": "NNP",
    "Simonds": "NNP",
    "Simonds-Gooding": "NNP",
    "Simonelli": "NNP",
    "Simonson": "NNP",
    "Simpkins": "NNP",
    "Simple": "NN|JJ",
    "Simplesse": "NNP",
    "Simplex": "JJ",
    "Simplification": "NN",
    "Simplot": "NNP",
    "Simply": "RB",
    "Simpson": "NNP",
    "Simpsons": "NNPS",
    "Sims": "NNP",
    "Simsbury": "NNP",
    "Simulated": "JJ",
    "Simulation": "NN",
    "Simulator": "NNP",
    "Simultaneous": "JJ",
    "Simultaneously": "RB",
    "Sin": "NNP",
    "Sin/Your": "NNP",
    "Sinai": "NNP",
    "Sinan": "NNP",
    "Sinatra": "NNP",
    "Since": "IN|RB",
    "Sincere": "NNP",
    "Sinclair": "NNP",
    "Sindona": "NNP",
    "Sinemet": "NNP",
    "Sinfonia": "NNP",
    "Sinfonica": "NNP",
    "Sing": "NNP|VBP",
    "Singapore": "NNP",
    "Singer": "NNP",
    "Singh": "NNP",
    "Singin": "VBG",
    "Singing": "VBG|NNP",
    "Single": "NNP",
    "Single-A-2": "JJ",
    "Single-A-3": "JJ",
    "Single-cell": "JJ",
    "Single-color": "JJ",
    "Single-occupancy": "NN",
    "Single-seeded": "JJ",
    "Single-subject": "JJ",
    "Singles": "NNS|VBZ",
    "Singletary": "NNP",
    "Singleton": "NNP",
    "Sinhalese": "JJ",
    "Sinhalese-dominated": "JJ",
    "Sinhalese.": "JJ",
    "Siniscal": "NNP",
    "Sink": "NNP",
    "Sinkula": "NNP",
    "Sinner": "NNP",
    "Sino-British": "JJ",
    "Sino-Soviet": "JJ",
    "Sino-U.S.": "JJ|NNP",
    "Sino-foreign": "JJ",
    "Sinopoli": "NNP",
    "Sintel": "NNP",
    "Sintered": "VBN",
    "Sinton": "NN",
    "Sinyard": "NNP",
    "Sioux": "NNP|NNPS",
    "Sipping": "VBG",
    "Sippl": "NNP",
    "Sir": "NNP|UH",
    "Sirinjani": "NNP",
    "Sirot": "NNP",
    "Sirota": "NNP",
    "Sirowitz": "NNP",
    "Sirrine": "NNP",
    "Sirs": "NNPS|NNS",
    "Sis": "NNP",
    "Sischy": "NNP",
    "Sisk": "NNP",
    "Sisley": "NNP",
    "Sistemas": "NNP",
    "Sister": "NN|NNP",
    "Sisters": "NNP|NNS|NNPS",
    "Sistine": "NNP",
    "Sisulu": "NNP",
    "Sit": "NNP|VB",
    "Sitco": "NNP",
    "Site": "NNP",
    "Sithe": "NNP",
    "Siti": "NNP",
    "Sitter": "NNP",
    "Sitting": "VBG",
    "Situated": "VBN",
    "Situation": "NNP",
    "Situations": "NNS",
    "Situs": "NN",
    "Sitwell": "NNP",
    "Sitz": "NNP",
    "Siva": "NNP",
    "Six-Day": "NNP",
    "Six-month": "JJ|NNP",
    "Six-year-old": "JJ",
    "Sixteenth": "NNP|JJ",
    "Sixth": "NNP|JJ",
    "Sixties": "NNPS|NNS",
    "Sixty-eighth": "NNP",
    "Sizable": "JJ",
    "Size": "NN",
    "Sizova": "NNP",
    "Sizwe": "NNP",
    "Sizzling": "JJ",
    "Skadden": "NNP",
    "Skaggs": "NNP",
    "Skala": "NNP",
    "Skandia": "NNP",
    "Skandinaviska": "NNP",
    "Skanska": "NNP",
    "Skase": "NNP",
    "Skates": "NNP",
    "Skating": "NNP",
    "Skeletal": "JJ",
    "Skelly": "NNP",
    "Skelton": "NNP",
    "Skeoch": "NNP",
    "Skepticism": "NN",
    "Skeptics": "NNS|NNP",
    "Ski": "NN|NNP",
    "Skid": "NNP|VBP",
    "Skidmore": "NNP",
    "Skies": "NNPS",
    "Skiing": "NN",
    "Skill": "JJ|NN",
    "Skilled": "JJ",
    "Skillman": "NNP",
    "Skills": "NNS",
    "Skilton": "NNP",
    "Skim": "JJ",
    "Skinner": "NNP",
    "Skinnerish": "JJ",
    "Skinny": "NNP",
    "Skip": "VB|NNP",
    "Skipjack": "NNP",
    "Skipper": "NNP",
    "Skipping": "VBG|NN",
    "Skippy": "NNP",
    "Skittish": "JJ",
    "Skiway": "NNP",
    "Skoal": "NNP",
    "Skokie": "NNP",
    "Skolkau": "NNP",
    "Skolman": "NNP",
    "Skolniks": "NNP",
    "Skolovsky": "NNP",
    "Skopas": "NNP",
    "Skopbank": "NNP",
    "Skorich": "NNP",
    "Skrunda": "NNP",
    "Skubal": "NNP",
    "Skulls": "NNS",
    "Sky": "NNP",
    "Sky-god": "NNP",
    "SkyWest": "NNP",
    "Skybolt": "NN",
    "Skydome": "NNP",
    "Skye": "NNP",
    "Skylark": "NNP",
    "Skyline": "NNP",
    "Skypak": "NNP",
    "Skyros": "NNP",
    "Skywalker": "NNP",
    "Skywave": "NNP",
    "Skyway": "NNP",
    "Slab": "NN",
    "Slack": "NNP",
    "Slackened": "VBN",
    "Slash": "VB",
    "Slash-B": "NNP",
    "Slate": "NNP",
    "Slated": "VBN",
    "Slater": "NNP",
    "Slatkin": "NNP",
    "Slaughter": "NNP",
    "Slavery": "NN|NNP",
    "Slavic": "NNP|JJ",
    "Slavin": "NNP",
    "Slavs": "NNPS",
    "Slay": "VBP",
    "Sleep": "VBP|NN|VB|NNP",
    "Sleep-disorder": "JJ",
    "Sleeper": "NNP",
    "Sleepers": "NNP",
    "Sleepily": "RB",
    "Sleepinal": "NNP",
    "Sleeping": "VBG|NNP",
    "Sleepwalkers": "NNS",
    "Sleepwalking": "NN",
    "Sleepy-eyed": "JJ",
    "Sleight": "NNP",
    "Slemrod": "NNP",
    "Slenczynka": "NNP",
    "Slender": "JJ",
    "Slice": "NN",
    "Slick": "JJ",
    "Slickers": "NNPS",
    "Slider": "NNP",
    "Slides": "NNS",
    "Slight": "JJ",
    "Slightam": "NNP",
    "Slightly": "RB",
    "Slim": "NNP|JJ",
    "Slim-Fast": "NNP",
    "Slims": "NNP|NNPS",
    "Slippery": "NNP",
    "Slipping": "VBG",
    "Slivka": "NNP",
    "Slo-Flo": "NNP",
    "Sloan": "NNP",
    "Sloanaker": "NNP",
    "Sloane": "NNP",
    "Slobodin": "NNP",
    "Slocum": "NNP",
    "Slogan": "NNP",
    "Slope": "NNP",
    "Slosberg": "NNP",
    "Slote": "NNP",
    "Slotnick": "NNP",
    "Slough": "NNP",
    "Slovakia": "NNP",
    "Slovenia": "NNP",
    "Slovenian": "JJ",
    "Sloves": "NNP",
    "Slow": "JJ|VB",
    "Slower": "JJR",
    "Slowing": "JJ|VBG",
    "Slowly": "RB",
    "Sludge": "NNP",
    "Slug": "VB",
    "Slugger": "NNP",
    "Sluggish": "JJ",
    "Slums": "NNP",
    "Slutsky": "NNP",
    "Slyke": "NNP",
    "Smaby": "NNP",
    "Smaedt": "NNP",
    "Smale": "NNP",
    "Small": "JJ|NNP",
    "Small-business": "NN",
    "Small-company": "JJ",
    "Small-lot": "JJ",
    "Small-stock": "NN",
    "Smaller": "JJR",
    "Smaller-stock": "JJR",
    "Smalling": "NNP",
    "Smallwood": "NNP",
    "Smart": "NNP|JJ",
    "Smarter": "RB|RBR",
    "Smartt": "NNP",
    "Smeal": "NNP",
    "Smedes": "NNP",
    "Smelov": "NNP",
    "Smelting": "NNP",
    "Smerdyakov": "NNP",
    "Smetek": "NNP",
    "Smilin": "NNP",
    "Smiling": "VBG",
    "Smirnoff": "NNP",
    "Smith": "NNP",
    "Smith-Colmer": "NNP",
    "Smith-Hughes": "NNP",
    "Smith-Kline": "NNP",
    "SmithKline": "NNP",
    "Smith/Greenland": "NNP",
    "Smithfield": "NNP",
    "Smiths": "NNPS",
    "Smithson": "NNP",
    "Smithsonian": "NNP",
    "Smithtown": "NNP",
    "Smitty": "NNP",
    "Smoak": "NNP",
    "Smoke": "NNP",
    "Smokers": "NNS",
    "Smokey": "NNP",
    "Smokies": "NNPS",
    "Smoking": "NN|NNP|VBG",
    "Smoky": "NNP",
    "Smoldering": "VBG",
    "Smolensk": "NNP",
    "Smoot-Hawley": "NNP",
    "Smorgon": "NNP",
    "Smug": "JJ",
    "Smukler": "NNP",
    "Smurfit": "NNP",
    "Smuzynski": "NNP",
    "Smyrna": "NNP",
    "Smyth": "NNP",
    "Smythe": "NNP",
    "Snack-food": "NN",
    "Snacking": "NN",
    "Snake": "NNP",
    "Snakes": "NNS",
    "Snap-On": "NNP",
    "Snapped": "VBD",
    "Snaresbrook": "NNP",
    "Snatchers": "NNPS",
    "Snatching": "VBG",
    "Snead": "NNP",
    "Sneaker": "NNP",
    "Snecma": "NNP",
    "Snedaker": "NNP",
    "Snedeker": "NNP",
    "Sneed": "NNP",
    "Snelling": "NNP",
    "Snellville": "NNP",
    "Snezak": "NNP",
    "Sniffing": "VBG",
    "Sniffle": "NNP",
    "Sniper": "NNP",
    "Snodgrass": "NNP",
    "Snook": "NNP",
    "Snoopy": "NNP",
    "Snoozing": "VBG",
    "Snopes": "NNP",
    "Snow": "NNP",
    "Snowball": "NN",
    "Snowmass": "NNP",
    "Snuff": "NNP",
    "Snug-Grip": "NNP",
    "Snuggle": "NNP",
    "Snyder": "NNP",
    "So": "RB|NNP|CC|IN|UH",
    "So-Ho": "NNP",
    "So-called": "JJ|NNP",
    "So-so": "NN",
    "SoHo": "NNP",
    "Soak": "VB",
    "Soap": "NNP",
    "Soapy": "JJ",
    "Soares-Kemp": "NNP",
    "Soaring": "VBG",
    "Soba": "FW",
    "Sobel": "NNP",
    "Sober": "NNP",
    "Sobey": "NNP",
    "Sobibor": "NNP",
    "Soccer": "NNP",
    "Sochaux": "NNP",
    "Sochi": "NNP",
    "Social": "NNP|JJ|NNS",
    "Socialism": "NN|NNP",
    "Socialist": "NNP|JJ",
    "Socialist-led": "JJ",
    "Socialists": "NNPS|NNS",
    "Socialization": "NN",
    "Societa": "NNP",
    "Societe": "NNP",
    "Societies": "NNS",
    "Society": "NNP",
    "Socinianism": "NNP",
    "Sociological": "JJ",
    "Sock": "VB",
    "Socola": "NNP",
    "Soconoco": "NNP",
    "Socrates": "NNP",
    "Soda": "NNP",
    "Soderblom": "NNP",
    "Sodium": "NN",
    "Soeren": "NNP",
    "Soering": "NNP",
    "Sofia": "NNP",
    "Sofitel": "NNP",
    "Soft": "JJ|NNP",
    "Soft-Sell": "JJ",
    "Soft-drink": "NN",
    "Soft-spoken": "JJ",
    "SoftLetter": "NNP",
    "Softener": "NN",
    "Softer": "JJR",
    "Softer-than-expected": "JJ",
    "Softletter": "NNP",
    "Softly": "RB",
    "Softness": "NN",
    "Softsoap": "NNP",
    "Software": "NNP",
    "Sogo": "NNP",
    "Sohmer": "NNP",
    "Sohn": "NNP",
    "Soho": "NNP",
    "Soichiro": "NNP",
    "Soifer": "NNP",
    "Soignee": "FW",
    "Soil": "NN",
    "Soir": "NNP",
    "Soiree": "NNP",
    "Sojourner": "NNP",
    "Sojuzpushnina": "NNP",
    "Sokol": "NNP",
    "Sokolev": "NNP",
    "Sokolov": "NNP",
    "Sokolsky": "NNP",
    "Sol": "NNP",
    "Solaia": "NNP",
    "Solana": "NNP",
    "Solano": "NNP",
    "Solar": "NNP|JJ",
    "Solar-powered": "JJ",
    "Solarz": "NNP",
    "Solchaga": "NNP",
    "Sold": "VBN",
    "Soldado": "NNP",
    "Soldatenko": "NNP",
    "Solder": "VB",
    "Soldier": "NNP",
    "Soldiers": "NNS|NNPS",
    "Sole": "NNP",
    "Solebury": "NNP",
    "Soleil": "NNP",
    "Solel": "NNP",
    "Solemnis": "NNP",
    "Solemnly": "RB",
    "Soler": "NNP",
    "Solesmes": "NNP",
    "Solicitor": "NNP",
    "Solid": "JJ|NNP",
    "Solidarity": "NNP",
    "Solidarity-led": "JJ",
    "Solidarityled": "NNP",
    "Solihull": "NNP",
    "Solis-Cohen": "NNP",
    "Solitudinem": "FW",
    "Soliz": "NNP",
    "Soll": "NNP",
    "Solloway": "NNP",
    "Solly": "NNP",
    "Solna": "NNP",
    "Solo": "NNP|JJ",
    "Solodar": "NNP",
    "Solomon": "NNP",
    "Solomon-like": "JJ",
    "Solomonic": "JJ",
    "Solomons": "NNPS",
    "Solon": "NNP",
    "Soloviev": "NNP",
    "Soloviev-Sedoi": "NNP",
    "Solovyov": "NNP",
    "Solow": "NNP",
    "Solution": "NN|NNP",
    "Solutions": "NNPS|NNS",
    "Solvay": "NNP",
    "Solved": "VBD",
    "Solving": "VBG",
    "Solzhenitsyn": "NNP",
    "Somali": "JJ|NNP",
    "Somalia": "NNP",
    "Somalis": "NNPS",
    "Somay": "NNP",
    "Sombrotto": "NNP",
    "Some": "DT|NNP|RB",
    "Somebody": "NN|NNP",
    "Someday": "RB|NN",
    "Somehow": "RB",
    "Someone": "NN|NNP",
    "Somers": "NNP",
    "Somersaults": "NNS",
    "Somerset": "NNP",
    "Somerville": "NNP",
    "Something": "NN|NNP",
    "Sometime": "RB",
    "Sometimes": "RB",
    "Somewhat": "RB",
    "Somewhere": "RB|NNP",
    "Sommer": "NNP",
    "Sommers": "NNP",
    "Somoza": "NNP",
    "Son": "NNP",
    "Son-of-DAT": "NNP",
    "Sonambula": "NNP",
    "Sonar": "NN",
    "Sonata": "NNP",
    "Sonatas": "NNS|NNP",
    "Sonates": "NNPS",
    "Sondheim": "NNP",
    "Sonenberg": "NNP",
    "Sonet": "NNP",
    "Sonet-based": "JJ",
    "Sonet-compatible": "JJ",
    "Song": "NN|NNP",
    "Song-sam": "NNP",
    "Songau": "NNP",
    "Songbag": "NNP",
    "Songs": "NNPS|NNS",
    "Sonia": "NNP",
    "Sonic": "JJ",
    "Sonja": "NNP",
    "Sonnenschein": "NNP",
    "Sonnett": "NNP",
    "Sonni": "NNP",
    "Sonntag": "FW",
    "Sonny": "NNP",
    "Sonoma": "NNP",
    "Sonora": "NNP|NN",
    "Sons": "NNP|NNS|NNPS",
    "Sontag": "NNP",
    "Sonuvabitch": "UH",
    "Sony": "NNP",
    "Sony-Columbia": "JJ|NNP",
    "Sony-owned": "JJ",
    "Sony/Columbia": "NNP",
    "Soo": "NNP",
    "Soon": "RB",
    "Sooner": "RB|RBR",
    "Sooraji": "NNP",
    "Soothing": "VBG",
    "Soothsayer": "NNP",
    "Sophia": "NNP",
    "Sophias": "NNP",
    "Sophie": "NNP",
    "Sophisticated": "JJ",
    "Sophoclean": "NNP",
    "Sophocles": "NNP",
    "Sophomore": "NN",
    "Sophomores": "NNS",
    "Sopsaisana": "NNP",
    "Sorbus": "NNP",
    "Sore": "JJ",
    "Sorecom": "NNP",
    "Soren": "NNP",
    "Sorenson": "NNP",
    "Sorge": "NNP",
    "Soria": "NNP",
    "Sorkin": "NNP",
    "Soros": "NNP",
    "Sorrell": "NNP",
    "Sorrentine": "NNP",
    "Sorrentino": "NNP",
    "Sorrow": "NNP",
    "Sorry": "JJ|UH",
    "Sort": "NN|VB",
    "Sorting": "VBG",
    "Sosnick": "NNP",
    "Sosnoff": "NNP",
    "Sosuke": "NNP",
    "Sotela": "NNP",
    "Sotheby": "NNP",
    "Sotnikov": "NNP",
    "Soto": "NNP",
    "Sotun": "NNP",
    "Souci": "NNP",
    "Soucy": "NNP",
    "Soukhouma": "NNP",
    "Soul": "NNP",
    "Soule": "NNP",
    "Sound": "NNP|JJ|VB|VBZ",
    "SoundView": "NNP",
    "Sounder": "NNP",
    "Sounds": "VBZ",
    "Soundview": "NNP",
    "Sounion": "NNP",
    "Soup": "NNP",
    "Souper": "NNP",
    "Souphanouvong": "NNP",
    "Soups": "NNP",
    "Soupy": "JJ",
    "Sour": "NNP",
    "Source": "NN|NNP",
    "Source:New": "NNP",
    "Sources": "NNS|NNP",
    "Sourcing": "VBG",
    "Sousa": "NNP",
    "South": "NNP|NNPS|JJ|RB",
    "South-Asian": "NNP",
    "South-East": "NNP",
    "Southam": "NNP",
    "Southampton": "NNP",
    "Southbrook": "NNP",
    "Southdown": "NNP",
    "Southeast": "NNP|JJ|RB",
    "Southeastern": "NNP|JJ",
    "Southern": "NNP|JJ",
    "Southern-Republican": "NNP",
    "Southerner": "NNP|JJ",
    "Southerners": "NNPS|NNS",
    "Southey": "NNP",
    "Southfield": "NNP|JJ",
    "Southgate": "NNP",
    "Southhampton": "NNP",
    "Southlake": "NNP",
    "Southland": "NNP",
    "Southlife": "NNP",
    "Southmark": "NNP",
    "Southmark-sponsored": "JJ",
    "Southmark-supported": "JJ",
    "Southmark/Envicon": "NNP",
    "Southon": "NNP",
    "Southport": "NNP",
    "Souths": "NNPS",
    "Southwest": "NNP|JJ|RB",
    "Southwestern": "NNP|JJ",
    "Southwide": "NNP",
    "Southwood": "NNP",
    "Souvanna": "NNP",
    "Souza": "NNP",
    "Sovereign": "NNP",
    "Soviet": "JJ|NNP",
    "Soviet-American": "JJ",
    "Soviet-Chinese": "NNP",
    "Soviet-Finnish": "JJ",
    "Soviet-German": "NNP",
    "Soviet-Israeli": "JJ",
    "Soviet-Korean": "JJ",
    "Soviet-Western": "NNP",
    "Soviet-accredited": "JJ",
    "Soviet-backed": "JJ",
    "Soviet-bloc": "JJ",
    "Soviet-built": "JJ",
    "Soviet-controlled": "JJ",
    "Soviet-finished": "JJ",
    "Soviet-made": "JJ",
    "Soviet-style": "JJ",
    "Soviet-supplied": "JJ",
    "Soviet-trained": "JJ",
    "Sovietized": "JJ",
    "Sovietologist": "NN",
    "Soviets": "NNPS|NNS",
    "Sovietskaya": "NNP",
    "Sovran": "NNP",
    "Sovtransavto": "NNP",
    "Sowell": "NNP",
    "Soweto": "NNP",
    "Sows": "NNS",
    "Sox": "NNPS|NNP",
    "Soxhlet": "NN",
    "Soya": "NNP",
    "Soybean": "NN",
    "Soybeans": "NNS|NNPS",
    "Soyuz": "NNP",
    "Soyuzgoscirk": "NNP",
    "Sp": "NNP",
    "SpA": "NNP",
    "Spa": "NNP",
    "Spaarbank": "NNP",
    "Space": "NNP",
    "Space-net": "NNP",
    "Spaced": "NNP",
    "Spacenet": "NNP",
    "Spaces": "NNPS",
    "Spada": "NNP",
    "Spadafora": "NNP",
    "Spade": "NNP",
    "Spady": "NNP",
    "Spaeth": "NNP",
    "Spaghetti": "NNP",
    "Spagna": "FW",
    "Spago": "NNP",
    "Spahn": "NNP",
    "Spahnie": "NN",
    "Spahr": "NNP",
    "Spain": "NNP",
    "Spalding": "NNP|VBG",
    "Spalsbury": "NNP",
    "Spam": "NNP",
    "Span": "NN|NNP",
    "Spanberg": "NNP",
    "Spangenberg": "NNP",
    "Spangled": "NNP",
    "Spanish": "JJ|NNP|NNPS",
    "Spanish-American": "NNP|JJ",
    "Spanish-born": "JJ",
    "Spanish-language": "JJ|NN|NNP",
    "Spanish-speaking": "JJ",
    "Spanos": "NNP",
    "Spar": "NNP",
    "Sparc": "NNP",
    "Sparcstation": "NNP",
    "Spare": "JJ",
    "Spark": "NNP",
    "Sparkling": "NNP",
    "Sparkman": "NNP",
    "Sparks": "VBZ|NNP",
    "Sparky": "NNP",
    "Sparling": "NNP",
    "Sparrow-size": "NNP",
    "Sparrows": "NNP",
    "Sparta": "NNP",
    "Spartan": "NNP|JJ",
    "Spatial": "JJ",
    "Spatiality": "NN",
    "Spaulding": "NNP",
    "Spaull": "NNP",
    "Speak": "VB|NN|NNP",
    "Speaker": "NNP",
    "Speakers": "NNS",
    "Speakership": "NNP",
    "Speaking": "VBG|NN|NNP",
    "Spear": "NNP|VB",
    "Spec.": "NN",
    "Special": "JJ|NNP",
    "Special-election": "NN",
    "Special-interest": "JJ",
    "Specialist": "NNP",
    "Specialists": "NNS",
    "Specialized": "NNP|JJ",
    "Specially": "RB",
    "Specialties": "NNP",
    "Specialty": "NNP",
    "Species": "NNP|NNPS",
    "Specific": "JJ",
    "Specific-Time": "NNP",
    "Specifically": "RB",
    "Specifications": "NNS|NNP",
    "Specifics": "NNS",
    "Specimens": "NNS",
    "Spectator": "NNP",
    "Spectators": "NNS",
    "Specter": "NNP",
    "Specthrie": "NNP",
    "Spector": "NNP",
    "Spectra": "NNP|NNS",
    "Spectradyne": "NNP",
    "Spectrum": "NNP",
    "Speculation": "NN",
    "Speculative": "JJ",
    "Speculators": "NNS",
    "Speeches": "NNS",
    "Speed": "NN|VB|NNP",
    "Speedup": "NN|NNP",
    "Speedway": "NNP",
    "Speedy": "NNP",
    "Speer": "NNP",
    "Spegititgninino": "NNP",
    "Speidel": "NNP",
    "SpellRight": "NNP",
    "Spelling": "NNP",
    "Spelman": "NNP",
    "Spence": "NNP",
    "Spencer": "NNP",
    "Spencerian": "JJ",
    "Spend": "VB",
    "Spending": "NN|VBG",
    "Spendthrift": "NNP",
    "Spengler": "NNP",
    "Spenglerian": "JJ",
    "Spenser": "NNP",
    "Sperandeo": "NNP",
    "Sperling": "NNP",
    "Sperry": "NNP",
    "Spethmann": "NNP",
    "Spherical": "JJ",
    "Sphinx": "NNP",
    "Spic": "NNP",
    "Spice-Nice": "NNP",
    "Spicer": "NNP",
    "Spider": "NNP",
    "Spiegel": "NNP",
    "Spiegelman": "NNP",
    "Spielberg": "NNP",
    "Spielvogel": "NNP",
    "Spierer": "NNP",
    "Spievack": "NNP",
    "Spike": "NNP",
    "Spike-haired": "JJ",
    "Spikes": "NNP",
    "Spill": "NN",
    "Spillane": "NNP",
    "Spiller": "NNP",
    "Spilman": "NNP",
    "Spin": "NNP",
    "Spinco": "NNP",
    "Spinelli": "NNP",
    "Spinley": "NNP",
    "Spinnaker": "NNP",
    "Spinners": "NNPS",
    "Spinney": "NNP",
    "Spinning": "VBG",
    "Spinoffs": "NNS",
    "Spinola": "NNP",
    "Spinrad": "NNP",
    "Spiotto": "NNP",
    "Spirit": "NN|NNP",
    "Spirited": "JJ",
    "Spirito": "NNP|FW",
    "Spirits": "NNS|NNP|NNPS",
    "Spiritual": "JJ",
    "Spirituals": "NNS",
    "Spiro": "NNP",
    "Spirrison": "NNP",
    "Spitalnick": "NNP",
    "Spitler": "NNP",
    "Spitzenburg": "NNP",
    "Splendid": "JJ",
    "Splendide": "NNP",
    "Splendor": "NN",
    "Splenomegaly": "NN",
    "Splinting": "NNP",
    "Split": "VBN",
    "Splits": "NNS",
    "Spofford": "NNP",
    "Spogli": "NNP",
    "Spoilage": "NN",
    "Spokane": "NNP",
    "Spoken": "NNP",
    "Spokesman": "NNP",
    "Spokesmen": "NNP|NNS",
    "Spokespersons": "NNS",
    "Spokeswomen": "NNS",
    "Sponge": "NNP",
    "Sponsor": "NNP",
    "Sponsored": "VBN",
    "Sponsors": "NNS",
    "Spontaneity": "NN",
    "Spontex": "NNP",
    "Spook": "VBP",
    "Spooked": "VBN",
    "Spoon": "NNP",
    "Sporadic": "JJ",
    "Sporkin": "NNP",
    "Sport": "NNP",
    "Sport-King": "NN",
    "Sportdom": "NN",
    "Sportin": "VBG",
    "Sporting": "NNP",
    "Sporto": "NNP",
    "Sports": "NNP|NNPS|NNS",
    "Sportscasters": "NNS",
    "Sportscreme": "NNP",
    "Sportsman": "NNP",
    "Sportsmen": "NNS",
    "Sportswear": "NNP",
    "Sportswriters": "NNS",
    "Sposato": "NNP",
    "Spot": "NN",
    "Spotlight": "NNP",
    "Spots": "NNS",
    "Spotted": "VBN",
    "Spouse": "NN",
    "Sprague": "NNP",
    "Spraying": "VBG",
    "Spread": "VB",
    "Spreading": "NNP",
    "Spreads": "NNS",
    "Sprecher": "NNP",
    "Sprenger": "NNP",
    "Spring": "NNP",
    "Springdale": "NNP",
    "Springerville": "NNP",
    "Springfield": "NNP",
    "Springing": "VBG",
    "Springs": "NNP|NNS|NNPS",
    "Sprinkel": "NNP",
    "Sprinkle": "VB",
    "Sprinkled": "VBN",
    "Sprint": "NNP",
    "Sprite": "NNP",
    "Sprizzo": "NNP",
    "Sprouted": "VBN",
    "Sprouting": "NN",
    "Spruce": "NNP",
    "Spruell": "NNP",
    "Spruill": "NNP",
    "Sprung": "NNP",
    "Spumoni": "NNS",
    "Spurdle": "NNP",
    "Spurgeon": "NNP",
    "Spurred": "VBN",
    "Sputnik": "NNP",
    "Spuyten": "NNP",
    "Spy": "NNP",
    "Spycatcher": "NN",
    "Spycket": "NNP",
    "Squad": "NN|NNP",
    "Squadron": "NNP",
    "Squadrons": "NNP",
    "Square": "NNP|JJ|VB",
    "Squaresville": "NNP",
    "Squat-style": "JJ",
    "Squats": "NNS",
    "Squatting": "VBG|NNP",
    "Squeezed": "VBN",
    "Squeezing": "VBG",
    "Squibb": "NNP",
    "Squier": "NNP",
    "Squint": "NN",
    "Squire": "NNP",
    "Squires": "NNP",
    "Sr": "NNP",
    "Sr.": "NNP",
    "Sri": "NNP",
    "SsangYong": "NNP",
    "Ssmc": "NN|NNP",
    "Sssshoo": "NN",
    "St": "NNP",
    "St-Laurent": "NNP",
    "St-story": "NN",
    "St.": "NNP",
    "St.-Pol": "NNP",
    "Staar": "NNP",
    "Stabat": "NNP",
    "Stabbert": "NNP",
    "Stabenau": "NNP",
    "Stabilizing": "VBG",
    "Stacey": "NNP",
    "Stack": "NNP",
    "Stacked": "JJ",
    "Stackup": "NNP",
    "Stacy": "NNP",
    "Stadium": "NNP",
    "Stadiums": "NNS",
    "Stadt": "NNP",
    "Stadtisches": "NNP",
    "Stadtmauer": "NNP",
    "Staff": "NNP",
    "Staffe": "NNP",
    "Staffers": "NNS",
    "Staffing": "NNP",
    "Stafford": "NNP",
    "Staffordshire": "NNP",
    "Staffs": "NNS",
    "Stag": "NNP",
    "Stage": "NNP",
    "Stagecoach": "NNP",
    "Staged": "VBN",
    "Staggeringly": "RB",
    "Stahl": "NNP",
    "Staiger": "NNP",
    "Stained": "VBN",
    "Staining": "VBG",
    "Stainless": "NNP|JJ",
    "Stains": "NNS",
    "Staircase": "NN",
    "Stairs": "NNP",
    "Stake": "VB",
    "Stakes": "NNP|NNS",
    "Stalag": "NNP",
    "Stale": "JJ",
    "Staley": "NNP",
    "Stalin": "NNP",
    "Stalingr": "NNP",
    "Stalinism": "NNP",
    "Stalinist": "JJ|NN|NNP",
    "Stalinist-corrupted": "JJ",
    "Stalinists": "NNPS|NNS",
    "Stalins": "NNPS",
    "Stalk": "NNP",
    "Stalker": "NNP",
    "Stall": "NN",
    "Stallard": "NNP",
    "Stalled": "VBN",
    "Stalling": "VBG",
    "Stallings": "NNP",
    "Stallkamp": "NNP",
    "Stallone": "NNP",
    "Staloff": "NNP",
    "Stalone": "NNP",
    "Stals": "NNP",
    "Stamford": "NNP",
    "Stammering": "NN",
    "Stan": "NNP",
    "Stanbury": "NNP",
    "Stancs": "NNP",
    "Stand": "VB|VBP|NN",
    "Standard": "NNP|JJ",
    "Standard-Times": "NNP",
    "Standard-issue": "JJ",
    "Standardization": "NN",
    "Standardized": "JJ",
    "Standards": "NNP|NNPS",
    "Standing": "VBG|NNP",
    "Stands": "NNP",
    "Stanford": "NNP",
    "Stanford-Idec": "NNP",
    "Stanger": "NNP",
    "Stanhope": "NNP",
    "Stanislas": "NNP",
    "Stanislav": "NNP",
    "Stanislaw": "NNP",
    "Staniszkis": "NNP",
    "Stanley": "NNP",
    "Stannard": "NNP",
    "Stans": "NNP",
    "Stansbery": "NNP",
    "Stansfield": "NNP",
    "Stanton": "NNP",
    "Stanwick": "NNP",
    "Stanza": "NNP",
    "Stapf": "NNP",
    "Staples": "NNP|NNPS|NNS",
    "Stapleton": "NNP",
    "Star": "NNP|JJ",
    "Star-Spangled": "NNP|JJ",
    "Starbird": "NNP",
    "Starch": "NNP",
    "Stardel": "NNP",
    "Stardent": "NNP",
    "Stardust": "NN",
    "Staring": "VBG",
    "Stark": "NNP",
    "Starke": "NNP",
    "Starkey": "NNP",
    "Starkov": "NNP",
    "Starks": "NNP",
    "Starling": "NNP",
    "Starlings": "NNS",
    "Starpointe": "NNP",
    "Starr": "NNP",
    "Stars": "NNP|NNS|NNPS",
    "Start": "VB|NN|NNP|VBP",
    "Start-up": "JJ",
    "Started": "VBN",
    "Starter": "NNP",
    "Starting": "VBG",
    "Startled": "VBN",
    "Starts": "VBZ|NNS",
    "Starve": "VB|NNP",
    "Starzl": "NNP",
    "Stash": "NNP",
    "Stat.": "NNP",
    "State": "NNP|NNS",
    "State-Local": "NNP",
    "State-capitol": "NN",
    "State-controlled": "JJ",
    "State-financed": "JJ",
    "State-owned": "JJ",
    "State-run": "JJ",
    "Stated": "VBN",
    "Statehood": "NNP",
    "Statehouse": "NN",
    "Statements": "NNS",
    "Staten": "NNP",
    "Stater": "NNP",
    "States": "NNPS|NNS",
    "States-Yugoslav": "NNP",
    "StatesWest": "NNP|JJS",
    "Statesman": "NNP",
    "Stateswest": "NNP",
    "Station": "NNP",
    "Stations": "NNPS|NNS",
    "Statistical": "NNP|JJ",
    "Statistically": "RB",
    "Statistics": "NNPS|NNP|NNS",
    "Statistique": "NNP",
    "Statue": "NNP",
    "Statues": "NNS",
    "Stature": "NN",
    "Status": "NN|NNP",
    "Status-roles": "NNS",
    "Statute": "NN",
    "Statutes": "NNS",
    "Statuto": "NN",
    "Stauffer": "NNP",
    "Staunton": "NNP",
    "Stavropoulos": "NNP",
    "Stay": "NNP|VB",
    "Ste.": "NNP",
    "Steady": "JJ",
    "Steak": "NNP",
    "Stealth": "NNP",
    "Steam": "NN",
    "Steamboat": "NNP",
    "Steamed": "VBN",
    "Steamship": "NNP",
    "Stearn": "NNP",
    "Stearns": "NNP|NNPS",
    "Steckles": "NNP",
    "Stedt": "NNP",
    "Steel": "NNP",
    "Steele": "NNP",
    "Steelers": "NNP",
    "Steelmakers": "NNS",
    "Steelmaking": "NN",
    "Steels": "NNP|NNS",
    "Steelton": "NNP",
    "Steelworkers": "NNPS",
    "Steen": "NNP",
    "Steep": "NNP",
    "Steer": "VB",
    "Steeves": "NNP",
    "Stefan": "NNP",
    "Steffens": "NNP",
    "Steffes": "NNP",
    "Stegemeier": "NNP",
    "Stehelin": "NNP",
    "Stehlin": "NNP",
    "Steichen": "NNP",
    "Steidtmann": "NNP",
    "Steiger": "NNP",
    "Stein": "NNP",
    "Steinbach": "NNP",
    "Steinbeck": "NNP",
    "Steinbecks": "NNPS",
    "Steinberg": "NNP",
    "Steinbergs": "NNP",
    "Steinbrenner": "NNP",
    "Steiner": "NNP",
    "Steiners": "NNPS",
    "Steinhager": "NNP",
    "Steinhardt": "NNP",
    "Steinhart": "NNP",
    "Steinkerque": "NNP",
    "Steinkrauss": "NNP",
    "Steinkuehler": "NNP",
    "Steinkuhler": "NNP",
    "Steinman": "NNP",
    "Steinmetz": "NNP",
    "Stelco": "NNP",
    "Stella": "NNP",
    "Stellar": "NNP",
    "Stelzer": "NNP",
    "Stempel": "NNP",
    "Stems": "NNS",
    "Stena": "NNP",
    "Stena-Tiphook": "NNP",
    "Stendhal": "NNP",
    "Stendler": "NNP",
    "Stenexport": "NNP",
    "Stengel": "NNP",
    "Stenhach": "NNP",
    "Stenhachs": "NNPS",
    "Stenholm": "NNP",
    "Stennett": "NNP",
    "Stennis": "NNP",
    "Stensrud": "NNP",
    "Stenton": "NNP",
    "Step": "NN|NNP|VB",
    "Stepanian": "NNP",
    "Stepanova": "NNP",
    "Stepanovich": "NNP",
    "Stephan": "NNP",
    "Stephane": "NNP",
    "Stephanie": "NNP",
    "Stephen": "NNP",
    "Stephens": "NNP",
    "Stephenson": "NNP",
    "Steppan": "NNP",
    "Steppel": "NNP",
    "Steppenwolf": "NNP",
    "Steppers": "NNPS|NNS",
    "Steps": "VBZ|NNPS|NNS",
    "Stepson": "NNP",
    "Steptoe": "NNP",
    "Sterba": "NNP",
    "Sterbas": "NNPS",
    "Sterile": "NNP",
    "Sterilized": "JJ",
    "Sterling": "NNP",
    "Sterlings": "NNPS",
    "Stern": "NNP|JJ",
    "Stern-faced": "JJ",
    "Sternbach": "NNP",
    "Sternberg": "NNP",
    "Sternenberg": "NNP",
    "Steroids": "NNS",
    "Stertz": "NNP",
    "Stetson": "NNP",
    "Stetsons": "NNPS",
    "Stettin": "NNP",
    "Steuben": "NNP",
    "Steudler": "NNP",
    "Steve": "NNP",
    "Steven": "NNP",
    "Stevens": "NNP",
    "Stevenses": "NNPS",
    "Stevenson": "NNP",
    "Stevie": "NNP",
    "Stevric": "NNP",
    "Steward": "NN",
    "Stewart": "NNP",
    "Stibel": "NNP",
    "Stick": "NNP|VB",
    "Sticker": "NN",
    "Stickers": "NNS",
    "Sticking": "NNP",
    "Stickler": "NN",
    "Stickney": "NNP",
    "Sticks": "NNP",
    "Stidger": "NNP",
    "Stieglitz": "NNP",
    "Stiemerling": "NNP",
    "Stifel": "NNP",
    "Stiff": "JJ",
    "Stifter": "NNP",
    "Stigmata": "NNS",
    "Stikeman": "NNP",
    "Stileman": "NNP",
    "Stiles": "NNP",
    "Stiling": "NNP",
    "Still": "RB|NNP|JJ",
    "Stiller": "NNP",
    "Stillerman": "NNP",
    "Stillwater": "NNP",
    "Stillwell": "NNP",
    "Stilts": "NNP",
    "Stimson": "NNP",
    "Stimulates": "VBZ",
    "Stimulating": "VBG",
    "Sting": "NNP",
    "Stinger": "NNP",
    "Stingers": "NNPS",
    "Stinky": "NNP",
    "Stinnett": "NNP",
    "Stinson": "NNP",
    "Stiritz": "NNP",
    "Stirlen": "NNP",
    "Stirling": "NNP",
    "Stirring": "VBG",
    "Stirs": "VBZ",
    "Stitched": "VBN",
    "Stjernsward": "NNP",
    "Stober": "NNP",
    "Stock": "NNP",
    "Stock-Index": "NN",
    "Stock-fund": "NN|JJ",
    "Stock-index": "NN|JJ",
    "Stock-loan": "NN",
    "Stock-market": "NN",
    "Stockard": "NNP",
    "Stockbrokers": "NNS|NNP",
    "Stockdale": "NNP",
    "Stockgrowers": "NNPS",
    "Stockhausen": "NNP",
    "Stockholder": "NN",
    "Stockholders": "NNS|NNP",
    "Stockholm": "NNP",
    "Stockman": "NNP",
    "Stocks": "NNS|NNPS",
    "Stocks/Mutual": "NNP",
    "Stockton": "NNP",
    "Stoddard": "NNP",
    "Stoeckel": "NNP",
    "Stoecker": "NNP",
    "Stoecklin": "NNP",
    "Stoic": "NNP|JJ",
    "Stoic-patristic": "JJ",
    "Stoicism": "NN",
    "Stoics": "NNS",
    "Stokely": "NNP",
    "Stolen": "NNP",
    "Stolichnaya": "NNP",
    "Stoll": "NNP",
    "Stoller": "NNP",
    "Stolley": "NNP",
    "Stoltenberg": "NNP",
    "Stoltz": "NNP",
    "Stoltzman": "NNP",
    "Stolz": "NNP",
    "Stolzenbach": "NNP",
    "Stolzman": "NNP",
    "Stomach": "NNP",
    "Stone": "NNP",
    "Stone-Consolidated": "NNP",
    "Stonehenge": "NNP",
    "Stoneman": "NNP",
    "Stoner": "NNP",
    "Stoneridge": "NNP",
    "Stones": "NNP|NNPS",
    "Stonestown": "NNP",
    "Stonewall": "NNP",
    "Stoneware": "JJ",
    "Stony": "NNP",
    "Stooges": "NNPS",
    "Stookey": "NNP",
    "Stoops": "NNP",
    "Stop": "NNP|VB|NN",
    "Stop-Limit": "NNP",
    "Stop-close-only": "JJ",
    "Stop-limit": "JJ",
    "Stop-loss": "NN",
    "Stoppard": "NNP",
    "Stopped": "VBN",
    "Stopping": "VBG",
    "Stops": "NNP",
    "Storage": "NNP",
    "Store": "NNP",
    "Storehouse": "NNP",
    "Storekeepers": "NNS",
    "Storer": "NNP",
    "Storeria": "NNP",
    "Stores": "NNPS|NNS",
    "Stories": "NNP|NNS",
    "Stork": "NNP",
    "Storm": "NN|NNP",
    "Stormy": "NNP",
    "Story": "NNP",
    "Storyboard": "NNP",
    "Storyteller": "NNP",
    "Stotler": "NNP",
    "Stott": "NNP",
    "Stouffer": "NNP",
    "Stout": "NNP",
    "Stoutt": "NNP",
    "Stovall": "NNP",
    "Stover": "NNP",
    "Stowe": "NNP",
    "Stowey": "NNP",
    "Stoyer": "NNP",
    "Strafaci": "NNP",
    "Straight": "JJ",
    "Straight-Arm": "NNP",
    "Straighten": "VB",
    "Straightened": "VBN",
    "Straightening": "VBG",
    "Straights": "NNS",
    "Strait": "NNP",
    "Straits": "NNPS|NNS",
    "Stram": "NNP",
    "Stranahan": "NNP",
    "Strand": "NNP",
    "Strang": "NNP",
    "Strange": "JJ|NNP",
    "Strangelove": "NNP",
    "Strangely": "RB",
    "Stranger": "JJR",
    "Strangfeld": "NNP",
    "Strangler": "NNP",
    "Straniera": "NNP",
    "Strapless": "NNP",
    "Strasbourg": "NNP",
    "Strasny": "NNP",
    "Strasser": "NNP",
    "Strassner": "NNP",
    "Straszheim": "NNP",
    "Stratagene": "NNP",
    "Stratas": "NNP",
    "Strategic": "NNP|JJ",
    "Strategies": "NNS|NNP",
    "Strategists": "NNS",
    "Strategy": "NN|NNP",
    "Stratford": "NNP|VB",
    "Stratforde": "NNP",
    "Stratton": "NNP",
    "Stratus": "NNP",
    "Straub": "NNP",
    "Straus": "NNP",
    "Strauss": "NNP",
    "Stravinsky": "NNP",
    "Strawberry": "NNP",
    "Strawbridge": "NNP",
    "Streak": "NNP",
    "Stream": "NNP",
    "Streep": "NNP",
    "Street": "NNP",
    "Street-inspired": "JJ",
    "Street-style": "JJ",
    "Streeter": "NNP",
    "Streeters": "NNP|NNS",
    "Streets": "NNPS|NNP",
    "Streetspeak": "VB|NNP",
    "Strehler": "NNP",
    "Streisand": "NNP",
    "Strekel": "NNP",
    "Strenger": "NNP",
    "Strength": "NN|NNP",
    "Strenuous": "JJ",
    "Streptococcus": "NN",
    "Stress": "NN|NNP",
    "Stressed": "VBN",
    "Stressed-out": "JJ",
    "Stretch": "NNP|JJ",
    "Stretching": "VBG",
    "Stricken": "NNP",
    "Strickland": "NNP",
    "Strict": "JJ",
    "Strictly": "RB",
    "Stride": "NNP",
    "Strident": "JJ",
    "Strieber": "NNP",
    "Strike": "NN|VB|NNP",
    "Strikes": "NNS",
    "Striking": "VBG|JJ",
    "Strindberg": "NNP",
    "String": "NNP|VB",
    "Stringer": "NNP",
    "Stringfellow": "NNP",
    "Stringing": "VBG",
    "Strings": "NNP|NNPS|NNS",
    "Strip": "NNP|VB",
    "Stripes": "NNP|NNPS|NNS",
    "Strippers": "NNS",
    "Strips": "NNS",
    "Stritch": "NNP",
    "Strivers": "NNPS",
    "Strobel": "NNP",
    "Stroh": "NNP",
    "Strohman": "NNP",
    "Stroked": "VBD",
    "Strokes": "NNS",
    "Stroking": "VBG",
    "Strolling": "VBG",
    "Strom": "NNP",
    "Stromeyer": "NNP",
    "Stronach": "NNP",
    "Strong": "JJ|NNP",
    "Strong-earnings": "NNS",
    "Stronger": "JJR|NNP",
    "Strongheart": "NNP",
    "Stronghold": "JJ",
    "Strongin": "NNP",
    "Strongly": "RB",
    "Strother": "NNP",
    "Stroud": "NNP",
    "Strouds": "NNP",
    "Stroup": "NNP",
    "Strub": "NNP",
    "Structural": "NNP|JJ",
    "Structures": "NNS|NNPS",
    "Struggle": "NNP|VBP",
    "Struggles": "NNP",
    "Struggling": "VBG",
    "Strukturbericht": "NNP",
    "Strum": "NNP",
    "Strumwasser": "NNP",
    "Strut": "VB",
    "Struthers": "NNP",
    "Stuart": "NNP",
    "Stuart-James": "NNP",
    "Stuart-family": "NN",
    "Stubblefield": "NNP",
    "Stubblefields": "NNPS",
    "Stubbs": "NNP",
    "Stuck-up": "NN",
    "Stuckert": "NNP",
    "Stuckey": "NNP",
    "Studach": "NNP",
    "Studds": "NNP",
    "Studds-Miller": "NNP",
    "Studebaker": "NNP",
    "Student": "NNP",
    "Students": "NNS|NNPS",
    "Studies": "NNPS|NNS",
    "Studio": "NNP",
    "Studio-City": "NNP",
    "Studios": "NNP|NNPS|NNS",
    "Studwell": "NNP",
    "Study": "NNP|VB",
    "Studying": "VBG",
    "Stuecker": "NNP",
    "Stuff": "NN",
    "Stuffing": "VBG",
    "Stumbles": "VBZ",
    "Stumbling": "JJ",
    "Stumpf": "NNP",
    "Stung": "VBN",
    "Stunned": "VBN",
    "Stupid": "JJ",
    "Sturbridge": "NNP",
    "Sturch": "NNP",
    "Sturdy": "JJ",
    "Sture": "NNP",
    "Sturge": "NNP",
    "Sturges": "NNP",
    "Sturgess": "NNP",
    "Sturley": "NNP",
    "Stuttgart": "NNP",
    "Stuttgart-based": "JJ",
    "Stygian": "JJ",
    "Styka": "NNP",
    "Style": "NNP",
    "Styles": "NNS|NNP",
    "Styrofoam": "NNP",
    "Styron": "NNP",
    "Su": "NNP",
    "Suarez": "NNP",
    "Sub": "NNP",
    "Sub-Saharan": "NNP",
    "Subaru": "NNP",
    "Subcommittee": "NNP",
    "Subcontractors": "NNS",
    "Subdivision": "NNP",
    "Subdued": "JJ",
    "Subgroups": "NNS",
    "Subic": "NNP",
    "Subject": "NN|JJ",
    "Subjects": "NNS",
    "Submarines": "NNS",
    "Subpoenas": "NNS",
    "Subroto": "NNP",
    "Subs": "NNP",
    "Subscribers": "NNS",
    "Subscribing": "VBG",
    "Subsequent": "JJ",
    "Subsequently": "NNP|RB",
    "Subsidiaries": "NNS",
    "Subsidiary": "NN",
    "Subsidies": "NNS",
    "Subsidizing": "VBG",
    "Subsistencias": "NNP",
    "Substance": "NN|NNP",
    "Substances": "NNS",
    "Substantial": "JJ",
    "Substantive": "NNP",
    "Substitute": "JJ",
    "Substituting": "VBG",
    "Subsystems": "NNS",
    "Subtitled": "VBN",
    "Subtle": "JJ",
    "Suburban": "NNP|JJ",
    "Suburbs": "NNP|NNS",
    "Subverts": "NNP",
    "Subway": "NNP",
    "Subways": "NNS",
    "Succasunna": "NNP",
    "Succeed": "NNP",
    "Succeeding": "VBG",
    "Success": "NNP|NN",
    "Successful": "JJ|NNP",
    "Succession": "NN|NNP",
    "Successive": "JJ",
    "Successors": "NNS",
    "Such": "JJ|DT|NNP|PDT",
    "Suchard": "NNP",
    "Suchocki": "NNP",
    "Suckow": "NNP",
    "Sucks": "NNS",
    "Sucre": "NNP",
    "Sucrerie": "NNP",
    "Sudan": "NNP",
    "Sudanese": "NNP",
    "Sudden": "JJ",
    "Suddenly": "RB",
    "Sudier": "NNP",
    "Sudikoff": "NNP",
    "Sudol": "NNP",
    "Sue": "NNP",
    "Suemeg": "NNP",
    "Suez": "NNP",
    "Suez-Hungary": "NNP",
    "Suffer": "VB",
    "Suffering": "VBG",
    "Suffers": "VBZ",
    "Suffice": "VB",
    "Sufficient": "JJ",
    "Suffolk": "NNP",
    "Sufi": "JJ",
    "Sugar": "NNP",
    "Sugarman": "NNP",
    "Sugarman-led": "JJ",
    "Sugars": "NNPS",
    "Sugary": "JJ",
    "Suggest": "VB",
    "Suggested": "VBN|JJ",
    "Suggestion": "NNP",
    "Suggestions": "NNS",
    "Suggests": "NNS",
    "Suggs": "NNP",
    "Suh": "NNP",
    "Suhey": "NNP",
    "Suhler": "NNP",
    "Suicide": "NN",
    "Suisse": "NNP",
    "Suisse-First": "NNP",
    "Suit": "NN",
    "Suitable": "JJ",
    "Suite": "NN|NNP",
    "Suites": "NNP|NNPS",
    "Suitors": "NNS",
    "Suits": "NNS|NNPS",
    "Suiza": "NNP",
    "Sukarno": "NNP",
    "Sukhoi": "NNP",
    "Sukio": "NNP",
    "Sukle": "NNP",
    "Sukuma": "NNP",
    "Sulaiman": "NNP",
    "Sulamite": "NN",
    "Sulamith": "NNP",
    "Sulcer": "NNP",
    "Sulfaquinoxaline": "NN",
    "Sulgrave": "NNP",
    "Suliman": "NNP",
    "Sulka": "NNP",
    "Sullam": "NNP",
    "Sullivan": "NNP",
    "Sully": "NNP",
    "Sulphur": "NN|NNP",
    "Sultan": "NNP",
    "Sultanate": "NNP",
    "Sultane": "NNP",
    "Sultanov": "NNP",
    "Sultans": "NNS",
    "Sulya": "NNP",
    "Sulzberger": "NNP",
    "Sulzer": "NNP",
    "Sum": "NNP",
    "Sumarlin": "NNP",
    "Sumat": "NNP",
    "Sumatra": "NNP",
    "Sumita": "NNP",
    "Sumitomo": "NNP",
    "Summa": "NNP",
    "Summarizing": "VBG",
    "Summary": "NNP",
    "Summaryof": "NNP",
    "Summcorp": "NNP",
    "Summer": "NNPS|NNP",
    "Summerdale": "NN|NNP",
    "Summerfolk": "NNP",
    "Summerland": "NNP",
    "Summers": "NNP",
    "Summerspace": "NNP",
    "Summertime": "NN",
    "Summit": "NNP",
    "Sumner": "NNP",
    "Sumo": "NN",
    "Sumter": "NNP",
    "Sun": "NNP",
    "Sun-3": "NNP",
    "Sun-3/50": "NNP",
    "Sun-Times": "NNP",
    "SunAmerica": "NNP",
    "SunCor": "NNP",
    "SunGard": "NNP",
    "SunTrust": "NNP",
    "Sunay": "NNP",
    "Sunbelt": "NNP",
    "Sunbird": "NNP",
    "Sunburst": "NNP",
    "Sunbury": "NNP",
    "Suncor": "NNP",
    "Sunda": "NNP",
    "Sundance": "NNP",
    "Sundance-based": "JJ",
    "Sundarji": "NNP",
    "Sunday": "NNP",
    "Sunday-Tuesday": "NNP",
    "Sunday-newspaper": "NNP",
    "Sunday-school": "JJ",
    "Sundays": "NNS|NNPS",
    "Sundome": "NNP",
    "Sundor": "NNP",
    "Sundstrand": "NNP",
    "Sunflowers": "NNS",
    "Sung": "NNP",
    "Sung-Shan": "NNP",
    "Sung-il": "NNP",
    "Sungene": "NNP",
    "Sunken": "NNP",
    "Sunkist": "NNP",
    "Sunlight": "NNP",
    "Sunman": "NNP",
    "Sunni": "NNP|JJ",
    "Sunny": "NNP",
    "Sunnyvale": "NNP",
    "Sunoco": "NNP",
    "Sunrise": "NNP",
    "Suns": "NNPS|NNS",
    "Sunset": "NNP",
    "Sunshine": "NNP",
    "Suntory": "NNP",
    "Suntrust": "NNP",
    "Sununu": "NNP",
    "Sunward": "NNP",
    "Suominen": "NNP",
    "Suor": "FW",
    "Supavud": "NNP",
    "Super": "NNP|JJ",
    "Super-NOW": "NNP",
    "Super-Protein": "NNP",
    "Super-Set": "NNP",
    "Super-Sets": "NNP",
    "SuperDot": "NNP",
    "Supercomputers": "NNPS",
    "Superconcentrates": "NNS",
    "Superconductivity": "NN",
    "Superconductor": "NNP",
    "Superconductors": "NNS",
    "Supercritical": "NNP",
    "Superdome": "NNP",
    "Superfund": "NNP",
    "Superintendent": "NNP",
    "Superintendents": "NNS",
    "Superior": "NNP|JJ",
    "Superlative": "NNP",
    "Superman": "NNP",
    "Supermarket": "NNP|NN",
    "Supermarkets": "NNS|NNP|NNPS",
    "Supermatic": "JJ",
    "Superposed": "VBD",
    "Superslim": "NNP",
    "Superslims": "NNPS",
    "Superstar": "NNP",
    "Superstate": "NNP",
    "Superstation": "NNP",
    "Superstition": "NN",
    "Superstitions": "NNPS",
    "Superstores": "NNPS|NNS",
    "Supervision": "NNP",
    "Supervisor": "NNP",
    "Supervisors": "NNPS",
    "Supper": "NNP",
    "Supplee": "NNP",
    "Supplement": "NNP",
    "Supplemental": "NN|NNP|JJ",
    "Supplementary": "NNP",
    "Supplementing": "VBG",
    "Suppliers": "NNS",
    "Supplies": "NNS",
    "Supply": "NNP",
    "Supply-sider": "NNP",
    "Support": "NN|NNP",
    "Supported": "VBN",
    "Supporters": "NNS",
    "Supporting": "VBG",
    "Supportive": "JJ",
    "Supports": "VBZ",
    "Suppose": "VB",
    "Supposedly": "RB|NNP",
    "Supposing": "VBG",
    "Suppression": "NN",
    "Supra-Expressionism": "NNP",
    "Supremacy": "NN",
    "Supreme": "NNP",
    "Supt.": "NNP",
    "Sur": "FW|NNP",
    "Surcliffe": "NNP",
    "Surcliffes": "NNPS",
    "Sure": "RB|NNP|NNS|JJ|UH",
    "Sure-sure": "JJ",
    "Surely": "RB",
    "Suresh": "NNP",
    "Surety": "NNP",
    "Surface": "NN|JJ",
    "Surge": "NNP",
    "Surgeon": "NNP",
    "Surgeons": "NNPS|NNS",
    "Surgery": "NNP",
    "Surgical": "NNP",
    "Surging": "VBG",
    "Surlyn": "NNP",
    "Surmanek": "NNP",
    "Surplus": "JJ|NNP",
    "Surprise": "NNP|NN",
    "Surprised": "VBN",
    "Surprises": "NNS",
    "Surprising": "JJ",
    "Surprisingly": "RB",
    "Surrealists": "NNS",
    "Surrender": "VB|NNP",
    "Surrendering": "VBG",
    "Surrey": "NNP",
    "Surrounded": "VBN",
    "Surrounding": "VBG",
    "Survanta": "NNP",
    "Surveillance": "NN",
    "Survey": "NN|NNP",
    "Surveying": "VBG",
    "Surveys": "NNS|NNP",
    "Survivability": "NN",
    "Survival": "NNP",
    "Survive": "VB",
    "Survived": "VBD",
    "Surviving": "VBG|NNP",
    "Survivors": "NNS",
    "Susan": "NNP",
    "Sushi": "NN",
    "Susie": "NNP",
    "Susitna": "NNP",
    "Suspect": "JJ",
    "Suspected": "VBN|JJ",
    "Suspecting": "VBG",
    "Suspension": "NNP",
    "Suspicion": "NN",
    "Susquehanna": "NNP",
    "Sussex": "NNP",
    "Sussman": "NNP",
    "Sustaining": "VBG",
    "Susumu": "NNP",
    "Sut": "NNP",
    "Sutcliffe": "NNP",
    "Sutermeister": "NNP",
    "Sutherland": "NNP",
    "Sutpen": "NNP",
    "Sutra": "NN",
    "Sutro": "NNP",
    "Suttle": "NNP",
    "Sutton": "NNP",
    "Sutz": "NNP",
    "Suu": "NNP",
    "Suvorov": "NNP",
    "Suzanne": "NNP",
    "Suzman": "NNP",
    "Suzuka": "NNP",
    "Suzuki": "NNP",
    "Suzy": "NNP",
    "Sven": "NNP",
    "Svensk": "NNP",
    "Svenska": "NNP",
    "Svenskarna": "FW",
    "Sventek": "NNP",
    "Sverdlovsk": "NNP",
    "Svevo": "NNP",
    "Swadesh": "NNP",
    "Swaggart": "NNP",
    "Swahili": "NNP",
    "Swaine": "NNP",
    "Swallow": "NNP",
    "Swallow-Barn": "NNP",
    "Swamped": "VBN",
    "Swan": "NN|NNP",
    "Swank": "NNP",
    "Swansea": "NNP",
    "Swanson": "NNP",
    "Swapo": "NNP",
    "Swaps": "NNS",
    "Swartz": "NNP",
    "Swasey": "NNP",
    "Swavely": "NNP",
    "Sweanor": "NNP",
    "Swearingen": "NNP",
    "Swears": "VBZ",
    "Sweat": "NN",
    "Sweathouse": "NN",
    "Sweating": "VBG",
    "Sweaty": "JJ",
    "Sweazey": "NNP",
    "Swed": "NNP",
    "SwedBank": "NNP",
    "Swede": "NN",
    "Sweden": "NNP",
    "Swedes": "NNS|NNPS",
    "Swedish": "JJ|NNP",
    "Swedish-Swiss": "JJ|NNP",
    "Sween": "NNP",
    "Sweeney": "NNP",
    "Sweeneys": "NNPS",
    "Sweeping": "VBG",
    "Sweepstakes": "NNP",
    "Sweet": "NNP|JJ",
    "Sweet-scented": "JJ",
    "Sweet-sour": "JJ",
    "Sweetener": "NNP",
    "Sweezey": "NNP",
    "Sweig": "NNP",
    "Swelling": "JJ|VBG",
    "Swenson": "NNP",
    "Swept": "VBN",
    "Swift": "NNP",
    "Swiftly": "RB",
    "Swifts": "NNPS",
    "Swiggett": "NNP",
    "Swim": "NNP",
    "Swinburne": "NNP",
    "Swine": "JJ",
    "Swing": "NNP",
    "Swingin": "NNP",
    "Swinging": "VBG",
    "Swink": "NNP",
    "Swire": "NNP",
    "Swirsky": "NNP",
    "Swisher": "NNP",
    "Swiss": "JJ|NNP|NNS|NNPS",
    "Swiss-German": "JJ",
    "Swiss-based": "JJ",
    "Swiss-born": "JJ",
    "Swiss-cheese": "NN",
    "Swiss-franc": "NN",
    "Swissair": "NNP",
    "Swissmade": "JJ",
    "Switch": "NN",
    "Switches": "NNS",
    "Switchgear": "NNP",
    "Switzer": "NNP",
    "Switzerland": "NNP",
    "Switzerland-based": "JJ",
    "Swiveling": "VBG",
    "Sword": "NNP",
    "Sy": "NNP",
    "Syb": "NNP",
    "Sybase": "NNP",
    "Sybert": "NNP",
    "Sybil": "NNP",
    "Sybron": "NNP",
    "Sydney": "NNP",
    "Sydney-based": "JJ",
    "Syed": "NNP",
    "Syferd": "NNP",
    "Sykes": "NNP",
    "Syllabicity": "NN",
    "Syllabification": "NN",
    "Syllables": "NNS",
    "Sylmar": "NNP",
    "Sylphide": "NNP",
    "Sylvan": "NNP",
    "Sylvania": "NNP",
    "Sylvester": "NNP",
    "Sylvia": "NNP",
    "Sylvie": "NNP",
    "Sylvio": "NNP",
    "Symantec": "NNP",
    "Symbion": "NNP",
    "Symbol": "NN|NNP",
    "Symbol:HRB": "NNP",
    "Symbolist": "NNP",
    "Symbolizing": "VBG",
    "Symes": "NNP",
    "Symington": "NNP",
    "Symms": "NNP",
    "Symonds": "NNP",
    "Symons": "NNP",
    "Sympathy": "NN|NNP",
    "Symphony": "NNP",
    "Symposium": "NNP",
    "Symptomatic": "JJ",
    "Syms": "NNP|NNS",
    "SynOptics": "NNPS",
    "Synar": "NNP",
    "Synbiotics": "NNP",
    "Sync": "NN",
    "Synchronized": "VBN",
    "Syncor": "NNP",
    "Syndic": "NNP",
    "Syndicate": "NN|NNP",
    "Syndicated": "NNP",
    "Syndicates": "NNS",
    "Syndication": "NNP",
    "Syndrome": "NNP",
    "Synergistics": "NNP",
    "Synod": "NNP",
    "Syntex": "NNP",
    "Synthelabo": "NNP",
    "Synthetic": "JJ|NNP",
    "Syracuse": "NNP",
    "Syrdarya": "NNP",
    "Syria": "NNP",
    "Syrian": "JJ",
    "Syrian-backed": "JJ|NNP",
    "Syrians": "NNPS",
    "Sysco": "NNP",
    "Syse": "NNP",
    "System": "NNP",
    "System-specific": "JJ",
    "SystemOne": "NNP",
    "Systematically": "RB",
    "Systeme": "NNP",
    "Systemic": "JJ",
    "Systems": "NNPS|NNS",
    "Systemwide": "NNP|JJ",
    "Systran": "NNP",
    "Szabad": "NNP",
    "Szanton": "NNP",
    "Szelenyi": "NNP",
    "Szeto": "NNP",
    "Szocs": "NNP",
    "Szold": "NNP",
    "Szolds": "NNPS",
    "Szuros": "NNP",
    "T": "NN|NNP",
    "T-1000": "NNP",
    "T-1600": "NNP",
    "T-34": "NN",
    "T-37": "NN",
    "T-38": "NN",
    "T-45": "NNP",
    "T-72": "NN",
    "T-Max": "NNP",
    "T-bill": "NNP|NN",
    "T-bills": "NNS",
    "T-bond": "JJ|NN",
    "T-cell": "NN",
    "T-helper": "NN",
    "T-shirt": "NNS|NN",
    "T-shirts": "NNS",
    "T.": "NNP|NNPS",
    "T.B.": "NNP",
    "T.D.": "NNP",
    "T.E.": "NNP",
    "T.F.": "NNP",
    "T.H.": "NNP",
    "T.J.": "NNP",
    "T.M.B.": "NNP",
    "T.R.": "NNP",
    "T.S.": "NNP",
    "T.T.": "NNP",
    "T.V.": "NNP",
    "T.W.": "NNP",
    "T8": "NNP",
    "TA": "NNP",
    "TAINTS": "VBZ",
    "TAKEOVER": "NN",
    "TAKING": "VBG",
    "TALENT": "NN",
    "TALK": "NNP",
    "TALKS": "VBZ",
    "TAMMY": "NNP",
    "TAMPA": "NNP",
    "TANDEM": "NNP",
    "TARP": "NNP",
    "TASS": "NNP",
    "TASTY": "JJ",
    "TAX": "NN",
    "TAXPAYERS": "NNS",
    "TB": "NN",
    "TBS": "NNP",
    "TBWA": "NNP",
    "TC": "NNP",
    "TCF": "NNP",
    "TCI": "NNP",
    "TCMP": "NNP",
    "TCR": "NNP",
    "TCU": "NNP",
    "TD": "NNP",
    "TDK": "NNP",
    "TEA": "NNP",
    "TEACH": "VB",
    "TEACHERS": "NNP|NNS",
    "TEAMSTERS": "NNPS",
    "TECHNOLOGIES": "NNP",
    "TECHNOLOGY": "NNP",
    "TECO": "NNP",
    "TED": "NNP",
    "TEDs": "NNS",
    "TEK": "NNP",
    "TELESIS": "NNP",
    "TELEVISION": "NN",
    "TELV": "NNP",
    "TEMPORARY": "JJ",
    "TEP": "NNP",
    "TESTS": "NNS",
    "TEXAS": "NNP",
    "TGS": "NNP",
    "THACHER": "NNP",
    "THAN": "IN",
    "THANKS": "NNS",
    "THAT": "WDT",
    "THC": "NNP",
    "THE": "DT|NNP",
    "THF": "NNP",
    "THIDIU": "NNP",
    "THIEVES": "NNS",
    "THOSE": "DT",
    "THR": "NNP",
    "THREAT": "NN",
    "THROUGHOUT": "IN",
    "THYSELF": "PRP",
    "TI": "NNP",
    "TIGRs": "NNP",
    "TILT": "NN",
    "TIME": "NN|NNP",
    "TIMES": "NNP",
    "TINTING": "NN",
    "TIP": "NN|NNP",
    "TIPS": "NNS",
    "TIRED": "JJ",
    "TIRES": "NNS",
    "TML": "NNP",
    "TND.B": "NNP",
    "TNF": "NNP",
    "TNN": "NNP",
    "TNT": "NNP",
    "TO": "TO",
    "TODAY": "NNP",
    "TOOK": "NNP",
    "TOOLWORKS": "NNP",
    "TOP": "NNP",
    "TOPAZ": "NNP",
    "TOPIC": "NN",
    "TOURISM": "NN",
    "TOW": "NN",
    "TPA": "NNP",
    "TPS": "NNP",
    "TR": "NNP",
    "TR.": "NNP",
    "TRACY-LOCKE": "NNP",
    "TRADE": "NN|NNP",
    "TRADING": "NN",
    "TRANSAMERICA": "NNP",
    "TRANSCANADA": "NNP",
    "TRANSFER": "NN",
    "TRANSPLANT": "NNP",
    "TRANSPORTATION": "NNP",
    "TRAVEL": "NN",
    "TRAVELS": "VBZ",
    "TRC": "NNP",
    "TREASURY": "NNP",
    "TREATING": "VBG",
    "TREND-SETTER": "NN",
    "TRIAD": "NNP",
    "TRIAL": "NN",
    "TRIMMING": "VBG",
    "TRIPS": "NNS",
    "TRO": "NN",
    "TROUBLES": "NNS",
    "TROs": "NNS",
    "TRS-80": "NNP",
    "TRT": "NNP",
    "TRUCK": "NNP",
    "TRUE": "JJ",
    "TRUST": "NNP|VBP",
    "TRUSTEE": "NN",
    "TRUSTS": "NNS",
    "TRV": "NNP",
    "TRW": "NNP",
    "TSB": "NNP",
    "TSEM": "NN",
    "TSH": "NNP",
    "TSH-treated": "JJ",
    "TUC": "NNP",
    "TUCSON": "NNP",
    "TUMBLE": "JJ",
    "TURMOIL": "NN",
    "TURNS": "VBZ",
    "TV": "NN|NNP",
    "TV-Cable": "NNP",
    "TV-production": "JJ",
    "TVA": "NNP",
    "TVS": "NNP",
    "TVSM": "NNP",
    "TVX": "NNP",
    "TVs": "NNS|NNPS",
    "TVwhich": "NNP",
    "TW": "NNP",
    "TWA": "NNP",
    "TWO-A-DAY": "JJ",
    "TWX": "NNP",
    "TXO": "NNP",
    "T/A": "NNP",
    "Ta-Hu-Wa-Hu-Wai": "NNP",
    "Tabacs": "NNP",
    "Tabak": "NNP",
    "Tabarro": "FW",
    "Tabb": "NNP",
    "Tabellen": "FW",
    "Taber": "NNP",
    "Tabernacle": "NNP",
    "Tabit": "NNP",
    "Table": "NNP|NN",
    "Tables": "NNS",
    "Tabs": "NNS",
    "Tabuchi": "NNP",
    "Taccetta": "NNP",
    "Tache": "NNP",
    "Tacit": "NNP",
    "Tacitus": "NNP",
    "Tack": "NN",
    "Tack-solder": "VB",
    "Tacker": "NNP",
    "Tackle": "NNP",
    "Tackles": "VBZ",
    "Tacloban": "NNP",
    "Taco": "NNP",
    "Tacoma": "NNP",
    "Taconic": "NNP",
    "Tact": "NN",
    "Tactical": "NNP",
    "Tactically": "RB",
    "Tactics": "NNS",
    "Tad": "NNP",
    "Tadahiko": "NNP",
    "Tadashi": "NNP",
    "Tadeusz": "NNP",
    "Tadzhikistan": "NNP",
    "Tae": "NNP",
    "Taek": "NNP",
    "Taff": "NNP",
    "Taffner": "NNP",
    "Taft": "NNP",
    "Taft-Hartley": "NNP",
    "Tagalog": "NNP",
    "Tagamet": "NNP",
    "Tagg": "NNP",
    "Tagliabue": "NNP",
    "Tahiti": "NNP",
    "Tahitian": "NNP|JJ",
    "Tahoe": "NNP",
    "Tahse": "NNP",
    "Tai": "NNP",
    "Taif": "NNP",
    "Taikisha": "NNP",
    "Tail": "NNP",
    "Tailback": "NNP",
    "Tailin": "NN",
    "Tailors": "NNP",
    "Taipei": "NNP",
    "Taisei": "NNP",
    "Taisho": "NNP",
    "Tait": "NNP",
    "Taito": "NNP",
    "Taittinger": "NNP",
    "Taiwan": "NNP",
    "Taiwan-born": "JJ",
    "Taiwanese": "JJ|NNP|NNPS",
    "Taiyo": "NNP",
    "Taizo": "NNP",
    "Taj": "NNP",
    "Takaezu": "NNP",
    "Takagi": "NNP",
    "Takahashi": "NNP",
    "Takako": "NNP",
    "Takakura": "NNP",
    "Takamori": "NNP",
    "Takanashi": "NNP",
    "Takanori": "NNP",
    "Takao": "NNP",
    "Takasago": "NNP",
    "Takashi": "NNP",
    "Takashima": "NNP",
    "Takashimaya": "NNP",
    "Takayama": "NNP",
    "Take": "VB|NNP|VBP",
    "Take-up": "JJ",
    "Taken": "VBN",
    "Takeover": "NN|NNP",
    "Takeover-stock": "JJ",
    "Takeovers": "NNS|NNPS",
    "Takes": "VBZ",
    "Takeshi": "NNP",
    "Takihyo": "NNP",
    "Takimura": "NNP",
    "Taking": "VBG|NNP",
    "Takoma": "NNP",
    "Taksim": "NNP",
    "Takuma": "NNP",
    "Takuro": "NNP",
    "Takushoku": "NNP",
    "Talbot": "NNP",
    "Talbott": "NNP",
    "Talcott": "NNP",
    "Tale": "NNP|NN",
    "Talent": "NN|NNP",
    "Tales": "NNS|NNP|NNPS",
    "Taliesin": "NNP",
    "Talk": "NN|NNP|VB",
    "Talking": "VBG",
    "Talks": "NNS|NNPS",
    "Tall": "JJ",
    "Tallahassee": "NNP",
    "Tallahatchie": "NNP",
    "Tallahoosa": "NNP",
    "Tallarico": "NNP",
    "Tallchief": "NNP",
    "Talley": "NNP",
    "Talleyrand": "NNP",
    "Talmadge": "NNP",
    "Talmo": "NNP",
    "Talmud": "NNP",
    "Talon": "NNP",
    "Talsky": "NNP",
    "Talton": "NNP",
    "Talyzin": "NNP",
    "Tama": "NNP",
    "Tamales": "NNPS",
    "Tamar": "NNP",
    "Tamara": "NNP",
    "Tamarijn": "NNP",
    "Tambo": "NNP",
    "Tambrands": "NNP",
    "Tamerlane": "NNP",
    "Tamil": "NNP",
    "Taming": "VBG",
    "Tamiris": "NNP",
    "Tamiris-Daniel": "NNP",
    "Tamm": "NNP",
    "Tammany": "NNP",
    "Tammen": "NNP",
    "Tammy": "NNP",
    "Tamotsu": "NNP",
    "Tampa": "NNP",
    "Tampa-based": "JJ",
    "Tampa.": "NNP",
    "Tampering": "VBG",
    "Tan": "NNP|JJ",
    "Tana": "NNP",
    "Tanabe": "NNP",
    "Tanaka": "NNP",
    "Tancred": "NNP",
    "Tandem": "NNP",
    "Tandler": "NNP",
    "Tandy": "NNP|VB",
    "Taney": "NNP",
    "Tanganika": "NNP",
    "Tangible": "JJ",
    "Tango": "NNP",
    "Tanii": "NNP",
    "Tanin": "FW",
    "Tank": "NNP",
    "Tanker": "NNP",
    "Tankers": "NNS",
    "Tanks": "NNS",
    "Tannenbaum": "NNP",
    "Tanner": "NNP",
    "Tannhaeuser": "NNP",
    "Tanny": "NNP",
    "Tanqueray": "NNP",
    "Tanzi": "NNP",
    "Tanzman": "NNP",
    "Tao": "NNP",
    "Taoism": "NNP",
    "Taoist": "NNP",
    "Taoists": "NNP",
    "Taos": "NNP",
    "Tap": "VB|NN",
    "Tape": "NN|NNP",
    "Taped": "VBN",
    "Taper": "NNP",
    "Tapley": "NNP",
    "Tappan": "NNP",
    "Tappets": "NNS",
    "Taps": "VBZ",
    "Tar": "NNP|NNS",
    "Tara": "NNP",
    "Taraday": "NNP",
    "Tarantino": "NNP",
    "Taras": "NNP",
    "Taras-Tchaikovsky": "NNP",
    "Tarboro": "NNP",
    "Tardily": "RB",
    "Tareytown": "NNP",
    "Target": "NNP",
    "Targets": "VBZ",
    "Targetted": "NNP",
    "Targo": "JJ",
    "Tarheelia": "NNP",
    "Tariff": "NN|NNP",
    "Tariffs": "NNPS",
    "Tarkeshian": "NNP",
    "Tarkington": "NNP",
    "Tarmac": "NNP",
    "Tarnoff": "NNP",
    "Tarnopol": "NNP",
    "Tarot-like": "JJ",
    "Tarrant": "NNP",
    "Tarrytown": "NNP",
    "Tartaglia": "NNP",
    "Tartan": "NNP",
    "Tartar": "JJ|NNP",
    "Tartarughe": "NNP",
    "Tartary": "NNP",
    "Tarter": "NNP",
    "Tartikoff": "NNP",
    "Tartuffe": "NNP",
    "Taruffi": "NNP",
    "Tarwhine": "NNP",
    "Tarzan": "NNP",
    "Tarzana": "NNP",
    "Tasaki": "NNP",
    "Tasaki-Riger": "NNP",
    "Tascher": "NNP",
    "Taschereau": "NNP",
    "Tash": "NNP",
    "Tashi": "NNP",
    "Tashjian": "NNP",
    "Tashkent": "NNP",
    "Task": "NNP",
    "Tasmania": "NNP",
    "Tass": "NNP",
    "Tassel": "NNP",
    "Tassinari": "NNP",
    "Tasso": "NNP",
    "Taste": "NN|VB|NNP",
    "Taster": "NNP",
    "Tastes": "NNS|NNPS",
    "Tasti-Freeze": "NNP",
    "Tasuku": "NNP",
    "Tasurinchi": "NNP",
    "Tata": "NNP",
    "Tatanga": "NNP",
    "Tate": "NNP",
    "Tateishi": "NNP",
    "Tateisi": "NNP",
    "Tatian": "NNP",
    "Tatler": "NNP",
    "Tatman": "NNP",
    "Tator": "NNP",
    "Tatras": "NNS",
    "Tatsuhara": "NNP",
    "Tatsunori": "NNP",
    "Tattingers": "NNPS",
    "Tatzel": "NNP",
    "Tau": "NNP",
    "Taubman": "NNP",
    "Taught": "VBN",
    "Taui": "NNP",
    "Tauke": "NNP",
    "Taunton": "NNP",
    "Taurida": "NNP",
    "Taurog": "NNP",
    "Taurus": "NNP",
    "Taussig": "NNP",
    "Taviani": "NNP",
    "Tavoy": "NNP",
    "Tawana": "NNP",
    "Tawes": "NNP",
    "Tawney": "NNP",
    "Tax": "NNP|VB",
    "Tax-exempt": "JJ",
    "Tax-exempts": "NNS",
    "Tax-free": "JJ",
    "Tax-loss": "NN",
    "Taxable": "NNP",
    "Taxation": "NNP",
    "Taxes": "NNS",
    "Taxi": "NN",
    "Taxing": "VBG",
    "Taxonomists": "NNS",
    "Taxpayer": "NNP|NN",
    "Taxpayers": "NNPS|NNS|NNP",
    "Taylor": "NNP",
    "Taylors": "NNPS",
    "Tbilisi": "NNP",
    "Tbond": "JJ",
    "Tchaikovsky": "NNP",
    "Tchalo": "FW",
    "Tea": "NNP",
    "Teach": "VBP",
    "Teacher": "NN",
    "Teachers": "NNPS|NNS",
    "Teaching": "NN|NNP|VBG",
    "Teagan": "NNP",
    "Teagarden": "NNP",
    "Teague": "NNP",
    "Team": "NNP",
    "Teams": "NNS",
    "Teamsters": "NNPS",
    "Teaneck": "NNP",
    "Tearle": "NNP",
    "Tears": "NNS",
    "Teatime": "NN",
    "Teatro": "NNP",
    "Tebuthiuron": "NN",
    "Tech": "NNP",
    "Tech-Sym": "NNP",
    "TechDesign": "NNP",
    "Techcorps": "NNP",
    "Technical": "NNP|JJ",
    "Technical-chart": "JJ",
    "Technically": "NNP|RB",
    "Technician": "NNP",
    "Technicians": "NNPS|NNS",
    "Technik": "NNP",
    "Technique": "NN",
    "Techniques": "NNPS",
    "Technodyne": "NNP",
    "Technological": "NNP",
    "Technologies": "NNPS|NNP",
    "Technology": "NNP",
    "Technomic": "NNP",
    "Teck": "NNP",
    "Tecumseh": "NNP",
    "Ted": "NNP",
    "Teddy": "NNP",
    "Tedi": "NNP",
    "Tee": "NNP|UH",
    "Tee-wah": "NNP",
    "Teeley": "NNP",
    "Teen": "NNPS",
    "Teen-age": "JJ",
    "Teen-agers": "NNS",
    "Teenage": "NNP",
    "Teens": "NNS",
    "Teerlink": "NNP",
    "Teeter": "NNP",
    "Teeth": "NNS",
    "Teferi": "NNP",
    "Teflon": "NNP",
    "Tegal": "NNP",
    "Tegner": "NNP",
    "Tegretol": "NNP",
    "Tegucigalpa": "NNP",
    "Teheran": "NNP",
    "Tehran": "NNP",
    "Teich": "NNP",
    "Teijin": "NNP",
    "Teikoku": "NNP",
    "Teipel": "NNP",
    "Teito": "NNP",
    "Teixeira": "NNP",
    "Teknowledge": "NNP",
    "Tektronix": "NNP",
    "Tel": "NNP",
    "Tela": "NNP",
    "Telaction": "NNP",
    "Tele-Communications": "NNP|NNPS",
    "Tele1st": "NNP",
    "TeleCable": "NNP",
    "TeleVideo": "NNP",
    "Telecharge": "NNP",
    "Telecom": "NNP",
    "Telecommuncations": "NNPS",
    "Telecommunications": "NNP|NNPS|NNS",
    "Telectronics": "NNP",
    "Telecussed": "VBD",
    "Teleflora": "NNP",
    "Telefonica": "NNP",
    "Telefonos": "NNP|NNPS",
    "Telefunken": "NN|NNP",
    "Telegraaf": "NNP",
    "Telegraph": "NNP",
    "Telegraphers": "NNS|NNPS",
    "Telegraphie": "NNP",
    "Telelawyer": "NNP",
    "Telemann": "NNP",
    "Telemedia": "NNP",
    "Telemetries": "NNPS",
    "Telemunchen": "NNP",
    "Telemundo": "NNP",
    "Telenet": "NNP",
    "Telephone": "NNP",
    "Telephone-operations": "NNS",
    "Telephones": "NNP|NNS",
    "Telepictures": "NNPS",
    "Teleport": "NNP",
    "Teleprompter": "NNP",
    "Telerama": "NNP",
    "Telerate": "NNP",
    "Telescope": "NNP",
    "Telesis": "NNP",
    "Telesphere": "NNP",
    "Telesystems": "NNP|NNS",
    "Teletrac": "NNP",
    "Teletypes": "NNS",
    "Television": "NNP",
    "Television-Electronics": "NNP",
    "Telex": "NN|NNP",
    "Telford": "NNP",
    "Telford-made": "JJ",
    "Tell": "VB|NNP",
    "Teller": "NNP",
    "Telli": "NNP",
    "Tellier": "NNP",
    "Telling": "VBG",
    "Tells": "VBZ",
    "Telmex": "NNP",
    "Telos": "NNP|NNS",
    "Telsmith": "NNP",
    "Telxon": "NNP",
    "Telzrow": "NNP",
    "Tempe": "NNP",
    "Temper": "NNP|NN",
    "Temperature": "NN|NNP",
    "Temperatures": "NNS",
    "Tempering": "VBG",
    "Tempesst": "NNP",
    "Tempest": "NNP",
    "Temple": "NNP",
    "Temple-Inland": "NNP",
    "Templeman": "NNP",
    "Templeton": "NNP",
    "Tempo": "NNP",
    "Temporary": "JJ|NNP",
    "Tempos": "NNS",
    "Temptation": "NN|NNP",
    "Tempter": "NNP",
    "Ten-thousand-dollar": "JJ",
    "Ten-year": "JJ",
    "Ten-year-old": "NNP|JJ",
    "Tenants": "NNPS",
    "Tend": "VBP",
    "Tenda": "NNP",
    "Tender": "NNP|NN",
    "Tendered": "JJ",
    "Tenderfoot": "NN",
    "Tenderloin": "NNP",
    "Tenderly": "RB",
    "Tenders": "NNS",
    "Tenements": "NNS",
    "Teniente": "NNP",
    "Tenite": "NNP",
    "Tenn": "NNP",
    "Tenn.": "NNP",
    "Tenn.-based": "JJ",
    "Tennant": "NNP",
    "Tenneco": "NNP",
    "Tennenbaum": "NNP",
    "Tennesse": "NNP",
    "Tennessean": "NNP",
    "Tennessee": "NNP",
    "Tenney": "NNP",
    "Tennis": "NNP",
    "Tennyson": "NNP",
    "Tens": "NNS",
    "Tensile": "JJ",
    "Tensing": "NNP",
    "Tension": "NN",
    "Tensions": "NNPS",
    "Tentative": "JJ",
    "Tenth": "NNP|JJ",
    "Tenure": "NN",
    "Teodorani": "NNP",
    "Teodulo": "NNP",
    "Tepid": "NNP",
    "Tepper": "NNP",
    "Tequila": "NNP",
    "Ter-Arutunian": "NNP",
    "Ter-Stepanova": "NNP",
    "Ter.": "NN",
    "Teraoka": "NNP",
    "Tercel": "NNP",
    "Terence": "NNP",
    "Teresa": "NNP",
    "Terex": "NNP",
    "Terg-O-Tometer": "NNP",
    "Term": "NNP|NN",
    "Terminal": "NNP|JJ",
    "Terminaling": "NNP",
    "Terminals": "NNS",
    "Terminating": "VBG",
    "Termination": "NN",
    "Terminator": "NNP",
    "Terminiello": "NNP",
    "Terms": "NNS|NNP",
    "Terpers": "NNPS",
    "Terra": "NNP",
    "Terrace": "NNP",
    "Terral": "NNP",
    "Terramycin": "NN",
    "Terranomics": "NNS",
    "Terree": "NNP",
    "Terrell": "NNP",
    "Terrence": "NNP",
    "Terrible": "NNP",
    "Terrier": "NNP",
    "Territorial": "NNP|JJ",
    "Territories": "NNPS|NNP",
    "Territory": "NNP",
    "Terrizzi": "NNP",
    "Terror": "NN",
    "Terrorism": "NNP",
    "Terrours": "NNS",
    "Terry": "NNP",
    "Tertre": "NNP",
    "Teschner": "NNP",
    "Tesco": "NNP",
    "Tese": "NNP",
    "Teslik": "NNP",
    "Tesoro": "NNP",
    "Tess": "NNP",
    "Tessie": "NNP",
    "Tessler": "NNP",
    "Test": "NNP|VB",
    "Test-preparation": "JJ",
    "Testa": "NNP",
    "Testament": "NNP",
    "Testament-style": "JJ",
    "Testaments": "NNP",
    "Testicular": "NNP",
    "Testifies": "VBZ",
    "Testifying": "VBG",
    "Testimony": "NN",
    "Testing": "NNP|NN",
    "Tests": "NNS|NNP|NNPS",
    "Testy": "JJ",
    "Tet": "NNP",
    "Tetanus": "NN",
    "Teter": "NNP",
    "Tetley": "NNP",
    "Tetrameron": "NNP",
    "Tetris": "NN",
    "Tettamanti": "NNP",
    "Teutonic": "JJ",
    "Tevye": "NNP",
    "Tewary": "NNP",
    "Tewfik": "NNP",
    "Tewksbury": "NNP",
    "Tex": "NNP",
    "Tex-Mex": "NNP",
    "Tex.": "NNP",
    "Texaco": "NNP",
    "Texan": "NNP|JJ",
    "Texans": "NNPS",
    "Texas": "NNP|JJ",
    "Texas-Louisiana": "NNP",
    "Texas-based": "JJ",
    "Texasness": "NN",
    "Texoma": "NNP",
    "Text": "NN",
    "Textbook": "NN",
    "Textbooks": "NNS",
    "Textile": "NNP",
    "Textiles": "NNP|NNS",
    "Textron": "NNP",
    "Texts": "NNS",
    "Thacher": "NNP",
    "Thackeray": "NNP",
    "Thad": "NNP",
    "Thaddeus": "NNP",
    "Thai": "NNP|JJ",
    "Thai-Cambodian": "JJ",
    "Thailand": "NNP",
    "Thais": "NNPS",
    "Thakhek": "NNP",
    "Thal": "NNP",
    "Thalbergs": "NNPS",
    "Thaler": "NNP",
    "Thalmann": "NNP",
    "Thames": "NNP|NNS",
    "Thamnophis": "NNS",
    "Than": "IN",
    "Thanh": "NNP",
    "Thank": "VB|VBP",
    "Thankful": "JJ",
    "Thanks": "NNS|UH",
    "Thanksgiving": "NNP",
    "Thant": "NNP",
    "Tharp": "NNP",
    "That": "DT|NNP|PDT|IN|RB|WP|WDT",
    "That-a-way": "RB",
    "Thatcher": "NNP",
    "Thatcher-style": "JJ",
    "Thatcherian": "JJ",
    "Thatcherism": "NNP",
    "Thatcherite": "JJ",
    "Thaxter": "NNP",
    "Thaxters": "NNPS",
    "Thay": "NN",
    "Thayer": "NNP",
    "The": "DT|NNP|JJ|VB",
    "Thea": "NNP",
    "Theater": "NNP",
    "Theaters": "NNS",
    "Theatre": "NNP",
    "Theatre-by-the-Sea": "NNP",
    "Theatres": "NNP",
    "Thee": "PRP",
    "Theft": "NN",
    "Thefts": "NNS",
    "Their": "PRP$|NNP",
    "Theirs": "JJ|PRP",
    "Thelma": "NNP",
    "Them": "PRP|NNP|DT",
    "Thema": "NNP",
    "Then": "RB",
    "Then-Navy": "NNP",
    "Thence": "RB",
    "Thenceforth": "NN",
    "Theo": "NNP",
    "Theo-Dur": "NNP",
    "Theocracy": "NN",
    "Theodor": "NNP",
    "Theodore": "NNP",
    "Theodosian": "JJ",
    "Theodosius": "NNP",
    "Theological": "NNP",
    "Theology": "NNP",
    "Theon": "NNP",
    "Theorem": "NN",
    "Theoretical": "JJ|NNP",
    "Theoretically": "RB",
    "Theories": "NNPS|NNS",
    "Theorists": "NNS",
    "Theory": "NNP",
    "Theran": "NNP",
    "Therapeutics": "NNPS",
    "Therapy": "NNP",
    "There": "EX|NN|RB|UH",
    "Thereafter": "RB",
    "Thereby": "RB",
    "Therefore": "RB|CC",
    "Theresa": "NNP",
    "Therese": "NNP",
    "Thereupon": "RB",
    "Thermal": "JJ|NNP",
    "Thermedics": "NNP|NNS",
    "Thermo": "NNP",
    "Thermoforming": "VBG",
    "Thermogravimetric": "JJ",
    "Thermometer": "NNP",
    "Thermopylae": "NNP",
    "These": "DT",
    "Thesis": "NN",
    "Thevenot": "NNP",
    "Thevenow": "NNP",
    "They": "PRP|NNP",
    "Thi": "NNP",
    "Thiebaud": "NNP",
    "Thief": "NN",
    "Thiele": "NNP",
    "Thielsch": "NNP",
    "Thieme": "NNP",
    "Thiep": "NNP",
    "Thierry": "NNP",
    "Thieu": "NNP",
    "Thieves": "NNS",
    "Thin": "JJ|NNP",
    "Thing": "NN|NNP",
    "Things": "NNS|NNP",
    "Think": "VB|VBP|NNP",
    "Thinking": "VBG|NN|NNP",
    "Thiokol": "NNP",
    "Thiot": "NNP",
    "Third": "NNP|JJ|LS|RB",
    "Third-Period": "JJ",
    "Third-Quarter": "JJ|NN",
    "Third-party": "JJ",
    "Third-period": "JJ|NN",
    "Third-quarter": "JJ|NN",
    "Thirdly": "RB",
    "Thirty-eighth": "NNP",
    "Thirty-fourth": "NNP",
    "Thirty-month": "NNP",
    "Thirty-ninth": "NNP",
    "Thirty-one": "JJ",
    "Thirty-three": "NNP",
    "This": "DT|NNP",
    "Thistle": "NNP",
    "Thom": "NNP",
    "Thoma": "NNP",
    "Thomae": "NNP",
    "Thomajan": "NNP",
    "Thomas": "NNP|NNPS",
    "Thomases": "NNP",
    "Thomasini": "NNP",
    "Thomp": "NN",
    "Thompson": "NNP",
    "Thompson-CSF": "NNP",
    "Thomson": "NNP",
    "Thomson-CSF": "NNP",
    "Thor": "NNP",
    "Thoreau": "NNP",
    "Thorn": "NNP",
    "Thorn-EMI": "NNP",
    "Thornburg": "NNP",
    "Thornburgh": "NNP",
    "Thorndike": "NNP",
    "Thorne": "NNP",
    "Thornton": "NNP",
    "Thoroughbred": "NNP",
    "Thoroughly": "NNP|RB",
    "Thorp": "NNP",
    "Thorpe": "NNP",
    "Thorstein": "NNP",
    "Thortec": "NNP",
    "Those": "DT|NNP",
    "Thou": "PRP",
    "Though": "IN|NNP|RB",
    "Thought": "NNP|VBD",
    "Thoughts": "NNP|NNPS",
    "Thousand": "NNP",
    "Thousands": "NNS|NNP",
    "Thrall": "NNP",
    "Thread": "VB",
    "Threaded": "VBN",
    "Threadgill": "NNP",
    "Threads": "NNS",
    "Threat": "NN",
    "Threatened": "VBD",
    "Threatening": "VBG",
    "Threats": "NNS",
    "Three-and-a-half": "JJ",
    "Three-day": "JJ",
    "Three-fourths": "NNS",
    "Three-month": "JJ",
    "Three-part": "JJ",
    "Three-quarters": "NNS",
    "Three-year-old": "JJ",
    "Threepenny": "NN|NNP",
    "Threlkeld": "NNP",
    "Threshold": "NNP",
    "Thrice": "RB",
    "Thrift": "NNP",
    "Thrifts": "NNS",
    "Thrifty": "NNP|JJ",
    "Thrive": "VBP",
    "Thriving": "JJ",
    "Throat": "NNP",
    "Thrombinar": "NNP",
    "Throne": "NN",
    "Throneberry": "NNP",
    "Through": "IN|NNP",
    "Throughout": "IN",
    "Throw": "VB|NNP",
    "Throwing": "VBG",
    "Throws": "VBZ",
    "Thru": "IN",
    "Thrush": "NNP",
    "Thruston": "NNP",
    "Thuggee": "NNP",
    "Thule": "NNP",
    "Thun": "NNP",
    "Thunder": "NN|NNP",
    "Thunderbird": "NNP",
    "Thunderbirds": "NNPS",
    "Thurber": "NNP",
    "Thurday": "NNP",
    "Thurgood": "NNP",
    "Thurman": "NNP",
    "Thurmond": "NNP",
    "Thurow": "NNP",
    "Thursday": "NNP",
    "Thursday-night": "JJ",
    "Thursdays": "NNPS",
    "Thus": "RB",
    "Thutmose": "NNP",
    "Thy": "PRP|PRP$",
    "Thygerson": "NNP",
    "Thynne": "NNP",
    "Thynnes": "NNPS",
    "Thyroglobulin": "NN",
    "Thyroid": "NN",
    "Thyssen": "NNP",
    "Ti": "NNP",
    "Tiananmen": "NNP",
    "Tiant": "NNP",
    "Tiao": "NNP",
    "Tibbs": "NNP",
    "Tiber": "NNP",
    "Tibet": "NNP",
    "Tibetan": "JJ|NNP",
    "Tibetan-like": "JJ",
    "Tiburon": "NNP",
    "Tic-Tac-Toe": "NNP",
    "Tichenor": "NNP",
    "Tichy": "NNP",
    "Tickell": "NNP",
    "Ticker": "NNP",
    "Ticket": "NN",
    "Ticketron": "NNP",
    "Tickets": "NNS",
    "Ticonderoga": "NNP",
    "Ticor": "NNP",
    "Tidal": "NNP",
    "Tide": "NNP",
    "Tidewatch": "NNP",
    "Tidewater": "NNP",
    "Tie": "VB|NNP",
    "Tie-vole-ee": "NN",
    "Tieck": "NNP",
    "Tieken": "NNP",
    "Tiempo": "NNP",
    "Tien": "NNP",
    "Tiepolo": "NNP",
    "Tiernan": "NNP",
    "Tierney": "NNP",
    "Tierno": "NNP",
    "Ties": "NNPS|NNS",
    "Tietmeyer": "NNP",
    "Tiffany": "NNP",
    "Tift": "NNP",
    "Tigard": "NNP",
    "Tiger": "NNP",
    "Tiger-Heli": "NNP",
    "Tiger-turned-Federal": "JJ",
    "Tigers": "NNP|NNPS",
    "Tigershark": "NNP",
    "Tigert": "NNP",
    "Tight": "JJ",
    "Tightened": "JJ",
    "Tigre": "NNP",
    "Tigrean": "JJ",
    "Tigreans": "NNPS",
    "Tigris": "NNP",
    "Tigue": "NNP",
    "Tijd": "NNP",
    "Tijuana": "NNP",
    "Tikopia": "NNP",
    "Tiles": "NNS",
    "Tilghman": "NNP",
    "Till": "IN",
    "Tillery": "NNP",
    "Tillet": "NNP",
    "Tillich": "NNP",
    "Tillie": "NNP",
    "Tillinghast": "NNP",
    "Tillotson": "NNP",
    "Tilly": "NNP",
    "Tilted": "NNP",
    "Tim": "NNP",
    "Timber": "NN|NNP",
    "Timberlake": "NNP",
    "Timbers": "NNP",
    "Timbuktu": "NNP",
    "Time": "NNP",
    "Time-Life": "NNP",
    "Time-Mynah": "NNP",
    "Time-Olivette": "NNP",
    "Time-Warner": "NNP",
    "Time-servers": "NNS",
    "Timen": "NNP",
    "Times": "NNP|NNPS|NNS",
    "Times-Mirror": "NNP",
    "Times-Picayune": "NNP",
    "Times-Stock": "NNP",
    "Timex": "NNP",
    "Timidly": "RB",
    "Timing": "NN",
    "Timken": "NNP",
    "Timmy": "NNP",
    "Timna": "NNP",
    "Timon": "NNP",
    "Timony": "NNP",
    "Timor": "NNP",
    "Timothy": "NNP",
    "Timpanogos": "NNP",
    "Tims": "NNP",
    "Tin": "NNP",
    "Tina": "NNP",
    "Tindal": "NNP",
    "Tineo": "NNP",
    "Ting": "NNP",
    "Tingley": "NNP",
    "Tinker": "NNP",
    "Tinseltown": "NNP",
    "Tinsman": "NNP",
    "Tintoretto": "NNP",
    "Tiny": "NNP|JJ",
    "Tip": "NNP",
    "Tipasa": "NNP",
    "Tiphook": "NNP",
    "Tipoff": "NNP",
    "Tippecanoe": "NNP",
    "Tipperary": "NNP",
    "Tippet": "NNP",
    "Tippett": "NNP",
    "Tipping": "NN",
    "Tips": "NNP",
    "Tipton": "NNP",
    "Tiptonville": "NNP",
    "Tire": "NNP",
    "Tired": "JJ|VBN",
    "Tirello": "NNP",
    "Tires": "NNS|NNPS",
    "Tirpak": "NNP",
    "Tisch": "NNP",
    "Tishman": "NNP",
    "Tissues": "NNPS",
    "Titan": "NNP",
    "Titanic": "NNP",
    "Titanium": "NNP",
    "Titans": "NNS",
    "Titche": "NNP",
    "Tithing": "NN",
    "Titian": "NNP",
    "Title": "NNP|NN",
    "Titled": "VBN",
    "Titles": "NNPS",
    "Tito": "NNP",
    "Tittabawassee": "NNP",
    "Titus": "NNP",
    "Tiveden": "NNP",
    "Tivoli": "NNP",
    "Tizard": "NNP",
    "Tjokorda": "NNP",
    "To": "TO|NNP",
    "Toa": "NNP",
    "Toagosei": "NNP",
    "Toalster": "NNP",
    "Toast": "NNP",
    "Toasting": "VBG",
    "Tobacco": "NNP",
    "Tobias": "NNP",
    "Tobin": "NNP",
    "Tobishima": "NNP",
    "Tobruk": "NNP",
    "Toccata": "NNP",
    "Toch": "NNP",
    "Tockman": "NNP",
    "Tocqueville": "NNP",
    "Today": "NN|NNP|RB",
    "Todays": "NNP",
    "Todd": "NNP",
    "Todman": "NNP",
    "Todt": "NNP",
    "Toe": "NNP",
    "Toensing": "NNP",
    "Toepfer": "NNP",
    "Toffenetti": "NNP",
    "Together": "RB|NNP",
    "Togs": "NNP",
    "Tohmatsu": "NNP",
    "Toho": "NNP",
    "Toi": "NNP",
    "Toil": "NN",
    "Toit": "NNP",
    "Tojos": "NNPS",
    "Tok": "NNP",
    "Tokai": "NNP",
    "Tokio": "NNP",
    "Toklas": "NNP",
    "Tokoi": "NNP",
    "Tokuo": "NNP",
    "Tokuyama": "NNP",
    "Tokyo": "NNP",
    "Tokyo-based": "JJ|NNP",
    "Tokyu": "NNP",
    "Toland": "NNP",
    "Told": "VBN|VBD",
    "Toledo": "NNP",
    "Tolek": "NNP",
    "Tolentino": "NNP",
    "Toler": "NNP",
    "Tolerance": "NN",
    "Toll": "NN|NNP",
    "Tolley": "NNP",
    "Tollman-Hundley": "NNP",
    "Tolls": "NNS|VBZ",
    "Tolstoy": "NNP",
    "Tolubeyev": "NNP",
    "Tom": "NNP",
    "Tom-and-Jerry": "NNP",
    "Toman": "NNP",
    "Tomas": "NNP",
    "Tomash": "NNP",
    "Tomaso": "NNP",
    "Tomato": "NNP",
    "Tombigbee": "NNP",
    "Tombrello": "NNP",
    "Tomczak": "NNP",
    "Tomilson": "NNP",
    "Tomkin": "NNP",
    "Tomkins": "NNP",
    "Tomlin": "NNP",
    "Tommie": "NNP",
    "Tommy": "NNP",
    "Tomonggong": "NNP",
    "Tomorrow": "NN|NNP|RB",
    "Tomoshige": "NNP",
    "Tompkins": "NNP",
    "Toms": "NNP",
    "Tomsho": "NNP",
    "Tonal": "JJ",
    "Tonawanda": "NNP",
    "Tone": "NN",
    "Tones": "NNPS",
    "Toney": "NNP",
    "Tong": "NNP",
    "Toni": "NNP",
    "Tonight": "NNP|RB",
    "Tonio": "NNP",
    "Tonka": "NNP",
    "Tonkin": "NNP",
    "Tons": "NNS",
    "Tony": "NNP",
    "Too": "RB|NNP",
    "Toobin": "NNP",
    "Toodle": "NNP",
    "Took": "VBD",
    "Tool": "NNP",
    "Toole": "NNP",
    "Tooling": "VBG",
    "Tools": "NNPS",
    "Toomey": "NNP",
    "Toonker": "NNP",
    "Toornstra": "NNP",
    "Toot": "NNP|UH",
    "Toot-toot": "UH",
    "Tootal": "NNP",
    "Tooth": "NN",
    "Tooth-hurty": "NN",
    "Tootsie": "NNP",
    "Top": "JJ|NNP",
    "Top-20": "JJ",
    "Top-of-the-Line": "JJ",
    "Topaz": "NNP",
    "Topeka": "NNP",
    "Topic": "NNP",
    "Topix": "NNP",
    "Topkapi": "NNP",
    "Topography": "NN",
    "Topper": "NNP",
    "Toppers": "NNP",
    "Topping": "VBG",
    "Topps": "NNP",
    "Topton": "NNP",
    "Tora": "NNP",
    "Torah": "NNP",
    "Torbjoern": "NNP",
    "Torch": "NNP",
    "Torchmark": "NNP",
    "Tordella": "NNP",
    "Torell": "NNP",
    "Tories": "NNPS|NNS",
    "Torino": "NNP",
    "Torme": "NNP",
    "Tornado": "NNP",
    "Toro": "NNP",
    "Toronado": "NNP",
    "Toronto": "NNP",
    "Toronto-Dominion": "NNP",
    "Toronto-area": "JJ",
    "Toronto-based": "JJ|NNP",
    "Toros": "NNP",
    "Torpetius": "NNP",
    "Torquato": "NNP",
    "Torquemada": "NNP",
    "Torrance": "NNP",
    "Torrence": "NNP",
    "Torres": "NNP",
    "Torresi": "NNP",
    "Torrey": "NNP",
    "Torrid": "NNP",
    "Torrid-Adios": "NNP",
    "Torrid-Breeze": "NNP",
    "Torrid-Mighty": "NNP",
    "Torrijos": "NNP",
    "Torrington": "NNP",
    "Torrio": "NNP",
    "Torrio-Capone": "JJ",
    "Torstar": "NNP",
    "Torsten": "NNP",
    "Tort": "NNP",
    "Tortillas": "NNPS",
    "Tortoises": "NNPS",
    "Tortola": "NNP",
    "Tortorello": "NNP",
    "Tortoriello": "NNP",
    "Torts": "NNP",
    "Tory": "NNP|JJ",
    "Tosca": "NNP",
    "Toscanini": "NNP",
    "Tosco": "NNP",
    "Tose": "NNP",
    "Toseland": "NNP",
    "Toshiba": "NNP",
    "Toshiichi": "NNP",
    "Toshiki": "NNP",
    "Toshiko": "NNP",
    "Toshimitsu": "NNP",
    "Toshio": "NNP",
    "Toshiyuki": "NNP",
    "Toss": "VB",
    "Tossing": "VBG",
    "Total": "JJ|NNP",
    "Total-Cie": "NNP",
    "Totaling": "VBG",
    "Totalitarianism": "NNP",
    "Totally": "RB",
    "Toth": "NNP",
    "Toto": "NNP",
    "Tots": "NNPS|NNP",
    "Totten": "NNP",
    "Toubro": "NNP",
    "Touch": "NNP",
    "Touche": "NNP",
    "Touches": "VBZ",
    "Touchstone": "NNP",
    "Toufexis": "NNP",
    "Tougas": "NNP",
    "Tough": "JJ",
    "Tougher": "JJR",
    "Toughest": "NNP",
    "Toujours": "FW",
    "Toulouse": "NNP",
    "Toulouse-Lautrec": "NNP",
    "Tour": "NNP",
    "Touring": "VBG|NN",
    "Tourism": "NNP",
    "Tourist": "NNP",
    "Tournament": "NNP",
    "Tournier": "NNP",
    "Tours": "NNPS",
    "Toussie": "NNP",
    "Touted": "VBN",
    "Touting": "VBG",
    "Toward": "IN|NNP",
    "Towards": "NNP|IN",
    "Tower": "NNP",
    "Towering": "VBG|JJ",
    "Towers": "NNP|NNPS",
    "Towing": "NNP",
    "Towle": "NNP",
    "Town": "NNP",
    "Towne": "NNP",
    "Townes": "NNP",
    "Townley": "NNP",
    "Towns": "NNP|NNS",
    "Townsend": "NNP",
    "Township": "NNP",
    "Towsley": "NNP",
    "Towson": "NNP",
    "Toxic": "JJ",
    "Toxicology": "NNP",
    "Toxics": "NNP",
    "Toy": "NNP",
    "Toying": "VBG",
    "Toyko": "NNP",
    "Toynbee": "NNP",
    "Toyo": "NNP",
    "Toyobo": "NNP",
    "Toyoda": "NNP",
    "Toyota": "NNP",
    "Toyotas": "NNS",
    "Toys": "NNPS|VBZ|NNS",
    "Trabants": "NNPS",
    "Trabb": "NNP",
    "Trabold": "NNP",
    "Trac": "NNP",
    "Trace": "NNP",
    "Tracer": "NNP",
    "Tracers": "NNP|NNPS",
    "Traces": "NNS",
    "Tracey": "NNP",
    "Trachea": "NN",
    "Tracinda": "NNP",
    "Tracing": "VBG",
    "Track": "NNP",
    "Trackdown": "NNP",
    "Tracking": "NNP|VBG",
    "Tracks": "NNS|NNPS",
    "Tracor": "NNP",
    "Tract": "NNP",
    "Tractarians": "NNS",
    "Tractebel": "NNP",
    "Tractor": "NNP",
    "Tracy": "NNP",
    "Tracy-Locke": "NNP",
    "Tracys": "NNP|NNS",
    "Trade": "NNP",
    "Traded": "NNP|VBN",
    "Trader": "NNP",
    "Traders": "NNS|NNP|NNPS",
    "Trades": "NNPS",
    "Trading": "NN|NNP|VBG",
    "Tradition": "NN|NNP",
    "Traditional": "JJ|NNP",
    "Traditionalism": "NN",
    "Traditionalist": "NN",
    "Traditionalists": "NNPS",
    "Traditionally": "RB",
    "Traffic": "NNP",
    "Trafficking": "NN|NNP",
    "Traficant": "NNP",
    "Trafton": "NNP",
    "Tragedy": "NN|NNP",
    "Trager": "NNP",
    "Tragically": "RB",
    "Trail": "NNP|VB",
    "Trailer": "NNP",
    "Trailing": "VBG",
    "Train": "NNP",
    "Trained": "VBN",
    "Trainer": "NNP",
    "Training": "NNP",
    "Trains": "NNS",
    "Traitor": "NN",
    "Traits": "NNP",
    "Trammell": "NNP",
    "Tramp": "NNP",
    "Tranportation": "NNP",
    "Tranquility": "NN|NNP",
    "Trans": "NNP",
    "Trans-Alaska": "NNP",
    "Trans-Mediterranean": "NNP",
    "Trans-Pacific": "NNP",
    "Trans-Pecos": "NNP",
    "Trans-illuminated": "JJ",
    "TransAmerican": "NNP",
    "TransAtlantic": "NNP",
    "TransCanada": "NNP",
    "TransNet": "NNP",
    "TransTechnology": "NNP",
    "Transactions": "NNS|NNP",
    "Transamerica": "NNP",
    "Transatlantic": "NNP",
    "Transcat": "NNP",
    "Transcaucasian": "JJ",
    "Transcaucasus": "NNP",
    "Transcendental": "JJ",
    "Transcendentalism": "NNP",
    "Transcendentalists": "NNPS",
    "Transco": "NNP",
    "Transcontinental": "NNP",
    "Transfer": "NN|NNP",
    "Transfers": "NNS",
    "Transformers": "NNPS",
    "Transgenic": "NNP",
    "Transgenics": "NNP",
    "Transit": "NNP",
    "Transition": "NN|NNP",
    "Transitional": "JJ",
    "Transkei": "NNP",
    "Translant": "NNP",
    "Translated": "VBN",
    "Translation": "NN|NNP",
    "Translink": "NNP",
    "Translocations": "NNS",
    "Transmanche-Link": "NNP",
    "TransmancheLink": "NNP",
    "Transmation": "NNP",
    "Transmission": "NNP",
    "Transol": "NNP",
    "Transparent": "JJ",
    "Transpiration": "NN",
    "Transplantation": "NNP",
    "Transport": "NNP|VB",
    "Transportation": "NNP",
    "Transportek": "NNP",
    "Transporting": "VBG",
    "Transports": "NNS",
    "Transtar": "NNP",
    "Transvaal": "NNP|JJ",
    "Transwestern": "NNP",
    "Transylvania": "NNP",
    "Trap": "NNP",
    "Trapp": "FW",
    "Trapped": "VBN",
    "Trappings": "NNP",
    "Trappist": "JJ",
    "Traps": "NNS",
    "Trash": "NNP|VB",
    "Trastevere": "NNP",
    "Traub": "NNP",
    "Travancore": "NNP",
    "Travel": "NNP|VB",
    "Travel-Holiday": "NNP",
    "Traveler": "NNP",
    "Travelers": "NNPS|NNP|NNS",
    "Traveling": "VBG|NNP",
    "Travellers": "NNS",
    "Travelling": "VBG",
    "Travels": "NNP|NNS",
    "Traverse": "NNP",
    "Traverso": "NNP",
    "Traviata": "NNP",
    "Travis": "NNP",
    "Traxel": "NNP",
    "Traxler": "NNP",
    "Tray": "NNP",
    "Traynor": "NNP",
    "Treadway": "NNP",
    "Treadwell": "NNP",
    "Treasonable": "JJ",
    "Treasure": "NNP",
    "Treasurer": "NNP",
    "Treasurers": "NNPS|NNS",
    "Treasures": "NNS",
    "Treasury": "NNP",
    "Treasury-Fed": "NNP",
    "Treasury-bill": "NN",
    "Treasury-bond": "JJ",
    "Treasurys": "NNPS|NNS",
    "Treat": "VB|NN",
    "Treating": "VBG",
    "Treatment": "NNP",
    "Treaty": "NNP",
    "Treausry": "NNP",
    "Treble": "NNP",
    "Trecker": "NNP",
    "Tredding": "NNP",
    "Tredegar": "NNP",
    "Tredici": "NNP",
    "Tredyffrin": "NNP",
    "Tree": "NNP",
    "Treece": "NNP",
    "Trees": "NNP|NNS",
    "Tregnums": "NNPS",
    "Trego": "NNP",
    "Treiger": "NNP",
    "Treitel": "NNP",
    "Trek": "NNP",
    "Trelleborg": "NNP",
    "Tremblay": "NNP",
    "Tremdine": "NNP",
    "Tremendae": "NNP",
    "Trempler": "NNP",
    "Trenchard": "NNP",
    "Trend": "NNP",
    "Trend-following": "JJ",
    "Trends": "NNP|NNS|NNPS",
    "Trendy": "JJ",
    "Trent": "NNP",
    "Trenton": "NNP",
    "Trepp": "NNP",
    "Trettien": "NNP",
    "Trevelyan": "NNP",
    "Trevino": "NNP",
    "Trevor": "NNP",
    "Trexler": "NNP",
    "Treybig": "NNP",
    "Tri-Star": "NNP",
    "Tri-State": "NNP",
    "TriStar": "NNP",
    "Triad": "NNP",
    "Trial": "NNP|NN",
    "Triamcinolone": "NN",
    "Triandos": "NNP",
    "Triangle": "NNP",
    "Trianon": "NNP",
    "Trib": "NNP",
    "Tribal": "NNP|JJ",
    "Tribe": "NNP",
    "Tribes": "NNS",
    "Triborough": "NNP",
    "Tribou": "NNP",
    "Tribuna": "NNP",
    "Tribunal": "NNP",
    "Tribune": "NNP",
    "Tribune-Democrat": "NNP",
    "Trichieri": "NNP",
    "Trichinella": "NN",
    "Trichrome": "JJ",
    "Tricia": "NNP",
    "Tricks": "NNPS|NNS",
    "Trickster": "NNP",
    "Trident": "NNP",
    "Tridex": "NNP",
    "Trifari": "NNP",
    "Trig": "NNP",
    "Trigg": "NNP",
    "Triggering": "VBG",
    "Trikojus": "NNP",
    "Triland": "NNP",
    "Trim": "VBP|VB|NN|NNP",
    "Trim-your-own-franks": "VB",
    "Trimble": "NNP",
    "Trimedyne": "NNP",
    "Trimmer": "NNP",
    "Trinen": "NNP",
    "Trinidad": "NNP",
    "Trinitarian": "NNP",
    "Trinitarians": "NNP",
    "Trinitron": "NNP",
    "Trinity": "NNP",
    "Trinkaus": "NNP",
    "Trinova": "NNP",
    "Trio": "NNP",
    "Triomphe": "NNP",
    "Tripartite": "NNP",
    "Tripe": "NNP",
    "Triple": "NNP",
    "Triple-A": "NNP|JJ",
    "Tripod": "NNP",
    "Tripod-Laing": "NNP",
    "Tripoli": "NNP",
    "Triptych": "NNP",
    "Tris": "NNP|NNS",
    "Trish": "NNP",
    "Tristan": "NNP|FW",
    "Tristano": "NNP",
    "Tristars": "NNPS",
    "Trite": "JJ",
    "Tritium": "NN",
    "Triton": "NNP",
    "Trittico": "FW",
    "Trivelpiece": "NNP",
    "Trivest": "NNP",
    "Trivia": "NNP",
    "Trizec": "NNP",
    "Trockenbeerenauslesen": "NNP",
    "Troeltsch": "NNP",
    "Trofeo": "NNP",
    "Trohan": "NNP",
    "Trojan": "NNP|JJ",
    "Trompe": "FW",
    "Troop": "NNP",
    "Trooper": "NNP",
    "Troopers": "NNS",
    "Troops": "NNS|NNP",
    "Trop": "NNP",
    "Tropez": "NNP",
    "Trophy": "NNP",
    "Tropic": "NNP",
    "Tropical": "NNP",
    "Tropicana": "NNP",
    "Tropics": "NNPS",
    "Tropidoclonion": "NNP",
    "Tropworld": "NNP",
    "Trotsky": "NNP",
    "Trotter": "NNP",
    "Trotting": "VBG",
    "Trouble": "NN",
    "Trouble-free": "JJ",
    "Troubled": "JJ|VBN|NNP",
    "Troup": "NNP",
    "Trout": "NNP",
    "Troutman": "NNP",
    "Trovatore": "NNP",
    "Troy": "NNP",
    "Troyes": "NNP",
    "Truck": "NNP",
    "Truckee": "NNP",
    "Truckers": "NNS",
    "Trucking": "NN|NNP",
    "Trucks": "NNPS|NNS",
    "Trud": "NNP",
    "Trudeau": "NNP",
    "True": "JJ|NNP|RB|UH",
    "Truell": "NNP",
    "Truesdell": "NNP",
    "Truffaut": "NNP",
    "Trujillo": "NNP",
    "Trujillos": "NNPS",
    "Truly": "NNP|RB",
    "Truman": "NNP",
    "Trumbull": "NNP",
    "Trumka": "NNP",
    "Trump": "NNP",
    "Trump-watchers": "NNS",
    "Trumped": "VBN",
    "Trumplane": "NNP",
    "Trumps": "NNPS",
    "Trunk": "NN|NNP",
    "Trunkline": "NNP",
    "Trupin": "NNP",
    "Trupin-related": "JJ",
    "Trupins": "NNPS",
    "Trusk": "NNP",
    "Trust": "NNP|VB|VBP",
    "Trustco": "NNP",
    "Trustcorp": "NNP",
    "Trustee": "NNP",
    "Trustees": "NNS|NNPS",
    "Trusthouse": "NNP",
    "Truth": "NN|NNP",
    "Try": "VB|VBP",
    "Trygve": "NNP",
    "Trying": "VBG|NNP",
    "Tryon": "NNP",
    "Tsai": "NNP",
    "Tsao": "NNP",
    "Tsar": "NNP",
    "Tsarevich": "NNP",
    "Tsarism": "NNP",
    "Tschilwyk": "NNP",
    "Tschoegl": "NNP",
    "Tse-tung": "NNP",
    "Tshombe": "NNP",
    "Tshombe-Gizenga-Goa-Ghana": "NNP",
    "Tsitouris": "NNP",
    "Tsk": "UH",
    "Tsou": "NNP",
    "Tsunami": "NNS",
    "Tsunozaki": "NNP",
    "Tsur": "NNP",
    "Tsuruo": "NNP",
    "Tsvetkov": "NNP",
    "Tu": "NNP",
    "TuHulHulZote": "NNP",
    "Tualatin": "NNP",
    "Tube": "NNP",
    "Tuberculosis": "NNP",
    "Tuborg": "NNP",
    "Tuchman": "NNP",
    "Tuck": "NNP",
    "Tucked": "VBN",
    "Tucker": "NNP",
    "Tucson": "NNP",
    "Tudor": "NNP|JJ",
    "Tudor-style": "JJ",
    "Tuesday": "NNP",
    "Tuesdays": "NNPS",
    "Tufts": "NNP",
    "Tugaru": "NN",
    "Tuitions": "NNS",
    "Tulane": "NNP",
    "Tulip": "NNP",
    "Tullio": "NNP",
    "Tulln": "NNP",
    "Tullock": "NNP",
    "Tully": "NNP",
    "Tulsa": "NNP",
    "Tumazos": "NNP",
    "Tumbling": "JJ",
    "Tumor": "NNP",
    "Tune": "NNP",
    "Tunica": "NNP",
    "Tunick": "NNP",
    "Tunis": "NNP",
    "Tunisia": "NNP",
    "Tunisian": "NNP",
    "Tunnard": "NNP",
    "Tunnel": "NNP",
    "Tuohy": "NNP",
    "Tupelev-144": "NNP",
    "Tupolev": "NNP",
    "Tupper": "NNP",
    "Tupperware": "NNP",
    "Turandot": "NNP",
    "Turben": "NNP",
    "Turbin": "NNP",
    "Turbine": "NNP",
    "Turbinen": "NNP",
    "Turbinen-Union": "NNP",
    "Turbofan": "NN",
    "Turbulence": "NN",
    "Turbulent": "JJ",
    "Turbyfill": "NNP",
    "Turchin": "NNP",
    "Turf": "NNP",
    "Turgut": "NNP",
    "Turin": "NNP",
    "Turin-based": "JJ",
    "Turk": "NNP",
    "Turkey": "NNP",
    "Turkey.": "NNP",
    "Turkish": "JJ|NNP",
    "Turkmenia": "NNP",
    "Turks": "NNPS|NNS",
    "Turn": "NN|VB|NNP",
    "Turnaround": "NNP",
    "Turnbull": "NNP",
    "Turned": "VBN",
    "Turner": "NNP",
    "Turning": "VBG|NNP",
    "Turnkey": "NNP",
    "Turnock": "NNP",
    "Turnout": "NN",
    "Turnover": "NN|NNP",
    "Turnpike": "NNP",
    "Turnpike-widening": "JJ",
    "Turns": "VBZ",
    "Turpin": "NNP",
    "Turtle": "NNP",
    "Turtles": "NNPS",
    "Tuscany": "NNP",
    "Tuskegee": "NNP",
    "Tussard": "NNP",
    "Tussle": "NNP",
    "Tustin": "NNP",
    "Tut": "NNP",
    "Tuttle": "NNP",
    "Tutu": "NNP",
    "Tutunik": "NNP",
    "Tuxapoka": "NNP",
    "Twain": "NNP",
    "Twaron": "NNP",
    "Tweed": "NNP",
    "Twentieth": "NNP",
    "Twentieth-Century": "NNP",
    "Twenty-First": "NNP",
    "Twenty-one-year-old": "NN",
    "Twenty-second": "NNP|JJ",
    "Twenty-seven": "JJ",
    "Twenty-six": "JJ",
    "Twenty-year-old": "JJ",
    "Twice": "RB",
    "Twiggy": "NNP",
    "Twigs": "NNS",
    "Twilight": "NNP",
    "Twin": "NNP",
    "Twinkies": "NNPS",
    "Twins": "NNP|NNS|NNPS",
    "Twinsburg": "NNP",
    "Twist": "NN|VB|NNP",
    "Two-Head": "NNP",
    "Two-Stem": "JJ",
    "Two-Way": "NNP",
    "Two-Year": "JJ",
    "Two-day": "JJ",
    "Two-income": "NN",
    "Two-month": "JJ",
    "Two-part": "JJ",
    "Two-thirds": "NNS",
    "Two-year": "JJ",
    "Twomey": "NNP",
    "Ty": "NNP",
    "Tyburn": "NN",
    "Tyco": "NNP",
    "Tygartis": "NNP",
    "Tylan": "NNP",
    "Tylenol": "NNP",
    "Tylenol-tampering": "JJ",
    "Tyler": "NNP",
    "Tymnet": "NNP",
    "Tyndall": "NNP",
    "Tyne": "NNP",
    "Tyner": "NNP",
    "Type": "NN|NNP",
    "Type-O": "JJ",
    "Types": "NNS",
    "Typical": "JJ",
    "Typically": "RB",
    "Typing": "NN",
    "Tyrannosaurus": "NNP",
    "Tyranny": "NNP",
    "Tyre": "NNP",
    "Tyson": "NNP",
    "Tyson-Spinks": "JJ",
    "Tyszkiewicz": "NNP",
    "Tzora": "NNP",
    "U": "NNP",
    "U-2": "NNP",
    "U-I": "NNP",
    "U-Save": "NNP",
    "U-turn": "NN",
    "U.": "NNP",
    "U.B.U.": "NNP",
    "U.Cal-Davis": "NNP",
    "U.K": "NNP",
    "U.K.": "NNP|JJ",
    "U.K.-based": "JJ",
    "U.LLO": "NNP",
    "U.M.C.I.A.": "NNP",
    "U.M.T.": "NN",
    "U.N": "NNP",
    "U.N.": "NNP|JJ",
    "U.N.-backed": "JJ",
    "U.N.-chartered": "JJ",
    "U.N.-monitored": "JJ",
    "U.N.-sponsored": "JJ",
    "U.N.-supervised": "JJ",
    "U.N.C.L.E": "NNP",
    "U.N.F.P": "NNP",
    "U.N.F.P.": "NNP",
    "U.N.F.P./NNP.": "JJ",
    "U.S": "NNP|SYM",
    "U.S-based": "JJ",
    "U.S.": "NNP|JJ|VBP",
    "U.S.$": "$",
    "U.S.-Canada": "NNP",
    "U.S.-Canadian": "JJ|NNP",
    "U.S.-China": "NNP|JJ",
    "U.S.-Czech": "JJ",
    "U.S.-European": "JJ",
    "U.S.-German": "JJ",
    "U.S.-Israel-Egyptian": "JJ",
    "U.S.-Japan": "JJ|NNP",
    "U.S.-Japanese": "JJ",
    "U.S.-Korean": "JJ",
    "U.S.-Mexican": "JJ|NNP",
    "U.S.-Mexico": "JJ|NNP",
    "U.S.-Philippine": "JJ",
    "U.S.-SOVIET": "JJ",
    "U.S.-South": "JJ|NNP",
    "U.S.-Soviet": "JJ|NNP",
    "U.S.-U.K.": "JJ",
    "U.S.-U.S.S.R.": "NNP",
    "U.S.-about": "IN",
    "U.S.-backed": "JJ",
    "U.S.-based": "JJ",
    "U.S.-built": "JJ",
    "U.S.-developed": "JJ",
    "U.S.-dollar": "NN",
    "U.S.-dominated": "JJ",
    "U.S.-donated": "JJ",
    "U.S.-endorsed": "JJ",
    "U.S.-grown": "JJ",
    "U.S.-led": "JJ",
    "U.S.-made": "JJ",
    "U.S.-owned": "JJ",
    "U.S.-produced": "JJ",
    "U.S.-style": "JJ",
    "U.S.-supplied": "JJ",
    "U.S.A": "NNP",
    "U.S.A.": "NNP",
    "U.S.C.": "NNP",
    "U.S.Japan": "JJ",
    "U.S.S.R": "NNP|SYM",
    "U.S.S.R.": "NNP",
    "U.S.backed": "JJ",
    "U.S.based": "JJ",
    "U.S.concerns": "NNS",
    "U.S.investors": "NNS",
    "U.S.that": "NN",
    "U.s": "NNP",
    "U/NNP.S.C.": "NNP",
    "UAE": "NNP",
    "UAL": "NNP",
    "UAP": "NNP",
    "UAW": "NNP",
    "UBS": "NNP",
    "UBS-Phillips": "NNP",
    "UCC": "NNP",
    "UCLA": "NNP",
    "UCSF": "NNP",
    "UDAG": "NNP",
    "UDC": "NNP",
    "UEP": "NNP",
    "UFO": "NNP",
    "UFOs": "NNS",
    "UGF": "NNP",
    "UGI": "NNP",
    "UH": "NNP",
    "UH-60A": "NNP",
    "UIC": "NNP",
    "UJB": "NNP",
    "UK": "NNP",
    "UKRAINIANS": "NNS",
    "ULI": "NNP",
    "UMNO": "NNP",
    "UMW": "NNP",
    "UN": "NNP",
    "UNA": "NNP",
    "UNC": "NNP",
    "UNCERTAINTY": "NN",
    "UNDEFINED": "JJ",
    "UNDER": "IN",
    "UNESCO": "NNP",
    "UNFLUORIDATED": "JJ",
    "UNIFIED": "JJ",
    "UNIFIRST": "NNP",
    "UNION": "NN|NNP",
    "UNITED": "NNP",
    "UNIX": "NNP",
    "UNR": "NNP",
    "UNRESOLVED": "JJ",
    "UNVEILED": "VBD",
    "UP": "RP|IN|NNP",
    "UPHELD": "VBN",
    "UPI": "NNP",
    "UPJOHN": "NNP",
    "UPS": "NNP",
    "URGED": "VBN|VBD",
    "US": "NNP|PRP",
    "US$": "$",
    "US-Travel": "NNP",
    "USA": "NNP",
    "USAA": "NNP",
    "USACafes": "NNP|NNPS",
    "USAF": "NNP",
    "USAir": "NNP",
    "USC": "NNP",
    "USDA": "NNP",
    "USDA-sponsored": "JJ",
    "USED": "VBD",
    "USED-CAR": "NN",
    "USF&G": "NNP",
    "USFL": "NNP",
    "USG": "NNP",
    "USGA": "NNP",
    "USI": "NNP",
    "USIA": "NNP",
    "USIS": "NNP",
    "USN": "NNP",
    "USN.": "NNP",
    "USO": "NNP",
    "USOM": "NNP",
    "USP": "NNP",
    "USS": "NNP",
    "USSR": "NNP",
    "UST": "NNP",
    "USW": "NNP",
    "USX": "NNP",
    "UTA": "NNP",
    "UTILITIES": "NNP",
    "UTL": "JJ",
    "UTLs": "NNS",
    "UV-B": "NN|JJ|NNP",
    "UVB": "NN",
    "Ubberroth": "NNP",
    "Ubermenschen": "NNPS",
    "Uchida": "NNP",
    "Uclaf": "NNP",
    "Udall": "NNP",
    "Udayan": "NNP",
    "Udvar-Hazy": "NNP",
    "Ueberroth": "NNP",
    "Uerkesh": "NNP",
    "Ugh": "UH",
    "Ugly": "JJ",
    "Uh": "UH|IN",
    "Uh-huh": "UH",
    "Uh-uh": "UH",
    "Uhhu": "UH",
    "Uhl": "NNP",
    "Uhles": "NNP",
    "Uhlmann": "NNP",
    "Uhr": "NNP",
    "Ukiah": "NNP",
    "Ukraine": "NNP",
    "Ukrainian": "JJ|NNP",
    "Ukrainians": "NNPS",
    "Ukranians": "NNPS",
    "Ukropina": "NNP",
    "Ulanys": "NNP|NNPS",
    "Ulbricht": "NNP",
    "Ulisse": "NNP",
    "Ullman": "NNP",
    "Ulric": "NNP",
    "Ulrich": "NNP",
    "Ultimate": "NNP|JJ",
    "Ultimately": "RB",
    "Ultra": "NNP",
    "Ultracentrifugation": "NN",
    "Ultramar": "NNP",
    "Ultraviolet": "NN",
    "Ulyate": "NNP",
    "Ulysses": "NNP",
    "Um": "UH",
    "Umberson": "NNP",
    "Umberto": "NNP",
    "Umkhonto": "NNP",
    "Umm": "UH",
    "Umpire": "NN",
    "Umschlagplatz": "NNP",
    "Un-American": "NNP",
    "Unable": "JJ",
    "Unam": "NNP",
    "Unamused": "JJ",
    "Unanalyzed": "JJ",
    "Unanimity": "NN",
    "Unanimously": "RB",
    "Unbelievable": "JJ",
    "Uncas": "NNP",
    "Uncertain": "NNP",
    "Uncertainty": "NN",
    "Unckle": "NNP",
    "Uncle": "NNP",
    "Uncomfortably": "RB",
    "Uncommon": "JJ",
    "Unconcerned": "JJ",
    "Unconfirmed": "JJ",
    "Unconscionable": "JJ",
    "Unconscious": "NNP",
    "Unconsciously": "RB",
    "Unconstitutional": "JJ",
    "Uncontrolled": "JJ",
    "Undaunted": "JJ",
    "Undead": "NN",
    "Under": "IN|NNP",
    "Underage": "JJ",
    "Underberg": "NNP",
    "Underclass": "JJ|NNS",
    "Undergraduates": "NNS",
    "Underground": "JJ",
    "Underhill": "NNP",
    "Underlying": "VBG|JJ",
    "Underneath": "IN|NN",
    "Underperform": "NNP",
    "Underscoring": "VBG",
    "Underseas": "NNP",
    "Undersecretary": "NNP",
    "Underserved": "NNP",
    "Understandably": "RB",
    "Understanding": "VBG|NN",
    "Undertaken": "VBN",
    "Underwater": "NNP",
    "Underwear": "NN",
    "Underwood": "NNP",
    "Underwoods": "NNPS",
    "Underwriter": "NNP",
    "Underwriters": "NNS|NNPS",
    "Underwriting": "VBG|NN",
    "Undeterred": "JJ",
    "Undismayed": "JJ",
    "Undoubtedly": "NNP|RB",
    "Undugu": "NNP",
    "Unease": "NN",
    "Uneasiness": "NN",
    "Unemployed": "NNP|JJ",
    "Unemployment": "NN|NNP",
    "Uneven": "JJ",
    "Unexpected": "JJ",
    "Unfilled": "JJ",
    "Unflattering": "JJ",
    "Unfortunately": "RB",
    "Unfriendly": "JJ",
    "Unfurling": "VBG",
    "Ungaretti": "NNP",
    "Ungava": "NNP",
    "Unger": "NNP",
    "Ungermann-Bass": "NNP",
    "Unglazed": "VBN",
    "Ungrateful": "JJ",
    "Unhappily": "RB",
    "UniFirst": "NNP",
    "UniHealth": "NNP",
    "Uniate": "NNP",
    "Unice": "NNP",
    "Unico": "NNP",
    "Uniconer": "NNP",
    "Unicorp": "NNP",
    "Unida": "NNP",
    "Unification": "NNP",
    "Unificationism": "NNP",
    "Unificationist": "JJ",
    "Unificationists": "NNS",
    "Unified": "NNP",
    "Unifil": "NNP",
    "Uniform": "JJ",
    "Unify": "VB",
    "Unigesco": "NNP",
    "Unilab": "NNP",
    "Unilever": "NNP",
    "Unimin": "NNP",
    "Unimpressed": "JJ",
    "Unincorporated": "NNP",
    "Uninhibited": "NNP|JJ",
    "Union": "NNP|JJ",
    "Union.": "NNP",
    "UnionFed": "NNP",
    "Uniondale": "NNP",
    "Unione": "NNP",
    "Unionized": "VBN",
    "Unions": "NNS",
    "Unique": "JJ",
    "Uniqueness": "NNP",
    "Uniroyal": "NNP",
    "Uniroyal-Goodrich": "NNP",
    "Unisys": "NNP|NNS",
    "Unit": "NNP|NN",
    "Unitarian": "NNP|JJ",
    "Unitarianism": "NNP",
    "Unitarians": "NNPS",
    "Unitas": "NNP",
    "United": "NNP|VBN|JJ",
    "Unitel": "NNP",
    "Unitholders": "NNS",
    "Unitika": "NNP",
    "Unitil": "NNP",
    "Unitours": "NNPS",
    "Unitrode": "NNP",
    "Units": "NNS|NNP|NNPS",
    "Unity": "NNP",
    "Universal": "NNP|JJ",
    "Universal-International": "NNP",
    "Universal-Morning": "NNP",
    "Universal-Rundle": "NNP",
    "Universe": "NNP",
    "Universities": "NNS|NNPS",
    "University": "NNP",
    "University-EPA": "NNP",
    "University-based": "JJ",
    "Univest": "NNP",
    "Univision": "NNP",
    "Unix": "NNP",
    "Unknown": "JJ",
    "Unleaded": "JJ",
    "Unless": "IN|NNP",
    "Unlike": "IN",
    "Unlikely": "RB",
    "Unlimited": "NNP|JJ",
    "Unlisted": "NNP",
    "Unloading": "VBG",
    "Unloved": "NNP",
    "Unmanned": "JJ",
    "Unmarried": "JJ",
    "Uno": "NNP",
    "Uno-Ven": "NNP",
    "Unocal": "NNP|JJ",
    "Unoccupied": "JJ",
    "Unofficial": "JJ",
    "Unpaid": "JJ",
    "Unpleasant": "JJ",
    "Unpopular": "JJ",
    "Unprovable": "JJ",
    "Unpublished": "JJ",
    "Unquestionably": "RB",
    "Unreported": "JJ",
    "Unresolved": "JJ",
    "Unruh": "NNP",
    "Unruly": "JJ",
    "Unseasonably": "RB",
    "Unsecured": "JJ",
    "Unsettling": "JJ",
    "Unsinkable": "NNP",
    "Unsolved": "NNP",
    "Unspeakable": "JJ",
    "Unstained": "JJ",
    "Unsuccessful": "JJ",
    "Unsuspecting": "JJ",
    "Untch": "NNP",
    "Until": "IN|NNP",
    "Untold": "JJ|NNP",
    "Untouchables": "NNPS",
    "Unum": "NNP",
    "Unused": "JJ",
    "Unusual": "JJ|NNP",
    "Unveiled": "VBN",
    "Unveiling": "VBG",
    "Unwanted": "JJ",
    "Unwarranted": "JJ",
    "Unwholesome": "JJ",
    "Unwilling": "JJ",
    "Unwinding": "VBG",
    "Up": "IN|RB|RP|NNP",
    "Upchurch": "NNP",
    "Update": "NNP",
    "Updike": "NNP",
    "Upgrades": "NNS",
    "Upham": "NNP",
    "Uphoff": "NNP",
    "Upholds": "VBZ",
    "Upjohn": "NNP",
    "Uplands": "NNPS",
    "Upon": "IN|NNP",
    "Upped": "VBN",
    "Upper": "NNP|JJ",
    "Upping": "VBG",
    "Uppsala": "NNP",
    "Uprising": "NNP",
    "Ups": "VBZ",
    "Upsala": "NNP",
    "Upset": "VBN",
    "Upson": "NNP",
    "Upstairs": "NN",
    "Uptick": "NN",
    "Upton": "NNP",
    "Ural": "NNP",
    "Urals": "NNS|NNPS",
    "Uranium": "NNP",
    "Urban": "NNP",
    "Urbana": "NNP",
    "Urbanization": "NN",
    "Urbano": "NNP",
    "Urbanski": "NNP",
    "Urben": "NNP",
    "Urdis": "NNP",
    "Urethane": "NN",
    "Urge": "VB",
    "Urged": "VBN",
    "Urging": "NNP",
    "Urich": "NNP",
    "Urielites": "NNPS",
    "Urien": "NNP",
    "Urmstom": "NNP",
    "Urn": "NNP",
    "Urraca": "NNP",
    "Urs": "NNP",
    "Ursa": "NNP",
    "Urstadt": "NNP",
    "Ursuline": "NNP",
    "Uruguay": "NNP",
    "Us": "NNP|NNPS|PRP",
    "Use": "NN|VB|NNP",
    "Used": "VBN|JJ",
    "User-friendly": "JJ",
    "Users": "NNS|NNPS",
    "Usery": "NNP",
    "Uses": "NNS",
    "Usha": "NNP",
    "Ushikubo": "NNP",
    "Ushuaia": "NNP",
    "Usines": "NNP",
    "Using": "VBG",
    "Usinor": "NNP",
    "Usinor-Sacilor": "NNP",
    "Uspensky": "NNP",
    "Usually": "RB",
    "Usurpations": "NNS",
    "Utah": "NNP",
    "Utahans": "NNPS",
    "UtiliCorp": "NNP",
    "Utilities": "NNP|NNS|NNPS",
    "Utility": "NNP",
    "Utilization": "NN",
    "Utley": "NNP",
    "Uto-Aztecan": "NNP",
    "Utopia": "NNP",
    "Utopian": "NNP|JJ",
    "Utopians": "NNPS",
    "Utrecht": "NNP",
    "Utsumi": "NNP",
    "Utsunomiya": "NNP",
    "Utt": "NNP",
    "Utter": "NNP",
    "Uxbridge": "NNP",
    "Uyl": "NNP",
    "Uzbekistan": "NNP",
    "Uzi": "NNP",
    "Uzi-model": "JJ",
    "V-1": "NNP",
    "V-22": "NNP",
    "V-2500": "NN",
    "V-6": "NNP|JJ",
    "V-6-equipped": "JJ",
    "V-8": "JJ|NNP",
    "V-shaped": "JJ",
    "V.": "NNP|CC|IN",
    "V.E.": "NNP",
    "V.H.": "NNP",
    "V.O.": "NNP",
    "VA": "NNP",
    "VA-backed": "JJ",
    "VALLEY": "NNP",
    "VARIAN": "NNP",
    "VAT": "NNP",
    "VATICAN": "NNP",
    "VAX": "NNP",
    "VAX9000": "NN",
    "VAXstation": "NNP",
    "VCOR": "NNP",
    "VCR": "NNP|NNS",
    "VCRs": "NNS",
    "VENTURE": "NN",
    "VF": "NNP",
    "VGA": "NNP",
    "VH-1": "NNP",
    "VIACOM": "NNP",
    "VICTIMS": "NNS",
    "VICTOR": "NNP",
    "VICTORIES": "NNS",
    "VIDEO": "NN|NNP",
    "VIETNAM": "NNP",
    "VII": "NNP",
    "VIII": "NNP",
    "VIP": "NNP",
    "VISA": "NNP",
    "VISTA": "NNP",
    "VISUALIZING": "VBG",
    "VISX": "NNP",
    "VISystems": "NNPS",
    "VITRO": "NNP",
    "VLSI": "NNP",
    "VNR": "NNP",
    "VO5": "NNP",
    "VOA": "NNP",
    "VOLUME": "NN",
    "VOLUNTARISM": "NN",
    "VOTED": "VBD",
    "VS": "NNP",
    "VTC": "NNP",
    "VTOL": "NNP",
    "VTX": "NNP",
    "VW": "NNP",
    "VWR": "NNP",
    "Va": "NNP",
    "Va.": "NNP",
    "Va.-based": "JJ",
    "VacSYN": "NNP",
    "Vacancies": "NNS",
    "Vacancy": "NN|NNP",
    "Vacation": "NN|NNP",
    "Vacations": "NNPS|NNS",
    "Vacaville": "NNP",
    "Vachell": "NNP",
    "Vaclav": "NNP",
    "Vacuum": "NNP",
    "Vadar": "NNP",
    "Vadas": "NNP",
    "Vadehra": "NNP",
    "Vader": "NNP",
    "Vadies": "NNP",
    "Vadim": "NNP",
    "Vadstena": "NNP",
    "Vaezi": "NNP",
    "Vagabond": "NNP",
    "Vagabonds": "NNPS",
    "Vague": "JJ",
    "Vahid": "NNP",
    "Vaikule": "NNP",
    "Vail": "NNP",
    "Vajna": "NNP",
    "Val": "NNP",
    "Valais": "NNP",
    "Valdemar": "NNP",
    "Valdese": "NNP",
    "Valdez": "NNP",
    "Valdiserri": "NNP",
    "Vale": "IN|NNP",
    "Valedictorian": "NNP",
    "Valen": "NNP",
    "Valencia": "NNP",
    "Valens": "NNP",
    "Valente": "NNP",
    "Valenti": "NNP",
    "Valentin": "NNP",
    "Valentina": "NNP",
    "Valentine": "NNP",
    "Valentino": "NNP",
    "Valeri": "NNP",
    "Valerie": "NNP",
    "Valero": "NNP",
    "Valery": "NNP",
    "Valhalla": "NNP",
    "Valhi": "NNP",
    "Valiant": "NNP",
    "Valin": "NNP",
    "Valium": "NNP",
    "Valladolid": "NNP",
    "Valle": "NNP",
    "Vallecas": "NNP",
    "Vallee": "NNP",
    "Valley": "NNP",
    "Valleyfair": "NNP",
    "Vallfart": "NNP",
    "Valmet": "NN",
    "Valois": "NNP",
    "Valparaiso": "NNP",
    "Valrico": "NNP",
    "Valspar": "NNP",
    "Valu": "NNP",
    "Valuable": "NNP|JJ",
    "Value": "NNP",
    "Valued": "VBN",
    "Values": "NNPS|NNS",
    "Valvoline": "NNP",
    "Vamp": "NNP",
    "Van": "NNP",
    "VanSant": "NNP",
    "Vance": "NNP",
    "Vancouver": "NNP",
    "Vancouver-based": "JJ",
    "Vanden": "NNP",
    "VandenBerg": "NNP",
    "Vandenberg": "NNP",
    "Vander": "NNP",
    "Vanderbilt": "NNP",
    "Vanderbilts": "NNS",
    "Vandervoort": "NNP",
    "Vandiver": "NNP",
    "Vandringsar": "NNP",
    "Vane": "NNP",
    "Vanessa": "NNP",
    "Vanguard": "NNP",
    "Vanguardia": "NNP",
    "Vanities": "NNS|NNPS",
    "Vanity": "NNP",
    "Vanourek": "NNP",
    "Vanous": "NNP",
    "Vantage": "NNP",
    "Vanuatu": "NNP",
    "Vapor": "NN",
    "Vappenfabrikk": "NNP",
    "Varadero": "NNP",
    "Varalli": "NNP",
    "Varani": "NNP",
    "Varese": "NNP",
    "Varga": "NNP",
    "Vargas": "NNP",
    "Varian": "NNP",
    "Variations": "NNPS|NNS",
    "Variety": "NNP",
    "Varigrad": "NNP",
    "Various": "JJ|NNP",
    "Varitronic": "NNP",
    "Varity": "NNP",
    "Varlaam": "NNP",
    "Varmus": "NNP",
    "Varnell": "NNP",
    "Varner": "NNP",
    "Varnessa": "NNP",
    "Varo": "NNP",
    "Varvara": "NNP",
    "Varviso": "NNP",
    "Vary": "VBP",
    "Varying": "JJ|VBG",
    "Vasa": "NNP",
    "Vasady": "NNP",
    "Vaseretic": "NNP",
    "Vases": "NNS",
    "Vasilenko": "NNP",
    "Vasilievitch": "NNP",
    "Vaska": "NNP",
    "Vasotec": "NNP",
    "Vasquez": "NNP",
    "Vass": "NNP",
    "Vassiliades": "NNP",
    "Vasso": "NNP",
    "Vast": "JJ",
    "Vastly": "RB",
    "Vasvani": "NNP",
    "Vatican": "NNP|JJ",
    "Vattern": "NNP",
    "Vaudois": "NNP",
    "Vaughan": "NNP",
    "Vaughn": "NNP",
    "Vault": "NNP",
    "Vaux": "NNP",
    "Vauxhall": "NNP",
    "Vauxhill": "NNP",
    "Vax": "NNP",
    "VaxSyn": "NNP",
    "Veatch": "NNP",
    "Veba": "NNP",
    "Veblen": "NNP",
    "VecTrol": "NNP",
    "Vecchio": "NNP",
    "Vector": "NNP",
    "Vectra": "NNP",
    "Vedder": "NNP",
    "Vedrine": "NNP",
    "Veeck": "NNP",
    "Vega": "NNP",
    "Vegans": "NNPS",
    "Vegas": "NNP",
    "Vegas-based": "JJ",
    "Vegetable": "NN",
    "Vegetables": "NNS",
    "Vehicle": "NNP",
    "Vehicles": "NNPS|NNS",
    "Veil": "NNP",
    "Veiling": "VBG",
    "Veille": "NNP",
    "Veilleux": "NNP",
    "Velasco": "NNP",
    "Velasquez": "NNP",
    "Velazquez": "NNP",
    "Velcro": "NN",
    "Vellante": "NNP",
    "VeloBind": "NNP",
    "Velon": "NNP",
    "Veltri": "NNP",
    "Velveeta": "NNP",
    "Venable": "NNP",
    "Vencor": "NNP",
    "Vending": "NN",
    "Vendome": "NNP",
    "Vendors": "NNS",
    "Venerable": "NNP",
    "Venetian": "NNP|JJ",
    "Veneto": "NNP",
    "Venetoen": "NNP",
    "Venezuela": "NNP",
    "Venezuelan": "JJ|NNP",
    "Venezuelans": "NNPS",
    "Veniamin": "NNP",
    "Venice": "NNP",
    "Venit": "NNP",
    "Venn": "NNP",
    "Venneboerger": "NNP",
    "Vent": "NN",
    "Ventes": "NNP",
    "Venti": "NNP",
    "Ventilation": "NN|NNP",
    "Vento": "NNP",
    "Ventres": "NNP",
    "Ventspils": "NNP",
    "Ventura": "NNP",
    "Venture": "NNP",
    "Ventured": "NNP",
    "Ventures": "NNPS|NNP",
    "Venturesome": "JJ",
    "Venturi": "NNP",
    "Venus": "NNP",
    "Venusians": "NNPS",
    "Vera": "NNP",
    "Veracruz": "NNP",
    "Veraguas": "NNP",
    "Veraldi": "NNP",
    "Verbal": "JJ|NNP",
    "Verbatim": "JJ",
    "Verbindungstechnik": "NNP",
    "Verboort": "NN",
    "Verbrugge": "NNP",
    "Verde": "NNP",
    "Verdes": "NNP",
    "Verdi": "NNP",
    "Vere": "NNP",
    "Vereinsbank": "NNP",
    "Verey": "NNP",
    "Verfahrenstechnik": "NNP",
    "Verges": "NNP",
    "Vergessen": "FW",
    "Verification": "NN|NNP",
    "Verit": "NNP",
    "Veritrac": "NNP",
    "Verloop": "NNP",
    "Vermeersch": "NNP",
    "Vermejo": "NNP",
    "Vermes": "NNP",
    "Vermont": "NNP",
    "Vermont-Slauson": "NNP",
    "Vermont-based": "JJ",
    "Vermonters": "NNPS",
    "Vermouth": "NNP",
    "Vern": "NNP",
    "Vernava": "NNP",
    "Verne": "NNP",
    "Verner": "NNP",
    "Vernier": "NNP",
    "Vernitron": "NNP",
    "Vernon": "NNP",
    "Vernor": "NNP",
    "Vero": "NNP",
    "Veronica": "NN",
    "Veronique": "NNP",
    "Veronis": "NNP",
    "Verplanck": "NNP",
    "Verreau": "NNP",
    "Verret": "NNP",
    "Verrone": "NNP",
    "Versailles": "NNP",
    "Verses": "NNS|NNPS",
    "Versicherung": "NNP",
    "Versicherungs": "NNP",
    "Version": "NNP",
    "Verstandig": "NNP",
    "Verwoerd": "NNP",
    "Very": "RB|NNP|JJ",
    "Veryfine": "NNP",
    "Vesco": "NNP",
    "Vescos": "NNPS",
    "Veselich": "NNP",
    "Veslefrikk": "NNP",
    "Vesoft": "NNP",
    "Vesole": "NNP",
    "Vessel": "NNP",
    "Vestar": "NNP",
    "Vesuvio": "NNP",
    "Veteran": "JJ|NNP",
    "Veterans": "NNP|NNPS|NNS",
    "Vetere": "NNP",
    "Veteri": "NNP",
    "Veterinary": "JJ|NNP",
    "Vevay": "NNP",
    "Vevey": "NNP",
    "Via": "NNP",
    "Viacom": "NNP",
    "Viag": "NNP",
    "Viaje": "NNP",
    "Viale": "NNP",
    "Viall": "NNP",
    "Viande": "NNP",
    "Viareggio": "NNP",
    "Viatech": "NNP",
    "Viator": "NNP",
    "Vibrometer": "NN",
    "Vic": "NNP",
    "Vical": "NNP",
    "Vicar": "NNP",
    "Vice": "NNP",
    "Vice-President": "NNP",
    "Vice-president": "NN",
    "Vicenza": "NNP",
    "Viceroy": "NNP",
    "Vichy": "NNP",
    "Vickers": "NNP",
    "Vickery": "NNP",
    "Vicki": "NNP",
    "Vickie": "NNP",
    "Vicks": "NNP",
    "Vicksburg": "NNP",
    "Vickstrom": "NNP",
    "Vicky": "NNP",
    "Vicolo": "NNP",
    "Vicon": "NNP",
    "Victim": "NN",
    "Victimization": "NN",
    "Victims": "NNS|NNP",
    "Victoire": "NNP",
    "Victor": "NNP",
    "Victor-Butler": "NNP",
    "Victor-brand": "JJ",
    "Victoria": "NNP",
    "Victorian": "JJ|NNP",
    "Victorians": "NNS|NNPS",
    "Victory": "NNP",
    "Victrola": "NN",
    "Vida": "NNP",
    "Vidal": "NNP",
    "Video": "NNP",
    "Videos": "NNPS",
    "Videotron": "NNP",
    "Videoway": "NNP",
    "Vidunas": "NNP",
    "Vie": "NNP",
    "Vieira": "NNP",
    "Vienna": "NNP|JJ",
    "Vienne": "NNP",
    "Viennese": "JJ",
    "Vienot": "NNP",
    "Vientiane": "NNP",
    "Viet": "NNP",
    "Vieth": "NNP",
    "Vietnam": "NNP",
    "Vietnam-veteran": "JJ",
    "Vietnamese": "JJ|NNP|NNS|NNPS",
    "Vietnamese-backed": "JJ",
    "Vietor": "NNP",
    "Vieux": "NNP",
    "View": "NNP",
    "Viewed": "VBN",
    "Viewer": "NNP",
    "Viewers": "NNS",
    "Viewing": "VBG|NN",
    "Viewmaster": "NNP",
    "Viewmaster-Ideal": "NNP",
    "Viewpoint": "NN|NNP",
    "Views": "NNS",
    "Vif": "NNP",
    "Vigdor": "NNP",
    "Viggo": "NNP",
    "Vigier": "NNP",
    "Vignola": "NNP",
    "Vigorous": "JJ",
    "Vigreux": "NNP",
    "Vihon": "NNP",
    "Vikes": "NNPS",
    "Viking": "NNP",
    "Viking/Penguin": "NN",
    "Vikings": "NNPS",
    "Viktor": "NNP",
    "Vikulov": "NNP",
    "Vila": "NNP",
    "Vilaplana": "NNP",
    "Vilas": "NNP",
    "Vilgrain": "NNP",
    "Villa": "NNP",
    "Village": "NNP",
    "Villagers": "NNS",
    "Villages": "NNS",
    "Villalobos": "NNP",
    "Villamiel": "NNP",
    "Villanova": "NNP",
    "Villanueva": "NNP",
    "Villard": "NNP",
    "Ville": "NNP",
    "Vilnius": "NNP",
    "Vince": "NNP",
    "Vincent": "NNP",
    "Vindication": "NNP",
    "Vinegar": "NNP",
    "Vineland": "NNP",
    "Vineyard": "NNP",
    "Vineyards": "NNPS|NNS",
    "Vining": "NNP",
    "Vinken": "NNP",
    "Vinnicum": "NNP",
    "Vinnin": "NNP",
    "Vinogradoff": "NNP",
    "Vinson": "NNP",
    "Viola": "NNP",
    "Violence": "NNP",
    "Violent": "JJ",
    "Violet": "NNP",
    "Violeta": "NNP",
    "Violetta": "NNP",
    "Violin": "NNP",
    "Viper": "NNP",
    "Viphakone": "NNP",
    "Virdon": "NNP",
    "Viren": "NNP",
    "Virgil": "NNP",
    "Virgilia": "NNP",
    "Virgilio": "NNP",
    "Virgin": "NNP|JJ",
    "Virginia": "NNP",
    "Virginian": "NNP",
    "Virginians": "NNPS",
    "Virgins": "NNPS",
    "Virnich": "NNP",
    "Virology": "NNP",
    "Viroqua": "NNP",
    "Virsaladze": "NNP",
    "Virtually": "RB",
    "Virtue": "NNP",
    "Virus": "NN",
    "Viruscan": "NNP",
    "Viruses": "NNS",
    "Visa": "NNP",
    "Viscera": "NNPS",
    "Viscerally": "RB",
    "Viscount": "NNP",
    "Visher": "NNP",
    "Vishwanath": "NNP",
    "Visibility": "NN",
    "Visigoths": "NNPS",
    "Vision": "NNP",
    "VisionQuest": "NNP",
    "Visitation": "NNP",
    "Visiting": "VBG|NNP",
    "Visitors": "NNS|NNP|NNPS",
    "Visits": "NNS",
    "Visker": "NNP",
    "Viss": "NNP",
    "Visscher": "NNP",
    "Vista": "NNP",
    "Vistoso": "NNP",
    "Visual": "JJ",
    "Visualize": "VB",
    "Visually": "RB",
    "Visx": "NNP",
    "Vita": "NNP",
    "Vital": "JJ|NN",
    "Vitale": "NNP",
    "Vitalie": "NNP",
    "Vitaly": "NNP",
    "Vitamin": "NN",
    "Vitamins": "NNS",
    "Vitarine": "NNP",
    "Vitro": "NNP",
    "Vitro-Anchor": "NNP",
    "Vittoria": "NNP",
    "Vittorio": "NNP",
    "Vitulli": "NNP",
    "Vitus": "NNP",
    "Vitzhum": "NNP",
    "Viva": "FW",
    "Vivacious": "JJ",
    "Vivaldi": "NNP",
    "Vivaldi-at-brunch": "JJ",
    "Vive": "FW",
    "Vivian": "NNP",
    "Vivien": "NNP",
    "Vivier": "NNP",
    "Viyella": "NNP",
    "Vizas": "NNP",
    "Vizcaya": "NNP",
    "Vizeversa": "NNP",
    "Vladilen": "NNP",
    "Vladimir": "NNP",
    "Vladivostok": "NNP",
    "Vlasi": "NNP",
    "Vnet": "NNP",
    "Vocabularianism": "NNP",
    "Vocabulary": "NNP",
    "Vocal": "NN",
    "Vocational": "NNP|JJ",
    "Voegelin": "NNP",
    "Voegtli": "NNP",
    "Voell": "NNP",
    "Vogel": "NNP",
    "Vogelstein": "NNP",
    "Vogtle": "NNP",
    "Vogue": "NNP",
    "Voice": "NNP",
    "Voices": "NNS",
    "Voicetek": "NNP",
    "Void": "NN",
    "Voiture": "NNP",
    "Vol.": "NNP",
    "Volare": "NNP",
    "Volatile": "JJ",
    "Volatility": "NN",
    "Volcker": "NNP",
    "Volga": "NNP",
    "Volgograd": "NNP",
    "Volio": "NNP",
    "Volk": "NNP",
    "Volkenstein": "NNP",
    "Volker": "NNP",
    "Volksgeist": "FW",
    "Volkswagen": "NNP",
    "Volkswagens": "NNPS",
    "Volland": "NNP",
    "Vollard": "NNP",
    "Vollrath": "NNP",
    "Volney": "NNP",
    "Volokh": "NNP",
    "Volokhs": "NNPS",
    "Volpe": "NNP",
    "Volstead": "JJ|NNP",
    "Volta": "NNP",
    "Voltaire": "NNP",
    "Volume": "NN|NNP",
    "Volumes": "NNS|NNP",
    "Voluntary": "NNP|JJ",
    "Volunteer": "NNP",
    "Volunteers": "NNPS",
    "Volvo": "NNP",
    "Volvo-Renault": "NNP",
    "Volz": "NNP",
    "Volzhsky": "NNP",
    "Vom": "NNP",
    "Von": "NNP|FW",
    "Vonnegut": "NNP",
    "Vons": "NNPS",
    "Voorhees": "NNP",
    "Voorhes": "NNP",
    "Voroba": "NNP",
    "Voronezh": "NNP",
    "Vorontsov": "NNP",
    "Voroshilov": "NNP",
    "Vortex": "NNP",
    "Vos": "NNP",
    "Vose": "NNP",
    "Vosges": "NNP|NNPS",
    "Voss": "NNP",
    "Vote": "NN|VB",
    "Voter": "NNP|NN",
    "Voters": "NNS|NNP|NNPS",
    "Votes": "NNS",
    "Voting": "NNP|VBG",
    "Vouillemont": "NNP",
    "Vous": "FW",
    "Voute": "NNP",
    "Voutila": "NNP",
    "Vowel": "NNP",
    "Vowel-Length": "NN",
    "Vowels": "NNS",
    "Vowing": "VBG",
    "Voyager": "NNP",
    "Voyagers": "NNPS",
    "Voyagers.": "NNPS",
    "Voyles": "NNP",
    "Vranian": "NNP",
    "Vries": "NNP",
    "Vrilium": "NNP",
    "Vroman": "NNP",
    "Vroom": "NNP",
    "Vs.": "FW",
    "Vt": "NNP",
    "Vt.": "NNP",
    "Vt.-based": "JJ",
    "Vu": "NNP",
    "Vue": "NNP",
    "Vuitton": "NNP",
    "Vulcan": "NNP",
    "Vulture": "NN",
    "Vulturidae": "NNS",
    "Vyacheslav": "NNP",
    "Vyas": "NNP",
    "Vyquest": "NNP",
    "W": "NNP",
    "W&D": "NNP",
    "W-2": "NN",
    "W-2s": "NNS",
    "W-region": "NN",
    "W.": "NNP",
    "W.A.": "NNP",
    "W.B.": "NNP",
    "W.C.": "NNP",
    "W.D.": "NNP",
    "W.E.": "NNP",
    "W.F.": "NNP",
    "W.G.": "NNP",
    "W.H.": "NNP",
    "W.I.": "NNP",
    "W.I.L.D": "NNP",
    "W.J.": "NNP",
    "W.L.": "NNP",
    "W.M.": "NNP",
    "W.N.": "NNP",
    "W.O.": "NNP",
    "W.R.": "NNP",
    "W.S.": "NNP",
    "W.T.": "NNP",
    "W.Va": "NNP",
    "W.Va.": "NNP",
    "W.W.": "NNP",
    "W/NNP.A.": "NN",
    "W/NNP.B/NNP.I.": "NN",
    "W/NNP.R.G.": "NNP",
    "WABC": "NNP",
    "WAC": "NNP",
    "WACS": "NNPS",
    "WAFA": "NNP",
    "WAGE": "NN",
    "WALL": "NNP",
    "WANES": "VBZ",
    "WANT": "VBP",
    "WAO": "NNP",
    "WAR": "NN|NNP",
    "WARNED": "VBD",
    "WARNER-LAMBERT": "NNP",
    "WARS": "NNS|NNP",
    "WAS": "VBD",
    "WASHINGTON": "NNP",
    "WATCH": "VB",
    "WATKINS-JOHNSON": "NNP",
    "WAVE": "NNP",
    "WAZ": "NNP",
    "WB": "NNP",
    "WBAI": "NNP",
    "WBBM-TV": "NNP",
    "WBZ": "NNP",
    "WCI": "NNP",
    "WCRS": "NNP",
    "WCRS-Eurocom": "JJ|NNP",
    "WCRS/Boston": "NNP",
    "WCVB": "NNP",
    "WD-40": "NNP",
    "WDB": "NN|NNP",
    "WE": "PRP",
    "WEDTECH": "NNP",
    "WEEI": "NNP",
    "WEEK": "NN",
    "WEFA": "NNP",
    "WEIRTON": "NNP",
    "WELLS": "NNP",
    "WENT": "VBD",
    "WESLEY": "NNP",
    "WEST": "NNP",
    "WESTWOOD": "NNP",
    "WFAA": "NNP",
    "WFAA-TV": "NNP",
    "WFC": "NNP",
    "WFRR": "NNP",
    "WFXT": "NNP",
    "WFXT-TV": "NNP",
    "WGBH": "NNP",
    "WGP": "NNP",
    "WHAS": "NNP",
    "WHAT": "WDT|WP",
    "WHEC-TV": "NNP",
    "WHEN": "WRB",
    "WHICH": "WDT",
    "WHIRLPOOL": "NN",
    "WHISPER": "NN",
    "WHITMAN": "NNP",
    "WHO": "WP",
    "WHOOPS": "NNP",
    "WHX": "NNP",
    "WHY": "WRB",
    "WIC": "NNP",
    "WILL": "MD",
    "WIN": "NNP",
    "WINDOW": "NN",
    "WINS": "VBZ",
    "WINSTON-SALEM": "NNP",
    "WITH": "IN",
    "WITHHELD": "VBN",
    "WITHHOLDING": "NN",
    "WKRP": "NNP",
    "WLF": "NNP",
    "WLIB": "NNP",
    "WMB": "NNP",
    "WNBC": "NNP",
    "WNBC-TV": "NNP",
    "WNET": "NNP",
    "WNYC": "NNP",
    "WNYC-FM": "NNP",
    "WNYW": "NNP",
    "WNYW-TV": "NNP",
    "WOLFSON": "NNP",
    "WOMEN": "NNS",
    "WON": "VBP",
    "WOODSTOCK": "NNP",
    "WORD": "NN",
    "WORK": "VBP",
    "WORKERS": "NNPS|NNS",
    "WORKING": "VBG",
    "WORKS": "NNP",
    "WORLD": "NN",
    "WORLDLY": "JJ",
    "WPA": "NNP",
    "WPP": "NNP",
    "WPPSS": "NNP",
    "WPS": "NNP",
    "WRC": "NNP",
    "WSJ": "NNP",
    "WSJ/NBC": "NNP",
    "WSY": "NNP",
    "WTBS": "NNP",
    "WTD": "NNP",
    "WTI": "NNP",
    "WTPI-FM": "NNP",
    "WTV": "NNP",
    "WTVJ": "NNP",
    "WTXF": "NNP",
    "WW": "NNP",
    "WWL": "NNP",
    "WWOR": "NNP",
    "WWRL": "NNP",
    "WXRK": "NNP",
    "WXRK-FM": "NNP",
    "WYSE": "NNP",
    "W/O": "NNP",
    "Wa": "NNP|,",
    "Waal": "NNP",
    "Waban": "NNP",
    "Wabash": "NNP",
    "Wachovia": "NNP",
    "Wachsman": "NNP",
    "Wachtel": "NNP",
    "Wachtell": "NNP",
    "Wachter": "NNP",
    "Wachtler": "NNP",
    "Wackenhut": "NNP",
    "Wacker": "NNP",
    "Wackers": "NNPS",
    "Wacklin": "NNP",
    "Wacky": "NNP",
    "Waco": "NNP",
    "Wacoal": "NNP",
    "Wada": "NNP",
    "Waddell": "NNP",
    "Wade": "NNP",
    "Wade-Evans": "NNP",
    "Wadsworth": "NNP",
    "Waertsilae": "NNP",
    "Wafaa": "NNP",
    "Waffen": "NNP",
    "Wage": "NN",
    "Wage-price": "JJ",
    "Wage-settlement": "JJ",
    "Wagg": "NNP",
    "Waggin": "NNP",
    "Waggoner": "NNP",
    "Wagner": "NNP",
    "Wagner-Peyser": "NNP",
    "Wagnerian": "JJ",
    "Wagon": "NNP",
    "Wagoneer": "NNP",
    "Wagons": "NNS",
    "Wah": "NNP",
    "Waigel": "NNP",
    "Waikiki": "NNP",
    "Waikikians": "NNPS",
    "Waikoloa": "NNP",
    "Wailbri": "NNP",
    "Wain": "NNP",
    "Wainaina": "NNP",
    "Wainwright": "NNP",
    "Waist-High": "JJ",
    "Wait": "VB|NN|NNP",
    "Waite": "NNP",
    "Waited": "VBN",
    "Waiting": "VBG|NNP",
    "Wakabayashi": "NNP",
    "Wakako": "NNP",
    "Wakayama": "NNP",
    "Wake": "VB|NNP",
    "Wake-Up": "NNP",
    "Wakefield": "NNP",
    "Wakeman": "NNP",
    "Wakes": "NNP",
    "Waking": "VBG",
    "Wako": "NNP",
    "Waksman": "NNP",
    "Wakui": "NNP",
    "Wal-Mart": "NNP",
    "Walbancke": "NNP",
    "Walbrecher": "NNP",
    "Walbridge": "NNP",
    "Walcott": "NNP",
    "Wald": "NNP",
    "Waldbaum": "NNP",
    "Walden": "NNP",
    "Waldenbooks": "NNP",
    "Waldensian": "JJ",
    "Waldheim": "NNP",
    "Waldholz": "NNP",
    "Waldman": "NNP",
    "Waldo": "NNP",
    "Waldorf": "NNP",
    "Waldorf-Astoria": "NNP",
    "Waldron": "NNP",
    "Wales": "NNP",
    "Walesa": "NNP",
    "Waleson": "NNP",
    "Walford": "NNP",
    "Walgreen": "NNP",
    "Walinsky": "NNP",
    "Walinsky-Rubinstein": "NNP",
    "Walitzee": "NNP",
    "Walk": "VBP|VB|NN",
    "Walk-in": "JJ",
    "Walker": "NNP",
    "Walkers": "NNPS|NNS",
    "Walkin": "NNP",
    "Walking": "VBG",
    "Walkman": "NNP",
    "Walkman-style": "JJ",
    "Walkmen": "NNP",
    "Wall": "NNP|NNS",
    "Wall-Tex": "NN",
    "Walla": "NNP",
    "Wallace": "NNP",
    "Wallach": "NNP",
    "Wallachs": "NNP",
    "Walle": "NNP",
    "Wallenberg": "NNP",
    "Wallenstein": "NNP",
    "Wallingford": "NNP",
    "Walloons": "NNPS",
    "Wallop": "NNP",
    "Walls": "NNS",
    "Wallstreet": "NNP",
    "Wally": "NNP",
    "Walmart": "NNP",
    "Walnut": "NNP",
    "Walpole": "NNP",
    "Walsh": "NNP",
    "Walsifer": "NNP",
    "Walt": "NNP",
    "Waltana": "NNP",
    "Waltch": "NNP",
    "Walter": "NNP",
    "Waltermire": "NNP",
    "Walters": "NNP",
    "Walters-Donaldson": "NNP",
    "Waltham": "NNP",
    "Walther": "NNP",
    "Walton": "NNP",
    "Walzer": "NNP",
    "Wambui": "NNP",
    "Wames": "NNP",
    "Wamre": "NNP",
    "Wan": "NNP",
    "Wanda": "NNP",
    "Wander": "VB",
    "Wander-Years": "NNP",
    "Wanderjahr": "NN",
    "Wanders": "NNP",
    "Wang": "NNP",
    "Wangemans": "NNPS",
    "Wangenheim": "NNP",
    "Wanger": "NNP",
    "Waning": "JJ",
    "Wankui": "NNP",
    "Wanna": "NNP|VB|VBP",
    "Wanniski": "NNP",
    "Wansee": "NNP",
    "Wansley": "NNP",
    "Want": "VB|VBP",
    "Wanted": "VBN|NNP",
    "Wants": "VBZ",
    "Wappinger": "NNP",
    "War": "NNP|JJ",
    "War-era": "NNP",
    "War-related": "JJ",
    "Warburg": "NNP",
    "Warburgs": "NNPS",
    "Ward": "NNP",
    "Wardair": "NNP",
    "Warden": "NNP",
    "Wards": "NNP|NNS",
    "Wardwell": "NNP",
    "Ware": "NNP",
    "Warehouse": "NNP",
    "Warfield": "NNP",
    "Warhol": "NNP",
    "Waring": "NNP",
    "Warm": "JJ",
    "Warman": "NNP",
    "Warming": "VBG",
    "Warmly": "RB",
    "Warmongering": "VBG",
    "Warnaco": "NNP",
    "Warned": "VBD",
    "Warner": "NNP",
    "Warner-Chilcott": "NNP",
    "Warner-Lambart": "NNP",
    "Warner-Lambert": "NNP",
    "Warners": "NNS",
    "Warning": "NNP",
    "Warnke": "NNP",
    "Warnock": "NNP",
    "Warranties": "NNS",
    "Warrants": "NNS",
    "Warren": "NNP",
    "Warrens": "NNS",
    "Warrenton": "NNP",
    "Warrick": "NNP",
    "Warring": "NNP",
    "Warrior": "NNP",
    "Warriors": "NNP|NNPS",
    "Wars": "NNS|NNPS",
    "Warsaw": "NNP",
    "Warshaw": "NNP",
    "Wartburgs": "NNPS",
    "Wartzman": "NNP",
    "Warwick": "NNP",
    "Warwickshire": "NNP",
    "Wary": "JJ",
    "Was": "VBD",
    "Wasatch": "NNP",
    "Waseda": "NNP",
    "Wash": "NNP",
    "Wash.": "NNP",
    "Wash.-based": "JJ",
    "Washburn": "NNP",
    "Washed": "VBN",
    "Washing": "NN|NNP",
    "Washington": "NNP",
    "Washington-Alexandria": "NNP",
    "Washington-Oregon": "NNP",
    "Washington-area": "JJ",
    "Washington-based": "JJ",
    "Washingtons": "NNPS",
    "Washizu": "NNP",
    "Washoe": "NNP",
    "Waslic": "NNP",
    "Wasserstein": "NNP",
    "Wassily": "NNP",
    "Wasson": "NNP",
    "Waste": "NNP|VB",
    "Waste-management": "NN",
    "Wastewater": "NNP",
    "Wastrel": "NN",
    "Watanabe": "NNP",
    "Watch": "NNP|NN|VB",
    "Watchers": "NNPS",
    "Watches": "NNS",
    "Watching": "VBG",
    "Watchmen": "NNP",
    "Water": "NNP",
    "Water-soluble": "JJ",
    "Waterbury": "NNP",
    "Watercolor": "NNP",
    "Waterford": "NNP",
    "Watergate": "NNP",
    "Watergate-beleaguered": "JJ",
    "Waterhouse": "NNP",
    "Waterloo": "NNP|NN",
    "Waterman": "NNP",
    "Waters": "NNP",
    "Waterseller": "NNP",
    "Waterston": "NNP",
    "Watertown": "NNP",
    "Waterville": "NNP",
    "Watervliet": "NNP",
    "Waterways": "NNS",
    "Wathen": "NNP",
    "Watkins": "NNP",
    "Watkins-Johnson": "NNP",
    "Watling": "NNP",
    "Watrous": "NNP",
    "Watson": "NNP",
    "Watson-Watt": "NNP",
    "Watsonville": "NNP",
    "Watt": "NNP",
    "Wattenberg": "NNP",
    "Watterson": "NNP",
    "Wattie": "NNP",
    "Wattley": "NNP",
    "Watts": "NNP",
    "Waugh": "NNP",
    "Waukegan": "NNP",
    "Waukesha": "NNP",
    "Wave": "NNP",
    "Waveland": "NNP",
    "Waverly": "NNP",
    "Waving": "VBG",
    "Wavy": "JJ",
    "Waxman": "NNP",
    "Waxworks": "NNP",
    "Way": "NNP|NN",
    "WayMar": "NNP",
    "Waycross": "NNP",
    "Wayland": "NNP",
    "Waymire": "NNP",
    "Waymouth": "NNP",
    "Wayne": "NNP",
    "Ways": "NNPS|NNS",
    "Wazir": "NNP",
    "We": "PRP|NNP",
    "Weak": "JJ",
    "Weaken": "VB",
    "Weakening": "VBG",
    "Weakens": "VBZ",
    "Weakest": "JJS",
    "Weakness": "NN",
    "Wealth": "NNP",
    "Wealthy": "NNP",
    "Weaning": "NNP",
    "Weapon": "NNP",
    "Weapons": "NNP|NNPS",
    "Wear": "VB|NNP",
    "Wearing": "VBG|NNP",
    "Weart": "NNP",
    "Weary": "JJ|NNP",
    "Weasel": "NNP",
    "Weather": "NNP",
    "Weatherford": "NNP",
    "Weatherly": "NNP",
    "Weathers": "NNPS",
    "Weaver": "NNP",
    "Weavers": "NNS|NNPS",
    "Weaving": "VBG",
    "Web": "NNP",
    "Webb": "NNP",
    "Webber": "NNP",
    "Weber": "NNP",
    "Weber-controlled": "JJ",
    "Webern": "NNP",
    "Webster": "NNP",
    "Webster/Eagle": "NNP",
    "Websterville": "NNP",
    "Wechsler": "NNP",
    "Weckel": "NNP",
    "Wedbush": "NNP",
    "Wedd": "NNP",
    "Wedding": "NN|NNP",
    "Wedel": "NNP",
    "Wedged": "VBN",
    "Wedgeworth": "NNP",
    "Wedgwood": "NNP",
    "Wednesday": "NNP",
    "Wednesdays": "NNS|NNPS",
    "Wedtech": "NNP",
    "Wee": "NNP",
    "Weede": "NNP",
    "Weedon": "NNP",
    "Weeds": "NNS",
    "Week": "NNP",
    "Week-e": "NN",
    "Week-end": "NN",
    "Week-r": "NN",
    "Weekend": "NNP",
    "Weekes": "NNP",
    "Weekly": "NNP|JJ",
    "Weeks": "NNP|NNS",
    "Weems": "NNP",
    "Weep": "VB|NNP",
    "Weerasinghe": "NNP",
    "Weevil": "NNP",
    "Wegener": "NNP",
    "Wei": "NNP",
    "Weichern": "NNP",
    "Weici": "NNP",
    "Weickerian": "JJ",
    "Weidenfeld": "NNP",
    "Weider": "NNP",
    "Weidman": "NNP",
    "Weigand": "NNP",
    "Weigel": "NNP",
    "Weighing": "VBG",
    "Weight": "NNP|NN",
    "Weighted": "NNP",
    "Weigle": "NNP",
    "Weil": "NNP",
    "Weiler": "NNP",
    "Weill": "NNP",
    "Weill/Bertolt": "NNP",
    "Weimar": "NNP",
    "Wein": "NNP",
    "Weinbach": "NNP",
    "Weinberg": "NNP",
    "Weinberger": "NNP",
    "Weiner": "NNP",
    "Weingarten": "NNP",
    "Weingarten-Siegel": "NNP",
    "Weinroth": "NNP",
    "Weinshienk": "NNP",
    "Weinstein": "NNP",
    "Weir": "NNP",
    "Weird": "JJ|NNP",
    "Weirton": "NNP",
    "Weisberg": "NNP",
    "Weisbord": "NNP",
    "Weisbrod": "NNP",
    "Weisel": "NNP",
    "Weisfield": "NNP",
    "Weisman": "NNP",
    "Weisner": "NNP",
    "Weiss": "NNP",
    "Weissman": "NNP",
    "Weissmuller": "NNP",
    "Weithas": "NNP",
    "Weitz": "NNP",
    "Weitzel": "NNP",
    "Weitzen": "NNP",
    "Weizsacker": "NNP",
    "Weizsaecker": "NNP",
    "Weksel": "NNP",
    "Welborn": "NNP",
    "Welby": "NNP",
    "Welch": "NNP",
    "Welcome": "VB|NNP|UH",
    "Weld": "NNP",
    "Weldon": "NNP",
    "Weldwood": "NNP|JJ",
    "Welfare": "NNP",
    "Welko": "NNP",
    "Well": "UH|RB|NNP",
    "Well-Seasoned": "JJ",
    "Well-Tempered": "JJ",
    "Well-educated": "JJ",
    "Well-intentioned": "JJ",
    "Well-received": "JJ",
    "Well-stretched": "JJ",
    "Well-to-Do": "JJ",
    "Well-trained": "JJ",
    "Well-wishers": "NNS",
    "Welland": "NNP",
    "Wellcome": "NNP",
    "Weller": "NNP",
    "Welles": "NNP",
    "Wellesley": "NNP",
    "Welling": "NNP",
    "Wellington": "NNP",
    "Wellman": "NNP",
    "Wells": "NNP",
    "Wellsley": "NNP",
    "Wellsville": "NNP",
    "Welmers": "NNS",
    "Welsh": "NNP|JJ",
    "Welt": "NNP|FW",
    "Weltanschauung": "NN",
    "Welton": "NNP",
    "Welty": "NNP",
    "Wemmick": "NNP",
    "Wempner": "NNP",
    "Wenberg": "NNP",
    "Wenceslas": "NNP",
    "Wendee": "NNP",
    "Wendel": "NNP",
    "Wendell": "NNP",
    "Wendells": "NNPS",
    "Wendler": "NNP",
    "Wendy": "NNP",
    "Wenger": "NNP",
    "Wenham": "NNP",
    "Went": "VBD",
    "Wentworth": "NNP",
    "Wenz": "NNP",
    "Werdell": "NNP",
    "Were": "VBD",
    "Wergeland": "NNP",
    "Werke": "NNP",
    "Werkstell": "NNP",
    "Werner": "NNP",
    "Wert": "NNP",
    "Werter": "NNP",
    "Wertheim": "NNP",
    "Wertheimer": "NNP",
    "Werther": "NNP",
    "Wes": "NNP",
    "Wesco": "NNP",
    "Wesker": "NNP",
    "Wesley": "NNP",
    "Wesleyan": "NNP",
    "Weslock": "NNP",
    "Wessel": "NNP",
    "Wessels": "NNP",
    "Wesson": "NNP",
    "West": "NNP|NNS|NNPS|JJ|RB",
    "West-End": "NNP",
    "West-German": "JJ",
    "West-Point": "NNP",
    "West...": ":",
    "WestAir": "NNP",
    "WestLB": "NNP",
    "Westamerica": "NNP",
    "Westboro": "NNP",
    "Westborough": "NNP",
    "Westbound": "NNP",
    "Westbrook": "NNP",
    "Westburne": "NNP",
    "Westchester": "NNP",
    "Westcoast": "NNP",
    "Westcom": "NNP",
    "Westdeutsche": "NNP",
    "Westendorf": "NNP",
    "Westerly": "NNP",
    "Western": "NNP|JJ|NN",
    "Western-Central": "JJ",
    "Western-Mobile": "NNP",
    "Western-owned": "JJ",
    "Western-style": "JJ",
    "Westerner": "NNP",
    "Westerners": "NNPS",
    "Westerns": "NNS",
    "Westfield": "NNP",
    "Westford": "NNP",
    "Westhampton": "NNP",
    "Westheimer": "NNP",
    "Westin": "NNP",
    "Westinghouse": "NNP",
    "Westinghouse-Mitsubishi": "NNP",
    "Westlake": "NNP",
    "Westland": "NNP",
    "Westmin": "NNP",
    "Westminister": "NNP",
    "Westminster": "NNP",
    "Westmore": "NNP",
    "Westmoreland": "NNP",
    "Weston": "NNP",
    "Westpac": "NNP",
    "Westphalia": "NNP",
    "Westpheldt": "NNP",
    "Westport": "NNP",
    "Westridge": "NNP",
    "Westside": "NNP",
    "Westvaco": "NNP",
    "Westview": "NNP",
    "Westwood": "NNP",
    "Wet": "NNP|JJ",
    "Wetherell": "NNP",
    "Wetherill": "NNP",
    "Wetten": "FW",
    "Wetter": "NNP",
    "Wetzel": "NNP",
    "Wetzler": "NNP",
    "Wexler": "NNP",
    "Weybosset": "NNP",
    "Weyerhaeuser": "NNP|JJR",
    "Weyerhauser": "NNP",
    "Weymouth": "NNP",
    "Wha": "WP",
    "Whah": "WRB",
    "Whaler": "NNP",
    "Whaley": "NNP",
    "Wham": "UH",
    "Whampoa": "NNP",
    "Wharf": "NNP",
    "Wharton": "NNP",
    "What": "WP|NNP|PDT|WDT",
    "Whatever": "WDT",
    "Whatman": "NNP",
    "Wheat": "NNP|JJ",
    "Wheat-germ": "NN",
    "Wheatena": "NNP",
    "Wheatfield": "NNP",
    "Wheaties": "NNPS",
    "Wheaties-box": "JJ",
    "Wheatley": "NNP",
    "Wheaton": "NNP",
    "Whee": "NNP",
    "Wheel": "NNP",
    "Wheelabrator": "NNP",
    "Wheelan": "NNP",
    "Wheeland": "NNP",
    "Wheeler": "NNP",
    "Wheeling": "NNP",
    "Wheeling-Pittsburgh": "NNP",
    "Wheelock": "NNP",
    "Wheels": "NNP",
    "Whelan": "NNP",
    "Whelen": "NNP",
    "When": "WRB|NNP",
    "Whence": "WRB",
    "Whenever": "WRB",
    "Where": "WRB|NNP",
    "Whereas": "IN|WRB",
    "Wherefore": "NN|IN",
    "Wherever": "WRB",
    "Whether": "IN|NNP",
    "Which": "WDT",
    "Whichever": "WDT",
    "Whig": "NN|NNP",
    "Whigs": "NNPS|NNS",
    "While": "IN",
    "Whimsey": "NNP",
    "Whinney": "NNP",
    "Whip": "NNP",
    "Whippet": "NNP",
    "Whipple": "NNP",
    "Whipsawed": "JJ",
    "Whipsnade": "NNP",
    "Whirling": "JJ",
    "Whirlpool": "NNP",
    "Whirlwind": "NNP",
    "Whirpool": "NNP",
    "Whiskey": "NNP",
    "Whisky": "NN",
    "Whisper": "NNP",
    "Whit": "NNP",
    "Whitaker": "NNP",
    "Whitbread": "NNP",
    "Whitby": "NNP",
    "Whitcomb": "NNP",
    "White": "NNP|JJ",
    "White-collar": "JJ",
    "White-haired": "JJ",
    "White-shirted": "JJ",
    "Whiteboard": "NNP",
    "Whitefish": "NNP",
    "Whiteford": "NNP",
    "Whitehall": "NNP",
    "Whitehead": "NNP",
    "Whitehouse": "NNP",
    "Whiteleaf": "NNP",
    "Whiteley": "NNP",
    "Whitelock": "NNP",
    "Whiteman": "NNP",
    "Whitemarsh": "NNP",
    "Whitey": "NNP",
    "Whitfield": "NNP",
    "Whitford": "NNP",
    "Whiting": "NNP",
    "Whitley": "NNP",
    "Whitlock": "NNP",
    "Whitlow": "NNP",
    "Whitman": "NNP",
    "Whitmore": "NNP",
    "Whitney": "NNP",
    "Whitrow": "NNP",
    "Whittaker": "NNP",
    "Whitten": "NNP",
    "Whittenburg": "NNP",
    "Whittier": "NNP",
    "Whittington": "NNP",
    "Whittle": "NNP",
    "Whittlesey": "NNP",
    "Whiz": "NNP",
    "Who": "WP|NNP|PRP",
    "Whoa": "UH",
    "Whoever": "WP|NNP",
    "Whole": "JJ",
    "Wholesale": "JJ|NNP",
    "Wholesaler-Distributors": "NNP|NNS",
    "Wholesalers": "NNS",
    "Wholesome": "JJ",
    "Whom": "WP|NNP",
    "Whoopee": "UH|NN",
    "Whose": "WP$",
    "Whosever": "WP",
    "Whosoever": "NN",
    "Why": "WRB|NNP|UH",
    "Wichita": "NNP",
    "Wichterle": "NNP",
    "Wick": "NNP",
    "Wickcliffe": "NNP",
    "Wicked": "NNP",
    "Wickersham": "NNP",
    "Wickes": "NNP|NNS",
    "Wickham": "NNP",
    "Wickhams": "NNP",
    "Wickliffe": "NNP",
    "Wide": "NNP|JJ",
    "Widely": "RB|NN",
    "Widen": "VB",
    "Widened": "VBD",
    "Widener": "NNP",
    "Wider": "JJR",
    "Widespread": "JJ",
    "Widget": "NNP",
    "Widmark": "NNP",
    "Widow": "NN|NNP",
    "Widowers": "NNS",
    "Widsith": "NNP",
    "Widuri": "NNP",
    "Wiedemann": "NNP",
    "Wieden": "NNP",
    "Wiederaufbau": "NNP",
    "Wiegers": "NNP",
    "Wieland": "NNP",
    "Wiener": "NNP",
    "Wierton": "NNP",
    "Wiesbaden": "NNP",
    "Wiesel": "NNP",
    "Wiesenthal": "NNP",
    "Wieslawa": "NNP",
    "Wiess": "NNP",
    "Wife": "NN",
    "Wiggins": "NNP",
    "Wigglesworth": "NNP",
    "Wight": "NNP",
    "Wigs": "NNS",
    "Wilber": "NNP",
    "Wilberforce": "NNP",
    "Wilbur": "NNP",
    "Wilcher": "NNP",
    "Wilcke": "NNP",
    "Wilcock": "NNP",
    "Wilcox": "NNP",
    "Wild": "NNP|JJ",
    "Wildbad": "NNP",
    "Wildcat": "NNP",
    "Wilde": "NNP",
    "Wildenstein": "NNP",
    "Wilder": "NNP",
    "Wilderness": "NN|NNP",
    "Wildhack": "NNP",
    "Wildlife": "NNP",
    "Wildly": "RB",
    "Wildman": "NNP",
    "Wildwater": "NNP",
    "Wildwood": "NNP",
    "Wile": "NNP",
    "Wiley": "NNP",
    "Wilfred": "NNP|VBD",
    "Wilfrid": "NNP",
    "Wilhelm": "NNP",
    "Wilhelmina": "NNP",
    "Wilhite": "NNP",
    "Wiligis": "NNP",
    "Wilk": "NNP",
    "Wilke": "NNP",
    "Wilkes": "VBZ|NNP",
    "Wilkes-Barre": "NNP",
    "Wilkey": "NNP",
    "Wilkins": "NNP",
    "Wilkinson": "NNP",
    "Wilks": "NNP",
    "Will": "NNP|MD|VB",
    "Willa": "NNP",
    "Willam": "NNP",
    "Willamette": "NNP",
    "Willard": "NNP",
    "Willcox": "NNP",
    "Willem": "NNP",
    "Willens": "NNP",
    "Willenson": "NNP",
    "Willett": "NNP",
    "Willetts": "NNP",
    "William": "NNP",
    "Williams": "NNP",
    "Williamsburg": "NNP",
    "Williamsesque": "JJ",
    "Williamson": "NNP",
    "Williamstown": "NNP",
    "Willie": "NNP",
    "Willing": "JJ",
    "Willingness": "NN",
    "Willings": "NNP",
    "Willis": "NNP",
    "Willkie": "NNP",
    "Willman": "NNP",
    "Willmott": "NNP",
    "Willoughby": "NNP",
    "Willow": "NNP",
    "Willowbridge": "NNP",
    "Willows": "NNS",
    "Wills": "NNP",
    "Willson": "NNP",
    "Willy": "NNP",
    "Wilm": "NNP",
    "Wilma": "NNP",
    "Wilmer": "NNP",
    "Wilmette": "NNP",
    "Wilmington": "NNP",
    "Wilmot": "NNP",
    "Wilmouth": "NNP",
    "Wilms": "NNP",
    "Wilpers": "NNP",
    "Wilshire": "NNP",
    "Wilson": "NNP",
    "Wilson-to-Jim": "JJ",
    "Wilsonian": "JJ",
    "Wilton": "NNP",
    "Wimbledon": "NNP",
    "Wimpy": "NNP",
    "Wimpys": "NNP",
    "Wimsatt": "NNP",
    "Win": "NNP|VBP",
    "Winawer": "NNP",
    "Winch": "NNP",
    "Winchell": "NNP",
    "Winchester": "NNP",
    "Wind": "NNP",
    "Windahall": "NNP",
    "Windels": "NNP",
    "Windex": "NNP",
    "Windfall": "NN",
    "Windflower": "NNP",
    "Windham": "NNP",
    "Windheim": "NNP",
    "Windhoek": "NNP",
    "Windle": "NNP",
    "Windmere": "NNP",
    "Window": "NN",
    "Windows": "NNP|NNS|NNPS",
    "Winds": "NNP",
    "Windsor": "NNP",
    "Windy": "NNP",
    "Wine": "NNP",
    "Winery": "NNP",
    "Wines": "NNP",
    "Winfield": "NNP",
    "Winfrey": "NNP",
    "Wing": "NNP",
    "Wingback": "NNP",
    "Winger": "NNP",
    "Wingman": "NN",
    "Wings": "NNPS|NNS",
    "Winiarski": "NNP",
    "Wink": "NNP",
    "Winking": "VBG",
    "Winkler": "NNP",
    "Winn": "NNP",
    "Winn-Dixie": "NNP",
    "Winnebago": "NNP",
    "Winner": "NNP",
    "Winners": "NNS",
    "Winnetka": "NNP",
    "Winnick": "NNP",
    "Winnie": "NNP",
    "Winning": "VBG|NNP",
    "Winnipeg": "NNP",
    "Winnipesaukee": "NNP",
    "Winooski": "NNP",
    "Winsett": "NNP",
    "Winslow": "NNP",
    "Winsor": "NNP",
    "Winston": "NNP",
    "Winston-Salem": "NNP",
    "Winter": "NNP|NNPS",
    "Winterhalder": "NNP",
    "Winters": "NNP",
    "Winterthur-based": "JJ",
    "Winthrop": "NNP",
    "Winthrop-University": "NNP",
    "Winton": "NNP",
    "Wintour": "NNP",
    "Winzer": "NNP",
    "Wipe": "VB",
    "Wire": "NNP",
    "Wireless": "NNP",
    "Wires": "NNS",
    "Wirth": "NNP",
    "Wirthlin": "NNP",
    "Wirtz": "NNP",
    "Wiry": "JJ",
    "Wis": "NNP",
    "Wis.": "NNP",
    "Wis.-based": "JJ",
    "Wisconsin": "NNP",
    "Wisdom": "NNP",
    "Wise": "NNP|JJ",
    "Wised": "NNP",
    "Wiseguy": "NNP",
    "Wisely": "RB",
    "Wiseman": "NNP",
    "Wish": "NNP|VB|VBP",
    "Wish-List": "NN",
    "Wishart": "NNP",
    "Wishes": "NNS",
    "Wishing": "VBG",
    "Wisman": "NNP",
    "Wisner": "NNP",
    "Wissahickon": "NNP",
    "Wister": "NNP",
    "Witcher": "NNP",
    "With": "IN|NNP",
    "Withdrawals": "NNS",
    "Witherspoon": "NNP",
    "Withhold": "VB",
    "Withholding": "NN",
    "Within": "IN",
    "Without": "IN|NNP",
    "Withrow": "NNP",
    "Withuhn": "NNP",
    "Witkin": "NNP",
    "Witman": "NNP",
    "Witness": "NNP|VB",
    "Witnesses": "NNS|NNPS",
    "Witnessing": "VBG",
    "Witold": "NNP",
    "Witt": "NNP",
    "Witten": "NNP",
    "Wittenberg": "NNP",
    "Witter": "NNP",
    "Wittgreen": "NNP",
    "Wives": "NNS|NNPS",
    "Wixom": "NNP",
    "Wizard": "NNP",
    "Wizards": "NNPS",
    "Wm.": "NNP",
    "Wo": "MD",
    "Woburn": "NNP",
    "Wockenfuss": "NNP",
    "Woe": "NN",
    "Woessner": "NNP",
    "Wogan": "NNP",
    "Wohlstetter": "NNP",
    "Wolcott": "NNP",
    "Wolcyrz": "NNP",
    "Wolder": "NNP",
    "Wolf": "NNP",
    "Wolfe": "NNP",
    "Wolfes": "NNPS",
    "Wolff": "NNP",
    "Wolfgang": "NNP",
    "Wolfsburg": "NNP",
    "Wolfson": "NNP",
    "Wolkind": "NNP",
    "Wollaeger": "NNP",
    "Wollman": "NNP",
    "Wollo": "NNP",
    "Wolohan": "NNP",
    "Wolpe": "NNP",
    "Wolstenholme": "NNP",
    "Wolters-Kluwer": "NNP",
    "Wolverine": "NNP",
    "Wolverton": "NNP",
    "Wolzein": "NNP",
    "Womack": "NNP",
    "Woman": "NNP",
    "Woman/McCall": "NNP",
    "Women": "NNP|NNS|NNPS",
    "Won": "NNP",
    "Wonda": "NNP",
    "Wonder": "NNP|VBP",
    "Wonderful": "JJ",
    "Wondering": "VBG",
    "Wonderland": "NNP",
    "Wong": "NNP",
    "Wonham": "NNP",
    "Wonjerika": "NNP",
    "Woo": "NNP",
    "Wood": "NNP",
    "Wood-products": "NNS",
    "WoodMac": "NNP",
    "Woodberry": "NNP",
    "Woodbridge": "NNP",
    "Woodbury": "NNP",
    "Woodcliff": "NNP",
    "Woodcock": "NNP",
    "Wooded": "JJ",
    "Wooden": "JJ",
    "Woodhaven": "NNP",
    "Woodin": "NNP",
    "Woodland": "NNP",
    "Woodmac": "NNP",
    "Woodman": "NNP",
    "Woodrow": "NNP",
    "Woodruff": "NNP",
    "Woods": "NNP|NNPS",
    "Woodside": "NNP",
    "Woodstream": "NNP",
    "Woodward": "NNP|RB",
    "Woodwards": "NNP",
    "Woodwell": "NNP",
    "Woodworth": "NNP",
    "Woody": "NNP",
    "Woodyard": "NNP",
    "Woolard": "NNP",
    "Woolen": "NNP",
    "Woollcott": "NNP",
    "Woolsey": "NNP",
    "Woolworth": "NNP",
    "Woonasquatucket": "NNP",
    "Woong": "NNP",
    "Woonsocket": "NNP",
    "Woos": "VBZ",
    "Wooten": "NNP",
    "Wootton": "NNP",
    "Worcester": "NNP",
    "Worcestershire": "JJ",
    "Word": "NNP",
    "WordStar": "NNP",
    "Words": "NNS|NNPS",
    "Wordsworth": "NNP",
    "Work": "NNP|NN|VB|VBP",
    "Work-outs": "NNS",
    "Worker": "NNP",
    "Workers": "NNPS|NNS",
    "Workforce": "NNP",
    "Working": "NNP|JJ|VBG",
    "Workmen": "NNS",
    "Workplace": "NNP|NN",
    "Workplaces": "NNS",
    "Works": "NNP|NNS|NNPS",
    "Worksheets": "NNS",
    "Workshop": "NNP",
    "Workshops": "NNS",
    "Workstations": "NNS",
    "World": "NNP",
    "World-Journal-Tribune": "NNP",
    "World-Telegram": "NNP",
    "World-Wide": "NNP|JJ",
    "World-wide": "JJ",
    "Worlders": "NNPS",
    "Worldly": "RB|NNP",
    "Worlds": "NNPS",
    "Worldscope": "NNP",
    "Worldwatch": "NNP",
    "Worldwide": "NNP",
    "Worms": "NNPS",
    "Worn": "VBN",
    "Woronoff": "NNP",
    "Worrell": "NNP",
    "Worried": "JJ|VBN",
    "Worriers": "NNS",
    "Worries": "NNS",
    "Worry": "NN|VB",
    "Worse": "JJR|RBR|NNP",
    "Worship": "NNP",
    "Worst": "RBS|JJS",
    "Worth": "NNP|JJ",
    "Worth-based": "JJ",
    "Wortham": "NNP",
    "Worthington": "NNP",
    "Worthless": "JJ",
    "Worthy": "NNP",
    "Would": "MD",
    "Would-be": "JJ",
    "Wound-tumor": "NN",
    "Woven": "VBN",
    "Wow": "UH",
    "Wozniak": "NNP",
    "Wozzek": "NNP",
    "Wragge": "NNP",
    "Wrangham": "NNP",
    "Wrangle": "VB",
    "Wrangler": "NNP",
    "Wrangling": "VBG",
    "Wrap": "NNP",
    "Wrath": "NN|NNP",
    "Wratten": "NNP",
    "Wray": "NNP",
    "Wreckage": "NN",
    "Wrecking": "NN",
    "Wrecks": "VBZ",
    "Wrestlemania": "NNP",
    "Wright": "NNP",
    "Wright-style": "JJ",
    "Wrighting": "NN",
    "Wrightson": "NNP",
    "Wrigley": "NNP",
    "Wrist": "NN",
    "Write": "VB",
    "Write-offs": "NNS",
    "Writer": "NNP",
    "Writers": "NNPS|NNP|NNS",
    "Writes": "VBZ|NNP",
    "Writing": "VBG|NN|NNP",
    "Written": "VBN",
    "Wrong": "JJ|NNP",
    "Wrongdoers": "NNS",
    "Wrongs": "NNS",
    "Wrote": "VBD",
    "Wu": "NNP",
    "Wuer": "NNP",
    "Wunderman": "NNP",
    "Wuon": "NNP",
    "Wurm": "NNP",
    "Wurtzel": "NNP",
    "Wussler": "NNP",
    "Wustman": "NNP",
    "Wyatt": "NNP",
    "Wyche": "NNP",
    "Wyckoff": "NNP",
    "Wycliffe": "NNP",
    "Wycoff": "NNP",
    "Wycombe": "NNP",
    "Wyden": "NNP",
    "Wyeth": "NNP",
    "Wyeth-Ayerst": "NNP",
    "Wylie": "NNP",
    "Wyly": "NNP",
    "Wyman": "NNP",
    "Wyn": "NNP",
    "Wyndham": "NNP",
    "Wynn": "NNP",
    "Wynston": "NNP",
    "Wyo": "NNP",
    "Wyo.": "NNP",
    "Wyoming": "NNP|VBG",
    "Wyse": "NNP",
    "Wyser-Pratte": "NNP",
    "Wyss": "NNP",
    "Wyvern": "NNP",
    "X": "NNP|NN",
    "X-MP": "NNP",
    "X-Tru-Coat": "NNP",
    "X-chromosome": "NN",
    "X-gyro": "NN",
    "X-linked": "JJ",
    "X-marked": "JJ",
    "X-rated": "JJ",
    "X-ray": "NN|JJ",
    "X-ray-proof": "JJ",
    "X-rayed": "VBN",
    "X-rays": "NNS",
    "X-region": "NN",
    "X-tend": "NN",
    "X.": "NNP",
    "XA2000": "NNP",
    "XCEL": "NNP",
    "XFI": "NNP",
    "XIII": "NNP",
    "XL": "NNP",
    "XL/Datacomp": "NNP",
    "XR-7": "NNP",
    "XR4Ti": "NNP",
    "XRAL": "NNP",
    "XRELEASE": "NN",
    "XRESERVE": "NN",
    "XYLOGICS": "NNP",
    "XYVISION": "NNP",
    "Xanadu": "NNP",
    "Xanax": "NNP",
    "Xavier": "NNP",
    "Xenia": "NNP",
    "Xerox": "NNP",
    "Xia": "NNP",
    "Xiang": "NNP",
    "Xiangyang": "NNP",
    "Xiao": "NNP",
    "Xiaobo": "NNP",
    "Xiaoping": "NNP",
    "Xiaoqing": "NNP",
    "Xidex": "NNP",
    "Ximenez-Vargas": "NNP",
    "Xinhua": "NNP",
    "Xoma": "NNP",
    "Xomen-E5": "NNP",
    "Xtra": "NNP",
    "Xu": "NNP",
    "Xuanping": "NNP",
    "Xydis": "NNP",
    "Xylogics": "NNP",
    "Xyvision": "NNP",
    "Y": "NNP|PRP|FW|JJ",
    "Y&R": "NNP",
    "Y-MP": "NNP",
    "Y-MP8-232": "NNP",
    "Y-MP/832": "NNP",
    "Y-Teen": "NNP",
    "Y-cell": "NN|NNP",
    "Y-cells": "NNS",
    "Y-gyro": "NN",
    "Y-region": "NN",
    "Y-regions": "NNS",
    "Y.": "NNP",
    "Y.J.": "NNP",
    "Y.M.C.A.": "NNP",
    "Y.M.H.A.": "NNP",
    "Y.S.": "NNP",
    "Y.W.C.A.": "NNP",
    "YALE": "NNP",
    "YEARS": "NNS",
    "YEEECH": "UH",
    "YEEEEEECH": "UH",
    "YES": "NNP",
    "YMCA": "NNP",
    "YOM": "NNP",
    "YORK": "NNP",
    "YOU": "PRP",
    "YOUNG": "JJ|NNP",
    "YOUR": "JJ|PRP$",
    "YWCA": "NNP",
    "Yaaba": "NNP",
    "Yacht": "NNP",
    "Yachtel": "NN",
    "Yachtsman": "NNP",
    "Yacos": "NNP",
    "Yaddo": "NNP",
    "Yaffe": "NNP",
    "Yahwe": "NNP",
    "Yair": "NNP",
    "Yak": "NNP",
    "Yakima": "NNP",
    "Yakkety": "NNP",
    "Yaklin": "NNP",
    "Yakov": "NNP",
    "Yakovlevich": "NNP",
    "Yalagaloo": "UH",
    "Yale": "NNP",
    "Yale-Army": "NNP",
    "Yale-New": "NNP",
    "Yalies": "NNS",
    "Yalobusha": "NNP",
    "Yalta": "NNP",
    "Yamabe": "NNP",
    "Yamada": "NNP",
    "Yamaguchi": "NNP",
    "Yamaichi": "NNP",
    "Yamamoto": "NNP",
    "Yamane": "NNP",
    "Yamanouchi": "NNP",
    "Yamashita": "NNP",
    "Yamata": "NNP",
    "Yamatake": "NNP",
    "Yamatake-Honeywell": "NNP",
    "Yamatane": "NNP",
    "Yan": "NNP",
    "Yancey-6": "NN",
    "Yancy-6": "NN",
    "Yanes": "NNP",
    "Yang": "NNP",
    "Yaniv": "NNP",
    "Yank": "NN|NNP",
    "Yank-oriented": "JJ",
    "Yankee": "NNP|JJ",
    "Yankee-come-lately": "JJ",
    "Yankee-hatred": "NN",
    "Yankeefication": "NNP",
    "Yankees": "NNPS|NNP|NNS",
    "Yankees-Brooklyn": "NNP",
    "Yankees-Mets": "JJ",
    "Yankelovich": "NNP",
    "Yanks": "NNS|NNP",
    "Yankton": "NNP",
    "Yankus": "NNP",
    "Yao": "NNP",
    "Yaobang": "NNP",
    "Yaohan": "NNP",
    "Yaqui": "NNP",
    "Yarchoan": "NNP",
    "Yard": "NNP",
    "Yardeni": "NNP",
    "Yards": "NNP",
    "Yardumian": "NNP",
    "Yarnell": "NNP",
    "Yarrow": "NNP",
    "Yass": "NNP",
    "Yasser": "NNP",
    "Yastrow": "NNP",
    "Yastrzemski": "NNP",
    "Yasuda": "NNP",
    "Yasumichi": "NNP",
    "Yasuo": "NNP",
    "Yasushige": "NNP",
    "Yasutomi": "NNP",
    "Yates": "NNP",
    "Yavapai": "NNP",
    "Yazov": "NNP",
    "Ye": "NNP",
    "Yea": "UH",
    "Yeager": "NNP",
    "Yeah": "UH|NNP|RB",
    "Year": "NN|NNP",
    "Year-End": "JJ",
    "Year-ago": "JJ",
    "Year-earlier": "JJ",
    "Year-round": "RB",
    "Year-to-date": "JJ",
    "Yearbook": "NNP",
    "Yeargin": "NNP",
    "Yearly": "JJ|NNP",
    "Years": "NNS|NNP|NNPS",
    "Yeast": "NN",
    "Yeats": "NNP",
    "Yedisan": "NNP",
    "Yegor": "NNP",
    "Yeh": "NNP",
    "Yehhh": "UH",
    "Yehuda": "NNP",
    "Yehudi": "NNP",
    "Yell": "NNP",
    "Yellen": "NNP",
    "Yeller": "JJ",
    "Yellow": "NNP|JJ",
    "Yellow-pages": "NN",
    "Yellowknife": "NNP",
    "Yemelyanenko": "NNP",
    "Yemen": "NNP",
    "Yemeni": "JJ|NNP",
    "Yemenis": "NNPS",
    "Yemens": "NNPS",
    "Yemma": "NNP",
    "Yen": "NNP",
    "Yenakiyevo": "NNP",
    "Yeni": "NNP",
    "Yeres": "NNP",
    "Yerevan": "NNP",
    "Yes": "UH|NN|RB|NNP",
    "Yesiree": "UH",
    "Yesterday": "NN|RB|NNP",
    "Yet": "RB|CC",
    "Yetnikoff": "NNP",
    "Yeung": "NNP",
    "Yeutter": "NNP",
    "Yevgeny": "NNP",
    "Yew": "NNP",
    "Yewaisis": "NNP",
    "Yff": "IN",
    "Yiddish": "JJ|NNP",
    "Yield": "NNP",
    "Yields": "NNS",
    "Yigal": "NNP",
    "Yilin": "NNP",
    "Yin": "NNP",
    "Yin-Yang": "NNP",
    "Ying-shek": "NNP",
    "Yinger": "NNP",
    "Yippies": "NNPS",
    "Yiren": "NNP",
    "Yitzhak": "NNP",
    "Yizi": "NNP",
    "Yo": "NNP",
    "Yocam": "NNP",
    "Yocum": "NNP",
    "Yoder": "NNP",
    "Yogi": "NNP",
    "Yoichi": "NNP",
    "Yok.": "NNP",
    "Yokel": "NNP",
    "Yokich": "NNP",
    "Yoknapatawpha": "NNP",
    "Yokogawa": "NNP",
    "Yokohama": "NNP",
    "Yokosuka": "NNP",
    "Yokum": "NNP",
    "Yokuts": "NNP",
    "Yom": "NNP",
    "Yoneda": "NNP",
    "Yonehara": "NNP",
    "Yoneyama": "NNP",
    "Yongjian": "NNP",
    "Yonkers": "NNP",
    "Yontz": "NNP",
    "Yooee": "UH",
    "Yoon": "NNP",
    "Yoorick": "NNP",
    "Yoran": "NNP",
    "Yorba": "NNP",
    "York": "NNP",
    "York-Moscow": "NNP",
    "York-Pennsylvania": "NNP",
    "York-SF": "NNP",
    "York-area": "JJ",
    "York-based": "JJ|NNP",
    "York-born": "VBN|NNP",
    "York-mind": "NN|NNP",
    "Yorker": "NNP",
    "Yorkers": "NNPS",
    "Yorkshire": "NNP",
    "Yorkshire-based": "JJ",
    "Yorktown": "NNP",
    "Yosemite": "NNP",
    "Yoshi": "NNP",
    "Yoshiaki": "NNP",
    "Yoshida": "NNP",
    "Yoshiharu": "NNP",
    "Yoshihashi": "NNP",
    "Yoshihisa": "NNP",
    "Yoshimoto": "NNP",
    "Yoshio": "NNP",
    "Yoshiro": "NNP",
    "Yoshitoki": "NNP",
    "Yoshiyuki": "NNP",
    "Yoshizawa": "NNP",
    "Yosi": "NNP",
    "Yost": "NNP",
    "You": "PRP|NN|NNP",
    "Young": "NNP|JJ",
    "Young-Jin": "NNP",
    "Youngberg": "NNP",
    "Youngblood": "NNP",
    "Younger": "JJR|NNP",
    "Youngest": "JJS|NNP",
    "Youngish": "JJ",
    "Youngsters": "NNS",
    "Youngstown": "NNP",
    "Younis": "NNP",
    "Younkers": "NNP|NNS",
    "Your": "PRP$|NNP",
    "Yours": "PRP",
    "Youth": "NNP|NNS",
    "Youths": "NNP",
    "Yquem": "NNP",
    "Yr": "NN",
    "Yu": "NNP",
    "Yuan": "NNP",
    "Yuba": "NNP",
    "Yucaipa": "NNP",
    "Yucatan": "NNP",
    "Yuen": "NNP",
    "Yugolsavia": "NNP",
    "Yugoslav": "NNP|JJ",
    "Yugoslav-born": "JJ",
    "Yugoslavia": "NNP",
    "Yugoslavs": "NNS",
    "Yujobo": "NNP",
    "Yuk-sui": "NNP",
    "Yuki": "NNP",
    "Yukihiro": "NNP",
    "Yukio": "NNP",
    "Yuko": "NNP",
    "Yukon": "NNP",
    "Yuli": "NNP",
    "Yum-Yum": "NNP",
    "Yumiko": "NNP",
    "Yun": "NNP",
    "Yunian": "NNP",
    "Yuppie": "NNP",
    "Yuppies": "NNS",
    "Yuppily": "RB",
    "Yurek": "NNP",
    "Yuri": "NNP",
    "Yurochka": "NNP",
    "Yusaku": "NNP",
    "Yusen": "NNP",
    "Yutaka": "NNP",
    "Yuzek": "NNP",
    "Yuzuru": "NNP",
    "Yves": "NNP",
    "Yvette": "NNP",
    "Yvon": "NNP",
    "Z": "NNP",
    "Z-axis": "NN",
    "Z-gyro": "NN",
    "Z.": "NNP",
    "ZBB": "NNP",
    "ZDF": "NNP",
    "ZENITH": "NNP",
    "ZZZZ": "NNP",
    "Zabel": "NNP",
    "Zach": "NNP",
    "Zacharias": "NNP",
    "Zachau": "NNP",
    "Zachrisson": "NNP",
    "Zack": "NNP",
    "Zacks": "NNP",
    "Zadel": "NNP",
    "Zaffarano": "NNP",
    "Zaffius": "NNP",
    "Zaffuto": "NNP",
    "Zafris": "NNP",
    "Zagaria": "NNP",
    "Zagros": "NNP",
    "Zaharah": "NNP",
    "Zainuddin": "NNP",
    "Zaire": "NNP",
    "Zairean": "JJ",
    "Zaishuo": "NNP",
    "Zaita": "NNP",
    "Zajick": "NNP",
    "Zakes": "NNP",
    "Zalles": "NNP",
    "Zalubice": "NNP",
    "Zama": "NNP",
    "Zambia": "NNP",
    "Zambian": "JJ",
    "Zambon": "NNP",
    "Zambrano": "NNP",
    "Zamiatin": "NNP",
    "Zamislov": "NNP",
    "Zamora": "NNP",
    "Zamya": "NNP",
    "Zane": "NNP",
    "Zantac": "NNP",
    "Zanzibar": "JJ",
    "Zapala": "NNP",
    "Zapata": "NNP",
    "Zapfel": "NNP",
    "Zaporogian": "NNP",
    "Zapotec": "JJ",
    "Zappa": "NNP",
    "Zara": "NNP",
    "Zarett": "NNP",
    "Zarnowitz": "NNP",
    "Zaroubin": "NNP",
    "Zaves": "NNP",
    "Zawia": "NNP",
    "Zayadi": "NNP",
    "Zayed": "NNP",
    "Zayre": "NNP",
    "Zbigniew": "NNP",
    "Zeal": "NNP",
    "Zealand": "NNP",
    "Zealand-based": "JJ",
    "Zealand-dollar": "NN",
    "Zealander": "NNP",
    "Zebek": "NNP",
    "Zedmark": "NNP",
    "Zeffirelli": "NNP",
    "Zehnder": "NNP",
    "Zeidner": "NNP",
    "Zeien": "NNP",
    "Zeiger": "NNP",
    "Zeising": "NNP",
    "Zeisler": "NNP",
    "Zeiss": "NNP",
    "Zeitgeist": "NNP",
    "Zeitung": "NNP",
    "Zeke": "NNP",
    "Zel": "NNP",
    "Zela": "NNP",
    "Zelda": "NNP",
    "Zelig": "NNP",
    "Zell": "NNP",
    "Zeller": "NNP",
    "Zellerbach": "NNP",
    "Zellers": "NNP",
    "Zeme": "NNP",
    "Zemin": "NNP",
    "Zemlinsky": "NNP",
    "Zemlya": "NNP",
    "Zen": "NNP",
    "Zen-like": "JJ",
    "Zenaida": "NNP",
    "Zend-Avesta": "NNP",
    "Zendo": "NNP",
    "Zenith": "NNP",
    "Zennist": "NN",
    "Zeon": "NNP",
    "Zermatt": "NNP",
    "Zero": "NN",
    "Zero-Based": "NNP",
    "Zero-coupon": "JJ|NN",
    "Zeron": "NNP",
    "Zeros": "NNS",
    "Zeta": "NNP",
    "Zey": "PRP",
    "Zhang": "NNP",
    "Zhao": "NNP",
    "Zhaoxing": "NNP",
    "Zhejiang": "NNP",
    "Zhijie": "NNP",
    "Zhitkov": "NNP",
    "Zhitzhakli": "NNP",
    "Zhok": "NNP",
    "Zhong": "NNP",
    "Zhongshan": "NNP",
    "Zhu": "NNP",
    "Zia": "NNP",
    "Ziari": "NNP",
    "Zicklin": "NNP",
    "Ziebarth": "NNP",
    "Ziegfeld": "NNP",
    "Ziegler": "NNP",
    "Zielinski": "NNP",
    "Ziff": "NNP",
    "Ziff-Davis": "NNP",
    "Ziffren": "NNP",
    "Zigarlick": "NNP",
    "Ziggy": "NNP",
    "Zilligen": "NNP",
    "Zimbabwe": "NNP",
    "Zimbabwean": "NNP|JJ",
    "Zimbalist": "NNP",
    "Zimet": "NNP",
    "Ziminska-Sygietynska": "NNP",
    "Zimmer": "NNP",
    "Zimmerman": "NNP",
    "Zinc": "NN",
    "Zing": "NNP",
    "Zingggg-O": "UH",
    "Zink": "NNP",
    "Zinman": "NNP",
    "Zinser": "NNP",
    "Zion": "NNP",
    "Zionism": "NNP",
    "Zionist": "JJ",
    "Zionists": "NNPS",
    "Zipper": "NNP",
    "Zipperstein": "NNP",
    "Zipser": "NNP",
    "Ziraldo": "NNP",
    "Zirbel": "NNP",
    "Zita": "NNP",
    "Zitin": "NNP",
    "Zivley": "NNP",
    "Ziyang": "NNP",
    "Znaniye": "NNP",
    "Zodiacal": "JJ",
    "Zoe": "NNP",
    "Zoeller": "NNP",
    "Zoellick": "NNP",
    "Zoete": "NNP",
    "Zoghby": "NNP",
    "Zola": "NNP",
    "Zoladex": "NNP",
    "Zollinger-Ellison": "NNP",
    "Zolo": "NNP",
    "Zomax": "NNP",
    "Zombie": "NNP",
    "Zone": "NNP",
    "Zones": "NNS",
    "Zoning": "NNP",
    "Zoo": "NNP",
    "Zooey": "NNP",
    "Zorn": "NNP",
    "Zorro": "NNP",
    "Zosen": "NNP",
    "Zsa": "NNP",
    "Zubin": "NNP",
    "Zubkovskaya": "NNP",
    "Zucker": "NNP",
    "Zuckerman": "NNP",
    "Zuercher": "NNP",
    "Zug": "NNP",
    "Zukin": "NNP",
    "Zulu": "NNP",
    "Zumbrunn": "NNP",
    "Zuni": "NNP",
    "Zupan": "NNP",
    "Zur": "FW",
    "Zuratas": "NNP",
    "Zurcher": "NNP",
    "Zurek": "NNP",
    "Zurich": "NNP",
    "Zurich-based": "JJ",
    "Zurkuhlen": "NNP",
    "Zurn": "NNP",
    "Zvi": "NNP",
    "Zwei": "NNP",
    "Zweibel": "NNP",
    "Zweig": "NNP",
    "Zwelakhe": "NNP",
    "Zwiren": "NNP",
    "Zworykin": "NNP",
    "Zycher": "NNP",
    "Zygmunt": "NNP",
    "a": "DT|VB|,|VBN|NNP|FW|JJ|LS",
    "a-Average": "JJ|LS",
    "a-Discounted": "JJ|VBN|LS",
    "a-Ex-dividend": "NN",
    "a-GM": "NNP",
    "a-Includes": "VBZ",
    "a-Monthly": "JJ",
    "a-Totals": "NNS|LS",
    "a-coming": "VBG",
    "a-crowing": "VBG",
    "a-drinking": "NN",
    "a-gracious": "JJ",
    "a-la-Aristotle": "NN",
    "a-raising": "VBG",
    "a-reflects": "VBZ",
    "a-stoopin": "VBG",
    "a-tall": "JJ",
    "a-wing": "NN",
    "a.": "NN",
    "a.k.a": "JJ",
    "a.k.a.": "JJ",
    "a.m": "RB|NN",
    "a.m.": "RB|NN|FW",
    "a/k/a": "NN",
    "aahs": "NNS",
    "ab": "NN",
    "aback": "RB",
    "abacuses": "NNS",
    "abalone": "NN",
    "abandon": "VB|NN|VBP",
    "abandoned": "VBN|VBD|JJ",
    "abandoning": "VBG",
    "abandonment": "NN",
    "abandons": "VBZ",
    "abaringe": "NN",
    "abasement": "NN",
    "abashed": "JJ|VBD|VBN",
    "abate": "VB",
    "abated": "VBD|VBN",
    "abatement": "NN",
    "abates": "VBZ",
    "abating": "VBG",
    "abberations": "NNS",
    "abbey": "NN",
    "abbot": "NN",
    "abbreviated": "JJ|VBD|VBN",
    "abbreviation": "NN",
    "abbreviations": "NNS",
    "abdicate": "VBP|VB",
    "abdomen": "NN",
    "abdomens": "NNS",
    "abdominal": "JJ",
    "abdominis": "NN",
    "abducted": "NN|VBN|VBD",
    "abduction": "NN",
    "abed": "RB",
    "aber": "FW",
    "aberrant": "JJ",
    "aberrantly": "RB",
    "aberration": "NN",
    "aberrations": "NNS",
    "abetted": "VBN|VBD",
    "abetting": "VBG",
    "abeyance": "NN",
    "abhor": "VB",
    "abhorred": "VBD",
    "abhorrent": "JJ",
    "abhorrently": "RB",
    "abide": "VB|VBP",
    "abides": "VBZ",
    "abiding": "JJ|VBG",
    "ability": "NN",
    "ability...": ":",
    "abject": "JJ",
    "abjection": "NN",
    "abjectly": "RB",
    "ablated": "VBN",
    "ablation": "NN",
    "ablaze": "JJ|RB",
    "able": "JJ",
    "able-bodied": "JJ",
    "abler": "JJR",
    "ably": "RB",
    "abnormal": "JJ",
    "abnormalities": "NNS",
    "abnormality": "NN",
    "abnormally": "RB",
    "aboard": "IN|RB|RP",
    "abode": "NN|VBD|VBN",
    "abolish": "VB",
    "abolished": "VBN|VBD",
    "abolishing": "VBG",
    "abolition": "NN",
    "abolitionist": "NN",
    "abolitionists": "NNS",
    "abominable": "JJ",
    "abomination": "NN",
    "aboriginal": "JJ",
    "aborigine": "NN",
    "aborigines": "NNS",
    "aborning": "RB",
    "abort": "VB",
    "aborted": "JJ|VBD|VBN",
    "abortifacient": "NN",
    "aborting": "VBG",
    "abortion": "NN",
    "abortion-funding": "JJ",
    "abortion-related": "JJ",
    "abortion-rights": "NNS|JJ",
    "abortionist": "NN",
    "abortions": "NNS",
    "abortive": "JJ",
    "abound": "VBP|VB",
    "abounded": "VBD|VBN",
    "abounding": "VBG",
    "abounds": "VBZ",
    "about": "IN|JJ|RB|RP|RBR",
    "about-face": "NN",
    "about-faced": "VBD",
    "above": "IN|JJ|RB",
    "above-average": "JJ",
    "above-ceiling": "NN",
    "above-ground": "JJ",
    "above-market": "JJ",
    "above-mentioned": "JJ",
    "above-normal": "JJ",
    "above-noted": "JJ",
    "above-target": "JJ",
    "above-water": "JJ",
    "aboveboard": "JJ",
    "aboveground": "JJ",
    "abrasion-resistant": "NN",
    "abrasive": "JJ|NN",
    "abrasives": "NNS",
    "abreaction": "NN",
    "abreast": "RB",
    "abridged": "VBN|VBD",
    "abridges": "VBZ",
    "abridging": "VBG",
    "abridgment": "NN",
    "abroad": "RB|JJ",
    "abroade": "RB",
    "abrogate": "VB|VBD",
    "abrogated": "VBN",
    "abrupt": "JJ",
    "abruptly": "RB",
    "abruptness": "NN",
    "abscess": "NN",
    "abscesses": "NNS",
    "abscissa": "NN",
    "absences": "NNS",
    "absense": "NN",
    "absent-minded": "JJ",
    "absent-mindedly": "RB",
    "absented": "VBD|VBN",
    "absentee": "JJ|NN",
    "absentee-ballot": "NN",
    "absenteeism": "NN",
    "absentia": "FW",
    "absently": "RB",
    "absentmindedly": "RB",
    "absinthe": "NN",
    "absolute": "JJ|NN",
    "absolutely": "RB",
    "absoluteness": "NN",
    "absolutes": "NNS",
    "absolution": "NN",
    "absolutism": "NN",
    "absolve": "VBP|VB",
    "absolved": "VBD|VBN",
    "absolving": "VBG",
    "absorb": "VB|VBP",
    "absorbed": "VBN|JJ|VBD",
    "absorbedthe": "VB",
    "absorbency": "NN",
    "absorbent": "JJ",
    "absorber": "NN",
    "absorbers": "NNS",
    "absorbing": "VBG|JJ",
    "absorbs": "VBZ",
    "absorption": "NN",
    "absorptions": "NNS",
    "absorptive": "JJ",
    "abstain": "VB|VBP",
    "abstained": "VBD|VBN",
    "abstaining": "VBG",
    "abstention": "NN",
    "abstentions": "NNS",
    "abstinence": "NN",
    "abstract": "JJ|NN|VBP|VB",
    "abstracted": "JJ|VBD|VBN",
    "abstractedness": "NN",
    "abstracting": "VBG",
    "abstraction": "NN",
    "abstractionism": "NN",
    "abstractionists": "NNS",
    "abstractions": "NNS",
    "abstractive": "JJ",
    "abstractly": "RB",
    "abstractors": "NNS",
    "abstracts": "NNS|VBZ",
    "abstruse": "JJ",
    "abstrusenesses": "NNS",
    "absurd": "JJ",
    "absurdist": "JJ|NN",
    "absurdities": "NNS",
    "absurdity": "NN",
    "absurdly": "RB",
    "abundance": "NN",
    "abundant": "JJ",
    "abundantly": "RB",
    "abusable": "JJ",
    "abuse": "NN|VB|VBP",
    "abused": "VBN|JJ|VBD",
    "abuser": "NN",
    "abusers": "NNS",
    "abusing": "VBG",
    "abusive": "JJ",
    "abutments": "NNS",
    "abuzz": "JJ",
    "abysmal": "JJ",
    "abyss": "NN",
    "acacia": "NN",
    "academe": "NN",
    "academeh": "NN",
    "academia": "NN",
    "academic": "JJ|NN",
    "academically": "RB",
    "academician": "NN",
    "academics": "NNS",
    "academies": "NNS",
    "academy": "NN",
    "acccounting": "NN",
    "accede": "VB",
    "acceded": "VBD|VBN",
    "accelerate": "VB|VBP",
    "accelerated": "VBN|JJ|VBD",
    "accelerates": "VBZ",
    "accelerating": "VBG|NN|JJ",
    "acceleration": "NN",
    "accelerations": "NNS",
    "accelerator": "NN",
    "accelerators": "NNS",
    "accelerometer": "NN",
    "accelerometers": "NNS",
    "accent": "NN|VB",
    "accented": "VBN|JJ|VBD",
    "accenting": "NN|VBG",
    "accents": "NNS|VBZ",
    "accentual": "JJ",
    "accentuate": "VB",
    "accentuated": "VBN|VBD",
    "accentuates": "VBZ",
    "accept": "VB|VBP",
    "acceptability": "NN",
    "acceptable": "JJ",
    "acceptance": "NN",
    "acceptances": "NNS",
    "accepted": "VBD|VBN|JJ",
    "accepting": "VBG|JJ",
    "accepts": "VBZ",
    "accesory": "NN",
    "access": "NN|VB",
    "accessed": "VBN|VBD",
    "accesses": "NNS|VBZ",
    "accessibility": "NN",
    "accessible": "JJ",
    "accessions": "NNS",
    "accessories": "NNS",
    "accessory": "JJ|NN",
    "accident": "NN",
    "accidental": "JJ",
    "accidental-war": "NN",
    "accidentally": "RB",
    "accidently": "RB",
    "acclaim": "NN|VB",
    "acclaimed": "JJ|VBN|VBD",
    "acclaims": "VBZ",
    "acclamation": "NN",
    "acclimatized": "VBN",
    "accolade": "NN",
    "accolades": "NNS",
    "accommodate": "VB|VBP",
    "accommodated": "VBN|VBD",
    "accommodates": "VBZ",
    "accommodating": "VBG",
    "accommodation": "NN",
    "accommodations": "NNS",
    "accommodative": "JJ",
    "accomodate": "VB|VBD",
    "accomodations": "NNS",
    "accompanied": "VBN|VBD",
    "accompanies": "VBZ",
    "accompaniment": "NN",
    "accompaniments": "NNS",
    "accompanist": "NN",
    "accompanists": "NNS",
    "accompany": "VB|VBP",
    "accompanying": "VBG|JJ",
    "accompli": "NN",
    "accomplice": "NN",
    "accomplices": "NNS",
    "accomplish": "VB|VBP",
    "accomplished": "VBN|JJ|VBD",
    "accomplishes": "VBZ",
    "accomplishing": "VBG",
    "accomplishment": "NN",
    "accomplishments": "NNS",
    "accompnaying": "VBG",
    "accord": "NN|VBP|RB|VB",
    "accordance": "NN",
    "accorded": "VBN|VBD",
    "according": "VBG",
    "accordingly": "RB",
    "accordion": "NN",
    "accordion-folding": "JJ",
    "accords": "NNS|VBZ",
    "accosted": "VBN|VBD",
    "accosting": "VBG",
    "account": "NN|VBP|VB",
    "account-churning": "NN",
    "accountability": "NN",
    "accountable": "JJ",
    "accountant": "NN|JJ",
    "accountants": "NNS",
    "accountants...": ":",
    "accounted": "VBD|VBN",
    "accounting": "NN|VBG|JJ",
    "accounting-rules": "JJ",
    "accounts": "NNS|VBZ",
    "accouterments": "NNS",
    "accreditation": "NN",
    "accredited": "VBD|VBN",
    "accrediting": "NN",
    "accreted": "VBN",
    "accretion": "NN",
    "accretions": "NNS",
    "accrual": "NN",
    "accruals": "NNS",
    "accrue": "VB",
    "accrued": "VBN|JJ|VBD",
    "accrues": "VBZ",
    "accruing": "VBG",
    "acculturated": "VBN",
    "acculturation": "NN",
    "accumulate": "VBP|VB",
    "accumulated": "VBN|JJ|VBD",
    "accumulates": "VBZ",
    "accumulating": "VBG|JJ",
    "accumulation": "NN",
    "accumulator": "NN",
    "accuracy": "NN",
    "accurate": "JJ",
    "accurately": "RB",
    "accusation": "NN",
    "accusatory": "JJ",
    "accuse": "VBP|VB",
    "accused": "VBN|VBD|JJ|NN",
    "accuser": "NN",
    "accusers": "NNS",
    "accuses": "VBZ",
    "accusing": "VBG|JJ",
    "accusingly": "RB",
    "accustomed": "VBN|JJ|VBD",
    "accustoms": "VBZ",
    "ace": "NN",
    "acerbic": "JJ",
    "aces": "VBZ|NNS",
    "acetate": "NN",
    "acetominophen": "NN",
    "acetone": "NN",
    "acetonemia": "NN",
    "acetylene": "NN",
    "acetylene-fueled": "JJ",
    "ache": "NN|VB|VBP",
    "ached": "VBD|VBN",
    "aches": "NNS|VBZ",
    "achievable": "JJ",
    "achieve": "VB|VBP",
    "achieved": "VBN|VBD|JJ",
    "achievement": "NN",
    "achievement-test": "NN",
    "achievements": "NNS",
    "achieves": "VBZ",
    "achieving": "VBG",
    "aching": "VBG|JJ",
    "acid": "NN|JJ",
    "acid-fast": "JJ",
    "acid-rain": "NN|JJ",
    "acidified": "VBN|VBD",
    "acidity": "NN",
    "acidly": "RB",
    "acids": "NNS",
    "acidulous": "JJ",
    "aciduria": "NN",
    "acknowledge": "VBP|VB",
    "acknowledged": "VBD|VBN|JJ",
    "acknowledgement": "NN",
    "acknowledges": "VBZ",
    "acknowledging": "VBG",
    "acknowledgment": "NN",
    "acknowledgments": "NNS",
    "acknowleged": "VBD",
    "acne": "NN",
    "acolyte": "NN",
    "aconte": "NN",
    "acorns": "NNS",
    "acoustic": "JJ",
    "acoustical": "JJ",
    "acoustically": "RB",
    "acoustics": "NNS",
    "acquaint": "VB",
    "acquaintance": "NN",
    "acquainted": "VBN|VBD|JJ",
    "acquiesce": "VB",
    "acquiesced": "VBD|VBN",
    "acquiescence": "NN",
    "acquiesence": "NN",
    "acquire": "VB|NN|VBP",
    "acquired": "VBN|JJ|VBD",
    "acquirer": "NN",
    "acquirers": "NNS",
    "acquires": "VBZ",
    "acquiring": "VBG",
    "acquisition": "NN",
    "acquisition-hungry": "JJ",
    "acquisition-minded": "JJ",
    "acquisition-proof": "JJ",
    "acquisition...": ":",
    "acquisitions": "NNS",
    "acquisitions.s": "NNS",
    "acquisitive": "JJ",
    "acquisitiveness": "NN",
    "acquisiton": "NN",
    "acquistion": "NN",
    "acquit": "VB",
    "acquittal": "NN",
    "acquitted": "VBN|VBD",
    "acre": "NN",
    "acre-feet": "NN",
    "acreage": "NN",
    "acres": "NNS",
    "acrid": "JJ",
    "acrimonious": "JJ",
    "acrimony": "NN",
    "acrobacy": "NN",
    "acrobat": "NN",
    "acrobatic": "JJ",
    "acrobatics": "NNS",
    "acrobats": "NNS",
    "acronym": "NN",
    "across": "IN|RB|RP",
    "across-the-board": "JJ|NN|RB",
    "across-the-board-cuts": "NNS",
    "acrylic": "NN",
    "acrylic-fiber": "JJ",
    "act": "NN|VBP|VB",
    "act...": ":",
    "acted": "VBD|VBN",
    "acting": "VBG|JJ|NN",
    "actinometer": "NN",
    "action": "NN|JJ|VB",
    "action-adventure": "JJ",
    "action-oriented": "JJ",
    "action-packed": "JJ",
    "action-results": "NNS",
    "actionable": "JJ",
    "actions": "NNS|VBZ",
    "activate": "VBP|VB",
    "activated": "VBN|JJ|VBD",
    "activating": "VBG",
    "activation": "NN",
    "active": "JJ|NN",
    "active-matrix": "JJ|NN",
    "active-player": "NN",
    "actively": "RB",
    "actives": "NNS",
    "activism": "NN",
    "activist": "NN|JJ",
    "activists": "NNS|VBZ",
    "activities": "NNS",
    "activity": "NN",
    "actor": "NN",
    "actors": "NNS",
    "actress": "NN|JJ",
    "actresses": "NNS",
    "acts": "NNS|VBZ",
    "acts...": ":",
    "actual": "JJ",
    "actualities": "NNS",
    "actuality": "NN",
    "actually": "RB",
    "actuarial": "JJ",
    "actuarially": "RB",
    "actuaries": "NNS",
    "actuary": "NN",
    "actuate": "VB",
    "actuated": "VBN|VBD",
    "actuators": "NNS",
    "acumen": "NN",
    "acupuncture": "NN",
    "acupuncturist": "NN",
    "acute": "JJ|NN",
    "acute-care": "NN",
    "acutely": "RB",
    "ad": "NN|FW",
    "ad-agency": "NN",
    "ad-free": "JJ",
    "ad-hoc": "JJ",
    "ad-lib": "NN|VB",
    "ad-rate": "NN",
    "ad-supported": "JJ",
    "adage": "NN",
    "adagio": "NN|RB",
    "adagios": "NNS",
    "adamant": "JJ",
    "adamantly": "RB",
    "adapt": "VB|VBP",
    "adaptability": "NN",
    "adaptable": "JJ",
    "adaptation": "NN",
    "adaptations": "NNS",
    "adapted": "VBD|VBN",
    "adapter": "NN",
    "adapters": "NNS",
    "adapting": "VBG|NN",
    "adaptor": "NN",
    "adapts": "VBZ",
    "add": "VB|VBP",
    "add-on": "JJ|NN",
    "add-ons": "NNS",
    "added": "VBD|JJ|VBN",
    "added-value": "JJ",
    "addict": "NN|VB",
    "addicted": "VBN|JJ|VBD",
    "addiction": "NN",
    "addiction-treatment": "JJ|NN",
    "addictions": "NNS",
    "addictive": "JJ",
    "addicts": "NNS|VBZ",
    "adding": "VBG|NN",
    "addition": "NN",
    "additional": "JJ",
    "additionally": "RB",
    "additions": "NNS",
    "additive": "NN",
    "additives": "NNS",
    "addle-brained": "JJ",
    "addled": "JJ|VBN|VBD",
    "address": "VB|NN|VBP",
    "addressed": "VBN|JJ|VBD",
    "addressee": "NN",
    "addressees": "NNS",
    "addresses": "NNS|VBZ",
    "addressing": "VBG",
    "addresss": "NNS",
    "adds": "VBZ",
    "adduce": "VB",
    "adenocard": "NN",
    "adenomas": "NN",
    "adept": "JJ",
    "adepts": "NNS",
    "adequacy": "NN",
    "adequate": "JJ",
    "adequately": "RB",
    "adhere": "VB|VBP",
    "adhered": "VBN|VBD",
    "adherence": "NN",
    "adherent": "JJ|NN",
    "adherents": "NNS",
    "adheres": "VBZ",
    "adhering": "VBG",
    "adhesion": "NN",
    "adhesive": "NN|JJ",
    "adhesives": "NNS",
    "adieu": "FW",
    "adipic": "JJ",
    "adjacent": "JJ",
    "adjectival": "JJ",
    "adjective": "NN",
    "adjectives": "NNS",
    "adjoined": "VBD|VBN",
    "adjoining": "JJ|VBG",
    "adjoins": "VBZ",
    "adjourn": "VB",
    "adjourned": "VBN|VBD",
    "adjourning": "NN|VBG",
    "adjournment": "NN",
    "adjourns": "VBZ",
    "adjudged": "VBN|VBD",
    "adjudging": "VBG",
    "adjudicate": "VB",
    "adjudication": "NN",
    "adjudicator": "NN",
    "adjudicators": "NNS",
    "adjunct": "NN|JJ",
    "adjuncts": "NNS",
    "adjust": "VB|VBP",
    "adjustable": "JJ",
    "adjustable-rate": "JJ",
    "adjustablerate": "NN",
    "adjustables": "NNS",
    "adjusted": "VBN|JJ|VBD",
    "adjuster": "NN",
    "adjusters": "NNS",
    "adjusting": "VBG|NN",
    "adjustment": "NN",
    "adjustments": "NNS",
    "adjusts": "VBZ",
    "adman": "NN",
    "admen": "NNS",
    "administer": "VB|VBP",
    "administered": "VBN|VBD",
    "administering": "VBG",
    "administers": "VBZ",
    "administrate": "VB",
    "administration": "NN",
    "administration-Fed": "JJ",
    "administration...": ":",
    "administrations": "NNS",
    "administrative": "JJ",
    "administratively": "RB",
    "administrator": "NN",
    "administrator-general": "NN",
    "administrators": "NNS",
    "adminstration": "NN",
    "adminstrative": "JJ",
    "admirable": "JJ",
    "admirably": "RB",
    "admiral": "NN",
    "admirals": "NNS",
    "admiralty": "NN",
    "admiration": "NN",
    "admire": "VB|VBP",
    "admired": "VBD|VBN|JJ",
    "admirer": "NN",
    "admirers": "NNS",
    "admires": "VBZ",
    "admiring": "VBG",
    "admiringly": "RB",
    "admissible": "JJ",
    "admission": "NN",
    "admissions": "NNS",
    "admit": "VB|VBP",
    "admits": "VBZ|NNS",
    "admittance": "NN",
    "admittances": "NNS",
    "admitted": "VBD|VBN|JJ",
    "admittedly": "RB",
    "admittees": "NNS",
    "admitting": "VBG",
    "admixed": "VBN",
    "admonished": "VBD|VBN",
    "admonishing": "VBG",
    "admonishments": "NNS",
    "admonition": "NN",
    "admonitions": "NNS",
    "ado": "NN",
    "adobe": "NN",
    "adolescence": "NN",
    "adolescent": "JJ|NN",
    "adolescents": "NNS",
    "adopt": "VB|VBP",
    "adoptable": "JJ",
    "adopted": "VBN|VBD|JJ",
    "adoptee": "NN",
    "adoptees": "NNS",
    "adopters": "NNS",
    "adopting": "VBG",
    "adoption": "NN",
    "adoption-assistance": "JJ",
    "adoption-business": "NN",
    "adoptions": "NNS",
    "adoptive": "JJ",
    "adopts": "VBZ",
    "adorable": "JJ",
    "adore": "VBP",
    "adored": "VBD|VBN",
    "adores": "VBZ",
    "adoring": "VBG",
    "adorn": "VB|VBP",
    "adorned": "VBD|VBN",
    "adornments": "NNS",
    "adorns": "VBZ",
    "adrenal": "JJ|NN",
    "adrenaline": "NN",
    "adrift": "RB",
    "adroit": "JJ",
    "adroitly": "RB",
    "adroitness": "NN",
    "ads": "NNS",
    "adsorbed": "VBN",
    "adsorbs": "VBZ",
    "adulation": "NN",
    "adult": "NN|JJ",
    "adult-literacy": "NN",
    "adult-training": "JJ",
    "adulterate": "VB",
    "adulterated": "VBN|JJ|VBD",
    "adulterers": "NNS",
    "adulterous": "JJ",
    "adultery": "NN",
    "adulthood": "NN",
    "adults": "NNS",
    "advance": "NN|JJ|VB|VBP",
    "advance-purchase": "JJ|NN",
    "advanced": "VBD|VBN|JJ",
    "advanced-ceramics": "NNS|NN",
    "advanced-materials": "JJ",
    "advanced-technology": "JJ|NN",
    "advancement": "NN",
    "advancements": "NNS",
    "advancer": "NN",
    "advancers": "NNS",
    "advances": "NNS|VBZ",
    "advancing": "VBG|JJ",
    "advantage": "NN|VB",
    "advantageous": "JJ",
    "advantageously": "RB",
    "advent": "NN",
    "adventitious": "JJ",
    "adventure": "NN|VB",
    "adventure-based": "JJ",
    "adventure-loving": "JJ",
    "adventurer": "NN",
    "adventurers": "NNS",
    "adventuresome": "JJ",
    "adventuring": "NN|VBG",
    "adventurism": "NN",
    "adventurist": "JJ",
    "adventurous": "JJ",
    "adventurously": "RB",
    "adverb": "NN",
    "adverbial": "JJ",
    "adverbs": "NNS",
    "adversarial": "JJ",
    "adversaries": "NNS",
    "adversary": "NN|JJ",
    "adverse": "JJ",
    "adversely": "RB",
    "adversities": "NNS",
    "adversity": "NN",
    "advert": "NN|VB",
    "advertise": "VB|VBP",
    "advertised": "VBN|JJ|VBD",
    "advertisement": "NN",
    "advertisements": "NNS",
    "advertiser": "NN",
    "advertiser-bankrolled": "JJ",
    "advertiser-programming": "NN",
    "advertiser-sponsored": "JJ",
    "advertisers": "NNS",
    "advertises": "VBZ",
    "advertising": "NN|VBG",
    "advertising-backed": "JJ",
    "advertising-conscious": "JJ",
    "advertorial": "JJ",
    "advice": "NN",
    "advisability": "NN",
    "advisable": "JJ",
    "advise": "VB|VBP|NN",
    "advised": "VBD|VBN|JJ",
    "advisedly": "RB",
    "advisement": "NN",
    "adviser": "NN",
    "advisers": "NNS",
    "advises": "VBZ",
    "advising": "VBG|NN",
    "advisor": "NN",
    "advisories": "NNS",
    "advisors": "NNS",
    "advisory": "JJ|NN",
    "advocacy": "NN",
    "advocate": "NN|VB|VBP",
    "advocated": "VBN|VBD",
    "advocates": "NNS|VBZ",
    "advocating": "VBG",
    "aegis": "NN",
    "aeon": "NN",
    "aerate": "VB",
    "aerated": "VBN|VBD",
    "aerates": "VBZ",
    "aeration": "NN",
    "aerator": "NN",
    "aerial": "JJ",
    "aerialists": "NNS",
    "aerials": "NNS",
    "aerobic": "JJ",
    "aerobics": "NN|NNS",
    "aerodynamic": "JJ",
    "aerogenes": "NNS",
    "aeromedical": "JJ",
    "aeronautical": "JJ",
    "aerosal": "NN",
    "aerosol": "NN|JJ",
    "aerosolized": "VBN",
    "aerosols": "NNS",
    "aerospace": "NN|JJ",
    "aerospace-industry": "NN",
    "aesthetes": "NNS",
    "aesthetic": "JJ|NN",
    "aesthetically": "RB",
    "aesthetics": "NNS",
    "aeterna": "FW",
    "aeternitatis": "FW",
    "afar": "RB",
    "affable": "JJ",
    "affadavit": "NN",
    "affair": "NN",
    "affairs": "NNS",
    "affect": "VB|VBP|NN",
    "affectation": "NN",
    "affectations": "NNS",
    "affected": "VBN|JJ|VBD",
    "affecting": "VBG",
    "affectingly": "RB",
    "affection": "NN",
    "affectionate": "JJ",
    "affectionately": "RB",
    "affections": "NNS",
    "affects": "VBZ|NNS",
    "afferent": "JJ",
    "affianced": "VBN|VBD",
    "affidavit": "NN",
    "affidavits": "NNS",
    "affied": "VBD",
    "affilates": "NNS",
    "affiliate": "NN|VB",
    "affiliated": "VBN|JJ|VBD",
    "affiliates": "NNS|VBZ",
    "affiliating": "VBG",
    "affiliation": "NN",
    "affiliations": "NNS",
    "affilliate": "NN",
    "affinities": "NNS",
    "affinity": "NN",
    "affirm": "VB|VBP",
    "affirmation": "NN",
    "affirmations": "NNS",
    "affirmative-action": "NN",
    "affirmed": "VBD|VBN",
    "affirming": "VBG",
    "affirms": "VBZ",
    "affix": "VB",
    "affixed": "VBN|JJ|VBD",
    "afflict": "VB",
    "afflicted": "VBN|JJ|VBD",
    "afflicting": "VBG",
    "affliction": "NN",
    "afflictions": "NNS",
    "afflicts": "VBZ",
    "affluence": "NN",
    "affluent": "JJ|NN",
    "afford": "VB|VBP",
    "affordability": "NN",
    "affordable": "JJ",
    "afforded": "VBN|VBD",
    "affording": "VBG",
    "affords": "VBZ",
    "affront": "NN|VB",
    "affronted": "VBN|VBD",
    "affronting": "VBG",
    "aficionado": "NN",
    "afield": "RB",
    "afire": "RB|JJ",
    "aflame": "JJ",
    "aflatoxin": "NN",
    "aflatoxin-free": "JJ",
    "aflatoxin-producing": "JJ",
    "aflatoxin-related": "JJ",
    "afloat": "RB",
    "afoot": "RB|JJ",
    "aforementioned": "JJ|VBN",
    "aforesaid": "JJ|RB",
    "aforethought": "JJ|NN",
    "afoul": "RB",
    "afraid": "JJ",
    "afresh": "RB",
    "aft": "JJ|NN|RB",
    "after": "IN|RB|RP",
    "after-dinner": "JJ",
    "after-duty": "JJ",
    "after-effects": "NNS",
    "after-hours": "JJ|NNS|RB",
    "after-run": "JJ",
    "after-school": "JJ",
    "after-tax": "JJ|NN",
    "afterburners": "NNS",
    "aftereffects": "NNS",
    "afterglow": "NN",
    "aftermarket": "JJ|NN",
    "aftermath": "NN",
    "aftermaths": "NNS",
    "afternoon": "NN",
    "afternoons": "NNS|RB",
    "aftershave": "NN",
    "aftershock": "NN",
    "aftershock-damping": "JJ",
    "aftershock-resistant": "JJ",
    "aftershocks": "NNS",
    "aftertax": "JJ|NN",
    "afterthought": "NN",
    "afterward": "RB",
    "afterwards": "RB",
    "aftuh": "RB",
    "ag": "NN|JJ",
    "again": "RB",
    "against": "IN",
    "againt": "NN",
    "agates": "NNS",
    "agave": "NN",
    "agayne": "RB",
    "age": "NN|VBP|VB",
    "age-and-sex": "JJ",
    "age-bias": "JJ",
    "age-discrimination": "JJ|NN",
    "age-old": "JJ",
    "age-specific": "JJ",
    "aged": "VBN|JJ|NNS|VBD",
    "aged-care": "NN",
    "ageless": "JJ",
    "agencies": "NNS",
    "agency": "NN",
    "agency-dealing": "JJ",
    "agenda": "NN|NNS",
    "agenda-setter": "NN",
    "agendas": "NNS",
    "agent": "NN",
    "agents": "NNS",
    "agents-in-training": "NNS",
    "ages": "NNS|VBZ",
    "agglomerate": "NN|VB",
    "agglomeration": "NN",
    "agglutinating": "VBG",
    "agglutination": "NN",
    "agglutinin": "NN",
    "agglutinins": "NNS",
    "aggrandizing": "VBG",
    "aggravate": "VBP|VB",
    "aggravated": "VBN|VBD|JJ",
    "aggravates": "VBZ",
    "aggravating": "JJ|VBG",
    "aggregate": "JJ|NN|VB",
    "aggregates": "NNS|VBZ",
    "aggregation": "NN",
    "aggregations": "NNS",
    "aggression": "NN",
    "aggressive": "JJ",
    "aggressively": "RB",
    "aggressiveness": "NN",
    "aggressor": "NN",
    "aggrieved": "VBN|JJ|VBD",
    "aghast": "JJ",
    "agile": "JJ",
    "agilely": "RB",
    "agility": "NN",
    "agin": "IN|RB",
    "aging": "VBG|JJ|NN",
    "agitate": "VBP|VB",
    "agitated": "VBN|VBD",
    "agitating": "VBG",
    "agitation": "NN",
    "agitator": "NN",
    "agitators": "NNS",
    "agleam": "JJ",
    "aglimmering": "VBG",
    "agnomen": "NN",
    "agnostics": "NNS",
    "ago": "RB|IN",
    "ago.": "RB",
    "agonies": "NNS",
    "agonize": "VB|VBP",
    "agonized": "VBD|JJ|VBN",
    "agonizes": "VBZ",
    "agonizing": "JJ|VBG",
    "agony": "NN",
    "agranulocytosis": "NN",
    "agrarian": "JJ|NN",
    "agrarian-reform": "JJ",
    "agree": "VBP|VB",
    "agree.": "VB",
    "agreeable": "JJ",
    "agreeableness": "NN",
    "agreeably": "RB",
    "agreed": "VBD|VBN|JJ|UH",
    "agreed-on": "JJ",
    "agreed-to": "JJ",
    "agreed-upon": "JJ|IN",
    "agreeement": "NN",
    "agreeing": "VBG",
    "agreement": "NN",
    "agreements": "NNS",
    "agrees": "VBZ",
    "agressive": "JJ",
    "agribusiness": "NN",
    "agricolas": "FW",
    "agricole": "FW",
    "agriculteurs": "FW",
    "agricultural": "JJ",
    "agricultural-research": "JJ",
    "agriculturally": "RB",
    "agriculturals": "NNS",
    "agriculture": "NN",
    "agriculture-based": "JJ",
    "agriculture-chemicals": "NNS",
    "agriculture-extension": "NN",
    "agriculture-related": "JJ",
    "agriproducts": "NNS",
    "agro-chemicals": "NNS",
    "agro-industrial": "JJ",
    "agro-industry": "JJ",
    "agrochemical": "NN",
    "agronomist": "NN",
    "aground": "RB",
    "ague": "NN",
    "ah": "UH|VBP",
    "ahdawam": "UH",
    "ahead": "RB|JJ",
    "ahem": "UH",
    "ahs": "UH",
    "ai": "VBP|VBZ",
    "aid": "NN|VB|VBP",
    "aid-to-education": "NN",
    "aide": "NN",
    "aide-de-camp": "NN",
    "aided": "VBN|VBD",
    "aides": "NNS",
    "aiding": "VBG",
    "aids": "NNS|VBZ",
    "aikido": "FW",
    "ailerons": "NNS",
    "ailing": "VBG|JJ",
    "ailment": "NN",
    "ailments": "NNS",
    "ails": "NNS|VBZ",
    "aim": "NN|VBP|VB",
    "aimed": "VBN|VBD",
    "aiming": "VBG",
    "aimless": "JJ",
    "aimlessly": "RB",
    "aims": "VBZ|NNS",
    "air": "NN|VB|VBN|VBP",
    "air-cargo": "NN",
    "air-cell": "JJ",
    "air-charter": "JJ",
    "air-conditioned": "JJ",
    "air-conditioner": "NN",
    "air-conditioners": "NNS",
    "air-conditioning": "NN|JJ",
    "air-defense": "JJ",
    "air-express": "NN",
    "air-frame": "NN",
    "air-freight": "NN|JJ",
    "air-freight-forwarding": "JJ",
    "air-injection": "NN",
    "air-interdiction": "NN",
    "air-launched": "JJ",
    "air-passenger": "NN",
    "air-pollution": "NN",
    "air-quality": "NN",
    "air-separation": "NN",
    "air-service": "NN",
    "air-tickets": "NNS",
    "air-to-air": "JJ",
    "air-to-ground": "JJ",
    "air-to-surface": "JJ",
    "air-traffic": "NN",
    "air-traffic-control": "NN",
    "air-water": "JJ",
    "air-waybill": "JJ",
    "airbags": "NNS",
    "airborne": "JJ",
    "airborne-radar": "NN",
    "airconditioner": "JJR",
    "aircraft": "NN|NNS",
    "aircraft-electronics": "NN",
    "aircraft-engine": "JJ|NN",
    "aircraft-engine-maintenance": "JJ",
    "aircraft-navigation": "NN",
    "aircraft-test": "JJ",
    "airdrops": "NNS",
    "aired": "VBD|VBN",
    "airfare": "NN",
    "airfield": "NN",
    "airfields": "NNS",
    "airflow": "NN",
    "airframe": "NN",
    "airframes": "NNS",
    "airheads": "NNS",
    "airily": "RB",
    "airing": "VBG|NN",
    "airings": "NNS",
    "airless": "JJ",
    "airlift": "NN|VB",
    "airlifted": "VBN|VBD",
    "airlifting": "VBG",
    "airline": "NN",
    "airline-acquisition": "JJ",
    "airline-crash": "JJ",
    "airline-deregulation": "NN",
    "airline-financed": "JJ",
    "airline-hostess": "NN",
    "airline-industry": "NN",
    "airline-interior": "JJ",
    "airline-landing": "JJ",
    "airline-related": "JJ",
    "airliner": "NN",
    "airliners": "NNS",
    "airlines": "NNS",
    "airlock": "NN",
    "airmail": "NN",
    "airmailed": "VBD",
    "airman": "NN",
    "airmen": "NNS",
    "airplane": "NN",
    "airplanes": "NNS|VBZ",
    "airplay": "NN",
    "airport": "NN",
    "airports": "NNS",
    "airs": "NNS|VBZ",
    "airspeed": "NN",
    "airstrip": "NN",
    "airstrips": "NNS",
    "airtime": "NN",
    "airwaves": "NNS",
    "airway": "NN",
    "airways": "NNS",
    "airworthiness": "NN",
    "airy": "JJ",
    "aisle": "NN",
    "aisles": "NNS",
    "ajar": "RB",
    "ajury": "NN",
    "akin": "JJ|RB",
    "aku": "FW",
    "al": "NNS|FW",
    "al-Assad": "NNP",
    "al-Faisal": "NNP",
    "al-Husseini": "NNP",
    "al.": "NNS",
    "alabaster": "NN|JJR",
    "alai": "FW",
    "alarm": "NN|VB",
    "alarmed": "VBN|JJ|VBD",
    "alarming": "JJ|VBG",
    "alarmingly": "RB",
    "alarmism": "NN",
    "alarmist": "JJ",
    "alarms": "NNS|VBZ",
    "alas": "UH",
    "albatross": "NN",
    "albeit": "IN|RB",
    "albicans": "NNS",
    "albino": "NN",
    "album": "NN",
    "albumin": "NN",
    "albums": "NNS",
    "alchemists": "NNS",
    "alchemy": "NN",
    "alcohol": "NN",
    "alcohol-powered": "JJ",
    "alcohol-producing": "JJ",
    "alcohol-related": "JJ",
    "alcoholic": "JJ|NN",
    "alcoholic-beverage": "NN",
    "alcoholics": "NNS",
    "alcoholism": "NN",
    "alcohols": "NNS",
    "alcoves": "NNS",
    "alderman": "NN",
    "aldermen": "NNS",
    "alders": "NNS",
    "ale": "NN",
    "aleck": "NN",
    "alert": "VB|JJ|VBP|NN",
    "alerted": "VBD|VBN",
    "alerting": "VBG",
    "alertly": "RB",
    "alertness": "NN",
    "alerts": "VBZ|NNS",
    "alfalfa": "NN",
    "alfresco": "RB|JJ|NN",
    "algae": "NNS",
    "algaecide": "NN",
    "algebra": "NN",
    "algebraic": "JJ",
    "algebraically": "RB",
    "alginates": "NNS",
    "algorithm": "NN",
    "alia": "FW",
    "alias": "NN",
    "alibi": "NN",
    "alibis": "NNS",
    "alien": "JJ|NN|VB",
    "alienate": "VB|JJ",
    "alienated": "VBN|VBD",
    "alienates": "VBZ",
    "alienating": "VBG|JJ",
    "alienation": "NN",
    "aliens": "NNS|VBZ",
    "alight": "JJ|VB",
    "align": "VB|VBP",
    "aligned": "VBN|JJ|VBD",
    "alignment": "NN",
    "alignments": "NNS",
    "alike": "RB|JJ",
    "alimony": "NN",
    "aliquots": "NNS",
    "alive": "JJ|RB",
    "alizarin": "NN",
    "alkali": "NNS",
    "alkaline": "JJ",
    "alkalis": "NNS",
    "alkaloids": "NNS",
    "alky": "NN",
    "alkylarysulfonate": "NN",
    "alkylbenzenesulfonates": "NNS",
    "all": "DT|RB|PDT",
    "all-America": "JJ",
    "all-American": "JJ",
    "all-American-boy": "NN",
    "all-Copland": "JJ",
    "all-Negro": "JJ",
    "all-New": "NNP",
    "all-Spanish": "JJ",
    "all-around": "JJ",
    "all-automatic": "JJ",
    "all-black": "JJ",
    "all-cargo": "JJ",
    "all-cash": "JJ",
    "all-college": "NN",
    "all-consuming": "JJ",
    "all-county": "JJ",
    "all-day": "JJ",
    "all-employee": "JJ",
    "all-exclusive": "JJ",
    "all-expenses-paid": "JJ",
    "all-federal": "JJ",
    "all-female": "JJ",
    "all-important": "JJ",
    "all-in-all": "RB",
    "all-inclusive": "JJ",
    "all-knowing": "JJ",
    "all-lesbian": "JJ",
    "all-married": "JJ",
    "all-natural": "JJ",
    "all-new": "JJ",
    "all-news": "JJ",
    "all-night": "JJ",
    "all-nighters": "NNS",
    "all-options": "JJ",
    "all-out": "JJ",
    "all-over": "IN",
    "all-paper": "JJ|NN",
    "all-pervading": "JJ",
    "all-powerful": "JJ",
    "all-purpose": "JJ",
    "all-round": "JJ",
    "all-something-or-the-other": "JJ",
    "all-star": "JJ",
    "all-stock": "JJ",
    "all-student": "JJ",
    "all-terrain": "JJ",
    "all-time": "JJ",
    "all-too-brief": "JJ",
    "all-too-familiar": "JJ",
    "all-too-sincere": "JJ",
    "all-victorious": "JJ",
    "all-weather": "JJ",
    "all-white": "JJ",
    "all-woman": "JJ",
    "allay": "VB",
    "allayed": "VBN|VBD",
    "allaying": "VBG",
    "allegation": "NN",
    "allegations": "NNS",
    "allege": "VBP|VB",
    "alleged": "VBN|JJ|VBD",
    "allegedly": "RB",
    "alleges": "VBZ|NNS",
    "allegiance": "NN",
    "allegiances": "NNS",
    "alleging": "VBG",
    "allegoric": "JJ",
    "allegorical": "JJ",
    "allegory": "NN",
    "allegro": "JJ",
    "allergic": "JJ",
    "allergies": "NNS",
    "allergy": "NN",
    "alleviate": "VB|VBP",
    "alleviates": "VBZ",
    "alleviating": "VBG",
    "alleviation": "NN",
    "alley": "NN",
    "alleys": "NNS",
    "alleyways": "NNS",
    "allgedly": "RB",
    "alliance": "NN",
    "alliances": "NNS",
    "allied": "VBD|VBN|JJ",
    "allies": "NNS|VBZ",
    "alligator": "NN",
    "alligatored": "VBN",
    "alligators": "NNS",
    "alliteration": "NN",
    "alliterative": "JJ",
    "allnight": "JJ",
    "allocable": "JJ",
    "allocate": "VBP|VB",
    "allocated": "VBN|VBD",
    "allocates": "VBZ",
    "allocating": "VBG|NN",
    "allocation": "NN",
    "allocations": "NNS",
    "allocator": "NN",
    "allot": "VB",
    "alloted": "VBN",
    "allotment": "NN",
    "allotments": "NNS",
    "allotted": "VBN|VBD",
    "allotting": "VBG",
    "allout": "JJ",
    "allow": "VB|VBP",
    "allowable": "JJ",
    "allowance": "NN",
    "allowances": "NNS",
    "allowed": "VBN|JJ|VBD",
    "allowing": "VBG",
    "allows": "VBZ",
    "alloy": "NN|VB",
    "alloys": "NNS|VBZ",
    "allrightniks": "NNS",
    "alltime": "NN",
    "alluded": "VBD|VBN",
    "alludes": "VBZ",
    "alluding": "VBG",
    "allure": "NN|VB",
    "allurement": "NN",
    "alluring": "JJ|VBG",
    "allusion": "NN",
    "allusions": "NNS",
    "allusiveness": "NN",
    "alluvial": "JJ",
    "ally": "NN|VB",
    "allying": "VBG",
    "alma": "JJ|NN",
    "almanac": "NN",
    "almond": "NN|JJ",
    "almonds": "NNS",
    "almost": "RB|JJ",
    "almost-industry": "NN",
    "aloes": "NN",
    "aloft": "RB",
    "alone": "RB|JJ",
    "alone...": ":",
    "aloneness": "NN",
    "along": "IN|RB|RP",
    "alongside": "IN|RB",
    "aloof": "JJ|RB",
    "aloofness": "NN",
    "alors": "FW",
    "aloud": "RB",
    "alpenglow": "NN",
    "alpha": "NN|JJ",
    "alpha-beta-gammas": "NNS",
    "alphabet": "NN",
    "alphabetic": "JJ",
    "alphabetical": "JJ",
    "alphabetically": "RB",
    "alphabetized": "VBD|VBN",
    "alreadeh": "RB",
    "already": "RB",
    "already-developed": "JJ",
    "already-expensive": "JJ",
    "already-identified": "JJ",
    "already-known": "JJ",
    "already-nervous": "NN",
    "already-reluctant": "JJ",
    "already-shaky": "JJ",
    "already-sizable": "JJ",
    "already-strained": "JJ",
    "already-tense": "JJ",
    "also": "RB|.",
    "also-ran": "NN",
    "altar": "NN",
    "alter": "VB|VBP|JJ",
    "alter-ego": "NN",
    "alter-parents": "NNS",
    "alteration": "NN",
    "alterations": "NNS",
    "altercation": "NN",
    "altered": "VBN|JJ|VBD",
    "altering": "VBG",
    "alternate": "JJ|VBP|NN|VB",
    "alternated": "VBD|VBN",
    "alternately": "RB",
    "alternates": "NNS|VBZ",
    "alternating": "VBG",
    "alternation": "NN",
    "alternative": "NN|JJ",
    "alternative-energy": "JJ",
    "alternative-fueled": "JJ",
    "alternative-fuels": "JJ|NNS",
    "alternative-operator": "NN",
    "alternative...": ":",
    "alternatively": "RB",
    "alternatives": "NNS",
    "alters": "VBZ",
    "altho": "IN|NN",
    "although": "IN",
    "altitude": "NN",
    "altitude-azimuth-mounted": "JJ",
    "altitudes": "NNS",
    "alto": "NN",
    "altogether": "RB",
    "altruism": "NN",
    "altruistic": "JJ",
    "altruistically": "RB",
    "altruists": "NNS",
    "alum": "NN",
    "alumina": "NN",
    "aluminum": "NN|JJ",
    "aluminum-hulled": "JJ",
    "aluminum-industry": "NN",
    "aluminum-makers": "NNS",
    "alumnae": "NNS",
    "alumni": "NNS",
    "alumnus": "NN",
    "alundum": "NN",
    "alveolar": "NN|JJ",
    "alveoli": "NNS",
    "alveolus": "NN",
    "always": "RB",
    "always-present": "JJ",
    "am": "VBP|FW|RB",
    "amahs": "NNS",
    "amalgam": "NN",
    "amalgamate": "VB",
    "amalgamated": "VBN|VBD",
    "amalgamation": "NN",
    "amalgamations": "NNS",
    "amanuensis": "NN",
    "amass": "VB|VBP",
    "amassed": "VBN|VBD",
    "amasses": "VBZ",
    "amassing": "NN|VBG",
    "amateur": "JJ|NN",
    "amateurish": "JJ",
    "amateurishness": "NN",
    "amateurism": "NN",
    "amateurs": "NNS",
    "amatory": "JJ",
    "amaze": "VB|VBP",
    "amazed": "VBN|VBD|JJ",
    "amazement": "NN",
    "amazing": "JJ|VBG",
    "amazingly": "RB",
    "amazons": "NNS",
    "ambassador": "NN",
    "ambassadors": "NNS",
    "amber": "JJ|NN",
    "ambiance": "NN",
    "ambidextrous": "JJ",
    "ambiguities": "NNS",
    "ambiguity": "NN",
    "ambiguous": "JJ",
    "ambition": "NN",
    "ambitions": "NNS",
    "ambitious": "JJ",
    "ambitiously": "RB",
    "ambivalence": "NN",
    "ambivalent": "JJ",
    "amble": "VB",
    "ambled": "VBD|VBN",
    "ambling": "VBG",
    "ambrosial": "JJ",
    "ambulance": "NN",
    "ambulatory": "JJ",
    "ambuscade": "NN|VB",
    "ambush": "NN|VB",
    "ambushed": "VBD|VBN",
    "amelioration": "NN",
    "amen": "UH",
    "amenable": "JJ",
    "amend": "VB|VBP",
    "amendatory": "JJ",
    "amended": "VBN|VBD",
    "amending": "VBG",
    "amendment": "NN",
    "amendments": "NNS",
    "amenities": "NNS",
    "amethystine": "JJ",
    "amiable": "JJ",
    "amicable": "JJ",
    "amicably": "RB",
    "amici": "FW",
    "amicus": "NN",
    "amid": "IN",
    "amide": "NN",
    "amidst": "IN",
    "amigo": "FW",
    "amines": "NNS",
    "amino": "JJ",
    "amiss": "JJ",
    "amity": "NN",
    "ammo": "NN",
    "ammonia": "NN",
    "ammoniac": "JJ",
    "ammonium": "NN",
    "ammunition": "NN",
    "amnesty": "NN",
    "amnesty.": "NN",
    "amniotic": "JJ",
    "amok": "RB",
    "among": "IN",
    "amongst": "IN",
    "amor": "FW",
    "amoral": "JJ",
    "amorality": "NN",
    "amorist": "NN",
    "amorous": "JJ",
    "amorphous": "JJ",
    "amorphously": "RB",
    "amortization": "NN",
    "amortize": "VB",
    "amortized": "VBN|VBD",
    "amortizing": "JJ|VBG",
    "amount": "NN|VB|VBP",
    "amounted": "VBD|VBN",
    "amounting": "VBG",
    "amounts": "NNS|VBZ",
    "amours": "FW",
    "amp": "NN",
    "amphetamines": "NNS",
    "amphibious": "JJ",
    "amphibology": "NN",
    "amphitheater": "NN",
    "amphobiles": "NNS",
    "ample": "JJ",
    "amplification": "NN",
    "amplified": "VBN|VBD",
    "amplifier": "NN",
    "amplifiers": "NNS",
    "amplifies": "VBZ",
    "amplify": "VB",
    "amplifying": "VBG",
    "amplitude": "NN",
    "amply": "RB",
    "amps": "NNS",
    "amputated": "VBN",
    "amputation": "NN",
    "amputations": "NNS",
    "amulet": "NN",
    "amulets": "NNS",
    "amuse": "VBP|VB",
    "amused": "VBN|JJ|VBD",
    "amusedly": "RB",
    "amusement": "NN",
    "amusement/theme": "NN",
    "amusing": "JJ|VBG",
    "amusingly": "RB",
    "an": "DT|CC|JJ|NNP|,",
    "anachronism": "NN",
    "anachronisms": "NNS",
    "anachronistic": "JJ",
    "anachronistically": "RB",
    "anaconda": "NN",
    "anacondas": "NNS|VBZ",
    "anaerobic": "JJ",
    "anaesthesia": "NN",
    "anagram": "NN",
    "analeptic": "JJ",
    "analgesic": "JJ|NN",
    "analog": "NN|JJ",
    "analogies": "NNS",
    "analogous": "JJ",
    "analogously": "RB",
    "analogue": "NN",
    "analogues": "NNS",
    "analogy": "NN",
    "analysed": "VBN|VBD",
    "analyses": "NNS|VBZ",
    "analysis": "NN",
    "analyst": "NN",
    "analystics": "NNS",
    "analysts": "NNS",
    "analytic": "JJ|NN",
    "analytical": "JJ",
    "analytical-instruments": "JJ",
    "analytically": "RB",
    "analyticity": "NN",
    "analyzable": "JJ",
    "analyze": "VB|VBP",
    "analyzed": "VBD|VBN",
    "analyzer": "NN",
    "analyzes": "VBZ",
    "analyzing": "VBG|NN",
    "anaplasmosis": "NN",
    "anaprapath": "NN",
    "anarchic": "JJ",
    "anarchical": "JJ",
    "anarchist": "NN",
    "anarchist-adventurers": "NNS",
    "anarchy": "NN",
    "anastomoses": "NNS|VBZ",
    "anastomosis": "NN",
    "anastomotic": "JJ",
    "anathema": "NN",
    "anatomic": "JJ",
    "anatomical": "JJ|NN",
    "anatomically": "RB",
    "anatomicals": "NNS",
    "anatomy": "NN",
    "ancestor": "NN",
    "ancestors": "NNS",
    "ancestral": "JJ",
    "ancestry": "NN",
    "anchor": "VB|NN|VBP",
    "anchorage": "NN",
    "anchorages": "NNS",
    "anchored": "VBN|VBD|JJ",
    "anchoring": "VBG",
    "anchorite": "NN",
    "anchoritism": "NN",
    "anchorman": "NN",
    "anchormen": "NNS",
    "anchors": "NNS|VBZ",
    "anchorwoman": "NN",
    "anchovy": "NN",
    "ancient": "JJ|NN",
    "anciently": "RB",
    "ancients": "NNS",
    "ancillary": "JJ",
    "and": "CC|VBP|JJ|RB|NNP",
    "and...": ":",
    "and/or": "NN",
    "andrenas": "NNPS",
    "anecdotal": "JJ",
    "anecdote": "NN",
    "anecdotes": "NNS",
    "anemated": "VBN",
    "anemia": "NN",
    "anemias": "NNS",
    "anemic": "JJ",
    "anemics": "NNS",
    "anesthetic": "NN",
    "anesthetically": "RB",
    "anesthetics": "NNS",
    "anesthetized": "JJ|VBN",
    "anew": "RB",
    "angel": "NN",
    "angelfish": "NN",
    "angelic": "JJ",
    "angelica": "NN",
    "angels": "NNS",
    "anger": "NN|VBP",
    "angered": "VBD|VBN|JJ",
    "angering": "VBG",
    "angers": "VBZ",
    "angina": "NN",
    "angiotensin": "NN",
    "angle": "NN|VB",
    "angler": "NN",
    "angles": "NNS|VBZ",
    "angling": "VBG|NN",
    "angora": "NN",
    "angriest": "JJS",
    "angrily": "RB",
    "angry": "JJ",
    "angst": "NN",
    "anguish": "NN|VBP|VB",
    "anguished": "JJ|VBD|VBN",
    "angular": "JJ",
    "anhemolyticus": "NN",
    "anhydrous": "JJ",
    "anhydrously": "RB",
    "ani": "JJ",
    "aniline": "NN",
    "animal": "NN|JJ",
    "animal-based": "JJ",
    "animal-health": "NN",
    "animal-human": "NN",
    "animal-like": "JJ",
    "animal-protection": "NN",
    "animal-rights": "NN|NNS|JJ",
    "animalcare": "JJ",
    "animals": "NNS",
    "animate": "JJ|VB",
    "animated": "VBN|JJ|VBD",
    "animates": "VBZ",
    "animation": "NN",
    "animism": "NN",
    "animized": "VBN|VBD",
    "animosities": "NNS",
    "animosity": "NN",
    "animosity...": ":",
    "anion": "NN",
    "anionic": "JJ",
    "anionics": "NNS",
    "anions": "NNS",
    "anise": "NN",
    "aniseikonic": "JJ",
    "anisotropy": "NN",
    "ankle": "NN",
    "ankle-deep": "JJ",
    "ankles": "NNS",
    "anlayst": "NN",
    "annals": "NN|NNS",
    "annee": "FW",
    "annex": "NN|VB",
    "annexation": "NN",
    "annexed": "VBD|VBN",
    "annihilate": "VB",
    "annihilation": "NN",
    "anniversaries": "NNS",
    "anniversary": "NN",
    "annnouncement": "NN",
    "annointed": "VBN",
    "annotated": "VBN|VBD",
    "announce": "VB|VBP",
    "announced": "VBD|VBN|JJ",
    "announced.": "VBN",
    "announcement": "NN",
    "announcements": "NNS",
    "announcer": "NN",
    "announcers": "NNS",
    "announces": "VBZ",
    "announcing": "VBG",
    "announcment": "NN",
    "annoy": "VB|VBP",
    "annoyance": "NN",
    "annoyances": "NNS",
    "annoyed": "VBD|VBN|JJ",
    "annoying": "JJ|NN|VBG",
    "annoys": "VBZ",
    "annual": "JJ|NN",
    "annual-income": "NN",
    "annualized": "VBN|VBD|JJ",
    "annually": "RB",
    "annuities": "NNS",
    "annuity": "NN",
    "annulled": "VBD|VBN",
    "annum": "NN|FW",
    "annunciated": "VBN|VBD",
    "anode": "NN",
    "anodes": "NNS",
    "anoint": "VB",
    "anointing": "VBG",
    "anomalies": "NNS",
    "anomalous": "JJ",
    "anomaly": "NN",
    "anomic": "JJ",
    "anomie": "FW",
    "anonymity": "NN",
    "anonymous": "JJ",
    "anonymously": "RB",
    "anorexia": "NN",
    "anorthic": "JJ",
    "another": "DT|JJ|NN",
    "another...": ":",
    "ansuh": "VB",
    "answer": "NN|VB|VBP",
    "answerable": "JJ",
    "answered": "VBN|VBD",
    "answering": "NN|VBG",
    "answers": "NNS|VBZ",
    "ant": "NN",
    "antacid": "NN",
    "antagonised": "VBN|VBD",
    "antagonism": "NN",
    "antagonisms": "NNS",
    "antagonist": "NN",
    "antagonistic": "JJ",
    "antagonists": "NNS",
    "antagonize": "VB|VBP",
    "ante": "NN|FW|VB",
    "ante-bellum": "FW|JJ|NN",
    "anteater": "NN",
    "anteaters": "NNS",
    "antebellum": "JJ",
    "antecedent": "NN",
    "antecedents": "NNS",
    "antelope": "NNS|NN",
    "antenna": "NN",
    "antennae": "NNS",
    "antennas": "NNS",
    "anterior": "JJ",
    "anteriors": "NNS",
    "anthem": "NN",
    "anthems": "NNS",
    "anthers": "NNS",
    "anthology": "NN",
    "anthrax": "NN",
    "anthropic": "JJ",
    "anthropological": "JJ",
    "anthropological-religious": "JJ",
    "anthropologist": "NN",
    "anthropologists": "NNS",
    "anthropology": "NN",
    "anthropomorphic": "JJ",
    "anti": "IN|NN",
    "anti-A": "NNP",
    "anti-AIDS": "JJ",
    "anti-American": "JJ",
    "anti-Americanism": "NN",
    "anti-B": "NNP",
    "anti-Bork": "JJ",
    "anti-Castro": "JJ",
    "anti-Catholic": "JJ",
    "anti-Catholicism": "NN",
    "anti-China": "JJ",
    "anti-Christian": "JJ",
    "anti-Colmer": "JJ",
    "anti-Communism": "NN",
    "anti-Communist": "JJ",
    "anti-Communists": "NNPS",
    "anti-European": "JJ",
    "anti-Fascist": "JJ",
    "anti-French": "JJ",
    "anti-Galileo": "JJ",
    "anti-Honecker": "JJ",
    "anti-Japanese": "JJ",
    "anti-Kabul": "JJ",
    "anti-Kennedy": "JJ",
    "anti-LDP": "JJ",
    "anti-Moscow": "JJ",
    "anti-NATO": "JJ",
    "anti-Nazi": "JJ",
    "anti-Nazis": "NNPS",
    "anti-Negro": "JJ",
    "anti-Newtonian": "JJ",
    "anti-Noriega": "JJ",
    "anti-Phnom": "NNP",
    "anti-Rh": "NNP",
    "anti-Sandinista": "JJ",
    "anti-Semites": "NNS",
    "anti-Semitic": "JJ",
    "anti-Semitism": "NNP|NN|JJ",
    "anti-Somoza": "JJ",
    "anti-Sony": "JJ",
    "anti-South": "JJ",
    "anti-Soviet": "JJ",
    "anti-Stalinist": "JJ",
    "anti-Turkish": "JJ",
    "anti-U.S.": "JJ",
    "anti-Western": "JJ",
    "anti-Yankee": "JJ",
    "anti-abortion": "JJ|NN",
    "anti-abortionist": "NN",
    "anti-abortionists": "NNS",
    "anti-acne": "NN",
    "anti-aircraft": "JJ",
    "anti-airline": "NN",
    "anti-airline-takeover": "JJ",
    "anti-alcohol": "JJ",
    "anti-androgen": "JJ",
    "anti-androgens": "NNS",
    "anti-anemia": "NN",
    "anti-apartheid": "JJ|NN",
    "anti-army": "JJ",
    "anti-assignment": "JJ",
    "anti-authoritarian": "JJ",
    "anti-ballistic-missile": "JJ",
    "anti-bike": "JJ",
    "anti-business": "JJ",
    "anti-cancer": "JJ",
    "anti-cartel": "JJ",
    "anti-choice": "JJ",
    "anti-cholesterol": "JJ",
    "anti-cigarette": "JJ",
    "anti-clericalism": "JJ",
    "anti-clotting": "JJ",
    "anti-communist": "JJ",
    "anti-competitive": "JJ",
    "anti-conservation": "JJ",
    "anti-contamination": "JJ",
    "anti-convulsive": "JJ",
    "anti-crime": "JJ",
    "anti-debt": "JJ",
    "anti-deer": "JJ",
    "anti-defense": "JJ",
    "anti-democratic": "JJ",
    "anti-depressant": "NN|JJ",
    "anti-development": "JJ",
    "anti-diabetes": "JJ",
    "anti-diarrheal": "JJ",
    "anti-dilutive": "JJ",
    "anti-discrimination": "JJ|NN",
    "anti-discriminatory": "JJ",
    "anti-drug": "JJ|NN",
    "anti-drug-law": "NN",
    "anti-dumping": "JJ",
    "anti-epilepsy": "JJ",
    "anti-epileptic": "JJ",
    "anti-extortion": "NN",
    "anti-flag-burning": "JJ",
    "anti-foreign": "JJ",
    "anti-foreigner": "NN",
    "anti-fraud": "JJ",
    "anti-freeze": "JJ|NN",
    "anti-fungal": "JJ",
    "anti-gay": "JJ",
    "anti-generic": "JJ",
    "anti-government": "JJ|NN",
    "anti-growth": "JJ",
    "anti-heroes": "NNS",
    "anti-homosexual": "JJ",
    "anti-hooligan": "JJ",
    "anti-human": "JJ",
    "anti-hypertensive": "JJ",
    "anti-idiotypes": "NNS",
    "anti-infective": "JJ",
    "anti-infectives": "NNS",
    "anti-inflation": "JJ",
    "anti-inflationary": "JJ",
    "anti-intellectual": "JJ",
    "anti-intellectualism": "NN|JJ",
    "anti-leak": "JJ",
    "anti-liquor": "JJ",
    "anti-lobbying": "JJ",
    "anti-lobbyist": "NN",
    "anti-lock": "JJ",
    "anti-management": "JJ",
    "anti-market": "JJ",
    "anti-men": "JJ",
    "anti-militarists": "NNS",
    "anti-miscarriage": "JJ",
    "anti-missile": "JJ|NN",
    "anti-monopoly": "JJ",
    "anti-morning-sickness": "JJ",
    "anti-nausea": "JJ",
    "anti-nuclear": "JJ",
    "anti-oil": "JJ",
    "anti-opera": "NN",
    "anti-organization": "JJ",
    "anti-outsider": "NN",
    "anti-party": "JJ",
    "anti-personality": "JJ",
    "anti-pesticide": "JJ",
    "anti-plaque": "JJ",
    "anti-pocketbook": "JJ",
    "anti-polio": "JJ",
    "anti-pollution": "JJ",
    "anti-price-fixing": "JJ",
    "anti-productive": "JJ",
    "anti-profiteering": "JJ",
    "anti-program": "JJ",
    "anti-program-trading": "JJ",
    "anti-programmers": "NNS",
    "anti-prostitution": "JJ",
    "anti-psychotic": "JJ",
    "anti-racketeering": "JJ",
    "anti-recession": "JJ",
    "anti-reformers": "NNS",
    "anti-rejection": "JJ",
    "anti-rightist": "JJ",
    "anti-science": "JJ",
    "anti-scientific": "JJ",
    "anti-secrecy": "JJ",
    "anti-seizure": "JJ",
    "anti-semite": "NN",
    "anti-shock": "JJ",
    "anti-shoplifting": "JJ",
    "anti-slavery": "JJ",
    "anti-smokers": "NNS",
    "anti-smoking": "JJ",
    "anti-social": "JJ",
    "anti-socialist": "JJ",
    "anti-state": "JJ",
    "anti-statist": "NN",
    "anti-submarine": "JJ",
    "anti-switching": "JJ",
    "anti-takeover": "JJ|NN",
    "anti-tax": "JJ",
    "anti-tax-shelter": "JJ",
    "anti-terrorism": "JJ",
    "anti-toxic": "JJ",
    "anti-trust": "JJ",
    "anti-ulcer": "JJ",
    "anti-union": "JJ",
    "anti-viral": "JJ",
    "anti-virus": "JJ",
    "anti-vivisectionists": "NNS",
    "anti-war": "JJ",
    "anti-war-related": "JJ",
    "anti-white": "JJ",
    "anti-wrinkling": "JJ",
    "anticommunist": "JJ",
    "antisony": "JJ",
    "antianemia": "JJ",
    "antibacterial": "JJ",
    "antibiotic": "JJ|NN",
    "antibiotics": "NNS",
    "antibodies": "NNS",
    "antibody": "NN",
    "antibody-based": "JJ",
    "antibody-making": "JJ",
    "antibody-producing": "JJ",
    "antic": "JJ|VB",
    "anticipate": "VBP|VB",
    "anticipated": "VBN|JJ|VBD",
    "anticipates": "VBZ",
    "anticipating": "VBG",
    "anticipation": "NN",
    "anticipations": "NNS",
    "anticipatory": "JJ",
    "anticoagulant": "NN",
    "anticoagulants": "NNS",
    "anticoagulation": "NN",
    "anticompetitive": "JJ",
    "anticorruption": "NN",
    "antics": "NNS|VBZ",
    "anticult": "NN",
    "anticus": "NN",
    "antidepressant": "NN",
    "antidote": "NN",
    "antifraud": "NN",
    "antifreeze": "NN",
    "antifundamentalist": "JJ",
    "antigen": "NN",
    "antihero": "NN",
    "antihistamine": "NN",
    "antihistorical": "JJ",
    "antilock": "JJ",
    "antimaterialism": "NN",
    "antimissile": "JJ",
    "antimonide": "NN",
    "antipathies": "NNS",
    "antipathy": "NN",
    "antiphonal": "JJ",
    "antipodes": "NNS",
    "antiquarian": "JJ",
    "antiquarians": "NNS",
    "antiquated": "JJ|VBD|VBN",
    "antique": "JJ|NN|VB",
    "antique-car": "NN",
    "antiques": "NNS|VBZ",
    "antiquities": "NNS",
    "antiquity": "NN",
    "antirealistic": "JJ",
    "antiredeposition": "NN",
    "antiseptic": "JJ|NN",
    "antisera": "NN",
    "antiserum": "NN",
    "antislavery": "JJ",
    "antismoking": "JJ",
    "antisocial": "JJ",
    "antisubmarine": "JJ",
    "antitakeover": "JJR",
    "antithesis": "NN",
    "antithetical": "JJ",
    "antithyroid": "JJ",
    "antitrust": "JJ|NN",
    "antitrust-law": "JJ|NN",
    "antiviral": "JJ",
    "antiwar": "JJ",
    "ants": "NNS",
    "antsy": "JJ|RB",
    "anvil": "NN",
    "adoration": "NN",
    "adoringly": "RB",
    "arsehole": "JJ",
    "courageousness": "NN",
    "crappy": "JJ",
    "criticise": "VB",
    "dilligence": "NN",
    "environment-friendly": "JJ",
    "evergreening": "JJ",
    "flawlessly": "RB",
    "fuckin": "JJ",
    "gr8": "JJ",
    "impedingly": "RB",
    "misreport": "VB",
    "favourite": "VB",
    "favourited": "VBP|VBD|VBN",
    "self-contradictory": "RB",
    "transgressing": "JJ|VBG",
    "offence": "NN",
    "hater": "JJ",
    "hellish": "JJ",
    "dupery": "RB",
    "romantical": "JJ",
    "narcissism": "NN",
    "heartwarming": "JJ",
    "affectionateness": "NN",
    "ouch": "UH",
    "OUCH": "UH",
    "troll": "NN",
    "tyrannic": "JJ",
    "tyrannically": "RB",
    "terrifically": "RB",
    "likeable": "JJ",
    "irreproducible": "JJ",
    "contaminant": "JJ",
    "criticising": "VBG",
    "exasparate": "JJ",
    "excruciatingly": "RB",
    "goodmorning": "UH",
    "hehe": "UH",
    "humbug": "NN|UH",
    "icky": "JJ",
    "imposter": "NN",
    "incensing": "JJ|VBG",
    "inediable": "JJ",
    "inefficiently": "RB",
    "infantilized": "VBD",
    "insufficiency": "NN",
    "intransigency": "NN",
    "lolol": "UH",
    "lololol": "UH",
    "lolololol": "UH",
    "lool": "UH",
    "loool": "UH",
    "looool": "UH",
    "loving-kindness": "NN",
    "maladaption": "NN",
    "maldevelopment": "NN",
    "misbranding": "NN",
    "misclassify": "VB",
    "mispricing": "VB",
    "post-traumatic": "JJ",
    "repercussion": "NN",
    "roflmao": "UH",
    "scum": "JJ",
    "self-abuse": "NN",
    "sexistic": "JJ",
    "side-effect": "NN",
    "stinker": "NN",
    "ungenerous": "NN",
    "unhygienic": "JJ",
    "uninvolving": "VBG",
    "unparliamentary": "JJ",
    "unreleting": "JJ",
    "vapid": "JJ",
    "warmness": "NN",
    "well-championed": "VBD",
    "well-groomed": "VBD",
    "well-proportioned": "VBD",
    "wtff": "UH",
    "wtfff": "UH",
    "xo": "UH",
    "xoxoxo": "UH",
    "xoxoxoxo": "UH",
    "fearlessness": "NN",
    "abash": "VB",
    "assort": "VB",
    "astonish": "VB",
    "bray": "VB",
    "colour": "VB|JJ",
    "consecrate": "VB",
    "consort": "VB",
    "contemn": "VB",
    "coo": "VB",
    "disuse": "VB",
    "download": "VB",
    "fizz": "VB",
    "forlese": "VB|VBZ",
    "fulfil": "VB",
    "gainsay": "VB",
    "google": "VB|NN",
    "hew": "VB",
    "horrify": "VB",
    "humiliate": "VB",
    "hypnotize": "VB",
    "idealize": "VB",
    "ill-treat": "VB",
    "immerse": "VB",
    "immolate": "VB",
    "immure": "VB",
    "impeach": "VB",
    "impel": "VB",
    "impend": "VB",
    "implode": "VB",
    "inaugurate": "VB",
    "inculcate": "VB",
    "indent": "VB",
    "inflect": "VB",
    "inhale": "VB",
    "inscribe": "VB",
    "lade": "VB",
    "last": "JJ|NN|RB|VB|VBP",
    "leer": "VB",
    "march": "NN|NNP|VBP|VB",
    "mislead": "VB",
    "moo": "VB",
    "moult": "VB",
    "opine": "VB",
    "oppress": "VB",
    "polish": "VB|JJ|NN",
    "rewind": "VB",
    "saponify": "VB",
    "sass": "VB",
    "sate": "VB",
    "scabble": "VB",
    "scarp": "VB",
    "scat": "VB",
    "scorch": "VB",
    "slay": "VB",
    "slink": "VB",
    "smite": "VB",
    "sneeze": "VB",
    "strew": "VB",
    "swot": "VB",
    "typeset": "VB|VBD|VBN",
    "waylay": "VB",
    "wend": "VB",
    "backslide": "VB",
    "crossbreed": "VB",
    "hand-feed": "VB",
    "handwrite": "VB",
    "inbreed": "VB",
    "interbreed": "VB",
    "interweave": "VB",
    "interwind": "VB",
    "jerry-build": "VB",
    "lip-read": "VB|VBD|VBN",
    "miscast": "VB|VBD|VBN",
    "misdeal": "VB",
    "misdo": "VB",
    "mishear": "VB",
    "mislay": "VB",
    "mislearn": "VB",
    "misset": "VB|VBD|VBN",
    "misspeak": "VB",
    "misspell": "VB",
    "misspend": "VB",
    "misteach": "VB",
    "miswrite": "VB",
    "outbreed": "VB",
    "outdraw": "VB",
    "outdrink": "VB",
    "outdrive": "VB",
    "outfight": "VB",
    "outleap": "VB",
    "outlie": "VB",
    "outride": "VB",
    "outshoot": "VB",
    "outsing": "VB",
    "outsit": "VB",
    "outsleep": "VB",
    "outsmell": "VB",
    "outspeak": "VB",
    "outspeed": "VB",
    "outswear": "VB",
    "outswim": "VB",
    "outthink": "VB",
    "outthrow": "VB",
    "outwrite": "VB",
    "overbreed": "VB",
    "overbuild": "VB",
    "overbuy": "VB",
    "overdo": "VB",
    "overdrink": "VB",
    "oversew": "VB",
    "overshoot": "VB",
    "oversleep": "VB",
    "overspeak": "VB",
    "overspend": "VB",
    "overspill": "VB",
    "overthink": "VB",
    "overwind": "VB",
    "overwrite": "VB",
    "prebuild": "VB",
    "predo": "VB",
    "premake": "VB",
    "presell": "VB",
    "preshrink": "VB",
    "quick-freeze": "VB",
    "reawake": "VB",
    "rebid": "VB|VBD|VBN",
    "rebind": "VB",
    "rebroadcast": "VB",
    "redeal": "VB",
    "refit": "VB",
    "regrind": "VB",
    "regrow": "VB",
    "rehang": "VB",
    "reknit": "VB|VBD|VBN",
    "relearn": "VB",
    "relight": "VB",
    "resend": "VB",
    "reteach": "VB",
    "retear": "VB",
    "rewake": "VB",
    "rewear": "VB",
    "rewed": "VB",
    "rewet": "VB",
    "rewin": "VB",
    "sand-cast": "VB|VBD|VBN",
    "sight-read": "VB|VBD|VBN",
    "test-fly": "VB",
    "typewrite": "VB",
    "unbend": "VB",
    "unbind": "VB",
    "unclothe": "VB",
    "underbid": "VB|VBD|VBN",
    "underfeed": "VB",
    "undersell": "VB",
    "underspend": "VB",
    "unfreeze": "VB",
    "unhang": "VB",
    "unhide": "VB",
    "unknit": "VB|VBD|VBN",
    "unlearn": "VB",
    "unsew": "VB",
    "unsling": "VB",
    "unspin": "VB",
    "unstick": "VB",
    "unstring": "VB",
    "unweave": "VB",
    "whet": "VB",
    "babysit": "VB",
    "absent": "JJ|VB",
    "engross": "VB",
    "pilfer": "VB",
    "purloin": "VB",
    "snarf": "VB",
    "filch": "VB",
    "nobble": "VB",
    "limn": "VB",
    "adumbrate": "VB",
    "clapperclaw": "VB",
    "blackguard": "VB",
    "ill-use": "VB",
    "delimitate": "VB",
    "particularize": "VB",
    "quaff": "VB",
    "misapply": "VB",
    "convolute": "VB",
    "sprain": "VB",
    "wrick": "VB",
    "rick": "VB",
    "debauch": "VB",
    "debase": "VB",
    "deprave": "VB",
    "misdirect": "VB",
    "punctuate": "VB",
    "deform": "VB",
    "wriggle": "VB",
    "squirm": "VB",
    "braid": "VB",
    "plait": "VB",
    "pleach": "VB",
    "eddy": "VB",
    "purl": "VB",
    "kink": "VB",
    "sully": "VB",
    "larn": "VB",
    "adjudge": "VB",
    "obligate": "VB",
    "cumber": "VB",
    "harbour": "VB",
    "clasp": "VB",
    "predate": "VB",
    "conduce": "VB",
    "bung": "VB",
    "asterisk": "VB",
    "abridge": "VB",
    "foreshorten": "VB",
    "abbreviate": "VB",
    "distill": "VB",
    "constrict": "VB",
    "signalize": "VB",
    "cypher": "VB",
    "outwear": "VB",
    "recrudesce": "VB",
    "roleplay": "VB",
    "playact": "VB",
    "cogitate": "VB",
    "cerebrate": "VB",
    "feign": "VB",
    "chink": "VB",
    "chequer": "VB",
    "guttle": "VB",
    "raven": "NN|VB",
    "devolve": "VB",
    "reelect": "VB",
    "riposte": "VB",
    "retrovert": "VB",
    "spellbind": "VB",
    "befit": "VB",
    "beseem": "VB",
    "nock": "VB",
    "enamour": "VB",
    "becharm": "VB",
    "enamor": "VB",
    "captivate": "VB",
    "bewitch": "VB",
    "commove": "VB",
    "institutionalize": "VB",
    "aline": "VB",
    "ordinate": "VB|JJ",
    "incriminate": "VB",
    "criminate": "VB",
    "countersink": "VB",
    "pock": "VB",
    "stigmatize": "VB",
    "memorialize": "VB",
    "immortalize": "VB",
    "secern": "VB",
    "secernate": "VB",
    "severalize": "VB",
    "labialize": "VB",
    "intromit": "VB",
    "monish": "VB",
    "deplume": "VB",
    "deplumate": "VB",
    "displume": "VB",
    "plunk": "VB",
    "tweak": "VB",
    "spang": "VB",
    "didder": "VB",
    "enthrone": "VB",
    "intrust": "VB",
    "burthen": "VB",
    "dissemble": "VB",
    "explicate": "VB",
    "sire": "VB",
    "mystify": "VB",
    "bewilder": "VB",
    "flummox": "VB",
    "stupefy": "VB",
    "nonplus": "VB",
    "dumbfound": "VB",
    "scram": "VB",
    "urinate": "VB",
    "piddle": "VB",
    "micturate": "VB",
    "pee": "VB",
    "induct": "VB",
    "maturate": "VB",
    "annotate": "VB",
    "acidify": "VB",
    "acidulate": "VB",
    "acetify": "VB",
    "knead": "VB",
    "rarify": "VB",
    "cognize": "VB",
    "suppurate": "VB",
    "senesce": "VB",
    "forgather": "VB",
    "foregather": "VB",
    "intermit": "VB",
    "demote": "VB",
    "relegate": "VB",
    "disunite": "VB",
    "deaden": "VB",
    "miscarry": "VB",
    "unwrap": "VB",
    "ameliorate": "VB",
    "meliorate": "VB",
    "transgress": "VB",
    "infract": "VB",
    "overstep": "VB",
    "huff": "VB",
    "chuff": "VB",
    "accost": "VB",
    "snitch": "VB",
    "thieve": "VB",
    "glom": "VB",
    "defecate": "VB",
    "shamble": "VB",
    "brandmark": "VB",
    "crystalize": "VB",
    "elucidate": "VB",
    "domesticate": "VB",
    "naturalize": "VB",
    "domesticize": "VB",
    "analyse": "VB",
    "psychoanalyze": "VB",
    "dissect": "VB",
    "habituate": "VB",
    "overwork": "VB",
    "overcompensate": "VB",
    "enshroud": "VB",
    "transpose": "VB",
    "overlie": "VB",
    "coronate": "VB",
    "grizzle": "VB",
    "sulk": "VB",
    "cloy": "VB",
    "swag": "VB",
    "circularize": "VB",
    "overspread": "VB",
    "conjoin": "VB",
    "aggrandize": "VB",
    "broider": "VB",
    "supercharge": "VB",
    "educe": "VB",
    "advertize": "VB",
    "allude": "VB",
    "leaven": "VB",
    "apprize": "VB",
    "rede": "VB",
    "prophesy": "VB",
    "externalize": "VB",
    "enumerate": "VB",
    "numerate": "VB",
    "inculpate": "VB",
    "scarper": "VB",
    "lam": "VB",
    "blacken": "VB",
    "melanize": "VB",
    "jibe": "VB",
    "copulate": "VB",
    "geminate": "VB",
    "lapidate": "VB",
    "wangle": "VB",
    "finagle": "VB",
    "nauseate": "VB",
    "sicken": "VB",
    "ventilate": "VB",
    "auspicate": "VB",
    "prognosticate": "VB",
    "betoken": "VB",
    "prefigure": "VB",
    "unloose": "VB",
    "unloosen": "VB",
    "secrete": "VB",
    "tucker": "VB",
    "splatter": "VB",
    "appal": "VB",
    "dispirit": "VB",
    "lour": "VB",
    "conk": "VB",
    "commix": "VB",
    "conflate": "VB",
    "commingle": "VB",
    "immix": "VB",
    "intermix": "VB",
    "immingle": "VB",
    "spay": "VB",
    "castrate": "VB",
    "interpolate": "VB",
    "channelize": "VB",
    "swop": "VB",
    "deputize": "VB",
    "understudy": "VB",
    "counterchange": "VB",
    "remediate": "VB",
    "right": "NN|RB|VB|IN|JJ|UH",
    "remunerate": "VB",
    "objurgate": "VB",
    "chasten": "VB",
    "finetune": "VB",
    "smoothen": "VB",
    "valuate": "VB",
    "mensurate": "VB",
    "coif": "VB",
    "coiffe": "VB",
    "enclothe": "VB",
    "tog": "VB",
    "habilitate": "VB",
    "minify": "VB",
    "hap": "VB",
    "bechance": "VB",
    "canonize": "VB",
    "enshrine": "VB",
    "slenderize": "VB",
    "monger": "VB",
    "vend": "VB",
    "annunciate": "VB",
    "forebode": "VB",
    "foreknow": "VB",
    "enquire": "VB",
    "antiquate": "VB",
    "snip": "VB",
    "preen": "VB",
    "primp": "VB",
    "overdress": "VB",
    "prink": "VB",
    "overclothe": "VB",
    "enkindle": "VB",
    "inspirit": "VB",
    "egest": "VB",
    "evanesce": "VB",
    "intercommunicate": "VB",
    "crumple": "VB",
    "fertilize": "VB",
    "fecundate": "VB",
    "instal": "VB",
    "shew": "VB",
    "revalue": "VB",
    "savour": "VB",
    "jimmy": "VB",
    "obtrude": "VB",
    "irrupt": "VB",
    "despoil": "VB",
    "reave": "VB",
    "coldcock": "VB",
    "bedight": "VB",
    "bedeck": "VB",
    "transfix": "VB",
    "impale": "VB",
    "empale": "VB",
    "posit": "VB",
    "assoil": "VB",
    "exculpate": "VB",
    "scrunch": "VB",
    "incinerate": "VB",
    "combust": "VB",
    "pretermit": "VB",
    "overleap": "VB",
    "molt": "VB",
    "exuviate": "VB",
    "face-lift": "VB",
    "annul": "VB",
    "countermand": "VB",
    "ramify": "VB",
    "furcate": "VB",
    "armour": "VB|NN",
    "complexify": "VB",
    "aggress": "VB",
    "trounce": "VB",
    "initialize": "VB",
    "outsmart": "VB",
    "pulsate": "VB",
    "quiver": "VB",
    "throb": "VB",
    "ticktock": "VB",
    "ticktack": "VB",
    "retick": "VB",
    "thrum": "VB",
    "swish": "VB",
    "swosh": "VB",
    "swoosh": "VB",
    "hitchhike": "VB",
    "gimp": "VB",
    "whelm": "VB",
    "kibosh": "VB",
    "immobilize": "VB",
    "circumnavigate": "VB",
    "barricado": "VB",
    "enounce": "VB",
    "ravish": "VB",
    "dishonour": "VB",
    "adjoin": "VB",
    "tinct": "VB",
    "tinge": "VB",
    "avow": "VB",
    "aver": "VB",
    "asseverate": "VB",
    "importune": "VB",
    "depute": "VB",
    "redact": "VB",
    "indue": "VB",
    "endue": "VB",
    "entrap": "VB",
    "consociate": "VB",
    "colligate": "VB",
    "premiss": "VB",
    "antecede": "VB",
    "antedate": "VB",
    "foredate": "VB",
    "vouch": "VB",
    "rollick": "VB",
    "skylark": "VB",
    "disport": "VB",
    "gambol": "VB",
    "frisk": "VB",
    "constipate": "VB",
    "congest": "VB",
    "waken": "VB",
    "clack": "VB",
    "piffle": "VB",
    "palaver": "VB",
    "prate": "VB",
    "tittle-tattle": "VB",
    "maunder": "VB",
    "blab": "VB",
    "gibber": "VB",
    "tattle": "VB",
    "blabber": "VB",
    "condescend": "VB",
    "deign": "VB",
    "debar": "VB",
    "forefend": "VB",
    "forfend": "VB",
    "ostracize": "VB",
    "blackball": "VB",
    "mangle": "VB",
    "mutilate": "VB",
    "begrime": "VB",
    "colly": "VB",
    "bemire": "VB",
    "featherbed": "VB",
    "cosset": "VB",
    "cocker": "VB",
    "indorse": "VB",
    "free-base": "VB",
    "scandalize": "VB",
    "rootle": "VB",
    "equilibrate": "VB",
    "equilibrize": "VB",
    "counterpose": "VB",
    "billow": "VB",
    "fructify": "VB",
    "environ": "VB",
    "resound": "VB",
    "adjure": "VB",
    "hollo": "VB",
    "destine": "VB",
    "engraft": "VB",
    "embed": "VB",
    "imbed": "VB",
    "situate": "VB",
    "desex": "VB",
    "unsex": "VB",
    "desexualize": "VB",
    "fixate": "VB",
    "palisade": "VB",
    "beleaguer": "VB",
    "strangle": "VB",
    "muffle": "VB",
    "asphyxiate": "VB",
    "spud": "VB",
    "pullulate": "VB",
    "bourgeon": "VB",
    "knap": "VB",
    "fritter": "VB",
    "scoot": "VB",
    "blare": "VB",
    "strickle": "VB",
    "denudate": "VB",
    "quetch": "VB",
    "kvetch": "VB",
    "entwine": "VB",
    "pucker": "VB",
    "rumple": "VB",
    "cockle": "VB",
    "ruck": "VB",
    "traumatize": "VB",
    "finalize": "VB",
    "ensconce": "VB",
    "spread-eagle": "VB",
    "spreadeagle": "VB",
    "aggroup": "VB",
    "drub": "VB",
    "skitter": "VB",
    "pelt": "VB",
    "contravene": "VB",
    "clamber": "VB",
    "shinny": "VB",
    "repugn": "VB",
    "argufy": "VB",
    "altercate": "VB",
    "personify": "VB",
    "jampack": "VB",
    "raze": "VB",
    "rase": "VB",
    "ruckle": "VB",
    "crinkle": "VB",
    "bellyache": "VB",
    "gazump": "VB",
    "emboss": "VB",
    "stomp": "VB",
    "tenderize": "VB",
    "terrasse": "VB",
    "perturb": "VB",
    "unhinge": "VB",
    "cark": "VB",
    "derange": "VB",
    "elude": "VB",
    "constellate": "VB",
    "outmatch": "VB",
    "outgo": "VB",
    "predetermine": "VB",
    "overtop": "VB",
    "protract": "VB",
    "exsert": "VB",
    "nag": "VB",
    "birdwatch": "VB",
    "abduct": "VB",
    "descry": "VB",
    "espy": "VB",
    "repoint": "VB",
    "smutch": "VB",
    "luff": "VB",
    "manoeuver": "VB",
    "manoeuvre": "VB",
    "orient": "VB",
    "orientate": "VB",
    "backbite": "VB",
    "deface": "VB",
    "disfigure": "VB",
    "goldbrick": "VB",
    "mulct": "VB",
    "hornswoggle": "VB",
    "prickle": "VB",
    "plat": "VB",
    "outdistance": "VB",
    "pillory": "VB",
    "crucify": "VB",
    "doss": "VB",
    "clangor": "VB",
    "hallow": "VB",
    "winkle": "VB",
    "nictitate": "VB",
    "nictate": "VB",
    "ostentate": "VB",
    "extravasate": "VB",
    "conflagrate": "VB",
    "obturate": "VB",
    "occlude": "VB",
    "stymy": "VB",
    "ingurgitate": "VB",
    "overindulge": "VB",
    "englut": "VB",
    "engorge": "VB",
    "overgorge": "VB",
    "gormandize": "VB",
    "gourmandize": "VB",
    "hurtle": "VB",
    "swash": "VB",
    "vaunt": "VB",
    "fellate": "VB",
    "emaciate": "VB",
    "macerate": "VB",
    "botch": "VB",
    "bodge": "VB",
    "flub": "VB",
    "bungle": "VB",
    "bollix": "VB",
    "bollocks": "VB",
    "bobble": "VB",
    "mishandle": "VB",
    "breastfeed": "VB",
    "suckle": "VB",
    "stun": "VB",
    "bedaze": "VB",
    "bedazzle": "VB",
    "countervail": "VB",
    "curtsy": "VB",
    "bob": "VB",
    "curtsey": "VB",
    "bobsled": "VB",
    "moil": "VB",
    "abscond": "VB",
    "absquatulate": "VB",
    "decamp": "VB",
    "hyphen": "VB",
    "debone": "VB",
    "teem": "VB",
    "fetter": "VB",
    "pinion": "VB",
    "hyphenate": "VB",
    "reboot": "VB",
    "abut": "VB",
    "resile": "VB",
    "ricochet": "VB",
    "circumscribe": "VB",
    "squinch": "VB",
    "funk": "VB",
    "quail": "VB",
    "disoblige": "VB",
    "discommode": "VB",
    "ail": "VB",
    "nark": "VB",
    "nettle": "VB",
    "niggle": "VB",
    "jumpstart": "VB",
    "perforate": "VB",
    "overprotect": "VB",
    "bicker": "VB",
    "pother": "VB",
    "imbue": "VB",
    "pettifog": "VB",
    "brabble": "VB",
    "regorge": "VB",
    "barf": "VB",
    "spue": "VB",
    "upchuck": "VB",
    "regurgitate": "VB",
    "wreathe": "VB",
    "meander": "VB",
    "handbuild": "VB",
    "hand-build": "VB",
    "percolate": "VB",
    "egress": "VB",
    "dilapidate": "VB",
    "dissever": "VB",
    "desecrate": "VB",
    "unhallow": "VB",
    "deconsecrate": "VB",
    "respire": "VB",
    "suspire": "VB",
    "misidentify": "VB",
    "embrown": "VB",
    "mizzle": "VB",
    "genuflect": "VB",
    "scrabble": "VB",
    "burp": "VB",
    "eruct": "VB",
    "guggle": "VB",
    "burble": "VB",
    "burnish": "VB",
    "furbish": "VB",
    "badger": "VB",
    "razz": "VB",
    "tantalize": "VB",
    "twit": "VB",
    "geld": "VB",
    "blue-pencil": "VB",
    "slue": "VB",
    "tippytoe": "VB",
    "entomb": "VB",
    "inhume": "VB",
    "rive": "VB",
    "verbalize": "VB",
    "evince": "VB",
    "bombinate": "VB",
    "bombilate": "VB",
    "remodel": "VB",
    "restitute": "VB",
    "yaw": "VB",
    "deoxidize": "VB",
    "tranquilize": "VB",
    "tranquillize": "VB",
    "quieten": "VB",
    "becalm": "VB",
    "canalize": "VB",
    "efface": "VB",
    "sugarcoat": "VB",
    "souse": "VB",
    "waggle": "VB",
    "promulgate": "VB",
    "locomote": "VB",
    "jaunt": "VB",
    "befool": "VB",
    "sculpt": "VB",
    "tauten": "VB",
    "enthrall": "VB",
    "drivel": "VB",
    "drool": "VB",
    "slabber": "VB",
    "slaver": "VB",
    "slobber": "VB",
    "encase": "VB",
    "incase": "VB",
    "yarn-dye": "VB",
    "ingrain": "VB",
    "reconnoitre": "VB",
    "embroil": "VB",
    "crawfish": "VB",
    "sequestrate": "VB",
    "unsay": "VB",
    "spelunk": "VB",
    "lionize": "VB",
    "rivet": "VB",
    "overmaster": "VB",
    "submerse": "VB",
    "judder": "VB",
    "loll": "VB",
    "chouse": "VB",
    "chicane": "VB",
    "hearten": "VB",
    "embolden": "VB",
    "masticate": "VB",
    "manducate": "VB",
    "chivy": "VB",
    "chivvy": "VB",
    "chevy": "VB",
    "chevvy": "VB",
    "anneal": "VB",
    "mooch": "VB",
    "nick": "VB",
    "befuddle": "VB",
    "fuddle": "VB",
    "discombobulate": "VB",
    "obnubilate": "VB",
    "bemuse": "VB",
    "ingraft": "VB",
    "convalesce": "VB",
    "forbear": "VB",
    "permute": "VB",
    "collocate": "VB",
    "footslog": "VB",
    "oppugn": "VB",
    "redden": "VB",
    "abduce": "VB",
    "lave": "VB",
    "scavenge": "VB",
    "houseclean": "VB",
    "nett": "VB",
    "unclutter": "VB",
    "tinkle": "VB",
    "tink": "VB",
    "clink": "VB",
    "focalize": "VB",
    "yak": "VB",
    "mottle": "VB",
    "dapple": "VB",
    "befog": "VB",
    "becloud": "VB",
    "bedim": "VB",
    "overcloud": "VB",
    "clew": "VB",
    "ennoble": "VB",
    "tittup": "VB",
    "prance": "VB",
    "encipher": "VB",
    "encrypt": "VB",
    "tweet": "VB",
    "vellicate": "VB",
    "stagnate": "VB",
    "except": "IN|VB",
    "emblazon": "VB",
    "colorize": "VB",
    "colourize": "VB",
    "discolor": "VB",
    "discolour": "VB",
    "befoul": "VB",
    "maculate": "VB",
    "entangle": "VB",
    "swill": "VB",
    "slither": "VB",
    "spirt": "VB",
    "crape": "VB",
    "frizzle": "VB",
    "frizz": "VB",
    "bask": "VB",
    "decant": "VB",
    "whop": "VB",
    "whap": "VB",
    "bonk": "VB",
    "excogitate": "VB",
    "indite": "VB",
    "gestate": "VB",
    "conceptualize": "VB",
    "confabulate": "VB",
    "confab": "VB",
    "fink": "VB",
    "surveil": "VB",
    "reforge": "VB",
    "remold": "VB",
    "remould": "VB",
    "squish": "VB",
    "splosh": "VB",
    "constringe": "VB",
    "speciate": "VB",
    "betroth": "VB",
    "affiance": "VB",
    "machinate": "VB",
    "unionize": "VB",
    "reduplicate": "VB",
    "retroflex": "VB",
    "baulk": "VB",
    "jib": "VB",
    "abnegate": "VB",
    "dethaw": "VB",
    "hotfoot": "VB",
    "hie": "VB",
    "festinate": "VB",
    "dawdle": "VB",
    "hybridize": "VB",
    "yammer": "VB",
    "yawp": "VB",
    "screak": "VB",
    "skreak": "VB",
    "overawe": "VB",
    "truckle": "VB",
    "bootlick": "VB",
    "kotow": "VB",
    "excruciate": "VB",
    "accredit": "VB",
    "weight-lift": "VB",
    "weightlift": "VB",
    "librate": "VB",
    "benumb": "VB",
    "laud": "VB",
    "extol": "VB",
    "predicate": "VB",
    "transfuse": "VB",
    "menstruate": "VB",
    "interlock": "VB",
    "interlace": "VB",
    "gape": "VB",
    "aromatize": "VB",
    "odorize": "VB",
    "customize": "VB",
    "beshrew": "VB",
    "bedamn": "VB",
    "anathemize": "VB",
    "imprecate": "VB",
    "maledict": "VB",
    "cuss": "VB",
    "blaspheme": "VB",
    "deafen": "VB",
    "excommunicate": "VB",
    "unchurch": "VB",
    "flump": "VB",
    "plonk": "VB",
    "plop": "VB",
    "gladden": "VB",
    "purvey": "VB",
    "destruct": "VB",
    "impersonate": "VB",
    "exuberate": "VB",
    "exult": "VB",
    "jubilate": "VB",
    "decrypt": "VB",
    "mortify": "VB",
    "abase": "VB",
    "personate": "VB",
    "disaccord": "VB",
    "drudge": "VB",
    "slur": "VB",
    "blear": "VB",
    "regularize": "VB",
    "concenter": "VB",
    "concentre": "VB",
    "incapacitate": "VB",
    "vaporize": "VB",
    "aviate": "VB",
    "harrow": "VB",
    "scupper": "VB",
    "defame": "VB",
    "smirch": "VB",
    "asperse": "VB",
    "calumniate": "VB",
    "daub": "VB",
    "disjoint": "VB",
    "palpate": "VB",
    "fagot": "VB",
    "enfeeble": "VB",
    "debilitate": "VB",
    "reanimate": "VB",
    "revivify": "VB",
    "obsess": "VB",
    "dredge": "VB",
    "freewheel": "VB",
    "tope": "VB",
    "stargaze": "VB",
    "underprice": "VB",
    "e-mail": "VB",
    "email": "VB",
    "netmail": "VB",
    "liven": "VB",
    "animize": "VB",
    "ingeminate": "VB",
    "iterate": "VB",
    "occult": "VB",
    "crispen": "VB",
    "inundate": "VB",
    "divagate": "VB",
    "lucubrate": "VB",
    "expatiate": "VB",
    "exposit": "VB",
    "expound": "VB",
    "undercoat": "VB",
    "decimate": "VB",
    "jacklight": "VB",
    "reprize": "VB",
    "inseminate": "VB",
    "ululate": "VB",
    "yaup": "VB",
    "wrawl": "VB",
    "yowl": "VB",
    "quiesce": "VB",
    "checkmate": "VB",
    "enrol": "VB",
    "infix": "VB",
    "enclose": "VB",
    "inclose": "VB",
    "gesticulate": "VB",
    "narrate": "VB",
    "puree": "VB",
    "filtrate": "VB",
    "contort": "VB",
    "revere": "VB",
    "venerate": "VB",
    "fledge": "VB",
    "matt-up": "VB",
    "flavour": "VB",
    "liquify": "VB",
    "liquidize": "VB",
    "effervesce": "VB",
    "flitter": "VB",
    "postdate": "VB",
    "afforest": "VB",
    "interdict": "VB",
    "nix": "VB",
    "bushwhack": "VB",
    "fob": "VB",
    "shanghai": "VB",
    "glower": "VB",
    "sandbag": "VB",
    "unbrace": "VB",
    "unlace": "VB",
    "unstrain": "VB",
    "unlax": "VB",
    "decompress": "VB",
    "intone": "VB",
    "lenify": "VB",
    "gruntle": "VB",
    "ghostwrite": "VB",
    "bejewel": "VB",
    "calibrate": "VB",
    "granulate": "VB",
    "regale": "VB",
    "overact": "VB",
    "overplay": "VB",
    "ravage": "VB",
    "connive": "VB",
    "reheel": "VB",
    "interpose": "VB",
    "dub": "VB",
    "domiciliate": "VB",
    "caparison": "VB",
    "barde": "VB",
    "famish": "VB",
    "straiten": "VB",
    "ideate": "VB",
    "instrumentate": "VB",
    "gaol": "VB",
    "remand": "VB",
    "yack": "VB",
    "hypothecate": "VB",
    "josh": "VB",
    "nutrify": "VB",
    "aliment": "VB",
    "snog": "VB",
    "osculate": "VB",
    "ptyalize": "VB",
    "sparge": "VB",
    "besprinkle": "VB",
    "dab": "VB",
    "swob": "VB",
    "intertwine": "VB",
    "enlace": "VB",
    "decriminalize": "VB",
    "legitimatize": "VB",
    "illume": "VB",
    "unhorse": "VB",
    "dismount": "VB",
    "scintillate": "VB",
    "coruscate": "VB",
    "birdlime": "VB",
    "pleat": "VB",
    "short-circuit": "VB",
    "buttonhole": "VB",
    "enmesh": "VB",
    "ensnarl": "VB",
    "hanker": "VB",
    "slake": "VB",
    "loiter": "VB",
    "footle": "VB",
    "lollygag": "VB",
    "lallygag": "VB",
    "madden": "VB",
    "deflower": "VB",
    "medicate": "VB",
    "nuke": "VB",
    "comminute": "VB",
    "mime": "VB",
    "cranch": "VB",
    "craunch": "VB",
    "scranch": "VB",
    "scraunch": "VB",
    "confection": "VB",
    "confect": "VB",
    "comfit": "VB",
    "invigilate": "VB",
    "blackleg": "VB",
    "gnarl": "VB",
    "mussitate": "VB",
    "dislocate": "VB",
    "luxate": "VB",
    "splay": "VB",
    "disinvest": "VB",
    "grouch": "VB",
    "neighbour": "VB|NN",
    "negociate": "VB",
    "cuddle": "VB",
    "snuggle": "VB",
    "nestle": "VB",
    "nuzzle": "VB",
    "atom-bomb": "VB",
    "atomize": "VB",
    "inunct": "VB",
    "anele": "VB",
    "embrocate": "VB",
    "controvert": "VB",
    "countermine": "VB",
    "countercheck": "VB",
    "foliate": "VB",
    "paginate": "VB",
    "blanch": "VB",
    "blench": "VB",
    "empanel": "VB",
    "impanel": "VB",
    "collimate": "VB",
    "variegate": "VB",
    "discase": "VB",
    "uncase": "VB",
    "impoverish": "VB",
    "farrow": "VB",
    "envenom": "VB",
    "skreigh": "VB",
    "pollard": "VB",
    "powderize": "VB",
    "crump": "VB",
    "programme": "VB",
    "empurple": "VB",
    "purpurate": "VB",
    "canton": "VB",
    "foreswear": "VB",
    "vilify": "VB",
    "revile": "VB",
    "vituperate": "VB",
    "recumb": "VB",
    "recline": "VB",
    "irradiate": "VB",
    "actualize": "VB",
    "agnize": "VB",
    "edify": "VB",
    "freshen": "VB",
    "refreshen": "VB",
    "cross-file": "VB",
    "reenforce": "VB",
    "birl": "VB",
    "twirl": "VB",
    "interrelate": "VB",
    "reload": "VB",
    "palliate": "VB",
    "unbosom": "VB",
    "grieve": "VB",
    "aggrieve": "VB",
    "reincarnate": "VB",
    "transmigrate": "VB",
    "twiddle": "VB",
    "readapt": "VB",
    "re-start": "VB",
    "carouse": "VB",
    "roister": "VB",
    "rubberize": "VB",
    "rumour": "VB",
    "bruit": "VB",
    "wheedle": "VB",
    "sweet-talk": "VB",
    "retrogress": "VB",
    "affright": "VB",
    "descale": "VB",
    "prehend": "VB",
    "recidivate": "VB",
    "bewray": "VB",
    "attaint": "VB",
    "pander": "VB",
    "cozen": "VB",
    "snivel": "VB",
    "sniffle": "VB",
    "blub": "VB",
    "snuffle": "VB",
    "warble": "VB",
    "vamoose": "VB",
    "baby-sit": "VB",
    "cold-shoulder": "VB",
    "kip": "VB",
    "fume": "VB",
    "inebriate": "VB",
    "intoxicate": "VB",
    "drench": "VB",
    "dowse": "VB",
    "hoodwink": "VB",
    "resole": "VB",
    "sailplane": "VB",
    "spank": "VB",
    "larrup": "VB",
    "smooch": "VB",
    "descant": "VB",
    "elate": "VB",
    "fumigate": "VB",
    "fillet": "VB",
    "neaten": "VB",
    "imbrue": "VB",
    "welt": "VB",
    "insolate": "VB",
    "solarize": "VB",
    "sunbathe": "VB",
    "saccharify": "VB",
    "zigzag": "VB",
    "scend": "VB",
    "channel-surf": "VB",
    "intumesce": "VB",
    "tumefy": "VB",
    "tumesce": "VB",
    "depone": "VB",
    "sudate": "VB",
    "perspire": "VB",
    "tabularize": "VB",
    "prorogue": "VB",
    "remit": "VB",
    "lambast": "VB",
    "toenail": "VB",
    "convulse": "VB",
    "thresh": "VB",
    "jactitate": "VB",
    "transmute": "VB",
    "metamorphose": "VB",
    "transubstantiate": "VB",
    "scrag": "VB",
    "shoetree": "VB",
    "capsize": "VB",
    "bullyrag": "VB",
    "ballyrag": "VB",
    "hector": "VB",
    "unmake": "VB",
    "swage": "VB",
    "discompose": "VB",
    "untune": "VB",
    "vacuum-clean": "VB",
    "hoover": "VB",
    "versify": "VB",
    "poetize": "VB",
    "vesicate": "VB",
    "whisk": "VB",
    "brandish": "VB",
    "de-escalate": "VB",
    "stammer": "VB",
    "welsh": "JJ|VB",
    "welch": "VB",
    "whiten": "VB",
    "overwinter": "VB",
    "electrify": "VB",
    "envelop": "VB",
    "enfold": "VB",
    "enwrap": "VB",
    "xerox": "VB",
    "whizz": "VB",
    "frivol": "VB",
    "abjure": "VB",
    "recant": "VB",
    "forswear": "VB",
    "cheapen": "VB",
    "necrose": "VB",
    "gangrene": "VB",
    "sphacelate": "VB",
    "exhilarate": "VB",
    "beatify": "VB",
    "hyperbolize": "VB",
    "distend": "VB",
    "swaddle": "VB",
    "bowdlerize": "VB",
    "expurgate": "VB",
    "abominate": "VB",
    "execrate": "VB",
    "disinherit": "VB",
    "apostatize": "VB",
    "tergiversate": "VB",
    "avouch": "VB",
    "extirpate": "VB",
    "deracinate": "VB",
    "luxuriate": "VB",
    "reword": "VB",
    "disfavour": "VB",
    "reprimand": "VB",
    "jollify": "VB",
    "abrade": "VB",
    "bespatter": "VB",
    "plash": "VB",
    "bedaub": "VB",
    "besmear": "VB",
    "diss": "VB",
    "manumit": "VB",
    "phlebotomize": "VB",
    "badmouth": "VB",
    "upbraid": "VB",
    "co-occur": "VB",
    "cooccur": "VB",
    "blather": "VB|NN",
    "smatter": "VB",
    "blether": "VB",
    "blither": "VB",
    "undervalue": "VB",
    "outshout": "VB",
    "siss": "VB",
    "sizz": "VB",
    "sibilate": "VB",
    "accouter": "VB",
    "accoutre": "VB",
    "miscalculate": "VB",
    "depreciate": "VB",
    "devaluate": "VB",
    "accustom": "VB",
    "estrange": "VB",
    "disaffect": "VB",
    "indurate": "VB",
    "ablactate": "VB",
    "deprecate": "VB",
    "vilipend": "VB",
    "brisken": "VB",
    "indispose": "VB",
    "appertain": "VB",
    "discerp": "VB",
    "mismanage": "VB",
    "accurse": "VB",
    "comminate": "VB",
    "anathematize": "VB",
    "forewarn": "VB",
    "fancify": "VB",
    "prettify": "VB",
    "garnishee": "VB",
    "begild": "VB",
    "engild": "VB",
    "misinform": "VB",
    "misguide": "VB",
    "disjoin": "VB",
    "decouple": "VB",
    "uncouple": "VB",
    "goggle": "VB",
    "gawp": "VB",
    "gawk": "VB",
    "embitter": "VB",
    "acerbate": "VB",
    "bestir": "VB",
    "succour": "VB",
    "flagellate": "VB",
    "confute": "VB",
    "wrangle": "VB",
    "higgle": "VB",
    "chaffer": "VB",
    "molder": "VB",
    "moulder": "VB",
    "cense": "VB",
    "thurify": "VB",
    "denominate": "VB",
    "misconstrue": "VB",
    "misconceive": "VB",
    "misapprehend": "VB",
    "complot": "VB",
    "unarm": "VB",
    "improvize": "VB",
    "convoke": "VB",
    "besot": "VB",
    "shoal": "VB",
    "encrust": "VB",
    "incrust": "VB",
    "attenuate": "VB",
    "rarefy": "VB",
    "subtilize": "VB",
    "vaticinate": "VB",
    "defalcate": "VB",
    "peculate": "VB",
    "misappropriate": "VB",
    "malversate": "VB",
    "clamour": "VB",
    "claxon": "VB",
    "toot": "VB",
    "cronk": "VB",
    "preponderate": "VB",
    "overbalance": "VB",
    "outbalance": "VB",
    "jeer": "VB",
    "perfuse": "VB",
    "cudgel": "VB",
    "fustigate": "VB",
    "dinge": "VB",
    "baste": "VB",
    "pommel": "VB",
    "biff": "VB",
    "contuse": "VB",
    "belabour": "VB",
    "belabor": "VB",
    "fondle": "VB",
    "pauperize": "VB",
    "misdemean": "VB",
    "requite": "VB",
    "stultify": "VB",
    "tousle": "VB",
    "dishevel": "VB",
    "ravel": "VB",
    "magnetize": "VB",
    "mesmerize": "VB",
    "beplaster": "VB",
    "parboil": "VB",
    "decolor": "VB",
    "decolour": "VB",
    "decolorize": "VB",
    "decolourize": "VB",
    "discolorize": "VB",
    "depopulate": "VB",
    "transfigure": "VB",
    "spiritualize": "VB",
    "transmogrify": "VB",
    "felicitate": "VB",
    "manacle": "VB",
    "whomp": "VB",
    "paralyse": "VB",
    "vitalize": "VB",
    "bawl": "VB",
    "mewl": "VB",
    "pule": "VB",
    "hopple": "VB",
    "embower": "VB",
    "plicate": "VB",
    "unnerve": "VB",
    "enervate": "VB",
    "unsettle": "VB",
    "singe": "VB",
    "parch": "VB",
    "swinge": "VB",
    "smoulder": "VB",
    "benight": "VB",
    "corrade": "VB",
    "abrase": "VB",
    "disinter": "VB",
    "blandish": "VB",
    "harken": "VB",
    "hearken": "VB",
    "disillusion": "VB",
    "tweedle": "VB",
    "chirp": "VB",
    "cheep": "VB",
    "chirrup": "VB",
    "chitter": "VB",
    "intonate": "VB",
    "cantillate": "VB",
    "cavil": "VB",
    "vulgarize": "VB",
    "garble": "VB",
    "goofproof": "VB",
    "goof-proof": "VB",
    "urticate": "VB",
    "untangle": "VB",
    "expiate": "VB",
    "aby": "VB",
    "abye": "VB",
    "inspissate": "VB",
    "gasify": "VB",
    "aerify": "VB",
    "immunize": "VB",
    "vaccinate": "VB",
    "anatomize": "VB",
    "animadvert": "VB",
    "oscillate": "VB",
    "unknot": "VB",
    "unpick": "VB",
    "moor": "VB",
    "levitate": "VB",
    "declaim": "VB",
    "overvalue": "VB",
    "overrate": "VB",
    "desacralize": "VB",
    "secularize": "VB",
    "baptize": "VB",
    "misname": "VB",
    "miscall": "VB",
    "prepossess": "VB",
    "exhale": "VB",
    "emanate": "VB",
    "individualize": "VB",
    "systematize": "VB",
    "systemize": "VB",
    "unburden": "VB",
    "unlade": "VB",
    "offload": "VB",
    "dogmatize": "VB",
    "domineer": "VB",
    "exudate": "VB",
    "transude": "VB",
    "retool": "VB",
    "tickle": "VB",
    "impregnate": "VB",
    "instil": "VB",
    "bemock": "VB",
    "debark": "VB",
    "disinvolve": "VB",
    "unsnarl": "VB",
    "dulcify": "VB",
    "edulcorate": "VB",
    "dulcorate": "VB",
    "recap": "VB",
    "colonize": "VB",
    "palpitate": "VB",
    "teeter": "VB",
    "toddle": "VB",
    "coggle": "VB",
    "dodder": "VB",
    "waddle": "VB",
    "teeter-totter": "VB",
    "teetertotter": "VB",
    "congee": "VB",
    "conge": "VB",
    "satirize": "VB",
    "frazzle": "VB",
    "addle": "VB",
    "malinger": "VB",
    "schnorr": "VB",
    "shnorr": "VB",
    "disorganize": "VB",
    "intrench": "VB",
    "jabber": "VB",
    "misaddress": "VB",
    "clomp": "VB",
    "clop": "VB",
    "clunk": "VB",
    "sentimentize": "VB",
    "waul": "VB",
    "wawl": "VB",
    "uncloak": "VB",
    "circumvolve": "VB",
    "solemnize": "VB",
    "christianize": "VB",
    "barbarize": "VB",
    "tingle": "VB",
    "disincline": "VB",
    "transliterate": "VB",
    "subvention": "VB",
    "subvent": "VB",
    "intersperse": "VB",
    "interlard": "VB",
    "dyke": "VB",
    "exsiccate": "VB",
    "desiccate": "VB",
    "jingle-jangle": "VB",
    "jangle": "VB",
    "gybe": "VB",
    "sermonize": "VB",
    "preachify": "VB",
    "moralize": "VB",
    "jiggle": "VB",
    "joggle": "VB",
    "coagulate": "VB",
    "illegalize": "VB",
    "brattle": "VB",
    "mispronounce": "VB",
    "strangulate": "VB",
    "reunify": "VB",
    "commandeer": "VB",
    "hijack": "VB",
    "highjack": "VB",
    "unfurl": "VB",
    "convolve": "VB",
    "demasculinize": "VB",
    "snooze": "VB",
    "drowse": "VB",
    "doze": "VB",
    "catnap": "VB",
    "demarcate": "VB",
    "subtend": "VB",
    "sough": "VB",
    "whirr": "VB",
    "birr": "VB",
    "purr": "VB",
    "eternize": "VB",
    "eternalize": "VB",
    "wham": "VB",
    "resect": "VB",
    "over-correct": "VB",
    "pressurize": "VB",
    "exteriorize": "VB",
    "objectify": "VB",
    "sharpshoot": "VB",
    "outmanoeuvre": "VB",
    "strum": "VB",
    "ruff": "VB",
    "embrangle": "VB",
    "phonate": "VB",
    "vowelize": "VB",
    "subsume": "VB",
    "nosh": "VB",
    "electrocute": "VB",
    "splutter": "VB",
    "speckle": "VB",
    "bespeckle": "VB",
    "stipple": "VB",
    "clangour": "VB",
    "yap": "VB",
    "vamp": "VB",
    "wamble": "VB",
    "shmooze": "VB",
    "shmoose": "VB",
    "schmooze": "VB",
    "schmoose": "VB",
    "renormalize": "VB",
    "ding": "VB",
    "dong": "VB",
    "dingdong": "VB",
    "chasse": "VB",
    "twirp": "VB",
    "titillate": "VB",
    "sledge": "VB",
    "junketeer": "VB",
    "disarticulate": "VB",
    "fictionalize": "VB",
    "caterwaul": "VB",
    "dogsled": "VB",
    "depressurize": "VB",
    "uncompress": "VB",
    "jellify": "VB",
    "bewhisker": "VB",
    "whisker": "VB",
    "detusk": "VB",
    "muss": "VB",
    "crepitate": "VB",
    "stopple": "VB",
    "whelp": "VB",
    "birle": "VB",
    "garrote": "VB",
    "garrotte": "VB",
    "garotte": "VB",
    "hydroplane": "VB",
    "seaplane": "VB",
    "capsulize": "VB",
    "capsulate": "VB",
    "blate": "VB",
    "blat": "VB",
    "sodomize": "VB",
    "bugger": "VB",
    "anxieties": "NNS",
    "anxiety": "NN",
    "anxiety-free": "JJ",
    "anxiety-released": "NN",
    "anxious": "JJ",
    "anxiously": "RB",
    "any": "DT|RB",
    "anybody": "NN",
    "anye": "JJ",
    "anyhow": "RB",
    "anylabel": "NN",
    "anymore": "RB",
    "anyone": "NN",
    "anyplace": "RB",
    "anythin": "NN",
    "anything": "NN",
    "anytime": "RB",
    "anyway": "RB",
    "anyways": "UH",
    "anywhere": "RB",
    "aorta": "NN",
    "apace": "RB",
    "aparently": "RB",
    "apart": "RB|RP|JJ",
    "apartheid": "NN",
    "apartment": "NN",
    "apartment-building": "NN",
    "apartments": "NNS",
    "apathetic": "JJ",
    "apathy": "NN",
    "ape": "NN|VB",
    "aperture": "NN",
    "apex": "NN",
    "aphorisms": "NNS",
    "apiece": "RB|JJ",
    "aping": "VBG",
    "aplenty": "JJ|RB",
    "aplomb": "NN",
    "apocalypse": "NN",
    "apocalyptic": "JJ",
    "apocalyptics": "NNS",
    "apocryphal": "JJ",
    "apogee": "NN",
    "apologetic": "JJ",
    "apologetically": "RB",
    "apologies": "NNS",
    "apologist": "NN",
    "apologists": "NNS",
    "apologize": "VB",
    "apologized": "VBD|VBN",
    "apologizes": "VBZ",
    "apologizing": "VBG",
    "apology": "NN",
    "apoplectic": "JJ",
    "apostates": "NNS",
    "apostle": "NN",
    "apostles": "NNS",
    "apostolic": "JJ",
    "apothecary": "NN",
    "apotheosis": "NN",
    "appall": "VBP|VB",
    "appalled": "VBN|JJ|VBD",
    "appalling": "JJ|VBG",
    "appallingly": "RB",
    "appalls": "VBZ",
    "appanage": "NN",
    "apparat": "NN",
    "apparatchiks": "FW",
    "apparatus": "NN",
    "apparel": "NN|VB",
    "apparel-maker": "NN",
    "appareled": "VBN",
    "apparency": "NN",
    "apparent": "JJ|NN",
    "apparently": "RB",
    "apparition": "NN",
    "apparitions": "NNS",
    "appartus": "NN",
    "appeal": "NN|VBP|VB",
    "appealed": "VBD|VBN",
    "appealing": "VBG|JJ",
    "appeals": "NNS|VBZ",
    "appeals-court": "NN|JJ",
    "appeals.": "NNS",
    "appear": "VB|VBP",
    "appearance": "NN",
    "appearances": "NNS",
    "appeared": "VBD|VBN",
    "appearin": "VBG",
    "appearing": "VBG",
    "appears": "VBZ|NNS",
    "appease": "VB",
    "appeased": "VBD|VBN",
    "appeasement": "NN",
    "appeasing": "NN|VBG",
    "appellant": "FW",
    "appellate": "JJ|NN",
    "appellate-court": "NN",
    "appellate-litigation": "NN|JJ",
    "append": "VB",
    "appendages": "NNS",
    "appended": "VBN|VBD",
    "appestat": "NN",
    "appetite": "NN",
    "appetites": "NNS",
    "appetizer": "NN",
    "appetizing": "JJ",
    "applaud": "VBP|VB",
    "applauded": "VBD|VBN",
    "applauding": "VBG",
    "applauds": "VBZ",
    "applause": "NN",
    "applause-happy": "JJ",
    "apple": "NN",
    "apple-flavored": "JJ",
    "apple-industry": "NN",
    "apple-pie": "NN",
    "apple-tree": "NN",
    "applejack": "NN",
    "applelike": "JJ",
    "apples": "NNS|JJ",
    "appliance": "NN",
    "appliance-controls": "NN",
    "appliances": "NNS",
    "applicability": "NN",
    "applicable": "JJ",
    "applicant": "NN",
    "applicants": "NNS",
    "application": "NN",
    "applications": "NNS",
    "applicator": "NN",
    "applicators": "NNS",
    "applied": "VBN|VBD|JJ",
    "applies": "VBZ",
    "appliques": "NNS",
    "apply": "VB|VBP",
    "applying": "VBG",
    "appoint": "VB",
    "appointed": "VBN|JJ|VBD",
    "appointee": "NN",
    "appointees": "NNS",
    "appointing": "VBG",
    "appointment": "NN",
    "appointments": "NNS",
    "appoints": "VBZ",
    "apportion": "VB",
    "apportioned": "VBN|VBD|JJ",
    "apportionment": "NN",
    "apportionments": "NNS",
    "appraisal": "NN",
    "appraisals": "NNS",
    "appraise": "VB",
    "appraised": "VBN|VBD",
    "appraiser": "NN",
    "appraisers": "NNS",
    "appraising": "VBG",
    "appraisingly": "RB",
    "appreciable": "JJ",
    "appreciably": "RB",
    "appreciate": "VB|VBP",
    "appreciated": "VBN|VBD|JJ",
    "appreciates": "VBZ",
    "appreciating": "VBG|NN",
    "appreciation": "NN",
    "appreciations": "NNS",
    "appreciative": "JJ",
    "appreciatively": "RB",
    "apprehend": "VB",
    "apprehended": "VBN|VBD",
    "apprehending": "VBG",
    "apprehension": "NN",
    "apprehensions": "NNS",
    "apprehensive": "JJ",
    "apprehensively": "RB",
    "apprentice": "NN",
    "apprenticed": "VBN",
    "apprentices": "NNS",
    "apprenticeship": "NN",
    "apprised": "VBN|VBD",
    "approach": "NN|VB|VBP",
    "approachable": "JJ",
    "approached": "VBN|VBD",
    "approaches": "NNS|VBZ",
    "approaching": "VBG",
    "appropriate": "JJ|VBP|VB",
    "appropriated": "VBN|VBD|JJ",
    "appropriately": "RB",
    "appropriateness": "NN",
    "appropriates": "VBZ",
    "appropriating": "VBG|NN",
    "appropriation": "NN",
    "appropriations": "NNS",
    "appropriators": "NNS",
    "approval": "NN",
    "approvals": "NNS",
    "approve": "VB|VBP",
    "approved": "VBN|VBD|JJ",
    "approves": "VBZ",
    "approving": "VBG",
    "approvingly": "RB",
    "approximate": "JJ|VBP|NN|VB",
    "approximated": "VBN|JJ|VBD",
    "approximately": "RB|JJ",
    "approximates": "VBZ",
    "approximation": "NN",
    "approximations": "NNS",
    "apricot": "NN",
    "apron": "NN",
    "aprons": "NNS",
    "apses": "NNS",
    "apt": "JJ",
    "aptitude": "NN",
    "aptitudes": "NNS",
    "aptly": "RB",
    "aptness": "NN",
    "aqua-lung": "NN",
    "aquam": "FW",
    "aquamarine": "NN",
    "aquarium": "NN",
    "aquatic": "JJ",
    "aqueducts": "NNS",
    "aqueous": "JJ",
    "aquifer": "NN",
    "aquifers": "NNS",
    "aquisition": "NN",
    "aquisitions": "NNS",
    "arabesque": "NN",
    "arabic": "JJ",
    "arable": "JJ",
    "arak": "FW",
    "aramid": "NN",
    "arb": "NN",
    "arbiter": "NN",
    "arbitrage": "NN",
    "arbitrage-related": "JJ",
    "arbitrager": "NN",
    "arbitragers": "NNS",
    "arbitrageur": "NN",
    "arbitrageurs": "NNS",
    "arbitraging": "VBG",
    "arbitrarily": "RB",
    "arbitrary": "JJ",
    "arbitrate": "VB",
    "arbitrated": "VBN|VBD",
    "arbitrates": "VBZ",
    "arbitrating": "VBG",
    "arbitration": "NN",
    "arbitration-eligibility": "NN",
    "arbitration.": "NN",
    "arbitrator": "NN",
    "arbitrators": "NNS",
    "arboreal": "JJ",
    "arborists": "NNS",
    "arbs": "NNS",
    "arc": "NN|VB",
    "arcade": "NN",
    "arcaded": "JJ",
    "arcades": "NNS",
    "arcane": "JJ",
    "arch": "VBP|NN|VB",
    "arch-enemy": "NN",
    "arch-heretic": "NN",
    "arch-opponent": "NN",
    "arch-rival": "JJ|NN",
    "archaeological": "JJ",
    "archaeologist": "NN",
    "archaeologists": "NNS",
    "archaeology": "NN",
    "archaic": "JJ",
    "archaism": "NN",
    "archaized": "VBD",
    "archangels": "NNS",
    "archbishop": "NN",
    "archdiocese": "NN",
    "arched": "JJ|VBD|VBN",
    "archenemy": "NN",
    "archeological": "JJ",
    "archery": "NN",
    "arches": "NNS|VBZ",
    "archetype": "NN",
    "archetypes": "NNS",
    "archetypical": "JJ",
    "archfool": "NN",
    "arching": "VBG",
    "archipelago": "NN",
    "architect": "NN",
    "architect-developer": "NN",
    "architectonic": "JJ",
    "architects": "NNS",
    "architectural": "JJ",
    "architecturally": "RB",
    "architecture": "NN",
    "architectures": "NNS",
    "archival": "JJ",
    "archive": "NN",
    "archives": "NNS",
    "archivist": "NN",
    "archness": "NN",
    "archrival": "JJ|NN",
    "archtype": "NN",
    "arclike": "JJ",
    "arcs": "NNS|VBZ",
    "arctic": "JJ",
    "arcus": "NN",
    "ardent": "JJ",
    "ardently": "RB",
    "ardor": "NN",
    "arduous": "JJ",
    "are": "VBP|NNP",
    "are...": ":",
    "area": "NN",
    "area-code": "JJ",
    "area-sales": "JJ",
    "area-wide": "JJ",
    "areas": "NNS|VBN",
    "areaways": "NNS",
    "arena": "NN",
    "arenas": "NNS",
    "areosol": "NN",
    "argon": "NN",
    "argot": "NN",
    "argriculture": "NN",
    "arguably": "RB",
    "argue": "VBP|VB",
    "argued": "VBD|VBN",
    "argues": "VBZ",
    "argues...": ":",
    "arguing": "VBG|NN",
    "argument": "NN",
    "argumentation": "NN",
    "arguments": "NNS",
    "aria": "NN",
    "arias": "NNS",
    "arid": "JJ",
    "aridity": "NN",
    "arise": "VB|VBP",
    "arisen": "VBN",
    "arises": "VBZ",
    "arising": "VBG",
    "aristocracy": "NN",
    "aristocrat": "NN",
    "aristocratic": "JJ",
    "aristocratically": "RB",
    "aristocrats": "NNS",
    "arithmetic": "NN",
    "arithmetical": "JJ",
    "arithmetized": "VBN",
    "arkylbenzene": "NN",
    "arm": "NN|VB",
    "arm-elevation": "NN",
    "arm-levitation": "NN",
    "arm-rise": "NN",
    "arm-twisting": "NNP",
    "armadillo": "NN",
    "armadillos": "NNS",
    "armament": "NN",
    "armaments": "NNS",
    "armata": "NNP",
    "armchair": "NN|JJ",
    "armchairs": "NNS",
    "armed": "JJ|VBN|VBD",
    "armful": "NN",
    "armhole": "NN",
    "armies": "NNS",
    "arming": "NN|VBG",
    "armistice": "NN",
    "armload": "NN",
    "armoire": "NN",
    "armor": "NN|VB",
    "armored": "JJ|VBN|VBD",
    "armored-vehicle": "JJ",
    "armory": "NN",
    "armpit": "NN",
    "armpits": "NNS",
    "arms": "NNS|VBZ",
    "arms-control": "NN|JJ",
    "arms-export": "JJ",
    "arms-kickback": "NN",
    "arms-making": "NN",
    "arms-production": "NN",
    "arms-reduction": "JJ|NN",
    "arms-sales": "JJ",
    "army": "NN",
    "arnica": "NN",
    "aroma": "NN",
    "aromas": "NNS",
    "aromatic": "JJ",
    "aromatick": "JJ",
    "aromatics": "NNS",
    "arose": "VBD",
    "around": "IN|RB|RP",
    "around-the-clock": "JJ",
    "around-the-world": "JJ",
    "around...": ":",
    "arousal": "JJ",
    "arouse": "VB|VBP",
    "aroused": "VBN|VBD|JJ",
    "arouses": "VBZ",
    "arousing": "VBG",
    "arpeggios": "NNS",
    "arraigned": "VBD|VBN",
    "arraigning": "VBG",
    "arrange": "VB|VBP",
    "arranged": "VBD|VBN",
    "arrangement": "NN",
    "arrangements": "NNS",
    "arrangers": "NNS",
    "arranges": "VBZ",
    "arranging": "VBG",
    "array": "NN|VB",
    "arrayed": "VBN|VBD",
    "arrays": "NNS|VBZ",
    "arrearage": "NN",
    "arrearages": "NNS",
    "arrears": "NNS",
    "arrest": "NN|VBP|VB",
    "arrested": "VBN|VBD|JJ",
    "arresting": "VBG|JJ",
    "arrival": "NN",
    "arrivals": "NNS",
    "arrive": "VB|VBP",
    "arrived": "VBD|VBN",
    "arrives": "VBZ",
    "arriving": "VBG",
    "arrogance": "NN",
    "arrogant": "JJ",
    "arrogantly": "RB",
    "arrogate": "VB",
    "arrogating": "VBG",
    "arrow": "NN",
    "arrowed": "JJ",
    "arrowheads": "NNS",
    "arrows": "NNS",
    "arroyo": "NN",
    "arsenal": "NN",
    "arsenals": "NNS",
    "arsenic": "NN",
    "arsenide": "NN",
    "arside": "NN",
    "arsines": "NNS",
    "arson": "NN",
    "arsonist": "NN",
    "art": "NN|VBP",
    "art-acquisition": "JJ",
    "art-auction": "NN",
    "art-dealing": "JJ",
    "art-filled": "JJ",
    "art-historian": "NN",
    "art-historical": "JJ",
    "art-nouveau": "JJ",
    "art-shop": "NN",
    "art-world": "NN",
    "artemisia": "NN",
    "arterial": "JJ",
    "arteries": "NNS",
    "arteriolar": "JJ",
    "arteriolar-pulmonary": "JJ",
    "arterioles": "NNS",
    "arteriolosclerosis": "NN",
    "arteriosclerosis": "NN",
    "artery": "NN",
    "artery-clogging": "NN",
    "artery-pulmonary": "NN",
    "artful": "JJ",
    "artfully": "RB",
    "artfulness": "NN",
    "arthritic": "JJ",
    "arthritis": "NN",
    "artichoke": "NN",
    "article": "NN",
    "articles": "NNS",
    "articulate": "VB|JJ",
    "articulated": "VBN|VBD",
    "articulation": "NN",
    "articulations": "NNS",
    "artifact": "NN",
    "artifacts": "NNS",
    "artifical": "JJ",
    "artifically": "RB",
    "artifice": "NN",
    "artificial": "JJ|NN",
    "artificial-heart": "JJ",
    "artificiality": "NN",
    "artificially": "RB",
    "artillerist": "NN",
    "artillerists": "NNS",
    "artillery": "NN",
    "artisan": "NN",
    "artisans": "NNS",
    "artist": "NN",
    "artist-author": "NN",
    "artist-nature": "NN",
    "artistas": "NNS",
    "artistic": "JJ",
    "artistically": "RB",
    "artistry": "NN",
    "artists": "NNS",
    "artless": "JJ",
    "arts": "NNS",
    "artsy": "JJ",
    "artwork": "NN",
    "artworks": "NNS",
    "arty": "JJ",
    "aryl": "NN",
    "arylesterase": "NN",
    "arylesterases": "NNS",
    "as": "IN|NNP|JJ|RB|VBZ",
    "as-it-were": "RB",
    "as-yet": "RB",
    "asbestos": "NN",
    "asbestos-abatement": "NN|JJ",
    "asbestos-containing": "JJ",
    "asbestos-disease": "NN",
    "asbestos-related": "JJ",
    "asbestos-removal": "NN|JJ",
    "asbestosis": "NN",
    "ascend": "VB",
    "ascendancy": "NN",
    "ascended": "VBD|VBN",
    "ascendency": "NN",
    "ascending": "VBG",
    "ascension": "NN",
    "ascent": "NN",
    "ascents": "NNS",
    "ascertain": "VB",
    "ascertainable": "JJ",
    "ascertained": "VBN|VBD",
    "ascetic": "NN",
    "asceticism": "NN",
    "ascetics": "NNS",
    "ascribe": "VBP|VB",
    "ascribed": "VBN|VBD",
    "ascribes": "VBZ",
    "aseptic": "JJ",
    "aseptically": "RB",
    "ash": "NN",
    "ash-blonde": "JJ",
    "asham": "JJ",
    "ashamed": "JJ",
    "ashare": "NN",
    "ashen": "JJ",
    "ashes": "NNS",
    "ashore": "RB|JJ",
    "ashtrays": "NNS",
    "aside": "RB|RP",
    "asides": "NNS",
    "asinine": "JJ",
    "ask": "VB|VBP",
    "askance": "RB",
    "asked": "VBD|VBN|JJ",
    "asked...": ":",
    "askew": "RB",
    "askin": "VBG",
    "asking": "VBG|JJ|NN",
    "asks": "VBZ",
    "asleep": "RB|JJ",
    "asocial": "JJ",
    "asparagus": "NN",
    "aspect": "NN",
    "aspects": "NNS",
    "aspen": "NN|JJ",
    "aspens": "NNS",
    "aspersion": "NN",
    "aspersions": "NNS",
    "asphalt": "NN|JJ",
    "asphalt-hard": "JJ",
    "asphyxia": "NN",
    "aspirant": "NN",
    "aspirants": "NNS",
    "aspiration": "NN",
    "aspirational": "JJ",
    "aspirations": "NNS",
    "aspire": "VBP|VB",
    "aspired": "VBD|VBN",
    "aspires": "VBZ",
    "aspirin": "NN",
    "aspiring": "JJ|VBG",
    "ass": "NN",
    "assai": "FW",
    "assail": "VB",
    "assailant": "NN",
    "assailants": "NNS",
    "assailed": "VBD|VBN",
    "assailing": "VBG",
    "assails": "VBZ",
    "assassin": "NN",
    "assassinate": "VB|VBD",
    "assassinated": "VBD|VBN",
    "assassinating": "VBG",
    "assassination": "NN",
    "assassins": "NNS",
    "assault": "NN|VBP|VB",
    "assault-weapons": "JJ",
    "assaulted": "VBD|VBN",
    "assaulting": "VBG",
    "assaults": "NNS|VBZ",
    "assay": "NN|VB",
    "assayed": "VBN|VBD",
    "assaying": "VBG",
    "assays": "NNS|VBZ",
    "asseet": "NN",
    "assemblage": "NN",
    "assemblages": "NNS",
    "assemble": "VB|VBP",
    "assembled": "VBN|VBD|JJ",
    "assembles": "VBZ",
    "assemblies": "NNS",
    "assembling": "VBG|NN",
    "assembly": "NN",
    "assembly-line": "NN",
    "assent": "NN|VB",
    "assented": "VBD|VBN",
    "assert": "VB|VBP",
    "asserted": "VBD|VBN",
    "assertedly": "RB",
    "asserting": "VBG",
    "assertion": "NN",
    "assertions": "NNS",
    "assertive": "JJ",
    "assertiveness": "NN",
    "asserts": "VBZ",
    "asses": "NNS",
    "assesment": "NN",
    "assess": "VB|VBP",
    "assessed": "VBN|VBD",
    "assesses": "VBZ",
    "assessing": "VBG",
    "assessment": "NN",
    "assessments": "NNS",
    "assessor": "NN",
    "assessories": "NNS",
    "assessors": "NNS",
    "asset": "NN",
    "asset-allocation": "JJ|NN",
    "asset-backed": "JJ",
    "asset-based": "JJ",
    "asset-forfeiture": "NN",
    "asset-growth": "NN",
    "asset-liability": "JJ|NN",
    "asset-management": "NN",
    "asset-quality": "JJ",
    "asset-rich": "JJ",
    "asset-sale": "JJ",
    "asset-stripping": "JJ",
    "asset-trading": "NN",
    "asset-valuation": "NN",
    "assets*": "NNS",
    "assiduity": "NN",
    "assiduously": "RB",
    "assign": "VB|VBP",
    "assigned": "VBN|VBD|JJ",
    "assigned-risk": "NN",
    "assignee": "NN",
    "assigning": "VBG",
    "assignment": "NN",
    "assignments": "NNS",
    "assigns": "VBZ|NNS",
    "assimilable": "JJ",
    "assimilate": "VB",
    "assimilated": "VBN|JJ|VBD",
    "assimilating": "VBG",
    "assimilation": "NN",
    "assist": "VB|NN|VBP",
    "assistance": "NN",
    "assistant": "NN|JJ",
    "assistants": "NNS",
    "assisted": "VBN|VBD",
    "assisted-living": "JJ",
    "assisting": "VBG",
    "assists": "VBZ|NNS",
    "associaitons": "NNS",
    "associate": "JJ|VBP|NN|VB",
    "associate-label": "JJ",
    "associated": "VBN|VBD|JJ",
    "associates": "NNS|VBZ",
    "associating": "VBG",
    "association": "NN",
    "association...": ":",
    "associations": "NNS",
    "associatively": "RB",
    "assorted": "JJ|VBN|VBD",
    "assortment": "NN",
    "assortments": "NNS",
    "assuage": "VB",
    "assuaged": "VBN|VBD",
    "assuaging": "VBG",
    "assume": "VB|VBP",
    "assumed": "VBN|VBD|JJ",
    "assumes": "VBZ",
    "assuming": "VBG",
    "assumption": "NN",
    "assumptions": "NNS",
    "assurance": "NN",
    "assurances": "NNS",
    "assure": "VB|VBP",
    "assured": "VBN|VBD|JJ|NN",
    "assuredly": "RB",
    "assures": "VBZ",
    "assuring": "VBG",
    "ast": "JJ",
    "asterisks": "NNS|VBZ",
    "asteroid": "JJ|NN",
    "asteroids": "NNS",
    "asters": "NNS",
    "asthma": "NN",
    "astigmatism": "NN",
    "astir": "JJ",
    "astonished": "VBN|VBD",
    "astonishing": "JJ|VBG",
    "astonishingly": "RB",
    "astonishment": "NN",
    "astound": "VB",
    "astounded": "JJ|VBN|VBD",
    "astounding": "JJ|VBG",
    "astoundingly": "RB",
    "astounds": "VBZ",
    "astral": "JJ",
    "astray": "RB",
    "astride": "IN",
    "astringency": "NN",
    "astringent": "JJ",
    "astrological": "JJ",
    "astrology": "NN",
    "astronaut": "NN",
    "astronauts": "NNS",
    "astronomer": "NN",
    "astronomical": "JJ",
    "astronomically": "RB",
    "astronomy": "NN",
    "astrophysicist": "NN",
    "astrophysics": "NNS",
    "astute": "JJ",
    "astuteness": "NN",
    "asunder": "RB",
    "asw": "NN",
    "asylum": "NN",
    "asymmetric": "JJ",
    "asymmetrically": "RB",
    "asymmetry": "NN",
    "asymptomatic": "JJ",
    "asymptotic": "JJ",
    "asymptotically": "RB",
    "asynchrony": "NN",
    "at": "IN|VBD|RB|RP",
    "at-bat": "NN",
    "at-bats": "NNS",
    "at-home": "JJ",
    "at-large": "JJ",
    "at-market": "JJ",
    "at-risk": "JJ",
    "atcrcial": "NNP",
    "atavistic": "JJ",
    "ataxia": "NN",
    "ate": "VBD",
    "atelier": "NN",
    "atheism": "NN",
    "atheist": "JJ|NN",
    "atheistic": "JJ",
    "atheists": "NNS",
    "atheromatous": "JJ",
    "athlete": "NN",
    "athlete-payoff": "JJ",
    "athlete-s": "NN",
    "athlete-student": "NN",
    "athletes": "NNS",
    "athletic": "JJ",
    "athletic-shoe": "NN|JJ",
    "athletically": "RB",
    "athleticism": "NN",
    "athletics": "NNS",
    "atm": "NN",
    "atmosphere": "NN",
    "atmospheres": "NNS",
    "atmospheric": "JJ",
    "atolls": "NNS",
    "atom": "NN",
    "atom-like": "JJ",
    "atom-smashing": "NN",
    "atomic": "JJ",
    "atomisation": "NN",
    "atoms": "NNS",
    "atonal": "JJ",
    "atonally": "RB",
    "atone": "VB",
    "atonement": "NN",
    "atop": "IN",
    "atrium": "NN",
    "atrocious": "JJ",
    "atrociously": "RB",
    "atrocities": "NNS",
    "atrocity": "NN",
    "atrophic": "JJ",
    "atrophied": "VBN",
    "atrophy": "NN|VBP",
    "atrun": "JJ",
    "att": "IN",
    "attach": "VB|VBP",
    "attache": "NN",
    "attached": "VBN|JJ|VBD",
    "attaches": "VBZ",
    "attaching": "VBG",
    "attachment": "NN",
    "attachments": "NNS",
    "attack": "NN|VBP|VB",
    "attacked": "VBN|VBD",
    "attacker": "NN",
    "attackers": "NNS",
    "attacking": "VBG|NN",
    "attacks.": "NN",
    "attactive": "JJ",
    "attain": "VB|VBP",
    "attainable": "JJ",
    "attained": "VBN|VBD|JJ",
    "attaining": "VBG|NN",
    "attainment": "NN",
    "attainments": "NNS",
    "attains": "VBZ",
    "attarcks": "NNS",
    "attempt": "NN|VBP|VB",
    "attempted": "VBN|VBD|JJ",
    "attempting": "VBG",
    "attempts": "NNS|VBZ",
    "attend": "VB|VBP",
    "attendance": "NN",
    "attendant": "JJ|NN",
    "attendants": "NNS",
    "attended": "VBD|VBN",
    "attendee": "NN",
    "attendees": "NNS",
    "attendent": "NN",
    "attendents": "NNS",
    "attending": "VBG",
    "attends": "VBZ",
    "attention": "NN",
    "attention-grabbing": "JJ",
    "attention...": ":",
    "attentions": "NNS|VBZ",
    "attentive": "JJ",
    "attentively": "RB",
    "attest": "VB|VBP",
    "attested": "VBN|VBD",
    "attesting": "VBG",
    "attests": "VBZ",
    "attic": "NN",
    "attics": "NNS",
    "attire": "NN|VB",
    "attired": "JJ|VBN|VBD",
    "attis": "NN",
    "attitude": "NN",
    "attitudes": "NNS",
    "attitudinizing": "NN",
    "attorney": "NN",
    "attorney-client": "JJ",
    "attorney-consultant": "NN",
    "attorney-disciplinary": "JJ",
    "attorneys": "NNS",
    "attract": "VB|VBP",
    "attractant": "NN",
    "attracted": "VBN|VBD",
    "attracting": "VBG",
    "attraction": "NN",
    "attractive": "JJ",
    "attractively": "RB",
    "attractiveness": "NN",
    "attracts": "VBZ",
    "attributable": "JJ",
    "attribute": "VBP|NN|VB",
    "attributed": "VBD|VBN",
    "attributes": "VBZ|NNS",
    "attributing": "VBG",
    "attributions": "NNS",
    "attrition": "NN",
    "attuned": "JJ|VBN",
    "atune": "NN",
    "atypical": "JJ",
    "au": "FW|NN",
    "auburn": "JJ",
    "auction": "NN|VB",
    "auction-fee": "JJ",
    "auction-house": "NN",
    "auctioned": "VBN|VBD",
    "auctioneer": "NN|VB",
    "auctioning": "NN|VBG",
    "auctions": "NNS|VBZ",
    "audacious": "JJ",
    "audacity": "NN",
    "audible": "JJ",
    "audibly": "RB",
    "audience": "NN",
    "audience-friendly": "JJ",
    "audiences": "NNS",
    "audio": "JJ|NN",
    "audio-specialty": "NN",
    "audio-visual": "JJ|NN",
    "audio/visual": "JJ",
    "audiocassettes": "NNS",
    "audiophiles": "NNS",
    "audiotex": "NN",
    "audiovisual": "JJ",
    "audit": "NN|VB",
    "audited": "VBN|JJ|VBD",
    "auditing": "NN|VBG",
    "audition": "VB|NN",
    "auditioning": "VBG",
    "auditions": "NNS",
    "auditor": "NN",
    "auditor-general": "NN",
    "auditorium": "NN",
    "auditors": "NNS",
    "audits": "NN|NNS|VBZ",
    "audivi": "FW",
    "auf": "FW",
    "augen": "FW",
    "augment": "VB|VBP",
    "augmented": "VBN|JJ|VBD",
    "augmenting": "VBG",
    "augur": "VBP|VB",
    "augurs": "VBZ",
    "aunt": "NN",
    "aunts": "NNS",
    "aura": "NN",
    "aural": "JJ",
    "aurally": "RB",
    "aureus": "NN",
    "auspices": "NNS",
    "auspicious": "JJ",
    "auspiciously": "RB",
    "austere": "JJ",
    "austerely": "RB",
    "austerity": "NN",
    "authentic": "JJ",
    "authentically": "RB",
    "authenticate": "VBP",
    "authentication": "NN",
    "authentications": "NNS",
    "authenticator": "NN",
    "authenticity": "NN",
    "author": "NN",
    "authored": "VBN",
    "authoring": "VBG",
    "authoritarian": "JJ",
    "authoritarianism": "NN",
    "authoritative": "JJ",
    "authoritatively": "RB",
    "authorities": "NNS",
    "authority": "NN",
    "authorization": "NN",
    "authorizations": "NNS",
    "authorize": "VB",
    "authorized": "VBD|VBN|JJ",
    "authorizes": "VBZ",
    "authorizing": "VBG",
    "authors": "NNS",
    "authorship": "NN",
    "autions": "NNS",
    "autism": "NN",
    "autistic": "JJ",
    "auto": "NN",
    "auto-assembly": "NN",
    "auto-buying": "NN",
    "auto-dealer": "NN",
    "auto-emission": "NN",
    "auto-emissions": "NNS",
    "auto-financing": "NN",
    "auto-immune": "JJ",
    "auto-industry": "NN|JJ",
    "auto-insurance": "NN",
    "auto-limitation": "NN",
    "auto-loaders": "NNS",
    "auto-loan": "JJ",
    "auto-maker": "NN",
    "auto-making": "NN",
    "auto-market": "NN",
    "auto-obscuria": "NN",
    "auto-parts": "JJ|NNS",
    "auto-repair": "JJ",
    "auto-safety": "JJ",
    "auto-sales": "NNS",
    "auto-strop": "JJ",
    "auto/homeowners": "NNS",
    "autobiographic": "JJ",
    "autobiographical": "JJ",
    "autobiography": "NN",
    "autoclave": "NN",
    "autocollimator": "NN",
    "autocracies": "NNS",
    "autocracy": "NN",
    "autocrat": "NN",
    "autocratic": "JJ",
    "autocrats": "NNS",
    "autofluorescence": "NN",
    "autograph": "VB|NN",
    "autographed": "VBN|JJ|VBD",
    "autographer": "NN",
    "autographs": "NNS|VBZ",
    "autoimmune": "JJ",
    "autoloader": "NN",
    "automaker": "NN",
    "automakers": "NNS",
    "automate": "VB",
    "automated": "VBN|JJ|VBD",
    "automated-pit-trading": "NN",
    "automated-quotation": "NN",
    "automated-teller": "JJ|NN",
    "automated-teller-machine": "JJ",
    "automated-trading": "NN",
    "automates": "VBZ",
    "automatic": "JJ|NN",
    "automatically": "RB",
    "automating": "VBG",
    "automation": "NN",
    "automaton": "NN",
    "automobile": "NN",
    "automobile-manufacturing": "JJ",
    "automobile-parts": "JJ",
    "automobile-tire": "JJ",
    "automobiles": "NNS",
    "automotive": "JJ",
    "automotive-emissions-testing": "JJ",
    "automotive-industry": "NN",
    "automotive-lighting": "JJ|NN",
    "automotive-parts": "JJ",
    "automotive-product": "NN",
    "autonavigator": "NN",
    "autonomic": "JJ",
    "autonomic-somatic": "JJ",
    "autonomous": "JJ",
    "autonomously": "RB",
    "autonomy": "NN",
    "autopsied": "VBN|VBD",
    "autopsies": "NNS|VBZ",
    "autopsy": "NN|VB",
    "autos": "NNS",
    "autumn": "NN",
    "autumn-touched": "JJ",
    "autumnal": "JJ",
    "autumns": "NNS",
    "aux": "FW",
    "auxiliaries": "NNS",
    "auxiliary": "JJ|NN",
    "avail": "NN|VB",
    "availabilities": "NNS",
    "availability": "NN",
    "available": "JJ",
    "availed": "VBD|VBN",
    "availing": "VBG",
    "avalanche": "NN",
    "avaliable": "JJ",
    "avant": "FW",
    "avant-garde": "NN|JJ",
    "avarice": "NN",
    "avaricious": "JJ",
    "avec": "FW|NNP",
    "avenge": "VB",
    "avenger": "NN",
    "avenging": "JJ|VBG",
    "avenue": "NN",
    "avenues": "NNS",
    "average": "JJ|NN|VB|VBP",
    "averaged": "VBD|VBN",
    "averages": "NNS|VBZ",
    "averaging": "VBG|JJ|NN",
    "averred": "VBD",
    "averse": "JJ",
    "aversion": "NN",
    "avert": "VB",
    "averted": "VBN|VBD",
    "averting": "VBG",
    "averts": "VBZ",
    "avian": "JJ",
    "aviary": "NN",
    "aviation": "NN",
    "aviation-services": "NNS|JJ",
    "aviator": "NN",
    "aviators": "NNS",
    "avid": "JJ",
    "avidity": "NN",
    "avidly": "RB",
    "avionics": "NNS",
    "avions": "FW",
    "avocado": "NN|JJ",
    "avocados": "NNS",
    "avocation": "NN",
    "avoid": "VB|JJ|VBP",
    "avoidable": "JJ",
    "avoidance": "NN",
    "avoided": "VBN|JJ|VBD",
    "avoiding": "VBG",
    "avoids": "VBZ",
    "avowed": "JJ|VBD|VBN",
    "avowedly": "RB",
    "avuncular": "JJ",
    "aw": "UH",
    "aww": "UH",
    "await": "VBP|VB",
    "awaited": "VBD|JJ|VBN",
    "awaiting": "VBG",
    "awaits": "VBZ",
    "awake": "JJ|RB|VB",
    "awaken": "VB|VBP",
    "awakened": "VBN|VBD",
    "awakening": "VBG|NN",
    "awakens": "VBZ",
    "award": "NN|VBP|VB",
    "award-winning": "JJ",
    "awarded": "VBD|VBN",
    "awarding": "VBG|NN",
    "aware": "JJ",
    "awareness": "NN",
    "awash": "JJ|RB",
    "away": "RB|RP",
    "away-from-home": "JJ",
    "awaye": "RB",
    "awe": "NN",
    "awe-inspiring": "JJ",
    "awed": "JJ|VBN",
    "awes": "VBZ",
    "awesome": "JJ",
    "awful": "JJ|RB",
    "awfully": "RB",
    "awfulness": "NN",
    "awhile": "RB",
    "awkward": "JJ",
    "awkwardly": "RB",
    "awkwardness": "NN",
    "awnings": "NNS",
    "awoke": "VBD",
    "awry": "RB|JJ",
    "ax": "NN",
    "axe": "NN",
    "axes": "NNS",
    "axial": "JJ",
    "axially": "RB",
    "axiological": "JJ",
    "axiom": "NN",
    "axiomatic": "JJ",
    "axioms": "NNS",
    "axis": "NN",
    "axle": "NN",
    "axle-breaking": "JJ",
    "axles": "NNS",
    "aya": "NN",
    "ayatollah": "NN",
    "aye": "RB|UH",
    "ayes": "NNS",
    "ayni": "NNS",
    "azalea": "NN",
    "azaleas": "NNS",
    "azure": "JJ",
    "b": "SYM|NN|LS",
    "b-As": "IN|NNS",
    "b-Based": "VBN|JJ",
    "b-Current": "JJ|LS",
    "b-Includes": "VBZ",
    "b-Percent": "NN",
    "b-Week": "NN|LS",
    "b-plane": "NN",
    "b-reflects": "VBZ",
    "ba-a-a": "UH",
    "babbino": "FW",
    "babbiting": "NN",
    "babble": "NN|VB",
    "babbled": "VBD|VBN",
    "babel": "NN",
    "babes": "NNS",
    "babies": "NNS|VBZ",
    "baboon": "NN",
    "baboons": "NNS",
    "baby": "NN|UH|VB",
    "baby-boomers": "NNS",
    "baby-faced": "JJ",
    "baby-food": "JJ",
    "baby-products": "JJ",
    "baby-sitter": "NN",
    "babyhood": "NN",
    "baccalaureate": "NN",
    "bachelor": "NN",
    "bachelor-type": "JJ",
    "bachelors": "NNS",
    "baci": "NNS",
    "back": "RB|IN|JJ|NN|RP|VB|VBP",
    "back-alley": "JJ",
    "back-dating": "VBG",
    "back-disability": "NN",
    "back-door": "JJ",
    "back-end": "JJ",
    "back-issue": "JJ",
    "back-lighted": "JJ",
    "back-of-the-envelope": "JJ",
    "back-office": "JJ|NN",
    "back-offices": "NNS",
    "back-on-terra-firma": "JJ",
    "back-pain": "NN",
    "back-pay": "NN",
    "back-room": "NN",
    "back-slapping": "JJ",
    "back-to-back": "JJ",
    "back-to-school": "JJ",
    "back-up": "NN|JJ",
    "back-ups": "NNS",
    "back-yard": "JJ|NN",
    "back...": ":",
    "backbeat": "NN",
    "backbench": "JJ",
    "backbend": "NN",
    "backbends": "NNS",
    "backbone": "NN",
    "backdated": "VBD",
    "backdoor": "JJ",
    "backdrop": "NN",
    "backed": "VBN|JJ|VBD",
    "backed-up": "JJ",
    "backer": "NN",
    "backers": "NNS",
    "backfield": "NN",
    "backfire": "VB|VBP",
    "backfired": "VBN|VBD",
    "backfires": "VBZ",
    "backfiring": "VBG",
    "backflips": "VBZ",
    "background": "NN|JJ|VB",
    "backgrounds": "NNS|VBZ",
    "backhand": "NN",
    "backhanded": "JJ",
    "backhoe": "NN",
    "backhome": "NN",
    "backing": "NN|VBG",
    "backlash": "NN|VB",
    "backlit": "JJ",
    "backlog": "NN",
    "backlogs": "NNS",
    "backlots": "NNS",
    "backpack": "NN|VB",
    "backpackers": "NNS",
    "backpacks": "NNS|VBZ",
    "backpedal": "VB",
    "backpedaling": "VBG",
    "backroom": "NN",
    "backrooms": "NNS",
    "backside": "NN",
    "backsides": "NNS",
    "backslapping": "VBG",
    "backstage": "RB|JJ",
    "backstitch": "NN|VB",
    "backstop": "NN|VB",
    "backtracking": "NN|VBG",
    "backup": "NN|JJ",
    "backups": "NNS",
    "backward": "RB|JJ",
    "backwardness": "NN",
    "backwards": "RB|NNS|JJ",
    "backwater": "NN|JJ",
    "backwoods": "NNS|JJ",
    "backwoods-and-sand-hill": "JJ",
    "backyard": "NN",
    "backyards": "NNS",
    "bacon": "NN",
    "bacteria": "NNS",
    "bacteria-based": "JJ",
    "bacteria-contaminated": "JJ",
    "bacteria-free": "JJ",
    "bacterial": "JJ",
    "bacterium": "NN",
    "bad": "JJ|NN|RB",
    "bad-cop": "JJ",
    "bad-debt": "JJ",
    "bad-expectations": "JJ",
    "bad-fitting": "JJ",
    "bad-law": "NN",
    "bad-neighbor": "JJ",
    "bad-news": "JJ|NN",
    "bad-risk": "JJ",
    "bad-smelling": "JJ",
    "baddebt": "JJ",
    "bade": "VBD",
    "badge": "NN",
    "badge-toter": "NN",
    "badgered": "VBD|VBN",
    "badgering": "VBG",
    "badges": "NNS",
    "badinage": "NN",
    "badly": "RB",
    "badly-needed": "JJ",
    "badmen": "NNS",
    "badminton": "NN",
    "badness": "NN",
    "bads": "NNS",
    "baffle": "VB",
    "baffled": "VBN|JJ|VBD",
    "baffling": "JJ|VBG",
    "bag": "NN|VB",
    "bagel": "NN",
    "bagels": "NNS",
    "baggage": "NN",
    "bagged": "VBD|JJ|VBN",
    "baggy": "JJ",
    "bagpipe": "NN",
    "bags": "NNS|VBZ",
    "baguette": "FW",
    "bail": "VB|NN",
    "bail-jumping": "NN",
    "bailed": "VBD|VBN",
    "bailiff": "NN",
    "bailing": "VBG|NN",
    "bailout": "NN",
    "bailouts": "NNS",
    "bait": "NN|VB",
    "baited": "VBN|VBD",
    "bake": "JJ|VB",
    "bake-offs": "NNS",
    "bake-oven": "NN",
    "baked": "JJ|VBD|VBN",
    "baker": "NN",
    "bakeries": "NNS",
    "bakers": "NNS",
    "bakery": "NN",
    "bakery-mix": "JJ",
    "bakes": "VBZ",
    "bakeware": "NN",
    "baking": "NN|VBG",
    "baklava": "NN",
    "baksheesh": "NN",
    "balance": "NN|VBP|JJ|RB|VB",
    "balance-of-payments": "NNS|JJ",
    "balance-sheet": "NN|JJ",
    "balance-wise": "JJ",
    "balanced": "JJ|VBD|VBN",
    "balanced-budget": "JJ|NN",
    "balances": "NNS|VBZ",
    "balancing": "VBG|NN",
    "balconies": "NNS",
    "balcony": "NN",
    "bald": "JJ",
    "bald-faced": "JJ",
    "balding": "JJ|VBG",
    "baldish": "JJ",
    "baldness": "NN",
    "bale": "NN|VBP",
    "baleful": "JJ",
    "bales": "NNS",
    "balk": "VB|VBP",
    "balk.": "VBP",
    "balkanized": "JJ|VBD|VBN",
    "balked": "VBD|VBN",
    "balkiness": "NN",
    "balking": "VBG",
    "balks": "VBZ",
    "ball": "NN",
    "ball-bearing": "NN",
    "ball-carriers": "NNS",
    "ball-hawking": "JJ",
    "ballad": "NN",
    "ballads": "NNS",
    "ballards": "NNS",
    "ballast": "NN",
    "balled": "VBN",
    "ballerina": "NN",
    "ballerinas": "NNS",
    "ballet": "NN|FW",
    "balletic": "JJ",
    "balletomane": "NN",
    "ballets": "NNS",
    "ballfields": "NNS",
    "ballgowns": "NNS",
    "balling": "VBG",
    "ballistic": "JJ",
    "ballistics": "NNS",
    "balloon": "NN|VBP|VB",
    "ballooned": "VBD|VBN",
    "ballooning": "NN|VBG",
    "balloonists": "NNS",
    "balloons": "NNS|VBZ",
    "ballot": "NN",
    "ballot-burning": "JJ",
    "balloting": "NN",
    "ballots": "NNS",
    "ballpark": "NN",
    "ballparks": "NNS",
    "ballplayer": "NN",
    "ballplayers": "NNS",
    "ballroom": "NN",
    "balls": "NNS",
    "ballyhoo": "NN",
    "ballyhooed": "VBN",
    "ballyhooey": "NN",
    "balm": "NN",
    "balm-of-Gilead": "NN",
    "balmy": "JJ",
    "baloney": "NN",
    "balsams": "NNS",
    "balustrade": "NN",
    "bam": "UH",
    "bambino": "NN",
    "bamboo": "NN",
    "bamboozled": "VBN|VBD",
    "ban": "NN|VB|VBP",
    "banal": "JJ",
    "banalities": "NNS",
    "banalization": "NN",
    "banana": "NN",
    "banana-exporting": "JJ",
    "bananas": "NNS",
    "band": "NN|VB",
    "band-wagon": "JJ",
    "bandage": "NN|VB",
    "bandaged": "VBN|JJ|VBD",
    "bandages": "NNS|VBZ",
    "banded": "VBN|VBD|JJ",
    "bandied": "VBN",
    "banding": "VBG",
    "bandit": "NN",
    "banditos": "NNS",
    "bandits": "NNS",
    "bandoleers": "NNS",
    "bands": "NNS|VBZ",
    "bandstand": "NN",
    "bandwagon": "NN",
    "bandwidth": "NN",
    "bane": "NN",
    "baneful": "JJ",
    "bang": "NN|VB|UH|VBP",
    "bang-sashes": "NNS",
    "banged": "VBD|VBN",
    "banging": "VBG|NN",
    "bangish": "JJ",
    "bangs": "VBZ|NNS",
    "banish": "VB",
    "banished": "VBN|VBD",
    "banishes": "VBZ",
    "banishing": "VBG",
    "banishment": "NN",
    "banister": "NN",
    "banisters": "NNS",
    "banjo": "NN",
    "bank": "NN|VBP|VB",
    "bank-affiliated": "JJ",
    "bank-backed": "JJ",
    "bank-baiting": "JJ",
    "bank-branch": "JJ",
    "bank-credit": "NN",
    "bank-debt": "NN",
    "bank-director": "NN",
    "bank-embezzlement": "JJ",
    "bank-fraud": "JJ|NN",
    "bank-holding": "JJ|VBG|NN",
    "bank-looting": "JJ",
    "bank-owned": "JJ",
    "bank-sponsored": "JJ",
    "bank-teller": "NN",
    "banked": "VBD|JJ|VBN",
    "banker": "NN",
    "banker-editor": "NN",
    "bankers": "NNS",
    "bankholding": "VBG",
    "banking": "NN|VBG|JJ",
    "banking-related": "JJ",
    "bankroll": "VBP|VB",
    "bankrolled": "VBD|VBN",
    "bankrolling": "VBG",
    "bankrupcy": "NN",
    "bankrupt": "JJ|NN|VB|VBP",
    "bankruptcies": "NNS",
    "bankruptcy": "NN",
    "bankruptcy-court": "NN|JJ",
    "bankruptcy-law": "NN|JJ",
    "bankruptcy-proceedings": "NNS",
    "bankruptcy-reorganization": "NN",
    "bankruptcylaw": "NN",
    "bankrupts": "VBZ",
    "bankrupty-law": "NN",
    "banks": "NNS|VBZ",
    "banned": "VBN|VBD|JJ",
    "banner": "NN",
    "banners": "NNS",
    "banning": "VBG|NN",
    "bannnnnng": "VB",
    "banquet": "NN|VB",
    "banquet-hall": "NN",
    "banquetings": "NNS",
    "banquets": "NNS|VBZ",
    "bans": "NNS|VBZ",
    "banshee": "NN",
    "banshees": "NNS",
    "banter": "NN|VB",
    "bantered": "VBN|VBD",
    "bantering": "VBG",
    "baptism": "NN",
    "baptismal": "JJ",
    "baptisms": "NNS",
    "baptistery": "NN",
    "baptized": "VBN|VBD",
    "bar": "NN|VB|VBP",
    "bar-buddy": "NN",
    "bar-code": "JJ",
    "bar-staged": "JJ",
    "barb": "NN",
    "barbarian": "NN",
    "barbarians": "NNS",
    "barbaric": "JJ",
    "barbarisms": "NNS",
    "barbarous": "JJ",
    "barbecue": "NN|VB",
    "barbecued": "VBN|VBD",
    "barbecues": "NNS|VBZ",
    "barbed": "JJ|VBN",
    "barbed-wire": "JJ|NN",
    "barbell": "NN",
    "barbequed": "JJ",
    "barber": "NN",
    "barbers": "NNS",
    "barbital": "NN",
    "barbiturate": "NN",
    "barbs": "NNS",
    "bard": "NN|VB",
    "bards": "NNS|VBZ",
    "bare": "JJ|VB",
    "bare-armed": "JJ",
    "bare-bones": "JJ",
    "bare-footed": "JJ",
    "bared": "VBD|VBN",
    "barefoot": "RB|JJ",
    "barefooted": "JJ",
    "barely": "RB",
    "barest": "JJS",
    "barflies": "NNS",
    "bargain": "NN|VB",
    "bargain-basement": "NN|JJ",
    "bargain-buying": "JJ",
    "bargain-hunt": "VB",
    "bargain-hunters": "NNS",
    "bargain-hunting": "NN|JJ|VBG",
    "bargain-priced": "JJ",
    "bargained": "VBN|VBD",
    "bargaining": "NN|JJ|VBG",
    "bargaining-chip": "NN",
    "bargains": "NNS|VBZ",
    "barge": "NN|VB|VBP",
    "barged": "VBN|VBD",
    "bargelike": "JJ",
    "bargen": "VBP",
    "barges": "NNS|VBZ",
    "barging": "VBG",
    "baring": "VBG",
    "baritone": "NN|JJ",
    "barium": "NN",
    "bark": "NN|VB",
    "bark-nibbling": "JJ",
    "barked": "VBD|VBN",
    "barkeep": "NN",
    "barking": "VBG|NN",
    "barks": "VBZ",
    "barley": "NN",
    "barn": "NN",
    "barn-burner": "NN",
    "barnacles": "NNS",
    "barns": "NNS",
    "barnsful": "NN",
    "barnstormer": "NN",
    "barnyard": "NN",
    "barnyards": "NNS",
    "barometer": "NN",
    "barometers": "NNS",
    "barometric": "JJ",
    "baron": "NN",
    "baroness": "NN",
    "baronial": "JJ",
    "barons": "NNS",
    "barony": "NN",
    "baroque": "JJ|NN",
    "baroreceptor": "NN",
    "barrack": "NN|VB",
    "barracks": "NN|NNS|VBZ",
    "barrage": "NN|VB",
    "barred": "VBN|VBD",
    "barrel": "NN|VB",
    "barrel-a-day": "JJ",
    "barrel-chested": "JJ",
    "barrel-per-day": "JJ",
    "barrel-vaulted": "JJ",
    "barrel-wide": "JJ",
    "barreling": "VBG",
    "barrels": "NNS|VBZ",
    "barrels-a-day": "JJ",
    "barren": "JJ",
    "barricade": "NN|VB",
    "barricades": "NNS|VBZ",
    "barrier": "NN",
    "barrier-free": "JJ",
    "barrier-island": "NN",
    "barriers": "NNS",
    "barring": "VBG",
    "barrio": "NN",
    "barrister": "NN",
    "barristers": "NNS",
    "barroom": "NN",
    "barrow": "NN",
    "bars": "NNS|VBZ",
    "bartender": "NN",
    "bartenders": "NNS",
    "barter": "NN",
    "bartered": "VBN",
    "bartering": "NN",
    "bas-relief": "NN",
    "bas-reliefs": "NNS",
    "bascially": "RB",
    "base": "NN|VBP|JJ|VB",
    "base-metal": "NN",
    "base-metals": "NNS",
    "base-price": "NN",
    "base-rate": "JJ",
    "base-runner": "NN",
    "base-stealing": "JJ",
    "base-wage": "JJ",
    "baseball": "NN",
    "baseball-card": "JJ",
    "baseball-loving": "JJ",
    "baseball-watching": "JJ",
    "baseballight": "NN",
    "baseballs": "NNS",
    "based": "VBN|VBD",
    "based-CAE": "JJ|NP",
    "based.": "VBN",
    "baseless": "JJ",
    "baseline": "NN|JJ",
    "baseman": "NN",
    "basement": "NN",
    "basements": "NNS",
    "baser": "JJR",
    "bases": "NNS|VBZ",
    "bash": "NN|VB",
    "bashed": "VBD|VBN",
    "basher": "NN",
    "bashes": "NNS|VBZ",
    "bashful": "JJ",
    "bashing": "VBG|JJ|NN",
    "basic": "JJ|NN",
    "basic-cable": "JJ",
    "basically": "RB",
    "basics": "NNS",
    "basil": "NN",
    "basileis": "NNS",
    "basin": "NN",
    "basing": "VBG",
    "basins": "NNS",
    "basis": "NN",
    "basis-point": "NN",
    "basked": "VBD|VBN",
    "basket": "NN",
    "basketball": "NN",
    "basketball-cutback": "NN",
    "basketball-playing": "NN",
    "baskets": "NNS",
    "basking": "VBG",
    "basophilic": "JJ",
    "bass": "NN",
    "basses": "NNS",
    "bassinet": "NN",
    "bassist": "NN",
    "basso": "NN",
    "bassoon": "NN",
    "bastard": "NN",
    "basting": "NN|VBG",
    "bastion": "NN",
    "bastions": "NNS",
    "bat": "NN|VB",
    "bat-roost": "JJ",
    "batch": "NN",
    "batches": "NNS",
    "bateau": "JJ|NN",
    "bated": "JJ",
    "bath": "NN",
    "bath-supplies": "NNS",
    "bathe": "VB",
    "bathed": "VBN|VBD",
    "bathers": "NNS",
    "bathing": "NN|VBG",
    "bathos": "NN",
    "bathrobe": "NN",
    "bathrobes": "NNS",
    "bathroom": "NN",
    "bathrooms": "NNS",
    "baths": "NNS|VBZ",
    "bathtub": "NN",
    "bathtubs": "NNS",
    "bathwater": "NN",
    "batmobile": "NN",
    "baton": "NN",
    "bats": "NNS|VBZ",
    "batsman": "NN",
    "battalion": "NN",
    "battalions": "NNS",
    "batted": "VBD|VBN",
    "batten": "NN|VB",
    "battens": "NNS|VBZ",
    "batter": "NN|VB",
    "battered": "VBN|VBD|JJ",
    "batterie": "NN",
    "batteries": "NNS",
    "battering": "VBG|NN",
    "batters": "NNS|VBZ",
    "battery": "NN",
    "battery-driven": "JJ",
    "battery-operated": "JJ|NN",
    "battery-powered": "JJ",
    "batting": "NN|VBG",
    "battle": "NN|VBP|VB|JJ",
    "battle-ax": "NN",
    "battle-cries": "NN",
    "battle-cry": "NN",
    "battle-shattered": "JJ",
    "battled": "VBD|VBN",
    "battlefield": "NN",
    "battlefield-electronic": "JJ",
    "battlefields": "NNS",
    "battlefront": "NN",
    "battleground": "NN",
    "battlegrounds": "NNS",
    "battlegroups": "NNS",
    "battlements": "NNS",
    "battling": "VBG|NN",
    "batwings": "NNS",
    "bauble": "NN",
    "baubles": "NNS",
    "bawdy": "JJ",
    "bawh": "NN",
    "bawhs": "NNS",
    "bawled": "VBD|VBN",
    "bawling": "VBG",
    "bay": "NN|VB",
    "bayed": "VBD|VBN",
    "baying": "NN|VBG",
    "bayleefe": "NN",
    "bayly": "NN",
    "bayonet": "NN",
    "bayonets": "NNS",
    "bays": "NNS|VBZ",
    "bazaar": "NN",
    "bazaars": "NNS",
    "bd": "NNS",
    "be": "VB|VBN|VBP",
    "be-that": "VB",
    "be-thonged": "JJ",
    "be...": ":",
    "be....": ":",
    "beach": "NN",
    "beach-drift": "NN",
    "beach-head": "NN",
    "beach-house": "NN",
    "beach-party": "NN",
    "beached": "JJ",
    "beaches": "NNS",
    "beachfront": "JJ|NN",
    "beachhead": "NN",
    "beaching": "VBG",
    "beacon": "NN",
    "bead-like": "JJ",
    "beaded": "VBN",
    "beadle": "NN",
    "beads": "NNS",
    "beadsman": "NN",
    "beadwork": "NN",
    "beady": "JJ",
    "beak": "NN|VB",
    "beaker": "NN",
    "beakers": "NNS",
    "beam": "NN|VB",
    "beamed": "VBN|VBD",
    "beaming": "VBG|JJ",
    "beams": "VBZ|NNS",
    "bean": "NN|VBN|JJ",
    "bean-counting": "NN",
    "beanballs": "NNS",
    "beans": "NNS",
    "beanstalk": "NN",
    "bear": "VB|NN|VBP",
    "bear-like": "JJ",
    "bear-market": "NN",
    "bearable": "JJ",
    "beard": "NN",
    "bearded": "JJ|VBD|VBN",
    "beardless": "JJ",
    "beardown": "JJ",
    "beards": "NNS",
    "bearer": "NN",
    "bearing": "NN|VBG|JJ",
    "bearings": "NNS",
    "bearish": "JJ",
    "bearishly": "RB",
    "bearishness": "NN",
    "bears": "VBZ|NNS",
    "beast": "NN",
    "beasties": "NNS",
    "beastly": "JJ",
    "beasts": "NNS",
    "beat": "VB|JJ|NN|VBD|VBN|VBP",
    "beat-up": "JJ",
    "beaten": "VBN|JJ",
    "beatific": "JJ",
    "beatification": "NN",
    "beating": "VBG|NN",
    "beatings": "NNS",
    "beatnik": "NN",
    "beatniks": "NNS",
    "beats": "VBZ|NNS",
    "beau": "NN",
    "beauteous": "JJ",
    "beauticians": "NNS",
    "beautiful": "JJ",
    "beautifully": "RB",
    "beautifully-built": "JJ",
    "beautifully-tapered": "JJ",
    "beautify": "VBP|VB",
    "beautifying": "VBG",
    "beauty": "NN",
    "beauty-care": "JJ",
    "beauty-idiom": "NN",
    "beaver": "NN",
    "beavered": "VBD",
    "beavers": "NNS",
    "beavertail": "NN",
    "bebop": "NN",
    "becalmed": "JJ|VBD|VBN",
    "became": "VBD",
    "becase": "IN",
    "because": "IN|RB",
    "beckon": "VBP|VB",
    "beckoned": "VBD|VBN",
    "beckoning": "VBG|NN",
    "beckons": "VBZ",
    "become": "VB|VBD|VBN|VBP",
    "becomed": "VBN",
    "becomes": "VBZ",
    "becometh": "VBZ",
    "becomin": "VBG",
    "becoming": "VBG|NN",
    "bed": "NN|VB|VBP",
    "bed-and-breakfast": "JJ",
    "bed-hopped": "VBD",
    "bed-liner": "NN",
    "bed-time": "NN",
    "bed-type": "JJ",
    "bedazzled": "VBN|VBD",
    "bedazzlement": "NN",
    "bedded": "VBN",
    "bedding": "NN",
    "bedevil": "VB",
    "bedeviled": "VBN",
    "bedfast": "JJ",
    "bedfellows": "NNS",
    "bedground": "NN",
    "bedlam": "NN",
    "bedpans": "NNS",
    "bedpost": "NN",
    "bedraggled": "JJ",
    "bedridden": "JJ",
    "bedrock": "NN",
    "bedroom": "NN",
    "bedrooms": "NNS",
    "beds": "NNS",
    "bedside": "NN",
    "bedspread": "NN",
    "bedsprings": "NNS",
    "bedstraw": "NN",
    "bedtime": "NN",
    "bee": "NN",
    "beebread": "NN",
    "beech": "NN",
    "beef": "NN|VB|VBP",
    "beef-fat": "JJ",
    "beef-feeding": "JJ",
    "beef-hungry": "JJ",
    "beef-import": "JJ",
    "beef-jerky": "NN",
    "beefed": "VBD|VBN",
    "beefed-up": "JJ",
    "beefing": "VBG",
    "beefore": "IN",
    "beefs": "VBZ",
    "beefsteak": "NN",
    "beefy": "JJ",
    "beehive": "NN",
    "been": "VBN|VBP",
    "beep": "NN|VB",
    "beeped": "VBN|VBD",
    "beeper": "NN|JJR",
    "beepers": "NNS",
    "beeping": "NN|VBG",
    "beeps": "NNS|VBZ",
    "beer": "NN",
    "beer-bellied": "JJ",
    "beer-belly": "NN",
    "beer-cooling": "VBG",
    "beer-distribution": "NN",
    "beer-drinker": "NN",
    "beer-guzzling": "JJ",
    "beer-industry": "NN",
    "beer-related": "JJ",
    "beer-runner": "NN",
    "beer-runners": "NNS",
    "beer-running": "NN",
    "beer-tax": "JJ",
    "beers": "NNS",
    "bees": "NNS",
    "beeswax": "NN",
    "beet": "NN",
    "beetle": "NN|VB",
    "beetle-browed": "JJ",
    "beetles": "NNS|VBZ",
    "beetling": "JJ|VBG",
    "beets": "NNS",
    "befall": "VBP|VB",
    "befallen": "VBN",
    "befell": "VBD",
    "befits": "VBZ",
    "befitting": "JJ|VBG",
    "befogged": "JJ|VBD|VBN",
    "befoh": "RB",
    "before": "IN|RB|RP",
    "before-and-after": "JJ",
    "before-school": "JJ",
    "before-tax": "JJ",
    "beforehand": "RB",
    "befouled": "VBN|VBD",
    "befriended": "VBN|VBD",
    "befriends": "VBZ",
    "befuddled": "VBD|VBN",
    "befuddles": "VBZ",
    "befuddling": "VBG|JJ",
    "beg": "VB|VBP",
    "began": "VBD",
    "begat": "VBD",
    "beget": "VB|VBP",
    "begets": "VBZ",
    "beggar": "NN|VB",
    "beggar-thy-neighbor": "JJ",
    "beggars": "NNS|VBZ",
    "beggary": "NN",
    "begged": "VBN|VBD",
    "begging": "VBG|NN",
    "begin": "VB|VBP",
    "begining": "NN",
    "beginner": "NN",
    "beginners": "NNS",
    "beginning": "VBG|JJ|NN",
    "beginnings": "NNS",
    "begins": "VBZ",
    "begonia": "NN",
    "begot": "VBD",
    "begotten": "VBN|JJ",
    "begrudge": "VB",
    "begs": "VBZ",
    "beguile": "VBP|VB",
    "beguiled": "VBN|VBD|JJ",
    "beguiling": "JJ|VBG",
    "begun": "VBN|NN",
    "behahn": "RB",
    "behalf": "NN",
    "behave": "VB|VBP",
    "behaved": "VBD|VBN",
    "behaves": "VBZ",
    "behaving": "VBG",
    "behavior": "NN",
    "behavior-modification": "NN",
    "behavioral": "JJ",
    "behaviorally": "RB",
    "behaviors": "NNS",
    "behaviour": "NN",
    "beheaded": "VBD",
    "beheading": "NN|VBG",
    "beheld": "VBD|VBN",
    "behemoth": "NN",
    "behemoths": "NNS",
    "behest": "NN",
    "behind": "IN|NN|RB|RP",
    "behind-schedule": "JJ",
    "behind-the-scenes": "JJ",
    "behold": "VB",
    "beholden": "JJ",
    "beholder": "NN",
    "beholds": "VBZ",
    "behooves": "VBZ",
    "behynde": "IN",
    "beige": "JJ",
    "bein": "VBG|FW",
    "being": "VBG|JJ|NN",
    "beinge": "VBG",
    "beings": "NNS",
    "bel": "FW",
    "belaboring": "VBG|NN",
    "belated": "JJ",
    "belatedly": "RB",
    "belch": "NN|VB",
    "belched": "VBD|VBN",
    "belching": "NN|VBG",
    "beleaguered": "JJ|VBN|VBD",
    "belfries": "NNS",
    "belfry": "NN",
    "belie": "VB|VBP",
    "belied": "VBD|VBN",
    "belief": "NN",
    "beliefs": "NNS",
    "belies": "VBZ",
    "believability": "NN",
    "believable": "JJ",
    "believably": "RB",
    "believe": "VBP|VB",
    "believed": "VBN|VBD",
    "believer": "NN",
    "believers": "NNS",
    "believes": "VBZ",
    "believeth": "VBZ",
    "believing": "VBG",
    "belittle": "VBP|VB",
    "belittled": "JJ|VBD|VBN",
    "belittling": "VBG",
    "bell": "NN",
    "bell-ringer": "NN",
    "bell-ringers": "NNS",
    "bell-ringing": "JJ",
    "bellboy": "NN",
    "bellboys": "NNS",
    "belle": "FW|NN",
    "belled": "JJ",
    "belles": "NNS",
    "bellhops": "NNS",
    "bellicosity": "NN",
    "bellies": "NNS",
    "belligerence": "NN",
    "belligerent": "JJ",
    "belligerently": "RB",
    "bellow": "VB|NN",
    "bellowed": "VBD|VBN",
    "bellowing": "VBG",
    "bellows": "VBZ|NN",
    "bellringers": "NNS",
    "bells": "NNS",
    "bellwether": "NN|JJ",
    "bellwethers": "NNS",
    "belly": "NN|RB",
    "belly-flopped": "VBD",
    "belly-up": "RB|JJ",
    "bellyaching": "NN|VBG",
    "bellyfull": "NN",
    "belong": "VB|VBP|JJ",
    "belonged": "VBD|VBN",
    "belonging": "VBG|NN",
    "belongings": "NNS",
    "belongs": "VBZ",
    "beloved": "JJ|VBN|NN",
    "below": "IN|RB",
    "below-average": "JJ",
    "below-investment": "JJ",
    "below-investment-grade": "JJ",
    "below-market": "JJ",
    "belowground": "NN",
    "belt": "NN",
    "belt-driven": "JJ",
    "belt-tightening": "NNS",
    "belted": "VBD|JJ",
    "belting": "NN|VBG",
    "belts": "NNS|VBZ",
    "beltway": "NN",
    "beluga": "NN",
    "belying": "VBG",
    "bemaddening": "VBG",
    "bemoan": "VB",
    "bemoaned": "VBD|VBN",
    "bemoaning": "VBG",
    "bemoans": "VBZ",
    "bemused": "JJ|VBD|VBN",
    "bench": "NN|VB",
    "bench...": ":",
    "benches": "NNS|VBZ",
    "benchmark": "NN|JJ",
    "benchmarks": "NNS",
    "bend": "VB|NN",
    "bending": "VBG|NN",
    "bends": "NNS|VBZ",
    "beneath": "IN|RB",
    "benediction": "NN",
    "benefactor": "NN",
    "benefactors": "NNS",
    "beneficence": "NN",
    "beneficial": "JJ",
    "beneficially": "RB",
    "beneficiaries": "NNS",
    "beneficiary": "NN|JJ",
    "beneficient": "JJ",
    "benefit": "NN|VB|VBP",
    "benefit-plan": "JJ",
    "benefit-seeking": "NN",
    "benefited": "VBD|VBN",
    "benefiting": "VBG",
    "benefits-consulting": "JJ",
    "benefits-for-all": "JJ",
    "benefits-services": "JJ",
    "benevolence": "NN",
    "benevolent": "JJ",
    "benighted": "JJ|VBD|VBN",
    "benign": "JJ",
    "benignant": "JJ",
    "bent": "NN|VBD|VBN|JJ",
    "benzene": "NN",
    "benzodiazepines": "NNS",
    "bequeath": "VB",
    "bequeathed": "VBD|VBN",
    "bequest": "NN",
    "bequests": "NNS",
    "berated": "VBD|VBN",
    "bereavement": "NN",
    "bereavements": "NNS",
    "bereft": "JJ|VBN|VBD",
    "beret": "NN",
    "bergs": "NNS",
    "beribboned": "JJ",
    "beriberi": "NN",
    "berms": "NNS",
    "berries": "NNS",
    "berry": "NN",
    "berserk": "JJ|RB",
    "berth": "NN|VB",
    "berths": "NNS|VBZ",
    "beryllium": "NN",
    "beseech": "VBP|VB",
    "beseiged": "VBN",
    "beset": "VBN|JJ|VBD|VB",
    "besets": "VBZ",
    "besetting": "VBG",
    "beside": "IN|RB",
    "besides": "IN|RB",
    "besiege": "VB",
    "besieged": "VBN|JJ|VBD",
    "besiegers": "NNS",
    "besieging": "VBG",
    "besmirch": "VB",
    "besmirched": "VBD|VBN",
    "besmirching": "VBG",
    "bespeak": "VBP|VB",
    "bespeaks": "VBZ",
    "bespectacled": "JJ",
    "best": "JJS|RBS|JJSS|NN|VB",
    "best-case": "JJ",
    "best-educated": "JJ",
    "best-financed": "JJ",
    "best-gaited": "JJ",
    "best-hearted": "JJ",
    "best-known": "JJS|JJ",
    "best-laid": "JJ",
    "best-looking": "JJ",
    "best-managed": "JJ",
    "best-of-seven": "JJ",
    "best-performing": "JJ|JJS",
    "best-pitcher": "JJ",
    "best-preserved": "JJ",
    "best-run": "JJS",
    "best-seller": "NN",
    "best-sellers": "NNS",
    "best-selling": "JJS|JJ",
    "best-tempered": "JJ",
    "bested": "VBN|VBD",
    "bestes": "NNS",
    "bestial": "JJ",
    "bestiary": "NN",
    "besting": "VBG",
    "bestioles": "NNS",
    "bestirred": "VBN|VBD",
    "bestow": "VB",
    "bestowal": "NN",
    "bestowed": "VBN|VBD",
    "bestows": "VBZ",
    "bestseller": "NN",
    "bestsellers": "NNS",
    "bestselling": "JJ",
    "bestubbled": "JJ",
    "besuboru": "FW",
    "bet": "NN|RB|VB|VBD|VBN|VBP",
    "beta": "NN|JJ",
    "beta-blocker": "NN",
    "beta-thalassemia": "NN",
    "betas": "NNS",
    "bete": "JJ",
    "betel-stained": "JJ",
    "bethought": "VB|VBD|VBN",
    "betide": "VB",
    "betray": "VB|VBP",
    "betrayal": "NN",
    "betrayed": "VBN|VBD",
    "betrayer": "NN",
    "betraying": "VBG",
    "betrays": "VBZ",
    "betrothal": "JJ",
    "betrothed": "VBD|VBN",
    "bets": "NNS|VBZ",
    "better": "JJR|RBR|VB",
    "better-capitalized": "JJ",
    "better-educated": "JJ",
    "better-known": "JJ",
    "better-off": "JJ|JJR",
    "better-paying": "JJ",
    "better-prepared": "JJ",
    "better-quality": "JJ",
    "better-remembered": "JJ",
    "better-safe-than": "JJ",
    "better-selling": "JJ",
    "better-than-average": "JJ",
    "better-than-expected": "JJ|NN",
    "better-than-thou": "JJ",
    "bettered": "VBD|VBN",
    "bettering": "VBG",
    "betterment": "NN",
    "betters": "NNS|VBZ",
    "betties": "NNS",
    "betting": "VBG|NN|JJ",
    "between": "IN|RB",
    "betwen": "NN",
    "bevel": "VB",
    "beveled": "VBN",
    "beveling": "VBG",
    "bevels": "NNS|VBZ",
    "beverage": "NN",
    "beverages": "NNS",
    "bevor": "FW",
    "bevy": "NN",
    "bewail": "VB",
    "beware": "VB|VBP",
    "beween": "NN",
    "bewhiskered": "JJ|VBD|VBN",
    "bewildered": "VBN|JJ|VBD",
    "bewilderedly": "RB",
    "bewildering": "VBG|JJ",
    "bewilderingly": "RB",
    "bewilderment": "NN",
    "bewilders": "VBZ",
    "bewitched": "VBN|VBD",
    "bewitching": "VBG",
    "bewteen": "IN",
    "beyond": "IN|RB",
    "beyond-normal": "JJ",
    "bhoy": "NN",
    "bi": "IN",
    "bi-modal": "JJ",
    "bi-monthly": "JJ",
    "bi-polar": "JJ",
    "bi-regional": "JJ",
    "bianco": "NN",
    "biannual": "JJ",
    "bias": "NN|VB",
    "biased": "VBN|VBD",
    "biases": "NNS",
    "bib": "NN|VB",
    "bible": "JJ|NN",
    "bibles": "NNS",
    "biblical": "JJ",
    "bibliographical": "JJ",
    "bibliographies": "NNS",
    "bibliography": "NN",
    "bibliophiles": "NNS",
    "bibs": "NNS|VBZ",
    "bibulous": "JJ",
    "bicameral": "JJ",
    "bicarbonate": "NN",
    "bicentennial": "JJ|NN",
    "bicep": "NN",
    "biceps": "NNS",
    "bich": "NN",
    "biches": "NNS",
    "bickered": "VBN|VBD",
    "bickering": "NN|VBG",
    "biconcave": "JJ",
    "bicycle": "NN|VB",
    "bicycle-auto": "JJ",
    "bicycles": "NNS|VBZ",
    "bicycling": "NN|VBG",
    "bicyclist": "NN",
    "bid": "NN|VBD|VBN|VBP|VB",
    "bid-asked": "JJ",
    "bid-rigging": "NN",
    "bid-to-cover": "NN|JJ",
    "bid-wanted": "JJ",
    "bidder": "NN",
    "bidders": "NNS",
    "biddies": "NNS",
    "bidding": "NN|VBG|JJ",
    "bide": "VB",
    "bided": "VBN|VBD",
    "bids": "NNS|VBZ",
    "bids...": ":",
    "bien": "FW",
    "biennial": "JJ",
    "biennium": "NN",
    "bifocal": "JJ",
    "bifocals": "NNS",
    "bifurcate": "VB",
    "bifurcated": "JJ|VBD|VBN",
    "big": "JJ|RB",
    "big-boned": "JJ",
    "big-borrowing": "JJ",
    "big-bucks": "JJ",
    "big-budget": "JJ",
    "big-business": "JJ|NN",
    "big-chested": "JJ",
    "big-city": "JJ|NN",
    "big-company": "JJ",
    "big-daddy": "JJ",
    "big-deposit": "JJ",
    "big-fee": "JJ",
    "big-game": "JJ",
    "big-hearted": "JJ",
    "big-large": "NN",
    "big-league": "JJ",
    "big-money": "JJ",
    "big-name": "JJ",
    "big-risk": "JJ",
    "big-selling": "JJ",
    "big-shouldered": "JJ",
    "big-souled": "JJ",
    "big-stage": "JJ",
    "big-stakes": "JJ",
    "big-stock": "JJ",
    "big-ticket": "JJ",
    "big-time": "JJ",
    "big-town": "JJ",
    "big-tube": "JJ",
    "bigger": "JJR|RBR",
    "bigger-than-expected": "JJ",
    "biggest": "JJS|RBS",
    "biggest-ever": "JJ",
    "biggest-selling": "JJ",
    "biggie": "NN",
    "bigness": "NN",
    "bigoted": "JJ",
    "bigotry": "NN",
    "bigots": "NNS",
    "bigticket": "NN",
    "bijouterie": "FW",
    "bike": "NN|VB",
    "biker": "NN",
    "bikers": "NNS",
    "bikes": "NNS|VBZ",
    "biking": "NN|VBG",
    "bikini": "NN",
    "bikinis": "NNS",
    "bilateral": "JJ",
    "bile": "NN",
    "bilevel": "JJ",
    "bilge": "NN",
    "bilges": "NNS",
    "bilharziasis": "NN",
    "bilinear": "JJ",
    "bilingual": "JJ",
    "bilious": "JJ",
    "bilk": "VB",
    "bilked": "VBN|VBD",
    "bilking": "VBG",
    "bill": "NN|VBP|VB",
    "bill-introduced": "NN",
    "billable": "JJ",
    "billboard": "NN",
    "billboards": "NNS",
    "billed": "VBD|VBN|JJ",
    "billet": "NN|VB",
    "billets": "NNS|VBZ",
    "billfold": "NN",
    "billiard": "NN",
    "billiards": "NN|NNS",
    "billing": "NN|VBG",
    "billings": "NNS",
    "billion-a": "JJ",
    "billion-a-year": "JJ",
    "billion-asset": "JJ",
    "billion-dollar": "JJ",
    "billion-franc": "NN",
    "billion-peso": "JJ",
    "billion-pound": "JJ",
    "billion-share": "JJ",
    "billion-yen": "JJ",
    "billionaire": "NN",
    "billionaires": "NNS",
    "billionnaire": "NN",
    "billions": "NNS",
    "billon": "NN",
    "billowed": "VBD|VBN",
    "billowing": "VBG",
    "billows": "NNS|VBZ",
    "bills": "NNS|VBZ",
    "bills-measures": "JJ",
    "bimbos": "NNS",
    "bimolecular": "JJ",
    "bimonthly": "JJ",
    "bin": "NN",
    "binary": "JJ",
    "binational": "JJ",
    "bind": "NN|VB|VBP",
    "binder": "NN",
    "binders": "NNS",
    "binding": "JJ|NN|VBG",
    "bindle": "NN",
    "binds": "VBZ",
    "binge": "NN|VB",
    "binges": "NNS|VBZ",
    "bingo": "NN",
    "bingo-like": "JJ",
    "binoculars": "NNS",
    "binomial": "NN",
    "bins": "NNS",
    "binuclear": "JJ",
    "bio": "NN|JJ",
    "bio-analytical": "JJ",
    "bio-assay": "NN",
    "bio-medical": "JJ",
    "bio-medicine": "NN",
    "bio-research": "NN",
    "biotechnology": "NN",
    "biochemical": "JJ",
    "biochemicals": "NNS",
    "biochemist": "NN",
    "biochemistry": "NN",
    "biochemists": "NNS",
    "biodegradable": "JJ",
    "bioengineer": "VB",
    "bioengineers": "NNS|VBZ",
    "bioequivalence-therapeutic-equivalence": "JJ",
    "bioequivalent": "JJ",
    "biofeedback": "NN",
    "biographer": "NN",
    "biographers": "NNS",
    "biographical": "JJ",
    "biographies": "NNS",
    "biography": "NN",
    "bioherbicide": "NN",
    "bioinsecticides": "NNS",
    "biologic": "JJ",
    "biological": "JJ|NN",
    "biologically": "RB",
    "biologist": "NN",
    "biologists": "NNS",
    "biology": "NN",
    "biomedical": "JJ",
    "biomedical-products": "NNS",
    "biopesticide": "NN",
    "biopharmaceutical": "JJ",
    "biophysical": "JJ",
    "biophysicist": "NN",
    "biophysics": "NNS",
    "biopsies": "NNS",
    "biopsy": "NN",
    "bioresearch": "NN",
    "biosynthesized": "VBN",
    "biotech": "JJ|NN",
    "biotechnology-based": "JJ",
    "bipartisan": "JJ",
    "bipartisanship": "NN",
    "biped": "NN",
    "biplane": "NN",
    "biplanes": "NNS",
    "biracial": "JJ",
    "birch": "NN",
    "birch-paneled": "JJ",
    "birches": "NNS",
    "bird": "NN|VB",
    "bird-brain": "NN",
    "birdbath": "NN",
    "birdcage": "NN",
    "birdie": "NN",
    "birdied": "VBD|VBN",
    "birdies": "NNS",
    "birdlike": "JJ",
    "birds": "NNS|VBZ",
    "birefringence": "NN",
    "birth": "NN",
    "birth-control": "NN|JJ",
    "birth-defect": "NN",
    "birth-prevention": "NN",
    "birthcontrol": "NN",
    "birthday": "NN",
    "birthdays": "NNS",
    "birthed": "VBN",
    "birthmark": "NN",
    "birthplace": "NN",
    "birthrate": "NN",
    "birthright": "NN",
    "births": "NNS",
    "biscotti": "NNS",
    "biscuit": "NN",
    "biscuits": "NNS",
    "bisexual": "JJ",
    "bishop": "NN",
    "bishopry": "NN",
    "bishops": "NNS",
    "bison": "NN",
    "bisque": "NN",
    "bistros": "NNS",
    "bit": "NN|VBD|VBN|JJ|RB",
    "bit-like": "JJ",
    "bitch": "NN|VB",
    "bitchy": "JJ",
    "bite": "NN|VB|VBP",
    "bite-sized": "JJ",
    "bitee": "NN",
    "biter": "NN",
    "bites": "VBZ|NNS",
    "biting": "VBG|JJ",
    "bitingly": "RB",
    "bits": "NNS",
    "bitten": "VBN",
    "bitter": "JJ",
    "bitterest": "JJS",
    "bitterly": "RB",
    "bitterness": "NN",
    "bitters": "NNS",
    "bittersweet": "JJ",
    "bituminous": "JJ",
    "bivouac": "NN|VB",
    "biwa": "FW",
    "biweekly": "JJ|NN",
    "biz": "NN",
    "bizarre": "JJ",
    "bizarrely": "RB",
    "blabbed": "VBD|VBN",
    "blabs": "VBZ",
    "black": "JJ|NN|VB",
    "black-and-orange": "JJ",
    "black-and-white": "JJ",
    "black-and-yellow": "JJ",
    "black-balled": "VBN",
    "black-bearded": "JJ",
    "black-body": "JJ|NN",
    "black-clad": "JJ",
    "black-consumer": "NN",
    "black-crowned": "JJ",
    "black-draped": "JJ",
    "black-eyed": "JJ",
    "black-figured": "JJ",
    "black-haired": "JJ",
    "black-majority": "JJ",
    "black-market": "NN|JJ",
    "black-on-black": "JJ",
    "black-owned": "JJ",
    "black-robed": "JJ",
    "black-tie": "JJ",
    "black-tipped": "JJ",
    "black-white": "JJ",
    "blackballed": "VBN|VBD",
    "blackberry": "NN",
    "blackberry-basil": "NN",
    "blackbird": "NN",
    "blackbirds": "NNS",
    "blackboard": "NN",
    "blacked": "VBN|VBD",
    "blacked-in": "JJ",
    "blacked-out": "JJ",
    "blackened": "VBN|JJ",
    "blackening": "NN",
    "blacker": "JJR",
    "blackest": "JJS",
    "blacking": "NN|VBG",
    "blackjack": "NN|VB",
    "blacklist": "VB",
    "blacklisting": "NN|VBG",
    "blackmail": "VB|NN",
    "blackmailed": "VBN|VBD",
    "blackmailer": "NN",
    "blackmailers": "NNS",
    "blackmailing": "VBG",
    "blackness": "NN",
    "blackout": "NN",
    "blackouts": "NNS",
    "blacks": "NNS|NNPS|VBZ",
    "blacksmith": "NN",
    "bladder": "NN",
    "blade": "NN",
    "blades": "NNS",
    "blame": "VB|NN|VBP|JJ",
    "blamed": "VBN|VBD",
    "blames": "VBZ",
    "blaming": "VBG",
    "blanche": "JJ|NN",
    "blanching": "VBG|NN",
    "bland": "JJ",
    "blander": "JJR",
    "blandly": "RB",
    "blandness": "NN",
    "blank": "JJ|NN|RB|VB",
    "blank-faced": "JJ",
    "blanket": "NN|VBP|JJ",
    "blanketed": "VBD",
    "blankets": "NNS|VBZ",
    "blanks": "NNS|VBZ",
    "blared": "VBD|VBN",
    "blares": "VBZ",
    "blaring": "VBG",
    "blarney": "NN|VB",
    "blase": "NN|JJ",
    "blasphemed": "VBD|VBN",
    "blasphemers": "NNS",
    "blasphemies": "NNS",
    "blasphemous": "JJ",
    "blasphemy": "NN",
    "blast": "NN|VB|UH",
    "blastdown": "NN",
    "blasted": "VBD|VBN",
    "blasting": "VBG|JJ",
    "blasts": "NNS|VBZ",
    "blatancy": "NN",
    "blatant": "JJ",
    "blatantly": "RB",
    "blaze": "VBP|NN|VB",
    "blazed": "VBD|VBN",
    "blazer": "NN",
    "blazing": "VBG|JJ",
    "blazon": "VB",
    "bleach": "NN|VB",
    "bleached": "JJ|VBN|VBD",
    "bleacher": "NN",
    "bleacher-type": "JJ",
    "bleachers": "NNS",
    "bleaching": "VBG",
    "bleak": "JJ|NN",
    "bleaker": "JJR",
    "bleakly": "RB",
    "bleary": "JJ",
    "bleat": "NN|VBP",
    "bleating": "VBG",
    "bleats": "NNS",
    "blebs": "NNS",
    "bled": "VBD|VBN",
    "bleed": "VB|VBP",
    "bleeders": "NNS",
    "bleeding": "VBG|NN",
    "bleedings": "NNS",
    "bleeps": "NNS",
    "blem": "NN",
    "blemish": "NN|VB",
    "blemishes": "NNS|VBZ",
    "blend": "VB|NN|VBP",
    "blended": "JJ|VBD|VBN",
    "blender": "NN",
    "blenders": "NNS",
    "blending": "NN|VBG",
    "blends": "NNS|VBZ",
    "bless": "VB",
    "blessed": "VBN|JJ|VBD",
    "blessing": "NN|VBG",
    "blessings": "NNS",
    "blest": "VB|VBN",
    "blew": "VBD",
    "blight": "NN|VB",
    "blighted": "JJ|VBN|VBD",
    "blind": "JJ|NNS|VB",
    "blind-folded": "JJ",
    "blind-pool": "JJ",
    "blind-sided": "JJ|VBN",
    "blinded": "VBN|VBD",
    "blindfold": "NN",
    "blindfolded": "VBD|VBN|JJ",
    "blinding": "JJ|VBG",
    "blindly": "RB",
    "blindness": "NN",
    "blinds": "NNS|VBZ",
    "blindsided": "VBN|JJ",
    "blini": "NNS",
    "blink": "NN|VB",
    "blinked": "VBD|VBN",
    "blinkers": "NNS",
    "blinking": "RB|JJ|VBG",
    "blinks": "VBZ",
    "blip": "NN|VBP",
    "blips": "NNS",
    "bliss": "NN",
    "blissful": "JJ",
    "blissfully": "RB",
    "blister": "NN|VB",
    "blistered": "VBN|VBD",
    "blistering": "VBG|JJ",
    "blisters": "NNS|VBZ",
    "blithe": "JJ",
    "blithely": "RB",
    "blitz": "NN",
    "blitzes": "NNS",
    "blitzing": "VBG",
    "blitzkrieg": "NN",
    "blizzard": "NN",
    "blizzards": "NNS",
    "bloat": "NN|JJ",
    "bloated": "JJ|VBN",
    "bloating": "NN",
    "blob": "NN|VB",
    "blobby": "JJ",
    "bloc": "NN",
    "block": "VB|NN|VBP|JJ",
    "block-buster": "NN",
    "block-grant": "JJ|NN",
    "block-trading": "NN",
    "blockade": "NN|VB",
    "blockading": "VBG",
    "blockages": "NNS",
    "blockbuster": "NN|JJ",
    "blockbusters": "NNS",
    "blocked": "VBN|JJ|VBD",
    "blocker": "NN",
    "blockhouse": "NN",
    "blocking": "VBG|JJ|NN",
    "blocky": "JJ",
    "blocs": "NNS",
    "bloke": "NN",
    "blokes": "NNS",
    "blond": "JJ|NN",
    "blonde": "JJ|NN",
    "blonde-haired": "JJ",
    "blonde-headed": "JJ",
    "blondes": "NNS",
    "blood": "NN",
    "blood-alcohol": "NN",
    "blood-and-guts": "JJ",
    "blood-bought": "JJ",
    "blood-cell": "NN",
    "blood-chilling": "JJ",
    "blood-clot": "NN",
    "blood-clotting": "JJ",
    "blood-filled": "JJ",
    "blood-flecked": "JJ",
    "blood-flow": "NNS",
    "blood-forming": "JJ",
    "blood-in-the-streets": "NNS",
    "blood-kinship": "NN",
    "blood-letting": "NN",
    "blood-lust": "NN",
    "blood-pressure": "JJ|NN",
    "blood-red": "NN",
    "blood-soaked": "JJ",
    "blood-specked": "JJ",
    "blood-sport": "JJ",
    "blood-stained": "JJ",
    "blood-thirsty": "JJ",
    "bloodbath": "NN",
    "blooded": "VBN|JJ",
    "bloodhounds": "NNS",
    "bloodied": "VBN|JJ",
    "bloodiest": "JJS",
    "bloodless": "JJ",
    "bloodletting": "VBG|NN",
    "bloodlust": "NN",
    "bloodroot": "NN",
    "bloods": "NNS",
    "bloodshed": "NN",
    "bloodshot": "JJ",
    "bloodspots": "NNS",
    "bloodstained": "JJ",
    "bloodstains": "NNS",
    "bloodstream": "NN",
    "bloodsucking": "VBG",
    "bloodthirsty": "JJ",
    "bloody": "JJ",
    "bloody-minded": "JJ",
    "bloom": "NN|VBP|VB",
    "bloomed": "VBD|VBN",
    "blooming": "VBG|NN",
    "blooms": "NNS|VBZ",
    "blooper": "NN",
    "bloops": "NNS",
    "blossom": "VB|JJ|NN",
    "blossomed": "VBN|VBD",
    "blossoms": "NNS|VBZ",
    "blot": "NN|VB",
    "blot-appearance": "NN",
    "blot-like": "JJ",
    "blotch": "NN|VB",
    "blotches": "NNS",
    "blots": "NNS|VBZ",
    "blotted": "VBD|VBN",
    "blotting": "VBG",
    "blouse": "NN",
    "blouses": "NNS",
    "blow": "NN|VB|VBP",
    "blow-up": "NN",
    "blower": "NN",
    "blowfish": "NN",
    "blowing": "VBG|NN",
    "blown": "VBN",
    "blown-up": "VBN",
    "blowout": "NN",
    "blows": "NNS|VBZ",
    "blowtorch": "NN",
    "blowup": "NN",
    "blubber": "NN|VB",
    "bludgeon": "VB|NN",
    "bludgeoned": "VBN|VBD",
    "blue": "JJ|NN",
    "blue-black": "JJ",
    "blue-blood": "JJ",
    "blue-blooded": "JJ",
    "blue-carpeted": "JJ",
    "blue-chip": "JJ|NNP",
    "blue-chips": "NNS",
    "blue-collar": "JJ",
    "blue-collar-mail": "JJ|NN",
    "blue-draped": "JJ",
    "blue-eyed": "JJ",
    "blue-eyes": "NNS",
    "blue-glazed": "JJ",
    "blue-green": "JJ",
    "blue-ribbon": "JJ",
    "blue-sky": "JJ",
    "blue-uniformed": "JJ",
    "blueberries": "NNS",
    "blueberry": "NN",
    "bluebloods": "NNS",
    "bluebonnets": "NNS",
    "bluebook": "NN",
    "bluebush": "NN",
    "bluechip": "JJ",
    "bluefish": "NNS",
    "blueprint": "NN|VB",
    "blueprints": "NNS|VBZ",
    "blues": "NNS|JJ",
    "bluest": "JJS",
    "bluestocking": "NN",
    "bluesy": "JJ",
    "bluff": "NN|JJ",
    "bluffing": "VBG",
    "bluffs": "NNS",
    "bluing": "NN",
    "bluish": "JJ",
    "blunder": "NN|VB",
    "blundered": "VBD|VBN",
    "blunderings": "NNS",
    "blunders": "NNS|VBZ",
    "blunt": "JJ|VB",
    "blunted": "VBN|VBD|JJ",
    "blunter": "NN",
    "bluntest": "RBS",
    "bluntly": "RB",
    "bluntness": "NN",
    "blunts": "VBZ",
    "blur": "VB|NN|VBP",
    "blurred": "VBD|VBN|JJ",
    "blurring": "VBG|NN",
    "blurry": "JJ",
    "blurt": "VBP|NN",
    "blurted": "VBD|VBN",
    "blurting": "VBG",
    "blush": "NN|VB",
    "blushed": "VBD|VBN",
    "blushes": "NNS|VBZ",
    "blushing": "VBG|JJ",
    "bluster": "NN|VB",
    "blustered": "VBD|VBN",
    "blustery": "JJ",
    "blutwurst": "NN",
    "boa": "NN",
    "boar": "NNS",
    "board": "NN|RB|VB",
    "board-level": "JJ",
    "boarded": "VBD|VBN|JJ",
    "boarder": "NN",
    "boarding": "VBG|NN",
    "boarding-home": "NN",
    "boardinghouses": "NNS",
    "boardings": "NNS",
    "boardroom": "NN",
    "boardrooms": "NNS",
    "boards": "NNS|VBZ",
    "boast": "VB|VBP|NN",
    "boasted": "VBD|VBN",
    "boastful": "JJ",
    "boastfully": "RB",
    "boasting": "VBG|NN",
    "boastings": "NNS",
    "boasts": "VBZ",
    "boat": "NN",
    "boat-building": "JJ",
    "boat-rocker...": ":",
    "boat-yard": "NN",
    "boatels": "NNS",
    "boaters": "NNS",
    "boathouses": "NNS",
    "boating": "VBG|NN",
    "boatload": "NN",
    "boatloads": "NNS",
    "boatman": "NN",
    "boats": "NNS",
    "boatsmen": "NNS",
    "boatswain": "NN",
    "boatyards": "NNS",
    "bobbed": "VBD|VBN",
    "bobbin-to-cone": "JJ",
    "bobbing": "VBG",
    "bobbins": "NNS",
    "bobbles": "NNS|VBZ",
    "bobby": "NN|JJ",
    "bobby-sox": "NN",
    "bobby-soxer": "NN",
    "bockwurst": "NN",
    "bodacious": "JJ",
    "bode": "VB|VBP",
    "boded": "VBD|VBN",
    "bodegas": "NNS",
    "bodes": "VBZ",
    "bodice": "NN",
    "bodied": "JJ|VBD|VBN",
    "bodies": "NNS|VBZ",
    "bodily": "JJ|RB",
    "bods": "NNS",
    "body": "NN|VB",
    "body-and-assembly": "JJ",
    "body-numbing": "JJ",
    "body-tissue": "NN",
    "bodybuilder": "NN",
    "bodybuilders": "NNS",
    "bodybuilding": "NN",
    "bodyguard": "NN",
    "bodyguards": "NNS",
    "bodyweight": "NN",
    "bodyworkers": "NNS",
    "bog": "VB|NN",
    "bogey": "NN",
    "bogey-symbol": "NN",
    "bogeyed": "VBD",
    "bogeymen": "NNS",
    "bogeys": "NNS",
    "bogged": "VBD|VBN",
    "bogging": "VBG",
    "boggled": "VBD",
    "bogies": "NNS",
    "bogs": "VBZ",
    "bogus": "JJ",
    "bogy": "NN",
    "bohemian": "JJ",
    "boies": "NNS",
    "boil": "NN|VB",
    "boiled": "VBN|VBD|JJ",
    "boiler": "NN",
    "boiler-burner": "NN",
    "boiler-room": "NN",
    "boilerplate": "NN",
    "boilers": "NNS",
    "boiling": "VBG|NN",
    "boils": "VBZ",
    "bois": "FW",
    "boisterous": "JJ",
    "boite": "NNP",
    "boites": "NNS",
    "bold": "JJ",
    "bolder": "JJR",
    "boldest": "JJS",
    "boldly": "RB",
    "boldness": "NN",
    "boll": "NN",
    "bolo": "NN",
    "bolognaise": "FW",
    "bolster": "VB|VBP|NN",
    "bolstered": "VBN|VBD|JJ",
    "bolstering": "VBG",
    "bolsters": "VBZ",
    "bolt": "NN|VB",
    "bolt-action": "JJ",
    "bolted": "VBN|VBD",
    "bolting": "VBG",
    "bolts": "NNS|VBZ",
    "bomb": "NN|VB",
    "bomb-detection": "JJ",
    "bomb-plant": "JJ",
    "bomb-proof": "JJ",
    "bombard": "VB",
    "bombarded": "VBD|VBN",
    "bombarding": "VBG",
    "bombardment": "NN",
    "bombardments": "NNS",
    "bombast": "NN",
    "bombastic": "JJ",
    "bombed": "VBN|VBD",
    "bomber": "NN",
    "bombers": "NNS",
    "bombing": "NN|VBG",
    "bombings": "NNS",
    "bomblets": "NNS",
    "bombproof": "NN|JJ",
    "bombs": "NNS|VBZ",
    "bombshell": "NN",
    "bon": "FW",
    "bona": "JJ|FW",
    "bonanza": "NN",
    "bonanzas": "NNS",
    "bond": "NN|JJ|VB",
    "bond-equivalent": "JJ|NN",
    "bond-financed": "JJ",
    "bond-fund": "NN",
    "bond-futures": "NNS",
    "bond-holders": "NNS",
    "bond-insurance": "JJ",
    "bond-market": "JJ",
    "bond-price": "JJ",
    "bond-rating": "JJ",
    "bond-trading": "JJ|NN",
    "bond-underwriting": "JJ",
    "bondage": "NN",
    "bonded": "VBN|JJ|VBD",
    "bondholder": "NN",
    "bondholders": "NNS",
    "bondholdings": "NNS",
    "bonding": "NN|VBG",
    "bondmarket": "NN",
    "bonds": "NNS|VBZ",
    "bondsman": "NN",
    "bone": "NN|VB",
    "bone-deep": "JJ",
    "bone-loss": "NN",
    "bone-marrow": "NN",
    "bone-weary": "JJ",
    "boned": "VBN|VBD",
    "bones": "NNS|VBZ",
    "bonfire": "NN",
    "bonfires": "NNS",
    "bongo": "NN",
    "bonheur": "NN",
    "bonkers": "JJ",
    "bonnet": "NN",
    "bonnets": "NNS",
    "bono": "FW",
    "bonus": "NN",
    "bonuses": "NNS|VBZ",
    "bony": "JJ",
    "bonzes": "NNS",
    "boo": "VB",
    "boobify": "VB",
    "booboo": "NN",
    "booboos": "NNS",
    "booby": "JJ|NN",
    "booby-trap": "NN",
    "boodleoo": "UH",
    "booed": "VBD|VBN",
    "boogie": "NN",
    "boogieman": "NN",
    "booing": "VBG",
    "book": "NN|VB",
    "book-breaking": "JJ",
    "book-burning": "JJ",
    "book-buying": "JJ",
    "book-entry": "JJ",
    "book-flogging": "JJ",
    "book-lined": "JJ",
    "book-publishing": "NN|JJ",
    "book-review": "NN",
    "book-selection": "NN",
    "book-to-bill": "JJ|NN",
    "bookcase": "NN",
    "bookcases": "NNS",
    "booked": "VBN|VBD",
    "booker": "NN",
    "bookers": "NNS",
    "bookies": "NNS",
    "booking": "VBG|NN",
    "bookings": "NNS",
    "bookish": "JJ",
    "bookkeeper": "NN",
    "bookkeeping": "NN|VBG",
    "booklet": "NN",
    "booklets": "NNS",
    "booklists": "NNS",
    "books": "NNS|NN|POS|VBZ",
    "bookseller": "NN",
    "bookshelf": "NN",
    "bookshelves": "NNS",
    "bookstore": "NN",
    "bookstores": "NNS",
    "boom": "NN|VB",
    "boom-and-bust": "JJ",
    "boom-boom-boom": "JJ",
    "boom-boxes": "NNS",
    "boom-or-bust": "JJ",
    "boomed": "VBD|VBN",
    "boomerang": "NN|VB|VBD",
    "boomerangs": "NNS",
    "boomers": "NNS",
    "booming": "JJ|VBG",
    "booms": "NNS|VBZ",
    "boomtown": "NN",
    "boon": "NN|JJ",
    "boondoggle": "NN",
    "boondoggler": "NN",
    "boondoggles": "NNS",
    "boorish": "JJ",
    "boors": "NNS",
    "boos": "NNS|VBZ",
    "boost": "VB|NN|VBP",
    "boosted": "VBD|VBN",
    "booster": "NN",
    "boosters": "NNS",
    "boosting": "VBG",
    "boot": "NN|VB",
    "boot-stomping": "JJ",
    "boot-wearer": "JJ",
    "booted": "VBN|VBD|JJ",
    "booth": "NN",
    "booths": "NNS",
    "booting": "VBG",
    "bootleg": "JJ|NN",
    "bootlegged": "VBN",
    "bootlegger": "NN",
    "bootleggers": "NNS",
    "bootlegging": "NN",
    "boots": "NNS|VBZ",
    "booty": "NN",
    "booze": "NN",
    "boozed-out": "JJ",
    "boozing": "VBG",
    "bop": "NN|VB",
    "borates": "NNS",
    "borax": "NN",
    "border": "NN|VB",
    "bordered": "VBN|VBD",
    "bordering": "VBG",
    "borderlands": "NNS",
    "borderline": "JJ|NN|RB",
    "borders": "NNS|VBZ",
    "bore": "VBD|VBP|JJ|NN",
    "bored": "VBN|JJ|VBD",
    "boredom": "NN",
    "borer": "NN",
    "borers": "NNS",
    "bores": "NNS|VBZ",
    "boring": "JJ|VBG|NN",
    "boringly": "RB",
    "born": "VBN",
    "born-again": "JJ",
    "born-to-shop": "JJ",
    "borne": "VBN",
    "borough": "NN",
    "boroughs": "NNS",
    "borrow": "VB|VBP",
    "borrowed": "VBN|VBD|JJ",
    "borrower": "NN",
    "borrowers": "NNS",
    "borrowing": "NN|JJ|VBG",
    "borrowings": "NNS",
    "borrows": "VBZ",
    "bosom": "NN|VB",
    "bosoms": "NNS|VBZ",
    "bosons": "NNS",
    "boss": "NN|VB",
    "bossed": "VBN|VBD",
    "bosses": "NNS|VBZ",
    "bossman": "NN",
    "botanical": "JJ",
    "botanist": "NN",
    "botanists": "NNS",
    "botany": "NN",
    "botched": "VBN|JJ|VBD",
    "bother": "VB|VBP|UH",
    "bothered": "VBN|VBD",
    "bothering": "VBG",
    "bothers": "VBZ",
    "bothersome": "JJ",
    "bottle": "NN|VB",
    "bottled": "JJ|VBD|VBN",
    "bottled-water": "NN|JJ",
    "bottleneck": "NN",
    "bottlenecks": "NNS",
    "bottler": "NN",
    "bottlers": "NNS",
    "bottles": "NNS|VBZ",
    "bottling": "NN|VBG",
    "bottom": "NN|JJ|VB",
    "bottom-down": "JJ",
    "bottom-dwelling": "JJ",
    "bottom-fishers": "NNS",
    "bottom-fishing": "NN",
    "bottom-line": "JJ",
    "bottom-living": "JJ",
    "bottom-of-the-barrel": "JJ",
    "bottomed": "VBD|VBN",
    "bottoming": "VBG",
    "bottomless": "JJ",
    "bottoms": "NNS|VBZ",
    "botulinum": "NN",
    "bouanahsha": "FW",
    "boucle": "NN",
    "bouffant": "JJ|NN",
    "bouffe": "NN",
    "bough": "NN",
    "boughs": "NNS",
    "bought": "VBD|VBN",
    "boulder": "NN",
    "boulders": "NNS",
    "boulevard": "NN",
    "boulevards": "NNS",
    "boun": "NN",
    "bounce": "VB|VBP|NN",
    "bounced": "VBD|VBN",
    "bounces": "VBZ|NNS",
    "bouncing": "VBG|NN",
    "bouncy": "JJ",
    "bound": "VBN|JJ|NN|VBD",
    "boundaries": "NNS",
    "boundary": "NN|JJ",
    "bounded": "VBN|VBD|JJ",
    "bounding": "VBG|JJ",
    "boundless": "JJ",
    "bounds": "NNS|VBZ",
    "bounty": "NN",
    "bounty-hunting": "NN",
    "bountyhunters": "NNS",
    "bouquet": "NN",
    "bouquets": "NNS",
    "bourbon": "NN",
    "bourbons": "NNS",
    "bourgeois": "JJ|NN",
    "bourgeois-bashing": "JJ",
    "bourgeoisie": "NNS|FW",
    "bourses": "NNS",
    "bout": "NN|IN",
    "bout-de-souffle": "FW",
    "boutique": "NN",
    "boutique-lined": "JJ",
    "boutique-store": "NN",
    "boutiques": "NNS",
    "bouts": "NNS",
    "bovine": "JJ|NN",
    "bovines": "NNS",
    "bow": "VB|NN|VBP",
    "bow-tied": "JJ",
    "bowed": "VBD|VBN|JJ",
    "bowel": "NN",
    "bowels": "NNS",
    "bower": "NN|VB",
    "bowing": "VBG",
    "bowl": "NN|VBP",
    "bowl-shaped": "JJ",
    "bowled": "VBN",
    "bowling": "NN|VBG",
    "bowling-league": "NN",
    "bowling-related": "JJ",
    "bowls": "VBZ|NNS",
    "bows": "NNS|VBZ",
    "bowstring": "NN",
    "box": "NN|VB",
    "box-office": "NN",
    "box-sized": "JJ",
    "boxcar": "NN",
    "boxcars": "NNS",
    "boxed": "VBN|VBD",
    "boxed-in": "JJ",
    "boxer": "NN",
    "boxes": "NNS|VBZ",
    "boxing": "NN|VBG",
    "boxy": "JJ",
    "boy": "NN|UH",
    "boy-furiendo": "NN",
    "boy-manager": "NN",
    "boy-meets-girl": "NN",
    "boy-name": "NN",
    "boyars": "NNS",
    "boycott": "NN|VB|VBP",
    "boycotted": "VBN|VBD",
    "boycotting": "VBG",
    "boyfriend": "NN",
    "boyfriends": "NNS",
    "boyhood": "NN",
    "boyish": "JJ",
    "boyish-looking": "JJ",
    "boys": "NNS",
    "bra": "NN",
    "brace": "VB|NN|VBP",
    "braced": "VBN|VBD",
    "bracelet": "NN",
    "braces": "NNS|VBZ",
    "brachii": "NNS",
    "bracing": "VBG|NN",
    "bracket": "NN",
    "brackets": "NNS",
    "brackish": "JJ",
    "brad": "NN",
    "bradykinin": "NN",
    "brag": "VB|VBP|NN",
    "braggadocio": "NN",
    "bragged": "VBD|VBN",
    "bragging": "NN|VBG",
    "brags": "VBZ|NNS",
    "brah": "FW",
    "braided": "JJ|VBN|VBD",
    "braiding": "VBG",
    "braids": "NNS|VBZ",
    "brain": "NN",
    "brain-damaged": "JJ",
    "brain-wave": "JJ",
    "brain-wracking": "JJ",
    "brainchild": "NN",
    "brainlessly": "RB",
    "brainpower": "NN",
    "brains": "NNS",
    "brainstorm": "NN",
    "brainwashed": "VBN",
    "brainwashing": "NN",
    "brainy": "JJ",
    "braised": "VBN",
    "brake": "NN|VB",
    "brakes": "NNS|VBZ",
    "braking": "VBG|NN",
    "brambles": "NNS",
    "bran": "NN",
    "bran-processing": "JJ",
    "branch": "NN|VB",
    "branch-by-branch": "RB",
    "branched": "VBN|JJ|VBD",
    "branches": "NNS|VBZ",
    "branching": "VBG|NN",
    "branchline": "JJ",
    "brand": "NN|VBP|JJ|RB|VB",
    "brand-loyal": "JJ",
    "brand-name": "JJ|NNP",
    "brand-new": "JJ",
    "branded": "VBN|JJ|VBD",
    "brandin": "NN",
    "brandished": "VBD|VBN",
    "brandishes": "VBZ",
    "brandishing": "VBG",
    "brands": "NNS|VBZ",
    "brandy": "NN|VB",
    "brash": "JJ",
    "brashest": "JJS",
    "brashness": "NN",
    "brass": "NN|JJ",
    "brass-bound": "JJ",
    "brasses": "NNS",
    "brassiere": "NN",
    "brassieres": "NNS",
    "brassiness": "NN",
    "brassy": "JJ",
    "brat": "NN",
    "brats": "NNS",
    "bratwurst": "NN",
    "bravado": "NN",
    "brave": "JJ|VB",
    "braved": "VBD|VBN",
    "bravely": "RB",
    "braver": "JJR",
    "bravery": "NN",
    "bravest": "JJS",
    "bravest-feathered": "JJ",
    "braving": "VBG",
    "bravura": "NN|JJ",
    "braweling": "VBG",
    "brawl": "NN|VB",
    "brawle": "NN",
    "brawling": "NN|VBG|JJ",
    "brawny": "JJ",
    "braying": "JJ|VBG",
    "brazen": "VB|JJ",
    "brazenly": "RB",
    "brazenness": "NN",
    "brazier": "NN",
    "brazil": "NN",
    "breach": "NN|VB",
    "breach-of-contract": "JJ",
    "breached": "VBD|VBN",
    "breaches": "NNS|VBZ",
    "breaching": "VBG",
    "bread": "NN",
    "bread-and-butter": "JJ",
    "breadbasket": "NN",
    "breadbox": "NN",
    "breaded": "VBN",
    "breadth": "NN",
    "break": "VB|NN|VBP",
    "break-away": "NN",
    "break-down": "NN",
    "break-even": "JJ|NN|VB",
    "break-in": "NN",
    "break-neck": "JJ",
    "break-the-rules": "JJ",
    "break-through": "NN",
    "break-up": "NN|JJ",
    "break.": "NN",
    "breakables": "NNS",
    "breakage": "NN",
    "breakaway": "NN",
    "breakdown": "NN",
    "breakdowns": "NNS",
    "breaker": "NN",
    "breakers": "NNS",
    "breakeven": "JJ|NN",
    "breakfast": "NN",
    "breakfast-table": "NN",
    "breakfasted": "VBD",
    "breakfasts": "NNS",
    "breakin": "VBG",
    "breaking": "VBG|JJ|NN",
    "breaking-out": "NN",
    "breakneck": "JJ",
    "breakoff": "JJ",
    "breaks": "NNS|VBZ",
    "breakthrough": "NN",
    "breakthroughs": "NNS",
    "breakup": "NN",
    "breakups": "NNS",
    "breakwater": "NN",
    "breakwaters": "NNS",
    "breast": "NN|VB",
    "breast-cancer": "NN",
    "breasts": "NNS|VBZ",
    "breastworks": "NNS",
    "breath": "NN|VB",
    "breath-taking": "JJ|NN",
    "breathalyzer": "NN",
    "breathe": "VB|VBP",
    "breathed": "VBD|VBN",
    "breather": "NN",
    "breathes": "VBZ",
    "breathing": "VBG|NN",
    "breathless": "JJ",
    "breathlessly": "RB",
    "breaths": "NNS|VBZ",
    "breathtaking": "JJ",
    "breathy": "JJ",
    "bred": "VBD|VBN",
    "breeches": "NNS",
    "breed": "NN|VB|VBP",
    "breeder": "NN",
    "breeders": "NNS",
    "breeding": "VBG|NN|JJ",
    "breeds": "NNS|VBZ",
    "breeze": "NN|VB",
    "breezes": "NNS|VBZ",
    "breezier": "JJR",
    "breezy": "JJ",
    "brethren": "NNS|JJ",
    "brevity": "NN",
    "brew": "NN|VB",
    "brewed": "VBN|VBD",
    "brewer": "NN",
    "breweries": "NNS",
    "brewers": "NNS",
    "brewery": "NN",
    "brewery-scion-turned-banker": "NN",
    "brewing": "NN|VBG",
    "brewing-assets": "NNS",
    "brews": "VBZ|NNS",
    "bribe": "NN|VB",
    "bribed": "VBD|VBN",
    "bribers": "NNS",
    "bribery": "NN",
    "bribery-related": "JJ",
    "bribes": "NNS|VBZ",
    "bribing": "VBG",
    "bric-a-brac": "NN|NNS",
    "brick": "NN",
    "brick-and-mortar": "JJ",
    "bricklayers": "NNS",
    "bricklaying": "NN",
    "bricks": "NNS",
    "bridal": "JJ",
    "bride": "NN",
    "bride-gift": "NN",
    "bridegroom": "NN",
    "brides": "NNS",
    "bridesmaids": "NNS",
    "bridge": "NN|JJ|VB",
    "bridge-financing": "JJ",
    "bridge-lending": "JJ",
    "bridge-loan": "JJ",
    "bridged-T": "NNP",
    "bridgehead": "NN",
    "bridgeheads": "NNS",
    "bridges": "NNS|VBZ",
    "bridgework": "NN",
    "bridging": "VBG|JJ",
    "bridle": "NN",
    "bridled": "VBN",
    "brie": "NN",
    "brief": "JJ|NN|VB",
    "briefcase": "NN",
    "briefcases": "NNS",
    "briefed": "VBD|VBN",
    "briefer": "JJR",
    "briefest": "JJS",
    "briefing": "NN|VBG",
    "briefings": "NNS",
    "briefly": "NN|RB",
    "briefly-illumed": "VBN",
    "briefs": "NNS|VBZ",
    "brig": "NN",
    "brigade": "NN",
    "brigades": "NNS",
    "brigadier": "NN",
    "brigands": "NNS",
    "bright": "JJ|RB",
    "bright-eyed": "JJ",
    "bright-green": "JJ",
    "bright-looking": "JJ",
    "bright-red": "JJ",
    "brighten": "VB",
    "brightened": "VBD|VBN",
    "brightener": "NN",
    "brightening": "VBG",
    "brightens": "VBZ",
    "brighter": "JJR",
    "brightest": "JJS",
    "brightly": "RB",
    "brightness": "NN",
    "brilliance": "NN",
    "brilliant": "JJ",
    "brilliantly": "RB",
    "brim": "NN",
    "brimful": "JJ",
    "brimmed": "VBD|VBN",
    "brimming": "VBG|JJ",
    "brimstone": "NN|JJ",
    "brindle": "NN",
    "brine": "NN",
    "bring": "VB|VBP",
    "bringing": "VBG|NN",
    "brings": "VBZ",
    "brink": "NN",
    "brinkmanship": "NN",
    "brinksmanship": "NN",
    "briny": "JJ",
    "briquette": "NN",
    "briquettes": "NNS",
    "brisk": "JJ|VB",
    "brisker": "JJR",
    "briskly": "RB",
    "briskness": "NN",
    "bristle": "VBP|NN|VB",
    "bristled": "VBD|VBN",
    "bristles": "VBZ|NNS",
    "bristling": "VBG|JJ",
    "brittle": "JJ",
    "broach": "VB",
    "broached": "VBN|VBD",
    "broad": "JJ",
    "broad-appeal": "JJ",
    "broad-based": "JJ",
    "broad-brimmed": "JJ",
    "broad-nibbed": "JJ",
    "broad-scale": "JJ",
    "broad-scaled": "JJ",
    "broadcast": "NN|JJ|VB|VBD|VBN",
    "broadcast-and-cable": "JJ",
    "broadcaster": "NN",
    "broadcasters": "NNS",
    "broadcasting": "NN|VBG",
    "broadcastings": "NNS",
    "broadcasts": "NNS|VBZ",
    "broaden": "VB|VBP",
    "broadened": "VBD|VBN",
    "broadening": "VBG|NN",
    "broadens": "VBZ",
    "broader": "JJR",
    "broader-based": "JJ|JJR",
    "broadest": "JJS",
    "broadly": "RB",
    "broadside": "NN|JJ|RB",
    "brocade": "NN",
    "brocaded": "JJ",
    "broccoli": "NNS",
    "brochure": "NN",
    "brochures": "NNS",
    "brockle": "NN",
    "broil": "NN|VB",
    "broiled": "VBN|VBD|JJ",
    "broiler": "NN",
    "broiling": "VBG",
    "brok": "VBD",
    "broke": "VBD|VBN|JJ|RB",
    "broken": "VBN|JJ",
    "broken-backed": "JJ",
    "broken-down": "JJ",
    "broken-nosed": "JJ",
    "brokenly": "RB",
    "broker": "NN",
    "broker-dealer": "JJ|NN",
    "broker-dealers": "NNS",
    "broker-sold": "JJ",
    "brokerage": "NN",
    "brokerage-by-brokerage": "JJ",
    "brokerage-firm": "JJ",
    "brokerage-house": "NN",
    "brokerage-stock": "NN",
    "brokerages": "NNS",
    "brokered": "JJ|VBD|VBN",
    "brokering": "VBG|NN",
    "brokers": "NNS",
    "bromides": "NNS",
    "bromphenol": "NN",
    "bronc": "NN",
    "bronchi": "NNS",
    "bronchial": "JJ",
    "bronchiolar": "JJ",
    "bronchiole": "NN",
    "bronchioles": "NNS",
    "bronchiolitis": "NN",
    "bronchitis": "NN",
    "bronchus": "NN",
    "broncs": "NNS",
    "bronze": "NN|JJ|VB",
    "bronzed": "JJ|VBD|VBN",
    "bronzes": "NNS|VBZ",
    "bronzy-green-gold": "JJ",
    "brooch": "NN|VB",
    "brood": "NN|JJ|VB",
    "brooded": "VBD|VBN",
    "brooding": "VBG|JJ|NN",
    "broods": "NNS|VBZ",
    "broody": "JJ",
    "brook": "NN|VB",
    "brooked": "VBD|VBN",
    "brooken": "VBN",
    "broom": "NN|VB",
    "broth": "NN",
    "brothel": "NN",
    "brothels": "NNS",
    "brother": "NN",
    "brother-in-law": "NN",
    "brotherhood": "NN",
    "brotherism": "NN",
    "brotherly": "JJ",
    "brothers": "NNS",
    "brought": "VBN|VBD",
    "brouhaha": "NN",
    "brow": "NN",
    "brow-beating": "NN",
    "browbeat": "VB|VBD|VBN",
    "browbeaten": "VBN",
    "brown": "JJ|NN|VB",
    "brown-black": "JJ",
    "brown-coal": "NN",
    "brown-edged": "JJ",
    "brown-paper": "JJ",
    "brown-tobacco": "JJ",
    "browned": "VBN|VBD",
    "brownies": "NNS",
    "browning": "VBG",
    "brownish": "JJ",
    "brownouts": "NNS",
    "browny": "JJ",
    "browny-haired": "JJ",
    "brows": "NNS",
    "browse": "VB",
    "browsing": "VBG|NN",
    "browsing.": "NN",
    "brucellosis": "NN",
    "bruddah": "FW|NN",
    "bruinish": "JJ",
    "bruise": "NN|VB",
    "bruised": "VBN|JJ|VBD",
    "bruises": "NNS|VBZ",
    "bruising": "JJ|VBG",
    "bruited": "VBN|VBD",
    "brunch": "NN",
    "brunches": "NNS",
    "brunette": "JJ|NN",
    "brunettes": "NNS",
    "brunt": "NN",
    "brush": "NN|JJ|VB|VBP",
    "brushbacks": "NNS",
    "brushcut": "NN",
    "brushed": "VBD|VBN|JJ",
    "brushes": "NNS|VBZ",
    "brushfire": "NN",
    "brushing": "VBG|NN",
    "brushlike": "JJ",
    "brushoff": "NN",
    "brushwork": "NN",
    "brushy": "JJ",
    "brusquely": "RB",
    "brutal": "JJ",
    "brutal-and": "JJ|CC",
    "brutalism": "NN",
    "brutalities": "NNS",
    "brutality": "NN",
    "brutalized": "VBN|JJ",
    "brutally": "RB",
    "brute": "JJ|NN",
    "brutes": "NNS",
    "brutish": "JJ",
    "brynge": "VBP",
    "bubble": "NN|VBP|VB",
    "bubbled": "VBN|VBD",
    "bubblelike": "JJ",
    "bubbles": "NNS|VBZ",
    "bubbling": "VBG|NN",
    "bubbly": "JJ|NN",
    "buccaneers": "NNS",
    "buccolic": "JJ",
    "buck": "NN|VBP|VB",
    "buckaroos": "NNS",
    "buckboard": "NN",
    "buckboards": "NNS",
    "bucked": "VBD|VBN",
    "bucket": "NN",
    "bucket-shop": "JJ",
    "buckets": "NNS",
    "bucking": "VBG",
    "bucking-up": "NN",
    "buckle": "VB|NN",
    "buckle-on": "JJ",
    "buckled": "JJ|VBD|VBN",
    "buckles": "NNS|VBZ",
    "buckling": "VBG|NN",
    "bucks": "NNS|VBZ",
    "buckshot": "NN",
    "buckskin": "NN",
    "buckskins": "NNS",
    "buckwheat": "NN",
    "bucolic": "JJ",
    "bud": "NN|VB",
    "budded": "VBD|VBN",
    "buddies": "NNS",
    "budding": "VBG|JJ",
    "buddy": "NN",
    "budge": "VB",
    "budged": "VBN|VBD",
    "budget": "NN|VB",
    "budget$": "$",
    "budget-altering": "JJ",
    "budget-cutting": "NN",
    "budget-hotel": "NN",
    "budget-making": "JJ",
    "budget-priced": "JJ",
    "budget-reconciliation": "JJ|NN",
    "budget-reduction": "JJ",
    "budget-sensitive": "JJ",
    "budget-strapped": "JJ",
    "budget-wise": "JJ",
    "budgetary": "JJ",
    "budgeted": "VBN|VBD",
    "budgeteers": "NNS",
    "budgeting": "NN|VBG",
    "budgets": "NNS|VBZ",
    "buds": "NNS|VBZ",
    "budworm": "NN",
    "buff": "NN|JJ|VB",
    "buffalo": "NN|NNS",
    "buffaloes": "NNS",
    "buffer": "NN|VB",
    "buffered": "VBN|VBD",
    "buffet": "NN|VB|VBP",
    "buffeted": "VBN",
    "buffetings": "NNS",
    "buffets": "NNS|VBZ",
    "buffetted": "VBN|VBD",
    "buffetting": "NN|VBG",
    "buffing": "VBG",
    "buffoon": "NN",
    "buffoons": "NNS",
    "buffs": "NNS|VBZ",
    "bug": "NN|VBP|VB",
    "bug-free": "JJ",
    "bugaboo": "NN",
    "bugaboos": "NNS",
    "bugeyed": "JJ",
    "bugged": "VBN|VBD",
    "buggers": "NNS|VBZ",
    "buggies": "NNS",
    "bugging": "NN|VBG",
    "buggy": "NN",
    "bugle": "NN",
    "bugler": "NN",
    "bugless": "JJ",
    "buglike": "JJ",
    "bugs": "NNS|VBZ",
    "build": "VB|VBN|VBP|NN",
    "build-better-for-less": "JJ",
    "build-up": "NN",
    "build-ups": "NNS",
    "builder": "NN",
    "builder-dealer": "JJ",
    "builders": "NNS",
    "buildin": "VBG",
    "building": "NN|VBG",
    "building-control": "NN",
    "building-materials": "NNS",
    "building-products": "NNS",
    "building-related": "JJ",
    "building-society": "JJ",
    "building-supplies": "NNS",
    "buildings": "NNS",
    "builds": "VBZ",
    "buildup": "NN",
    "built": "VBN|JJ|VBD",
    "built-detergent": "JJ",
    "built-from-kit": "JJ",
    "built-in": "JJ|NN",
    "built-soap": "NN",
    "builtin": "JJ",
    "bulb": "NN",
    "bulb-making": "JJ",
    "bulbs": "NNS",
    "bulge": "NN|VB",
    "bulged": "VBD|VBN",
    "bulging": "VBG|JJ",
    "bulk": "NN|JJ|VB",
    "bulk-buying": "JJ",
    "bulk-chemical": "JJ|NN",
    "bulk-mail": "NN",
    "bulked": "VBD|VBN",
    "bulked-up": "JJ",
    "bulkhead": "NN",
    "bulkheads": "NNS",
    "bulking": "VBG",
    "bulks": "VBZ",
    "bulky": "JJ",
    "bull": "NN|VB",
    "bull-headed": "JJ",
    "bull-like": "JJ",
    "bull-market": "NN",
    "bull-necked": "JJ",
    "bull-roaring": "JJ",
    "bull-sessions": "NNS",
    "bulldog": "JJ",
    "bulldoze": "VB",
    "bulldozed": "VBN|VBD",
    "bulldozer": "NN",
    "bulldozers": "NNS",
    "bullet": "NN",
    "bullet-proof": "JJ",
    "bullet-riddled": "JJ",
    "bulletin": "NN|VB",
    "bulletin-board": "NN",
    "bulletins": "NNS|VBZ",
    "bulletproof": "JJ",
    "bullets": "NNS",
    "bullfighter": "NN",
    "bullhide": "NN",
    "bullhorn": "NN",
    "bullhorns": "NNS",
    "bullied": "VBD|VBN|JJ",
    "bullies": "VBZ|NNS",
    "bullion": "NN",
    "bullish": "JJ",
    "bullishly": "RB",
    "bullishness": "NN",
    "bullock": "NN",
    "bulls": "NNS|VBZ",
    "bullshit": "NN|VB|VBD|VBN",
    "bullwhackers": "NNS",
    "bully": "NN|VBP|VB",
    "bullyboys": "NNS",
    "bullying": "VBG",
    "bulwark": "NN",
    "bum": "NN|VBP|JJ|VB",
    "bumble": "VBP|VB",
    "bumble-bee": "NN",
    "bumblebee": "NN",
    "bumblebees": "NNS",
    "bumbling": "VBG|JJ",
    "bummed": "VBN|VBD",
    "bumming": "VBG",
    "bump": "NN|VB|VBP",
    "bumped": "VBN|VBD",
    "bumper": "NN|JJ|JJR",
    "bumper-sticker": "NN",
    "bumper-to-bumper": "JJ",
    "bumpers": "NNS",
    "bumpin": "VBG",
    "bumping": "VBG",
    "bumps": "NNS|VBZ",
    "bumptious": "JJ",
    "bumpy": "JJ",
    "bums": "NNS|VBZ",
    "bun": "NN",
    "bunch": "NN|VB",
    "buncha": "NN",
    "bunched": "VBN|VBD",
    "bunches": "NNS|VBZ",
    "bunching": "VBG",
    "bunco": "NN|VB",
    "bundle": "NN|VB",
    "bundled": "VBN|VBD",
    "bundles": "NNS|VBZ",
    "bundling": "VBG",
    "bungalow": "NN",
    "bungled": "VBN|VBD",
    "bungling": "VBG|JJ",
    "bunk": "NN|VB",
    "bunked": "VBD|VBN",
    "bunker": "NN",
    "bunkered": "VBN",
    "bunkmate": "NN",
    "bunkmates": "NNS",
    "bunko": "NN",
    "bunko-forgery": "NN",
    "bunks": "NNS|VBZ",
    "bunnies": "NNS",
    "bunny": "NN",
    "buns": "NNS",
    "bunt": "NN|VB",
    "bunter": "NN",
    "bunters": "NNS",
    "buoy": "VB",
    "buoyancy": "NN",
    "buoyant": "JJ",
    "buoyed": "VBN|VBD",
    "buoying": "VBG",
    "buoys": "VBZ|NNS",
    "burbles": "VBZ",
    "burden": "NN|VB|VBP",
    "burden-sharing": "NN",
    "burdened": "VBN|VBD",
    "burdening": "VBG",
    "burdensome": "JJ",
    "burdock": "NN",
    "bureacracy": "NN",
    "bureacratic": "JJ",
    "bureau": "NN",
    "bureau-sponsored": "JJ",
    "bureaucracies": "NNS",
    "bureaucracy": "NN",
    "bureaucrat": "NN",
    "bureaucratic": "JJ",
    "bureaucraticized": "JJ",
    "bureaucratization": "NN",
    "bureaucrats": "NNS",
    "bureauracy": "NN",
    "bureaus": "NN|NNS",
    "burgeoned": "VBD|VBN",
    "burgeoning": "VBG|JJ",
    "burger": "NN",
    "burger-heavy": "JJ",
    "burgers": "NNS",
    "burglar": "NN",
    "burglaries": "NNS",
    "burglarized": "VBN",
    "burglarproof": "JJ",
    "burglars": "NNS",
    "burglary": "NN",
    "burgomaster": "NN",
    "burgs": "NNS",
    "burgundy": "NN",
    "burial": "NN|JJ",
    "burials": "NNS",
    "buried": "VBN|JJ|VBD",
    "burl": "NN",
    "burlap": "NN",
    "burlesque": "JJ|VB",
    "burlesques": "NNS|VBZ",
    "burley": "NN",
    "burly": "JJ",
    "burn": "VB|VBP|NN",
    "burne": "VB",
    "burned": "VBN|JJ|VBD",
    "burned-out": "JJ",
    "burner": "NN",
    "burners": "NNS",
    "burning": "NN|VBG|JJ",
    "burnings": "NNS",
    "burnished": "VBN|VBD",
    "burnishing": "VBG",
    "burnout": "NN",
    "burnouts": "NNS",
    "burns": "NNS|VBZ",
    "burnt": "JJ|VBN|VBD",
    "burnt-orange": "JJ",
    "burnt-red": "JJ",
    "burping": "VBG",
    "burr": "NN",
    "burr-headed": "JJ",
    "burrow": "NN|VB",
    "burrowed": "VBD|VBN",
    "burrowing": "VBG",
    "burrows": "NNS|VBZ",
    "burrs": "NNS",
    "bursitis": "NN",
    "burst": "NN|VBD|VBN|VBP|VB",
    "bursting": "VBG",
    "bursts": "NNS|VBZ",
    "bury": "VB|VBP",
    "burying": "VBG",
    "bus": "NN",
    "busboy": "NN",
    "bused": "VBN",
    "buses": "NNS",
    "bush": "NN",
    "bushel": "NN|VB",
    "bushels": "NNS|VBZ",
    "bushes": "NNS",
    "bushwhacked": "VBD|VBN",
    "bushwhackin": "JJ",
    "bushy": "JJ",
    "bushy-tailed": "JJ",
    "busied": "VBD|VBN",
    "busier": "JJR",
    "busies": "NNS|VBZ",
    "busiest": "JJS",
    "busily": "RB",
    "business": "NN|NNP",
    "business-as-usual": "JJ",
    "business-automation": "NN",
    "business-class": "JJ",
    "business-communications": "NNS",
    "business-credit": "NN",
    "business-development": "NN",
    "business-interruption": "JJ",
    "business-judgment": "NN",
    "business-like": "JJ",
    "business-machines": "NNS",
    "business-migration": "NN",
    "business-minded": "JJ",
    "business-oriented": "JJ",
    "business-partners": "NNS",
    "business-promotion": "NN",
    "business-related": "JJ",
    "business-services": "JJ",
    "business-telephone": "JJ",
    "business-to-business": "NN|JJ",
    "business-venture": "JJ",
    "business...": ":",
    "business....": ":",
    "businesses": "NNS",
    "businesslike": "JJ",
    "businessman": "NN",
    "businessmen": "NNS",
    "businessmen-authors": "NN",
    "businesspeople": "NN",
    "businesswoman": "NN",
    "busing": "VBG",
    "busload": "NN",
    "busloads": "NNS",
    "buss": "NN|VB",
    "busses": "NNS",
    "bust": "NN|JJ|RB|VB|VBD|VBN",
    "bust-up": "JJ",
    "busted": "JJ|VBD|VBN",
    "buster": "NN",
    "busters": "NNS",
    "bustin": "VBG",
    "busting": "VBG",
    "bustle": "NN|VB",
    "bustlin": "NN",
    "bustling": "JJ|VBG",
    "busts": "NNS|VBZ",
    "busy": "JJ|VB",
    "busy-work": "NN",
    "busybodies": "NNS",
    "busyness": "NN",
    "but": "CC|IN|JJ|RB",
    "but-bulls": "IN",
    "but...": ":",
    "butadiene-emulsions": "NNS",
    "butane": "NN",
    "butcher": "NN|VB",
    "butchered": "VBN|VBD",
    "butchering": "NN|VBG",
    "butchers": "NNS|VBZ",
    "butchery": "NN",
    "butler": "NN",
    "butlers": "NNS",
    "buts": "NNS",
    "butt": "NN|CC|VBP|VB",
    "butted": "VBN|VBD",
    "butter": "NN",
    "butterfat": "NN",
    "butterfat-rich": "JJ",
    "butterflies": "NNS",
    "butterfly": "NN",
    "butternut": "NN",
    "buttery": "JJ",
    "butting": "VBG",
    "buttocks": "NNS",
    "button": "NN|VB",
    "button-down": "JJ",
    "buttoned": "VBN|VBD",
    "buttoned-down": "JJ",
    "buttoned-up": "JJ",
    "buttonholes": "NNS|VBZ",
    "buttons": "NNS|VBZ",
    "buttress": "VB",
    "buttressed": "VBN|VBD",
    "buttresses": "VBZ|NNS",
    "butts": "NNS|VBZ",
    "butyl-lithium": "NN",
    "butyrate": "NN",
    "buxom": "JJ",
    "buy": "VB|VBP|JJ|NN",
    "buy-back": "NN|JJ|VB",
    "buy-backs": "NNS|VBZ",
    "buy-now": "JJ",
    "buy-out": "NN|JJ",
    "buy-out-related": "JJ",
    "buy-outs": "NNS",
    "buy-sell": "JJ",
    "buy-stop": "JJ",
    "buyback": "NN|JJ",
    "buyer": "NN",
    "buyers": "NNS",
    "buyin": "NN",
    "buying": "VBG|NN|JJ",
    "buyings": "NNS",
    "buyout": "NN",
    "buyouts": "NNS",
    "buys": "VBZ|NNS",
    "buzz": "NN|JJ|VB",
    "buzz-buzz-buzz": "NN",
    "buzzed": "VBD|VBN",
    "buzzer": "NN",
    "buzzes": "VBZ|NNS",
    "buzzing": "VBG|JJ",
    "buzzsaw": "NN",
    "buzzword": "NN",
    "buzzwords": "NNS",
    "by": "IN|RB|RP",
    "by-election": "NN|JJ",
    "by-gone": "JJ",
    "by-laws": "NNS",
    "by-pass": "NN",
    "by-passed": "VBN",
    "by-passes": "VBZ",
    "by-passing": "VBG",
    "by-product": "NN",
    "by-products": "NNS",
    "by-roads": "NNS",
    "by-ways": "NNS",
    "by-wheelchair": "JJ",
    "bye": "VB|UH",
    "bygone": "JJ",
    "byinge": "VBG",
    "bylaw": "NN",
    "bylaws": "NNS",
    "byline": "NN",
    "bylines": "NNS",
    "bypass": "NN|VB",
    "bypassed": "VBN|VBD",
    "bypassing": "VBG",
    "byplay": "NN",
    "byproduct": "NN",
    "byproducts": "NNS",
    "bystander": "NN",
    "bystanders": "NNS",
    "bytes": "NNS",
    "byway": "NN",
    "byways": "NNS",
    "byword": "NN",
    "byzantine": "JJ",
    "c": "SYM|NN|LS|NNP|NNS",
    "c-Domestic": "JJ|LS",
    "c-Excludes": "VB",
    "c-Translated": "VBN|NNP",
    "c-Yields": "NNS|LS",
    "c-reflects": "VBZ",
    "c.i.f": "JJ",
    "ca": "MD",
    "ca.": "IN|NN",
    "cab": "NN|VB",
    "cabal": "NN|VB",
    "cabana": "NN",
    "cabanas": "NNS",
    "cabaret": "NN",
    "cabaret-like": "JJ",
    "cabbage": "NN|VB",
    "cabdriver": "NN",
    "cabin": "NN",
    "cabin-crew": "NNS",
    "cabinet": "NN|JJ",
    "cabinet-level": "JJ",
    "cabinetmakers": "NNS",
    "cabinets": "NNS",
    "cabins": "NNS",
    "cable": "NN|VBP|JJ|VB",
    "cable-TV": "NN|NNP",
    "cable-TV-system": "NN",
    "cable-programming": "JJ",
    "cable-television": "NN",
    "cable-television-equipped": "JJ",
    "cable-televison": "NN",
    "cabled": "VBD|VBN",
    "cables": "NNS|VBZ",
    "cabs": "NNS|VBZ",
    "cacao": "NN",
    "cache": "NN|VB",
    "caches": "NNS|VBZ",
    "cachet": "NN",
    "cachexia": "FW",
    "cackled": "VBD",
    "cackly": "RB",
    "cacophony": "NN",
    "cactus": "NN",
    "cadaver": "NN",
    "cadaverous": "JJ",
    "cadence": "NN",
    "cadenza": "NN",
    "cadet": "NN",
    "cadets": "NNS",
    "cadge": "VBP|VB",
    "cadmium": "NN",
    "cadre": "NN",
    "cadres": "NNS",
    "cafe": "NN",
    "cafes": "NNS",
    "cafeteria": "NN",
    "cafeteria-style": "JJ",
    "cafeterias": "NNS",
    "caffeine": "NN",
    "caffeine-free": "JJ",
    "cage": "NN",
    "caged": "VBN",
    "cages": "NNS",
    "cagey": "JJ",
    "cahoots": "NNS",
    "cain": "MD",
    "cajole": "VB",
    "cajun": "JJ",
    "cake": "NN|VB",
    "caked": "VBD|VBN",
    "cakes": "NNS|VBZ",
    "calamities": "NNS",
    "calamitous": "JJ",
    "calamity": "NN",
    "calcification": "NN",
    "calcified": "VBD",
    "calcium": "NN",
    "calcium-supplemented": "JJ",
    "calculable": "JJ",
    "calculate": "VB|VBP",
    "calculated": "VBN|VBD|JJ",
    "calculates": "VBZ",
    "calculating": "VBG|JJ|NN",
    "calculation": "NN",
    "calculations": "NNS",
    "calculator": "NN",
    "calculator-toting": "JJ",
    "calculators": "NNS",
    "calculi": "NNS",
    "calculus": "NN",
    "calendar": "NN",
    "calendars": "NNS",
    "calf": "NN",
    "calfskin": "NN",
    "caliber": "NN",
    "calibers": "NNS",
    "calibrated": "VBN|VBD",
    "calibrates": "VBZ",
    "calibrating": "VBG",
    "calibration": "NN",
    "calibrations": "NNS",
    "calibre": "NN",
    "caliche-topped": "JJ",
    "calico": "JJ|NN",
    "calinda": "NN",
    "caliper": "NN",
    "calipers": "NNS",
    "caliphs": "NNS",
    "calisthenics": "NNS",
    "call": "VB|JJ|NN|VBP",
    "call-backs": "NNS",
    "call-in": "JJ",
    "call-ups": "NNS",
    "callable": "JJ",
    "called": "VBN|VBD",
    "caller": "NN",
    "callers": "NNS",
    "calligraphers": "NNS",
    "calligraphy": "NN",
    "callin": "VBG",
    "calling": "VBG|NN",
    "callipygous": "NN",
    "callous": "JJ|VB",
    "calloused": "JJ|VBD|VBN",
    "callously": "RB",
    "callousness": "NN",
    "calls": "VBZ|NNS",
    "calluses": "NNS",
    "calm": "JJ|NN|VB",
    "calmed": "VBN|VBD",
    "calmer": "JJR",
    "calmest": "JJS",
    "calming": "JJ|VBG",
    "calmly": "RB",
    "calmness": "NN",
    "caloric": "JJ",
    "calorie": "NN",
    "calorie-heavy": "JJ",
    "calories": "NNS",
    "calorimeter": "NN",
    "calorimetric": "JJ",
    "calumniated": "VBN|VBD",
    "calumny": "NN",
    "calves": "NNS",
    "calving": "VBG|NN",
    "calypso": "NN",
    "camaraderie": "NN",
    "camcorder": "NN",
    "camcorders": "NNS",
    "came": "VBD",
    "camel": "NN",
    "camellias": "NNS",
    "cameo": "NN|JJ",
    "cameo-like": "JJ",
    "cameos": "NNS",
    "camera": "NN",
    "cameraman": "NN",
    "cameramen": "NNS",
    "cameras": "NNS",
    "camouflage": "NN|VB",
    "camouflaged": "VBN|JJ|VBD",
    "camp": "NN|VB",
    "camp-made": "JJ",
    "campagna": "NN",
    "campaign": "NN|VB",
    "campaign-decided": "NN",
    "campaign-finance": "JJ",
    "campaigned": "VBN|VBD",
    "campaigners": "NNS",
    "campaigning": "NN|VBG",
    "campaigns": "NNS|VBZ",
    "camped": "VBD|VBN",
    "camper": "NN",
    "campers": "NNS",
    "campfire": "NN",
    "campground": "NN",
    "campgrounds": "NNS",
    "camping": "NN|VBG",
    "camping-out": "JJ",
    "campmate": "NN",
    "camps": "NNS|VBZ",
    "campsites": "NNS",
    "campus": "NN",
    "campuses": "NNS",
    "cams": "NNS",
    "can": "MD|NN|VB",
    "can..": "MD",
    "canal": "NN|VB",
    "canals": "NNS|VBZ",
    "canard": "NN",
    "canary-colored": "JJ",
    "cancel": "VB|NN",
    "canceled": "VBN|VBD|JJ",
    "canceling": "VBG",
    "cancellation": "NN",
    "cancellations": "NNS",
    "cancelled": "VBN|VBD",
    "cancelling": "VBG",
    "cancels": "VBZ",
    "cancer": "NN",
    "cancer-causing": "JJ",
    "cancer-gene": "JJ",
    "cancer-related": "JJ",
    "cancer-ridden": "JJ",
    "cancer-suppressing": "JJ",
    "cancer-suppressors": "NNS",
    "cancer-susceptible": "JJ",
    "cancerous": "JJ",
    "cancers": "NNS",
    "candid": "JJ",
    "candidacy": "NN",
    "candidate": "NN",
    "candidate-picking": "JJ",
    "candidates": "NNS",
    "candidly": "RB",
    "candies": "NNS|VBZ",
    "candle": "NN",
    "candle-lit": "JJ",
    "candlelight": "NN",
    "candles": "NNS",
    "candlewick": "NN",
    "candor": "NN",
    "candour": "NN",
    "candy": "NN|VB",
    "candybar": "NN",
    "cane": "NN|VB",
    "canine": "JJ|NN",
    "caning": "NN|VBG",
    "canister": "NN",
    "canisters": "NNS",
    "canker": "NN",
    "canned": "VBN|JJ",
    "canned-food": "NN",
    "canned-foods": "NNS|JJ",
    "canned-mushroom": "JJ",
    "canneries": "NNS",
    "canners": "NNS",
    "cannery": "NN",
    "cannibalism": "NN",
    "cannibalistic": "JJ",
    "cannibalize": "VB",
    "cannibalizing": "VBG",
    "cannibals": "NNS",
    "canning": "NN|VBG|JJ",
    "cannister": "NN",
    "cannisters": "NNS",
    "cannon": "NN|NNS",
    "cannonball": "NN",
    "cannons": "NNS",
    "cannot": "MD",
    "canny": "JJ",
    "canoe": "NN|VBP",
    "canoes": "NNS",
    "canon": "NN",
    "canonist": "NN",
    "canonized": "VBN|JJ|VBD",
    "canons": "NNS",
    "canopy": "NN",
    "cans": "NNS|VBZ",
    "cant": "NN|VB",
    "cantaloupe": "NN",
    "canted": "JJ|VBD|VBN",
    "canteen": "NN",
    "canter": "NN",
    "cantered": "VBD",
    "cantilevers": "NNS",
    "canting": "JJ|VBG",
    "cantles": "NNS",
    "canto": "FW|NN",
    "cantonal": "JJ",
    "cantonment": "NN",
    "cantons": "NNS|VBZ",
    "canvas": "NN",
    "canvases": "NNS",
    "canvass": "NN|VB",
    "canvassed": "VBN|VBD",
    "canvassers": "NNS",
    "canvassing": "VBG",
    "canyon": "NN",
    "canyons": "NNS",
    "canyonside": "NN",
    "cap": "NN|VBP|VB",
    "cap-and-ball": "JJ",
    "cap.": "NN",
    "capabilities": "NNS",
    "capabilities.": "NN",
    "capability": "NN",
    "capability...": ":",
    "capable": "JJ",
    "capably": "RB",
    "capacious": "JJ",
    "capacitance": "NN",
    "capacities": "NNS",
    "capacitor": "NN",
    "capacitors": "NNS",
    "capacity": "NN",
    "capacity-controlled": "JJ",
    "capacity-expansion": "JJ|NN",
    "cape": "NN",
    "caper": "NN",
    "capercailzie": "NN",
    "capering": "VBG",
    "capers": "NNS",
    "capes": "NNS",
    "capillary": "NN",
    "capita": "NN|NNS|FW",
    "capital": "NN|JJ",
    "capital-appreciation": "NN",
    "capital-assets": "NNS",
    "capital-boosting": "JJ",
    "capital-coverage": "NN",
    "capital-draining": "VBG",
    "capital-equipment": "NN",
    "capital-formation": "NN",
    "capital-gain": "JJ",
    "capital-gains": "NNS|JJ",
    "capital-gains-cut": "JJ",
    "capital-gains-tax": "JJ",
    "capital-goods": "NNS",
    "capital-improvement": "NN",
    "capital-intensive": "JJ",
    "capital-market": "JJ|NN",
    "capital-markets": "JJ",
    "capital-punishment": "NN",
    "capital-raising": "JJ|NN",
    "capital-reserve": "JJ",
    "capital-spending": "JJ|NN",
    "capital-to-asset": "NN|JJ",
    "capital-to-assets": "NNS|JJ",
    "capitalgains": "NNS",
    "capitalism": "NN",
    "capitalist": "JJ|NN",
    "capitalist-democratic": "JJ",
    "capitalist-exploiters-greedy-american-consumers-global": "JJ",
    "capitalistic": "JJ",
    "capitalists": "NNS",
    "capitalization": "NN",
    "capitalizations": "NNS",
    "capitalize": "VB",
    "capitalized": "VBN|JJ|VBD",
    "capitalizes": "VBZ",
    "capitalizing": "VBG",
    "capitalmarket": "NN",
    "capitals": "NNS",
    "capitol": "NN",
    "capitulated": "VBD|VBN",
    "capitulation": "NN",
    "capo": "NN",
    "capos": "NNS",
    "capped": "VBD|VBN|JJ",
    "capping": "VBG|NN",
    "cappuccino": "NN",
    "capricious": "JJ",
    "capriciously": "RB",
    "capriciousness": "NN",
    "caps": "NNS|VBZ",
    "capsicum": "NN",
    "capstan": "NN",
    "capsule": "NN",
    "capsules": "NNS",
    "captain": "NN|VBP",
    "captaincy": "NN",
    "captains": "NNS",
    "caption": "NN",
    "captioned": "VBD",
    "captions": "NNS",
    "captious": "JJ",
    "captivated": "VBN|VBD|JJ",
    "captivating": "JJ|VBG",
    "captive": "NN|JJ",
    "captives": "NNS",
    "captivity": "NN",
    "captors": "NNS",
    "capture": "VB|VBP|NN",
    "captured": "VBN|JJ|VBD",
    "captures": "VBZ|NNS",
    "capturing": "VBG",
    "car": "NN",
    "car-assembly": "NN",
    "car-buff": "JJ",
    "car-care": "JJ",
    "car-crash": "JJ",
    "car-dealers": "NNS",
    "car-development": "NN",
    "car-happy": "JJ",
    "car-industry": "NN",
    "car-leasing": "NN",
    "car-maker": "NN",
    "car-market": "JJ|NN",
    "car-owners": "NNS",
    "car-parking": "JJ",
    "car-parts": "JJ",
    "car-rental": "JJ|NN",
    "car-safety": "JJ|NN",
    "car-sales": "NNS",
    "carabao": "NN",
    "caramel": "NN",
    "carat": "NN",
    "carats": "NNS",
    "caravan": "NN",
    "caravans": "NNS",
    "caraway": "JJ|NN",
    "carbamazepine": "NN",
    "carbaryl": "NN",
    "carbide": "NN",
    "carbide-products": "NNS",
    "carbine": "NN",
    "carbines": "NNS",
    "carbohydrate": "NN",
    "carbon": "NN",
    "carbon-14": "NN",
    "carbon-dioxide": "NN",
    "carbon-halogen": "NN",
    "carbon-impregnated": "JJ",
    "carbon-monoxide": "NN",
    "carbonates": "NNS",
    "carbons": "NNS",
    "carbonyl": "NN",
    "carborundum": "JJ",
    "carboxy-labeled": "JJ",
    "carboxymethyl": "NN",
    "carcass": "NN",
    "carcasses": "NNS",
    "carcinogen": "NN",
    "carcinogenic": "JJ",
    "carcinogens": "NNS",
    "carcinoma": "NN",
    "card": "NN|VB",
    "card-activated": "JJ",
    "card-carrying": "JJ",
    "card-holder": "NN",
    "card-member": "NN|JJ",
    "cardamom": "NN",
    "cardboard": "NN|JJ",
    "cardholder": "NN",
    "cardholders": "NNS",
    "cardiac": "JJ",
    "cardiac-drug": "JJ",
    "cardigan": "NN",
    "cardinal": "JJ|NN",
    "cardinals": "NNS",
    "cardiologist": "NN",
    "cardiologists": "NNS",
    "cardiomegaly": "NN",
    "cardiovascular": "JJ",
    "cardmember": "NN",
    "cardmembers": "NNS",
    "cards": "NNS|VBZ",
    "care": "NN|VB|VBP",
    "care-adviser": "NN",
    "care-free": "JJ",
    "care.": "NN",
    "cared": "VBD|VBN",
    "careen": "VB",
    "careened": "VBD|VBN",
    "careening": "VBG",
    "career": "NN|NNP",
    "career-bound": "JJ",
    "career-risking": "JJ",
    "careerism": "NN",
    "careerists": "NNS",
    "careers": "NNS",
    "carefree": "JJ",
    "careful": "JJ",
    "carefully": "RB",
    "carefulness": "NN",
    "caregiver": "NN",
    "caregivers": "NNS",
    "careless": "JJ",
    "carelessly": "RB",
    "carelessness": "NN",
    "cares": "VBZ|NNS",
    "caress": "VB",
    "caressed": "VBD|VBN",
    "caresses": "NNS|VBZ",
    "caressing": "VBG|NN",
    "caretaker": "NN",
    "careworn": "JJ",
    "cargo": "NN",
    "cargo-handling": "NN",
    "cargoes": "NNS",
    "caribou": "NN|NNS",
    "caricature": "VB|NN",
    "caricatured": "VBN|VBD",
    "caricatures": "NNS|VBZ",
    "caricaturist": "NN",
    "carillons": "NNS",
    "caring": "NN|VBG|JJ",
    "carinii": "NN",
    "carload": "NN",
    "carloading": "NN",
    "carloads": "NNS",
    "carnage": "NN",
    "carnal": "JJ",
    "carnality": "NN",
    "carne": "FW",
    "carnival": "NN",
    "carnivores": "NNS",
    "carnivorous": "JJ",
    "caro": "FW",
    "carob": "NN",
    "carousel": "NN",
    "carousing": "NN|VBG",
    "carp": "NN|VBP|VB",
    "carpal": "NN",
    "carpenter": "NN",
    "carpenters": "NNS",
    "carpentry": "NN",
    "carpet": "NN",
    "carpet-cleaning": "JJ",
    "carpetbaggers": "NNS",
    "carpeted": "VBN|VBD",
    "carpeting": "NN",
    "carpets": "NNS",
    "carping": "NN|VBG|JJ",
    "carport": "NN",
    "carps": "VBZ",
    "carreer": "NN",
    "carriage": "NN",
    "carriage-step": "NN",
    "carriages": "NNS",
    "carried": "VBD|VBN",
    "carrier": "NN",
    "carrier-based": "JJ",
    "carrier-current": "JJ",
    "carriers": "NNS",
    "carries": "VBZ|NNS",
    "carrion": "JJ|NN",
    "carrot": "NN",
    "carrots": "NNS",
    "carry": "VB|NN|VBP",
    "carry-forward": "NN",
    "carry-forwards": "NNS",
    "carry-in": "JJ",
    "carry-on": "JJ|NN",
    "carryforwards": "NNS",
    "carrying": "VBG|JJ|NN",
    "carryover": "NN",
    "carryovers": "NNS",
    "cars": "NNS",
    "cart": "NN|VBP|VB",
    "carte": "NN",
    "carted": "VBD|VBN",
    "cartel": "NN",
    "cartelized": "VBN",
    "cartels": "NNS",
    "cartilage": "NN",
    "carting": "VBG",
    "carton": "NN",
    "cartons": "NNS",
    "cartoon": "NN",
    "cartoonish": "JJ",
    "cartoonist": "NN",
    "cartoonists": "NNS",
    "cartoonlike": "JJ",
    "cartoons": "NNS",
    "cartridge": "NN",
    "cartridges": "NNS",
    "carts": "NNS|VBZ",
    "cartwheels": "NNS",
    "carve": "VBP|VB",
    "carved": "VBN|JJ|VBD",
    "carved-out-of-solid": "JJ",
    "carven": "VBN",
    "carver": "NN",
    "carvers": "NNS",
    "carves": "VBZ",
    "carving": "VBG",
    "carvings": "NNS",
    "caryatides": "NNS",
    "casbah": "NN",
    "cascade": "NN|VB",
    "cascaded": "VBD|VBN",
    "cascades": "VBZ",
    "cascading": "VBG|JJ",
    "case": "NN|VB",
    "case-by-case": "JJ",
    "case-hardened": "JJ",
    "case-history": "NN",
    "case-law": "NN",
    "case-to-case": "JJ",
    "case...": ":",
    "casebook": "NN",
    "cased": "VBD|VBN",
    "casein": "NN",
    "caseload": "NN",
    "caseloads": "NNS",
    "cases": "NNS|VBZ",
    "casework": "NN",
    "caseworkers": "NNS",
    "cash": "NN|VB",
    "cash-and-stock": "JJ",
    "cash-back": "JJ",
    "cash-deferred": "JJ",
    "cash-draw": "JJ",
    "cash-equivalent": "JJ",
    "cash-flow": "JJ|NN",
    "cash-flush": "JJ",
    "cash-hungry": "JJ",
    "cash-interest": "JJ",
    "cash-laden": "JJ",
    "cash-management": "JJ",
    "cash-only": "JJ",
    "cash-or-shares": "JJ",
    "cash-raising": "JJ|NN",
    "cash-rich": "JJ",
    "cash-short": "JJ",
    "cash-squeeze": "NN",
    "cash-squeezed": "JJ",
    "cash-starved": "JJ",
    "cash-strapped": "JJ",
    "cash-up-front": "NN",
    "cash-value": "JJ",
    "cashed": "VBN|VBD",
    "cashews": "NNS",
    "cashflow": "NN",
    "cashier": "NN",
    "cashiers": "NNS",
    "cashing": "VBG",
    "cashmere": "NN",
    "casings": "NNS",
    "casino": "NN",
    "casino-company": "NN",
    "casino-hotel": "NN|JJ",
    "casinos": "NNS|VBZ",
    "cask": "NN",
    "casket": "NN",
    "caskets": "NNS",
    "casks": "NNS",
    "cassette": "NN",
    "cassettes": "NNS",
    "cassocked": "JJ",
    "cast": "NN|JJ|VB|VBD|VBN|VBP",
    "cast-iron": "NN|JJ",
    "cast-proof": "JJ",
    "castanets": "NNS",
    "caste": "NN",
    "caster": "NN",
    "casters": "NNS",
    "castigate": "VB",
    "castigated": "VBN|VBD",
    "castigates": "VBZ",
    "castigating": "VBG",
    "castigation": "NN",
    "casting": "VBG|NN",
    "castings": "NNS",
    "castle": "NN",
    "castle-like": "JJ",
    "castle-themed": "JJ",
    "castlelike": "JJ",
    "castles": "NNS",
    "castling": "VBG",
    "castoff": "JJ",
    "castor": "NN",
    "castor-oil": "NN",
    "castorbean": "NN",
    "castorbeans": "NNS",
    "casts": "VBZ|NNS",
    "casual": "JJ|RB",
    "casually": "RB",
    "casuals": "NNS",
    "casualties": "NNS",
    "casualty": "NN",
    "casualty-insurance": "JJ|NN",
    "casualty-loss": "JJ",
    "casuistry": "NN",
    "cat": "NN|VB",
    "cat-and-mouse": "JJ",
    "cat-like": "JJ",
    "cataclysmic": "JJ",
    "cataclysms": "NNS",
    "catalog": "NN|VB",
    "catalog-clothing-merchandiser": "NN",
    "cataloging": "VBG",
    "catalogs": "NNS|VBZ",
    "catalogue": "NN|VB",
    "catalogued": "VBN|VBD",
    "catalogues": "NNS|VBZ",
    "catalyst": "NN",
    "catalysts": "NNS",
    "catalytic": "JJ",
    "catalyzed": "VBN",
    "catamaran": "NN",
    "catapult": "VB|VBP",
    "catapulted": "VBD|VBN",
    "catapulting": "VBG",
    "catapults": "VBZ",
    "cataract": "NN",
    "cataracts": "NNS",
    "catastrophe": "NN",
    "catastrophes": "NNS",
    "catastrophic": "JJ",
    "catastrophic-care": "NN|JJ",
    "catastrophic-health": "JJ|NN",
    "catastrophic-health-care": "NN",
    "catastrophic-healthcare": "JJ",
    "catastrophic-illness": "JJ|NN",
    "catastrophically": "RB",
    "catbird": "JJ",
    "catcalls": "NNS",
    "catch": "VB|VBP|NN",
    "catch-all": "JJ",
    "catch-up": "NN|JJ",
    "catchall": "NN",
    "catchee": "VB",
    "catcher": "NN",
    "catchers": "NNS",
    "catches": "VBZ|NNS",
    "catching": "VBG|NN",
    "catchup": "JJ|NN",
    "catchword": "NN",
    "catchwords": "NNS",
    "catchy": "JJ",
    "catechism": "NN",
    "catechize": "VB",
    "catecholamines": "NNS",
    "categorical": "JJ",
    "categorically": "RB",
    "categories": "NNS",
    "categorize": "VB",
    "categorized": "VBN|VBD",
    "categorizing": "VBG",
    "category": "NN",
    "cater": "VB|VBP",
    "catered": "VBD|JJ|VBN",
    "caterer": "NN",
    "catering": "NN|VBG",
    "caterpillar": "NN",
    "caterpillars": "NNS",
    "caters": "VBZ",
    "catfish": "NN",
    "catharsis": "NN",
    "cathartic": "JJ",
    "cathedra": "FW",
    "cathedral": "NN",
    "cathedrals": "NNS",
    "catheter": "NN",
    "catheters": "NNS",
    "cathode": "NN",
    "cathode-ray": "NN",
    "cathoderay": "NN",
    "cathodes": "NNS",
    "cathodoluminescent": "JJ",
    "cathodophoretic": "JJ",
    "cathouse": "NN",
    "catkin": "NN",
    "catkins": "NNS",
    "catlike": "JJ",
    "cats": "NNS|VBZ",
    "catsup": "NN",
    "cattaloe": "NN",
    "cattle": "NNS",
    "cattle-car": "NN",
    "cattle-lifter": "NN",
    "cattlemen": "NNS",
    "catty": "JJ",
    "caucus": "NN|VB",
    "caucuses": "NNS",
    "caught": "VBN|VBD|NN",
    "cauliflower": "NN",
    "causal": "JJ",
    "causally": "RB",
    "causative": "JJ",
    "cause": "VB|NN|VBG|VBP",
    "cause-and-effect": "JJ",
    "cause...": ":",
    "caused": "VBN|VBD",
    "causes": "NNS|VBZ",
    "causeway": "NN",
    "causeways": "NNS",
    "causing": "VBG|NN",
    "caustic": "JJ",
    "cauterize": "VB",
    "caution": "NN|VBP|VB",
    "cautionary": "JJ",
    "cautioned": "VBD|VBN",
    "cautioning": "VBG",
    "cautions": "VBZ|NNS",
    "cautious": "JJ",
    "cautiously": "RB",
    "cautiousness": "NN",
    "cavalcades": "NNS",
    "cavalier": "JJ",
    "cavalry": "NN",
    "cavalrymen": "NNS",
    "cave": "NN|VB",
    "cave-in": "NN",
    "cave-like": "JJ",
    "cave-men": "NNS",
    "caveat": "NN",
    "caveats": "NNS",
    "caved": "VBD|VBN",
    "cavemen": "NNS",
    "cavern": "NN",
    "cavernous": "JJ",
    "caves": "NNS|VBZ",
    "caviar": "NN",
    "cavin": "VBG",
    "caving": "NN|VBG",
    "cavities": "NNS",
    "cavity": "NN",
    "cavity-fighting": "JJ",
    "cavort": "VBP|VB",
    "cavorted": "VBD|VBN",
    "cavorting": "VBG|NN",
    "cawing": "VBG",
    "cayenne": "NN",
    "cc": "NN",
    "cc.": "NN|NNS",
    "cease": "VB|VBP",
    "cease-and-desist": "JJ|NN",
    "cease-fire": "NN|JJ",
    "ceased": "VBD|VBN",
    "ceasefire": "NN",
    "ceaseless": "JJ",
    "ceaselessly": "RB",
    "ceases": "VBZ",
    "ceasing": "VBG",
    "cedar": "NN",
    "cedar-roofed": "JJ",
    "cede": "VB",
    "ceded": "VBN|VBD",
    "ceding": "VBG",
    "ceiling": "NN",
    "ceilings": "NNS",
    "celebrants": "NNS",
    "celebrate": "VB|VBP",
    "celebrated": "JJ|VBD|VBN",
    "celebrates": "VBZ",
    "celebrating": "VBG",
    "celebration": "NN",
    "celebrations": "NNS",
    "celebrators": "NNS",
    "celebrities": "NNS",
    "celebrity": "NN",
    "celebrity-driven": "JJ",
    "celebrity-oriented": "JJ",
    "celerity": "NN",
    "celery": "NN",
    "celestial": "JJ",
    "celiac": "JJ",
    "cell": "NN",
    "cell-free": "JJ",
    "cellar": "NN",
    "cellars": "NNS",
    "cellist": "NN",
    "cellists": "NNS",
    "cellophane": "NN",
    "cells": "NNS",
    "cellular": "JJ",
    "cellular-phone": "NN",
    "cellular-telephone": "JJ|NN",
    "celluloids": "NNS",
    "cellulose": "NN",
    "celluloses": "NNS",
    "cement": "NN|VB",
    "cement-and-glass": "JJ",
    "cement-makers": "NNS",
    "cement-making": "JJ",
    "cement-mixing": "JJ",
    "cement-truck": "JJ",
    "cemented": "VBN|VBD",
    "cementing": "VBG",
    "cemeteries": "NNS",
    "cemetery": "NN",
    "censor": "VBP|VB",
    "censored": "VBN|VBD",
    "censorial": "JJ",
    "censorship": "NN",
    "censure": "NN|VB",
    "censured": "VBD|VBN",
    "censures": "NNS|VBZ",
    "census": "NN",
    "censuses": "NNS",
    "cent": "NN|FW",
    "cent-a-bushel": "JJ",
    "cent-per-barrel": "JJ",
    "centaur": "NN",
    "centenarians": "NNS",
    "centenary": "JJ",
    "centennial": "NN|JJ",
    "center": "NN|JJ|RB|VB|VBP",
    "center-aisle": "NN",
    "center-field": "NN",
    "center-fire": "JJ",
    "center-punch": "VB",
    "center-right": "JJ",
    "center-stage": "JJ",
    "center-vented": "JJ",
    "centered": "VBN|VBD",
    "centerfielder": "NN",
    "centerfold": "NN",
    "centering": "VBG|NN",
    "centerline": "NN",
    "centerpiece": "NN",
    "centers": "NNS|VBZ",
    "centerstage": "NN",
    "centigrade": "JJ",
    "centimeter": "NN",
    "centimeters": "NNS",
    "central": "JJ|NN",
    "central-bank": "NN|JJ",
    "central-city": "NN",
    "central-district": "JJ",
    "central-planning": "JJ",
    "centrality": "NN",
    "centralization": "NN",
    "centralize": "VB",
    "centralized": "VBN|JJ|VBD",
    "centralizing": "VBG|JJ",
    "centrally": "RB",
    "centre": "NN|VB",
    "centrex": "NN",
    "centric": "JJ",
    "centrifugal": "JJ",
    "centrifugation": "NN",
    "centrifuge": "NN",
    "centrifuged": "VBN",
    "centrifuging": "VBG",
    "centrist": "JJ",
    "cents": "NNS",
    "cents-a-share": "JJ",
    "cents-a-unit": "JJ",
    "cents-off": "JJ",
    "cents-per-hour": "JJ",
    "centum": "NN",
    "centuries": "NNS",
    "centuries-old": "JJ",
    "centurions": "NNS",
    "century": "NN",
    "century-old": "JJ",
    "century...": ":",
    "ceramic": "JJ",
    "ceramics": "NNS",
    "cereal": "NN",
    "cereals": "NNS",
    "cerebellum": "NN",
    "cerebral": "JJ",
    "cerebrated": "VBN|VBD",
    "ceremonial": "JJ",
    "ceremonially": "RB",
    "ceremonies": "NNS",
    "ceremoniously": "RB",
    "ceremony": "NN",
    "certain": "JJ|RB",
    "certainly": "RB",
    "certainty": "NN",
    "certificate": "NN",
    "certificate-of-need": "NN",
    "certificates": "NNS",
    "certification": "NN",
    "certified": "JJ|VBN|VBD",
    "certifies": "VBZ",
    "certify": "VB",
    "certifying": "VBG",
    "certin": "NN",
    "certiorari": "NNS|FW",
    "certitudes": "NNS",
    "cerulean": "NN",
    "cervelat": "NN",
    "cervical": "JJ",
    "cervix": "NN",
    "cesium-137": "NN",
    "cessation": "NN",
    "cession": "NN",
    "cesspools": "NNS",
    "cetera": "NN|FW",
    "ceteras": "FW",
    "cf.": "NN|FW",
    "cha-chas": "NNS",
    "chafe": "VBP|VB",
    "chafed": "VBN|VBD",
    "chafes": "VBZ",
    "chaff": "NN|VB",
    "chaffing": "VBG",
    "chafing": "VBG|JJ",
    "chaga": "NN",
    "chagrin": "NN|VB",
    "chain": "NN|VBP",
    "chain-of-command": "NN",
    "chain-reaction": "NN",
    "chain-smoking": "NN|VBG",
    "chain-store": "JJ",
    "chain...": ":",
    "chained": "JJ|VBD|VBN",
    "chainlike": "JJ",
    "chains": "NNS",
    "chair": "NN|VB",
    "chaired": "VBN|JJ|VBD",
    "chairing": "NN",
    "chairman": "NN|VB",
    "chairman-designate": "NNP",
    "chairman-elect": "NN",
    "chairmanship": "NN",
    "chairmanships": "NNS",
    "chairmen": "NNS",
    "chairs": "NNS|VBZ",
    "chairwoman": "NN",
    "chaise": "NN",
    "chalk": "NN|VBP",
    "chalk-white": "JJ",
    "chalked": "VBN|VBD",
    "chalking": "VBG",
    "chalky": "JJ",
    "challenge": "NN|VB|VBP",
    "challengeable": "JJ",
    "challenged": "VBN|VBD",
    "challenger": "NN",
    "challengers": "NNS",
    "challenges": "NNS|VBZ",
    "challenging": "VBG|JJ",
    "chamber": "NN",
    "chamber-music": "JJ",
    "chambered": "VBN",
    "chambermaid": "NN",
    "chambermaids": "NNS",
    "chamberpot": "NN",
    "chambers": "NNS",
    "chambre": "FW",
    "chameleon": "NN",
    "chameleons": "NNS",
    "chamfer": "NN|VB",
    "chamois": "NN",
    "champ": "NN|VB",
    "champagne": "NN",
    "champion": "NN|JJ|VB|VBP",
    "championed": "VBD|VBN",
    "championing": "VBG",
    "champions": "NNS|VBZ",
    "championship": "NN",
    "championship-team": "JJ",
    "championships": "NNS",
    "champs": "NNS|VBZ",
    "chance": "NN|JJ|VB|VBP",
    "chanced": "VBD|VBN",
    "chancel": "NN",
    "chancellor": "NN",
    "chanceries": "NNS",
    "chancery": "NN",
    "chancy": "JJ",
    "chandelier": "NN",
    "chandeliers": "NNS",
    "chandelle": "VB",
    "change": "NN|VBP|VB",
    "change-over": "NN",
    "change-ringing": "NN",
    "changeable": "JJ",
    "changed": "VBN|VBD|JJ",
    "changed...": ":",
    "changeover": "NN",
    "changes": "NNS|VBZ",
    "changes...": ":",
    "changing": "VBG|JJ|NN",
    "channel": "NN|VB|VBP",
    "channel-zapping": "JJ",
    "channeled": "VBD|VBN",
    "channeling": "VBG",
    "channelled": "VBN|VBD",
    "channels": "NNS|VBZ",
    "chansons": "FW",
    "chant": "NN|VB",
    "chanted": "VBD|VBN",
    "chanter": "FW",
    "chanteuse": "NN",
    "chantey": "NN",
    "chantier": "FW",
    "chanting": "VBG|NN",
    "chants": "NNS|VBZ",
    "chaos": "NN",
    "chaotic": "JJ",
    "chap": "NN",
    "chap.": "NN",
    "chapel": "NN|JJ",
    "chapel-like": "JJ",
    "chapels": "NNS",
    "chaperon": "NN",
    "chaperone": "NN",
    "chaperoned": "JJ",
    "chaplain": "NN",
    "chaplains": "NNS",
    "chaps": "NNS",
    "chapter": "NN",
    "chapters": "NNS",
    "char": "VB",
    "char-broiled": "JJ",
    "char-grilled": "JJ",
    "character": "NN",
    "character-education": "NN",
    "character-recognition": "NN",
    "characteristic": "JJ|NN",
    "characteristically": "RB",
    "characteristics": "NNS",
    "characterization": "NN",
    "characterizations": "NNS",
    "characterize": "VB|VBP",
    "characterized": "VBN|VBD|JJ",
    "characterizes": "VBZ",
    "characterizing": "VBG",
    "characterless": "JJ",
    "characters": "NNS",
    "charcoal": "NN|JJ",
    "charcoal-broiled": "JJ",
    "charcoaled": "VBN",
    "charge": "NN|VBP|VB",
    "charge-a-plate": "NN",
    "charge-card": "JJ",
    "charge-excess": "NN",
    "charge-offs": "NNS",
    "charge-offs...": ":",
    "chargeable": "JJ",
    "charged": "VBN|VBD|JJ",
    "chargin": "VBG",
    "charging": "VBG|NN",
    "chariot": "NN",
    "charisma": "NN",
    "charismatic": "JJ",
    "charitable": "JJ",
    "charitably": "RB",
    "charities": "NNS",
    "charity": "NN",
    "charlatan": "NN",
    "charlatanry": "NN",
    "charlatans": "NNS",
    "charlotte": "NN",
    "charm": "NN|VB",
    "charmed": "VBN|VBD",
    "charmer": "NN",
    "charmers": "NNS",
    "charming": "JJ|VBG",
    "charmingly": "RB",
    "charms": "NNS|VBZ",
    "charred": "VBN|JJ",
    "chart": "NN|VB|VBP",
    "chart-room": "JJ",
    "chartaceos": "NNS",
    "charted": "VBN|VBD",
    "charter": "NN|JJ|VB",
    "charter-boat": "NN",
    "charter-shipping": "JJ",
    "charter-type": "JJ",
    "chartered": "JJ|VBN|VBD",
    "charters": "NNS|VBZ",
    "charting": "NN|VBG",
    "chartings": "NNS",
    "chartist": "NN",
    "chartists": "NNS",
    "chartroom": "NN",
    "charts": "NNS|VBZ",
    "chary": "JJ",
    "chase": "NN|JJ|VB|VBP",
    "chased": "VBD|VBN",
    "chasers": "NNS",
    "chasing": "VBG|NN",
    "chasm": "NN",
    "chassis": "NN|NNS",
    "chaste": "JJ",
    "chastened": "VBD|VBN",
    "chastised": "VBN|VBD",
    "chastisement": "NN",
    "chastises": "VBZ",
    "chastity": "NN",
    "chat": "VB|NN|VBP",
    "chateau": "NN",
    "chateaux": "NN",
    "chatte": "FW",
    "chatted": "VBD|VBN",
    "chattels": "NNS",
    "chatter": "NN|VB|VBP",
    "chattered": "VBD|VBN",
    "chattering": "VBG|NN",
    "chattily": "RB",
    "chatting": "VBG",
    "chatty": "JJ",
    "chauffeur": "NN|VB",
    "chauffeur-driven": "JJ",
    "chauffeured": "VBN|VBD",
    "chauffeurs": "NNS|VBZ",
    "chaulmoogra": "NN",
    "chauvinism": "NN",
    "chauvinistic": "JJ",
    "chauvinists": "NNS",
    "chaw": "NN",
    "cheap": "JJ|NN|RB",
    "cheap-money": "NN",
    "cheap-shot": "JJ",
    "cheap-to-make": "JJ",
    "cheap-wine": "JJ",
    "cheapening": "VBG",
    "cheapens": "VBZ",
    "cheaper": "JJR|RBR",
    "cheapest": "JJS",
    "cheaply": "RB",
    "cheat": "VB|VBP",
    "cheated": "VBD|VBN|JJ",
    "cheater": "NN",
    "cheating": "NN|VBG",
    "cheats": "VBZ",
    "check": "VB|NN|VBP",
    "check-kiting": "JJ",
    "check-out": "NN",
    "check-processing": "JJ|NN",
    "check-ups": "NNS",
    "checkbook": "NN",
    "checkbooks": "NNS",
    "checked": "VBN|VBD|JJ",
    "checker": "NN|VB",
    "checkers": "NNS|VBZ",
    "checkin": "VBG",
    "checking": "NN|VBG",
    "checking-account": "JJ",
    "checklist": "NN",
    "checkout": "NN",
    "checkout-stand": "NN",
    "checkpoints": "NNS",
    "checks": "NNS|VBZ",
    "checkup": "NN",
    "cheek": "NN",
    "cheek-by-jowl": "JJ",
    "cheek-to-cheek": "JJ",
    "cheek-to-jowl": "RB",
    "cheekbone": "NN",
    "cheekbones": "NNS",
    "cheeks": "NNS",
    "cheeky": "JJ",
    "cheer": "NN|VB|VBP",
    "cheere": "VBP",
    "cheered": "VBN|VBD",
    "cheerful": "JJ",
    "cheerfully": "RB",
    "cheerfulness": "NN",
    "cheering": "VBG",
    "cheerleader": "NN",
    "cheerleaders": "NNS",
    "cheerleading": "NN",
    "cheery": "JJ",
    "cheese": "NN",
    "cheeseburgers": "NNS",
    "cheesecake": "NN",
    "cheesecloth": "NN",
    "cheeses": "NNS",
    "cheesy": "JJ",
    "cheetah": "NN",
    "cheetal": "JJ",
    "chef": "NN",
    "chefs": "NNS",
    "chelas": "NNS",
    "chelicerates": "NNS",
    "chemcial": "JJ",
    "chemical": "NN|JJ",
    "chemical-and-resource": "JJ",
    "chemical-arms": "NNS|JJ",
    "chemical-arms-control": "JJ",
    "chemical-bomb": "NN",
    "chemical-industry": "NN",
    "chemical-weapon": "NN",
    "chemical-weapons": "NNS|JJ",
    "chemically": "RB",
    "chemicals": "NNS",
    "chemicals-industry": "NN",
    "chemise": "NN",
    "chemist": "NN",
    "chemist-turned-entrepreneur": "NN",
    "chemistries": "NNS",
    "chemistry": "NN",
    "chemists": "NNS",
    "chemotherapy": "NN",
    "chenille": "NN",
    "cherish": "VB|VBP",
    "cherished": "VBN|JJ|VBD",
    "cherishes": "VBZ",
    "cherishing": "VBG",
    "cherries": "NNS",
    "cherry": "JJ|NN",
    "cherry-flavored": "JJ",
    "cherubim": "NN",
    "cherubs": "NNS",
    "chess": "NN",
    "chest": "NN",
    "chest-back-lat-shoulder": "JJ",
    "chest-back-shoulder": "JJ",
    "chest-high": "JJ",
    "chest-swelling": "JJ",
    "chestnut": "NN",
    "chestnuts": "NNS",
    "chests": "NNS",
    "chevaux": "FW",
    "chevre": "NN",
    "chew": "VB|VBP",
    "chewed": "VBD|VBN",
    "chewing": "VBG|JJ|NN",
    "chews": "NNS|VBZ",
    "chi-chi": "JJ|FW",
    "chic": "JJ|NN",
    "chicago": "NNP",
    "chicanery": "NN",
    "chick": "NN",
    "chicken": "NN",
    "chicken-and-egg": "JJ",
    "chicken-mutilating": "JJ",
    "chicken-wire": "JJ|NN",
    "chickens": "NNS",
    "chicks": "NNS",
    "chicly": "RB",
    "chide": "VB|VBP",
    "chided": "VBN|VBD",
    "chides": "VBZ",
    "chiding": "VBG",
    "chief": "JJ|NN",
    "chiefdom": "NN",
    "chiefdoms": "NNS",
    "chiefly": "RB",
    "chiefs": "NNS",
    "chieftain": "NN",
    "chieftains": "NNS",
    "chien": "FW",
    "chignon": "NN",
    "chilblains": "NNS",
    "child": "NN",
    "child-abuse": "NN|JJ",
    "child-as-required-yuppie-possession": "NN",
    "child-bearing": "NN",
    "child-care": "JJ|NN",
    "child-cloud": "NN",
    "child-development": "NN",
    "child-face": "NN",
    "child-oriented": "JJ",
    "child-parent": "JJ",
    "child-protection": "NN",
    "child-rearing": "NN",
    "child-safety": "JJ",
    "childbearing": "VBG",
    "childbirth": "NN",
    "childcare": "NN",
    "childhood": "NN",
    "childish": "JJ",
    "childishly": "RB",
    "childishness": "NN",
    "childless": "JJ",
    "childlike": "JJ",
    "children": "NNS",
    "childrens": "NNS",
    "chili": "NN|NNS",
    "chill": "NN|JJ|VB",
    "chilled": "VBN|JJ|VBD",
    "chillier": "NN",
    "chilling": "JJ|VBG",
    "chillingly": "RB",
    "chills": "NNS|VBZ",
    "chilly": "JJ",
    "chimed": "VBD",
    "chimera-chasing": "JJ",
    "chimes": "VBZ|NNS",
    "chimiques": "FW",
    "chimney": "NN",
    "chimneys": "NNS",
    "chimp": "NN",
    "chimpanzees": "NNS",
    "chimps": "NNS",
    "chin": "NN|VB",
    "chin-out": "JJ",
    "chin-up": "IN|VB",
    "chin-ups": "NNS|VBZ",
    "chin-wagging": "JJ",
    "china": "NN",
    "chines": "NNS",
    "chinked": "VBN|VBD",
    "chinless": "JJ",
    "chinning": "NN|VBG",
    "chinoiserie": "NN",
    "chinos": "NNS",
    "chins": "NNS|VBZ",
    "chintz": "VBP",
    "chip": "NN|VB",
    "chip-design": "JJ",
    "chip-making": "NN",
    "chip-packaging": "NN",
    "chipped": "VBN|VBD|JJ",
    "chipper": "JJ",
    "chipping": "VBG|NN",
    "chips": "NNS|VBZ",
    "chiropractor": "NN",
    "chirped": "VBD|VBN",
    "chirping": "VBG|NN|JJ",
    "chirpy": "JJ",
    "chisel": "VB|NN",
    "chiseled": "VBN|JJ",
    "chisels": "NNS|VBZ",
    "chit": "NN",
    "chitchat": "NN",
    "chivalrous": "JJ",
    "chivalry": "NN",
    "chive": "NN",
    "chives": "NNS",
    "chivying": "VBG",
    "chlorazepate": "NN",
    "chloride": "NN",
    "chlorides": "NNS",
    "chlorine": "NN",
    "chlorine-carbon": "NN",
    "chlorofluorocarbon": "NN",
    "chlorofluorocarbons": "NNS",
    "chlorothiazide": "NN",
    "chlorpromazine": "NN",
    "chock-a-block": "JJ",
    "chockfull": "JJ",
    "chocks": "NNS",
    "chocolate": "NN|JJ",
    "chocolates": "NNS",
    "choice": "NN|JJ",
    "choices": "NNS",
    "choicest": "JJS",
    "choir": "NN|VB",
    "choke": "VB|VBP|NN",
    "choked": "VBD|VBN",
    "choking": "VBG|JJ|NN",
    "chole": "NN",
    "cholecystokinin": "NN",
    "cholelithiasis": "NN",
    "cholera": "NN",
    "cholesterol": "NN",
    "cholesterol-fearing": "JJ",
    "cholesterol-free": "JJ",
    "cholesterol-lowering": "JJ",
    "cholesterol-reduction": "NN",
    "cholesterol-rich": "JJ",
    "cholinesterase": "NN",
    "cholla": "NN",
    "cholorfluorocarbons": "NNS",
    "chomp": "NN|VBP|VB",
    "chomped": "VBN|VBD",
    "chomping": "VBG",
    "choose": "VB|VBP",
    "chooses": "VBZ",
    "choosier": "JJR",
    "choosing": "VBG|NN",
    "choosy": "JJ",
    "chop": "VB|NN",
    "chopped": "VBN|JJ|VBD",
    "chopper": "NN",
    "choppiness": "NN",
    "chopping": "VBG|NN",
    "choppy": "JJ",
    "chops": "NNS|VBZ",
    "chopsticks": "NNS",
    "choral": "JJ",
    "chord": "NN|VB",
    "chords": "NNS|VBZ",
    "chore": "NN",
    "choreographed": "VBN|JJ",
    "choreographer": "NN",
    "choreographers": "NNS",
    "choreographic": "JJ",
    "choreography": "NN",
    "chores": "NNS",
    "chorines": "NNS",
    "choring": "VBG|NN",
    "chortled": "VBD|VBN",
    "chortles": "VBZ",
    "chortling": "VBG",
    "chorus": "NN|VB",
    "chorused": "VBD|VBN",
    "choruses": "NNS",
    "chose": "VBD",
    "chosen": "VBN|JJ",
    "chouise": "NN",
    "chousin": "VBG",
    "chow": "NN",
    "chowder": "NN",
    "chowders": "NNS",
    "christen": "VB",
    "christened": "VBD|VBN",
    "christening": "NN|VBG",
    "christianizing": "VBG",
    "chromatic": "JJ",
    "chromatics": "NNS",
    "chromatogram": "NN",
    "chromatographic": "JJ",
    "chromatography": "NN",
    "chrome": "NN|VB",
    "chromed": "JJ|VBD|VBN",
    "chromic": "JJ",
    "chromium": "NN",
    "chromium-plated": "JJ",
    "chromium-substituted": "JJ",
    "chromosome": "NN",
    "chromosomes": "NNS",
    "chronic": "JJ|NN",
    "chronically": "RB",
    "chronicle": "NN",
    "chronicled": "VBD|VBN",
    "chronicler": "NN",
    "chroniclers": "NNS",
    "chronicles": "VBZ|NNS",
    "chronicling": "VBG",
    "chronological": "JJ",
    "chronologically": "RB",
    "chronology": "NN",
    "chrysanthemums": "NNS",
    "chrysotile": "NN",
    "chubby": "JJ",
    "chuck": "NN|VB",
    "chuck-a-luck": "NN",
    "chucked": "VBD|VBN",
    "chucking": "VBG",
    "chuckle": "NN|VB|VBP",
    "chuckled": "VBD|VBN",
    "chuckles": "VBZ|NNS",
    "chuckling": "VBG",
    "chuffing": "VBG",
    "chug": "VBP",
    "chugging": "VBG",
    "chugs": "NNS",
    "chum": "NN",
    "chumminess": "NN",
    "chump": "NN",
    "chums": "NNS",
    "chunk": "NN|VB",
    "chunks": "NNS|VBZ",
    "chunky": "JJ",
    "church": "NN|NNP",
    "church-goers": "NNS",
    "church-going": "JJ",
    "church-owned": "JJ",
    "church-state": "JJ|NN",
    "church-supported": "JJ",
    "churches": "NNS",
    "churchgoers": "NNS",
    "churchgoing": "JJ|NN",
    "churchly": "JJ",
    "churchmen": "NNS",
    "churchyard": "NN",
    "churn": "VBP|VB",
    "churned": "VBD|VBN",
    "churning": "VBG|NN",
    "churns": "VBZ",
    "chute": "NN|VB",
    "chutney": "NN",
    "chutzpah": "NN",
    "cials": "NNS",
    "cicadas": "NNS",
    "cider": "NN",
    "cigar": "NN",
    "cigar-chomping": "JJ",
    "cigar-making": "JJ",
    "cigaret": "NN",
    "cigarette": "NN",
    "cigarette-tax": "NN",
    "cigarette-vending": "JJ",
    "cigarettes": "NNS",
    "cigars": "NNS",
    "cilia": "NNS",
    "ciliated": "VBN",
    "ciliates": "NNS",
    "cinch": "VB|NN",
    "cinches": "NNS|VBZ",
    "cinder": "NN",
    "cinder-block": "JJ",
    "cinderblock": "NN",
    "cinders": "NNS",
    "cinema": "NN",
    "cinematic": "JJ",
    "cinematographer": "NN",
    "cinematography": "NN",
    "cinq": "FW",
    "cipher": "VB",
    "ciphers": "NNS|VBZ",
    "circa": "RB",
    "circle": "NN|VB",
    "circled": "VBD|VBN",
    "circles": "NNS|VBZ",
    "circling": "VBG",
    "circonscription": "NN",
    "circonscriptions": "NNS",
    "circuit": "NN",
    "circuit-board": "NN",
    "circuit-breaker": "NN|JJ",
    "circuitous": "JJ",
    "circuitry": "NN",
    "circuits": "NNS|VBZ",
    "circular": "JJ|NN",
    "circularity": "NN",
    "circulars": "NNS",
    "circulate": "VB|VBP",
    "circulated": "VBN|VBD",
    "circulates": "VBZ",
    "circulating": "VBG",
    "circulation": "NN",
    "circulations": "NNS",
    "circulatory": "JJ",
    "circumcision": "NN",
    "circumference": "NN",
    "circumlocution": "NN",
    "circumpolar": "JJ",
    "circumscribed": "JJ|VBD|VBN",
    "circumscribing": "VBG",
    "circumscriptions": "NNS",
    "circumspect": "JJ",
    "circumspection": "NN",
    "circumspectly": "RB",
    "circumstance": "NN",
    "circumstances": "NNS",
    "circumstantial": "JJ",
    "circumvent": "VB",
    "circumvent...": ":",
    "circumventing": "VBG",
    "circumvention": "NN",
    "circumvents": "VBZ",
    "circus": "NN",
    "circuses": "NNS",
    "cirrhosis": "NN",
    "cistern": "NN",
    "citadels": "NNS",
    "citation": "NN",
    "citations": "NNS",
    "cite": "VBP|VB",
    "cited": "VBD|VBN",
    "cites": "VBZ",
    "cities": "NNS",
    "citing": "VBG",
    "citizen": "NN",
    "citizen-plaintiffs": "NNS",
    "citizen-sparked": "JJ",
    "citizenry": "NN",
    "citizens": "NNS",
    "citizenship": "NN",
    "cito": "FW",
    "citrated": "VBN",
    "citric": "JJ",
    "citron": "JJ",
    "citrus": "JJ|NN",
    "city": "NN",
    "city-bred": "JJ",
    "city-charter": "NN",
    "city-dweller": "NN",
    "city-like": "JJ",
    "city-owned": "JJ",
    "city-states": "NNS",
    "city-trading": "NN",
    "city-wide": "JJ",
    "city/regional": "JJ",
    "citya": "NN",
    "citybred": "JJ",
    "cityscapes": "NNS",
    "citywide": "JJ",
    "civ": "NN",
    "civic": "JJ",
    "civic-lunch": "JJ",
    "civics": "NNS",
    "civil": "JJ",
    "civil-investigative": "JJ",
    "civil-liberties": "NNS",
    "civil-rights": "NNS|JJ",
    "civil-service": "JJ|NN",
    "civilian": "JJ|NN",
    "civilian-aircraft": "NN",
    "civilians": "NNS",
    "civilised": "JJ|VBD|VBN",
    "civility": "NN",
    "civilizational": "JJ",
    "civilizations": "NNS",
    "civilize": "VB",
    "civilized": "JJ|VBN|VBD",
    "civilizing": "VBG",
    "clad": "JJ|VBN|VBD",
    "cladding": "NN",
    "claim": "NN|VBP|VB",
    "claimant": "NN",
    "claimants": "NNS",
    "claimed": "VBD|VBN",
    "claiming": "VBG",
    "claims": "NNS|VBZ",
    "claims-processing": "NN",
    "clairaudiently": "RB",
    "clairvoyance": "NN",
    "clairvoyant": "JJ",
    "clam": "NN|VBP",
    "clambered": "VBD|VBN",
    "clambering": "VBG",
    "clammy": "JJ",
    "clamor": "VBP|NN|VB",
    "clamored": "VBD|VBN",
    "clamoring": "VBG",
    "clamorous": "JJ",
    "clamors": "VBZ",
    "clamp": "VB|NN",
    "clampdown": "NN",
    "clampdowns": "NNS",
    "clamped": "VBN|VBD",
    "clamping": "VBG",
    "clamps": "NNS|VBZ",
    "clams": "NNS",
    "clamshell": "NN",
    "clamshells": "NNS",
    "clan": "NN",
    "clandestine": "JJ",
    "clang": "NN|VB",
    "clanged": "VBD|VBN",
    "clanging": "VBG|NN",
    "clanking": "VBG|JJ",
    "clannish": "JJ",
    "clannishness": "NN",
    "clap": "NN|VB",
    "clapboard": "NN",
    "clapped": "VBD|VBN",
    "clapping": "VBG|NN|JJ",
    "claps": "NNS|VBZ",
    "claptrap": "NN|JJ",
    "claret": "NN|JJ",
    "clarets": "NNS",
    "clarification": "NN",
    "clarifications": "NNS",
    "clarified": "VBN|VBD",
    "clarifies": "VBZ",
    "clarify": "VB|VBP",
    "clarifying": "VBG",
    "clarinet": "NN",
    "clarinetist": "NN",
    "clarity": "NN",
    "clash": "NN|VBP|VB",
    "clashed": "VBN|VBD",
    "clashes": "NNS|VBZ",
    "clashing": "VBG",
    "clasped": "VBD|VBN",
    "clasping": "VBG",
    "class": "NN|VB",
    "class-action": "JJ|NN",
    "class-based": "JJ",
    "class-biased": "JJ",
    "class-conscious": "JJ",
    "class-warfare": "JJ|NN",
    "class-warrior": "NN",
    "classed": "VBN|VBD",
    "classes": "NNS|VBZ",
    "classic": "JJ|NN",
    "classical": "JJ",
    "classical-music": "JJ",
    "classically": "RB",
    "classicism": "NN",
    "classics": "NNS",
    "classiest": "JJS",
    "classification": "NN",
    "classification-angle": "JJ",
    "classifications": "NNS",
    "classificatory": "JJ",
    "classified": "VBN|VBD|JJ",
    "classified-ad": "NN",
    "classifiers": "NNS",
    "classifies": "VBZ",
    "classify": "VB|VBP",
    "classifying": "VBG",
    "classless": "JJ",
    "classmate": "NN",
    "classmates": "NNS",
    "classroom": "NN",
    "classrooms": "NNS",
    "classy": "JJ",
    "clatter": "NN|VB",
    "clattered": "VBD|VBN",
    "clattering": "VBG",
    "clattery": "JJ",
    "claudication": "NN",
    "clause": "NN",
    "clauses": "NNS",
    "claustrophobia": "NN",
    "claustrophobic": "JJ",
    "claw": "NN",
    "clawed": "VBN",
    "clawing": "VBG",
    "claws": "NNS",
    "clay": "NN",
    "clay-like": "JJ",
    "clay-mining": "NN",
    "clays": "NNS",
    "clean": "VB|JJ|VBP|RB",
    "clean-air": "JJ|NN",
    "clean-bank": "JJ",
    "clean-burning": "JJ",
    "clean-cut": "JJ",
    "clean-fuels": "NNS",
    "clean-shaven": "JJ",
    "clean-top": "JJ",
    "clean-up": "JJ|NN",
    "clean-water": "NN",
    "cleaned": "VBN|VBD",
    "cleaned-up": "JJ",
    "cleaner": "JJR|NN",
    "cleaner-burning": "JJ",
    "cleaners": "NNS",
    "cleanest": "JJS",
    "cleaning": "VBG|NN",
    "cleaning-fluid": "NN",
    "cleanliness": "NN",
    "cleanly": "RB",
    "cleans": "VBZ",
    "cleanse": "VB",
    "cleansed": "VBD|VBN|JJ",
    "cleanser": "NN",
    "cleansers": "NNS",
    "cleansing": "VBG|NN",
    "cleanup": "NN",
    "cleanups": "NNS",
    "clear": "JJ|RB|VB|VBP",
    "clear-channel": "JJ|NN",
    "clear-cut": "JJ",
    "clear-cutting": "NN",
    "clear-eyed": "JJ",
    "clear-headed": "JJ",
    "clear-it-out": "JJ",
    "clearance": "NN",
    "clearances": "NNS",
    "cleared": "VBD|VBN",
    "clearer": "JJR|RBR",
    "clearest": "JJS",
    "clearheaded": "JJ",
    "clearing": "VBG|JJ|NN",
    "clearing-firm": "JJ",
    "clearinghouse": "NN",
    "clearly": "RB",
    "clearnace": "NN",
    "clearness": "NN",
    "clears": "VBZ",
    "cleat": "NN",
    "cleavage": "NN",
    "cleave": "VB",
    "cleaved": "VBN",
    "cleaver": "NN",
    "cleft": "NN|VBN|VBD",
    "clefts": "NNS",
    "clemency": "NN",
    "clench": "VB",
    "clenched": "JJ|VBD|VBN",
    "clenches": "VBZ",
    "clergy": "NNS|NN",
    "clergyman": "NN",
    "clergymen": "NNS",
    "cleric": "NN|JJ",
    "clerical": "JJ|NN",
    "clerical-lay": "JJ",
    "clerics": "NNS",
    "clerk": "NN",
    "clerk-turned": "JJ",
    "clerking": "NN",
    "clerks": "NNS",
    "clever": "JJ",
    "cleverly": "RB",
    "cleverness": "NN",
    "cliche": "NN",
    "cliched": "JJ",
    "cliches": "NNS",
    "click": "NN|VB",
    "clicked": "VBD|VBN",
    "clicking": "VBG|NN",
    "clicks": "NNS|VBZ",
    "client": "NN",
    "client-service": "JJ|NN",
    "clientele": "NNS|NN",
    "clients": "NNS",
    "clientslose": "JJ",
    "cliff": "NN",
    "cliffhanging": "VBG",
    "cliffs": "NNS",
    "climactic": "JJ",
    "climate": "NN",
    "climates": "NNS",
    "climatic": "JJ",
    "climax": "NN|VB",
    "climaxed": "VBD|VBN",
    "climaxes": "NNS|VBZ",
    "climb": "NN|VB|VBP",
    "climbable": "JJ",
    "climbed": "VBD|VBN",
    "climber": "NN",
    "climbers": "NNS",
    "climbing": "VBG|NN",
    "climbs": "VBZ|NNS",
    "clime": "NN",
    "climes": "NNS",
    "clinch": "VB",
    "clinched": "VBD|VBN",
    "clincher": "NN",
    "clinches": "NNS|VBZ",
    "clinching": "VBG",
    "cling": "VB|VBP",
    "clinging": "VBG",
    "clings": "VBZ",
    "clingy": "JJ",
    "clinic": "NN",
    "clinical": "JJ",
    "clinical-products": "NNS",
    "clinically": "RB",
    "clinician": "NN",
    "clinics": "NNS",
    "clinked": "VBD|VBN",
    "clinkers": "NNS",
    "clip": "VB|NN",
    "clipboard": "NN",
    "clipboard-size": "JJ",
    "clipboard-sized": "JJ",
    "clipboards": "NNS",
    "clipped": "VBD|VBN",
    "clipping": "NN|VBG",
    "clippings": "NNS",
    "clips": "NNS|VBZ",
    "clique": "NN",
    "cliques": "NNS",
    "cloak": "NN|VBP|VB",
    "cloakrooms": "NNS",
    "cloaks": "NNS|VBZ",
    "clobber": "VB",
    "clobbered": "VBN|VBD",
    "clobbers": "VBZ",
    "clock": "NN|VBP|VB",
    "clock-stopped": "VBN",
    "clocked": "VBN|VBD",
    "clocking": "NN|VBG",
    "clocks": "NNS|VBZ",
    "clockwise": "RB",
    "clockwork": "NN",
    "clod": "NN",
    "cloddishness": "NN",
    "clodhoppers": "NNS",
    "clods": "NNS",
    "clog": "VB",
    "clogged": "VBN|JJ|VBD",
    "clogging": "VBG",
    "clogs": "VBZ",
    "cloistered": "JJ",
    "cloisters": "NNS",
    "clomped": "VBD|VBN",
    "clonazepam": "NN",
    "clone": "NN|VB",
    "cloned": "VBN|VBD",
    "clones": "NNS|VBZ",
    "clonic": "JJ",
    "cloning": "VBG|NN",
    "close": "VB|VBP|JJ|NN|RB",
    "close-in": "JJ",
    "close-knit": "JJ",
    "close-mouthed": "JJ",
    "close-up": "NN",
    "closed": "VBD|VBN|JJ|NN",
    "closed-circuit": "JJ",
    "closed-door": "JJ|NN",
    "closed-end": "JJ",
    "closedown": "NN",
    "closedowns": "NNS",
    "closely": "RB",
    "closely-held": "JJ",
    "closely-packed": "JJ",
    "closeness": "NN",
    "closer": "JJR|RB|RBR",
    "closes": "VBZ|NNS",
    "closest": "JJS",
    "closet": "NN",
    "closet-sized": "JJ",
    "closeted": "JJ|VBD|VBN",
    "closets": "NNS",
    "closeup": "JJ",
    "closeups": "NNS",
    "closing": "NN|VBG|JJ",
    "closings": "NNS",
    "closure": "NN|VB",
    "closures": "NNS|VBZ",
    "clot": "NN|VB",
    "clot-reducing": "JJ",
    "cloth": "NN",
    "cloth-of-gold": "NN",
    "clothbound": "JJ",
    "clothe": "VB",
    "clothed": "VBN",
    "clothes": "NNS|VBZ",
    "clothesbrush": "NN",
    "clotheshorse": "NN",
    "clothesline": "NN",
    "clotheslines": "NNS",
    "clothier": "NN",
    "clothiers": "NNS",
    "clothing": "NN|VBG",
    "clothing-store": "NN",
    "clots": "NNS|VBZ",
    "clotted": "JJ|VBD|VBN",
    "clotting": "VBG",
    "cloture": "NN|VB",
    "cloud": "NN|VB|VBP",
    "cloud-flecked": "JJ",
    "cloudburst": "NN",
    "clouded": "JJ|VBN|VBD",
    "clouding": "NN|VBG",
    "cloudless": "JJ",
    "clouds": "NNS|VBZ",
    "cloudy": "JJ",
    "clout": "NN",
    "clove": "NN",
    "clover": "NN",
    "cloves": "NNS",
    "clown": "NN|VB",
    "clowning": "NN|VBG",
    "clowns": "NNS|VBZ",
    "cloying": "JJ|VBG",
    "clozapine": "NN",
    "club": "NN|VB",
    "clubbed": "VBD|JJ|VBN",
    "clubbers": "NNS",
    "clubby": "JJ",
    "clubhouse": "NN",
    "clubhouses": "NNS",
    "clubrooms": "NNS",
    "clubs": "NNS|VBZ",
    "cluck": "NN|VB",
    "clucked": "VBD|VBN",
    "clucking": "VBG",
    "clucks": "VBZ|NNS",
    "clue": "NN|VB",
    "clues": "NNS|VBZ",
    "clump": "NN|VB",
    "clumps": "NNS|VBZ",
    "clumsily": "RB",
    "clumsy": "JJ",
    "clung": "VBD|VBN",
    "clunker": "NN",
    "clunky": "JJ",
    "cluster": "NN|VBP|VB",
    "clustered": "VBN|VBD",
    "clustering": "VBG|NN",
    "clusters": "NNS|VBZ",
    "clutch": "NN|VBP|VB",
    "clutched": "VBD|VBN",
    "clutches": "NNS|VBZ",
    "clutching": "VBG",
    "clutter": "NN|VB",
    "cluttered": "VBN|JJ|VBD",
    "cm": "NN",
    "cm.": "NN",
    "co-anchor": "NN|JJ",
    "co-anchored": "VBN",
    "co-author": "NN",
    "co-authored": "VBN|VBD",
    "co-authors": "VBZ",
    "co-chaired": "VBN|JJ",
    "co-chairman": "NN",
    "co-chairmen": "NNS",
    "co-chairperson": "NN",
    "co-chief": "JJ|NN",
    "co-conspirators": "NNS",
    "co-defendant": "NN",
    "co-defendants": "NNS",
    "co-develop": "VB",
    "co-developers": "NNS",
    "co-director": "NN",
    "co-edited": "JJ",
    "co-editor": "NN",
    "co-edits": "VBZ",
    "co-educational": "JJ",
    "co-exist": "VB",
    "co-existence": "NN",
    "co-extinction": "NN",
    "co-founded": "VBD|JJ",
    "co-founder": "NN",
    "co-founders": "NNS",
    "co-head": "NN",
    "co-heads": "NNS",
    "co-hero": "NN",
    "co-host": "VB|VBP",
    "co-insurance": "JJ|NN",
    "co-inventors": "NNS",
    "co-lead": "JJ",
    "co-major": "NN",
    "co-managed": "VBN|JJ|VBD",
    "co-manager": "NN",
    "co-managers": "NNS",
    "co-managing": "JJ|VBG",
    "co-market": "VB",
    "co-marketing": "JJ",
    "co-obligation": "NN",
    "co-occurring": "JJ|VBG",
    "co-op": "NN|NNP",
    "co-operate": "NN|VB",
    "co-operated": "VBD|VBN",
    "co-operates": "VBZ",
    "co-operating": "VBG",
    "co-operation": "NN",
    "co-operative": "JJ|NN",
    "co-ops": "NN",
    "co-optation": "NN",
    "co-opted": "VBN",
    "co-opting": "NN",
    "co-ordinate": "VB",
    "co-ordinated": "JJ|VBD|VBN",
    "co-ordinates": "VBZ",
    "co-ordinating": "VBG",
    "co-ordination": "NN",
    "co-ordinator": "NN",
    "co-owner": "NN",
    "co-payment": "JJ",
    "co-payments": "NNS",
    "co-pilot": "NNS|NN",
    "co-pilots": "NNS",
    "co-plaintiff": "NN",
    "co-presidents": "NNS",
    "co-produce": "VB",
    "co-produced": "VBD|VBN|JJ",
    "co-production": "NN|JJ",
    "co-publisher": "NN",
    "co-signed": "JJ",
    "co-signers": "NN",
    "co-sponsor": "VB|NN",
    "co-sponsored": "VBN|VBD|JJ",
    "co-sponsoring": "JJ|VBG",
    "co-sponsors": "NNS|VBZ",
    "co-star": "NN",
    "co-venture": "NN",
    "co-worker": "NN",
    "co-workers": "NNS",
    "co-written": "VBN",
    "co-wrote": "VBD",
    "coach": "NN|VB",
    "coached": "VBN|VBD",
    "coaches": "NNS|VBZ",
    "coaching": "NN|VBG",
    "coachman": "NN",
    "coachmen": "NNS",
    "coachwork": "NN",
    "coagulating": "VBG",
    "coahse": "NN",
    "coal": "NN|VB",
    "coal-black": "JJ",
    "coal-fire": "JJ",
    "coal-fired": "JJ",
    "coal-like": "JJ",
    "coal-miners": "NNS",
    "coal-mining": "JJ",
    "coal-preparation": "JJ",
    "coal-railroad": "NN",
    "coal-seam-gas": "JJ",
    "coalesce": "VB|VBP",
    "coalesced": "VBN|VBD",
    "coalescence": "NN",
    "coalesces": "VBZ",
    "coalfields": "NNS",
    "coalition": "NN",
    "coalitions": "NNS",
    "coals": "NNS|VBZ",
    "coals-to-Newcastle": "JJ",
    "coarse": "JJ",
    "coarsely": "RB",
    "coarsened": "VBN",
    "coarseness": "NN",
    "coast": "NN",
    "coast-to-coast": "JJ",
    "coastal": "JJ",
    "coasted": "VBD|VBN",
    "coaster": "NN",
    "coasters": "NNS",
    "coastline": "NN",
    "coasts": "NNS",
    "coat": "NN|VB",
    "coat...": ":",
    "coated": "JJ|VBN|VBD",
    "coated-magnetic": "JJ",
    "coating": "NN|VBG",
    "coatings": "NNS",
    "coats": "NNS|VBZ",
    "coattails": "NNS",
    "coax": "VB",
    "coaxed": "VBN|VBD",
    "coaxes": "VBZ",
    "coaxial": "JJ",
    "coaxing": "VBG|JJ",
    "cobalt": "NN",
    "cobalt-60": "NN",
    "cobbled": "VBN|VBD",
    "cobbler": "NN",
    "cobblestone": "NN",
    "cobblestones": "NNS",
    "cobra": "NN",
    "cobwebs": "NNS",
    "coca": "NN",
    "cocaine": "NN",
    "cocaine-processing": "NN",
    "cocao": "NN",
    "coccidioidomycosis": "NN",
    "coccidiosis": "NN",
    "cochannel": "JJ|NN",
    "cock": "NN|VB",
    "cockatoo": "NN",
    "cockatoos": "NNS",
    "cocked": "VBD|VBN",
    "cockeyed": "JJ",
    "cockier": "JJR",
    "cockiness": "NN",
    "cockles": "NNS|VBZ",
    "cockpit": "NN",
    "cockpits": "NNS",
    "cockroach": "NN",
    "cockroaches": "NNS",
    "cocktail": "NN",
    "cocktails": "NNS",
    "cocky": "JJ",
    "coco": "NN",
    "cocoa": "NN",
    "cocoa-trading": "JJ",
    "coconut": "NN",
    "coconut-containing": "JJ",
    "coconut-lime": "JJ",
    "coconuts": "NNS",
    "cocoon": "NN",
    "cocopalm": "NN",
    "cocotte": "NN",
    "cocu": "NN",
    "cod": "NN|VB",
    "cod-liver": "NN",
    "coddle": "VBP|VB",
    "coddled": "VBN|VBD",
    "coddling": "NN|VBG",
    "code": "NN|VB",
    "code-named": "NNP|VBN|JJ",
    "code-related": "JJ",
    "code-sharing": "NN",
    "coded": "VBN|JJ|VBD",
    "codes": "NNS|VBZ",
    "codetermines": "VBZ",
    "codewords": "NNS",
    "codfish": "NN",
    "codger": "NN",
    "codification": "NN",
    "codified": "VBN|JJ",
    "codifies": "VBZ",
    "codifying": "VBG",
    "coding": "NN|VBG",
    "codpiece": "NN",
    "coed": "NN",
    "coeds": "NNS",
    "coefficient": "NN",
    "coefficients": "NNS",
    "coerce": "VB",
    "coerced": "VBN|VBD|JJ",
    "coerces": "VBZ",
    "coercion": "NN",
    "coercive": "JJ",
    "coexist": "VB|VBP",
    "coexistence": "NN",
    "coexistent": "JJ",
    "coextrude": "VBP",
    "cofactors": "NNS",
    "coffee": "NN",
    "coffee-house": "NN",
    "coffee-roasting": "JJ",
    "coffeecup": "NN",
    "coffeehouse": "NN",
    "coffeepot": "NN",
    "coffees": "NNS",
    "coffers": "NNS",
    "coffin": "NN",
    "coffin-sized": "JJ",
    "cofounder": "NN",
    "cog": "NN",
    "cogeneration": "NN",
    "cogeneration-plant": "NN",
    "cogently": "RB",
    "cognac": "NN",
    "cognate": "JJ",
    "cognitive": "JJ",
    "cognizance": "NN",
    "cognizant": "JJ",
    "cognoscenti": "NNS",
    "cogs": "NNS",
    "cohere": "VB",
    "coherence": "NN",
    "coherent": "JJ",
    "coherently": "RB",
    "cohesion": "NN",
    "cohesive": "JJ",
    "cohesively": "RB",
    "cohesiveness": "NN",
    "cohnfidunt": "NN",
    "cohort": "NN",
    "cohorts": "NNS",
    "coiffed": "JJ|VBD|VBN",
    "coiffure": "NN|VB",
    "coil": "NN|VB",
    "coiled": "VBD|VBN",
    "coiling": "VBG",
    "coils": "NNS|VBZ",
    "coily": "RB",
    "coin": "NN|VB",
    "coin-cleaning": "JJ",
    "coin-operated": "JJ",
    "coincide": "VB|VBP",
    "coincided": "VBD|VBN",
    "coincidence": "NN",
    "coincidences": "NNS",
    "coincident": "JJ",
    "coincidental": "JJ",
    "coincidentally": "RB",
    "coincides": "VBZ",
    "coinciding": "VBG|JJ",
    "coined": "VBN|VBD",
    "coins": "NNS|VBZ",
    "coke": "NN",
    "cola": "NN",
    "colander": "NN",
    "colas": "NNS",
    "colchicum": "NN",
    "cold": "JJ|NN",
    "cold-blooded": "JJ",
    "cold-bloodedly": "RB",
    "cold-cereal": "JJ",
    "cold-cuts": "NNS",
    "cold-rolled": "JJ",
    "cold-storage": "JJ",
    "cold-war": "JJ",
    "cold-weather": "JJ",
    "colde": "MD",
    "colder": "JJR|RBR",
    "coldest": "JJS",
    "coldhearted": "JJ",
    "coldly": "RB",
    "coldness": "NN",
    "colds": "NNS",
    "cole": "NN",
    "coli": "NNS",
    "colicky": "JJ",
    "coliseum": "NN",
    "collaborate": "VB|VBP",
    "collaborated": "VBD|VBN",
    "collaborates": "VBZ",
    "collaborating": "VBG",
    "collaboration": "NN",
    "collaborations": "NNS",
    "collaborative": "JJ",
    "collaborator": "NN",
    "collaborators": "NNS",
    "collage": "NN",
    "collagen": "NN",
    "collages": "NNS",
    "collapse": "NN|VB",
    "collapsed": "VBD|JJ|VBN",
    "collapses": "VBZ|NNS",
    "collapsible": "JJ",
    "collapsing": "VBG",
    "collar": "NN|VB",
    "collar-to-collar": "JJ",
    "collarbone": "NN",
    "collared": "VBN|VBD",
    "collars": "NNS|VBZ",
    "collated": "VBN",
    "collateral": "NN|JJ",
    "collateralized": "JJ|VBN",
    "collation": "NN",
    "colleague": "NN",
    "colleagues": "NNS",
    "collect": "VB|JJ|VBP",
    "collectability": "NN",
    "collected": "VBN|VBD",
    "collectible": "JJ",
    "collectibles": "NNS",
    "collecting": "VBG|NN",
    "collection": "NN",
    "collections": "NNS",
    "collective": "JJ|NN",
    "collective-bargaining": "JJ|NN",
    "collectively": "RB",
    "collectives": "NNS",
    "collectivization": "NN",
    "collectivizers": "NNS",
    "collector": "NN",
    "collectors": "NNS",
    "collects": "VBZ",
    "college": "NN",
    "college-bound": "JJ",
    "college-bowl": "NN",
    "college-completion": "JJ",
    "college-educated": "JJ",
    "college-oriented": "JJ",
    "college-sports": "NNS|JJ",
    "colleges": "NNS",
    "collegial": "JJ",
    "collegians": "NNS",
    "collegiate": "JJ",
    "colles": "FW",
    "collided": "VBD|VBN",
    "collie": "NN",
    "collimated": "VBN|VBD",
    "collision": "NN",
    "collision-damage": "NN",
    "colloidal": "JJ",
    "collonaded": "VBN",
    "colloquial": "JJ",
    "colloquies": "NNS",
    "colloquium": "NN",
    "colloquy": "NN",
    "collosal": "JJ",
    "collude": "VB",
    "colluded": "VBD|VBN",
    "collusion": "NN",
    "colo-rectal": "JJ",
    "cologne": "NN",
    "colognes": "NNS",
    "colon": "NN",
    "colon-cancer": "NN",
    "colonel": "NN",
    "colonels": "NNS",
    "colonial": "NN|JJ",
    "colonialism": "NN",
    "colonialist": "NN",
    "colonialists": "NNS",
    "colonials": "NNS",
    "colonic": "JJ",
    "colonies": "NNS",
    "colonists": "NNS",
    "colonization": "NN",
    "colonized": "VBD|VBN",
    "colonnade": "NN",
    "colonnaded": "JJ",
    "colony": "NN",
    "color": "NN|JJ|VB|VBP",
    "color-TV": "NN",
    "color-coded": "VBN",
    "color-coding": "VBG",
    "color-field": "JJ",
    "color-glutted": "JJ",
    "color-printing": "JJ",
    "color-television": "NN",
    "coloration": "NN",
    "coloratura": "NN",
    "colorblind": "JJ",
    "colorblindness": "NN",
    "colored": "VBN|JJ|VBD",
    "coloreds": "NNS",
    "colorful": "JJ",
    "colorin": "NN",
    "coloring": "NN|VBG",
    "colorization": "NN",
    "colorless": "JJ",
    "colorlessness": "NN",
    "colors": "NNS|VBZ",
    "colossal": "JJ",
    "colossus": "NN",
    "colour-prints": "NNS",
    "coloured": "JJ|VBD|VBN",
    "colt": "NN",
    "coltish": "JJ",
    "colts": "NNS",
    "columbines": "NNS",
    "column": "NN",
    "column-shaped": "JJ",
    "columnist": "NN",
    "columnists": "NNS",
    "columns": "NNS",
    "com": "NN",
    "coma": "NN",
    "comandancia": "FW",
    "comas": "NNS",
    "comb": "NN|VB",
    "combat": "NN|FW|VB|JJ",
    "combat-inflicted": "JJ",
    "combat-ready": "JJ",
    "combat-tested": "JJ",
    "combat-trained": "JJ",
    "combatant": "JJ|NN",
    "combatants": "NNS",
    "combating": "VBG",
    "combative": "JJ",
    "combatted": "VBN|VBD",
    "combed": "VBN|VBD",
    "combinable": "JJ",
    "combination": "NN",
    "combinations": "NNS",
    "combine": "VB|NN|VBP",
    "combined": "VBN|JJ|VBD",
    "combines": "VBZ|NNS",
    "combing": "VBG|JJ",
    "combining": "VBG",
    "combo": "NN",
    "combos": "NNS",
    "combustibles": "NNS",
    "combustion": "NN",
    "come": "VB|VBD|VBN|VBP|VBZ|JJ",
    "come-uppance": "NN",
    "comeback": "NN",
    "comedian": "NN",
    "comedians": "NNS",
    "comedic": "JJ",
    "comedie": "NN",
    "comedies": "NNS",
    "comedy": "NN|JJ",
    "comedy-oriented": "JJ",
    "comely": "JJ",
    "comer": "NN",
    "comers": "NNS",
    "comes": "VBZ|NNS",
    "comest": "VBP",
    "comestibles": "NNS",
    "comet": "NN",
    "comet-like": "JJ",
    "cometary": "JJ",
    "cometh": "VBZ",
    "comets": "NNS",
    "comeuppance": "NN",
    "comfort": "NN|VB",
    "comfortable": "JJ|NN",
    "comfortably": "RB",
    "comforted": "VBN|VBD",
    "comforting": "JJ|VBG",
    "comfy": "JJ",
    "comic": "JJ|NN",
    "comical": "JJ",
    "comically": "RB",
    "comico-romantico": "JJ",
    "comics": "NNS",
    "comin": "VBG|NN",
    "coming": "VBG|JJ|NN",
    "coming-of-age": "JJ",
    "coming-out": "JJ",
    "comings": "NNS",
    "comity": "NN",
    "comma": "NN",
    "command": "NN|VBP|VB",
    "command-and-control": "JJ",
    "commandant": "NN",
    "commanded": "VBN|VBD",
    "commandeered": "VBN|VBD",
    "commandeering": "VBG",
    "commander": "NN",
    "commander-in-chief": "NN",
    "commanders": "NNS",
    "commanding": "JJ|VBG|NN",
    "commandment": "NN",
    "commandments": "NNS",
    "commando": "NN",
    "commando-trained": "NN",
    "commandos": "NNS",
    "commands": "NNS|VBZ",
    "commas": "NNS",
    "commawnded": "VBD",
    "commemorate": "VB|VBP",
    "commemorated": "VBD|VBN",
    "commemorates": "VBZ",
    "commemorating": "VBG",
    "commemorative": "JJ|NN",
    "commence": "VB|VBP",
    "commenced": "VBD|VBN",
    "commencement": "NN",
    "commencements": "NNS",
    "commences": "VBZ",
    "commencing": "VBG",
    "commend": "VB|VBP",
    "commendable": "JJ",
    "commendation": "NN",
    "commendations": "NNS",
    "commended": "VBN|VBD",
    "commending": "VBG",
    "commends": "VBZ",
    "commensurate": "JJ",
    "comment": "VB|VBP|NN",
    "commentaries": "NNS",
    "commentary": "NN",
    "commentator": "NN",
    "commentators": "NNS",
    "commented": "VBD|VBN",
    "commenting": "VBG",
    "comments": "NNS|VBZ",
    "commerce": "NN",
    "commercial": "JJ|NN",
    "commercial-bank": "JJ|NN",
    "commercial-banking": "NN|JJ",
    "commercial-credit": "NN",
    "commercial-free": "JJ",
    "commercial-goods": "NNS",
    "commercial-industrial": "JJ",
    "commercial-jetliner": "JJ",
    "commercial-litigation": "NN",
    "commercial-loan": "JJ|NN",
    "commercial-products": "JJ",
    "commercial-property": "NN",
    "commercial-satellite-launching": "JJ",
    "commercial-switch": "JJ",
    "commercialism": "NN",
    "commercialization": "NN",
    "commercialize": "VB",
    "commercialized": "VBN|VBD",
    "commercializing": "VBG",
    "commercially": "RB",
    "commercials": "NNS",
    "commerical": "JJ",
    "commie": "JJ",
    "comminge": "VBG",
    "commingled": "VBN|VBD",
    "commiserate": "VB",
    "commiserating": "VBG",
    "commissar": "NN",
    "commissaries": "NNS",
    "commissary": "NN",
    "commission": "NN|VB",
    "commission-driven": "JJ",
    "commission...": ":",
    "commissioned": "VBN|VBD|JJ",
    "commissioner": "NN",
    "commissioners": "NNS",
    "commissioning": "VBG|NN",
    "commissions": "NNS|VBZ",
    "commit": "VB|JJ|VBP",
    "commitment": "NN",
    "commitments": "NNS",
    "commits": "VBZ",
    "committed": "VBN|JJ|VBD",
    "committee": "NN",
    "committee...": ":",
    "committeemen": "NNS",
    "committees": "NNS|VBZ",
    "committeewoman": "NN",
    "committes": "NNS",
    "committing": "VBG",
    "committment": "NN",
    "commmercial": "JJ",
    "commmon": "JJ",
    "commmuter": "NN",
    "commodities": "NNS",
    "commodities-related": "JJ",
    "commoditize": "VB",
    "commodity": "NN",
    "commodity-chemical": "JJ",
    "commodity-market": "NN",
    "commodity-options": "NNS",
    "commodity-oriented": "JJ",
    "commodity-price": "JJ",
    "commodity-swap": "NN",
    "commodity-trading": "NN",
    "common": "JJ|NN",
    "common-carrier": "NN",
    "common-law": "NN|JJ",
    "common-law-marriage": "NN",
    "common-position": "JJ",
    "common-sense": "JJ|NN",
    "common-sensical": "JJ",
    "common-share": "JJ",
    "common-stock": "JJ|NN",
    "commonality": "NN",
    "commoner": "JJR",
    "commoners": "NNS",
    "commonest": "JJS",
    "commonly": "RB",
    "commonness": "NN",
    "commonplace": "NN|JJ",
    "commonplaces": "NNS",
    "commons": "NN",
    "commonstock": "NN",
    "commonwealth": "NN",
    "commonwealths": "NNS",
    "commotion": "NN",
    "communal": "JJ",
    "commune": "NN|FW|VB",
    "communes": "NNS|VBZ",
    "communicable": "JJ",
    "communicate": "VB|VBP",
    "communicated": "VBN|VBD",
    "communicating": "VBG|NN",
    "communication": "NN",
    "communication-cluttered": "JJ",
    "communication-service": "JJ",
    "communicational": "JJ",
    "communications": "NNS",
    "communications-equipment": "NN",
    "communications-network": "JJ",
    "communications-technology": "NN",
    "communicative": "JJ",
    "communicator": "NN",
    "communicators": "NNS",
    "communion": "NN",
    "communique": "NN",
    "communiques": "NNS",
    "communism": "NN",
    "communist": "JJ|NN",
    "communist-led": "JJ",
    "communistic": "JJ",
    "communists": "NNS",
    "communitarians": "NNS",
    "communities": "NNS",
    "community": "NN",
    "community-based": "JJ",
    "community-development": "NN",
    "community-oriented": "JJ",
    "community-service": "NN",
    "communize": "VB",
    "commutation": "NN",
    "commutator-like": "JJ",
    "commute": "NN|VBP|VB",
    "commuted": "VBN|VBD",
    "commuter": "NN",
    "commuter-airline": "NN",
    "commuters": "NNS",
    "commutes": "NNS|VBZ",
    "commuting": "VBG|NN|JJ",
    "compact": "JJ|NN|VB",
    "compact-car": "NN",
    "compact-disk": "NN",
    "compacted": "JJ|VBN|VBD",
    "compaction": "NN",
    "compactly": "RB",
    "compacts": "NNS|VBZ",
    "companies": "NNS|VBZ",
    "companies...": ":",
    "companion": "NN|JJ|VB",
    "companionable": "JJ",
    "companions": "NNS|VBZ",
    "companionship": "NN",
    "companionway": "NN",
    "company": "NN|VB",
    "company-arranged": "JJ",
    "company-managed": "JJ",
    "company-operated": "JJ",
    "company-owned": "JJ",
    "company-paid": "JJ",
    "company-run": "JJ",
    "company-sponsored": "JJ",
    "company-wide": "JJ",
    "companywide": "JJ|RB",
    "comparability": "NN",
    "comparable": "JJ",
    "comparable-store": "JJ",
    "comparably": "RB",
    "comparative": "JJ|NN",
    "comparatively": "RB",
    "compare": "VB|VBP|NN",
    "compared": "VBN|VBD",
    "compares": "VBZ|NNS",
    "comparing": "VBG",
    "comparison": "NN",
    "comparisons": "NNS",
    "compartment": "NN",
    "compartments": "NNS",
    "compass": "NN|VB",
    "compassion": "NN",
    "compassionate": "JJ",
    "compassionately": "RB",
    "compatability": "NN",
    "compatibility": "NN",
    "compatible": "JJ",
    "compatiblizers": "NNS",
    "compatriot": "NN",
    "compatriots": "NNS",
    "compel": "VB",
    "compelled": "VBN|VBD|JJ",
    "compelling": "JJ|VBG",
    "compellingly": "RB",
    "compels": "VBZ",
    "compendium": "NN",
    "compensate": "VB|VBP",
    "compensated": "VBN|VBD",
    "compensates": "VBZ",
    "compensating": "VBG",
    "compensation": "NN",
    "compensations": "NNS",
    "compensatory": "JJ",
    "compete": "VB|VBP",
    "competed": "VBN|VBD",
    "competence": "NN",
    "competency": "NN",
    "competent": "JJ",
    "competently": "RB",
    "competes": "VBZ",
    "competing": "VBG|JJ",
    "competition": "NN",
    "competition-enhancers": "NNS",
    "competitions": "NNS",
    "competitive": "JJ",
    "competitive-analysis": "JJ",
    "competitively": "RB",
    "competitiveness": "NN",
    "competitor": "NN",
    "competitors": "NNS",
    "competitve": "JJ",
    "competitveness": "NN",
    "compilation": "NN",
    "compilations": "NNS",
    "compile": "VB",
    "compiled": "VBN|VBD",
    "compiler": "NN",
    "compiles": "VBZ",
    "compiling": "VBG",
    "complacency": "NN",
    "complacent": "JJ",
    "complacently": "RB",
    "complain": "VB|VBP",
    "complainant": "NN",
    "complained": "VBD|VBN",
    "complaining": "VBG",
    "complains": "VBZ",
    "complaint": "NN",
    "complaint-resolution": "NN",
    "complaints": "NNS",
    "complaisance": "NN",
    "complaisant": "JJ",
    "compleated": "VBN",
    "complection": "NN",
    "complement": "VB|NN|VBP",
    "complementary": "JJ",
    "complemented": "VBD",
    "complements": "VBZ|NNS",
    "complete": "JJ|VB|VBP",
    "completed": "VBN|JJ|VBD",
    "completed-contract": "JJ",
    "completely": "RB",
    "completely-restored": "JJ",
    "completeness": "NN",
    "completes": "VBZ",
    "completing": "VBG",
    "completion": "NN",
    "completions": "NNS",
    "complex": "JJ|NN",
    "complex-valued": "JJ",
    "complexes": "NNS",
    "complexion": "NN",
    "complexities": "NNS",
    "complexity": "NN",
    "compliance": "NN",
    "compliant": "JJ",
    "complicate": "VB|VBP",
    "complicated": "VBN|JJ|VBD",
    "complicates": "VBZ",
    "complicating": "VBG",
    "complication": "NN",
    "complications": "NNS",
    "complicity": "NN",
    "complied": "VBN|VBD",
    "complies": "VBZ",
    "compliment": "NN|VBP|VB",
    "complimentary": "JJ",
    "complimented": "VBN|VBD",
    "complimenting": "VBG",
    "compliments": "NNS|VBZ",
    "comply": "VB|VBP",
    "complying": "VBG",
    "component": "NN",
    "components": "NNS",
    "comport": "VB",
    "comported": "VBD|VBN",
    "comportment": "NN",
    "compose": "VB|VBP",
    "composed": "VBN|VBD|JJ",
    "composer": "NN",
    "composer-in-residence": "NN",
    "composer-pianist-conductor": "NN",
    "composers": "NNS",
    "composes": "VBZ",
    "composing": "VBG",
    "composite": "JJ|NN",
    "composites": "NNS",
    "composition": "NN",
    "compositional": "JJ",
    "compositions": "NNS",
    "compost": "NN",
    "composting": "NN",
    "composure": "NN",
    "compote": "NN",
    "compound": "NN|JJ|VB|VBP",
    "compound-engine": "JJ",
    "compounded": "VBN|JJ|VBD",
    "compounding": "NN|VBG",
    "compounds": "NNS|VBZ",
    "comprehend": "VB",
    "comprehended": "VBD|VBN",
    "comprehending": "VBG",
    "comprehension": "NN",
    "comprehensive": "JJ",
    "comprehensively": "RB",
    "comprehensiveness": "NN",
    "compress": "VB",
    "compressed": "VBN|VBD",
    "compresses": "NNS|VBZ",
    "compressibility": "NN",
    "compressing": "VBG",
    "compression": "NN",
    "compressive": "JJ",
    "compressor": "NN",
    "compressor-manufacturing": "JJ",
    "compressors": "NNS",
    "comprise": "VBP|VB",
    "comprise.": "NN",
    "comprised": "VBN|VBD",
    "comprises": "VBZ",
    "comprising": "VBG",
    "compromise": "NN|JJ|VB",
    "compromised": "VBN|VBD",
    "compromiser": "NN",
    "compromises": "NNS|VBZ",
    "compromising": "VBG|JJ",
    "comptroller": "NN",
    "compulsion": "NN",
    "compulsions": "NNS",
    "compulsive": "JJ",
    "compulsively": "RB",
    "compulsives": "NNS",
    "compulsivity": "NN",
    "compulsory": "JJ",
    "computation": "NN",
    "computational": "JJ",
    "computations": "NNS",
    "compute": "VB",
    "computed": "VBN|JJ|VBD",
    "computer": "NN|JJ",
    "computer-accessory": "JJ|NN",
    "computer-activated": "JJ",
    "computer-age": "JJ",
    "computer-aided": "JJ",
    "computer-aided-design": "JJ",
    "computer-aided-software-engineering": "NN",
    "computer-and-semiconductor": "JJ",
    "computer-assembly": "NN",
    "computer-assisted": "JJ",
    "computer-based": "JJ",
    "computer-chip": "NN|JJ",
    "computer-controlled": "JJ",
    "computer-data-storage": "JJ",
    "computer-dependent": "JJ",
    "computer-distributed": "JJ",
    "computer-driven": "JJ",
    "computer-edited": "JJ",
    "computer-game": "NN",
    "computer-generated": "JJ",
    "computer-guided": "JJ",
    "computer-hardware": "NN",
    "computer-industry": "NN|JJ",
    "computer-integrated": "JJ",
    "computer-integrated-manufacturing": "JJ",
    "computer-literate": "JJ",
    "computer-magazine": "JJ",
    "computer-maintenance": "NN|JJ",
    "computer-maker": "NN",
    "computer-making": "JJ",
    "computer-market": "JJ",
    "computer-marketing": "NN",
    "computer-matching": "JJ",
    "computer-network": "NN",
    "computer-operated": "JJ",
    "computer-oriented": "JJ",
    "computer-power-supply": "NN",
    "computer-printer": "NN",
    "computer-products": "NNS|JJ",
    "computer-related": "JJ",
    "computer-reservation": "JJ|NN",
    "computer-room": "JJ",
    "computer-science": "NN",
    "computer-security": "JJ",
    "computer-service": "JJ",
    "computer-services": "NNS",
    "computer-servicing": "JJ|NN",
    "computer-software": "NN",
    "computer-stock": "NN",
    "computer-store": "NN",
    "computer-system-design": "JJ",
    "computer-systems": "NNS",
    "computer-trading": "NN",
    "computer-unit": "JJ",
    "computerize": "VB",
    "computerized": "JJ|NN|VB|VBN|VBD",
    "computerizing": "VBG",
    "computerrelated": "JJ",
    "computers": "NNS",
    "computes": "VBZ",
    "computing": "NN|VBG",
    "computing-services": "JJ",
    "comrade": "NN",
    "comrades": "NNS",
    "comradeship": "NN",
    "con": "NN|JJ|RB|VB|FW|IN",
    "concave": "JJ",
    "conceal": "VB",
    "concealed": "VBN|JJ|VBD",
    "concealing": "VBG",
    "concealment": "NN",
    "conceals": "VBZ",
    "concede": "VBP|VB",
    "conceded": "VBD|VBN",
    "concededly": "RB",
    "concedes": "VBZ",
    "conceding": "VBG|JJ",
    "conceit": "NN",
    "conceits": "NN",
    "conceivable": "JJ",
    "conceivably": "RB",
    "conceive": "VB|VBP",
    "conceived": "VBD|VBN|JJ",
    "conceived...": ":",
    "conceiver": "NN",
    "conceives": "VBZ",
    "conceiving": "VBG",
    "concentrate": "VB|VBP|NN",
    "concentrated": "VBD|VBN|JJ",
    "concentrates": "VBZ|NNS",
    "concentrating": "VBG",
    "concentration": "NN",
    "concentration-camp": "NN",
    "concentrations": "NNS",
    "concentric": "JJ",
    "concept": "NN",
    "conception": "NN",
    "conceptions": "NNS",
    "concepts": "NNS",
    "conceptual": "JJ",
    "conceptuality": "NN",
    "conceptualization": "NN",
    "conceptualizing": "VBG",
    "conceptually": "RB",
    "concern": "NN|VBP|VB",
    "concerned": "VBN|JJ|VBD",
    "concerning": "VBG",
    "concerns": "NNS|VBZ",
    "concert": "NN",
    "concerted": "JJ|VBN",
    "concerti": "NNS",
    "concertina": "NN",
    "concertmaster": "NN",
    "concerto": "NN",
    "concertos": "NNS",
    "concerts": "NNS",
    "concession": "NN",
    "concessionaire": "NN",
    "concessionaires": "NNS",
    "concessions": "NNS",
    "concierge": "NN",
    "conciliate": "VB",
    "conciliator": "NN",
    "conciliatory": "JJ",
    "concise": "JJ",
    "concisely": "RB",
    "conciseness": "NN",
    "concision": "NN",
    "conclave": "NN",
    "conclaves": "NNS",
    "conclude": "VB|VBP",
    "concluded": "VBD|VBN",
    "concludes": "VBZ",
    "concluding": "VBG|JJ",
    "conclusion": "NN",
    "conclusions": "NNS",
    "conclusive": "JJ",
    "conclusively": "RB",
    "concoct": "VB",
    "concocted": "VBN|VBD",
    "concoction": "NN",
    "concoctions": "NNS",
    "concomitant": "NN|JJ",
    "concomitantly": "RB",
    "concord": "NN|VB",
    "concordant": "JJ",
    "concrete": "JJ|NN",
    "concrete-product-making": "NN",
    "concretely": "RB",
    "concretistic": "JJ",
    "concretistic-seeming": "JJ",
    "concur": "VBP|VB|NN",
    "concurred": "VBD|VBN",
    "concurrence": "NN",
    "concurrent": "JJ",
    "concurrently": "RB",
    "concurring": "VBG",
    "concurs": "VBZ",
    "concussion": "NN",
    "condemn": "VB|VBP",
    "condemnation": "NN",
    "condemnatory": "JJ",
    "condemned": "VBN|JJ|VBD",
    "condemning": "VBG",
    "condemns": "VBZ",
    "condensate": "NN",
    "condensation": "NN",
    "condense": "VB",
    "condensed": "JJ|VBN|VBD",
    "condenser": "NN",
    "condensers": "NNS",
    "condensing": "VBG",
    "condescending": "JJ|VBG",
    "condescension": "NN",
    "condicions": "NNS",
    "condiments": "NNS",
    "condition": "NN|VBP|VB",
    "conditional": "JJ|NN",
    "conditionally": "RB",
    "conditioned": "VBN|VBD|JJ",
    "conditioner": "NN",
    "conditioners": "NNS",
    "conditioning": "NN|VBG",
    "conditioning...": ":",
    "conditions": "NNS|VBZ",
    "condo": "NN",
    "condolences": "NNS",
    "condom": "NN",
    "condominium": "NN",
    "condominiums": "NNS",
    "condoms": "NNS",
    "condone": "VB",
    "condoned": "VBD|VBN",
    "condos": "NNS",
    "conducive": "JJ",
    "conduct": "NN|VBP|VB",
    "conducted": "VBN|VBD",
    "conducted...": ":",
    "conducting": "VBG|NN",
    "conduction": "NN",
    "conductivity": "NN",
    "conductor": "NN",
    "conductors": "NNS",
    "conductorship": "NN",
    "conducts": "VBZ",
    "conduit": "NN",
    "conduits": "NNS",
    "cone": "NN|VB",
    "cone-sphere": "JJ",
    "coneheads": "NNS",
    "cones": "NNS|VBZ",
    "confabulated": "VBN|VBD",
    "confabulation": "NN",
    "confabulations": "NNS",
    "confectionary": "JJ",
    "confectioner": "NN",
    "confectionery": "NN",
    "confederacy": "NN",
    "confederates": "NNS",
    "confederation": "NN",
    "confederations": "NNS",
    "confer": "VB|VBP",
    "conferees": "NNS",
    "conference": "NN",
    "conferences": "NNS",
    "conferred": "VBD|VBN",
    "conferring": "VBG",
    "confers": "VBZ",
    "confess": "VB|VBP",
    "confessed": "VBD|VBN",
    "confesses": "VBZ",
    "confessing": "VBG",
    "confession": "NN",
    "confessional": "NN|JJ",
    "confessionals": "NNS",
    "confessions": "NNS",
    "confessor": "NN",
    "confict": "NN",
    "confidant": "NN",
    "confidante": "NN",
    "confidants": "NNS",
    "confide": "VB|VBP",
    "confided": "VBD|VBN",
    "confidence": "NN",
    "confidence-crusher": "NN",
    "confidence-shattering": "JJ",
    "confidences": "NNS",
    "confident": "JJ",
    "confidential": "JJ",
    "confidentiality": "NN",
    "confidentially": "RB",
    "confidently": "RB",
    "confides": "VBZ",
    "confiding": "VBG|JJ",
    "configuration": "NN",
    "configuration-data": "JJ",
    "configurations": "NNS",
    "confine": "VB|VBP",
    "confined": "VBN|JJ|VBD",
    "confinement": "NN",
    "confinements": "NNS",
    "confines": "NNS|VBZ",
    "confining": "VBG|JJ",
    "confirm": "VB|VBP",
    "confirmation": "NN",
    "confirmations": "NNS",
    "confirmed": "VBD|VBN|JJ",
    "confirming": "VBG",
    "confirms": "VBZ",
    "confiscate": "VB",
    "confiscated": "VBN|VBD",
    "confiscating": "VBG",
    "confiscation": "NN",
    "confiscatory": "JJ",
    "conflagration": "NN",
    "conflation": "NN",
    "conflict": "NN|VB|VBP",
    "conflict-of-interest": "NN|JJ",
    "conflict-ridden": "JJ",
    "conflicted": "VBD|VBN",
    "conflicting": "JJ|VBG",
    "conflicts.": "NN",
    "confluence": "NN",
    "confluent": "JJ",
    "conform": "VB|VBP",
    "conformance": "NN",
    "conformation": "NN",
    "conformational": "JJ",
    "conformations": "NNS",
    "conformed": "VBN|VBD",
    "conforming": "VBG",
    "conformist": "JJ|NN",
    "conformists": "NNS",
    "conformitarianism": "NN",
    "conformity": "NN",
    "conforms": "VBZ",
    "confound": "VB",
    "confounded": "VBD|VBN",
    "confounding": "VBG",
    "confreres": "FW|NNS",
    "confront": "VBP|VB",
    "confrontation": "NN",
    "confrontational": "JJ",
    "confrontations": "NNS",
    "confronted": "VBN|VBD",
    "confronting": "VBG",
    "confronts": "VBZ",
    "confuse": "VB|VBP|JJ",
    "confused": "VBN|JJ|VBD",
    "confuses": "VBZ",
    "confusin": "NN",
    "confusing": "JJ|VBG",
    "confusion": "NN",
    "confusions": "NNS",
    "congeal": "VB",
    "congealed": "VBD|VBN",
    "congenial": "JJ",
    "congeniality": "NN",
    "congenital": "JJ",
    "congested": "JJ|VBN|VBD",
    "congestion": "NN",
    "congestive": "JJ",
    "conglomerate": "NN|JJ|VB",
    "conglomerates": "NNS|VBZ",
    "congratulate": "VB|VBP",
    "congratulated": "VBD|VBN",
    "congratulating": "NN|VBG",
    "congratulation": "NN",
    "congratulatory": "JJ",
    "congregate": "VB|VBD",
    "congregated": "VBD",
    "congregation": "NN",
    "congregational": "JJ",
    "congregations": "NNS",
    "congress": "NN",
    "congressional": "JJ",
    "congressional-item": "JJ",
    "congressionally": "RB",
    "congressman": "NN",
    "congressmen": "NNS",
    "congressonal": "JJ",
    "congresssional": "JJ",
    "congruence": "NN",
    "congruent": "JJ",
    "conic": "JJ|NN",
    "coning": "NN|VBG",
    "conjecture": "NN|VB",
    "conjectured": "VBN|VBD",
    "conjectures": "NNS|VBZ",
    "conjoined": "VBN|VBD",
    "conjugal": "JJ",
    "conjugate": "NN",
    "conjugated": "VBN|JJ",
    "conjugates": "NNS",
    "conjugating": "VBG",
    "conjugation": "NN",
    "conjunction": "NN",
    "conjunctions": "NNS",
    "conjur": "NN",
    "conjure": "VB|VBP",
    "conjured": "VBN|VBD",
    "conjures": "VBZ",
    "conjuring": "VBG",
    "connect": "VB|VBP",
    "connected": "VBN|JJ|VBD",
    "connecting": "VBG|JJ",
    "connection": "NN",
    "connections": "NNS",
    "connective": "JJ",
    "connector": "NN",
    "connectors": "NNS",
    "connects": "VBZ",
    "conned": "VBN|VBD",
    "connexion": "NN",
    "conning": "VBG",
    "connivance": "NN",
    "conniver": "NN",
    "connoisseur": "NN",
    "connoisseurs": "NNS",
    "connotation": "NN",
    "connotations": "NNS",
    "connote": "VB|VBP",
    "connotes": "VBZ",
    "conpired": "VBN",
    "conquer": "VB|VBP",
    "conquered": "VBN|VBD",
    "conquering": "VBG",
    "conqueror": "NN",
    "conquerors": "NNS",
    "conquest": "NN",
    "conquests": "NNS",
    "conquete": "FW",
    "cons": "NNS|VBZ",
    "consanguineous": "JJ",
    "consanguineously": "RB",
    "consanguinity": "NN",
    "conscience": "NN",
    "consciences": "NNS",
    "conscientious": "JJ",
    "conscionable": "JJ",
    "conscious": "JJ|NN",
    "consciously": "RB",
    "consciousness": "NN",
    "consciousness-raising": "NN",
    "conscript": "JJ|NN",
    "conscripted": "VBN",
    "conscription": "NN",
    "conscripts": "NNS",
    "consderations": "NNS",
    "consecration": "NN",
    "consecutive": "JJ",
    "consensual": "JJ",
    "consensus": "NN",
    "consensus-seeker": "NN",
    "consent": "NN|VB",
    "consent-decree": "JJ",
    "consented": "VBD|VBN",
    "consenting": "VBG|JJ",
    "consentual": "JJ",
    "consequence": "NN",
    "consequences": "NNS",
    "consequent": "JJ",
    "consequential": "JJ",
    "consequently": "RB",
    "conservancy": "NN",
    "conservation": "NN",
    "conservationist": "NN",
    "conservationists": "NNS",
    "conservatism": "NN",
    "conservative": "JJ|NN",
    "conservative-communist": "JJ",
    "conservative-led": "JJ",
    "conservative-liberal": "JJ",
    "conservatively": "RB",
    "conservatively-cravated": "JJ",
    "conservatives": "NNS",
    "conservator": "NN",
    "conservatories": "NNS",
    "conservators": "NNS",
    "conservatorship": "NN",
    "conservatory": "NN",
    "conserve": "VB",
    "conserved": "VBN|VBD",
    "conserves": "VBZ",
    "conserving": "VBG",
    "consider": "VB|VBP",
    "considerable": "JJ",
    "considerably": "RB",
    "considerate": "JJ",
    "considerately": "RB",
    "consideration": "NN",
    "considerations": "NNS",
    "considered": "VBN|VBD|JJ",
    "considerin": "VBG",
    "considering": "VBG",
    "considers": "VBZ",
    "consign": "VB",
    "consigned": "VBD|VBN",
    "consigns": "VBZ",
    "consisently": "RB",
    "consist": "VBP|VB|NN",
    "consisted": "VBD|VBN",
    "consistence": "NN",
    "consistency": "NN",
    "consistent": "JJ",
    "consistently": "RB",
    "consisting": "VBG",
    "consists": "VBZ",
    "consolation": "NN",
    "console": "VB|VBP",
    "consoled": "VBD|VBN",
    "consoles": "VBZ|NNS",
    "consolidate": "VB|VBP|VBD",
    "consolidated": "JJ|VBD|VBN",
    "consolidated-pretax": "JJ",
    "consolidates": "VBZ",
    "consolidating": "VBG|JJ",
    "consolidation": "NN",
    "consolidations": "NNS",
    "consoling": "VBG",
    "consomme": "NN",
    "consonance": "NN",
    "consonant": "JJ|NN",
    "consonantal": "JJ",
    "consonants": "NNS",
    "consorted": "VBD|VBN",
    "consortia": "NN|NNS",
    "consorting": "VBG",
    "consortium": "NN",
    "consortium-ownership": "NN",
    "consortiums": "NNS",
    "conspicuous": "JJ",
    "conspicuously": "RB",
    "conspiracies": "NNS",
    "conspiracy": "NN",
    "conspirator": "NN",
    "conspiratorial": "JJ",
    "conspirators": "NNS",
    "conspire": "VBP|VB",
    "conspired": "VBD|VBN",
    "conspires": "VBZ",
    "conspiring": "VBG",
    "constables": "NNS",
    "constancy": "NN",
    "constant": "JJ|NN|RB",
    "constant-temperature": "NN",
    "constantly": "RB",
    "constants": "NNS",
    "constatation": "NN",
    "constellation": "NN",
    "constellations": "NNS",
    "consternation": "NN",
    "constipation": "NN",
    "constituencies": "NNS",
    "constituency": "NN",
    "constituent": "NN|JJ",
    "constituents": "NNS",
    "constitute": "VBP|VB",
    "constituted": "VBD|VBN",
    "constitutes": "VBZ",
    "constituting": "VBG",
    "constitution": "NN",
    "constitutional": "JJ",
    "constitutional-law": "NN|JJ",
    "constitutionality": "NN",
    "constitutionally": "RB",
    "constitutions": "NNS",
    "constrain": "VB",
    "constrained": "VBN|JJ|VBD",
    "constraining": "VBG",
    "constrains": "VBZ",
    "constraint": "NN",
    "constraints": "NNS",
    "constricted": "JJ|VBD|VBN",
    "constricting": "VBG",
    "constriction": "NN",
    "constrictions": "NNS",
    "constrictor": "NN",
    "constrictors": "NNS",
    "construct": "VB|VBP",
    "constructed": "VBN|VBD",
    "constructing": "VBG",
    "construction": "NN",
    "construction-industry": "NN",
    "construction-management": "JJ",
    "construction-oriented": "JJ",
    "construction-related": "JJ",
    "constructional": "JJ",
    "constructions": "NNS",
    "constructive": "JJ",
    "constructively": "RB",
    "constructon": "NN",
    "constructs": "VBZ",
    "construe": "VB|VBP",
    "construed": "VBN|VBD",
    "construing": "VBG",
    "consul": "NN",
    "consular": "JJ",
    "consulate": "NN",
    "consulates": "NNS",
    "consult": "VB",
    "consultancy": "NN",
    "consultant": "NN",
    "consultants": "NNS",
    "consultation": "NN",
    "consultations": "NNS",
    "consultative": "JJ",
    "consulted": "VBN|VBD",
    "consulting": "NN|JJ|VBG",
    "consulting-firm": "NN",
    "consumables": "NNS",
    "consume": "VB|VBP",
    "consumed": "VBN|VBD",
    "consumer": "NN",
    "consumer-advocacy": "JJ",
    "consumer-analgesic": "JJ",
    "consumer-credit": "JJ|NN",
    "consumer-driven": "JJ",
    "consumer-electronics": "JJ|NNS",
    "consumer-finance": "JJ",
    "consumer-goods": "NNS",
    "consumer-led": "JJ",
    "consumer-minded": "JJ",
    "consumer-oriented": "JJ",
    "consumer-paint": "JJ",
    "consumer-price": "JJ|NN",
    "consumer-price-index": "JJ",
    "consumer-product": "NN|JJ",
    "consumer-products": "NNS|JJ",
    "consumer-protection": "NN",
    "consumer-telephone": "JJ",
    "consumer-warning": "NN",
    "consumerism": "NN",
    "consumers": "NNS",
    "consumes": "VBZ",
    "consuming": "NN|VBG",
    "consummate": "JJ",
    "consummated": "VBN|VBD",
    "consummately": "RB",
    "consummation": "NN",
    "consumption": "NN",
    "consumption-tax": "NN",
    "consumptive": "JJ",
    "cont": "VBN",
    "contact": "NN|JJ|VB",
    "contact-lens": "NN",
    "contacted": "VBN|VBD",
    "contacting": "VBG",
    "contacts": "NNS|VBZ",
    "contadini": "NNS",
    "contagion": "NN",
    "contagious": "JJ",
    "contain": "VB|VBP",
    "containable": "JJ",
    "contained": "VBD|VBN|JJ",
    "container": "NN",
    "container-ship": "NN",
    "containerboard": "NN",
    "containerized-cargo": "NN",
    "containers": "NNS",
    "containing": "VBG",
    "containment": "NN",
    "contains": "VBZ",
    "contaminants": "NNS",
    "contaminate": "VB",
    "contaminated": "VBN|VBD|JJ",
    "contaminating": "VBG",
    "contamination": "NN",
    "contemplate": "VB|VBP",
    "contemplated": "VBN|JJ|VBD",
    "contemplates": "VBZ",
    "contemplating": "VBG",
    "contemplation": "NN",
    "contemplative": "JJ",
    "contemporaneous": "JJ",
    "contemporaries": "NNS",
    "contemporary": "JJ|NN",
    "contemporize": "VB",
    "contempt": "NN",
    "contempt-of-court": "NN",
    "contemptible": "JJ",
    "contemptuous": "JJ",
    "contemptuously": "RB",
    "contend": "VBP|VB",
    "contended": "VBD|VBN",
    "contender": "NN",
    "contendere": "FW",
    "contenders": "NNS",
    "contending": "VBG",
    "contends": "VBZ",
    "content": "NN|JJ|VB",
    "contented": "JJ|VBN|VBD",
    "contentedly": "RB",
    "contenting": "VBG",
    "contention": "NN",
    "contentions": "NNS",
    "contentious": "JJ",
    "contentment": "NN",
    "contents": "NNS|VBZ",
    "contest": "NN|VB",
    "contestant": "NN",
    "contestants": "NNS",
    "contested": "VBN|JJ|VBD",
    "contesting": "VBG",
    "contests": "NNS|VBZ",
    "context": "NN",
    "contexts": "NNS",
    "contiguous": "JJ",
    "continence": "NN",
    "continent": "NN",
    "continental": "JJ",
    "continentally": "RB",
    "continents": "NNS",
    "contingencies": "NNS",
    "contingency": "NN",
    "contingency-fee": "JJ",
    "contingent": "JJ|NN",
    "contingent-fee": "JJ",
    "contingents": "NNS",
    "continously": "RB",
    "continual": "JJ",
    "continually": "RB",
    "continuance": "NN",
    "continuation": "NN",
    "continue": "VB|VBP",
    "continued": "VBD|JJ|VBN",
    "continues": "VBZ",
    "continuing": "VBG|JJ",
    "continuing-education": "JJ",
    "continuingly": "RB",
    "continuities": "NNS",
    "continuity": "NN",
    "continuo": "NN",
    "continuous": "JJ",
    "continuously": "RB",
    "continuum": "NN",
    "contorted": "JJ|VBD|VBN",
    "contortion": "NN",
    "contortionists": "NNS",
    "contour": "NN",
    "contour-obliterating": "JJ",
    "contouring": "VBG",
    "contours": "NNS",
    "contraband": "JJ|NN",
    "contrabass": "NN",
    "contraception": "NN",
    "contraceptive": "JJ|NN",
    "contraceptives": "NNS",
    "contract": "NN|VB|VBP",
    "contract-drilling": "NN|VBG",
    "contract-food": "NN",
    "contract-negotiation": "NN",
    "contract-services": "NNS",
    "contract-steering": "JJ",
    "contracted": "VBD|VBN",
    "contracted-for": "JJ",
    "contracting": "NN|VBG",
    "contraction": "NN",
    "contraction-extension": "JJ",
    "contractions": "NNS",
    "contractor": "NN",
    "contractors": "NNS",
    "contracts": "NNS|VBZ",
    "contractual": "JJ",
    "contractually": "RB",
    "contradict": "VB|VBP",
    "contradicted": "VBD|VBN",
    "contradicting": "VBG",
    "contradiction": "NN",
    "contradictions": "NNS",
    "contradictorily": "RB",
    "contradictory": "JJ|NN",
    "contradicts": "VBZ",
    "contradistinction": "NN",
    "contralto": "NN",
    "contraption": "NN",
    "contraptions": "NNS",
    "contrarian": "JJ|NN",
    "contrarians": "NNS",
    "contrarieties": "NNS",
    "contrary": "JJ|NN",
    "contrary-to-reality": "JJ",
    "contrast": "NN|VB|VBP",
    "contrasted": "VBN|VBD",
    "contrasting": "VBG|JJ",
    "contrasts": "VBZ|NNS",
    "contravened": "VBN|VBD",
    "contraventions": "NNS",
    "contretemps": "NN",
    "contribs": "NNS",
    "contribued": "VBD",
    "contribute": "VB|VBP",
    "contributed": "VBD|VBN",
    "contributes": "VBZ",
    "contributing": "VBG|JJ",
    "contribution": "NN",
    "contributions": "NNS",
    "contributor": "NN",
    "contributors": "NNS",
    "contributory": "JJ",
    "contrite": "JJ",
    "contrition": "NN",
    "contrivance": "NN",
    "contrivances": "NNS",
    "contrive": "VB",
    "contrived": "JJ|VBN|VBD",
    "contriving": "VBG",
    "control": "NN|JJ|VB|VBP",
    "control-room": "NN",
    "controllable": "JJ",
    "controlled": "VBN|JJ|VBD",
    "controlled-circulation": "JJ",
    "controller": "NN",
    "controllers": "NNS",
    "controlling": "VBG|JJ|NN",
    "controls": "NNS|VBZ",
    "controversial": "JJ",
    "controversialists": "NNS",
    "controversies": "NNS",
    "controversy": "NN",
    "controversy-prone": "JJ",
    "contusions": "NNS",
    "conundrum": "NN",
    "convalescence": "NN",
    "convalescing": "VBG",
    "convection": "NN",
    "convenants": "NNS",
    "convene": "VB|VBP",
    "convened": "VBD|VBN",
    "convenes": "VBZ",
    "convenience": "NN",
    "convenience-food": "NN",
    "convenience-store": "NN",
    "conveniences": "NNS",
    "convenient": "JJ",
    "convenient-type": "JJ",
    "conveniently": "RB",
    "convening": "VBG|NN",
    "convent": "NN",
    "convention": "NN",
    "convention-goers": "NNS",
    "conventional": "JJ",
    "conventional-arms": "JJ|NNS",
    "conventional-type": "JJ",
    "conventionality": "NN",
    "conventionalized": "VBN",
    "conventionally": "RB",
    "conventioneers": "NNS",
    "conventioners": "NNS",
    "conventions": "NNS",
    "converage": "NN",
    "converge": "VB|VBP",
    "converged": "VBD|VBN",
    "converging": "VBG",
    "conversant": "NN",
    "conversation": "NN",
    "conversational": "JJ",
    "conversations": "NNS",
    "converse": "VB|NN",
    "conversely": "RB",
    "conversing": "VBG",
    "conversion": "NN",
    "conversion-by-renovation": "JJ",
    "conversions": "NNS",
    "convert": "VB|VBP|NN",
    "converted": "VBN|JJ|VBD",
    "converter": "NN",
    "converters": "NNS",
    "convertibility": "NN",
    "convertible": "JJ|NN",
    "convertible-bond": "JJ",
    "convertibles": "NNS",
    "converting": "VBG",
    "converts": "VBZ|NNS",
    "convex": "JJ",
    "convexity": "NN",
    "convey": "VB|VBP",
    "conveyance": "NN",
    "conveyed": "VBD|VBN",
    "conveying": "VBG",
    "conveyor": "NN",
    "conveys": "VBZ",
    "convict": "VB|NN",
    "convicted": "VBN|VBD",
    "convicting": "VBG",
    "conviction": "NN",
    "convictions": "NNS",
    "convicts": "NNS|VBZ",
    "convince": "VB|VBP",
    "convinced": "VBN|JJ|VBD",
    "convinces": "VBZ",
    "convincing": "VBG|JJ|NN",
    "convincingly": "RB",
    "convivial": "JJ",
    "convocation": "NN",
    "convoluted": "JJ|VBN|VBD",
    "convolutions": "NNS",
    "convoy": "NN",
    "convoys": "NNS",
    "convulsed": "VBD|VBN",
    "convulsion": "NN",
    "convulsions": "NNS",
    "convulsive": "JJ",
    "convulsively": "RB",
    "cooing": "VBG",
    "cook": "NN|VB|VBP",
    "cookbook": "NN",
    "cookbooks": "NNS",
    "cooked": "VBN|VBD|JJ",
    "cooked-over": "JJ",
    "cooker": "NN",
    "cookers": "NNS",
    "cookfire": "NN",
    "cookie": "NN",
    "cookie-and-cracker": "JJ",
    "cookie-cutter": "NN",
    "cookies": "NNS",
    "cooking": "VBG|NN|JJ",
    "cooks": "NNS|VBZ",
    "cookware": "NN",
    "cool": "JJ|NN|RB|VB|VBP",
    "cool-headed": "JJ",
    "coolant": "NN",
    "coolants": "NNS",
    "cooled": "VBN|JJ|VBD",
    "cooler": "NN|JJR",
    "coolers": "NNS",
    "coolest": "JJS",
    "coolheaded": "JJ",
    "cooling": "VBG|NN",
    "cooling-heating": "JJ",
    "cooling-off": "JJ|NN",
    "coolly": "RB",
    "coolness": "NN",
    "coolnesses": "NNS",
    "cools": "VBZ",
    "cooly": "RB",
    "coop": "NN",
    "cooped": "JJ|NN|VBN",
    "cooperate": "VB|VBP",
    "cooperated": "VBD|VBN",
    "cooperates": "VBZ",
    "cooperating": "VBG",
    "cooperation": "NN",
    "cooperative": "JJ|NN",
    "cooperative-care": "JJ",
    "cooperatively": "RB",
    "cooperatives": "NNS",
    "coops": "NNS",
    "coordinate": "VB|JJ|NN|VBP",
    "coordinated": "VBN|VBD|JJ",
    "coordinates": "VBZ|NNS",
    "coordinating": "VBG|NN",
    "coordination": "NN",
    "coordinator": "NN",
    "coordinators": "NNS",
    "coosie": "NN",
    "cop": "NN|VB",
    "cop-killer": "JJ",
    "cop-out": "NN",
    "cope": "VB|NN|VBN",
    "copes": "VBZ",
    "copied": "VBN|VBD",
    "copier": "NN",
    "copiers": "NNS",
    "copies": "NNS|VBZ",
    "coping": "VBG|NN",
    "copings": "NNS",
    "copious": "JJ",
    "copiously": "RB",
    "copolymers": "NNS",
    "copper": "NN",
    "copper-based": "JJ",
    "copper-producing": "JJ",
    "copper-rich": "JJ",
    "coppery": "JJ|NN",
    "copra": "NN",
    "coproducer": "NN",
    "coproductions": "NNS",
    "cops": "NNS|VBZ",
    "copy": "NN|VBP|VB",
    "copy-cat": "JJ",
    "copybooks": "NNS",
    "copycat": "NN",
    "copycats": "NNS",
    "copying": "NN|VBG",
    "copyright": "NN|JJ",
    "copyright-infringement": "NN",
    "copyrighted": "VBN",
    "copyrights": "NNS",
    "copywriter": "NN",
    "coquette": "NN",
    "coral": "JJ",
    "coral-colored": "JJ",
    "cord": "NN",
    "corded": "VBN",
    "cordial": "JJ|NN",
    "cordless": "JJ",
    "cordon": "FW|NN",
    "cords": "NNS",
    "corduroy": "NN",
    "corduroys": "NNS",
    "core": "NN|JJ",
    "core-jacket": "JJ",
    "cores": "NNS",
    "coriander": "NN",
    "corinthian": "JJ",
    "cork": "NN",
    "corked": "JJ",
    "corkers": "NNS",
    "corks": "NNS",
    "corkscrew": "NN|VB",
    "corkscrews": "NNS|VBZ",
    "corn": "NN",
    "corn-based": "JJ",
    "corn-belt": "NN",
    "corn-buying": "JJ",
    "corn-farmers": "NNS",
    "corn-producing": "JJ",
    "corn-seed": "NN",
    "cornball": "NN",
    "cornbread": "NN",
    "corne": "NN",
    "cornea": "NN",
    "corneal": "JJ",
    "corner": "NN|JJ|VB",
    "corner-posts": "NNS",
    "cornered": "VBN|VBD|JJ",
    "cornering": "VBG",
    "corners": "NNS|VBZ",
    "cornerstone": "NN",
    "cornerstones": "NNS",
    "cornfield": "NN",
    "cornflake-size": "JJ",
    "cornices": "NNS",
    "corniest": "JJS",
    "cornmeal": "NN",
    "cornmeal-price": "NN",
    "corns": "NNS",
    "cornstarch": "NN",
    "cornucopia": "NN",
    "corny": "JJ",
    "corollaries": "NNS",
    "corollary": "NN",
    "corona": "NN",
    "coronaries": "NNS",
    "coronary": "JJ",
    "coroner": "NN",
    "corpocrat": "NN",
    "corporal": "NN",
    "corporate": "JJ",
    "corporate-bond": "JJ",
    "corporate-coverage": "JJ",
    "corporate-development": "NN",
    "corporate-earnings": "NNS",
    "corporate-entertainment": "JJ",
    "corporate-finance": "JJ|NN",
    "corporate-identity": "JJ",
    "corporate-image": "JJ",
    "corporate-law": "NN",
    "corporate-lending": "JJ",
    "corporate-owned": "JJ",
    "corporate-pension": "JJ",
    "corporate-raider": "JJ",
    "corporate-related": "JJ",
    "corporate-securities": "JJ",
    "corporate-settlement": "NN",
    "corporate-tax": "JJ",
    "corporate-wide": "JJ",
    "corporates": "NNS",
    "corporatewide": "JJ",
    "corporation": "NN",
    "corporation-socialist": "JJ",
    "corporations": "NNS",
    "corporatism": "NN",
    "corporatist": "NN|JJ",
    "corporativism": "NN",
    "corporativists": "NNS",
    "corporeal": "JJ",
    "corporeality": "NN",
    "corporis": "FW",
    "corps": "NN|FW",
    "corpse": "NN",
    "corpses": "NNS",
    "corpsman": "NN",
    "corpulence": "NN",
    "corpus": "NN|FW",
    "corpuscular": "JJ",
    "corpuscular-radiation": "NN",
    "corral": "VB|NN",
    "corralled": "VBN|VBD",
    "corralling": "VBG",
    "corrals": "NNS|VBZ",
    "correct": "VB|JJ|VBP",
    "corrected": "VBN|VBD|JJ",
    "correcting": "VBG|NN",
    "correction": "NN",
    "correctional": "JJ",
    "corrections": "NNS",
    "corrective": "JJ",
    "correctly": "RB",
    "correctness": "NN",
    "corrects": "VBZ",
    "correlate": "VB|VBP",
    "correlated": "JJ|VBD|VBN",
    "correlating": "VBG",
    "correlation": "NN",
    "correlations": "NNS",
    "correspond": "VB|VBP",
    "corresponded": "VBD|VBN",
    "correspondence": "NN",
    "correspondent": "NN",
    "correspondent/news": "NNS",
    "correspondents": "NNS",
    "corresponding": "JJ|VBG",
    "correspondingly": "RB",
    "corresponds": "VBZ",
    "corridor": "NN",
    "corridors": "NNS",
    "corroborate": "VBP|VB",
    "corroborated": "VBD|VBN|JJ",
    "corroborees": "NNS",
    "corrode": "VBP|VB",
    "corroding": "VBG",
    "corrosion": "NN",
    "corrosion-protection": "JJ|NN",
    "corrosion-resistant": "JJ",
    "corrosive": "JJ",
    "corrugated": "JJ|VBN",
    "corrugations": "NNS",
    "corrupt": "JJ|VB",
    "corrupted": "VBN|VBD",
    "corrupter": "NN",
    "corruptible": "JJ",
    "corrupting": "VBG|JJ|NN",
    "corruption": "NN",
    "corruptions": "NNS",
    "corrupts": "VBZ",
    "corsage": "NN",
    "corset": "NN",
    "cortege": "NN",
    "corteggiamento": "FW",
    "cortex": "NN",
    "cortical": "JJ",
    "cortically": "RB",
    "cortico-fugal": "JJ|NN",
    "cortico-hypothalamic": "JJ",
    "corticosteroids": "NNS",
    "corticotropin": "NN",
    "cortisone": "NN",
    "corvettes": "NNS",
    "cosec": "NN",
    "cosily": "RB",
    "cosmetic": "JJ|NN",
    "cosmetics": "NNS",
    "cosmetics-industry": "NN",
    "cosmetology": "NN",
    "cosmic": "JJ",
    "cosmical": "JJ",
    "cosmological": "JJ",
    "cosmologies": "NNS",
    "cosmologists": "NNS",
    "cosmology": "NN",
    "cosmopolitan": "JJ",
    "cosmopolitanism": "NN",
    "cosmopolitans": "NNS",
    "cosmos": "NN",
    "cosponsored": "VBN",
    "cosponsors": "VBZ",
    "cost": "NN|VBD|VBN|VBP|VB",
    "cost-accounting": "JJ",
    "cost-benefit": "JJ",
    "cost-billing": "JJ",
    "cost-conscious": "JJ",
    "cost-consciousness": "NN",
    "cost-containment": "JJ|NN",
    "cost-control": "JJ",
    "cost-cutters": "NNS",
    "cost-cutting": "JJ|NN",
    "cost-data": "JJ",
    "cost-effective": "JJ",
    "cost-effectiveness": "NN",
    "cost-efficiency": "NN",
    "cost-efficient": "JJ",
    "cost-finding": "JJ",
    "cost-of-living": "JJ|NN",
    "cost-plus": "JJ",
    "cost-prohibitive": "JJ",
    "cost-push": "JJ",
    "cost-raising": "JJ",
    "cost-recovery": "JJ",
    "cost-reduction": "JJ|NN",
    "cost-saving": "JJ",
    "cost-savings": "JJ|NNS",
    "cost-sharing": "NN|JJ",
    "cost-shifting": "NN",
    "cost-to-benefit": "JJ",
    "cost-transfer": "NN",
    "costcutting": "NN",
    "coste": "VB",
    "costing": "VBG|NN",
    "costive": "JJ",
    "costlier": "JJR",
    "costliest": "JJS",
    "costly": "JJ|RB",
    "costs": "NNS|VBZ",
    "costume": "JJ|NN",
    "costume-jewelry": "NN",
    "costumed": "VBN",
    "costumes": "NNS",
    "costuming": "NN",
    "cosy": "JJ",
    "cot": "NN",
    "coterie": "NN",
    "cotillion": "NN",
    "cots": "NNS",
    "cottage": "NN",
    "cottages": "NNS",
    "cotter": "NN",
    "cotton": "NN",
    "cotton-ginning": "JJ",
    "cotton-growing": "JJ",
    "cottonmouth": "NN",
    "cottonseed": "NN",
    "couch": "NN|VB",
    "couch-potato": "NN",
    "couched": "VBN|VBD",
    "couches": "NNS|VBZ",
    "couching": "VBG",
    "coudn": "MD",
    "cough": "NN|VB",
    "coughed": "VBN|VBD",
    "coughing": "VBG|NN",
    "coughs": "NNS|VBZ",
    "could": "MD|VBD",
    "coulda": "NN",
    "council": "NN",
    "councilman": "NN",
    "councilor": "NN",
    "councilors": "NNS",
    "councils": "NNS",
    "councilwoman": "NN",
    "counsel": "NN|VB|VBP",
    "counseled": "VBN|VBD",
    "counseling": "NN|VBG",
    "counselor": "NN",
    "counselors": "NNS",
    "counsels": "VBZ",
    "count": "NN|VB|VBP",
    "countdown": "NN",
    "counted": "VBN|VBD",
    "countenance": "VB|NN",
    "countenances": "NNS|VBZ",
    "counter": "VB|NN|IN|JJ|RB|VBP",
    "counter-apparatus": "NN",
    "counter-argument": "NN",
    "counter-arguments": "NNS",
    "counter-attack": "NN",
    "counter-attacked": "VBD",
    "counter-balanced": "JJ",
    "counter-claims": "NNS",
    "counter-culture": "JJ",
    "counter-cyclical": "JJ",
    "counter-demand": "NN",
    "counter-drill": "VB",
    "counter-efforts": "NNS",
    "counter-escalation": "NN",
    "counter-intelligence": "JJ",
    "counter-measures": "NNS",
    "counter-moves": "NNS",
    "counter-offensive": "NN",
    "counter-productive": "JJ",
    "counter-revolutionary": "JJ|NN",
    "counter-successes": "NNS",
    "counter-tenor": "NN",
    "counter-trade": "JJ",
    "counter-trend": "JJ",
    "counteract": "VB",
    "counteracted": "VBN|VBD",
    "counteracting": "VBG",
    "counterarguments": "NNS",
    "counterattack": "NN|VB",
    "counterattacked": "VBD|VBN",
    "counterbalance": "VB|NN",
    "counterbalanced": "VBN|VBD",
    "counterbalancing": "VBG",
    "counterbid": "NN",
    "counterbidder": "NN",
    "counterbidders": "NNS",
    "counterbids": "NNS",
    "counterchallenge": "VB",
    "countercharged": "VBD",
    "countercharges": "NNS",
    "counterclaim": "NN",
    "counterclaims": "NNS",
    "countercultural": "JJ",
    "counterculture": "JJ",
    "countered": "VBD|VBN",
    "counterespionage": "NN",
    "counterfeit": "JJ|VB",
    "counterflow": "NN",
    "counterforce": "NN",
    "counterguarantee": "NN",
    "countering": "VBG",
    "counterman": "NN",
    "countermeasures": "NNS",
    "countermove": "NN",
    "counteroffensive": "NN",
    "counteroffer": "NN",
    "counterpart": "NN|JJ",
    "counterparts": "NNS",
    "counterpoint": "NN|VB",
    "counterpointing": "VBG",
    "counterproductive": "JJ",
    "counterprogram": "VB",
    "counterprogramming": "NN|VBG",
    "counterproposal": "NN",
    "counterproposals": "NNS",
    "counterrevolutionaries": "NNS",
    "counterrevolutionary": "JJ|NN",
    "counters": "NNS|VBZ",
    "countersued": "VBD|VBN",
    "countersuing": "VBG",
    "countersuit": "NN",
    "countertenor": "NN",
    "counterterror": "JJ",
    "counterterrorism": "NN",
    "countertop": "NN",
    "countervailing": "VBG|JJ",
    "counterweight": "NN|VB",
    "countess": "NN",
    "countian": "NN",
    "counties": "NNS",
    "countin": "NN|VBG",
    "counting": "VBG|NN",
    "countless": "JJ",
    "countrey": "NN",
    "countries": "NNS",
    "countriman": "NN",
    "country": "NN",
    "country-and-Western": "JJ",
    "country-club": "NN",
    "country-development": "NN",
    "country-life": "JJ",
    "country-squirehood": "NN",
    "country...": ":",
    "countryman": "NN",
    "countrymen": "NNS",
    "countryside": "NN",
    "countrywide": "JJ",
    "counts": "VBZ|NNS",
    "county": "NN",
    "county-wide": "JJ",
    "coup": "NN|FW",
    "coup-makers": "NNS",
    "coup-planning": "NN",
    "coup-proof": "JJ",
    "coupe": "NN",
    "coupes": "NNS",
    "couple": "NN|JJ|VB",
    "coupled": "VBN|VBD",
    "coupler": "NN",
    "couplers": "NNS",
    "couples": "NNS|VBZ",
    "couplets": "NNS",
    "coupling": "NN|VBG",
    "coupon": "NN",
    "coupon-distribution": "JJ",
    "coupon-equivalent": "JJ",
    "couponing": "NN|VBG",
    "coupons": "NNS",
    "coups": "NNS",
    "courage": "NN",
    "courageous": "JJ",
    "courageously": "RB",
    "courant": "FW",
    "coureurs": "FW",
    "courier": "NN",
    "couriers": "NNS",
    "course": "NN|RB|VB",
    "course-correction": "NN",
    "coursed": "VBN|VBD",
    "courses": "NNS|VBZ",
    "coursing": "VBG",
    "court": "NN|VBP|VB",
    "court-appointed": "JJ",
    "court-approved": "JJ",
    "court-length": "JJ",
    "court-ordered": "JJ",
    "court-reporting": "JJ",
    "court-supervised": "JJ",
    "court...": ":",
    "courted": "VBN|VBD",
    "courteous": "JJ",
    "courteously": "RB",
    "courtesan": "NN",
    "courtesies": "NNS",
    "courtesy": "NN",
    "courthouse": "NN",
    "courthouses": "NNS",
    "courtier": "NN",
    "courtiers": "NNS",
    "courting": "VBG|NN",
    "courtliness": "NN",
    "courtly": "JJ",
    "courtroom": "NN",
    "courtrooms": "NNS",
    "courts": "NNS|VBZ",
    "courtship": "NN",
    "courtyard": "NN",
    "courtyards": "NNS",
    "couscous": "NN",
    "cousin": "NN",
    "cousin-wife": "NN",
    "cousins": "NNS",
    "couture": "FW",
    "cove": "NN",
    "covenant": "NN",
    "covenants": "NNS|VBZ",
    "cover": "VB|NN|VBP",
    "cover-up": "NN",
    "coverage": "NN",
    "coverages": "NNS",
    "coverall": "NN",
    "covered": "VBN|JJ|VBD",
    "covering": "VBG|NN",
    "coverings": "NNS",
    "coverlet": "NN",
    "covers": "VBZ|NNS",
    "covert": "JJ",
    "covert-operations": "NNS",
    "covertly": "RB",
    "coverts": "NNS",
    "coverup": "NN",
    "coves": "NNS",
    "covet": "VB|VBP",
    "coveted": "JJ|VBN",
    "coveting": "VBG",
    "covetous": "JJ",
    "covetousness": "NN",
    "covets": "VBZ",
    "cow": "NN|VB",
    "cow-blood": "NN",
    "cow-man": "NN",
    "cow-people": "NN",
    "coward": "NN",
    "cowardice": "NN",
    "cowardly": "JJ",
    "cowards": "NNS",
    "cowbirds": "NNS",
    "cowboy": "NN",
    "cowboys": "NNS",
    "cowed": "VBN|VBD",
    "cower": "VBP|VB",
    "cowering": "VBG",
    "cowhand": "NN",
    "cowhands": "NNS",
    "cowhide": "NN",
    "cowling": "NN",
    "cowman": "NN",
    "coworkers": "NNS",
    "cowpony": "NN",
    "cowpox": "NN",
    "cowpuncher": "NN",
    "cows": "NNS|VBZ",
    "coxcombs": "NNS",
    "coy": "JJ",
    "coyly": "RB",
    "coyness": "NN",
    "coyote": "NN",
    "coyotes": "NNS",
    "cozier": "JJR",
    "coziness": "NN",
    "cozy": "JJ|RB",
    "cps": "NNS",
    "cpu": "NN",
    "crab": "NN|VB",
    "crabapple": "NN",
    "crabbed": "JJ|VBD|VBN",
    "crabby": "JJ",
    "crabmeat": "NN",
    "crabs": "NNS|VBZ",
    "crack": "VB|NN|JJ|VBP",
    "crack-addicted": "JJ",
    "crack-cocaine": "NN",
    "crack-induced": "JJ",
    "crack-ridden": "JJ",
    "crack-user": "NN",
    "crack-using": "JJ",
    "crackdown": "NN",
    "crackdowns": "NNS",
    "cracked": "VBN|VBD|JJ",
    "cracker": "NN",
    "cracker-box": "JJ",
    "crackers": "NNS",
    "cracking": "VBG|JJ|NN",
    "crackle": "VBP|NN|VB",
    "crackled": "VBD|VBN",
    "crackles": "VBZ",
    "crackling": "NN|VBG",
    "crackpot": "NN",
    "crackpots": "NNS",
    "cracks": "NNS|VBZ",
    "cradle": "NN|VB",
    "cradle-to-grave": "JJ",
    "cradled": "VBN|VBD",
    "cradles": "NNS|VBZ",
    "craft": "NN|VB",
    "craft-industrial": "JJ",
    "crafted": "VBN|VBD",
    "crafter": "NN",
    "crafting": "VBG",
    "crafts": "NNS|VBZ",
    "craftsman": "NN",
    "craftsman-in-residence": "JJ",
    "craftsmanship": "NN",
    "craftsmen": "NNS",
    "crafty": "JJ",
    "craggy": "JJ",
    "crags": "NNS",
    "cram": "JJ|VB",
    "crammed": "VBD|VBN",
    "cramming": "VBG",
    "cramp": "NN|VB",
    "cramped": "JJ|VBD|VBN",
    "cramps": "NNS|VBZ",
    "crams": "VBZ",
    "cranberries": "NNS",
    "cranberry-and-gray": "JJ",
    "crane": "NN|VB",
    "crane-safety": "NN",
    "cranelike": "JJ",
    "cranes": "NNS|VBZ",
    "craning": "VBG",
    "crank": "VB|NN",
    "crankcase": "NN",
    "cranked": "VBD|VBN",
    "cranking": "VBG",
    "cranks": "NNS|VBZ",
    "crankshaft": "NN",
    "cranky": "JJ",
    "crannies": "NNS",
    "cranny": "NN",
    "crap": "NN|UH|VB",
    "crapshoot": "NN|VB",
    "crash": "NN|VBP|JJ|VB",
    "crash-scarred": "JJ",
    "crash-wary": "JJ",
    "crashed": "VBD|JJ|VBN",
    "crasher": "NN",
    "crashes": "NNS|VBZ",
    "crashing": "VBG",
    "crashlet": "NN",
    "crass": "JJ",
    "crassest": "JJS",
    "crassness": "NN",
    "crate": "NN",
    "crater": "NN",
    "cratered": "VBN",
    "cratering": "VBG",
    "craters": "NNS",
    "crates": "NNS",
    "crave": "VBP|VB",
    "craved": "VBN|VBD",
    "craven": "JJ",
    "craves": "VBZ",
    "craving": "NN|VBG",
    "cravings": "NNS",
    "crawl": "VB|NN",
    "crawled": "VBD|VBN",
    "crawling": "VBG",
    "crawls": "VBZ|NNS",
    "crawlspace": "NN",
    "crayons": "NNS",
    "craze": "NN|VB",
    "crazed": "JJ|VBD|VBN",
    "crazee": "JJ",
    "crazes": "NNS|VBZ",
    "crazies": "NNS",
    "crazily": "RB",
    "craziness": "NN",
    "crazing": "VBG",
    "crazy": "JJ",
    "crazy-wonderful": "JJ",
    "crckdown.": "NN",
    "creak": "VB|NN",
    "creaked": "VBD|VBN",
    "creaking": "VBG|NN",
    "creaks": "NNS|VBZ",
    "cream": "NN|JJ|VB",
    "cream-of-the-crop": "NN",
    "creamed": "VBN|VBD",
    "creamer": "NN",
    "creamier": "JJR",
    "creams": "NNS|VBZ",
    "creamy": "JJ",
    "crease": "NN|VB",
    "creased": "VBN|VBD",
    "creases": "NNS|VBZ",
    "creasingly": "RB",
    "create": "VB|VBP",
    "created": "VBN|VBD|JJ",
    "creates": "VBZ",
    "creating": "VBG",
    "creation": "NN",
    "creationism": "NN",
    "creationist": "JJ",
    "creations": "NNS",
    "creative": "JJ",
    "creatively": "RB",
    "creativeness": "NN",
    "creativity": "NN",
    "creativity-oriented": "JJ",
    "creator": "NN",
    "creators": "NNS",
    "creature": "NN",
    "creatures": "NNS",
    "creche": "NN",
    "credence": "NN",
    "credential": "NN",
    "credentialized": "JJ",
    "credentials": "NNS",
    "credibility": "NN",
    "credible": "JJ",
    "credibly": "RB",
    "credit": "NN|VB|VBP",
    "credit-backing": "NN",
    "credit-card": "NN|JJ",
    "credit-data": "NN|NNS",
    "credit-discrimination": "NN",
    "credit-easing": "JJ|NN",
    "credit-enhancement": "NN",
    "credit-financed": "JJ",
    "credit-information": "NN",
    "credit-line": "NN",
    "credit-market": "JJ",
    "credit-policy": "NN",
    "credit-quality": "JJ",
    "credit-rating": "NN|JJ",
    "credit-ratings": "NNS",
    "credit-reporting": "JJ|NN",
    "credit-services": "NNS",
    "credit-softening": "NN",
    "credit-tightening": "NN",
    "credit-worthiness": "NN",
    "credit-worthy": "JJ",
    "credit...": ":",
    "creditable": "JJ",
    "creditably": "RB",
    "creditcard": "NN",
    "credited": "VBN|VBD",
    "crediting": "VBG|NN",
    "creditor": "NN",
    "creditors": "NNS",
    "credits": "NNS|VBZ",
    "creditworthiness": "NN",
    "creditworthy": "NN",
    "credo": "NN",
    "credulity": "NN",
    "credulous": "JJ",
    "credulousness": "NN",
    "creed": "NN",
    "creedal": "JJ",
    "creeds": "NNS",
    "creek": "NN",
    "creek-filled": "JJ",
    "creeks": "NNS",
    "creep": "VB|VBP|JJ|NN",
    "creeper": "NN",
    "creepers": "NNS",
    "creepiest": "JJS",
    "creeping": "VBG|JJ",
    "creeps": "VBZ",
    "creepy": "JJ",
    "cremate": "VB",
    "cremated": "VBN|VBD",
    "cremation": "NN",
    "crematoriums": "NNS",
    "creole": "NN",
    "crepe": "JJ",
    "crept": "VBD|VBN",
    "crescendo": "NN",
    "crescent": "NN",
    "crest": "NN|VB",
    "crested": "JJ|VBD|VBN",
    "crestfallen": "JJ",
    "cresting": "VBG",
    "crests": "NNS|VBZ",
    "crevasse": "NN",
    "crevasses": "NNS",
    "crevice": "NN",
    "crevices": "NNS",
    "crew": "NN",
    "crew-pairing": "JJ",
    "crew-rest": "NN",
    "crewcut": "NN",
    "crewel": "NN",
    "crewmen": "NNS",
    "crews": "NNS",
    "crib": "NN|JJ|VB",
    "cribbing": "VBG",
    "cribs": "NNS|VBZ",
    "cricket": "NN",
    "crickets": "NNS",
    "cried": "VBD|VBN",
    "crime": "NN",
    "crime-busting": "JJ",
    "crime-fighting": "JJ",
    "crime-infested": "JJ",
    "crime-ridden": "JJ",
    "crime/comedy": "NN",
    "crimes": "NNS",
    "criminal": "JJ|NN",
    "criminal-abortion": "JJ",
    "criminal-defense": "JJ|NN",
    "criminal-justice": "NN",
    "criminal-law": "NN",
    "criminality": "NN",
    "criminalization": "NN",
    "criminalize": "VB",
    "criminalized": "JJ|VBD|VBN",
    "criminalizing": "VBG",
    "criminally": "RB",
    "criminologist": "NN",
    "criminology": "NN",
    "crimp": "VB|NN",
    "crimped": "JJ|VBN|VBD",
    "crimping": "VBG",
    "crimps": "VBZ",
    "crimson": "JJ|NN|VB",
    "crimsoning": "VBG",
    "cringe": "VBP|VB",
    "cringed": "VBD|VBN",
    "cringing": "VBG|JJ",
    "crinkles": "NNS|VBZ",
    "cripple": "VB|NN|VBP",
    "cripple-maker": "NN",
    "crippled": "VBN|JJ|VBD",
    "cripples": "NNS|VBZ",
    "crippling": "JJ|VBG",
    "crises": "NNS",
    "crisis": "NN",
    "crisis-management": "NN|JJ",
    "crisis-oriented": "JJ",
    "crisis-response": "JJ",
    "crisis-to-crisis": "JJ",
    "crisp": "JJ|NN|VB",
    "crisper": "NN",
    "crisply": "RB",
    "crispness": "NN",
    "crispy": "JJ",
    "criss-cross": "VBP|JJ",
    "criss-crossed": "JJ|VBN",
    "criss-crossing": "NN",
    "crisscross": "VBP",
    "crisscrossed": "VBN|VBD",
    "crisscrossing": "VBG",
    "cristata": "FW",
    "critcism": "NN",
    "criteria": "NNS",
    "criterion": "NN",
    "critic": "NN",
    "critical": "JJ",
    "critical-intellectual": "JJ",
    "criticality": "NN",
    "critically": "RB",
    "criticism": "NN",
    "criticisms": "NNS",
    "criticize": "VBP|VB",
    "criticized": "VBN|VBD",
    "criticizes": "VBZ",
    "criticizing": "VBG",
    "critique": "NN|VB",
    "critter": "NN",
    "critters": "NNS",
    "croak": "NN|VBP|VB",
    "croaked": "VBD|VBN",
    "croaker": "NN",
    "croakin": "VBG",
    "croaking": "NN|VBG",
    "croaks": "NNS|VBZ",
    "crochet": "VB",
    "crocidolite": "NN",
    "crocked": "JJ",
    "crocketed": "JJ",
    "crocodile": "NN",
    "crofters": "NNS",
    "croissants": "NNS",
    "crone": "NN",
    "cronies": "NNS",
    "crony": "NN",
    "cronyism": "NN",
    "crook": "NN|VB",
    "crooked": "JJ|VBD|VBN",
    "crookery": "NN",
    "crooks": "NNS|VBZ",
    "croon": "VB",
    "crooned": "VBD|VBN",
    "crooner": "NN",
    "crooning": "VBG",
    "croons": "VBZ",
    "crop": "NN|RP|VB|VBP",
    "cropped": "VBN|VBD",
    "cropping": "VBG|NN",
    "crops": "NNS|VBZ",
    "cross": "VB|JJ|NN|RB|VBP",
    "cross-bay": "JJ",
    "cross-blending": "JJ",
    "cross-border": "JJ",
    "cross-buying": "NN",
    "cross-connect": "JJ",
    "cross-cultural": "JJ|NN",
    "cross-currency": "JJ",
    "cross-currents": "NNS",
    "cross-dressing": "JJ",
    "cross-examination": "NN",
    "cross-eyed": "JJ",
    "cross-fertilization": "NN",
    "cross-fertilized": "VBN",
    "cross-functional": "JJ",
    "cross-investing": "JJ|NN",
    "cross-investment": "JJ|NN",
    "cross-legged": "JJ",
    "cross-licensing": "NN|JJ",
    "cross-margining": "JJ|NN",
    "cross-market": "JJ",
    "cross-marketing": "JJ|VBG",
    "cross-ownership": "NN",
    "cross-party": "JJ",
    "cross-pollinated": "VBN",
    "cross-pollination": "NN",
    "cross-promotion": "NN",
    "cross-purchase": "JJ",
    "cross-purposes": "NNS",
    "cross-react": "VBP",
    "cross-referencing": "NN",
    "cross-section": "NN",
    "cross-sectional": "JJ|NN",
    "cross-selling": "NN",
    "cross-shareholdings": "NNS",
    "cross-state": "JJ",
    "cross-striations": "NNS",
    "cross-subsidies": "NNS",
    "cross-top": "JJ",
    "cross-trading": "NN",
    "cross-writing": "NN",
    "crossbars": "NNS",
    "crossborder": "JJ",
    "crosscurrents": "NNS",
    "crossed": "VBN|VBD",
    "crosses": "VBZ|NNS",
    "crossfire": "NN",
    "crossing": "VBG|NN",
    "crossings": "NNS",
    "crossover": "NN",
    "crossroading": "VBG",
    "crossroads": "NNS",
    "crosswalk": "NN",
    "crossways": "RB",
    "crosswise": "RB",
    "crotch": "NN",
    "crotchety": "JJ",
    "crouch": "NN|VB",
    "crouched": "VBD|VBN",
    "crouches": "VBZ",
    "crouchin": "JJ",
    "crouching": "VBG",
    "croupier": "NN",
    "crow": "NN|VB",
    "crowbait": "NN",
    "crowd": "NN|VBP|VB",
    "crowded": "VBN|VBD|JJ",
    "crowding": "VBG",
    "crowds": "NNS|VBP|VBZ",
    "crowed": "VBN|VBD",
    "crowing": "VBG|NN",
    "crown": "NN|VB",
    "crowned": "VBN|VBD",
    "crowning": "JJ|VBG",
    "crowns": "NNS|VBZ",
    "crows": "VBZ|NNS",
    "crucial": "JJ",
    "crucially": "RB",
    "crucible": "NN",
    "crucified": "VBD|VBN",
    "crucifix": "NN",
    "crucifixion": "NN",
    "crucifying": "VBG",
    "crude": "JJ|NN",
    "crude-oil": "NN|JJ",
    "crude-steel": "NN",
    "crudely": "RB",
    "crudes": "NNS",
    "crudest": "JJS",
    "crudities": "NNS",
    "crudity": "NN",
    "cruel": "JJ",
    "cruelest": "JJS",
    "cruelly": "RB",
    "cruelty": "NN",
    "cruise": "NN|VBP",
    "cruise-ship": "NN|JJ",
    "cruiser": "NN",
    "cruisers": "NNS",
    "cruises": "NNS",
    "cruising": "VBG|NN",
    "crumble": "VB",
    "crumbled": "VBD|VBN|JJ",
    "crumbles": "VBZ",
    "crumbling": "VBG|JJ",
    "crumbly": "JJ",
    "crumminess": "NN",
    "crummy": "JJ",
    "crumpled": "VBN|JJ|VBD",
    "crunch": "NN|VB",
    "crunched": "VBD|VBN",
    "crunches": "NNS|VBZ",
    "crunchier": "JJR",
    "crunching": "VBG",
    "crupper": "NN",
    "crus": "NN",
    "crusade": "NN|VB",
    "crusaded": "VBN|VBD",
    "crusader": "NN",
    "crusaders": "NNS",
    "crusades": "NNS|VBZ",
    "crusading": "VBG",
    "crush": "VB|NN",
    "crushed": "VBN|JJ|VBD",
    "crusher": "NN",
    "crushers": "NNS",
    "crushes": "VBZ",
    "crushing": "VBG|JJ|NN",
    "crust": "NN",
    "crusts": "NNS",
    "crusty": "JJ",
    "crutch": "NN",
    "crutches": "NNS",
    "crux": "NN",
    "cruzado": "NN",
    "cruzados": "NNS",
    "cry": "NN|VB|VBP",
    "crying": "VBG|NN",
    "cryostat": "NN",
    "crypt": "NN",
    "cryptic": "JJ",
    "cryptographers": "NNS",
    "cryptographic": "JJ",
    "crysanthemum": "NN",
    "crystal": "NN|JJ",
    "crystal-lattice": "JJ|NN",
    "crystalline": "JJ",
    "crystallite": "NN",
    "crystallites": "NNS",
    "crystallization": "NN",
    "crystallize": "VB",
    "crystallized": "VBD|VBN",
    "crystallizing": "VBG",
    "crystallographers": "NNS",
    "crystallographic": "JJ",
    "crystallography": "NN",
    "crystals": "NNS",
    "cu": "NN",
    "cu.": "NN",
    "cub": "NN",
    "cubbyhole": "NN",
    "cubbyholes": "NNS",
    "cube": "NN|VB",
    "cubed": "VBN|VBD",
    "cubes": "NNS|VBZ",
    "cubic": "JJ",
    "cubism": "NN",
    "cubist": "JJ",
    "cubists": "NNS",
    "cubs": "NNS",
    "cuckoo": "NN",
    "cuckoo-bumblebee": "NN",
    "cuckoos": "NNS",
    "cucumber": "NN",
    "cud": "NN",
    "cuddled": "VBD|VBN",
    "cuddly": "JJ",
    "cudgels": "NNS|VBZ",
    "cue": "NN|VB",
    "cue-phrase": "NN",
    "cued": "VBD|VBN",
    "cues": "NNS|VBZ",
    "cuff": "VB|NN",
    "cuff-like": "JJ",
    "cufflinks": "NNS",
    "cuffs": "NNS|VBZ",
    "cuirassiers": "NNS",
    "cuisine": "NN",
    "cul": "NN",
    "culinary": "JJ",
    "cull": "VB|VBP",
    "culled": "VBN|VBD",
    "culling": "VBG",
    "culminate": "VB|VBP|JJ",
    "culminated": "VBN|VBD",
    "culminates": "VBZ",
    "culminating": "VBG",
    "culmination": "NN",
    "culpa": "FW",
    "culpable": "JJ",
    "culpas": "FW",
    "culprit": "NN",
    "culprits": "NNS",
    "cult": "NN",
    "culte": "FW",
    "cultist": "NN",
    "cultivate": "VB",
    "cultivated": "VBN|JJ|VBD",
    "cultivates": "VBZ",
    "cultivating": "VBG",
    "cultivation": "NN",
    "cults": "NNS",
    "cultural": "JJ",
    "cultural-reform": "NN",
    "culturally": "RB",
    "culture": "NN",
    "culture-Protestantism": "NN",
    "cultured": "JJ|VBN",
    "cultures": "NNS",
    "cumara": "NN",
    "cumbersome": "JJ",
    "cumin": "NN",
    "cumulate": "VB",
    "cumulative": "JJ",
    "cumulatively": "RB",
    "cumulus": "NN",
    "cunning": "JJ|NN",
    "cunningly": "RB",
    "cup": "NN|VB",
    "cupboard": "NN",
    "cupboards": "NNS",
    "cupful": "JJ",
    "cupid": "NN",
    "cupids": "NNS",
    "cupped": "VBD|JJ|VBN",
    "cups": "NNS|VBZ",
    "cur": "NN",
    "curative": "JJ",
    "curator": "NN",
    "curators": "NNS",
    "curb": "VB|NN",
    "curbed": "VBN|VBD",
    "curbing": "VBG",
    "curbs": "NNS|VBZ",
    "curbside": "NN|JJ",
    "curd": "NN",
    "curdling": "VBG",
    "curds": "NNS",
    "cure": "VB|NN|VBP",
    "cure-all": "NN|JJ",
    "cured": "VBN|VBD",
    "cures": "NNS|VBZ",
    "curettage": "NN",
    "curfew": "NN",
    "curiae": "FW",
    "curing": "VBG|NN",
    "curio": "NN",
    "curiosities": "NNS",
    "curiosity": "NN",
    "curious": "JJ",
    "curiously": "RB",
    "curl": "VB|VBP",
    "curled": "VBD|VBN",
    "curling": "NN|VBG",
    "curls": "NNS|VBZ",
    "curly": "JJ",
    "currant": "NN",
    "currants": "NNS",
    "currencies": "NNS",
    "currencny": "NN",
    "currency": "NN",
    "currency-exchange": "JJ",
    "currency-market": "JJ",
    "currency-options": "NNS",
    "current": "JJ|NN",
    "current-account": "JJ|NN",
    "current-carrying": "JJ",
    "current-coupon": "JJ",
    "current-delivery": "NN",
    "current-generation": "JJ|NN",
    "current-year": "JJ",
    "currently": "RB|JJ",
    "currents": "NNS",
    "curricula": "NNS",
    "curricular": "JJ",
    "curriculum": "NN",
    "curriculums": "NNS",
    "curry": "VB|NN",
    "curse": "NN|VB",
    "cursed": "VBD|VBN",
    "curses": "NNS|VBZ|UH",
    "cursing": "NN|VBG",
    "cursory": "JJ",
    "curt": "JJ",
    "curtail": "VB|VBP",
    "curtailed": "VBN|VBD",
    "curtailing": "VBG",
    "curtailment": "NN",
    "curtails": "VBZ",
    "curtain": "NN",
    "curtain-raiser": "NN",
    "curtained": "JJ",
    "curtains": "NNS",
    "curtly": "RB",
    "curtness": "NN",
    "curtseyed": "VBD|VBN",
    "curvaceously": "RB",
    "curvature": "NN",
    "curve": "NN|VB",
    "curved": "JJ|VBN|VBD",
    "curves": "NNS|VBZ",
    "curving": "VBG",
    "curvy": "JJ",
    "cushion": "NN|VB",
    "cushioned": "VBN|VBD|JJ",
    "cushioning": "NN|VBG",
    "cushions": "NNS|VBZ",
    "cusp": "NN",
    "custodial": "JJ",
    "custodian": "NN",
    "custody": "NN",
    "custom": "NN|JJ|RB",
    "custom-built": "VBN",
    "custom-chip": "JJ",
    "custom-design": "JJ",
    "custom-designed": "JJ",
    "custom-die": "NN",
    "custom-fit": "VB|VBD|VBN",
    "custom-made": "JJ|VBN",
    "custom-make": "VB",
    "custom-tailored": "JJ",
    "customarily": "RB",
    "customary": "JJ",
    "customer": "NN",
    "customer-account": "NN",
    "customer-cost": "NN",
    "customer-driven": "JJ",
    "customer-inventory": "JJ",
    "customer-oriented": "JJ",
    "customer-service": "JJ|NN",
    "customers": "NNS",
    "customization": "NN",
    "customized": "VBN|JJ|VBD",
    "customs": "NNS",
    "customs-clearance": "NN",
    "customs-cleared": "JJ",
    "cut": "VB|VBD|VBN|VBP|JJ|NN",
    "cut-and-dried": "JJ",
    "cut-and-paste": "VB",
    "cut-down": "JJ",
    "cut-glass": "JJ",
    "cut-off": "JJ",
    "cut-price": "JJ",
    "cut-rate": "JJ",
    "cut-throat": "JJ",
    "cut-to-a-familiar-pattern": "JJ",
    "cutback": "NN",
    "cutbacks": "NNS",
    "cute": "JJ",
    "cuteness": "NN",
    "cuter": "JJR",
    "cutest": "JJS",
    "cutglass": "JJ",
    "cutlass": "NN",
    "cutlery": "NN",
    "cutlets": "NNS",
    "cutoff": "NN|JJ",
    "cutouts": "NNS",
    "cutsie": "JJ",
    "cutter": "NN",
    "cutters": "NNS",
    "cutthroat": "JJ",
    "cutting": "VBG|NN|JJ",
    "cutting-and-pasting": "NN",
    "cutting-edge": "JJ|NN",
    "cutting-tools": "NNS",
    "cuttings": "NNS",
    "cuvees": "NNS",
    "cyanide": "NN",
    "cyanide-laced": "JJ",
    "cycads": "NNS",
    "cycle": "NN|VB",
    "cycled": "VBN|VBD",
    "cycles": "NNS|VBZ",
    "cyclical": "JJ",
    "cyclicality": "NN",
    "cyclicals": "NNS",
    "cycling": "NN|VBG",
    "cyclist": "NN",
    "cyclists": "NNS",
    "cyclohexanol": "NN",
    "cyclorama": "NN",
    "cyclosporine": "NN|JJ",
    "cylinder": "NN",
    "cylinders": "NNS",
    "cylindrical": "JJ",
    "cynic": "JJ|NN",
    "cynical": "JJ",
    "cynically": "RB",
    "cynicism": "NN",
    "cynics": "NNS",
    "cypress": "NN",
    "cypress-like": "JJ",
    "cyst": "NN",
    "cystic": "JJ",
    "cysts": "NNS",
    "cytokine": "NN|JJ",
    "cytolysis": "NN",
    "cytoplasm": "NN",
    "czar": "NN",
    "czars": "NNS",
    "d": "LS|FW|NN",
    "d-Limited": "NNP",
    "d-NAV": "NNP",
    "d-Percent": "NN|LS",
    "d-Percentage": "NN",
    "d-c": "NN",
    "dBase": "NNP",
    "da": "NNP",
    "dabbed": "VBD|VBN",
    "dabbing": "VBG",
    "dabble": "VB",
    "dabbled": "VBD|VBN",
    "dabbler": "NN",
    "dabbles": "VBZ",
    "dabbling": "VBG",
    "dabs": "VBZ",
    "dachshounds": "NNS",
    "dack-rihs": "NNS",
    "dactyls": "NNS",
    "dad": "NN",
    "dada": "NN",
    "daddy": "NN",
    "daffodils": "NNS",
    "daft": "JJ",
    "dagers": "NNS",
    "daggerman": "NN",
    "daguerreotypes": "NNS",
    "dailies": "NNS",
    "daily": "JJ|NN|RB",
    "daily-wear": "JJ",
    "daintily": "RB",
    "dainty": "JJ",
    "dainty-legged": "JJ",
    "dairies": "NNS",
    "dairy": "NN|JJ",
    "dairy-oh": "NN",
    "dairyland": "NN",
    "dairymen": "NNS",
    "dais": "NN",
    "daises": "NNS",
    "daisies": "NNS",
    "daisy": "NN",
    "dales": "NNS",
    "dalliances": "NNS",
    "dally": "VB",
    "dam": "NN|JJ|UH",
    "damage": "NN|VBP|VB",
    "damaged": "VBN|JJ|VBD",
    "damaging": "JJ|VBG",
    "dame": "NN",
    "damed": "VBD|VBN",
    "daminozide": "NN",
    "dammed": "VBD",
    "dammed-up": "VBN",
    "dammit": "UH|VB",
    "damn": "RB|JJ|NN|VB|UH",
    "damn-the-torpedoes": "JJ",
    "damnation": "NN",
    "damned": "RB|JJ|VBN|VBD",
    "damning": "VBG",
    "damnit": "UH",
    "damp": "VB|VBP|JJ|NN",
    "damped": "VBN|VBD|VBP",
    "dampen": "VB",
    "dampened": "VBD|VBN",
    "dampening": "JJ",
    "damper": "NN",
    "dampers": "NNS",
    "damping": "VBG|JJ",
    "dampness": "NN",
    "dams": "NNS",
    "damsel": "NN",
    "dance": "NN|VB|VBP",
    "dance-committee": "JJ",
    "dance-theatre": "JJ",
    "danced": "VBD|VBN",
    "dancelike": "JJ",
    "dancer": "NN",
    "dancers": "NNS",
    "dances": "NNS|VBZ",
    "dancing": "NN|VBG",
    "dandelion": "NN",
    "dandily": "RB",
    "dandy": "JJ",
    "dang": "JJ",
    "danged": "VBN",
    "danger": "NN",
    "dangerous": "JJ",
    "dangerous...": ":",
    "dangerously": "RB",
    "dangers": "NNS",
    "dangle": "VB",
    "dangled": "VBN|VBD",
    "dangles": "VBZ",
    "dangling": "VBG|JJ",
    "dank": "JJ",
    "dans": "FW",
    "danseur": "FW",
    "dapper": "JJ",
    "dappled": "JJ|VBD|VBN",
    "darbuka": "NN",
    "dare": "VB|VBP|MD|NN",
    "dared": "VBD|VBN",
    "dares": "VBZ",
    "darin": "JJ",
    "daring": "JJ|NN|VBG",
    "dark": "JJ|NN|RB",
    "dark-blue": "JJ",
    "dark-brown": "JJ",
    "dark-gray": "JJ",
    "dark-green": "JJ",
    "dark-haired": "JJ",
    "dark-skinned": "JJ",
    "dark-squared": "JJ",
    "darken": "VBP",
    "darkened": "VBD|VBN|JJ",
    "darkening": "VBG",
    "darker": "JJR",
    "darkest": "JJS",
    "darkhaired": "JJ",
    "darkling": "JJ",
    "darkly": "RB",
    "darkness": "NN",
    "darkroom": "NN",
    "darlin": "NN",
    "darling": "NN|JJ",
    "darlings": "NNS",
    "darn": "JJ|VB",
    "darned": "RB|VBD|VBN",
    "dart": "NN|VBP|VB",
    "dart-throwing": "NN",
    "dartboard": "NN",
    "darted": "VBD|VBN",
    "darting": "VBG",
    "darts": "NN|NNS|VBZ",
    "das": "NNS",
    "dash": "NN|VB",
    "dashboard": "NN",
    "dashboards": "NNS",
    "dashed": "VBN|JJ|VBD",
    "dashes": "NNS|VBZ",
    "dashing": "VBG|JJ",
    "dastardly": "JJ",
    "data": "NNS|JJ|NN",
    "data-base": "JJ|NN",
    "data-capture": "JJ",
    "data-collection": "NN",
    "data-communications": "NNS",
    "data-gathering": "JJ",
    "data-handling": "NN",
    "data-processing": "NN|JJ",
    "data-recording": "NN",
    "data-service": "JJ",
    "data-storage": "JJ|NN",
    "data-storing": "JJ",
    "data-transmission": "JJ|NN",
    "database": "NN",
    "databases": "NNS",
    "datadex": "NN",
    "date": "NN|VBP",
    "dated": "VBN|JJ|VBD",
    "datelined": "VBN|VBD",
    "dates": "NNS|VBZ",
    "dating": "VBG|NN",
    "datum": "NN",
    "daubed": "VBD|VBN",
    "daughter": "NN",
    "daughter-in-law": "NN",
    "daughters": "NNS",
    "daunt": "VB",
    "daunted": "VBD|VBN|JJ",
    "daunting": "JJ|VBG",
    "dauntless": "JJ",
    "dauphin": "NN",
    "davenport": "NN",
    "davits": "NNS",
    "dawdled": "VBD|VBN",
    "dawdling": "VBG",
    "dawn": "NN|VB",
    "dawned": "VBD|VBN",
    "dawning": "VBG|NN",
    "dawns": "VBZ",
    "day": "NN",
    "day-after-day": "JJ",
    "day-by-day": "JJ",
    "day-care": "JJ|NN",
    "day-even": "NN",
    "day-long": "JJ",
    "day-old": "JJ",
    "day-to-day": "JJ",
    "day-today": "JJ",
    "day-watch": "NN",
    "daybed": "NN",
    "daybreak": "NN",
    "daydream": "NN|VB",
    "daydreamed": "VBD",
    "daydreaming": "NN|VBG",
    "daylight": "NN",
    "daylights": "NNS",
    "daylong": "JJ",
    "days": "NNS",
    "days.": "NN|NNS",
    "daytime": "JJ|NN",
    "daze": "NN|VB",
    "dazed": "JJ|VBD|VBN",
    "dazzle": "VB",
    "dazzled": "VBN|JJ|VBD",
    "dazzler": "NN",
    "dazzles": "VBZ",
    "dazzling": "JJ|VBG",
    "dazzlingly": "RB",
    "dd": "VBD",
    "de": "FW|IN|JJ|NNP",
    "de-Americanization": "NN",
    "de-emphasis": "NN",
    "de-emphasize": "VB",
    "de-emphasized": "VBN|VBD",
    "de-facto": "JJ",
    "de-inking": "JJ",
    "de-iodinase": "NN",
    "de-iodinate": "VB|VBD",
    "de-iodinated": "VBN",
    "de-iodinating": "VBG|JJ",
    "de-iodination": "NN",
    "de-leverage": "VB",
    "de-linkage": "NN",
    "de-listed": "VBN",
    "de-stocking": "NN",
    "de-worse-ification": "NN",
    "decordova": "NNP",
    "dewindt": "NNP",
    "dea": "NN",
    "deacon": "NN",
    "deactivated": "VBN",
    "deactivates": "VBZ",
    "deactivation": "NN",
    "dead": "JJ|NN|RB|VBN",
    "dead-end": "JJ",
    "dead-eyed": "JJ",
    "dead-weight": "JJ",
    "deadbeats": "NNS",
    "deadened": "VBN",
    "deader": "JJR",
    "deadheads": "NNS",
    "deadliest": "JJS",
    "deadline": "NN",
    "deadlines": "NNS",
    "deadliness": "NN",
    "deadlock": "NN",
    "deadlocked": "VBN|JJ",
    "deadly": "JJ|RB",
    "deadness": "NN",
    "deadpan": "JJ",
    "deadweight": "NN",
    "deadwood": "NN",
    "deaf": "JJ|VB",
    "deafened": "VBN",
    "deafening": "VBG|JJ",
    "deafness": "NN",
    "deal": "NN|VB|VBP",
    "deal-blocker": "NN",
    "deal-making": "NN",
    "dealer": "NN",
    "dealer-community": "JJ",
    "dealer-led": "JJ",
    "dealer-manager": "NN",
    "dealer-managers": "NNS",
    "dealer-related": "JJ",
    "dealer-to-dealer": "JJ|NN",
    "dealers": "NNS",
    "dealership": "NN",
    "dealerships": "NNS",
    "dealing": "VBG|NN",
    "dealings": "NNS",
    "dealmaker": "NN",
    "dealmakers": "NNS",
    "deals": "NNS|VBZ",
    "deals...": ":",
    "dealt": "VBN|VBD",
    "dean": "NN|NNP",
    "deans": "NNS",
    "dear": "RB|JJ|NN|UH",
    "dearer": "JJR",
    "dearest": "JJS",
    "dearly": "RB",
    "dearth": "NN",
    "death": "NN",
    "death-backed": "JJ",
    "death-benefit": "JJ",
    "death-like": "JJ",
    "death-locked": "JJ",
    "death-penalty": "NN|JJ",
    "death-row": "NN|JJ",
    "death-sentence": "NN",
    "death-trap": "NN",
    "death-wish": "NN",
    "deathbed": "NN",
    "deathless": "JJ",
    "deathly": "JJ",
    "deaths": "NNS",
    "deathward": "RB",
    "deathwatch": "NN",
    "debacle": "NN",
    "debacles": "NNS",
    "debasement": "NN",
    "debasing": "VBG",
    "debatable": "JJ",
    "debate": "NN|VB|VBP",
    "debate...": ":",
    "debated": "VBN|VBD",
    "debates": "NNS|VBZ",
    "debating": "VBG|JJ",
    "debauchery": "NN",
    "debenture": "NN",
    "debentures": "NNS",
    "debilitated": "VBN|JJ|VBD",
    "debilitating": "JJ|VBG",
    "debility": "NN",
    "debit": "NN",
    "debonair": "JJ",
    "debris": "NN",
    "debs": "NNS",
    "debt": "NN",
    "debt-burdened": "JJ",
    "debt-ceiling": "JJ|NN",
    "debt-coverage": "JJ",
    "debt-equity": "JJ|NN",
    "debt-financed": "JJ",
    "debt-financing": "JJ",
    "debt-for-environment": "NN",
    "debt-free": "JJ",
    "debt-futures": "NNS",
    "debt-happy": "JJ",
    "debt-heavy": "JJ",
    "debt-induced": "JJ",
    "debt-laden": "JJ",
    "debt-limit": "NN",
    "debt-payment": "JJ|NN",
    "debt-portfolio": "NN",
    "debt-rating": "JJ",
    "debt-reduction": "NN|JJ",
    "debt-relief": "NN",
    "debt-repayment": "NN",
    "debt-restructuring": "JJ",
    "debt-ridden": "JJ",
    "debt-riddled": "JJ",
    "debt-service": "JJ|NN",
    "debt-servicing": "NN",
    "debt-to-assets": "JJ",
    "debt-to-equity": "JJ|NN",
    "debt...": ":",
    "debt/equity": "NN",
    "debtholder": "NN",
    "debtholders": "NNS",
    "debtor": "NN|JJ",
    "debtor-in-possession": "NN",
    "debtor-nation": "NN",
    "debtors": "NNS",
    "debts": "NNS",
    "debugged": "VBN",
    "debunk": "VB",
    "debunked": "VBN|VBD",
    "debunking": "NN|VBG",
    "debut": "NN|VB|VBP",
    "debutante": "NN",
    "debuted": "VBD",
    "debuting": "VBG",
    "debuts": "VBZ",
    "decade": "NN",
    "decade-long": "JJ",
    "decade-old": "JJ",
    "decadelong": "JJ",
    "decadence": "NN",
    "decadent": "JJ",
    "decades": "NNS",
    "decades-old": "JJ",
    "decaffeinated": "VBN",
    "decal": "NN",
    "decametrina": "NN",
    "decamped": "VBD|VBN",
    "decanted": "VBN|VBD",
    "decanting": "VBG",
    "decapitalize": "VBP",
    "decapitalized": "JJ",
    "decay": "NN|VB",
    "decayed": "JJ|VBD|VBN",
    "decaying": "VBG|JJ",
    "decays": "VBZ",
    "decease": "NN|VB",
    "deceased": "JJ|NN|VBN|VBD",
    "decedent": "NN",
    "deceit": "NN",
    "deceitful": "JJ",
    "deceive": "VB",
    "deceived": "VBN|VBD",
    "deceives": "VBZ",
    "deceiving": "VBG",
    "decelerate": "VB",
    "decelerated": "VBN|VBD",
    "decelerating": "VBG",
    "deceleration": "NN",
    "decencies": "NNS",
    "decency": "NN",
    "decent": "JJ",
    "decently": "RB",
    "decentralization": "NN",
    "decentralize": "VB",
    "decentralized": "JJ|VBD|VBN",
    "decentralizing": "VBG",
    "deception": "NN",
    "deceptive": "JJ",
    "deceptively": "RB",
    "decertified": "VBN|VBD",
    "decertify": "VB",
    "decide": "VB|VBP",
    "decided": "VBD|VBN|JJ",
    "decidedly": "RB",
    "decidely": "RB",
    "decides": "VBZ",
    "deciding": "VBG|JJ",
    "decimal": "JJ|NN",
    "decimals": "NNS",
    "decimated": "VBN|VBD",
    "decimating": "VBG",
    "decimeter-wave-length": "NN",
    "decions": "NNS",
    "decipher": "VB",
    "deciphered": "VBD|VBN",
    "decision": "NN",
    "decision-maker": "NN",
    "decision-makers": "NNS",
    "decision-making": "JJ|NN",
    "decisional": "JJ",
    "decisionmaking": "NN",
    "decisions": "NNS",
    "decisis": "FW",
    "decisive": "JJ",
    "decisively": "RB",
    "decisiveness": "NN",
    "deck": "NN|VB",
    "decked": "VBN|VBD",
    "deckhands": "NNS",
    "decking": "VBG|NN",
    "decks": "NNS|VBZ",
    "declaimed": "VBD|VBN",
    "declamatory": "JJ",
    "declaration": "NN",
    "declarations": "NNS",
    "declarative": "JJ|NN",
    "declaratory": "JJ",
    "declare": "VB|VBP",
    "declared": "VBD|VBN|JJ",
    "declares": "VBZ",
    "declaring": "VBG",
    "declasse": "JJ",
    "declassifying": "VBG",
    "decline": "NN|VB|VBP",
    "declined": "VBD|VBN",
    "decliners": "NNS",
    "declines": "NNS|VBZ",
    "declining": "VBG|JJ|NN",
    "declivity": "NN",
    "deco": "NN",
    "decoction": "NN",
    "decode": "VB",
    "decolletage": "NN",
    "decommissioned": "VBN",
    "decommissoned": "JJ",
    "decompose": "VB",
    "decomposed": "JJ|VBD|VBN",
    "decomposes": "VBZ",
    "decomposing": "VBG",
    "decomposition": "NN",
    "decompression": "NN",
    "decongestant": "NN",
    "deconstructed": "JJ",
    "decontaminated": "VBN",
    "decontamination": "NN",
    "decontrol": "NN|VB",
    "decor": "NN",
    "decorate": "VBP|VB",
    "decorated": "VBN|VBD|JJ",
    "decorating": "NN|VBG",
    "decoration": "NN",
    "decorations": "NNS",
    "decorative": "JJ",
    "decorativeness": "NN",
    "decorator": "NN",
    "decorators": "NNS",
    "decorous": "JJ",
    "decorticated": "VBN",
    "decorum": "NN",
    "decoy": "NN",
    "decoys": "NNS",
    "decrease": "NN|VB|VBP",
    "decreased": "VBD|VBN|JJ",
    "decreases": "VBZ|NNS|VBP",
    "decreasing": "VBG",
    "decree": "NN|VB",
    "decreed": "VBN|VBD",
    "decreeing": "VBG",
    "decrees": "NNS|VBZ",
    "decrement": "NN",
    "decrepit": "JJ",
    "decribed": "VBD",
    "decried": "VBD|VBN",
    "decries": "VBZ",
    "decriminalization": "NN",
    "decriminalized": "VBN|JJ|VBD",
    "decry": "VB|VBP",
    "decrying": "VBG",
    "dedicate": "VB",
    "dedicated": "VBN|JJ|VBD",
    "dedicates": "VBZ",
    "dedication": "NN",
    "dedifferentiated": "JJ",
    "deduce": "VB",
    "deduced": "VBN|VBD",
    "deduces": "VBZ",
    "deducing": "VBG",
    "deduct": "VB|VBP",
    "deductable": "JJ",
    "deducted": "VBN|VBD",
    "deductibility": "NN",
    "deductible": "JJ",
    "deductibles": "NNS",
    "deducting": "VBG",
    "deduction": "NN",
    "deductions": "NNS",
    "deductive": "JJ",
    "deed": "NN",
    "deeds": "NNS|VBZ",
    "deem": "VBP|VB",
    "deemed": "VBN|VBD",
    "deeming": "VBG",
    "deems": "VBZ",
    "deep": "JJ|RB",
    "deep-discount": "JJ",
    "deep-eyed": "JJ",
    "deep-pocket": "JJ",
    "deep-pocketed": "JJ",
    "deep-rooted": "JJ",
    "deep-sea": "JJ",
    "deep-seated": "JJ",
    "deep-set": "JJ",
    "deep-sounding": "JJ",
    "deep-space": "JJ",
    "deep-tendon": "NN",
    "deepen": "VB",
    "deepened": "VBD|VBN",
    "deepening": "VBG",
    "deepens": "VBZ",
    "deeper": "JJR|RBR",
    "deepest": "JJS",
    "deeply": "RB",
    "deeps": "NNS",
    "deer": "NN|NNS",
    "deer-are-long-legged-rats-with-big-ears": "JJ",
    "deer-handling": "NN",
    "deer-killing": "NN",
    "deerskins": "NNS",
    "def": "JJ|NN",
    "defaces": "VBZ",
    "defacing": "VBG",
    "defamation": "NN",
    "defamatory": "JJ",
    "defamed": "VBN|VBD",
    "default": "NN|JJ|VB",
    "defaulted": "VBD|VBN|JJ",
    "defaulters": "NNS",
    "defaulting": "VBG",
    "defaults": "NNS|VBZ",
    "defeat": "NN|VB|VBP",
    "defeated": "VBN|VBD",
    "defeating": "VBG",
    "defeatism": "NN",
    "defeatists": "NNS",
    "defeats": "VBZ|NNS",
    "defecated": "VBN|VBD",
    "defect": "NN|VB",
    "defected": "VBD|VBN",
    "defecting": "VBG",
    "defection": "NN",
    "defections": "NNS",
    "defective": "JJ",
    "defector": "NN",
    "defectors": "NNS",
    "defects-office": "NN",
    "defend": "VB|VBP",
    "defendant": "NN",
    "defendants": "NNS",
    "defended": "VBD|VBN",
    "defender": "NN",
    "defending": "VBG|JJ",
    "defends": "VBZ",
    "defense": "NN",
    "defense-appropriations": "JJ",
    "defense-authorization": "NN",
    "defense-budget": "NN",
    "defense-contract": "NN",
    "defense-electronics": "NNS|JJ",
    "defense-equipment": "JJ",
    "defense-industry": "JJ|NN",
    "defense-oriented": "JJ",
    "defense-procurement": "NN",
    "defense-products": "NNS",
    "defense-related": "JJ",
    "defense-suppression": "NN",
    "defenseless": "JJ",
    "defenses": "NNS",
    "defensible": "JJ",
    "defensive": "JJ|NN",
    "defensively": "RB",
    "defensiveness": "NN",
    "defer": "VB",
    "deference": "NN",
    "deferent": "NN",
    "deferents": "NNS",
    "deferment": "NN",
    "deferments": "NNS",
    "deferred": "VBN|VBD|JJ",
    "deferred-maintenance": "JJ",
    "deferring": "VBG",
    "defers": "VBZ",
    "defiance": "NN",
    "defiant": "JJ",
    "defiantly": "RB",
    "deficiencies": "NNS",
    "deficiency": "NN",
    "deficient": "JJ",
    "deficit": "NN",
    "deficit-cutting": "JJ|NN",
    "deficit-debt": "NN",
    "deficit-inflation-capital-flight": "JJ",
    "deficit-racked": "JJ",
    "deficit-reduction": "NN|JJ",
    "deficit-ridden": "JJ",
    "deficitcutting": "NN",
    "deficits": "NNS",
    "defied": "VBD|VBN",
    "defies": "VBZ",
    "defile": "VB",
    "defiles": "VBZ",
    "defiling": "VBG",
    "definable": "JJ",
    "define": "VB|VBP",
    "defined": "VBN|JJ|VBD",
    "defined-benefit": "JJ",
    "defined-contribution": "NN",
    "defines": "VBZ",
    "defining": "VBG",
    "definite": "JJ",
    "definitely": "RB",
    "definition": "NN",
    "definition-specialization": "JJ|NN",
    "definitional": "JJ",
    "definitions": "NNS",
    "definitive": "JJ",
    "definitively": "RB",
    "deflate": "VB|VBD",
    "deflated": "VBN|VBD|JJ",
    "deflating": "VBG",
    "deflationary": "JJ",
    "deflationist": "NN",
    "deflator": "NN",
    "deflators": "NNS",
    "deflect": "VB",
    "deflected": "VBD|VBN",
    "deflecting": "VBG",
    "deflects": "VBZ",
    "defocusing": "VBG",
    "defoliation": "NN",
    "deforestation": "NN",
    "deformation": "NN",
    "deformational": "JJ",
    "deformed": "VBN|JJ|VBD",
    "deformities": "NNS",
    "deformity": "NN",
    "defraud": "VB",
    "defrauded": "VBN|VBD",
    "defrauding": "VBG",
    "defray": "VB",
    "defrayed": "VBN|VBD",
    "deft": "JJ",
    "deftly": "RB",
    "deftness": "NN",
    "defunct": "JJ|VB",
    "defunded": "VBN",
    "defuse": "VB",
    "defused": "VBN|VBD",
    "defy": "VBP|VB",
    "defying": "VBG",
    "degassed": "VBN",
    "degeneracy": "NN",
    "degenerate": "VB|JJ",
    "degenerated": "VBD|VBN",
    "degenerates": "VBZ",
    "degeneration": "NN",
    "degenerative": "JJ",
    "deglycerolized": "VBN",
    "degradation": "NN",
    "degrade": "VB",
    "degraded": "JJ|VBD|VBN",
    "degrading": "JJ|VBG",
    "degree": "NN",
    "degree-granting": "JJ",
    "degrees": "NNS",
    "dehumanised": "VBN",
    "dehumanize": "VB",
    "dehumanized": "VBN|VBD",
    "dehumidified": "JJ|VBN",
    "dehydrate": "VB",
    "dehydrated": "JJ|VBN|VBD",
    "dehydration": "NN",
    "dei": "FW|NNP",
    "deification": "NN",
    "deigned": "VBD|VBN",
    "deinstitutionalization": "NN",
    "deities": "NNS",
    "deja": "NN|FW|RB",
    "dejectedly": "RB",
    "dejection": "NN",
    "dejeuner": "FW",
    "dejeuners": "FW",
    "del": "FW|NNP|DT",
    "delay": "VB|NN|VBP",
    "delayed": "VBN|JJ|VBD",
    "delaying": "VBG|JJ|NN",
    "delays": "NNS|VBZ",
    "delectable": "JJ",
    "delectably": "RB",
    "delectation": "NN",
    "delegate": "NN|VB",
    "delegated": "VBN|VBD",
    "delegates": "NNS|VBZ",
    "delegating": "VBG",
    "delegation": "NN",
    "delegations": "NNS",
    "delenda": "FW",
    "delete": "VB",
    "deleted": "VBN|VBD",
    "deleterious": "JJ",
    "deleting": "VBG",
    "deletion": "NN",
    "deletions": "NNS",
    "deli": "NNS",
    "deliberate": "JJ|VB",
    "deliberated": "VBD|VBN",
    "deliberately": "RB",
    "deliberating": "VBG",
    "deliberation": "NN",
    "deliberations": "NNS",
    "deliberative": "JJ",
    "delicacies": "NNS",
    "delicacy": "NN",
    "delicate": "JJ",
    "delicate-beyond-description": "JJ",
    "delicately": "RB",
    "delicately-textured": "JJ",
    "delicatessen": "NN",
    "delicious": "JJ",
    "deliciously": "RB",
    "delicti": "FW",
    "delicto": "FW",
    "delight": "NN|VB|VBP",
    "delighted": "JJ|VBN|VBD",
    "delightful": "JJ",
    "delightfully": "RB",
    "delighting": "VBG",
    "delights": "VBZ|NNS",
    "delimit": "VB",
    "delimits": "VBZ",
    "delineaments": "NNS",
    "delineate": "VB",
    "delineated": "VBN|VBD",
    "delineating": "VBG",
    "delineation": "NN",
    "delinking": "NN",
    "delinquencies": "NNS",
    "delinquency": "NN",
    "delinquent": "JJ|NN",
    "delinquents": "NNS",
    "deliriously": "RB",
    "delirium": "NN",
    "delist": "VB",
    "delisted": "VBN|VBD",
    "delisting": "NN|VBG",
    "deliver": "VB|VBP",
    "deliverable": "JJ",
    "deliverance": "NN",
    "delivered": "VBN|VBD",
    "deliverers": "NNS",
    "deliveries": "NNS",
    "delivering": "VBG",
    "delivers": "VBZ",
    "delivery": "NN",
    "delivre": "VB",
    "dell": "NN",
    "delle": "NNP",
    "deloused": "VBN",
    "delousing": "VBG",
    "delphic": "JJ",
    "delta": "NN|JJ",
    "deltas": "NNS",
    "deltoid": "NN",
    "deltoids": "NNS",
    "delude": "VB|VBP",
    "deluded": "JJ|VBD|VBN",
    "deluding": "VBG",
    "deluge": "NN|VB",
    "deluged": "VBN|VBD",
    "delusion": "NN",
    "delusions": "NNS",
    "deluxe": "JJ",
    "deluxer": "NN",
    "delve": "VB",
    "delved": "VBN|VBD",
    "delver": "NN",
    "delves": "VBZ",
    "delving": "NN|VBG",
    "demage": "NN",
    "demagnification": "NN",
    "demagogic": "JJ",
    "demagoguery": "NN",
    "demagogues": "NNS",
    "demand": "NN|VB|VBP",
    "demand-related": "JJ",
    "demand-supply": "JJ",
    "demand...": ":",
    "demanded": "VBD|VBN",
    "demander": "NN",
    "demanding": "VBG|JJ",
    "demandingly": "RB",
    "demarcated": "VBN|VBD",
    "demarcation": "NN",
    "demeaned": "VBN",
    "demeaning": "JJ",
    "demeanor": "NN",
    "demeanors": "NNS",
    "demeans": "VBZ",
    "demented": "JJ|VBN",
    "dementia": "NN",
    "demi-monde": "FW",
    "demilitarize": "VB",
    "demineralization": "NN",
    "demise": "NN",
    "demo": "NN|VB",
    "demobilize": "VB",
    "demobilized": "VBN|VBD",
    "demobilizing": "VBG",
    "democracies": "NNS",
    "democracy": "NN",
    "democracy-free": "JJ",
    "democrat": "NN",
    "democratic": "JJ",
    "democratically": "RB",
    "democratization": "NN",
    "democratize": "VB",
    "democratized": "VBN|VBD",
    "democratizing": "VBG",
    "democrats": "NNS",
    "demographic": "JJ",
    "demographically": "RB",
    "demographics": "NNS",
    "demographiques": "FW",
    "demography": "NN",
    "demolish": "VB",
    "demolished": "VBN|VBD",
    "demolishing": "VBG",
    "demolition": "NN|JJ",
    "demon": "NN",
    "demon-ridden": "NN",
    "demonetized": "VBN",
    "demoniac": "JJ",
    "demonic": "JJ",
    "demonize": "VB",
    "demonized": "VBN|VBD",
    "demonizing": "NN|VBG",
    "demonologist": "NN",
    "demons": "NNS",
    "demonstators": "NNS",
    "demonstrable": "JJ",
    "demonstrably": "RB",
    "demonstrate": "VB|VBP",
    "demonstrated": "VBD|VBN|JJ",
    "demonstrates": "VBZ",
    "demonstrating": "VBG",
    "demonstration": "NN",
    "demonstrations": "NNS",
    "demonstratively": "RB",
    "demonstrativeness": "NN",
    "demonstratives": "NNS",
    "demonstrators": "NNS",
    "demoralization": "NN",
    "demoralize": "VB|VBP",
    "demoralized": "VBN|JJ|VBD",
    "demoralizes": "VBZ",
    "demoralizing": "VBG",
    "demoted": "VBN|VBD",
    "demotion": "NN",
    "demur": "VBP|VB",
    "demure": "JJ",
    "demurred": "VBD",
    "demurrer": "NN",
    "demurs": "VBZ",
    "demythologization": "NN",
    "demythologize": "VB",
    "demythologized": "VBN|JJ|VBD",
    "demythologizing": "VBG",
    "den": "NN|NNP",
    "denationalization": "NN",
    "denationalizations": "NNS",
    "denationalized": "VBN",
    "denial": "NN",
    "denials": "NNS",
    "denied": "VBD|VBN",
    "denies": "VBZ",
    "denigrate": "VB",
    "denigration": "NN",
    "denims": "NNS",
    "denizens": "NNS",
    "denominated": "VBN|VBD",
    "denomination": "NN",
    "denominational": "JJ",
    "denominationally": "RB",
    "denominations": "NNS",
    "denominator": "NN",
    "denominators": "NNS",
    "denote": "VB|VBP",
    "denoted": "VBN|VBD",
    "denotes": "VBZ",
    "denoting": "VBG",
    "denouement": "NN",
    "denounce": "VBP|VB",
    "denounced": "VBD|VBN",
    "denounces": "VBZ",
    "denouncing": "VBG",
    "dens": "NNS",
    "dense": "JJ",
    "densely": "RB",
    "densest": "JJS",
    "densities": "NNS",
    "densitometry": "NN",
    "density": "NN",
    "dent": "NN|VB",
    "dental": "JJ|NN",
    "dental-products": "NNS",
    "dented": "VBD|VBN",
    "denting": "VBG",
    "dentist": "NN",
    "dentistry": "NN",
    "dentists": "NNS",
    "dents": "NNS|VBZ",
    "dentures": "NNS",
    "denuclearized": "VBN",
    "denude": "VB",
    "denuded": "VBN|VBD",
    "denunciation": "NN",
    "denunciations": "NNS",
    "deny": "VB|VBP",
    "denyin": "VBG",
    "denying": "VBG|NN",
    "deodorant": "NN|JJ",
    "deoxyribonucleic": "JJ",
    "depart": "VB|VBP",
    "departed": "VBD|JJ|VBN",
    "departing": "VBG",
    "department": "NN",
    "department-store": "NN|JJ",
    "department/office": "NN",
    "departmental": "JJ",
    "departmentalizing": "VBG",
    "departments": "NNS",
    "departs": "VBZ",
    "departure": "NN",
    "departures": "NNS",
    "depcreciation": "NN",
    "depend": "VB|VBP",
    "dependable": "JJ",
    "depended": "VBD|VBN",
    "dependence": "NN",
    "dependency": "NN",
    "dependent": "JJ|NN",
    "dependent-care": "JJ",
    "dependents": "NNS",
    "depending": "VBG",
    "depends": "VBZ",
    "depersonalization": "NN",
    "depersonalized": "VBN",
    "depict": "VB|VBP",
    "depicted": "VBN|VBD",
    "depicting": "VBG",
    "depiction": "NN",
    "depictions": "NNS",
    "depicts": "VBZ",
    "deplete": "VB",
    "depleted": "VBN|VBD",
    "depletes": "VBZ",
    "depletion": "NN",
    "deplorable": "JJ",
    "deplorably": "RB",
    "deplore": "VB",
    "deplored": "VBD|VBN",
    "deplores": "VBZ",
    "deploring": "VBG",
    "deploy": "VB|VBP",
    "deployable": "JJ",
    "deployed": "VBN|VBD",
    "deploying": "VBG",
    "deployment": "NN",
    "deployments": "NNS",
    "deport": "VB",
    "deportation": "NN",
    "deportations": "NNS",
    "deported": "VBD|VBN",
    "deportees": "NNS",
    "depose": "VB",
    "deposed": "VBN|VBD",
    "deposit": "NN|VB|VBP",
    "deposit-transfer": "NN",
    "depositary": "NN|JJ",
    "deposited": "VBD|VBN",
    "depositing": "VBG",
    "deposition": "NN",
    "depositions": "NNS",
    "depositor": "NN",
    "depositors": "NNS",
    "depository": "NN|JJ",
    "deposits": "NNS|VBZ",
    "depot": "NN",
    "depots": "NNS",
    "depraved": "JJ|VBN|VBD",
    "depravities": "NNS",
    "depravity": "NN",
    "deprecatory": "JJ",
    "depreciable": "JJ",
    "depreciated": "VBD|VBN",
    "depreciating": "VBG",
    "depreciation": "NN",
    "depreciation-induced": "JJ",
    "depredations": "NNS",
    "depress": "VB|VBP|JJ",
    "depressant": "NN",
    "depressants": "NNS",
    "depressed": "JJ|VBD|VBN",
    "depresses": "VBZ",
    "depressing": "JJ|VBG",
    "depressingly": "RB",
    "depression": "NN",
    "depressions": "NNS",
    "depressors": "NNS",
    "deprivation": "NN",
    "deprivations": "NNS",
    "deprive": "VB",
    "deprived": "VBN|JJ|VBD",
    "deprives": "VBZ",
    "depriving": "VBG",
    "deprogrammings": "NNS",
    "dept.": "NN",
    "depth": "NN",
    "depths": "NNS",
    "deputies": "NNS",
    "deputized": "VBN|VBD",
    "deputy": "NN|JJ",
    "der": "NNP|JJR|FW",
    "derail": "VB|VBP",
    "derailed": "VBN|VBD",
    "derailing": "VBG",
    "derailments": "NNS",
    "deranged": "JJ|VBN|VBD",
    "derangement": "NN",
    "deras": "FW",
    "derby": "NN",
    "dere": "NN",
    "deregulate": "VB|NN",
    "deregulated": "VBN|JJ|VBD",
    "deregulating": "VBG",
    "deregulation": "NN",
    "deregulaton": "NN",
    "derelict": "NN|JJ",
    "dereliction": "NN",
    "derelicts": "NNS",
    "deride": "VBP",
    "derided": "VBN|VBD",
    "derision": "NN",
    "derisively": "RB",
    "derivation": "NN",
    "derivations": "NNS",
    "derivative": "JJ|NN",
    "derivatives": "NNS",
    "derive": "VBP|VB",
    "derived": "VBN|VBD",
    "derives": "VBZ",
    "deriving": "VBG",
    "dermal": "JJ",
    "dermatological": "JJ",
    "derogate": "NN|VB",
    "derogation": "NN",
    "derogatory": "JJ",
    "derrick": "NN",
    "derriere": "NN",
    "derring": "NN",
    "derring-do": "NN",
    "dervish": "NN",
    "dervish-like": "JJ",
    "dervishes": "NNS",
    "des": "FW|NNP",
    "descend": "VB|VBP",
    "descendant": "NN",
    "descendants": "NNS",
    "descended": "VBD|VBN",
    "descendent": "NN",
    "descendents": "NNS",
    "descending": "VBG",
    "descends": "VBZ",
    "descent": "NN",
    "descents": "NNS",
    "descramblers.": "NN",
    "describe": "VB|VBP",
    "described": "VBD|VBN",
    "describes": "VBZ",
    "describing": "VBG",
    "description": "NN",
    "descriptions": "NNS",
    "descriptive": "JJ",
    "desecrated": "VBN|VBD",
    "desecrates": "VBZ",
    "desecration": "NN",
    "desegregate": "VB",
    "desegregated": "VBN|VBD",
    "desegregation": "NN",
    "desegregation-from-court-order": "NN",
    "desensitized": "VBN",
    "desert": "NN|JJ|VB|VBP",
    "desert-battle": "JJ",
    "desert-bound": "JJ",
    "deserted": "VBN|VBD|JJ",
    "desertification": "NN",
    "desertion": "NN",
    "deserts": "NNS|VBZ",
    "deserve": "VBP|VB",
    "deserved": "VBD|VBN",
    "deserves": "VBZ",
    "deserving": "JJ|NN|VBG",
    "deshabille": "NN",
    "design": "NN|VB|VBP",
    "design-conscious": "JJ",
    "design-side": "JJ",
    "design...": ":",
    "designate": "JJ|VB|NN",
    "designated": "VBN|VBD|JJ",
    "designates": "VBZ",
    "designating": "VBG",
    "designation": "NN",
    "designations": "NNS",
    "designed": "VBN|VBD",
    "designees": "NNS",
    "designer": "NN",
    "designers": "NNS",
    "designing": "VBG|JJ",
    "designs": "NNS|VBZ",
    "desirability": "NN",
    "desirable": "JJ",
    "desire": "NN|VBP|VB",
    "desired": "VBN|VBD|JJ",
    "desires": "NNS|VBZ",
    "desiring": "VBG",
    "desirous": "JJ",
    "desist": "VB|VBP",
    "desisted": "VBD|VBN",
    "desk": "NN",
    "desk-legs": "NN",
    "desk-top": "JJ",
    "desklegs": "NNS",
    "desks": "NNS",
    "desktop": "NN|JJ",
    "desktop-computer": "NN",
    "desktop-presentation": "JJ",
    "desktop-publishing": "NN",
    "desolate": "JJ|VB",
    "desolation": "NN",
    "desolations": "NNS",
    "despair": "NN|VB",
    "despaired": "VBD",
    "despairing": "JJ|VBG",
    "despairingly": "RB",
    "despairs": "VBZ",
    "despatch": "NN|VB",
    "despatched": "VBD|VBN",
    "desperadoes": "NNS",
    "desperate": "JJ",
    "desperately": "RB",
    "desperation": "NN",
    "despicable": "JJ",
    "despise": "VB|VBP",
    "despised": "VBN|VBD",
    "despises": "VBZ",
    "despite": "IN",
    "despoiled": "VBN|VBD",
    "despoilers": "NNS",
    "despoiling": "VBG",
    "despondency": "NN",
    "despondent": "JJ",
    "despot": "NN",
    "despotism": "NN",
    "despots": "NNS",
    "despues": "FW",
    "dessert": "NN",
    "dessert-menu": "NN",
    "desserts": "NNS",
    "dessier": "VB",
    "destabilize": "VB",
    "destabilizes": "VBZ",
    "destabilizing": "JJ|VBG",
    "destigmatization": "NN",
    "destination": "NN",
    "destinations": "NNS",
    "destined": "VBN|VBD",
    "destinies": "NNS",
    "destiny": "NN",
    "destitute": "JJ",
    "destroy": "VB|VBP",
    "destroyed": "VBN|VBD|JJ",
    "destroyer": "NN",
    "destroyers": "NNS",
    "destroyers...": ":",
    "destroying": "VBG",
    "destroys": "VBZ",
    "destruction": "NN",
    "destructive": "JJ",
    "desuetude": "NN",
    "desulfurization": "NN",
    "desultory": "JJ",
    "desynchronizing": "VBG",
    "detach": "VB",
    "detachable": "JJ",
    "detached": "VBN|JJ|VBD",
    "detachment": "NN",
    "detail": "NN|VB",
    "detailed": "JJ|VBN|VBD",
    "detailing": "VBG",
    "details": "NNS|VBZ",
    "detailsman": "NN",
    "detain": "VB",
    "detained": "VBD|VBN",
    "detaining": "VBG",
    "detect": "VB|VBP",
    "detectable": "JJ",
    "detected": "VBD|VBN",
    "detecting": "VBG|NN",
    "detection": "NN",
    "detective": "NN|JJ",
    "detective-story": "NN",
    "detectives": "NNS",
    "detector": "NN",
    "detectors": "NNS",
    "detects": "VBZ",
    "detente": "NN",
    "detention": "NN",
    "deter": "VB|VBP",
    "deterence": "NN",
    "detergency": "NN",
    "detergent": "NN",
    "detergents": "NNS",
    "deteriorate": "VB|VBP",
    "deteriorated": "VBN|JJ|VBD",
    "deteriorates": "VBZ",
    "deteriorating": "VBG|JJ",
    "deterioration": "NN",
    "determinability": "NN",
    "determinable": "JJ",
    "determinant": "NN",
    "determinants": "NNS",
    "determinate": "JJ",
    "determination": "NN",
    "determinations": "NNS",
    "determinative": "JJ",
    "determine": "VB|VBP",
    "determined": "VBN|VBD|JJ",
    "determinedly": "RB",
    "determines": "VBZ",
    "determing": "VBG",
    "determining": "VBG|JJ|NN",
    "determinism": "NN",
    "deterministic": "JJ",
    "deterrant": "JJ",
    "deterred": "VBD|VBN",
    "deterrence": "NN",
    "deterrence...": ":",
    "deterrent": "NN",
    "deterrents": "NNS",
    "deterring": "VBG",
    "deters": "VBZ",
    "detest": "VBP|VB",
    "detestable": "JJ",
    "detestation": "NN",
    "detested": "VBD|VBN",
    "detests": "VBZ",
    "dethroned": "VBN",
    "detonate": "VB|VBP",
    "detonated": "VBN|VBD",
    "detonating": "VBG",
    "detonation": "NN",
    "detour": "NN",
    "detoured": "VBD|VBN",
    "detours": "NNS",
    "detoxification": "NN",
    "detoxify": "VB",
    "detract": "VB|VBP",
    "detracted": "VBN|VBD",
    "detracting": "VBG",
    "detractor": "NN",
    "detractors": "NNS",
    "detracts": "VBZ",
    "detribalize": "VB",
    "detriment": "NN",
    "detrimental": "JJ",
    "detriments": "NNS",
    "deuterated": "VBD",
    "deuterium": "NN",
    "deutsche": "NN|FW",
    "deux": "FW",
    "devaluation": "NN",
    "devaluations": "NNS",
    "devalue": "VB",
    "devalued": "VBN|VBD",
    "devastate": "VB",
    "devastated": "VBN|VBD|JJ",
    "devastating": "JJ|VBG",
    "devastatingly": "RB",
    "devastation": "NN",
    "develop": "VB|VBP",
    "developed": "VBN|JJ|VBD",
    "developer": "NN",
    "developers": "NNS",
    "developing": "VBG|JJ|NN",
    "developing-country": "JJ",
    "developing-nation": "JJ",
    "development": "NN",
    "development-aid": "NN",
    "development...": ":",
    "developmental": "JJ",
    "developments": "NNS",
    "develops": "VBZ",
    "deviance": "NN",
    "deviant": "JJ",
    "deviants": "NNS",
    "deviate": "VB",
    "deviated": "VBD|VBN",
    "deviates": "VBZ",
    "deviating": "VBG",
    "deviation": "NN",
    "deviations": "NNS",
    "device": "NN",
    "device.": "NN",
    "devices": "NNS",
    "devil": "NN|VB",
    "devilish": "JJ",
    "devils": "NNS|VBZ",
    "devious": "JJ",
    "devise": "VB|VBP",
    "devised": "VBN|VBD",
    "devisee": "NN",
    "devises": "VBZ",
    "devising": "VBG",
    "devlopments": "NNS",
    "devoid": "JJ",
    "devote": "VB|VBP",
    "devoted": "VBN|VBD|JJ",
    "devotedly": "RB",
    "devotee": "NN",
    "devotees": "NNS",
    "devotes": "VBZ",
    "devoting": "VBG",
    "devotion": "NN",
    "devotional": "JJ",
    "devotions": "NNS",
    "devour": "VB|VBP",
    "devoured": "VBN|VBD",
    "devouring": "VBG",
    "devours": "VBZ",
    "devout": "JJ",
    "devoutly": "RB",
    "dew": "NN",
    "dew-sodden": "JJ",
    "dewars": "NNS",
    "dewatering": "VBG",
    "dewdrops": "NNS",
    "deworm": "VB",
    "dewy-eyed": "JJ",
    "dexamethasone": "NN",
    "dexterity": "NN",
    "dextrous": "JJ",
    "dextrous-fingered": "JJ",
    "dey": "PRP",
    "dhow": "NN",
    "di": "FW|NNP",
    "di-iodotyrosine": "NN",
    "digenova": "NNP",
    "dia.": "NN|JJ",
    "diabetes": "NN",
    "diabetic": "JJ|NN",
    "diabetics": "NNS",
    "diabolical": "JJ",
    "diachronic": "JJ",
    "diagnometer": "NN",
    "diagnosable": "JJ",
    "diagnose": "VB|VBP",
    "diagnosed": "VBN|VBD",
    "diagnoses": "NNS|VBZ",
    "diagnosing": "VBG|NN",
    "diagnosis": "NN",
    "diagnostic": "JJ|NN",
    "diagnosticians": "NNS",
    "diagnostics": "NNS",
    "diagonal": "JJ",
    "diagonalizable": "JJ",
    "diagonally": "RB",
    "diagonals": "NNS",
    "diagram": "NN|VB",
    "diagrammed": "VBN|VBD",
    "diagramming": "VBG",
    "diagrams": "NNS|VBZ",
    "dial": "NN|VB",
    "dial-a-banker": "JJ",
    "dial-tone": "NN",
    "dialect": "NN",
    "dialectic": "NN",
    "dialectical": "JJ",
    "dialectically": "RB",
    "dialectics": "NNS",
    "dialects": "NNS",
    "dialed": "VBD|VBN",
    "dialing": "VBG|NN",
    "dialogue": "NN",
    "dialogues": "NNS",
    "dials": "NNS|VBZ",
    "dialysis": "NN",
    "dialyzed": "VBN|VBD",
    "diam": "NN",
    "diameter": "NN",
    "diameters": "NNS",
    "diametrically": "RB",
    "diamond": "NN",
    "diamond-polishing": "NN",
    "diamond-shaped": "JJ",
    "diamond-studded": "NN",
    "diamonds": "NNS",
    "diaper": "NN",
    "diaper-changing": "JJ",
    "diapers": "NNS",
    "diaphanous": "JJ",
    "diaphragm": "NN",
    "diaphragmic": "JJ",
    "diaphragms": "NNS",
    "diapiace": "FW",
    "diaries": "NNS",
    "diarrhea": "NN",
    "diarrhoea": "NN",
    "diary": "NN",
    "diathermy": "NN",
    "diathesis": "NN",
    "diatomic": "JJ",
    "diatoms": "NNS",
    "diatribe": "NN",
    "diazepam": "NN",
    "dibenzofurans": "NNS",
    "dibs": "NNS",
    "dicate": "VBP",
    "dice": "NNS|VB",
    "dicendi": "FW",
    "dichondra": "NN",
    "dichotomy": "NN",
    "dicker": "VB",
    "dickered": "VBD|VBN",
    "dickering": "NN|VBG",
    "dicks": "NNS",
    "diclosed": "VBN",
    "dictate": "VB|VBP",
    "dictated": "VBN|VBD|JJ",
    "dictates": "VBZ|NNS",
    "dictating": "NN|VBG",
    "dictation": "NN",
    "dictator": "NN",
    "dictatorial": "JJ",
    "dictators": "NNS",
    "dictatorship": "NN",
    "dictatorships": "NNS",
    "diction": "NN",
    "dictionaries": "NNS",
    "dictionary": "NN",
    "dictum": "NN",
    "did": "VBD",
    "didactic": "JJ",
    "diddle": "UH|VB",
    "diddling": "VBG",
    "dideoxyinosine": "NN",
    "didn": "VBD",
    "die": "VB|VBP|FW|NN",
    "die-dead": "NN",
    "die-hard": "JJ",
    "die-hards": "NNS",
    "die-up": "NN",
    "died": "VBD|VBN",
    "diehard": "JJ",
    "diehards": "NNS",
    "diem": "FW|NN",
    "dies": "VBZ|NNS",
    "diesel": "NN|JJ",
    "diesels": "NNS",
    "diet": "NN|VB",
    "dietary": "JJ",
    "dieters": "NNS",
    "diethylaminoethyl": "NN",
    "diethylstilbestrol": "NN",
    "dieting": "NN|VBG",
    "diets": "NNS|VBZ",
    "diety": "NN",
    "differ": "VBP|VB",
    "differed": "VBD|VBN",
    "difference": "NN",
    "difference...": ":",
    "differences": "NNS",
    "different": "JJ",
    "different-color": "JJ",
    "differentiability": "NN",
    "differentiable": "JJ",
    "differential": "NN|JJ",
    "differentials": "NNS",
    "differentiate": "VB|VBP",
    "differentiated": "VBN|JJ|VBD",
    "differentiates": "VBZ",
    "differentiating": "VBG",
    "differentiation": "NN",
    "differently": "RB",
    "differing": "VBG|JJ",
    "differs": "VBZ",
    "difficile": "FW",
    "difficult": "JJ",
    "difficulties": "NNS",
    "difficulty": "NN",
    "diffidence": "NN",
    "diffraction": "NN",
    "diffrunce": "NN",
    "diffuse": "JJ|VB",
    "diffused": "VBN|VBD|JJ",
    "diffusely": "RB",
    "diffusers": "NNS",
    "diffuses": "VBZ",
    "diffusing": "VBG",
    "diffusion": "NN",
    "dig": "NN|VB|FW|VBP",
    "digest": "VB|NN",
    "digest-size": "JJ",
    "digested": "VBN|VBD",
    "digestibility": "NN",
    "digestible": "JJ",
    "digesting": "VBG",
    "digestion": "NN",
    "digestive": "JJ",
    "digger": "NN",
    "diggers": "NNS",
    "digging": "NN|VBG",
    "digit": "NN",
    "digital": "JJ",
    "digitalis": "NN",
    "digitalization": "NN",
    "digitalized": "JJ",
    "digitizes": "VBZ",
    "digits": "NNS",
    "dignified": "JJ|VBN|VBD",
    "dignifies": "VBZ",
    "dignify": "VB",
    "dignitaries": "NNS",
    "dignity": "NN",
    "digress": "VB|NN",
    "digressions": "NNS",
    "digs": "VBZ|NNS",
    "diisocyanate": "NN",
    "dike": "NN|VB",
    "diktat": "JJ",
    "dilapidated": "JJ|VBN|VBD",
    "dilatation": "NN",
    "dilate": "VB",
    "dilated": "VBN|VBD",
    "dilates": "VBZ",
    "dilating": "VBG",
    "dilation": "NN",
    "dilemma": "NN",
    "dilemmas": "NN|NNS",
    "dilettante": "NN",
    "diligence": "NN",
    "diligent": "JJ",
    "diligently": "RB",
    "dill": "NN",
    "diluents": "NNS",
    "dilute": "VB|JJ",
    "diluted": "VBN|JJ|VBD",
    "dilutes": "VBZ",
    "diluting": "VBG",
    "dilution": "NN",
    "dilutive": "JJ",
    "dim": "JJ|VB",
    "dim-witted": "JJ",
    "dime": "NN",
    "dimension": "NN|VB",
    "dimensional": "JJ",
    "dimensionally": "RB",
    "dimensioning": "JJ|VBG",
    "dimensions": "NNS|VBZ",
    "dimers": "NNS",
    "dimes": "NNS",
    "dimesize": "JJ",
    "dimethylglyoxime": "NN",
    "diming": "NN|VBG",
    "diminish": "VB|VBP",
    "diminished": "VBN|JJ|VBD",
    "diminishes": "VBZ",
    "diminishing": "VBG",
    "diminution": "NN",
    "diminutive": "JJ",
    "dimly": "RB",
    "dimly-outlined": "JJ",
    "dimmed": "VBN|VBD",
    "dimmer": "RB|JJR",
    "dimming": "VBG",
    "dimwits": "NNS",
    "dimwitted": "JJ",
    "din": "NN|VB",
    "dine": "VB",
    "dined": "VBN|VBD",
    "diner": "NN",
    "diners": "NNS",
    "dines": "VBZ",
    "dinghy": "NN",
    "dingo": "NN",
    "dingy": "JJ",
    "dining": "NN|JJ|VBG",
    "dining-room": "NN",
    "dinkiest": "JJS",
    "dinner": "NN",
    "dinner-hour": "JJ",
    "dinners": "NNS",
    "dinnertime": "NN",
    "dinnerware": "NN",
    "dinosaur": "NN",
    "dinosaur...": ":",
    "dinosaurs": "NNS",
    "diocesan": "JJ",
    "diocese": "NN",
    "dioceses": "NNS",
    "diocs": "NNS",
    "diorah": "NN",
    "dioramas": "NN",
    "dioxalate": "NN",
    "dioxide": "NN",
    "dioxin": "NN",
    "dioxins": "NNS",
    "dip": "VB|NN|VBP",
    "diphosphopyridine": "JJ",
    "diphtheria": "NN",
    "diploma": "NN",
    "diplomacy": "NN",
    "diplomas": "NNS",
    "diplomat": "NN",
    "diplomatic": "JJ",
    "diplomatically": "RB",
    "diplomats": "NNS",
    "dipole": "JJ|NN",
    "dipoles": "NNS",
    "dipotassium": "NN",
    "dipped": "VBD|VBN",
    "dipper": "NN",
    "dipping": "VBG",
    "dippy": "JJ",
    "dips": "NNS|VBZ",
    "dire": "JJ|FW",
    "direct": "JJ|VBP|RB|VB",
    "direct-investment": "JJ",
    "direct-line": "JJ",
    "direct-mail": "JJ|NN",
    "direct-mail-mogul": "NN",
    "direct-marketed": "JJ",
    "direct-marketing": "NN",
    "direct-seller": "NN",
    "direct-selling": "JJ",
    "direct-steelmaking": "NN",
    "direct-sum": "NN",
    "directed": "VBN|VBD|JJ",
    "directing": "VBG|NN",
    "direction": "NN",
    "directional": "JJ",
    "directionally": "RB",
    "directionless": "JJ",
    "directionlessness": "NN",
    "directions": "NNS",
    "directive": "NN",
    "directives": "NNS",
    "directivity": "NN",
    "directly": "RB",
    "directmail": "NN",
    "directness": "NN",
    "director": "NN",
    "director-general": "NN",
    "directorate": "NN",
    "directorial": "JJ",
    "directories": "NNS",
    "directors": "NNS",
    "directorship": "NN",
    "directory": "NN|JJ",
    "directrices": "NNS",
    "directs": "VBZ",
    "dirge": "NN",
    "dirhams": "NNS",
    "dirt": "NN|JJ",
    "dirt-catcher": "NN",
    "dirtier": "JJR",
    "dirtier-running": "JJ",
    "dirtiest": "JJS",
    "dirty": "JJ|VB",
    "disabilities": "NNS",
    "disability": "NN",
    "disable": "VB",
    "disabled": "JJ|NN|VBN|VBD",
    "disabled-workers": "NNS",
    "disabling": "VBG|JJ",
    "disabuse": "VB",
    "disadvantage": "NN|VB",
    "disadvantaged": "JJ|VBD|VBN",
    "disadvantageous": "JJ",
    "disadvantages": "NNS|VBZ",
    "disaffected": "JJ|VBD|VBN",
    "disaffection": "NN",
    "disaffiliate": "VBP",
    "disaffiliated": "JJ",
    "disaffiliation": "NN",
    "disagree": "VBP|VB",
    "disagreeable": "JJ",
    "disagreed": "VBD|VBN",
    "disagreement": "NN",
    "disagreements": "NNS",
    "disagrees": "VBZ",
    "disallow": "VB",
    "disallowance": "NN",
    "disallowed": "VBD|VBN",
    "disappear": "VB|VBP",
    "disappearance": "NN",
    "disappearances": "NNS",
    "disappeared": "VBD|VBN",
    "disappearing": "VBG",
    "disappears": "VBZ",
    "disappoint": "VB",
    "disappointed": "VBN|JJ|VBD",
    "disappointing": "JJ|VBG",
    "disappointingly": "RB",
    "disappointment": "NN",
    "disappoints": "VBZ",
    "disapprobation": "NN",
    "disapproval": "NN",
    "disapprove": "VBP|VB",
    "disapproved": "VBN|VBD",
    "disapproves": "VBZ",
    "disapproving": "JJ|VBG",
    "disapprovingly": "RB",
    "disarm": "VB",
    "disarmament": "NN",
    "disarmed": "JJ|VBN|VBD",
    "disarming": "VBG|JJ",
    "disarmingly": "RB",
    "disarranged": "VBN",
    "disarray": "NN|VB",
    "disassemble": "VB",
    "disassembled": "VBD|VBN",
    "disassembly": "NN",
    "disassociate": "VB",
    "disassociated": "VBD|VBN",
    "disaster": "NN",
    "disaster-assistance": "JJ",
    "disaster-contingency": "NN",
    "disaster-prone": "JJ",
    "disaster-recovery": "NN|JJ",
    "disaster-subsidy": "JJ",
    "disastrous": "JJ",
    "disastrously": "RB",
    "disavowed": "VBD",
    "disband": "VB",
    "disbanded": "VBN|VBD|JJ",
    "disbanding": "VBG|NN",
    "disbelief": "NN",
    "disbelieve": "VB",
    "disbelieved": "VBD|VBN",
    "disbelieves": "VBZ",
    "disbelieving": "VBG",
    "disburden": "VB",
    "disbursed": "VBN|VBD",
    "disbursement": "NN",
    "disbursements": "NNS",
    "disburses": "VBZ",
    "disbursesments": "NNS",
    "disc": "NN",
    "discard": "VB|VBP",
    "discarded": "VBN|VBD",
    "discern": "VB|VBP",
    "discernable": "JJ",
    "discerned": "VBN|VBD",
    "discernible": "JJ",
    "discerning": "JJ|VBG",
    "discernment": "NN",
    "discerns": "VBZ",
    "discharge": "NN|VB",
    "discharged": "VBN|VBD",
    "discharges": "NNS|VBZ",
    "discharging": "VBG",
    "discimination": "NN",
    "disciple": "NN",
    "disciples": "NNS",
    "discipleship": "NN",
    "disciplinary": "JJ",
    "discipline": "NN|VB|VBP",
    "disciplined": "VBN|VBD|JJ",
    "disciplines": "NNS|VBZ",
    "disciplining": "VBG",
    "disclaimed": "VBD",
    "disclaimer": "NN",
    "disclaimers": "NNS",
    "disclaims": "VBZ",
    "disclose": "VB|VBP",
    "disclosed": "VBN|JJ|VBD",
    "discloses": "VBZ",
    "disclosing": "VBG",
    "disclosure": "NN",
    "disclosures": "NNS|VBZ",
    "disco": "NN",
    "discography": "NN",
    "discoid": "JJ",
    "discolored": "VBN|JJ|VBD",
    "discolors": "VBZ",
    "discombobulation": "NN",
    "discomfit": "VB",
    "discomfited": "JJ",
    "discomfort": "NN",
    "disconcert": "VB",
    "disconcerting": "JJ|VBG",
    "disconcertingly": "RB",
    "disconnect": "VB",
    "disconnected": "VBN|JJ|VBD",
    "disconnecting": "VBG",
    "discontent": "NN",
    "discontented": "JJ",
    "discontinuance": "NN",
    "discontinuation": "NN",
    "discontinue": "VB",
    "discontinued": "VBN|JJ|VBD",
    "discontinuing": "VBG",
    "discontinuity": "NN",
    "discontinuous": "JJ",
    "discord": "NN|VB",
    "discordant": "JJ",
    "discordantly": "RB",
    "discorporate": "JJ|VB",
    "discorporated": "VBN|VBD",
    "discos": "NNS",
    "discotheque": "NN",
    "discotheques": "NNS",
    "discount": "NN|VBP|JJ|VB",
    "discount-borrowing": "NN",
    "discount-brokerage": "NN",
    "discount-coupon": "NN",
    "discount-movie": "JJ",
    "discount-rate": "JJ",
    "discount-retailing": "NN",
    "discount-store": "NN|JJ",
    "discount-toy": "JJ",
    "discount...": ":",
    "discounted": "VBN|JJ|VBD",
    "discounter": "NN",
    "discounters": "NNS",
    "discounting": "NN|VBG",
    "discounts": "NNS|VBZ",
    "discourage": "VB|VBP",
    "discouraged": "VBN|VBD|JJ",
    "discouragement": "NN",
    "discourages": "VBZ",
    "discouraging": "VBG|JJ",
    "discourse": "NN|VB",
    "discourses": "NNS|VBZ",
    "discourteous": "JJ",
    "discover": "VB|VBP",
    "discovered": "VBN|JJ|VBD",
    "discoverer": "NN",
    "discoveries": "NNS",
    "discovering": "VBG",
    "discovers": "VBZ",
    "discovery": "NN",
    "discredit": "VB|NN",
    "discredited": "VBN|JJ",
    "discrediting": "NN|VBG",
    "discreet": "JJ",
    "discreetly": "RB",
    "discrepancies": "NNS",
    "discrepancy": "NN",
    "discrepencies": "NNS",
    "discrepency": "NN",
    "discrete": "JJ",
    "discretion": "NN",
    "discretionary": "JJ",
    "discriminate": "JJ|VB|VBP",
    "discriminated": "VBD|JJ|NN|VBN",
    "discriminates": "NNS|VBZ",
    "discriminating": "VBG|JJ",
    "discrimination": "NN",
    "discriminatory": "JJ",
    "discs": "NNS",
    "discursive": "JJ",
    "discursiveness": "NN",
    "discus": "NN",
    "discuss": "VB|VBP",
    "discussant": "NN",
    "discussed": "VBN|VBD",
    "discusses": "VBZ",
    "discussing": "VBG",
    "discussion": "NN",
    "discussions": "NNS",
    "discussions..": "NNS",
    "disdain": "NN|VBP|VB",
    "disdained": "VBN|VBD",
    "disdainful": "JJ",
    "disdainfully": "RB",
    "disdaining": "VBG",
    "disdains": "VBZ",
    "disease": "NN",
    "disease-fighting": "JJ",
    "disease-resistance": "JJ",
    "disease-resistant": "JJ",
    "diseased": "JJ",
    "diseases": "NNS",
    "disembark": "VBP|VB",
    "disembarked": "VBD|VBN",
    "disembarking": "VBG",
    "disembodied": "JJ",
    "disenchanted": "JJ|VBN|VBD",
    "disenfranchised": "VBN|VBD",
    "disenfranchisement": "NN",
    "disengage": "VB",
    "disengaged": "VBN|VBD",
    "disengagement": "NN",
    "disentangle": "VB",
    "disentangling": "VBG",
    "disfavor": "NN|VB",
    "disfavored": "JJ|VBD|VBN",
    "disfigured": "VBD|VBN|JJ",
    "disgorge": "VB",
    "disgorgement": "NN",
    "disgrace": "NN|VB",
    "disgraced": "VBN|VBD",
    "disgraceful": "JJ",
    "disgruntled": "JJ|VBN",
    "disguise": "VB|VBP|NN",
    "disguised": "VBN|VBD|JJ",
    "disguises": "NNS|VBZ",
    "disgust": "NN|VB",
    "disgusted": "JJ|VBN|VBD",
    "disgusting": "JJ|VBG",
    "dish": "NN|VB",
    "disharmony": "NN",
    "dishearten": "VB",
    "disheartened": "VBN|VBD|JJ",
    "disheartening": "JJ|VBG",
    "dished": "VBD|VBN",
    "dishes": "NNS|VBZ",
    "disheveled": "JJ",
    "dishing": "VBG",
    "dishonest": "JJ",
    "dishonestly": "RB",
    "dishonesty": "NN",
    "dishonor": "NN|VB",
    "dishonorable": "JJ",
    "dishonored": "VBN|VBD",
    "dishonouring": "VBG",
    "dishwasher": "NN",
    "dishwashers": "NNS",
    "dishwater": "NN",
    "disillusioned": "VBN|JJ|VBD",
    "disillusioning": "JJ|VBG",
    "disillusionment": "NN",
    "disincentive": "NN",
    "disincentives": "NNS",
    "disinclination": "NN",
    "disinclined": "VBN|JJ|VBD",
    "disinfectant": "NN",
    "disinfectants": "NNS",
    "disinfected": "VBN",
    "disinflation": "NN",
    "disinflationary": "JJ",
    "disingenuous": "JJ",
    "disintegrate": "VB",
    "disintegrated": "VBD|VBN",
    "disintegrating": "VBG",
    "disintegration": "NN",
    "disintegrative": "JJ",
    "disinterest": "NN",
    "disinterested": "JJ",
    "disinterred": "VBN",
    "disjointed": "VBN|JJ|VBD",
    "disk": "NN|VB",
    "disk-drive": "NN|JJ",
    "disk-read": "JJ",
    "diskette": "NN",
    "diskettes": "NNS",
    "disking": "VBG",
    "disks": "NNS|VBZ",
    "dislike": "NN|VB|VBP",
    "disliked": "VBD|JJ|VBN",
    "dislikes": "NN|VBZ|NNS",
    "disliking": "VBG",
    "dislocated": "JJ|VBD|VBN",
    "dislocation": "NN",
    "dislocations": "NNS",
    "dislodge": "VB",
    "dislodged": "VBD|VBN",
    "disloyal": "JJ",
    "disloyalty": "NN",
    "dismal": "JJ",
    "dismally": "RB",
    "dismantle": "VB",
    "dismantled": "VBN|VBD",
    "dismantles": "VBZ",
    "dismantling": "VBG|NN",
    "dismay": "NN|VB",
    "dismayed": "JJ|VBN|VBD",
    "dismaying": "JJ|VBG",
    "dismember": "VB",
    "dismembered": "VBD|VBN",
    "dismembering": "VBG",
    "dismemberment": "NN",
    "dismiss": "VB|VBP",
    "dismissal": "NN",
    "dismissed": "VBN|VBD",
    "dismisses": "VBZ",
    "dismissing": "VBG",
    "dismounted": "VBD|VBN",
    "dismounting": "VBG",
    "dismounts": "VBZ",
    "disobedience": "NN",
    "disobedient": "JJ",
    "disobey": "VB",
    "disobeyed": "VBN|VBD",
    "disobeying": "VBG",
    "disorder": "NN|VB",
    "disordered": "JJ|VBN|VBD",
    "disorderliness": "NN",
    "disorderly": "JJ",
    "disorders": "NNS|VBZ",
    "disorganization": "NN",
    "disorganized": "JJ|VBN|VBD",
    "disoriented": "VBN|JJ",
    "disown": "VB",
    "disowned": "VBD|VBN",
    "disparage": "VB",
    "disparaged": "VBD|VBN",
    "disparagement": "NN",
    "disparaging": "VBG",
    "disparate": "JJ",
    "disparities": "NNS",
    "disparity": "NN",
    "dispassionate": "JJ",
    "dispassionately": "RB",
    "dispatch": "VB|NN",
    "dispatched": "VBD|VBN",
    "dispatchers": "NNS",
    "dispatches": "NNS|VBZ",
    "dispatching": "VBG",
    "dispel": "VB",
    "dispell": "VB",
    "dispelled": "VBD|VBN",
    "dispensable": "JJ",
    "dispensary": "NN",
    "dispensation": "NN",
    "dispense": "VB|VBP",
    "dispensed": "VBD|VBN",
    "dispenser": "NN",
    "dispensers": "NNS",
    "dispenses": "VBZ",
    "dispensing": "VBG|NN",
    "dispersal": "NN",
    "dispersant": "NN",
    "dispersants": "NNS",
    "disperse": "VB",
    "dispersed": "VBD|VBN|JJ",
    "dispersement": "NN",
    "dispersing": "VBG",
    "dispersion": "NN",
    "displace": "VB",
    "displaced": "VBN|VBD",
    "displacement": "NN",
    "displaces": "VBZ",
    "displacing": "NN|VBG",
    "display": "NN|VBP|VB",
    "displayed": "VBN|VBD",
    "displaying": "VBG",
    "displays": "NNS|VBZ",
    "displeased": "JJ|VBN",
    "displeases": "VBZ",
    "displeasure": "NN",
    "disposable": "JJ|NN",
    "disposables": "NNS",
    "disposal": "NN",
    "disposals": "NNS",
    "dispose": "VB",
    "disposed": "VBN|JJ|VBD",
    "disposes": "VBZ",
    "disposing": "VBG",
    "disposition": "NN",
    "dispositions": "NNS",
    "dispossessed": "VBN|JJ",
    "dispossession": "NN",
    "disppointed": "JJ",
    "disproportionally": "RB",
    "disproportionate": "JJ",
    "disproportionately": "RB",
    "disprove": "VB",
    "disproving": "VBG",
    "disputable": "JJ",
    "dispute": "NN|VBP|VB",
    "dispute-settlement": "JJ|NN",
    "disputed": "VBN|VBD|JJ",
    "disqualification": "NN",
    "disqualified": "VBN|VBD",
    "disqualify": "VB",
    "disquiet": "NN|VB",
    "disquieting": "JJ|VBG",
    "disquietude": "NN",
    "disquisition": "NN",
    "disregard": "NN|VB",
    "disregarded": "VBD|VBN",
    "disregarding": "VBG",
    "disrepair": "NN",
    "disreputable": "JJ",
    "disrepute": "NN",
    "disrespect": "NN|VB",
    "disrobe": "VB",
    "disrupt": "VB|VBP",
    "disrupted": "VBN|JJ|VBD",
    "disrupting": "VBG",
    "disruption": "NN",
    "disruptive": "JJ",
    "disrupts": "VBZ",
    "dissatisfaction": "NN",
    "dissatisfactions": "NNS",
    "dissatisfied": "JJ|VBN",
    "dissected": "VBN|VBD",
    "dissecting": "VBG",
    "dissection": "NN",
    "dissects": "VBZ",
    "dissembling": "VBG",
    "disseminate": "VB",
    "disseminated": "VBN|VBD",
    "disseminates": "VBZ",
    "disseminating": "VBG",
    "dissemination": "NN",
    "dissension": "NN",
    "dissensions": "NNS",
    "dissent": "NN|VBP|VB",
    "dissented": "VBN|VBD",
    "dissenter": "NN",
    "dissenters": "NNS",
    "dissenting": "JJ|VBG",
    "dissents": "NNS|VBZ",
    "disseration": "NN",
    "disservice": "NN",
    "dissident": "JJ|NN",
    "dissident-shareholder": "NN",
    "dissidents": "NNS",
    "dissidents.": "NN",
    "dissimilar": "JJ",
    "dissimiliar": "JJ",
    "dissimulation": "NN",
    "dissipate": "VB",
    "dissipated": "VBN|VBD",
    "dissipates": "VBZ",
    "dissipating": "VBG",
    "dissociate": "VB",
    "dissociated": "VBN|VBD",
    "dissociates": "VBZ",
    "dissociating": "VBG",
    "dissociation": "NN",
    "dissolution": "NN",
    "dissolutions": "NNS",
    "dissolve": "VB|VBP|NN",
    "dissolved": "VBN|VBD",
    "dissolves": "VBZ",
    "dissolving": "VBG|JJ",
    "dissonance": "NN",
    "dissonances": "NNS",
    "dissuade": "VB",
    "dissuaded": "VBD|VBN",
    "distal": "JJ",
    "distance": "NN|VB",
    "distances": "NNS|VBZ",
    "distancing": "VBG|NN",
    "distant": "JJ",
    "distantly": "RB",
    "distaste": "NN",
    "distasteful": "JJ",
    "distastefully": "RB",
    "distate": "NN",
    "distension": "NN",
    "distil": "VB",
    "distillates": "NNS",
    "distillation": "NN",
    "distilled": "VBN|JJ|VBD",
    "distiller": "NN",
    "distilleries": "NNS",
    "distillers": "NNS",
    "distillery": "NN",
    "distilling": "VBG|NN",
    "distills": "VBZ",
    "distinct": "JJ",
    "distinction": "NN",
    "distinctions": "NNS",
    "distinctive": "JJ",
    "distinctively": "RB",
    "distinctiveness": "NN",
    "distinctly": "RB",
    "distinguish": "VB|VBP",
    "distinguishable": "JJ",
    "distinguished": "VBD|VBN|JJ",
    "distinguishes": "VBZ",
    "distinguishing": "VBG|JJ",
    "distort": "VB|VBP",
    "distortable": "JJ",
    "distorted": "VBN|VBD|JJ",
    "distorting": "VBG",
    "distortion": "NN",
    "distortions": "NNS",
    "distorts": "VBZ",
    "distract": "VB",
    "distracted": "VBN|VBD",
    "distractedly": "RB",
    "distracting": "VBG|JJ",
    "distraction": "NN",
    "distractions": "NNS",
    "distraught": "JJ",
    "distress": "NN|VB",
    "distressed": "JJ|VBN|VBD",
    "distressing": "JJ|VBG",
    "distressingly": "RB",
    "distributable": "JJ",
    "distribute": "VB|VBP",
    "distributed": "VBN|VBD|JJ",
    "distributer": "NN",
    "distributes": "VBZ",
    "distributing": "VBG|NN",
    "distribution": "NN",
    "distributions": "NNS",
    "distributive": "JJ",
    "distributor": "NN",
    "distributors": "NNS",
    "distributorship": "NN",
    "district": "NN|JJ|VB",
    "district-by-district": "RB",
    "district-court": "NN",
    "district/state": "NN",
    "districting": "NN|VBG",
    "districts": "NNS|VBZ",
    "districts/states": "NNS",
    "distrubition": "NN",
    "distrust": "NN|VBP|VB",
    "distrusted": "VBN|VBD",
    "distrusts": "VBZ",
    "disturb": "VB|VBP",
    "disturbance": "NN",
    "disturbances": "NNS",
    "disturbed": "VBN|VBD|JJ",
    "disturber": "NN",
    "disturbing": "JJ|VBG",
    "disturbingly": "RB",
    "disturbs": "VBZ",
    "disulfide": "NN",
    "disunion": "NN",
    "disunited": "VBN|VBD",
    "disunity": "NN",
    "disused": "JJ|VBD|VBN",
    "ditch": "NN|VB",
    "ditched": "VBD|VBN",
    "ditcher": "NN",
    "ditches": "NNS|VBZ",
    "dites": "FW",
    "dither": "NN|VB",
    "dithering": "VBG",
    "dithers": "VBZ",
    "ditties": "NNS",
    "ditto": "NN",
    "ditty": "NN",
    "diuretic": "NN|JJ",
    "diuretics": "NNS",
    "diurnal": "JJ",
    "diva": "NN",
    "divan": "NN",
    "divan-like": "JJ",
    "divans": "NNS",
    "dive": "NN|VBP|VB",
    "dived": "VBD|VBN",
    "diver": "NN",
    "diverge": "VB|VBP",
    "divergence": "NN",
    "divergent": "JJ",
    "diverging": "VBG",
    "divers": "NNS|JJ",
    "diverse": "JJ",
    "diversifed": "VBN",
    "diversification": "NN",
    "diversifications": "NNS",
    "diversified": "JJ|VBD|VBN",
    "diversify": "VB",
    "diversifying": "VBG",
    "diversion": "NN",
    "diversionary": "JJ",
    "diversions": "NNS",
    "diversities": "NNS",
    "diversity": "NN",
    "divert": "VB|VBP",
    "diverted": "VBN|VBD",
    "diverticulitis": "NN",
    "divertimento": "JJ",
    "diverting": "VBG",
    "dives": "NNS|VBZ",
    "divest": "VB|VBP",
    "divested": "JJ|VBN|VBD",
    "divesting": "VBG",
    "divestiture": "NN",
    "divestiture-related": "JJ",
    "divestitures": "NNS",
    "divestment": "NN",
    "divide": "VBP|VB|NN",
    "divided": "VBN|VBD|JJ",
    "dividend": "NN",
    "dividend-capture": "NN",
    "dividend-related": "JJ",
    "dividends": "NNS",
    "divider": "NN",
    "divides": "VBZ",
    "dividing": "VBG|NN|JJ",
    "divination": "NN",
    "divine": "JJ|NN",
    "divinely": "RB",
    "diving": "JJ|VBG|NN",
    "divining": "VBG",
    "divinities": "NNS",
    "divinity": "NN",
    "divisible": "JJ",
    "division": "NN",
    "division.": "NN",
    "divisional": "JJ",
    "divisions": "NNS",
    "divisive": "JJ",
    "divisiveness": "NN",
    "divorce": "NN|VB|VBP",
    "divorced": "VBN|JJ|VBD",
    "divorcee": "NN",
    "divorces": "NNS|VBZ",
    "divulge": "VB",
    "divulging": "VBG",
    "divvied": "VBN",
    "divvying": "VBG",
    "dizzily": "RB",
    "dizziness": "NN",
    "dizzy": "JJ",
    "dizzying": "JJ|VBG",
    "do": "VBP|FW|NN|NNS|VBZ|VB",
    "do-everything": "JJ",
    "do-good": "JJ",
    "do-gooder": "JJ|NN",
    "do-gooders": "NNS",
    "do-it-yourself": "JJ",
    "do-nothing": "JJ",
    "do-or-die": "JJ",
    "doable": "JJ",
    "doan": "VBP",
    "doble": "NN",
    "doc": "NN",
    "docile": "JJ",
    "docilely": "RB",
    "dock": "NN|VB",
    "dock-siders": "NNS",
    "docked": "VBN|VBD",
    "docket": "NN",
    "docketed": "VBN",
    "dockets": "NNS",
    "docks": "NNS|VBZ",
    "dockside": "NN",
    "dockworkers": "NNS",
    "dockyards": "NNS",
    "docters": "NNS",
    "doctor": "NN|VB",
    "doctor-oriented": "JJ",
    "doctor-originated": "JJ",
    "doctor-patient": "JJ",
    "doctoral": "JJ",
    "doctorate": "NN",
    "doctorates": "NNS",
    "doctored": "VBN|VBD",
    "doctoring": "NN|VBG",
    "doctors": "NNS|VBZ",
    "doctrinaire": "JJ|NN",
    "doctrinal": "JJ",
    "doctrinally": "RB",
    "doctrine": "NN",
    "doctrines": "NNS",
    "docudrama": "NN",
    "docudramas": "NNS",
    "document": "NN|VB|VBP",
    "documentaries": "NNS",
    "documentary": "NN|JJ",
    "documentary-type": "JJ",
    "documentation": "NN",
    "documented": "VBN|VBD",
    "documenting": "VBG",
    "documents": "NNS|VBZ",
    "docutainment": "NN",
    "doddering": "JJ|VBG",
    "dodge": "VBP|NN|VB",
    "dodged": "VBD|VBN",
    "dodging": "VBG",
    "doe": "NN",
    "doer": "NN",
    "doers": "NNS",
    "does": "VBZ",
    "doffing": "VBG",
    "dog": "NN|VBP|VB",
    "dog-and-pony": "NN",
    "dog-eared": "JJ",
    "dog-eat-dog": "JJ",
    "dog-meat": "NN",
    "dog-pin": "JJ",
    "dog-powered": "JJ",
    "dog-rose": "NN",
    "dogcatcher": "NN",
    "dogfight": "NN",
    "dogged": "VBN|JJ|VBD",
    "doggedly": "RB",
    "doggerel": "NN",
    "doggie": "JJ",
    "dogging": "VBG",
    "doggone": "JJ|UH",
    "doghouse": "NN",
    "dogleg": "NN",
    "dogma": "NN",
    "dogmas": "NN|NNS",
    "dogmatic": "JJ",
    "dogmatically": "RB",
    "dogmatism": "NN",
    "dogs": "NNS|VBZ",
    "dogtrot": "NN",
    "dogwood": "NN",
    "doi": "FW",
    "doin": "VBG",
    "doing": "VBG|NN|JJ",
    "doings": "NNS",
    "dolce": "FW",
    "doldrums": "NNS",
    "dole": "VB|NN|VBP",
    "doled": "VBD|VBN",
    "doleful": "JJ",
    "doles": "VBZ",
    "doling": "VBG",
    "doll": "NN",
    "doll-like": "JJ",
    "doll-sized": "JJ",
    "dollar": "NN|JJ",
    "dollar-and-cents": "JJ",
    "dollar-convertible": "JJ",
    "dollar-cost": "NN|JJ",
    "dollar-denominated": "JJ",
    "dollar-mark": "NN",
    "dollar-priced": "JJ",
    "dollar-profits": "JJ",
    "dollar-related": "JJ",
    "dollar-sellers": "NNS",
    "dollar-selling": "NN",
    "dollar-sign": "NN",
    "dollar-yen": "JJ",
    "dollarette": "JJ",
    "dollars": "NNS",
    "dollars-and-cents": "NNS",
    "dollars...": ":",
    "dolledup": "JJ",
    "dollies": "NNS",
    "dollop": "NN",
    "dollops": "NNS",
    "dolls": "NNS",
    "dolphin": "NN",
    "dolphins": "NNS",
    "dolt": "NN",
    "doltish": "JJ",
    "domain": "NN",
    "domains": "NNS",
    "dome": "NN",
    "domed": "JJ",
    "domes": "NNS",
    "domestic": "JJ|NN",
    "domestic-airline": "NN",
    "domestic-credit": "NN",
    "domestic-demand": "JJ",
    "domestic-inflation": "NN",
    "domestic-made": "JJ",
    "domestic-policy": "JJ|NN",
    "domestic-production": "NN",
    "domestically": "RB",
    "domesticates": "VBZ",
    "domesticity": "NN",
    "domi": "FW",
    "domicile": "NN|VB",
    "domiciled": "VBN|VBD",
    "dominance": "NN",
    "dominant": "JJ",
    "dominantly": "RB",
    "dominate": "VB|VBP",
    "dominated": "VBN|VBD",
    "dominates": "VBZ",
    "dominating": "VBG|JJ",
    "domination": "NN",
    "domineering": "JJ|VBG",
    "dominion": "NN",
    "domino": "NN",
    "dominoes": "NN",
    "domponents": "NNS",
    "don": "VB|NN|VBP",
    "donate": "VB|VBP",
    "donated": "VBN|VBD",
    "donates": "VBZ",
    "donating": "VBG",
    "donation": "NN",
    "donations": "NNS",
    "done": "VBN|JJ|RB|VBD",
    "done-and": "CC",
    "done-unto": "JJ",
    "donkey": "NN",
    "donkeys": "NNS",
    "donna": "NN",
    "donned": "VBD|VBN",
    "donning": "VBG",
    "donnybrook": "NN",
    "donor": "NN",
    "donors": "NNS",
    "dons": "VBZ|NNS",
    "donut": "NN",
    "donut-sales": "JJ",
    "doo": "NN|VB",
    "doodads": "NNS",
    "doom": "NN|VB",
    "doomed": "VBN|VBD|JJ",
    "dooming": "VBG",
    "dooms": "NNS|VBZ",
    "doomsayer": "NN",
    "doomsayers": "NNS",
    "doomsday": "NN",
    "door": "NN|RB",
    "door-frame": "NN",
    "door-fronted": "VBN",
    "door-to-door": "JJ|NN",
    "doorbell": "NN",
    "doorkeeper": "NN",
    "doorknob": "NN",
    "doorman": "NN",
    "doormen": "NNS",
    "doors": "NNS",
    "doorstep": "NN",
    "doorway": "NN",
    "doorways": "NNS",
    "dope": "NN",
    "dope-ridden": "JJ",
    "doped": "JJ",
    "doper": "NN",
    "dorm": "NN",
    "dormant": "JJ",
    "dormitories": "NNS",
    "dormitory": "NN",
    "dosage": "NN",
    "dosages": "NNS",
    "dose": "NN|VB",
    "dosed": "VBN|VBD",
    "doses": "NNS|VBZ",
    "dossier": "NN",
    "dossiers": "NNS",
    "dost": "VBP",
    "dot": "VBP|NN|VB",
    "dot-matrix": "NN",
    "doted": "VBN",
    "doth": "VBZ",
    "doting": "VBG|JJ",
    "dots": "NNS|VBZ",
    "dotted": "VBN|VBD|JJ",
    "dotting": "VBG|NN",
    "double": "JJ|VBP|NN|RB|VB",
    "double-A": "JJ|NNP",
    "double-A-1": "JJ|NN",
    "double-A-2": "JJ|NN",
    "double-A-3": "JJ",
    "double-A-minus": "JJ|NN|NNP",
    "double-A-plus": "JJ|NN",
    "double-A-rated": "JJ",
    "double-A1": "NN",
    "double-A/single-A-plus": "JJ",
    "double-B": "JJ",
    "double-B-minus": "NN",
    "double-B-plus": "JJ|NN",
    "double-C": "NN",
    "double-billing": "VBG",
    "double-bladed": "JJ",
    "double-bogeyed": "VBD",
    "double-bolt": "VB",
    "double-breasted": "JJ",
    "double-checking": "NN",
    "double-coupon": "NN",
    "double-crossed": "VBD",
    "double-crosser": "JJ",
    "double-crossing": "NN",
    "double-deck": "JJ|VB",
    "double-decker": "JJ",
    "double-decking": "NN|VBG",
    "double-digit": "JJ|NN",
    "double-edged": "JJ",
    "double-entendre": "NN",
    "double-glaze": "VB",
    "double-glazed": "JJ|VBD|VBN",
    "double-hamburger": "NN",
    "double-header": "NN",
    "double-helix": "JJ",
    "double-jeopardy": "NN",
    "double-married": "JJ",
    "double-meaning": "NN",
    "double-stage": "JJ",
    "double-step": "JJ",
    "double-talk": "NN",
    "double-valued": "JJ",
    "double-wall": "JJ",
    "double-whammy": "NN",
    "double-wing": "JJ",
    "doubleA-2": "JJ",
    "doubled": "VBD|VBN",
    "doubled-edged": "JJ",
    "doubleheader": "NN",
    "doubles": "VBZ|NNS",
    "doubling": "NN|VBG",
    "doubloon": "NN",
    "doubly": "RB",
    "doubt": "NN|VBP|RB",
    "doubte": "NN",
    "doubted": "VBD|VBN",
    "doubter": "NN",
    "doubters": "NNS",
    "doubtful": "JJ",
    "doubtfully": "RB",
    "doubting": "VBG|JJ",
    "doubtingly": "RB",
    "doubtless": "RB",
    "doubtlessly": "RB",
    "dough": "NN",
    "doughnut": "NN",
    "doughty": "JJ",
    "dour": "JJ",
    "dourly": "RB",
    "douse": "VB",
    "doused": "VBD|VBN",
    "dove": "VBD|NN",
    "doves": "NNS",
    "dovetail": "VBP",
    "dovetails": "VBZ",
    "dovish": "JJ",
    "dowdy": "JJ",
    "dowdy-looking": "JJ",
    "dowel": "NN",
    "doweling": "NN",
    "dower": "NN|VB",
    "down": "RB|IN|RBR|VBP|JJ|NN|RP|VB",
    "down-and-out": "JJ",
    "down-and-outers": "NNS",
    "down-down": "JJ",
    "down-home": "JJ",
    "down-payment": "NN",
    "down-payments": "NNS",
    "down-the-line": "JJ",
    "down-to-earth": "JJ",
    "down.": "RP",
    "downbeat": "JJ|NN",
    "downcast": "JJ",
    "downdraft": "NN",
    "downed": "VBD|VBN",
    "downer": "NN",
    "downfall": "NN",
    "downfall...": ":",
    "downgrade": "NN|VB",
    "downgraded": "VBD|VBN",
    "downgrades": "NNS|VBZ",
    "downgrading": "NN|VBG",
    "downgradings": "NNS",
    "downhill": "RB|JJ",
    "downing": "VBG",
    "downpayment": "NN",
    "downpayments": "NNS",
    "downplay": "VB",
    "downplayed": "VBD|VBN",
    "downplaying": "VBG",
    "downplays": "VBZ",
    "downpour": "NN",
    "downright": "RB|JJ",
    "downs": "NNS|VBZ",
    "downshoot": "NN",
    "downside": "NN|JJ",
    "downsize": "VB",
    "downsized": "VBN|VBD",
    "downsizing": "VBG|NN",
    "downstairs": "NN|RB",
    "downstream": "JJ|RB",
    "downtalking": "JJ",
    "downtime": "NN",
    "downtown": "NN|JJ|RB",
    "downtrend": "NN",
    "downtrodden": "JJ",
    "downturn": "NN",
    "downturns": "NNS",
    "downward": "JJ|RB",
    "downwind": "RB|JJ",
    "dowry": "NN",
    "doxepin": "NN",
    "dozed": "VBD|VBN",
    "dozens": "NNS",
    "dozing": "VBG",
    "drab": "JJ",
    "drab-haired": "JJ",
    "drachma": "NN",
    "drachmas": "NNS",
    "draconian": "JJ",
    "draft": "NN|JJ|VB|VBP",
    "draft-avoidance": "NN",
    "draft-resistance": "NN",
    "drafted": "VBN|VBD",
    "draftee": "NN",
    "draftees": "NNS",
    "drafters": "NNS",
    "drafting": "VBG|NN",
    "drafts": "NNS|VBZ",
    "draftsmen": "NNS",
    "drafty": "JJ",
    "drag": "VB|NN|VBP",
    "drag-down": "JJ",
    "dragged": "VBN|VBD",
    "dragger": "NN",
    "dragging": "VBG|NN",
    "dragnet": "NN",
    "dragon": "NN",
    "dragons": "NNS",
    "dragoon": "VBP|VB",
    "dragooned": "VBD|VBN",
    "drags": "VBZ",
    "drahve": "VB",
    "drain": "NN|VBP|VB",
    "drainage": "NN",
    "drained": "VBN|VBD",
    "draining": "VBG|NN|JJ",
    "drains": "VBZ|NNS",
    "dram": "NN",
    "drama": "NN",
    "drama-filled": "JJ",
    "dramas": "NN",
    "dramatic": "JJ",
    "dramatical": "JJ",
    "dramatically": "RB",
    "dramatics": "NNS",
    "dramatist": "NN",
    "dramatists": "NNS",
    "dramatization": "NN",
    "dramatizations": "NNS",
    "dramatize": "VB|VBP",
    "dramatized": "VBN|VBD",
    "dramatizes": "VBZ",
    "dramatizing": "VBG",
    "drank": "VBD|NN",
    "drape": "VB|NN",
    "draped": "VBD|JJ|VBN",
    "draper": "NN",
    "draperies": "NNS",
    "drapers": "NNS",
    "drapery": "NN",
    "drapes": "NNS|VBZ",
    "draping": "VBG",
    "drastic": "JJ|RB",
    "drastically": "RB",
    "draught": "NN|VB|JJ",
    "draughts": "NN|NNS|VBZ",
    "draughty": "JJ",
    "draw": "VB|VBP|NN",
    "draw-down": "NN",
    "drawback": "NN",
    "drawbacks": "NNS",
    "drawbridge": "NN",
    "drawdown": "NN",
    "drawer": "NN",
    "drawers": "NNS",
    "drawin": "VBG",
    "drawing": "VBG|JJ|NN",
    "drawing-room": "NN",
    "drawing-rooms": "NNS",
    "drawings": "NNS",
    "drawl": "NN",
    "drawled": "VBD",
    "drawling": "VBG",
    "drawn": "VBN|JJ",
    "drawn-back": "NN",
    "drawn-out": "JJ",
    "draws": "VBZ|NNS",
    "dread": "NN|JJ|VB",
    "dreaded": "VBN|VBD|JJ",
    "dreadful": "JJ|NN",
    "dreadfully": "RB",
    "dreading": "VBG",
    "dream": "NN|VB|VBP",
    "dream-ridden": "JJ",
    "dreamed": "VBD|VBN",
    "dreamer": "NN",
    "dreamers": "NNS",
    "dreamin": "NN",
    "dreaming": "VBG|NN",
    "dreamless": "JJ",
    "dreamlessly": "RB",
    "dreamlike": "JJ",
    "dreamt": "VBD|VBN",
    "dreamy": "JJ",
    "drearier": "RBR",
    "dreariness": "NN",
    "dreary": "JJ",
    "dredged": "VBD|VBN",
    "dredges": "VBZ",
    "dregs": "NNS",
    "drenching": "NN|VBG",
    "dress": "NN|VBP|VB",
    "dressed": "VBN|JJ|VBD",
    "dresser": "NN",
    "dressers": "NNS",
    "dresses": "NNS|VBZ",
    "dressing": "VBG|NN|JJ",
    "dressings": "NNS",
    "dressmaking": "NN",
    "dressy": "JJ",
    "drew": "VBD",
    "drewe": "VBD",
    "drib-drool": "NN",
    "dribble": "NN|VB",
    "dribbled": "VBD|VBN",
    "dried": "VBD|VBN|JJ",
    "dried-out": "JJ",
    "dried-up": "JJ",
    "drier": "NN|JJR|RBR",
    "driers": "NNS",
    "dries": "NNS|VBZ",
    "drift": "VB|NN|VBP",
    "drift-net": "NN|JJ",
    "drifted": "VBD|VBN",
    "drifter": "NN",
    "driftin": "VBG",
    "drifting": "VBG|JJ|NN",
    "driftnet": "NN",
    "drifts": "VBZ|NNS",
    "driftwood": "NN",
    "drill": "VB|NN",
    "drill-bit": "NN",
    "drilled": "VBN|VBD",
    "drillers": "NNS",
    "drilling": "NN|JJ|VBG",
    "drills": "NNS|VBZ",
    "drink": "NN|VBP|VB",
    "drinkable": "JJ",
    "drinker": "NN",
    "drinkers": "NNS",
    "drinking": "NN|JJ|VBG",
    "drinking-water": "NN",
    "drinks": "NNS|VBZ",
    "drip": "NN|VB",
    "dripped": "VBD|VBN",
    "dripping": "VBG",
    "drips": "VBZ",
    "drive": "NN|VBP|VB",
    "drive-in": "NN",
    "drive-through": "JJ",
    "drive-train": "NN",
    "drive-yourself": "JJ",
    "driven": "VBN|JJ",
    "driver": "NN",
    "drivers": "NNS",
    "drives": "NNS|VBZ",
    "driveway": "NN",
    "driveways": "NNS",
    "driving": "VBG|JJ|NN",
    "drizzle": "NN|VB",
    "drizzling": "VBG|JJ",
    "drizzly": "JJ",
    "dromozoa": "NNS",
    "dromozootic": "JJ",
    "drone": "NN|JJ",
    "drones": "NNS",
    "drooled": "VBD|VBN",
    "drooling": "VBG",
    "droop": "VBP|NN|VB",
    "drooped": "VBD|VBN",
    "drooping": "VBG",
    "droopy-eyed": "JJ",
    "drop": "NN|JJ|VB|VBP",
    "drop-block": "NN",
    "drop-in": "JJ",
    "drop-off": "NN|JJ",
    "drop-out": "JJ",
    "droped": "VBD",
    "droplets": "NNS",
    "dropoff": "NN",
    "dropoffs": "NNS",
    "dropout": "NN",
    "dropouts": "NNS",
    "droppable": "JJ",
    "dropped": "VBD|VBN|JJ",
    "dropper": "NN",
    "droppers": "NNS",
    "dropping": "VBG|NN",
    "droppings": "NNS",
    "drops": "NNS|VBZ",
    "dross": "NN",
    "drought": "NN",
    "drought-induced": "JJ",
    "drought-inspired": "JJ",
    "drought-ravaged": "JJ",
    "drought-related": "JJ",
    "drought-seared": "JJ",
    "drought-shriveled": "JJ",
    "drought-stricken": "JJ",
    "drought-stunted": "JJ",
    "droughts": "NNS",
    "drouth": "NN",
    "drove": "VBD|NN",
    "drover": "NN",
    "drovers": "NNS",
    "droves": "NNS",
    "drown": "VB|VBP",
    "drowned": "VBN|JJ|VBD",
    "drowning": "VBG",
    "drownings": "NNS",
    "drowns": "VBZ",
    "drowsed": "VBN|VBD",
    "drowsily": "RB",
    "drowsing": "VBG",
    "drowsy": "JJ",
    "drubbed": "VBN|VBD",
    "drubbing": "NN|VBG",
    "drudgery": "NN",
    "drug": "NN|VB",
    "drug-abuse": "JJ|NN",
    "drug-addled": "JJ",
    "drug-approval": "JJ",
    "drug-bill": "NN",
    "drug-cartel": "JJ",
    "drug-consuming": "JJ",
    "drug-dealing": "NN|JJ",
    "drug-delivery": "JJ",
    "drug-education": "NN",
    "drug-enforcement": "JJ",
    "drug-fighting": "JJ",
    "drug-financed": "JJ",
    "drug-free": "JJ",
    "drug-funding": "NN",
    "drug-industry": "NN",
    "drug-infested": "JJ",
    "drug-interdiction": "NN|JJ",
    "drug-laden": "JJ",
    "drug-law": "NN",
    "drug-making": "JJ",
    "drug-policy": "NN",
    "drug-pricing": "NN",
    "drug-pushing": "JJ",
    "drug-related": "JJ",
    "drug-sales": "NNS",
    "drug-seeking": "JJ",
    "drug-sensing": "JJ",
    "drug-smuggling": "JJ",
    "drug-store": "NN",
    "drug-supply": "JJ",
    "drug-testing": "NN",
    "drug-traffickers": "NNS",
    "drug-trafficking": "JJ|VBG|NN",
    "drug-treatment": "NN|JJ",
    "drug...": ":",
    "drugged": "VBN|JJ|VBD",
    "druggers": "NNS",
    "druggies": "NNS",
    "drugging": "VBG",
    "druggist": "NN",
    "druggists": "NNS",
    "drugless": "JJ",
    "drugs": "NNS|VBZ",
    "drugstore": "NN",
    "drugstores": "NNS",
    "drugtrafficking": "NN",
    "drum": "VB|NN",
    "drumbeat": "NN",
    "drumbeating": "NN",
    "drumlin": "NN",
    "drummed": "VBD|VBN",
    "drummer": "NN",
    "drummers": "NNS",
    "drumming": "VBG|NN",
    "drumroll": "NN",
    "drums": "NNS|VBZ",
    "drumsticks": "NNS",
    "druncke": "VBD|JJ",
    "drunk": "JJ|NN|VBN",
    "drunk-and-disorderlies": "NNS",
    "drunk-driving": "JJ",
    "drunkard": "NN",
    "drunkards": "NNS",
    "drunken": "JJ",
    "drunkenly": "RB",
    "drunkenness": "NN",
    "drunker": "JJR",
    "drunks": "NNS",
    "druther": "VB",
    "dry": "JJ|RB|VB|VBP",
    "dry-dock": "NN",
    "dry-eyed": "JJ",
    "dry-gulchin": "NN",
    "dry-ice": "JJ",
    "dryer": "NN",
    "dryin": "VBG",
    "drying": "VBG|NN",
    "dryly": "RB",
    "dryness": "NN",
    "drywall": "NN|VBP",
    "dthat": "IN",
    "du": "NNP|FW",
    "dual": "JJ",
    "dual-career": "JJ",
    "dual-channel": "JJ",
    "dual-ladder": "JJ",
    "dual-purpose": "JJ",
    "dual-road-up": "NN",
    "dual-trading": "NN",
    "dualism": "NN",
    "dualities": "NNS",
    "dubbed": "VBN|VBD",
    "dubious": "JJ",
    "dubiously": "RB",
    "dubs": "VBZ",
    "duces": "FW",
    "duck": "NN|VB",
    "ducked": "VBD|VBN",
    "ducking": "VBG|NN",
    "duckling": "NN",
    "ducklings": "NNS",
    "ducks": "NNS|VBZ",
    "duct": "NN",
    "ducts": "NNS",
    "ductwork": "NN",
    "dud": "NN",
    "dudgeon": "NN",
    "duds": "NNS",
    "due": "JJ|IN|NN|RB|NNS",
    "due-diligence": "JJ",
    "due-process": "NN",
    "duel": "NN",
    "dueled": "VBD",
    "dueling": "VBG|NN",
    "duels": "NNS",
    "dues": "NNS",
    "duet": "NN",
    "duets": "NNS",
    "duffel": "NN",
    "duffer": "NN",
    "duffers": "NNS",
    "dug": "VBD|VBN",
    "dugout": "NN",
    "duke": "NN",
    "dulcet": "JJ",
    "dull": "JJ|VB",
    "dull-gray": "JJ",
    "dulled": "VBN|VBD|JJ",
    "duller": "RBR|JJR",
    "dullest": "JJS",
    "dulling": "VBG",
    "dullish": "JJ",
    "dullness": "NN",
    "dulls": "VBZ",
    "dully": "RB",
    "duly": "RB",
    "dumb": "JJ",
    "dumbbell": "NN",
    "dumbbells": "NNS",
    "dumber": "JJR",
    "dumbest": "JJS",
    "dumbfounded": "JJ|VBN|VBD",
    "dummies": "NNS",
    "dummy": "JJ|NN",
    "dump": "VB|VBP|NN",
    "dumped": "VBD|VBN",
    "dumping": "VBG|NN",
    "dumps": "NNS|VBZ",
    "dumpster": "NN",
    "dumpsters": "NNS",
    "dumpy": "JJ",
    "dun": "NN|VB",
    "dune": "NN",
    "dune-grass": "NN",
    "dunes": "NNS",
    "dung": "NN",
    "dungarees": "NNS",
    "dungeon": "NN",
    "dungeons": "NNS",
    "dunk": "NN|VB",
    "dunked": "VBD|VBN",
    "dunks": "VBZ",
    "duo": "NN",
    "duodenal": "JJ",
    "duopoly": "RB",
    "duped": "VBN|VBD",
    "dupes": "VBZ",
    "duplex": "NN|JJ",
    "duplicable": "JJ",
    "duplicate": "VB|JJ",
    "duplicated": "VBN|VBD",
    "duplicates": "VBZ",
    "duplicating": "VBG",
    "duplication": "NN",
    "duplications": "NNS",
    "duplicative": "JJ",
    "duplicity": "NN",
    "durability": "NN",
    "durable": "JJ",
    "durable-goods": "NNS",
    "durables": "NNS",
    "duration": "NN",
    "durations": "NNS",
    "duress": "NN",
    "durin": "NN|IN",
    "during": "IN",
    "durn": "JJ",
    "dusk": "NN",
    "dusky": "JJ",
    "dust": "NN|VB|VBP",
    "dust-settling": "JJ",
    "dust-swirling": "JJ",
    "dust-thick": "JJ",
    "dust-up": "NN",
    "dustbin": "NN",
    "dustbowl": "NN",
    "dusted": "VBD|VBN",
    "dustin": "VBG",
    "dusting": "VBG|NN",
    "dustjacket": "NN",
    "dusts": "NNS|VBZ",
    "dusty": "JJ",
    "dusty-green": "JJ",
    "dusty-slippered": "JJ",
    "duties": "NNS",
    "dutiful": "JJ",
    "dutifully": "RB",
    "duty": "NN",
    "duty-free": "JJ",
    "dwarf": "NN|VBP|VB",
    "dwarfed": "VBN|VBD",
    "dwarfism": "NN",
    "dwarfs": "VBZ|NNS",
    "dwell": "VBP|VB",
    "dwelled": "VBN",
    "dweller": "NN",
    "dwellers": "NNS",
    "dwelling": "NN|VBG",
    "dwellings": "NNS",
    "dwells": "VBZ",
    "dwelt": "VBD|VBN",
    "dwindle": "VB",
    "dwindled": "VBD|VBN",
    "dwindles": "VBZ",
    "dwindling": "VBG",
    "dwindling-sales": "JJ",
    "dye": "NN|VB",
    "dyed": "VBN|VBD",
    "dyed-in-the-wool": "JJ",
    "dyeing": "NN|VBG",
    "dyes": "NNS|VBZ",
    "dying": "VBG|JJ|NN",
    "dykes": "NNS|VBZ",
    "dynamic": "JJ|NN",
    "dynamical": "JJ",
    "dynamically": "RB",
    "dynamics": "NNS",
    "dynamism": "NN",
    "dynamite": "NN|JJ",
    "dynamited": "VBN",
    "dynamo": "NN",
    "dynamos": "NNS",
    "dynastic": "JJ",
    "dynasties": "NNS",
    "dynasty": "NN",
    "dynodes": "NNS",
    "dysentery": "NN",
    "dysfunction": "NN",
    "dysgenic": "JJ",
    "dyslexia": "NN",
    "dyspeptic": "JJ",
    "dysplasia": "NN",
    "dystopia": "NN",
    "dystopian": "JJ",
    "dystopias": "NNS",
    "dystrophy": "NN",
    "e": "SYM|NN|NNP",
    "e-Ames": "NNP",
    "e-Estimated": "VBN",
    "e-In": "IN",
    "e.g": "NN|FW",
    "e.g.": "FW|NN",
    "each": "DT",
    "eager": "JJ",
    "eagerly": "RB",
    "eagerness": "NN",
    "eagle": "NN",
    "eagle-eyed": "JJ",
    "eagles": "NNS",
    "ear": "NN",
    "ear-piercing": "JJ",
    "ear-splitting": "JJ",
    "eardrums": "NNS",
    "eared": "JJ",
    "earful": "NN",
    "earl": "NN",
    "earlier": "RBR|JJR|NN",
    "earlier-announced": "JJ",
    "earlier-expressed": "JJ",
    "earlier-period": "NN",
    "earlier-reported": "JJ",
    "earlier-than-expected": "JJ",
    "earlier-the": "IN",
    "early": "JJ|RB",
    "early-childhood": "NN",
    "early-departure": "NN",
    "early-morning": "JJ|NN",
    "early-retirement": "JJ|NN",
    "early-season": "JJ",
    "early-warning": "NN",
    "earmark": "VB",
    "earmarked": "VBN|VBD|JJ",
    "earmarking": "VBG",
    "earn": "VB|VBP",
    "earned": "VBD|JJ|VBN",
    "earned-income": "NN",
    "earned-run": "JJ",
    "earner": "NN",
    "earners": "NNS",
    "earnest": "JJ|NN",
    "earnestly": "RB",
    "earnestness": "NN",
    "earnigs": "NNS",
    "earning": "VBG|NN",
    "earnings": "NNS",
    "earnings-driven": "JJ",
    "earnings-forecast": "JJ",
    "earnings-growth": "JJ|NN",
    "earnings-limit": "JJ",
    "earnings-per-share": "JJ",
    "earnings-related": "JJ",
    "earns": "VBZ",
    "earphone": "NN",
    "earphones": "NNS",
    "earring": "NN",
    "earrings": "NNS",
    "ears": "NNS",
    "earsplitting": "JJ",
    "earth": "NN",
    "earth-bound": "JJ",
    "earth-colored": "JJ",
    "earth-moving": "JJ",
    "earth-orbiting": "JJ",
    "earth-shattering": "JJ",
    "earth-tone": "NN",
    "earth-touching": "JJ",
    "earthbound": "JJ",
    "earthenware": "NN",
    "earthlings": "NNS",
    "earthly": "JJ",
    "earthmoving": "JJ|NN",
    "earthquake": "NN",
    "earthquake-proof": "JJ",
    "earthquake-ravaged": "JJ",
    "earthquake-related": "JJ",
    "earthquake-resistant": "JJ",
    "earthquake-stricken": "JJ",
    "earthquake-trained": "JJ",
    "earthquake-triggered": "JJ",
    "earthquake...": ":",
    "earthquakes": "NNS",
    "earthshaking": "JJ",
    "earthworm": "NN",
    "earthworms": "NNS",
    "earthy": "JJ",
    "earworm": "NN",
    "ease": "VB|NN|VBP",
    "eased": "VBD|VBN",
    "eased...": ":",
    "easel": "NN",
    "easement": "NN",
    "easements": "NNS",
    "eases": "VBZ",
    "easier": "JJR|RBR",
    "easier-to-read": "JJ",
    "easiest": "JJS",
    "easily": "RB",
    "easing": "VBG|JJ|NN",
    "east": "JJ|NN|RB",
    "east-to-west": "RB",
    "east-west": "JJ",
    "eastern": "JJ",
    "eastward": "RB",
    "easy": "JJ|RB",
    "easy-going": "JJ",
    "easy-to-film": "JJ",
    "easy-to-operate": "JJ",
    "easy-to-reach": "JJ",
    "easy-to-read": "JJ",
    "easy-to-spot": "JJ",
    "easy-to-turn": "JJ",
    "easy-to-use": "JJ",
    "easygoing": "JJ",
    "eat": "VB|VBP",
    "eatable": "JJ",
    "eatables": "NNS",
    "eaten": "VBN|JJ",
    "eateries": "NNS",
    "eaters": "NNS",
    "eatery": "NN",
    "eating": "VBG|JJ|NN",
    "eatings": "NNS",
    "eats": "VBZ",
    "eave": "NN",
    "eavesdrop": "VB",
    "eavesdropping": "NN|VBG",
    "ebb": "NN|VB",
    "ebb-and-flow": "NN",
    "ebbed": "VBD|VBN",
    "ebbing": "VBG",
    "ebbs": "VBZ",
    "ebony": "NN|JJ",
    "ebullient": "JJ",
    "ebulliently": "RB",
    "eccentric": "JJ|NN",
    "eccentricities": "NNS",
    "eccentricity": "NN",
    "eccentrics": "NNS",
    "ecclesiastical": "JJ",
    "echelon": "NN",
    "echelons": "NNS",
    "echo": "VBP|NN|VB",
    "echoed": "VBN|VBD",
    "echoes": "NNS|VBZ",
    "echoing": "VBG|JJ",
    "eclairs": "NNS",
    "eclat": "NN",
    "eclectic": "JJ|NN",
    "eclectically": "RB",
    "eclipse": "VB|NN|VBP",
    "eclipsed": "VBD|VBN",
    "eclipses": "NNS|VBZ",
    "eclipsing": "VBG",
    "ecliptic": "NN|JJ",
    "eco-evangelists": "NNS",
    "ecological": "JJ",
    "ecologically": "RB",
    "ecologists": "NNS",
    "ecology": "NN",
    "econobox": "NN",
    "econometric": "JJ",
    "econometrics": "NN",
    "economic": "JJ",
    "economic-cooperation": "NN",
    "economic-crime": "JJ",
    "economic-development": "NN",
    "economic-efficiency": "NN",
    "economic-forecasting": "JJ",
    "economic-policy": "NN",
    "economic-reform": "JJ|NN",
    "economic-restructuring": "JJ",
    "economical": "JJ",
    "economically": "RB",
    "economics": "NNS",
    "economies": "NNS",
    "economist": "NN",
    "economists": "NNS",
    "economize": "VB",
    "economizing": "VBG",
    "economy": "NN",
    "economy-lodging": "JJ",
    "economy...": ":",
    "ecstasy": "NN",
    "ecstatic": "JJ|NN",
    "ecstatically": "RB",
    "ectoplasmic": "JJ",
    "ecumenical": "JJ",
    "ecumenicists": "NNS",
    "ecumenist": "NN",
    "ecumenists": "NNS",
    "ed.": "NN",
    "edema": "NN",
    "edematous": "JJ",
    "edentulous": "JJ",
    "edge": "NN|VB",
    "edged": "VBD|JJ|VBN",
    "edges": "NNS|VBZ",
    "edgewise": "RB",
    "edginess": "NN",
    "edging": "VBG|NN",
    "edgy": "JJ",
    "edible": "JJ",
    "edict": "NN",
    "edifice": "NN",
    "edified": "VBD|VBN",
    "edifying": "JJ|VBG",
    "edit": "VB",
    "edited": "VBN|VBD",
    "editing": "NN|VBG",
    "editing/electronic": "JJ",
    "edition": "NN",
    "editions": "NNS",
    "editor": "NN",
    "editor-in-chief": "NN",
    "editorial": "NN|JJ",
    "editorial-page": "NN|JJ",
    "editorialist": "NN",
    "editorialists": "NNS",
    "editorialize": "VB",
    "editorially": "RB",
    "editorials": "NNS",
    "editors": "NNS",
    "editorship": "NN",
    "edits": "VBZ",
    "ednedayose": "NN",
    "educate": "VB",
    "educated": "VBN|JJ|VBD",
    "educating": "VBG|NN",
    "education": "NN",
    "educational": "JJ",
    "educationalist": "NN",
    "educations": "NNS",
    "educator": "NN",
    "educators": "NNS",
    "educrats": "NNS",
    "eduction": "NN",
    "ee-faket": "NN",
    "eel": "NN",
    "eerie": "JJ",
    "eerily": "RB",
    "eeriness": "NN",
    "effaces": "VBZ",
    "effect": "NN|JJ|VB|VBP",
    "effecte": "VB",
    "effected": "VBN|VBD",
    "effecting": "VBG",
    "effectinge": "VBG",
    "effective": "JJ|VBN|NN",
    "effectively": "RB",
    "effectiveness": "NN",
    "effects": "NNS|VBZ",
    "effectual": "JJ",
    "effectuate": "VB",
    "effeminate": "JJ",
    "effete": "JJ",
    "efficacious": "JJ",
    "efficaciously": "RB",
    "efficacy": "NN",
    "efficiencies": "NNS",
    "efficiency": "NN",
    "efficient": "JJ",
    "efficient-in": "IN|JJ",
    "efficient-market": "NN",
    "efficiently": "RB",
    "effigy": "NN",
    "effloresce": "VB",
    "effluent": "JJ|NN",
    "effluents": "NNS",
    "effluvium": "NN",
    "effort": "NN",
    "effort...": ":",
    "effortful": "JJ",
    "effortless": "JJ",
    "effortlessly": "RB",
    "efforts": "NNS",
    "effrontery": "NN",
    "effusive": "JJ",
    "egalitarian": "JJ",
    "egalitarianism": "NN",
    "egg": "NN",
    "egg-breaking": "NN",
    "egg-hatching": "JJ",
    "egg-on-the-face": "JJ",
    "egg-processing": "JJ",
    "egg-sized": "JJ",
    "egg-throwing": "JJ",
    "egged": "VBN",
    "egghead": "NN",
    "eggplants": "NNS",
    "eggs": "NNS",
    "eggshell": "JJ",
    "ego": "NN",
    "ego-adaptive": "JJ",
    "egocentric": "JJ",
    "egos": "NNS",
    "egotism": "NN",
    "egotist": "NN",
    "egotist...": ":",
    "egotistic": "JJ",
    "egotistical": "JJ",
    "egregious": "JJ",
    "egregiously": "RB",
    "egrets": "NNS",
    "eh": "UH",
    "eidetic": "JJ",
    "eies": "NNS",
    "eight-acre": "JJ",
    "eight-and-a-half-foot": "JJ",
    "eight-bar": "JJ",
    "eight-bit": "JJ",
    "eight-by-ten": "JJ",
    "eight-cent": "JJ",
    "eight-count": "JJ",
    "eight-foot": "JJ",
    "eight-foot-high": "JJ",
    "eight-hour": "JJ",
    "eight-inch": "JJ",
    "eight-member": "JJ",
    "eight-mile": "JJ",
    "eight-mile-long": "JJ",
    "eight-month": "JJ",
    "eight-month-old": "JJ",
    "eight-page": "JJ",
    "eight-page-a-minute": "JJ",
    "eight-partner": "JJ",
    "eight-person": "JJ",
    "eight-piece": "JJ",
    "eight-team": "JJ",
    "eight-thirty": "JJ",
    "eight-time": "JJ",
    "eight-times": "JJ",
    "eight-week": "JJ",
    "eight-year": "JJ",
    "eight-year-old": "NN|JJ",
    "eightball": "NN",
    "eighteen-year-old": "JJ",
    "eighteenth": "JJ",
    "eighteenth-century": "JJ",
    "eighth": "JJ|NN",
    "eighth-floor": "JJ",
    "eighties": "NNS",
    "eighty-fifth": "JJ",
    "eighty-nine": "NN",
    "eighty-sixth": "JJ",
    "eighty-year-old": "JJ",
    "ein": "FW",
    "eine": "FW",
    "either": "DT|CC|IN|RB|RBR",
    "either-or": "JJ",
    "ejaculated": "VBD",
    "eject": "VB",
    "ejected": "VBN|VBD",
    "ejection": "NN",
    "eke": "VB",
    "eked": "VBD|VBN",
    "eking": "VBG",
    "el-Fna": "NNP",
    "elaborate": "VB|JJ",
    "elaborated": "VBN|VBD|JJ",
    "elaborately": "RB",
    "elaborates": "VBZ",
    "elaborating": "VBG",
    "elaboration": "NN",
    "elan": "NN",
    "elapse": "VB",
    "elapsed": "VBN|VBD",
    "elapses": "VBZ",
    "elastic": "JJ|NN",
    "elasticity": "NN",
    "elastomer": "NN",
    "elastomers": "NNS",
    "elated": "JJ|VBN|VBD",
    "elation": "NN",
    "elbow": "NN",
    "elbowing": "VBG",
    "elbows": "NNS",
    "elder": "JJR|NN|JJ",
    "elderly": "JJ|NN",
    "elders": "NNS",
    "eldest": "JJS",
    "elect": "VB|VBP",
    "elected": "VBN|JJ|VBD",
    "electing": "VBG",
    "election": "NN",
    "election-law": "NN",
    "elections": "NNS",
    "elections-an": "JJ",
    "elective": "JJ",
    "electives": "NNS",
    "electoral": "JJ",
    "electorate": "NN",
    "electors": "NNS",
    "electric": "JJ|NN",
    "electric-driven": "JJ",
    "electric-generating": "NN",
    "electric-power": "JJ",
    "electric-sewer-water": "JJ",
    "electric-transport": "NN",
    "electric-utility": "NN|JJ",
    "electrical": "JJ",
    "electrical-cable": "NN",
    "electrical-engineering": "JJ",
    "electrical-products": "NNS",
    "electrical-safety": "JJ",
    "electrically": "RB",
    "electricals": "NNS",
    "electrician": "NN",
    "electricians": "NNS",
    "electricity": "NN",
    "electricity-industry": "NN",
    "electrified": "VBN|VBD",
    "electrifying": "JJ|VBG",
    "electriques": "FW",
    "electro-magnetic": "JJ",
    "electro-optical": "JJ",
    "electro-optics": "NNS",
    "electrocardiogram": "NN",
    "electrocardiograph": "NN",
    "electrochemicals": "NNS",
    "electrode": "NN",
    "electrodes": "NNS",
    "electrodynamics": "NNS",
    "electrogalvanized": "JJ|VBN",
    "electrogalvanizing": "VBG",
    "electroluminescence": "NN",
    "electrolysis": "NN",
    "electrolysis-of-water": "JJ",
    "electrolytic": "JJ",
    "electromagnet": "NN",
    "electromagnetic-test": "NN",
    "electromagnetism": "NN",
    "electromagnets": "NNS",
    "electromechanical": "JJ",
    "electron": "NN",
    "electron-device": "NN",
    "electronic": "JJ",
    "electronic-bomb": "NN",
    "electronic-communications": "NNS",
    "electronic-data": "NN|JJ|NNS",
    "electronic-defense": "NN",
    "electronic-information": "NN",
    "electronic-measuring": "JJ",
    "electronic-publishing": "JJ",
    "electronic-quote": "NN",
    "electronic-systems": "NNS",
    "electronic-test": "JJ",
    "electronic-trading": "JJ|NN",
    "electronic-transaction": "JJ",
    "electronic-warfare": "NN",
    "electronically": "RB",
    "electronicmedical-equipment": "JJ",
    "electronics": "NNS",
    "electronics-distribution": "NN",
    "electronics-instruments": "JJ",
    "electronics-product": "NN",
    "electronography": "NN",
    "electrons": "NNS",
    "electrophoresis": "NN",
    "electrophorus": "NN",
    "electroplated": "VBN",
    "electroplating": "NN",
    "electroreality": "NN",
    "electroshock": "NN",
    "electroshocks": "NNS",
    "electrostatic": "JJ",
    "electrosurgical": "JJ",
    "electrotherapist": "NN",
    "elects": "VBZ",
    "elegance": "NN",
    "elegances": "NNS",
    "elegant": "JJ",
    "elegantly": "RB",
    "elegiac": "JJ",
    "elegy": "NN",
    "element": "NN",
    "elemental": "JJ|NN",
    "elementary": "JJ",
    "elementary-grade": "JJ",
    "elementary-school": "JJ",
    "elements": "NNS",
    "elephant": "NN",
    "elephant-like": "JJ",
    "elephantine": "JJ",
    "elephants": "NNS",
    "elevate": "VB|VBP",
    "elevated": "VBD|VBN|JJ",
    "elevates": "VBZ",
    "elevating": "VBG",
    "elevation": "NN",
    "elevations": "NNS",
    "elevator": "NN",
    "elevators": "NNS",
    "eleventh": "JJ",
    "eleventh-floor": "JJ",
    "eleventh-hour": "JJ",
    "elfin": "JJ",
    "elicit": "VB",
    "elicited": "VBN|VBD",
    "elicits": "VBZ",
    "elide": "VBP",
    "eligibility": "NN",
    "eligible": "JJ|NN",
    "eliminate": "VB|VBP",
    "eliminated": "VBN|VBD",
    "eliminates": "VBZ",
    "eliminating": "VBG",
    "elimination": "NN",
    "eliminations": "NNS",
    "elite": "NN|NNS|JJ",
    "elites": "NNS",
    "elitist": "JJ",
    "elitists": "NNS",
    "elixir": "NN",
    "elk": "NNS",
    "ell": "NN",
    "ellipses": "NNS",
    "ellipsis": "NN",
    "ellipsoid": "NN",
    "ellipsoids": "NNS",
    "elliptical": "JJ",
    "elm": "NN",
    "elms": "NNS",
    "elongate": "VB",
    "elongated": "VBN|JJ|VBD",
    "elongation": "NN",
    "eloped": "VBD",
    "eloquence": "NN",
    "eloquent": "JJ",
    "eloquently": "RB",
    "else": "RB|JJ|NN",
    "elsewhere": "RB|NN",
    "elswehere": "NN",
    "eluate": "NN",
    "eluates": "NNS",
    "elucidated": "VBN|VBD",
    "elucidation": "NN",
    "elucidations": "NNS",
    "elucidative": "JJ",
    "eluded": "VBD|VBN",
    "eludes": "VBZ",
    "eluding": "VBG",
    "elusive": "JJ",
    "elusiveness": "NN",
    "eluted": "VBN",
    "elution": "NN",
    "em": "PRP",
    "emaciated": "VBN|JJ|VBD",
    "emanated": "VBD|VBN",
    "emanating": "VBG",
    "emanation": "NN",
    "emanations": "NNS",
    "emancipate": "VB",
    "emancipated": "VBN|JJ|VBD",
    "emancipation": "NN",
    "emasculate": "VB",
    "emasculated": "VBD|VBN",
    "emasculation": "NN",
    "embalmers": "NNS",
    "embalming": "NN",
    "embankment": "NN",
    "embargo": "NN|VB",
    "embargoed": "VBD|JJ|VBN",
    "embargoes": "NNS|VBZ",
    "embargos": "NNS",
    "embark": "VB|VBP",
    "embarked": "VBD|VBN",
    "embarking": "VBG",
    "embarks": "VBZ",
    "embarrass": "VB",
    "embarrassed": "JJ|VBN|VBD",
    "embarrassing": "JJ|VBG",
    "embarrassingly": "RB",
    "embarrassment": "NN",
    "embarrassments": "NNS",
    "embassies": "NNS",
    "embassy": "NN",
    "embattled": "JJ|VBN",
    "embedded": "VBN|JJ",
    "embellish": "VB",
    "embellished": "VBN|VBD",
    "embezzle": "VB",
    "embezzled": "VBD|VBN",
    "embezzlement": "NN",
    "embezzler": "NN",
    "embezzling": "VBG",
    "embittered": "JJ|VBN|VBD",
    "emblazoned": "VBN",
    "emblem": "NN",
    "emblematic": "JJ",
    "emblems": "NNS",
    "embodied": "VBN|VBD",
    "embodies": "VBZ",
    "embodiment": "NN",
    "embodiments": "NNS",
    "embody": "VBP|VB",
    "embodying": "VBG",
    "emboldened": "VBN|VBD",
    "embolisms": "NNS",
    "embossed": "VBD|VBN",
    "embouchure": "NN",
    "embrace": "VB|VBP|NN",
    "embraced": "VBN|VBD",
    "embraces": "VBZ|NNS",
    "embracing": "VBG",
    "embroider": "VBP|VB",
    "embroidered": "VBN|VBD",
    "embroideries": "NNS",
    "embroidery": "NN",
    "embroiled": "VBN|VBD",
    "embryo": "NN|JJ",
    "embryonic": "JJ",
    "embryos": "NNS",
    "emcee": "NN",
    "emerald": "JJ|NN",
    "emeralds": "NNS",
    "emerge": "VB|VBP",
    "emerged": "VBD|VBN",
    "emergence": "NN",
    "emergencies": "NNS",
    "emergency": "NN|JJ",
    "emergency-cash": "NN",
    "emergency-claims": "NNS",
    "emergency-medical": "JJ",
    "emergency-relief": "NN",
    "emergency-room": "NN",
    "emergency.": "NN",
    "emergent": "JJ",
    "emerges": "VBZ",
    "emerging": "VBG",
    "emerging-growth": "NN",
    "emeriti": "FW",
    "emeritus": "NN|JJ",
    "emigrants": "NNS",
    "emigrate": "VB|VBP",
    "emigrated": "VBD|VBN",
    "emigrating": "VBG",
    "emigration": "NN",
    "emigration-related": "JJ",
    "emigrations": "NNS",
    "emigre": "NN",
    "emigres": "NNS",
    "eminence": "NN",
    "eminences": "NNS",
    "eminent": "JJ",
    "eminently": "RB",
    "emissaries": "NNS",
    "emissary": "NN|JJ",
    "emission": "NN",
    "emission-control": "JJ",
    "emissions": "NNS",
    "emit": "VB|VBP",
    "emits": "VBZ",
    "emitted": "VBN|VBD",
    "emitting": "VBG",
    "emote": "VB",
    "emoted": "VBD|VBN",
    "emotion": "NN",
    "emotional": "JJ",
    "emotionalism": "NN",
    "emotionality": "NN",
    "emotionally": "RB",
    "emotions": "NNS",
    "empathetic": "JJ",
    "empathize": "VB",
    "empathy": "NN",
    "emperor": "NN",
    "emperors": "NNS",
    "emphases": "NNS",
    "emphasis": "NN",
    "emphasize": "VB|VBP",
    "emphasized": "VBD|VBN",
    "emphasizes": "VBZ",
    "emphasizing": "VBG",
    "emphatic": "JJ",
    "emphatically": "RB",
    "emphaticize": "VB",
    "emphysema": "NN",
    "emphysematous": "JJ",
    "empire": "NN",
    "empires": "NNS",
    "empirical": "JJ",
    "empirically": "RB",
    "empiricism": "NN",
    "employ": "VB|NN|VBP",
    "employe": "NN",
    "employed": "VBN|VBD|JJ",
    "employee": "NN",
    "employee-benefit": "JJ|NN",
    "employee-benefits": "JJ|NNS",
    "employee-bonus": "JJ|NN",
    "employee-contributed": "JJ",
    "employee-health": "NN",
    "employee-incentive": "NN",
    "employee-management": "JJ|NN",
    "employee-owned": "JJ",
    "employee-ownership": "JJ|NN",
    "employee-stock": "JJ",
    "employees": "NNS|VBZ",
    "employer": "NN",
    "employer-offered": "JJ",
    "employer-paid": "JJ",
    "employer-provided": "JJ",
    "employer-sponsored": "JJ",
    "employerpaid": "JJ",
    "employers": "NNS",
    "employes": "NNS|VBZ",
    "employing": "VBG",
    "employment": "NN",
    "employment-services": "JJ",
    "employment-tax": "JJ",
    "employments": "NNS",
    "employs": "VBZ",
    "empower": "VBP|VB",
    "empowered": "VBN|VBD",
    "empowering": "VBG",
    "empowerment": "NN",
    "empowers": "VBZ",
    "emptied": "VBN|VBD",
    "emptier": "JJR|RBR",
    "empties": "VBZ",
    "emptiness": "NN",
    "empty": "JJ|NN|RB|VB|VBP",
    "empty-handed": "JJ",
    "empty-shelved": "JJ",
    "emptying": "VBG",
    "emulate": "VB|VBD",
    "emulated": "VBN",
    "emulating": "VBG",
    "emulator": "NN",
    "emulsified": "VBN",
    "emulsifiers": "NNS",
    "emulsion": "NN",
    "en": "IN|FW|RB",
    "enable": "VB|VBP",
    "enabled": "VBD|VBN",
    "enables": "VBZ",
    "enabling": "VBG",
    "enact": "VB",
    "enacted": "VBN|VBD",
    "enacting": "VBG",
    "enactment": "NN",
    "enactments": "NNS",
    "enacts": "VBZ",
    "enamel": "NN|JJ",
    "enameling": "NN|VBG",
    "enamelled": "JJ",
    "enamels": "NNS",
    "enamored": "JJ|VBD|VBN",
    "encamp": "VB",
    "encamped": "VBN|VBD",
    "encampment": "NN",
    "encapsulate": "VB",
    "encased": "VBD|VBN|JJ",
    "encasing": "VBG",
    "encephalitis": "NN",
    "encephalographic": "JJ",
    "enchained": "VBN",
    "enchant": "VB",
    "enchanted": "VBN|JJ|VBD",
    "enchanting": "JJ|VBG",
    "enchantingly": "RB",
    "enchantment": "NN",
    "enciphered": "VBN|VBD",
    "encircle": "VB",
    "encircled": "VBD|JJ|VBN",
    "encircles": "VBZ",
    "encircling": "VBG",
    "enclave": "NN",
    "enclaves": "NNS",
    "enclosed": "VBN|VBD",
    "encloses": "VBZ",
    "enclosing": "VBG",
    "enclosure": "NN",
    "enclosures": "NNS",
    "encoded": "VBN",
    "encoder": "NN",
    "encomiums": "NNS",
    "encompass": "VB",
    "encompassed": "VBD|VBN",
    "encompasses": "VBZ",
    "encompassing": "VBG",
    "encore": "NN",
    "encores": "NNS",
    "encounter": "VB|NN|VBP",
    "encountered": "VBD|VBN",
    "encountering": "VBG",
    "encounters": "VBZ|NNS",
    "encourage": "VB|VBP",
    "encouraged": "VBN|VBD|JJ",
    "encouragement": "NN",
    "encourages": "VBZ",
    "encouraging": "VBG|JJ",
    "encouragingly": "RB",
    "encroach": "VB",
    "encroached": "VBD|VBN",
    "encroaching": "VBG",
    "encroachment": "NN",
    "encrusted": "VBN|VBD|JJ",
    "encrypting": "VBG",
    "encumber": "VB",
    "encumbered": "VBN|VBD",
    "encumbrance": "NN",
    "encumbrances": "NNS",
    "encyclopedia": "NN",
    "encyclopedias": "NNS",
    "encyclopedic": "JJ",
    "encylopedia": "NN",
    "end": "NN|VBP|JJ|RB|VB",
    "end-of-model-year": "JJ",
    "end-of-school": "JJ",
    "end-of-season": "JJ",
    "end-of-the-quarter": "JJ",
    "end-of-the-season": "JJ",
    "end-of-the-year": "JJ",
    "end-of-year": "JJ",
    "end-product": "NN",
    "end-run": "NN",
    "end-tailed": "VBN",
    "end-to-end": "JJ",
    "end-use": "JJ",
    "end-user": "NN",
    "end-zone": "NN",
    "endanger": "VB|VBP",
    "endangered": "VBN|VBD|JJ",
    "endangered-species": "NNS",
    "endangering": "VBG",
    "endangerment": "NN",
    "endeared": "VBD|VBN",
    "endearing": "JJ",
    "endearment": "NN",
    "endearments": "NNS",
    "endeavor": "VB|NN",
    "endeavored": "VBD|VBN",
    "endeavoring": "VBG",
    "endeavors": "NNS|VBZ",
    "endeavour": "NN|VB",
    "endeavours": "NNS|VBZ",
    "ended": "VBD|JJ|VBN",
    "ended...": ":",
    "endemic": "JJ",
    "endevor": "NN",
    "ending": "VBG|JJ|NN|VBN",
    "endings": "NNS",
    "endless": "JJ",
    "endlessly": "RB",
    "endocrine": "JJ",
    "endocrinologists": "NNS",
    "endogamous": "JJ",
    "endogamy": "NN",
    "endogenous": "JJ",
    "endometriosis": "NN",
    "endorse": "VB|VBP",
    "endorsed": "VBN|VBD",
    "endorsement": "NN",
    "endorsements": "NNS",
    "endorsers": "NNS",
    "endorses": "VBZ",
    "endorsing": "VBG|NN",
    "endosperm": "NN",
    "endothelial": "JJ",
    "endothermic": "JJ",
    "endotoxin": "NN",
    "endotoxins": "NNS",
    "endow": "VB|VBP",
    "endowed": "VBN|VBD|JJ",
    "endowment": "NN",
    "endowments": "NNS",
    "endows": "VBZ",
    "endpoints": "NNS",
    "endrocrine": "JJ",
    "ends": "VBZ|NNS",
    "endurable": "JJ",
    "endurance": "NN",
    "endure": "VB|VBP",
    "endured": "VBD|VBN",
    "endures": "VBZ",
    "enduring": "VBG|JJ",
    "enduringly": "RB",
    "enemy": "NN",
    "enemy-Jew": "NN",
    "energetic": "JJ",
    "energetically": "RB",
    "energies": "NNS",
    "energize": "VB",
    "energized": "VBN|VBD",
    "energizes": "VBZ",
    "energizing": "VBG",
    "energy": "NN",
    "energy-adjusted": "JJ",
    "energy-cogeneration": "NN",
    "energy-efficient": "JJ",
    "energy-hungry": "JJ",
    "energy-industry": "NN",
    "energy-producing": "JJ",
    "energy-services": "JJ|NNS",
    "enervating": "VBG",
    "enervation": "NN",
    "enfant": "FW",
    "enflamed": "VBN",
    "enforce": "VB|VBP",
    "enforceable": "JJ",
    "enforced": "VBN|VBD|JJ",
    "enforcement": "NN",
    "enforcer": "NN",
    "enforcers": "NNS",
    "enforces": "VBZ",
    "enforcing": "VBG",
    "engage": "VB|VBP",
    "engaged": "VBN|JJ|VBD",
    "engagement": "NN",
    "engagements": "NNS",
    "engaging": "VBG|JJ",
    "engagingly": "RB",
    "engender": "VB",
    "engendered": "VBN|VBD",
    "engenders": "VBZ",
    "engine": "NN",
    "engine-assembly": "NN",
    "engine-casting": "NN",
    "engine...": ":",
    "engineer": "NN|VB",
    "engineered": "VBN|VBD|JJ",
    "engineering": "NN|VBG",
    "engineering-design": "JJ",
    "engineering-management": "JJ|NN",
    "engineering-services": "NNS",
    "engineers": "NNS|VBZ",
    "engineless": "JJ",
    "engines": "NNS",
    "engorged": "VBN|VBD",
    "engorgement": "NN",
    "engrave": "VB",
    "engraved": "VBN|JJ|VBD",
    "engraver": "NN",
    "engraves": "VBZ",
    "engraving": "NN|VBG",
    "engravings": "NNS",
    "engrossed": "JJ|VBN|VBD",
    "engrossing": "JJ|VBG",
    "engulf": "VB",
    "engulfed": "VBN|VBD",
    "engulfing": "VBG|JJ",
    "engulfs": "VBZ",
    "enhance": "VB|VBP",
    "enhanced": "VBN|VBD|JJ",
    "enhancement": "NN",
    "enhancements": "NNS",
    "enhances": "VBZ",
    "enhancing": "VBG",
    "enigma": "NN",
    "enigmatic": "JJ",
    "enjoin": "VB",
    "enjoinder": "NN",
    "enjoined": "VBN|VBD",
    "enjoining": "VBG",
    "enjoy": "VB|VBP",
    "enjoyable": "JJ",
    "enjoyed": "VBN|VBD",
    "enjoying": "VBG",
    "enjoyment": "NN",
    "enjoys": "VBZ",
    "enlargd": "VBN",
    "enlarge": "VB",
    "enlarged": "JJ|VBN|VBD",
    "enlargement": "NN",
    "enlargements": "NNS",
    "enlargers": "NNS",
    "enlarges": "VBZ",
    "enlarging": "VBG|NN",
    "enlighten": "VB",
    "enlightened": "VBN|JJ|VBD",
    "enlightening": "VBG|JJ",
    "enlightenment": "NN",
    "enlist": "VB",
    "enlisted": "VBD|JJ|VBN",
    "enlisting": "VBG",
    "enlistment": "NN",
    "enlists": "VBZ",
    "enliven": "VBP|VB",
    "enlivened": "VBN|JJ",
    "enlivening": "VBG",
    "enmeshed": "VBN|VBD",
    "enmities": "NNS",
    "enmity": "NN",
    "ennui": "NN",
    "ennumerated": "VBD",
    "enny": "JJ",
    "enormity": "NN",
    "enormous": "JJ",
    "enormously": "RB",
    "enough": "RB|JJ|NN",
    "enoxacin": "NN",
    "enquetes": "FW",
    "enquired": "VBD|VBN",
    "enrage": "NN",
    "enraged": "VBD|JJ|VBN",
    "enraptured": "VBD|VBN",
    "enrich": "VBP|VB",
    "enriched": "VBN|VBD",
    "enriches": "VBZ",
    "enriching": "VBG",
    "enrichment": "NN",
    "enroll": "VB|VBP",
    "enrolled": "VBD|VBN|JJ",
    "enrollees": "NNS",
    "enrolling": "NN|VBG",
    "enrollment": "NN",
    "enrollments": "NNS",
    "enroute": "RB",
    "ensconced": "VBN|VBD|JJ",
    "ensemble": "NN",
    "ensembles": "NNS",
    "enshrined": "VBN|VBD",
    "enshrouding": "VBG",
    "enshrouds": "VBZ",
    "enslave": "VBP",
    "enslaved": "VBN",
    "enslavement": "NN",
    "enslaving": "NN",
    "ensnare": "VB",
    "ensnared": "VBN|VBD",
    "ensnarled": "VBN|VBD",
    "ensue": "VB|VBP",
    "ensued": "VBD|VBN",
    "ensues": "VBZ",
    "ensuing": "VBG",
    "ensure": "VB|VBP",
    "ensured": "VBD|VBN",
    "ensures": "VBZ",
    "ensuring": "VBG",
    "entail": "VB|VBP",
    "entailed": "VBN|VBD",
    "entailing": "VBG",
    "entails": "VBZ",
    "entangled": "JJ|VBD|VBN",
    "entanglement": "NN",
    "entanglements": "NNS",
    "enter": "VB|VBN|VBP",
    "entered": "VBD|VBN",
    "entering": "VBG",
    "enterotoxemia": "NN",
    "enterprise": "NN",
    "enterprises": "NNS",
    "enterprising": "JJ",
    "enterprisingly": "RB",
    "enters": "VBZ",
    "entertain": "VB",
    "entertained": "VBN|VBD",
    "entertainer": "NN",
    "entertainers": "NNS",
    "entertaining": "JJ|VBG|NN",
    "entertainment": "NN",
    "entertainment-industry": "NN",
    "entertainment-law": "NN",
    "entertainments": "NNS",
    "entertains": "VBZ",
    "enterteyned": "VBD",
    "enthalpy": "NN",
    "enthralled": "JJ|VBN|VBD",
    "enthralling": "JJ|VBG",
    "enthrones": "VBZ",
    "enthuses": "VBZ",
    "enthusiam": "NN",
    "enthusiasm": "NN",
    "enthusiasms": "NNS",
    "enthusiast": "NN",
    "enthusiastic": "JJ",
    "enthusiastically": "RB",
    "enthusiasts": "NNS",
    "entice": "VB|VBP",
    "enticed": "VBD|VBN",
    "enticements": "NNS",
    "enticing": "VBG|JJ",
    "enticingly": "RB",
    "entire": "JJ|NN",
    "entirely": "RB",
    "entirety": "NN",
    "entities": "NNS",
    "entitle": "VB|VBP",
    "entitled": "VBN|VBD",
    "entitlement": "NN|JJ",
    "entitlements": "NNS",
    "entitles": "VBZ",
    "entitling": "VBG",
    "entity": "NN",
    "entombed": "VBN|VBD",
    "entomologist": "NN",
    "entourage": "NN",
    "entractes": "NNS",
    "entrance": "NN|VB",
    "entranced": "VBN|VBD",
    "entrances": "NNS|VBZ",
    "entranceway": "NN",
    "entrant": "NN",
    "entrants": "NNS",
    "entrapment": "NN",
    "entre": "NN",
    "entreat": "VB",
    "entreated": "VBD|VBN",
    "entreaties": "NNS",
    "entree": "FW|NN",
    "entrench": "VB",
    "entrenched": "VBN|VBD|JJ",
    "entrenchment": "NN",
    "entrepreneur": "NN",
    "entrepreneurial": "JJ",
    "entrepreneurism": "NN",
    "entrepreneurs": "NNS",
    "entrepreneurship": "NN",
    "entries": "NNS",
    "entropy": "NN",
    "entropy-increasing": "JJ",
    "entrust": "VBP|VB",
    "entrusted": "VBN|VBD",
    "entrusting": "VBG",
    "entry": "NN",
    "entry-level": "JJ",
    "entry-limit": "JJ",
    "entry-limited": "JJ",
    "entry-limiting": "JJ",
    "entry-price": "JJ",
    "entwined": "VBN|JJ|VBD",
    "enumerated": "VBN|JJ|VBD",
    "enumeration": "NN",
    "enunciate": "VB",
    "enunciated": "VBD|VBN",
    "enunciating": "VBG",
    "enunciation": "NN",
    "envelope": "NN",
    "enveloped": "VBN",
    "envelopes": "NNS",
    "enveloping": "VBG",
    "envenomed": "VBN",
    "enviable": "JJ",
    "enviably": "RB",
    "envied": "VBD|VBN",
    "envious": "JJ",
    "enviously": "RB",
    "enviroment": "NN",
    "environing": "VBG",
    "environment": "NN",
    "environmental": "JJ",
    "environmental-impact": "JJ",
    "environmental-services": "NNS",
    "environmentalism": "NN",
    "environmentalist": "NN|JJ",
    "environmentalist-actor": "NN",
    "environmentalist-developer": "JJ",
    "environmentalists": "NNS",
    "environmentally": "RB",
    "environments": "NNS",
    "environs": "NNS|VBZ",
    "envisage": "VB",
    "envisaged": "VBD|VBN",
    "envisages": "VBZ",
    "envision": "VB|VBP",
    "envisioned": "VBN|VBD",
    "envisioning": "VBG",
    "envisions": "VBZ",
    "envoy": "NN",
    "envoys": "NNS",
    "envy": "NN|VBP|VB",
    "envy-quotient": "NN",
    "enzymatic": "JJ",
    "enzyme": "NN",
    "enzyme-like": "JJ",
    "enzymes": "NNS",
    "eons": "NNS",
    "eosinophilic": "JJ",
    "epaulets": "NNS",
    "ephemeral": "JJ",
    "epic": "NN|JJ",
    "epicenter": "NN",
    "epics": "NNS",
    "epicure": "NN",
    "epicurean": "NN",
    "epicycle": "NN",
    "epicycles": "NNS",
    "epicyclical": "JJ",
    "epicyclically": "RB",
    "epidemic": "NN|JJ",
    "epidemics": "NNS",
    "epidemiologic": "JJ",
    "epidemiological": "JJ",
    "epidemiologist": "NN",
    "epidemiologists": "NNS",
    "epidermis": "NN",
    "epigenetic": "JJ",
    "epigrammatic": "JJ",
    "epigrams": "NNS",
    "epigraph": "NN",
    "epilepsy": "NN",
    "epileptic": "JJ",
    "epileptics": "NNS",
    "epilogue": "NN",
    "epiphany": "NN",
    "epiphyseal-diaphyseal": "JJ",
    "epiphysis": "NN",
    "episode": "NN",
    "episodes": "NNS",
    "episodic": "JJ",
    "epistemology": "NN",
    "epistolatory": "JJ",
    "epitaph": "NN",
    "epithet": "NN",
    "epithets": "NNS",
    "epitome": "NN",
    "epitomize": "VBP|VB",
    "epitomized": "VBN|VBD",
    "epitomizes": "VBZ",
    "epoch": "NN",
    "epoch-making": "JJ",
    "epochal": "JJ",
    "epoxy": "JJ",
    "epsiode": "NN",
    "epsom": "NN",
    "eqn.": "NN",
    "eqns.": "NN",
    "equal": "JJ|NN|VB|VBP",
    "equal-opportunity": "NN",
    "equaled": "VBN|VBD",
    "equaling": "VBG",
    "equality": "NN",
    "equalization": "NN",
    "equalize": "VB",
    "equalizer": "NN",
    "equalizers": "NNS",
    "equalizing": "NN|VBG",
    "equalled": "VBN",
    "equally": "RB",
    "equals": "VBZ|NNS",
    "equanimity": "NN",
    "equate": "VB|VBP",
    "equated": "VBN|VBD",
    "equates": "VBZ",
    "equating": "VBG",
    "equation": "NN",
    "equations": "NNS",
    "equator": "NN",
    "equatorial": "JJ",
    "equestrian": "JJ",
    "equestrians": "NNS",
    "equidistant": "JJ",
    "equidistantly": "RB",
    "equilibrated": "VBN|VBD",
    "equilibrium": "NN",
    "equilibriums": "NNS",
    "equiment": "NN",
    "equine": "NN",
    "equines": "NNS",
    "equip": "VB|VBP",
    "equipment": "NN",
    "equipment-leasing": "JJ",
    "equipment-packed": "JJ",
    "equipmwent-leasing": "NN",
    "equipotent": "JJ",
    "equipped": "VBN|JJ|VBD",
    "equipping": "VBG|NN",
    "equips": "VBZ",
    "equitable": "JJ",
    "equitably": "RB",
    "equities": "NNS",
    "equity": "NN",
    "equity-like": "JJ",
    "equity-purchase": "JJ|NN",
    "equity-to-asset": "NN",
    "equityholders": "NNS",
    "equivalence": "NN",
    "equivalent": "NN|JJ",
    "equivalent-choice": "JJ",
    "equivalents": "NNS",
    "equivocal": "JJ",
    "equivocating": "NN",
    "er": "UH",
    "era": "NN",
    "eradicate": "VB",
    "eradicated": "VBN|VBD|JJ",
    "eradicating": "VBG",
    "eradication": "NN",
    "eras": "NNS",
    "erasable": "JJ",
    "erase": "VB",
    "erased": "VBN|VBD",
    "eraser": "NN",
    "eraser-fitted": "JJ",
    "erasers": "NNS",
    "erases": "VBZ",
    "erasing": "VBG",
    "erasures": "NNS",
    "erawhere": "NN",
    "ere": "IN",
    "erect": "VB|VBP|JJ",
    "erected": "VBD|VBN",
    "erecting": "VBG",
    "erection": "NN",
    "erects": "VBZ",
    "erembal": "NNP",
    "ergonomics": "NNS",
    "ergotropic": "JJ",
    "erned": "VBD",
    "erode": "VB|VBP",
    "eroded": "VBN|JJ|VBD",
    "erodes": "VBZ",
    "eroding": "VBG",
    "eromonga": "FW",
    "erosion": "NN",
    "erotic": "JJ",
    "erotica": "NNS",
    "erotically": "RB",
    "err": "VBP|VB",
    "errand": "NN",
    "errant": "JJ",
    "errata": "NNS",
    "erratic": "JJ",
    "erratically": "RB",
    "erred": "VBN|VBD",
    "erroneous": "JJ",
    "erroneously": "RB",
    "error": "NN",
    "error-free": "JJ",
    "error-laden": "JJ",
    "error-prone": "JJ",
    "errs": "VBZ",
    "ersatz": "JJ",
    "erstwhile": "JJ",
    "erudite": "JJ",
    "erudition": "NN",
    "erupt": "VB|VBP",
    "erupted": "VBD|VBN",
    "erupting": "VBG",
    "eruption": "NN",
    "erupts": "VBZ",
    "erysipelas": "NN",
    "erythroid": "NN",
    "erythropoietin": "NN",
    "escalate": "VB|VBP",
    "escalated": "VBN|VBD",
    "escalating": "VBG",
    "escalation": "NN",
    "escalators": "NNS",
    "escapade": "NN",
    "escapades": "NNS",
    "escape": "VB|NN|VBP",
    "escaped": "VBD|VBN",
    "escapees": "NNS",
    "escaping": "VBG",
    "escapist": "JJ",
    "escheat": "NN",
    "eschew": "VB",
    "eschewed": "VBN|VBD",
    "eschewing": "VBG",
    "eschews": "VBZ",
    "escort": "NN|VB",
    "escorted": "VBD|VBN",
    "escorting": "VBG",
    "escorts": "VBZ|NNS",
    "escritoire": "NN",
    "escrow": "NN|JJ",
    "escrowed": "VBN",
    "escudo": "NN",
    "escutcheon": "NN",
    "escutcheons": "NNS",
    "esophagus": "NN",
    "esoteric": "JJ",
    "esoterica": "NNS",
    "especially": "RB",
    "espionage": "NN",
    "esplanade": "NN",
    "espousal": "NN",
    "espouse": "VBP|VB",
    "espoused": "VBD|VBN",
    "espouses": "VBZ",
    "espousing": "VBG",
    "espresso": "NN",
    "esprit": "FW",
    "essay": "NN|VB",
    "essayed": "VBD|VBN",
    "essayish": "JJ",
    "essayist": "NN",
    "essayists": "NNS",
    "essays": "NNS|VBZ",
    "esse": "FW|NN",
    "essence": "NN",
    "essences": "NNS",
    "essential": "JJ|NN",
    "essential...": ":",
    "essentially": "RB",
    "essentials": "NNS",
    "est": "FW",
    "establish": "VB|VBP",
    "established": "VBN|JJ|VBD",
    "establishes": "VBZ",
    "establishing": "VBG",
    "establishment": "NN",
    "establishments": "NNS",
    "establshed": "VBN",
    "estancia": "NN",
    "estancias": "NNS",
    "estanciero": "NN",
    "estancieros": "NNS",
    "estate": "NN",
    "estate-freeze": "JJ",
    "estate-tax": "JJ|NN",
    "estate...": ":",
    "estates": "NNS",
    "esteem": "NN|VB",
    "esteemed": "VBD|VBN",
    "esterases": "NNS",
    "esters": "NNS",
    "esthetic": "JJ",
    "esthetics": "NNS",
    "estimable": "JJ",
    "estimate": "NN|VB|VBP",
    "estimated": "VBN|JJ|VBD",
    "estimates": "NNS|VBZ",
    "estimating": "VBG|NN",
    "estimation": "NN",
    "estimators": "NNS",
    "estragole": "NN",
    "estranged": "VBN|VBD|JJ",
    "estrangement": "NN",
    "estranging": "JJ|VBG",
    "estrogen": "NN",
    "estrogen-replacement": "NN",
    "estuarian": "NN",
    "estuaries": "NNS",
    "estuary": "NN",
    "et": "CC|FW|VBD|NNP",
    "etc": "FW|NN",
    "etc.": "FW|NN",
    "etcetera": "NN|FW",
    "etch": "VB",
    "etched": "VBD|VBN",
    "etching": "NN|VBG",
    "eternal": "JJ",
    "eternally": "RB",
    "eternity": "NN",
    "etes": "FW",
    "ethane": "NN",
    "ethanol": "NN",
    "ethanol-based": "JJ",
    "ethanol-powered": "JJ",
    "ether": "NN|CC",
    "ethereal": "JJ",
    "ethers": "NNS",
    "ethic": "NN",
    "ethical": "JJ",
    "ethically": "RB",
    "ethicist": "NN",
    "ethicists": "NNS",
    "ethics": "NNS",
    "ethics-related": "JJ",
    "ethnic": "JJ",
    "ethnically": "RB",
    "ethnicity": "NN",
    "ethnography": "NN",
    "ethos": "NN",
    "ethyl": "NN",
    "ethylene": "NN",
    "etiquette": "NN",
    "etymological": "JJ",
    "etymology": "NN",
    "eucalyptus": "NN",
    "eugenic": "JJ",
    "eulogize": "VB",
    "eulogized": "VBD|VBN",
    "eulogizers": "NNS",
    "eulogy": "NN",
    "euphemism": "NN",
    "euphemisms": "NNS",
    "euphoria": "NN",
    "euphoric": "JJ",
    "eutectic": "NN",
    "eva": "NN",
    "evacuant": "NN",
    "evacuate": "VB",
    "evacuated": "VBN|VBD",
    "evacuation": "NN",
    "evade": "VB",
    "evaded": "VBN|VBD",
    "evader": "NN",
    "evaders": "NNS",
    "evades": "VBZ",
    "evading": "VBG",
    "evaluate": "VB|VBP",
    "evaluated": "VBN|VBD",
    "evaluates": "VBZ",
    "evaluating": "VBG",
    "evaluation": "NN",
    "evaluations": "NNS",
    "evaluative": "JJ",
    "evangelical": "JJ",
    "evangelicals": "NNS",
    "evangelism": "NN",
    "evangelist": "NN",
    "evangelist-industrialist": "NN",
    "evangelists": "NNS",
    "evaporate": "VB|VBP",
    "evaporated": "VBD|VBN|JJ",
    "evaporates": "VBZ",
    "evaporation": "NN",
    "evaporative": "JJ",
    "evasion": "NN",
    "evasions": "NNS",
    "evasive": "JJ",
    "eve": "NN",
    "even": "RB|JJ|VB",
    "even-handed": "JJ",
    "even-larger": "JJ",
    "even-tempered": "JJ",
    "evened": "VBN",
    "evenhanded": "JJ",
    "evening": "NN|VBG",
    "evenings": "NNS",
    "evenly": "RB",
    "evens": "VBZ",
    "evensong": "NN",
    "event": "NN",
    "event-driven": "JJ",
    "event-risk": "JJ|NN",
    "eventful": "JJ",
    "eventfully": "RB",
    "events": "NNS",
    "eventshah-leh": "RB",
    "eventshahleh": "RB",
    "eventual": "JJ",
    "eventualities": "NNS",
    "eventuality": "NN",
    "eventually": "RB",
    "eventuate": "VBP",
    "evenutally": "RB",
    "ever": "RB|RBR|RP",
    "ever-anxious": "JJ",
    "ever-changing": "JJ",
    "ever-dying": "JJ",
    "ever-existent": "JJ",
    "ever-expanding": "JJ",
    "ever-faster": "JJ",
    "ever-greater": "JJ",
    "ever-growing": "JJ",
    "ever-higher": "JJ",
    "ever-increasing": "JJ",
    "ever-lovin": "JJ",
    "ever-more": "JJ",
    "ever-narrowing": "JJ",
    "ever-optimistic": "JJ",
    "ever-present": "JJ",
    "ever-quieter": "JJ",
    "ever-so-Oxonian": "JJ",
    "ever-successful": "JJ",
    "ever-swelling": "JJ",
    "ever-tightening": "JJ",
    "ever-vigilant": "JJ",
    "ever-worsening": "JJ",
    "evergreen": "NN|JJ",
    "evergreens": "NNS",
    "everlasting": "JJ|NN",
    "everlastingly": "RB",
    "evermounting": "VBG",
    "eversteadier": "JJ",
    "every": "DT",
    "every-day": "JJ",
    "everybody": "NN",
    "everyday": "JJ",
    "everyone": "NN",
    "everyone...": ":",
    "everything": "NN",
    "everywhere": "RB",
    "evict": "VB",
    "evicted": "VBN|VBD",
    "evicting": "VBG",
    "evidence": "NN|VBP|VB",
    "evidence...": ":",
    "evidenced": "VBN|VBD",
    "evidences": "NNS|VBZ",
    "evidencing": "VBG",
    "evident": "JJ",
    "evidential": "JJ",
    "evidently": "RB",
    "evil": "JJ|NN",
    "evil-but-cute": "JJ",
    "evil-doers": "NNS",
    "evil-doing": "NN",
    "evil-looking": "JJ",
    "evil-minded": "JJ",
    "evildoers": "NNS",
    "evils": "NNS",
    "evinced": "VBN|VBD",
    "eviscerate": "VB",
    "eviscerating": "VBG",
    "evocation": "NN",
    "evocations": "NNS",
    "evocative": "JJ",
    "evoke": "VBP|VB",
    "evoked": "VBN|VBD",
    "evokes": "VBZ",
    "evoking": "VBG",
    "evolution": "NN",
    "evolutionary": "JJ",
    "evolutionists": "NNS",
    "evolve": "VB|VBP",
    "evolved": "VBN|JJ|VBD",
    "evolves": "VBZ",
    "evolving": "VBG",
    "ex": "FW|JJ",
    "ex-Attorney": "NNP",
    "ex-Beecham": "JJ",
    "ex-Communist": "JJ|NN",
    "ex-Cubs": "NNS",
    "ex-FDA": "JJ",
    "ex-Gov": "NNP",
    "ex-House": "JJ",
    "ex-Justice": "NN",
    "ex-Marine": "NN",
    "ex-Mrs": "JJ|NP",
    "ex-National": "JJ",
    "ex-President": "NNP|JJ",
    "ex-Tory": "NN",
    "ex-Yankee": "NN",
    "ex-accountant": "NN",
    "ex-aides": "NNS",
    "ex-bandits": "NNS",
    "ex-brother-in-law": "NN",
    "ex-chairman": "NN",
    "ex-chief": "JJ|NN",
    "ex-convict": "NN",
    "ex-convicts": "NNS",
    "ex-dividend": "JJ|NN|RB",
    "ex-employee": "NN",
    "ex-employees": "NNS",
    "ex-employer": "NN",
    "ex-fighter": "NN",
    "ex-franchise": "NN",
    "ex-furniture": "JJ",
    "ex-gambler": "NN",
    "ex-housing": "JJ",
    "ex-hurler": "NN",
    "ex-husband": "NN",
    "ex-investment": "JJ",
    "ex-jazz": "JJ",
    "ex-lawyer": "NN",
    "ex-liberals": "NNS",
    "ex-manager": "NN",
    "ex-marine": "NN",
    "ex-mayor": "NN",
    "ex-member": "NN",
    "ex-musician": "NN",
    "ex-officers": "NNS",
    "ex-officio": "JJ|NN",
    "ex-partners": "NNS",
    "ex-player": "NN",
    "ex-president": "NN",
    "ex-presidents": "NNS",
    "ex-prison": "NN",
    "ex-prize": "JJ",
    "ex-reporters": "NNS",
    "ex-schoolteacher": "NN",
    "ex-singer": "NN",
    "ex-smokers": "NNS",
    "ex-truck": "JJ",
    "ex-trucking": "JJ",
    "ex-wife": "NN",
    "ex-wives": "NNS",
    "exacerbate": "VB|VBP",
    "exacerbated": "VBN|VBD",
    "exacerbates": "VBZ",
    "exacerbating": "VBG",
    "exacerbation": "NN",
    "exacerbations": "NNS",
    "exachanges": "NNS",
    "exact": "JJ|VB",
    "exacted": "VBD|VBN",
    "exacting": "JJ|VBG",
    "exactly": "RB|UH",
    "exacts": "VBZ",
    "exaggerate": "VB|VBP",
    "exaggerated": "JJ|VBN|VBD",
    "exaggerating": "VBG",
    "exaggeration": "NN",
    "exaggerations": "NNS",
    "exalt": "VBP|VB",
    "exaltation": "NN",
    "exaltations": "NNS",
    "exalted": "JJ|VBD|VBN",
    "exalting": "VBG",
    "exam": "NN",
    "examiantion": "NN",
    "examination": "NN",
    "examinations": "NNS",
    "examine": "VB|VBP",
    "examined": "VBD|VBN",
    "examiner": "NN",
    "examiners": "NNS",
    "examines": "VBZ",
    "examinin": "VBG",
    "examining": "VBG|NN",
    "example": "NN",
    "examples": "NNS",
    "exams": "NNS",
    "exasperate": "VB",
    "exasperated": "JJ|VBD|VBN",
    "exasperating": "VBG|JJ",
    "exasperatingly": "RB",
    "exasperation": "NN",
    "excavate": "VB",
    "excavated": "VBN|VBD",
    "excavating": "VBG",
    "excavation": "NN",
    "excavations": "NNS",
    "excavator": "NN",
    "excavators": "NNS",
    "exceed": "VB|VBP",
    "exceeded": "VBD|VBN",
    "exceeding": "VBG|JJ",
    "exceedingly": "RB",
    "exceeds": "VBZ",
    "excel": "VBP|VB",
    "excelled": "VBD|VBN",
    "excellence": "NN|FW",
    "excellences": "NNS",
    "excellent": "JJ",
    "excellently": "RB",
    "excelling": "VBG",
    "excels": "VBZ",
    "excelsin": "NN",
    "excelsior": "NN",
    "excepting": "VBG",
    "exception": "NN",
    "exceptional": "JJ",
    "exceptionally": "RB",
    "exceptions": "NNS",
    "excerpt": "NN|VB",
    "excerpts": "NNS|VBZ",
    "excess": "JJ|NN",
    "excesses": "NNS",
    "excessive": "JJ",
    "excessively": "RB",
    "exchange": "NN|VB|VBP",
    "exchange-listed": "JJ",
    "exchange-rate": "NN|JJ",
    "exchangeable": "JJ",
    "exchanged": "VBD|VBN",
    "exchanger": "NN",
    "exchangers": "NNS",
    "exchanges": "NNS|VBZ",
    "exchanging": "VBG",
    "exchequer": "NN",
    "excise": "JJ|NN|VB",
    "excised": "VBD|VBN",
    "excision": "NN",
    "excitability": "NN",
    "excitatory": "JJ",
    "excite": "VB",
    "excited": "VBN|JJ|VBD",
    "excitedly": "RB",
    "excitement": "NN",
    "excitements": "NNS",
    "exciter": "NN",
    "excites": "VBZ",
    "exciting": "JJ|VBG",
    "exclaim": "VB",
    "exclaimed": "VBD|VBN",
    "exclaiming": "VBG",
    "exclaims": "VBZ",
    "exclamation": "NN",
    "exclamations": "NNS",
    "exclude": "VB|VBP",
    "excluded": "VBN|VBD",
    "excludes": "VBZ",
    "excluding": "VBG",
    "exclusion": "NN",
    "exclusionary": "JJ",
    "exclusions": "NNS",
    "exclusive": "JJ|NN",
    "exclusiveness": "NN",
    "exclusivity": "NN",
    "excommunicated": "VBN|VBD",
    "excorciate": "VB|VBD",
    "excoriate": "VB",
    "excoriated": "VBN|VBD",
    "excoriating": "VBG",
    "excrement": "NN",
    "excrete": "VB",
    "excreted": "VBN|VBD",
    "excretion": "NN",
    "excretory": "JJ",
    "excruciating": "JJ|VBG",
    "excrutiatingly": "RB",
    "excursion": "NN",
    "excursions": "NNS",
    "excursus": "NN",
    "excusable": "JJ",
    "excuse": "NN|VBP|VB",
    "excused": "VBN|VBD",
    "excuses": "NNS|VBZ",
    "excutives": "NNS",
    "exec": "NN",
    "execs": "NNS",
    "execuitive": "NN",
    "execute": "VB|VBP",
    "executed": "VBN|JJ|VBD",
    "executes": "VBZ",
    "executing": "VBG",
    "execution": "NN",
    "executioner": "NN",
    "executions": "NNS",
    "executive": "NN|JJ",
    "executive-branch": "JJ|NN",
    "executive-legislative": "JJ",
    "executive-level": "JJ",
    "executive-model": "JJ",
    "executive-office": "NN",
    "executive-only": "JJ",
    "executive-type": "NN",
    "executives": "NNS",
    "executor": "NN",
    "executors": "NNS",
    "exegesis": "NN",
    "exemplar": "NN",
    "exemplary": "JJ",
    "exemplified": "VBN|VBD",
    "exemplifies": "VBZ",
    "exemplify": "VBP|VB",
    "exempt": "JJ|VB",
    "exempted": "VBN|VBD",
    "exempting": "VBG",
    "exemption": "NN",
    "exemptions": "NNS",
    "exempts": "VBZ",
    "exercisable": "JJ",
    "exercise": "NN|VBP|VB",
    "exercised": "VBN|VBD|JJ",
    "exercises": "VBZ|NNS",
    "exercising": "VBG|NN",
    "exerpts": "NNS",
    "exert": "VB|VBP",
    "exerted": "VBN|VBD",
    "exerting": "VBG",
    "exertion": "NN",
    "exertions": "NNS",
    "exerts": "VBZ",
    "exeuctive": "NN",
    "exhaled": "VBD|VBN",
    "exhaling": "VBG",
    "exhanges": "NNS",
    "exhaust": "NN|VB|VBP",
    "exhausted": "VBN|VBD",
    "exhaustible": "JJ",
    "exhausting": "VBG|JJ",
    "exhaustingly": "RB",
    "exhaustion": "NN",
    "exhaustive": "JJ",
    "exhaustively": "RB",
    "exhausts": "NNS|VBZ",
    "exhibit": "NN|VBP|VB",
    "exhibited": "VBN|VBD",
    "exhibiting": "VBG",
    "exhibition": "NN",
    "exhibitions": "NNS",
    "exhibitors": "NNS",
    "exhibits": "VBZ|NNS",
    "exhilarated": "VBN|VBD",
    "exhilarating": "JJ|VBG",
    "exhilaration": "NN",
    "exhort": "VB",
    "exhortations": "NNS",
    "exhorting": "VBG",
    "exhorts": "VBZ",
    "exhumations": "NNS",
    "exhume": "VB",
    "exhusband": "NN",
    "exigencies": "NNS",
    "exile": "NN|VB",
    "exile/trade": "NN",
    "exiled": "VBD|VBN|JJ",
    "exiles": "NNS|VBZ",
    "exiling": "VBG",
    "exist": "VB|VBP|NNP",
    "existance": "NN",
    "existed": "VBD|VBN",
    "existence": "NN",
    "existent": "JJ|NN",
    "existential": "JJ",
    "existentialist": "NN",
    "existing": "VBG|JJ",
    "exists": "VBZ",
    "exit": "NN|VB",
    "exit-load": "JJ",
    "exit-poll": "JJ|NN",
    "exit-visa": "JJ",
    "exited": "VBD|VBN",
    "exiting": "VBG",
    "exits": "NNS|VBZ",
    "exluding": "VBG",
    "exodus": "NN",
    "exogamous": "JJ",
    "exogamy": "NN",
    "exonerate": "VB",
    "exonerated": "VBD|VBN|JJ",
    "exonerating": "VBG",
    "exoneration": "NN",
    "exorbitant": "JJ",
    "exorcise": "VB",
    "exorcism": "NN",
    "exorcisms": "NNS",
    "exorcist": "NN",
    "exothermic": "JJ",
    "exotic": "JJ",
    "exotic-Hawaiian-locale": "JJ",
    "expand": "VB|VBP",
    "expandable": "JJ",
    "expanded": "VBN|VBD|JJ",
    "expanding": "VBG|JJ",
    "expanding-profit": "JJ",
    "expands": "VBZ",
    "expanse": "NN|JJ",
    "expansion": "NN|JJ",
    "expansion-contraction": "NN",
    "expansion-minded": "JJ",
    "expansionary": "JJ",
    "expansionism": "NN",
    "expansionist": "JJ",
    "expansionists": "NNS",
    "expansions": "NNS",
    "expansive": "JJ",
    "expansively": "RB",
    "expansiveness": "NN",
    "expatriate": "JJ|VB",
    "expatriates": "NNS|VBZ",
    "expecially": "RB",
    "expect": "VBP|IN|VB",
    "expectable": "JJ",
    "expectancies": "NNS",
    "expectancy": "NN",
    "expectant": "JJ",
    "expectantly": "RB",
    "expectation": "NN",
    "expectations": "NNS",
    "expected": "VBN|VBD|JJ",
    "expectedly": "RB",
    "expecting": "VBG",
    "expects": "VBZ",
    "expediency": "NN",
    "expedient": "JJ|NN",
    "expediently": "RB",
    "expedients": "NNS",
    "expedite": "VB",
    "expedited": "VBN|VBD|JJ",
    "expediting": "VBG",
    "expedition": "NN",
    "expeditions": "NNS",
    "expeditious": "JJ",
    "expeditiously": "RB",
    "expel": "VB",
    "expelled": "VBN|VBD",
    "expelling": "VBG",
    "expend": "VB|VBP",
    "expendable": "JJ",
    "expended": "VBN|VBD",
    "expenditure": "NN",
    "expenditures": "NNS|VBZ",
    "expends": "VBZ",
    "expense": "NN",
    "expense-account": "NN",
    "expense-paid": "JJ",
    "expense-reducing": "JJ",
    "expenses": "NNS",
    "expensive": "JJ|RB",
    "expensive-to-produce": "JJ",
    "experience": "NN|VBP|VB",
    "experience-oriented": "JJ",
    "experienced": "VBN|JJ|VBD",
    "experiences": "NNS|VBZ",
    "experiencing": "VBG",
    "experiential": "JJ",
    "experientially": "RB",
    "experiment": "NN|VBP",
    "experimental": "JJ",
    "experimental-theater": "JJ",
    "experimentalism": "NN",
    "experimentally": "RB",
    "experimentation": "NN",
    "experimentations": "NNS",
    "experimented": "VBN|VBD",
    "experimenter": "NN",
    "experimenters": "NNS",
    "experimenting": "VBG",
    "experiments": "NNS",
    "expert": "NN|JJ",
    "expertise": "NN",
    "expertly": "RB",
    "experts": "NNS",
    "expiating": "VBG",
    "expiation": "NN",
    "expiration": "NN",
    "expiration-related": "JJ",
    "expirations": "NNS",
    "expire": "VB|VBP",
    "expired": "VBD|VBN|JJ",
    "expires": "VBZ",
    "expiring": "VBG",
    "explain": "VB|VBP",
    "explained": "VBD|VBN",
    "explaining": "VBG|NN",
    "explains": "VBZ",
    "explains.": "VBZ",
    "explanation": "NN",
    "explanations": "NNS",
    "explanatory": "JJ",
    "expletive": "NN",
    "explicable": "JJ",
    "explicit": "JJ",
    "explicit.": "JJ",
    "explicitly": "RB",
    "explicitness": "NN",
    "explicity": "NN",
    "explictly": "RB",
    "explode": "VB|VBP",
    "exploded": "VBD|VBN",
    "explodes": "VBZ",
    "exploding": "VBG",
    "exploding-wire": "JJ",
    "exploit": "VB|NN|VBP",
    "exploitation": "NN",
    "exploitative": "JJ",
    "exploited": "VBN|VBD",
    "exploiter": "NN",
    "exploiters": "NNS",
    "exploiting": "VBG",
    "exploration": "NN",
    "exploratory": "JJ",
    "explore": "VB|VBP",
    "explored": "VBN|VBD",
    "explorer": "NN",
    "explorers": "NNS",
    "explores": "VBZ",
    "exploring": "VBG",
    "explosion": "NN",
    "explosions": "NNS",
    "explosive": "JJ|NN",
    "explosively": "RB",
    "explosives": "NNS",
    "explusion": "NN",
    "expo": "NN",
    "exponential": "JJ",
    "exponentially": "RB",
    "exponents": "NNS",
    "export": "NN|VBP|JJ",
    "export-applications": "NNS",
    "export-boosting": "JJ",
    "export-bound": "JJ",
    "export-control": "JJ|NN",
    "export-driven": "JJ",
    "export-license": "JJ|NN",
    "export-oriented": "JJ",
    "export-promotion": "JJ",
    "export-related": "JJ",
    "export-subsidy": "NN",
    "exported": "VBN|VBD",
    "exporter": "NN",
    "exporters": "NNS",
    "exporting": "VBG",
    "exports": "NNS|VBZ",
    "expose": "VB|NN|VBP",
    "exposed": "VBN|JJ|VBD",
    "exposes": "VBZ",
    "exposing": "VBG|JJ",
    "exposited": "VBN",
    "exposition": "NN",
    "expositions": "NNS",
    "expository": "JJ",
    "exposure": "NN",
    "exposure-time": "NN",
    "exposure...": ":",
    "exposures": "NNS",
    "expounded": "VBD|VBN",
    "expounding": "VBG",
    "express": "VB|VBP|JJ|NN",
    "express-delivery": "NN",
    "express...": ":",
    "expressed": "VBD|VBN|JJ",
    "expresses": "VBZ",
    "expressible": "JJ",
    "expressing": "VBG",
    "expression": "NN",
    "expressionism": "NN",
    "expressionist": "NN",
    "expressionistic": "JJ",
    "expressionists": "NNS",
    "expressionless": "JJ",
    "expressions": "NNS",
    "expressive": "JJ",
    "expressiveness": "NN",
    "expressivness": "NN",
    "expressly": "RB",
    "expressway": "NN",
    "expropriated": "JJ",
    "expulsion": "NN",
    "expunge": "VB",
    "expunged": "VBN|VBD",
    "expunging": "NN|VBG",
    "expurgation": "NN",
    "exquisite": "JJ",
    "exquisitely": "RB",
    "exquisiteness": "NN",
    "extant": "JJ",
    "extempore": "RB",
    "extemporize": "VB",
    "extend": "VB|VBP|VBZ",
    "extended": "VBN|VBD|JJ",
    "extended-body": "JJ",
    "extended-care": "JJ",
    "extended-payment": "NN",
    "extended-range": "JJ",
    "extended-wear": "JJ",
    "extendible": "JJ",
    "extendibles": "NNS",
    "extending": "VBG",
    "extends": "VBZ",
    "extension": "NN",
    "extensions": "NNS",
    "extensive": "JJ",
    "extensively": "RB",
    "extent": "NN",
    "extenuate": "VB",
    "extenuating": "VBG",
    "exterior": "JJ|NN",
    "exteriors": "NNS",
    "exterminate": "VB",
    "exterminated": "VBN|VBD",
    "exterminating": "VBG",
    "extermination": "NN",
    "exterminator": "NN",
    "extern": "NN",
    "external": "JJ",
    "external-trade": "JJ",
    "externalization": "NN",
    "externally": "RB",
    "extinct": "JJ",
    "extinction": "NN",
    "extinguish": "VB",
    "extinguished": "VBN|VBD",
    "extinguisher": "NN",
    "extinguishers": "NNS",
    "extinguishment": "NN",
    "extirpated": "VBN|VBD",
    "extirpating": "VBG",
    "extolled": "VBD",
    "extolling": "VBG",
    "extols": "VBZ",
    "extort": "VB",
    "extorted": "VBD|VBN",
    "extorting": "VBG",
    "extortion": "NN",
    "extortionate": "JJ",
    "extra": "JJ|NN|RB",
    "extra-caffeine": "JJ",
    "extra-curricular": "JJ",
    "extra-high": "JJ",
    "extra-literary": "JJ",
    "extra-musical": "JJ",
    "extra-nasty": "JJ",
    "extra-sensory": "JJ",
    "extra-thick": "JJ",
    "extract": "VB|NN|VBP",
    "extracted": "VBN|VBD",
    "extracting": "VBG",
    "extraction": "NN",
    "extractor": "NN",
    "extractors": "NNS",
    "extracts": "NNS|VBZ",
    "extracurricular": "JJ",
    "extradite": "VB",
    "extradited": "VBN|VBD",
    "extraditing": "VBG",
    "extradition": "NN",
    "extraditions": "NNS",
    "extralegal": "JJ",
    "extramarital": "JJ",
    "extramural": "JJ",
    "extraneous": "JJ",
    "extraneousness": "NN",
    "extraordinarily": "RB",
    "extraordinary": "JJ|NN",
    "extraordinary...": ":",
    "extrapolate": "VB",
    "extrapolated": "VBN|VBD",
    "extrapolates": "VBZ",
    "extrapolation": "NN",
    "extrapolations": "NNS",
    "extras": "NNS",
    "extraterrestrial": "JJ",
    "extraterrestrials": "NNS",
    "extraterritorial": "JJ",
    "extravagance": "NN",
    "extravagant": "JJ",
    "extravagantly": "RB",
    "extravaganza": "NN",
    "extravaganzas": "NNS",
    "extrema": "NNS",
    "extreme": "JJ|NN",
    "extremely": "RB",
    "extremes": "NNS",
    "extremis": "FW",
    "extremist": "NN|JJ",
    "extremists": "NNS",
    "extremities": "NNS",
    "extremity": "NN",
    "extricate": "VB",
    "extrovert": "NN",
    "extruded": "VBN|JJ",
    "extruder": "NN",
    "extruding": "VBG",
    "extrusion": "NN",
    "extrusions": "NNS",
    "exuberance": "NN",
    "exuberant": "JJ",
    "exuberantly": "RB",
    "exude": "VBP|VB",
    "exuded": "VBD|VBN",
    "exultantly": "RB",
    "exultation": "NN",
    "exulted": "VBD|VBN",
    "exults": "VBZ",
    "eyd": "VBN",
    "eye": "NN|VB",
    "eye-beamings": "NNS",
    "eye-blink": "NN",
    "eye-catching": "JJ",
    "eye-deceiving": "NN",
    "eye-filling": "JJ",
    "eye-gouging": "NN",
    "eye-machine": "NN",
    "eye-popping": "JJ",
    "eye-strain": "NN",
    "eye-to-eye": "JJ|RB",
    "eye-undeceiving": "NN",
    "eyeball": "NN|VB",
    "eyeballing": "VBG",
    "eyeballs": "NNS|VBZ",
    "eyebrow": "NN",
    "eyebrows": "NNS",
    "eyed": "VBD|VBN",
    "eyeful": "NN",
    "eyeglasses": "NNS",
    "eyeing": "VBG",
    "eyelashes": "NNS",
    "eyelets": "NNS",
    "eyelid": "NN",
    "eyelids": "NNS",
    "eyepiece": "NN",
    "eyes": "NNS|VBZ",
    "eyesight": "NN",
    "eyesore": "NN",
    "eyeteeth": "NNS",
    "eyewear": "JJ|NN",
    "eyewitness": "NN|JJ",
    "eyewitnesses": "NNS",
    "eying": "VBG",
    "f": "SYM|NN",
    "f-As": "IN|NNP|NNS",
    "f-Includes": "VBZ",
    "f-plane": "NN",
    "f.o.b": "JJ",
    "fAs": "NNP",
    "fable": "NN",
    "fabled": "JJ",
    "fables": "NNS",
    "fabric": "NN",
    "fabricate": "VB|VBP",
    "fabricated": "VBN|VBD|JJ",
    "fabricates": "VBZ",
    "fabricating": "VBG|NN",
    "fabrication": "NN",
    "fabrications": "NNS",
    "fabricator": "NN",
    "fabricators": "NNS",
    "fabrics": "NNS",
    "fabulations": "NNS",
    "fabulous": "JJ",
    "fabulously": "RB",
    "facade": "NN",
    "facaded": "VBN",
    "facades": "NNS",
    "face": "NN|VBP|JJ|RB|VB",
    "face-amount": "JJ|NN",
    "face-lifting": "NN|VBG",
    "face-off": "NN",
    "face-saving": "JJ|NN",
    "face-to-face": "JJ|RB",
    "face-to-wall": "RB",
    "faced": "VBN|VBD",
    "faceless": "JJ",
    "facelift": "NN",
    "facelifts": "NNS",
    "faces": "VBZ|NNS",
    "facet": "NN",
    "facet-plane": "NN",
    "facet-planes": "NNS",
    "facetious": "JJ",
    "facetiously": "RB",
    "facets": "NNS",
    "facial": "JJ",
    "facile": "JJ",
    "facilitate": "VB|VBP",
    "facilitated": "VBN|VBD",
    "facilitates": "VBZ",
    "facilitating": "VBG",
    "facilitators": "NNS",
    "facilites": "NNS",
    "facilities": "NNS",
    "facility": "NN",
    "facing": "VBG|JJ",
    "facings": "NNS",
    "faciunt": "FW",
    "facsimile": "JJ|NN|VB",
    "facsimiles": "NNS|VBZ",
    "facsiport": "NN",
    "fact": "NN",
    "fact-bound": "JJ",
    "fact-finder": "NN",
    "fact-finding": "JJ|NN",
    "faction": "NN",
    "factions": "NNS",
    "facto": "FW|JJ|NN",
    "factor": "NN|VB|VBP",
    "factored": "JJ|VBN|VBD",
    "factories": "NNS",
    "factoring": "NN|VBG",
    "factors": "NNS|VBZ",
    "factory": "NN|JJ",
    "factory-automation": "NN",
    "factory-jobs": "NNS",
    "factory-like": "JJ",
    "factory-modernization": "NN",
    "factory-outlet": "JJ",
    "facts": "NNS",
    "factual": "JJ",
    "factually": "RB",
    "faculties": "NNS",
    "faculty": "NN",
    "faculty-hiring": "JJ",
    "fad": "NN",
    "faddish": "JJ",
    "fade": "VB|VBP|NN",
    "fade-in": "JJ",
    "faded": "VBN|VBD|JJ",
    "fadeout": "NN",
    "fades": "NNS|VBZ",
    "fading": "JJ|VBG|NN",
    "fads": "NNS",
    "faery": "NN",
    "faier": "RB",
    "fail": "VB|VBP|NN",
    "fail-safe": "JJ",
    "failed": "VBD|VBN|JJ",
    "failing": "VBG|NN",
    "failings": "NNS",
    "fails": "VBZ|NNS",
    "failure": "NN",
    "failure-to-supervise": "JJ",
    "faim": "FW",
    "faint": "JJ|NN|VB",
    "fainted": "VBD|VBN",
    "fainter": "JJR",
    "faintest": "JJS",
    "fainting": "NN|VBG",
    "faintly": "RB",
    "fair": "JJ|NN|RB",
    "fair-looking": "JJ",
    "fair-market": "JJ",
    "fair-sized": "JJ",
    "fair-trade-related": "JJ",
    "fair-use": "JJ",
    "fair-weather": "JJ",
    "fairer": "JJR",
    "faires": "NNS",
    "fairest": "JJS",
    "fairgoers": "NNS",
    "fairies": "NNS",
    "fairing": "NN",
    "fairly": "RB",
    "fairness": "NN",
    "fairs": "NNS",
    "fairway": "NN",
    "fairways": "NNS",
    "fairy": "NN|JJ",
    "fairy-land": "NN",
    "fairy-tale": "NN",
    "fait": "NN",
    "faith": "NN",
    "faithful": "NN|JJ",
    "faithfully": "RB",
    "faiths": "NNS",
    "fajitas": "NNS",
    "fake": "JJ|NN|VBP|VB",
    "faked": "VBD|VBN",
    "faker": "NN",
    "faking": "VBG",
    "falcon": "NN",
    "falconers": "NNS",
    "falconry": "NN",
    "falcons": "NNS",
    "fall": "NN|VBP|VB",
    "fall-off": "NN",
    "fall-outs": "NNS",
    "fallacious": "JJ",
    "fallacy": "NN",
    "fallback": "NN|JJ",
    "fallen": "VBN|JJ",
    "fallible": "JJ",
    "falling": "VBG|JJ|NN",
    "falloff": "NN",
    "fallout": "NN",
    "fallow": "JJ",
    "falls": "VBZ|NNS",
    "false": "JJ|RB",
    "false-fronted": "JJ",
    "falsehood": "NN",
    "falsehoods": "NNS",
    "falsely": "RB",
    "falseness": "NN",
    "falsification": "NN",
    "falsified": "VBN|VBD",
    "falsify": "VB",
    "falsifying": "VBG",
    "falsity": "NN",
    "falter": "VBP|VB",
    "faltered": "VBD|VBN",
    "faltering": "VBG|NN|JJ",
    "falters": "VBZ",
    "fame": "NN|VB",
    "famed": "JJ|VBN|VBD",
    "fames": "NNS|VBZ",
    "familar": "JJ",
    "familarity": "NN",
    "familial": "JJ",
    "familiar": "JJ|NN",
    "familiarity": "NN",
    "familiarization": "NN",
    "familiarize": "VB",
    "familiarly": "RB",
    "familiarness": "NN",
    "families": "NNS",
    "familistical": "JJ",
    "famille": "FW",
    "family": "NN",
    "family-business": "NN",
    "family-centered": "JJ",
    "family-community": "NN",
    "family-entertainment": "JJ",
    "family-oriented": "JJ",
    "family-owned": "JJ",
    "family-planning": "JJ|NN",
    "family-run": "JJ",
    "family-welfare": "NN",
    "famine": "NN",
    "famine-relief": "NN",
    "famines": "NNS",
    "famous": "JJ|NNS",
    "famously": "RB",
    "fan": "NN|VBP|VB",
    "fanatic": "JJ|NN",
    "fanatical": "JJ",
    "fanatically": "RB",
    "fanaticism": "NN",
    "fanatics": "NNS",
    "fancied": "VBD|VBN",
    "fancier": "JJR",
    "fancies": "VBZ",
    "fanciest": "JJS",
    "fanciful": "JJ",
    "fancifully": "RB",
    "fancy": "JJ|NN|VB",
    "fancy-free": "JJ",
    "fancying": "VBG",
    "fanfare": "NN",
    "fangs": "NNS",
    "fanned": "VBD|VBN",
    "fanning": "VBG|NN",
    "fanny": "NN",
    "fans": "NNS|VBZ",
    "fantasia": "NN",
    "fantasies": "NNS|VBZ",
    "fantasist": "NN",
    "fantasize": "VBP|VB",
    "fantasized": "VBN|VBD",
    "fantastic": "JJ",
    "fantastically": "RB",
    "fantasy": "NN|VB",
    "fantods": "NNS",
    "far": "RB|IN|JJ",
    "far-afield": "JJ",
    "far-away": "JJ",
    "far-famed": "JJ",
    "far-fetched": "JJ",
    "far-flung": "JJ",
    "far-from-conciliatory": "JJ",
    "far-left": "JJ|NN",
    "far-lower": "JJR",
    "far-off": "JJ",
    "far-out": "JJ",
    "far-ranging": "JJ",
    "far-reaching": "JJ",
    "far-right": "JJ",
    "far-sighted": "JJ",
    "faraway": "JJ",
    "farce": "NN|VB",
    "farces": "NNS|VBZ",
    "fare": "NN|VBP|VB",
    "fared": "VBD|VBN",
    "fares": "NNS|VBZ",
    "farewell": "NN|UH",
    "farfetched": "JJ",
    "farflung": "NN",
    "faring": "VBG",
    "farm": "NN|VB",
    "farm-engineering": "NN",
    "farm-equipment": "NN|JJ",
    "farm-policy": "NN",
    "farm-product": "NN",
    "farm-state": "NNP|JJ",
    "farm-subsidy": "NN",
    "farm-supply": "JJ",
    "farm-trade": "JJ",
    "farmed": "VBD|JJ|VBN",
    "farmer": "NN",
    "farmer-type": "JJ",
    "farmers": "NNS",
    "farmhands": "NNS",
    "farmhouse": "NN",
    "farmhouses": "NNS",
    "farming": "VBG|NN",
    "farmland": "NN",
    "farmlands": "NNS",
    "farms": "NNS|VBZ",
    "farmsteads": "NNS",
    "farmwives": "NNS",
    "faro": "NN",
    "farrowings": "NNS",
    "farther": "RBR|RB",
    "farthest": "JJS|RBS",
    "fascicles": "NNS",
    "fasciculations": "NNS",
    "fascimile-machine": "NN",
    "fascinate": "VB|VBP",
    "fascinated": "VBN|JJ|VBD",
    "fascinates": "VBZ",
    "fascinating": "JJ|VBG",
    "fascinatingly": "RB",
    "fascination": "NN",
    "fascism": "NN",
    "fascist": "JJ",
    "fashion": "NN|VB",
    "fashionable": "JJ|NN",
    "fashioned": "VBN|VBD",
    "fashioning": "VBG",
    "fashions": "NNS|VBZ",
    "fast": "RB|JJ|NN|RP",
    "fast-acting": "JJ",
    "fast-approaching": "JJ",
    "fast-closing": "JJ",
    "fast-cut": "JJ",
    "fast-developing": "JJ",
    "fast-firing": "JJ",
    "fast-food": "NN|JJ",
    "fast-forward": "JJ",
    "fast-frozen": "JJ",
    "fast-grossing": "JJ",
    "fast-growing": "JJ",
    "fast-moving": "JJ|NNP",
    "fast-opening": "JJ|NN",
    "fast-paced": "JJ",
    "fast-rising": "JJ",
    "fast-selling": "JJ",
    "fast-shrinking": "JJ",
    "fast-spreading": "JJ",
    "fast-talking": "JJ",
    "fast-track": "JJ",
    "fast-vanishing": "JJ",
    "fastball": "NN",
    "fastballs": "NNS",
    "fasten": "VB|VBP",
    "fastened": "VBN|VBD",
    "fastener": "NN",
    "fasteners": "NNS",
    "fastening": "NN|VBG",
    "fastenings": "NNS",
    "fastens": "VBZ",
    "faster": "RBR|JJR",
    "faster-growing": "JJR",
    "faster-spending": "JJ",
    "faster-working": "JJR",
    "fastest": "JJS|RBS",
    "fastest-growing": "JJ|JJS|NN",
    "fastidious": "JJ",
    "fastigheter": "FW",
    "fastness": "NN",
    "fat": "JJ|NN|VB",
    "fat-free": "JJ",
    "fat-soluble": "JJ",
    "fat-substitute": "JJ",
    "fat-tired": "JJ",
    "fatal": "JJ",
    "fatalists": "NNS",
    "fatality": "NN",
    "fatally": "RB",
    "fatboy": "NN",
    "fate": "NN|VB",
    "fateful": "JJ",
    "fates": "NNS|VBZ",
    "father": "NN|VB",
    "father-and-son": "JJ",
    "father-brother": "NN",
    "father-confessor": "NN",
    "father-in-law": "NN",
    "father-murder": "NN",
    "father-son": "NN",
    "fathered": "VBD|VBN",
    "fatherly": "JJ",
    "fathers": "NNS|VBZ",
    "fathom": "VB",
    "fathoms": "NNS|VBZ",
    "fathuh": "NN",
    "fatiegued": "JJ",
    "fatigue": "NN|VBP|VB",
    "fatigued": "VBN|JJ|VBD",
    "fats": "NNS|VBZ",
    "fatsos": "NNS",
    "fatten": "VBP|VB",
    "fattened": "VBN|VBD",
    "fattening": "NN|VBG",
    "fatter": "JJR",
    "fatty": "JJ",
    "fatuous": "JJ",
    "faucet": "NN",
    "fault": "NN|VB|VBP",
    "fault-tolerant": "JJ",
    "faulted": "VBN|VBD",
    "faulting": "VBG",
    "faultless": "JJ",
    "faultlessly": "RB",
    "faultlines": "NNS",
    "faults": "NNS|VBZ",
    "faulty": "JJ",
    "fauna": "NNS",
    "fauteuil": "FW",
    "faux": "JJ|FW",
    "favor": "NN|VBP|VB",
    "favorable": "JJ",
    "favorableness": "NN",
    "favorably": "RB",
    "favore": "FW",
    "favored": "VBD|VBN|JJ",
    "favorer": "NN",
    "favoring": "VBG",
    "favorite": "JJ|NN",
    "favoritism": "NN",
    "favors": "VBZ|NNS",
    "favour": "NN|VB",
    "fawn": "NN|VB",
    "fawn-colored": "JJ",
    "fawned": "VBN|VBD",
    "fawning": "VBG|JJ",
    "fax": "NN|JJ|VB",
    "faxed": "VBD|VBN",
    "faxes": "NNS|VBZ",
    "faxing": "VBG",
    "faze": "VB",
    "fazed": "VBD|VBN",
    "fealty": "NN",
    "fear": "NN|VB|VBP",
    "fear-filled": "JJ",
    "feare": "NN",
    "feared": "VBD|VBN|JJ",
    "fearful": "JJ",
    "fearfully": "RB",
    "fearing": "VBG",
    "fearlast": "NN",
    "fearless": "JJ",
    "fearlessly": "RB",
    "fears": "NNS|VBZ",
    "fearsome": "JJ",
    "feasibility": "NN",
    "feasible": "JJ",
    "feast": "NN|VB",
    "feasted": "VBN|VBD",
    "feasting": "VBG",
    "feasts": "NNS|VBZ",
    "feat": "NN",
    "feather": "NN|VB",
    "feather-bedding": "NN",
    "feather-like": "JJ",
    "featherbedding": "NN",
    "feathered": "JJ|VBN|VBD",
    "featherless": "JJ",
    "feathers": "NNS|VBZ",
    "feathery": "JJ",
    "feats": "NNS",
    "feature": "NN|VBP|JJ|VB",
    "featured": "VBD|VBN|JJ",
    "featureless": "JJ",
    "features": "NNS|VBZ",
    "featuring": "VBG",
    "febrile": "JJ",
    "fecal": "JJ",
    "feckless": "JJ",
    "fecund": "JJ",
    "fecundity": "NN",
    "fed": "VBN|JJ|NN|VBD",
    "federal": "JJ",
    "federal-corporate": "JJ",
    "federal-court": "JJ|NN",
    "federal-formula": "JJ",
    "federal-funds": "JJ",
    "federal-local": "JJ",
    "federal-question": "JJ",
    "federal-right": "JJ",
    "federal-state": "JJ|NN",
    "federal-state-local": "JJ",
    "federal-systems": "JJ",
    "federalism": "NN|JJ",
    "federalist": "NN",
    "federalists": "NNS",
    "federalize": "VB",
    "federalized": "JJ|VBD|VBN",
    "federally": "RB",
    "federation": "NN",
    "fedora": "NN",
    "feds": "NNS",
    "fee": "NN|VB",
    "fee-for-service": "JJ",
    "fee-forfeiture": "NN",
    "fee-per-case": "JJ",
    "fee-per-day": "NN",
    "fee-producing": "JJ|NN",
    "fee-related": "JJ",
    "fee-shifting": "JJ",
    "feeble": "JJ",
    "feeblest": "JJS",
    "feebly": "RB",
    "feed": "NN|VB|VBD|VBP|VBN",
    "feed-grain": "NN",
    "feed-lot": "JJ",
    "feedback": "NN",
    "feeder": "NN",
    "feeders": "NNS",
    "feeding": "VBG|NN",
    "feeding-pain": "JJ",
    "feedings": "NNS",
    "feedlot": "NN",
    "feedlots": "NNS",
    "feeds": "VBZ|NNS",
    "feedstock": "NN",
    "feel": "VBP|VB|NN",
    "feel-good": "JJ",
    "feelers": "NNS",
    "feeling": "NN|VBG",
    "feeling-state": "NN",
    "feelings": "NNS",
    "feels": "VBZ|NNS",
    "fees": "NNS|VBZ",
    "feet": "NNS",
    "feigned": "JJ|VBN|VBD",
    "feigning": "VBG",
    "feint": "NN|VB",
    "feistier": "JJR",
    "feistiness": "NN",
    "feisty": "JJ",
    "feler": "NN",
    "felicities": "NNS",
    "felicitous": "JJ",
    "felicity": "NN",
    "feline": "JJ",
    "fell": "VBD|JJ|NN|VBN",
    "fella": "NN|UH",
    "fellas": "NNS",
    "felled": "VBN|VBD",
    "feller": "NN",
    "fellers": "NNS",
    "felling": "VBG",
    "fellow": "JJ|NN",
    "fellow-countryman": "NN",
    "fellow-craftsmen": "NNS",
    "fellow-creatures": "NN",
    "fellow-employees": "NNS",
    "fellow-men": "NNS",
    "fellowfeeling": "NN",
    "fellows": "NNS",
    "fellowship": "NN",
    "fellowships": "NNS",
    "felon": "NN",
    "felonious": "JJ",
    "felons": "NNS",
    "felony": "NN",
    "felt": "VBD|VBN",
    "female": "JJ|NN",
    "female-dominated": "JJ",
    "female-headed": "JJ",
    "females": "NNS",
    "feminine": "JJ|NN",
    "feminine-care": "JJ",
    "femininity": "NN",
    "feminism": "NN",
    "feminist": "JJ|NN",
    "feminists": "NNS",
    "femme": "FW",
    "fence": "NN|VB",
    "fence-line": "JJ",
    "fence-sit": "VB",
    "fenced": "JJ|VBN|VBD",
    "fenced-in": "JJ",
    "fences": "NNS|VBZ",
    "fencing": "NN|VBG",
    "fend": "VB",
    "fended": "VBD|VBN",
    "fender": "NN",
    "fender-benders": "NNS",
    "fenders": "NNS",
    "fending": "VBG",
    "fennel": "NN",
    "fenoldopam": "NN",
    "fens": "NNS",
    "fenugreek": "NN",
    "fer": "IN",
    "ferment": "NN|VB",
    "fermentation": "JJ|NN",
    "fermentations": "NNS",
    "fermented": "VBN|VBD|JJ",
    "fermenting": "VBG",
    "fermions": "NNS",
    "fern": "NN",
    "fern-like": "JJ",
    "fernery": "NN",
    "ferns": "NNS",
    "ferocious": "JJ",
    "ferociously": "RB",
    "ferocity": "NN",
    "ferret": "VB|NN",
    "ferreted": "VBD|VBN",
    "ferreting": "VBG",
    "ferrets": "VBZ",
    "ferried": "VBD|VBN",
    "ferries": "NNS|VBZ",
    "ferris": "JJ",
    "ferroelectric": "JJ",
    "ferromagnetic": "JJ",
    "ferry": "NN|VB",
    "ferrying": "VBG",
    "fertile": "JJ",
    "fertility": "NN",
    "fertility-control": "JJ",
    "fertilization": "NN",
    "fertilizations": "NNS",
    "fertilized": "VBN|JJ|VBD",
    "fertilizer": "NN",
    "fertilizers": "NNS",
    "fertilizing": "VBG",
    "fervent": "JJ",
    "fervente": "NNP",
    "fervently": "RB",
    "fervid": "NN",
    "fervor": "NN",
    "fervors": "NNS",
    "fess": "NN",
    "fest": "JJS|NN",
    "fester": "VB",
    "festering": "VBG",
    "festival": "NN",
    "festival-oriented": "JJ",
    "festivals": "NNS",
    "festive": "JJ",
    "festivities": "NNS",
    "festivity": "NN",
    "festivus": "FW",
    "festooned": "VBN",
    "festooning": "VBG",
    "fetal": "JJ",
    "fetal-alcohol": "JJ",
    "fetal-protection": "JJ",
    "fetal-tissue": "JJ|NN",
    "fetal-vulnerability": "JJ",
    "fetch": "VB|VBP",
    "fetched": "VBD|VBN",
    "fetches": "VBZ",
    "fetching": "VBG|JJ",
    "fetchingly": "RB",
    "fete": "VB",
    "feted": "VBD|JJ|VBN",
    "fetes": "NNS|VBZ",
    "fetid": "JJ",
    "fetish": "NN",
    "fetishize": "VBP",
    "fettered": "VBN|VBD",
    "fetus": "NN",
    "fetuses": "NNS",
    "feud": "NN",
    "feudal": "JJ",
    "feudalism": "NN",
    "feudalistic": "JJ",
    "feuded": "VBD",
    "feuding": "VBG|NN",
    "feuds": "NNS|VBZ",
    "fever": "NN",
    "fevered": "JJ",
    "feverish": "JJ",
    "feverishly": "RB",
    "fevers": "NNS",
    "few": "JJ|NN|RB|NNS",
    "fewer": "JJR|RB|RBR",
    "fewer-than-expected": "JJ",
    "fewest": "JJS",
    "fez-wearing": "JJ",
    "ffreind": "VB",
    "fiance": "NN",
    "fiancee": "NN",
    "fiasco": "NN",
    "fiat": "NN",
    "fiber": "NN",
    "fiber-coupled": "JJ",
    "fiber-end": "JJ",
    "fiber-optic": "JJ",
    "fiber-optics": "NN",
    "fiber-photocathode": "NN",
    "fiber-producing": "JJ",
    "fiber-reinforced": "JJ",
    "fiber-related": "JJ",
    "fiberglas": "NNS",
    "fiberglass": "NNS",
    "fiberoptic": "JJ",
    "fibers": "NNS",
    "fibrillation": "NN",
    "fibrin": "NN",
    "fibrocalcific": "JJ",
    "fibrosis": "NN",
    "fibrous": "JJ",
    "fiche": "FW",
    "ficials": "NNS",
    "fickle": "JJ",
    "fickleness": "NN",
    "fiction": "NN",
    "fiction-writer": "NN",
    "fiction-writing": "NN",
    "fictional": "JJ",
    "fictionalized": "VBN|VBD",
    "fictions": "NNS",
    "fictitious": "JJ",
    "fictive": "JJ",
    "ficus": "NN",
    "fiddle": "NN|VB",
    "fiddling": "NN|JJ|VBG",
    "fide": "JJ|FW",
    "fidelity": "NN",
    "fidgeting": "VBG",
    "fiduciary": "JJ",
    "fiefdom": "NN",
    "fiefdoms": "NNS",
    "field": "NN|JJ|VB|VBP",
    "field-based": "JJ",
    "field-crop-seeds": "JJ",
    "field-flattening": "JJ",
    "field-hands": "NN",
    "field-officials": "NNS",
    "field-sequential": "JJ",
    "field-service": "JJ",
    "field-services": "JJ",
    "fielded": "VBD|VBN",
    "fielder": "NN",
    "fielders": "NNS",
    "fielding": "NN|VBG",
    "fieldmice": "NN",
    "fields": "NNS|VBZ",
    "fieldstone": "NN",
    "fieldwork": "NN",
    "fiend": "NN",
    "fiendish": "JJ",
    "fierce": "JJ",
    "fiercely": "RB",
    "fierceness": "NN",
    "fiercer": "JJR",
    "fiercest": "JJS",
    "fiery": "JJ",
    "fiesta": "NN",
    "fifteen-mile": "JJ",
    "fifteen-minute": "JJ",
    "fifteen-sixteenths": "NNS",
    "fifteenfold": "RB",
    "fifteenth": "JJ",
    "fifteenth-century": "JJ",
    "fifth": "JJ|NN|RB",
    "fifth-best": "JJ",
    "fifth-biggest": "JJ",
    "fifth-century": "JJ",
    "fifth-consecutive": "JJ",
    "fifth-generation": "JJ",
    "fifth-grade": "NN",
    "fifth-highest": "JJ",
    "fifth-inning": "NN",
    "fifth-largest": "JJ",
    "fifth-least": "JJ",
    "fifth-straight": "JJ",
    "fiftieth": "JJ",
    "fifty-cent": "JJ",
    "fifty-dollar": "JJ",
    "fifty-fifty": "JJ",
    "fifty-ninth": "JJ",
    "fifty-odd": "JJ",
    "fifty-pound": "JJ",
    "fifty-year": "JJ",
    "fig": "NN",
    "fig.": "NN",
    "figger": "VBP",
    "figgered": "VBD|VBN",
    "fight": "NN|VB|VBP",
    "fighter": "NN",
    "fighter-bombers": "NNS",
    "fighter-jet": "NN",
    "fighter-plane": "NN",
    "fighters": "NNS",
    "fightin": "VBG",
    "fighting": "VBG|NN|JJ",
    "fights": "NNS|VBZ",
    "figment": "NN",
    "figs.": "NNS",
    "figural": "JJ",
    "figurative": "JJ",
    "figuratively": "RB",
    "figure": "NN|VB|VBP|VBZ",
    "figured": "VBD|JJ|VBN",
    "figurehead": "NN",
    "figures": "NNS|VBZ",
    "figures-order": "NN|NNS",
    "figuring": "VBG",
    "filagree": "NN",
    "filament": "NN",
    "filaments": "NNS",
    "filbert": "JJ",
    "filberts": "NNS",
    "filched": "VBN|VBD",
    "filde": "VBN",
    "file": "VB|NN|VBP",
    "file-those": "NN",
    "filed": "VBN|VBD",
    "filers": "NNS",
    "files": "NNS|VBZ",
    "filet": "NN|VB",
    "filets": "NNS|VBZ",
    "filial": "JJ",
    "filibuster": "NN|VB",
    "filibusters": "NNS|VBZ",
    "filigree": "JJ|NN",
    "filing": "NN|VBG",
    "filings": "NNS",
    "fill": "VB|VBP|NN",
    "fill-in": "JJ",
    "fill-in-your-favorite-epithet": "JJ",
    "fill-ins": "NNS",
    "fill-or-kill": "JJ",
    "fille": "FW",
    "filled": "VBN|JJ|VBD",
    "filler": "NN",
    "filles": "FW",
    "filleted": "VBN",
    "fillies": "NNS",
    "filling": "VBG|NN|JJ",
    "fillings": "NNS",
    "fillip": "NN",
    "fills": "VBZ",
    "filly": "NN",
    "film": "NN|VB",
    "film-festival": "NN",
    "film-maker": "NN",
    "film-makers": "NNS",
    "film-making": "JJ",
    "film-processing": "NN",
    "filmed": "VBN|VBD|JJ",
    "filming": "VBG",
    "filmmakers": "NNS",
    "filmmaking": "NN",
    "films": "NNS|VBZ",
    "filmstrips": "NNS",
    "filmy": "JJ",
    "filter": "NN|VB",
    "filtered": "VBN|JJ|VBD",
    "filtering": "VBG|NN",
    "filters": "NNS|VBZ",
    "filth": "NN",
    "filthy": "JJ",
    "filtration": "NN",
    "fin": "NN",
    "fin-syn": "JJ",
    "finagled": "VBN|VBD",
    "finagling": "NN|VBG",
    "final": "JJ",
    "finale": "NN",
    "finalist": "NN",
    "finalists": "NNS",
    "finality": "NN",
    "finalized": "VBN|VBD",
    "finalizing": "VBG",
    "finally": "RB",
    "finals": "NNS",
    "finance": "NN|VBP",
    "finance-director": "NN",
    "finance-minister": "NN",
    "financed": "VBN|JJ|VBD",
    "financeer": "NN",
    "financer": "NN",
    "finances": "NNS|VBZ",
    "financial": "JJ",
    "financial-aid": "NN",
    "financial-crimes": "NNS",
    "financial-data": "JJ",
    "financial-futures": "NNS",
    "financial-industrial": "JJ",
    "financial-market": "JJ|NN",
    "financial-planning": "JJ",
    "financial-related": "JJ",
    "financial-report": "JJ",
    "financial-service": "JJ|NN",
    "financial-services": "NNS|JJ",
    "financial-support": "JJ",
    "financially": "RB",
    "financier": "NN",
    "financiers": "NNS",
    "financing": "NN|JJ|VBG",
    "financings": "NNS",
    "finanicial": "JJ",
    "find": "VB|VBP|NN",
    "finder": "NN",
    "finders": "NNS",
    "finding": "VBG|NN",
    "findings": "NNS",
    "findings.": "NNS",
    "finds": "VBZ|NNS",
    "fine": "NN|JJ|RB|VB",
    "fine-arts": "NNS",
    "fine-boned": "JJ",
    "fine-chiseled": "JJ",
    "fine-drawn": "JJ",
    "fine-feathered": "JJ",
    "fine-featured": "JJ",
    "fine-grained": "JJ",
    "fine-looking": "JJ",
    "fine-point": "JJ",
    "fine-tooth": "JJ",
    "fine-tune": "VB",
    "fine-tuned": "JJ|VBD|VBN",
    "fine-tuning": "NN|VBG",
    "fined": "VBN|VBD",
    "finely": "RB",
    "finely-spun": "JJ",
    "fineness": "NN",
    "finer": "JJR",
    "finery": "NN",
    "fines": "NNS|VBZ",
    "finesse": "NN",
    "finessed": "VBN|VBD",
    "finest": "JJS",
    "finetuning": "VBG",
    "finger": "NN|VB",
    "finger-held": "JJ",
    "finger-paint": "NN",
    "finger-pointing": "JJ|NN",
    "finger-post": "NN",
    "finger-sucking": "NN",
    "finger-tips": "NNS",
    "fingered": "VBN|VBD",
    "fingering": "VBG|NN",
    "fingerings": "NNS",
    "fingerlings": "NNS",
    "fingernails": "NNS",
    "fingerprint": "NN",
    "fingerprinting": "NN|VBG",
    "fingerprints": "NNS",
    "fingers": "NNS|VBZ",
    "fingertips": "NNS",
    "finial": "NN",
    "finicky": "JJ",
    "fining": "VBG",
    "finish": "VB|NN|VBP",
    "finished": "VBD|JJ|VBN",
    "finisher": "NN",
    "finishes": "NNS|VBZ",
    "finishing": "VBG|JJ|NN",
    "finishing-school": "NN",
    "finite": "JJ|NN",
    "finite-dimensional": "JJ",
    "finned": "VBN",
    "fins": "NNS",
    "fir": "NN",
    "fire": "NN|VB",
    "fire-colored": "JJ",
    "fire-control": "JJ",
    "fire-crackers": "NNS",
    "fire-engine": "JJ",
    "fire-fighting": "JJ|NN",
    "fire-resistant": "JJ",
    "firearm": "NN",
    "firearms": "NNS",
    "fireball": "NN",
    "fireballs": "NNS",
    "firebombed": "VBN",
    "firebombing": "NN",
    "firebombs": "NNS",
    "firebrand": "NN",
    "firebreaks": "NNS",
    "firebug": "NN",
    "firecracker": "NN",
    "firecrackers": "NNS",
    "fired": "VBN|VBD",
    "fired...": ":",
    "firefighter": "NN",
    "firefighters": "NNS",
    "firefighting": "NN",
    "firehoops": "NNS",
    "firehouses": "NNS",
    "firelight": "NN",
    "fireman": "NN",
    "firemen": "NNS",
    "fireplace": "NN",
    "fireplaces": "NNS",
    "firepower": "NN",
    "fireproofing": "NN|VBG",
    "fires": "NNS|VBZ",
    "firestorm": "NN",
    "firewater": "NN",
    "fireweed": "NN",
    "firewood": "NN",
    "fireworks": "NNS",
    "firing": "NN|VBG|JJ",
    "firings": "NNS",
    "firm": "NN|JJ|VB",
    "firm.": "NN",
    "firm...": ":",
    "firma": "NN|FW",
    "firmed": "VBD|VBN",
    "firmer": "JJR|RB|RBR",
    "firming": "VBG|NN",
    "firmly": "RB",
    "firmness": "NN",
    "firms": "NNS|VBZ",
    "firmwide": "RB",
    "first-aid": "NN",
    "first-amendment": "JJ",
    "first-base": "JJ",
    "first-bracket": "NN",
    "first-class": "JJ|NN",
    "first-degree": "JJ|NN",
    "first-eight": "JJ",
    "first-ever": "JJ",
    "first-families": "NNS",
    "first-floor": "NN|JJ",
    "first-grader": "NN",
    "first-half": "JJ|NN",
    "first-hand": "JJ|RB",
    "first-home": "JJ",
    "first-level": "JJ",
    "first-mortgage": "JJ|NN",
    "first-nine-month": "JJ",
    "first-order": "JJ",
    "first-period": "JJ",
    "first-person": "NN",
    "first-phase": "JJ",
    "first-place": "JJ",
    "first-preference": "NN",
    "first-preferred": "JJ",
    "first-quarter": "JJ|NN",
    "first-rate": "JJ",
    "first-refusal": "JJ",
    "first-run": "JJ",
    "first-section": "JJ",
    "first-six": "JJ",
    "first-strike": "JJ",
    "first-term": "JJ",
    "first-three": "JJ",
    "first-time": "JJ",
    "first-year": "JJ",
    "firsthand": "RB|JJ|NN",
    "firstpreference": "NN",
    "firstround": "JJ",
    "firsts": "NNS",
    "fiscal": "JJ|IN|NN",
    "fiscal-agent": "NN",
    "fiscal-first": "JJ",
    "fiscal-first-quarter": "JJ",
    "fiscal-fourth": "JJ",
    "fiscal-third": "JJ",
    "fiscal-year": "JJ|NN",
    "fiscally": "RB",
    "fish": "NN|RB|VB|NNS",
    "fish-export": "JJ",
    "fish-processing": "JJ",
    "fish...": ":",
    "fishbowl": "NN",
    "fished": "VBN|VBD",
    "fisheries": "NNS",
    "fisherman": "NN",
    "fishermen": "NNS",
    "fishers": "NNS",
    "fishery": "NN",
    "fishes": "NNS|VBZ",
    "fishin": "VBG",
    "fishing": "NN|JJ|VBG",
    "fishing-boat": "NN",
    "fishmongers": "NNS",
    "fishpond": "NN",
    "fishy": "JJ",
    "fission": "NN",
    "fissionable": "JJ",
    "fissured": "VBN",
    "fissures": "NNS",
    "fist": "NN|RB",
    "fist-fighting": "NN",
    "fisted": "VBD",
    "fists": "NNS",
    "fit": "NN|VB|VBN|VBP|JJ|RB|VBD",
    "fit-looking": "JJ",
    "fitful": "JJ",
    "fitfully": "RB",
    "fitness": "NN",
    "fitness-promoting": "JJ",
    "fits": "VBZ|NNS",
    "fitted": "VBN|VBD|JJ",
    "fittest": "JJS",
    "fitting": "JJ|NN|VBG",
    "fittings": "NNS",
    "five-a-week": "JJ",
    "five-and-a-half": "NN",
    "five-and-dime": "NN|JJ",
    "five-and-twenty": "JJ",
    "five-blade": "JJ",
    "five-block": "JJ",
    "five-by-eight-inch": "JJ",
    "five-cent": "JJ",
    "five-column": "JJ",
    "five-consecutive": "JJ",
    "five-coordinate": "JJ",
    "five-count": "JJ",
    "five-course": "JJ",
    "five-cylinder": "JJ",
    "five-day": "JJ",
    "five-days-a-week": "JJ",
    "five-fold": "JJ",
    "five-foot": "JJ",
    "five-foot-wide": "JJ",
    "five-gallon": "JJ",
    "five-game": "JJ",
    "five-home": "JJ",
    "five-home-run": "JJ",
    "five-hour": "JJ",
    "five-hundred-dollar": "JJ",
    "five-hundred-year-old": "JJ",
    "five-inch": "JJ",
    "five-judge": "JJ",
    "five-member": "JJ",
    "five-mile": "JJ",
    "five-minute": "JJ",
    "five-month": "JJ",
    "five-month-old": "JJ",
    "five-nation": "JJ",
    "five-party": "JJ",
    "five-percentage-point": "JJ",
    "five-person": "JJ",
    "five-pfennig": "JJ",
    "five-ply": "JJ",
    "five-point": "JJ",
    "five-pound": "JJ",
    "five-round": "JJ",
    "five-row": "JJ",
    "five-session": "JJ|NN",
    "five-seventeen": "JJ",
    "five-speed": "JJ",
    "five-star": "JJ",
    "five-story": "JJ",
    "five-volume": "JJ",
    "five-week": "JJ",
    "five-year": "JJ",
    "five-year-old": "JJ",
    "five-years": "NNS",
    "fivefold": "RB|JJ",
    "fiveyear": "JJ",
    "fix": "VB|VBP|NN",
    "fixable": "JJ",
    "fixated": "VBN|VBD",
    "fixation": "NN",
    "fixations": "NNS",
    "fixed": "VBN|JJ|VBD",
    "fixed-dollar": "JJ",
    "fixed-income": "JJ|NN",
    "fixed-price": "JJ",
    "fixed-rate": "JJ|NN",
    "fixed-repayment": "JJ",
    "fixed-term": "NN",
    "fixedrate": "JJ|NN",
    "fixers": "NNS",
    "fixes": "NNS|VBZ",
    "fixing": "VBG|NN",
    "fixture": "NN",
    "fixtured": "VBD",
    "fixtures": "NNS",
    "fizzes": "VBZ",
    "fizzled": "VBN|VBD",
    "fizzles": "VBZ",
    "fizzy": "NN",
    "fjords": "NNS",
    "flabbergasted": "VBN|JJ",
    "flabbiness": "NN",
    "flaccid": "JJ",
    "flag": "NN|VB",
    "flag-burner": "NN",
    "flag-burning": "NN",
    "flag-stick": "NN",
    "flag-wavers": "NNS",
    "flagellated": "VBN|VBD",
    "flagellation": "NN",
    "flageolet": "NN",
    "flagged": "VBD|VBN",
    "flagging": "JJ|VBG",
    "flagpole": "NN",
    "flagpoles": "NNS",
    "flagrant": "JJ",
    "flagrante": "FW",
    "flagrantly": "RB",
    "flags": "NNS|VBZ",
    "flagship": "NN|JJ",
    "flagships": "NNS",
    "flail": "NN|VB",
    "flailed": "VBD|VBN",
    "flailing": "VBG",
    "flair": "NN",
    "flak": "NN",
    "flakes": "NNS",
    "flaky": "JJ",
    "flamboyant": "JJ",
    "flamboyantly": "RB",
    "flame": "NN|VBP|VB",
    "flame-throwers": "NNS",
    "flamed": "VBD|VBN",
    "flames": "NNS|VBZ",
    "flaming": "JJ|VBG",
    "flammable": "JJ",
    "flange": "NN",
    "flanged": "VBN",
    "flank": "NN",
    "flanked": "VBD|VBN",
    "flanker": "NN",
    "flanking": "VBG",
    "flannel": "NN",
    "flannels": "NNS",
    "flap": "NN|VB",
    "flapped": "VBD|VBN",
    "flapper": "NN",
    "flappers": "NNS",
    "flapping": "VBG|JJ",
    "flaps": "NNS|VBZ",
    "flare": "NN|VB|VBP",
    "flared": "VBN|VBD|JJ",
    "flares": "NNS|VBZ",
    "flaring": "VBG|JJ",
    "flash": "VBP|NN|JJ|VB",
    "flash-bulbs": "NNS",
    "flash-cubes": "NNS",
    "flashback": "NN",
    "flashbacks": "NNS",
    "flashed": "VBD|VBN",
    "flasher": "NN",
    "flashes": "NNS|VBZ",
    "flashier": "JJR",
    "flashing": "VBG|NN",
    "flashlight": "NN",
    "flashlight-type": "JJ",
    "flashlights": "NNS",
    "flashpoint": "NN",
    "flashy": "JJ",
    "flask": "NN",
    "flat": "JJ|NN|RB",
    "flat-bed": "JJ|NN",
    "flat-bottomed": "JJ",
    "flat-footed": "RB|JJ",
    "flat-headed": "JJ",
    "flat-out": "JJ|RB",
    "flat-panel": "JJ",
    "flat-rolled": "JJ",
    "flat-to-lower": "JJ",
    "flat-topped": "JJ",
    "flatcars": "NNS",
    "flathead": "JJ",
    "flatiron": "NN",
    "flatish": "JJ",
    "flatland": "NN",
    "flatlands": "NNS",
    "flatly": "RB",
    "flatness": "NN",
    "flatnesses": "NNS",
    "flatout": "NN",
    "flats": "NNS",
    "flatten": "VB",
    "flattened": "VBN|VBD|JJ",
    "flattening": "VBG|NN",
    "flattens": "VBZ",
    "flatter": "VB",
    "flattered": "VBN|JJ|VBD",
    "flattering": "JJ|VBG",
    "flatteringly": "RB",
    "flatters": "VBZ",
    "flattery": "NN",
    "flattest": "JJS",
    "flattish": "JJ",
    "flatulence": "NN",
    "flatulent": "JJ",
    "flatus": "NN",
    "flatware": "NN",
    "flaunt": "VB|VBP",
    "flaunt-your-wealth": "JJ",
    "flaunted": "VBD|VBN",
    "flaunting": "VBG",
    "flaunts": "VBZ",
    "flautist": "NN",
    "flavor": "NN|VB",
    "flavored": "JJ|VBN|VBD",
    "flavorful": "JJ",
    "flavoring": "NN|VBG",
    "flavorings": "NNS",
    "flavors": "NNS|VBZ",
    "flaw": "NN|VB",
    "flawed": "VBN|JJ|VBD",
    "flawless": "JJ",
    "flaws": "NNS|VBZ",
    "flax": "NN",
    "flaxen": "JJ",
    "flaxseed": "NN",
    "flay": "VB",
    "flea": "NN",
    "flea-infested": "JJ",
    "fleas": "NNS",
    "fleawort": "NN",
    "fleck": "NN|VB",
    "flecked": "VBN|VBD",
    "fled": "VBD|VBN",
    "fledging": "VBG",
    "fledgling": "NN|JJ",
    "fledglings": "NNS",
    "flee": "VB",
    "fleece": "NN|VB",
    "fleeced": "VBN|VBD",
    "fleeing": "VBG",
    "flees": "VBZ",
    "fleet": "NN|JJ|VB",
    "fleetest": "JJS",
    "fleeting": "JJ|VBG",
    "fleets": "NNS|VBZ",
    "flesh": "NN|VB",
    "fleshpots": "NNS",
    "fleshy": "JJ",
    "flew": "VBD",
    "flex": "NN|JJ|VB",
    "flex-time": "JJ",
    "flexed": "VBD|VBN",
    "flexers": "NNS",
    "flexibility": "NN",
    "flexible": "JJ",
    "flexicoker": "NN",
    "flexing": "VBG",
    "flextime": "NN",
    "flexural": "JJ",
    "flick": "NN|VB",
    "flicked": "VBD|VBN",
    "flicker": "NN|VB",
    "flickered": "VBD|VBN",
    "flickering": "VBG|JJ",
    "flicking": "VBG",
    "flicks": "NNS|VBZ",
    "flied": "VBD",
    "flier": "NN",
    "fliers": "NNS",
    "flies": "VBZ|NNS",
    "flight": "NN|VB",
    "flight-attendant": "NN",
    "flight-attendants": "NNS",
    "flight-control": "NN",
    "flight-crew": "NN",
    "flight-to-quality": "NN|JJ",
    "flightiness": "NN",
    "flights": "NNS|VBZ",
    "flighty": "JJ",
    "flim-flam": "NN|VB",
    "flim-flammery": "NN",
    "flimflam": "NN",
    "flimsies": "NNS",
    "flimsy": "JJ",
    "flinch": "VB",
    "flinched": "VBD|VBN",
    "flinching": "VBG",
    "fling": "NN|VB",
    "flinging": "VBG",
    "flings": "NNS|VBZ",
    "flint": "NN",
    "flintless": "JJ",
    "flinty": "JJ",
    "flip": "JJ|VB",
    "flip-flop": "NN|VBP|JJ|VB",
    "flip-flopped": "JJ|VBD|VBN",
    "flippant": "JJ",
    "flippantly": "RB",
    "flipped": "VBD|VBN",
    "flippers": "NNS",
    "flipping": "VBG|JJ|RB",
    "flips": "VBZ|NNS",
    "flirt": "VBP|VB",
    "flirtation": "NN",
    "flirtatious": "JJ",
    "flirted": "VBN|VBD",
    "flirting": "VBG",
    "flit": "VBP|VB",
    "flitting": "VBG",
    "flng": "VB",
    "float": "VB|NN|VBP",
    "floated": "VBD|VBN",
    "floater": "NN",
    "floating": "VBG|JJ",
    "floating-load": "JJ",
    "floating-point": "JJ|NN",
    "floating-rate": "JJ|NN",
    "floats": "VBZ",
    "floc": "NN",
    "flocculated": "VBN",
    "flocculation": "NN",
    "flock": "NN|VB|VBP",
    "flocked": "VBD|VBN",
    "flocking": "VBG",
    "flocks": "NNS|VBZ",
    "floe": "NN",
    "floes": "NNS",
    "flog": "VB",
    "flogged": "VBD|VBN",
    "flood": "NN|VB|VBP",
    "flood-control": "JJ",
    "flood-insurance": "NN",
    "flood-lighted": "JJ",
    "flood-prone": "JJ",
    "flood-ravaged": "JJ",
    "flooded": "VBN|VBD",
    "floodheads": "NNS",
    "flooding": "NN|VBG",
    "floodlight": "NN",
    "floodlighted": "VBN",
    "floodlit": "JJ",
    "floods": "NNS|VBZ",
    "floor": "NN|VB",
    "floor-covering": "NN",
    "floor-length": "JJ",
    "floor-level": "JJ",
    "floor-to-ceiling": "JJ",
    "floorboards": "NNS",
    "flooring": "NN|VBG",
    "floors": "NNS|VBZ",
    "floorshow": "NN",
    "flop": "NN|VBP|VB",
    "flopped": "VBD|VBN",
    "floppies": "NNS",
    "floppy": "JJ",
    "floppy-disk": "NN",
    "floppy-tie": "JJ",
    "flops": "VBZ|NNS",
    "flora": "NNS",
    "floral": "JJ",
    "florid": "JJ",
    "florist": "NN",
    "flotation": "NN",
    "flotation-type": "JJ",
    "flotations": "NNS",
    "flotilla": "NN",
    "flotillas": "NNS",
    "flounce": "VBP",
    "flounced": "VBN",
    "flounder": "VB",
    "floundered": "VBN|VBD",
    "floundering": "VBG|JJ",
    "flounders": "VBZ",
    "flour": "NN",
    "flour-milling": "JJ|NN",
    "floured": "VBN",
    "flourish": "VB|NN|VBP",
    "flourished": "VBN|VBD",
    "flourishes": "NNS|VBZ",
    "flourishing": "JJ|VBG",
    "flout": "VB",
    "flouted": "VBN|VBD",
    "flouting": "VBG|NN",
    "floutingly": "RB",
    "flow": "NN|VBP|VB",
    "flowchart": "NN",
    "flowed": "VBD|VBN",
    "flower": "NN|VBP|VB",
    "flower-bordered": "JJ",
    "flower-inscribed": "JJ",
    "flower-scented": "JJ",
    "flowered": "JJ|VBD|VBN",
    "flowering": "NN|VBG|JJ",
    "flowerpot": "NN",
    "flowers": "NNS|VBZ",
    "flowing": "VBG|JJ",
    "flown": "VBN",
    "flows": "NNS|VBZ",
    "flu": "NN",
    "flu-like": "JJ",
    "flubbed": "VBD|VBN",
    "fluctuate": "VBP|VB",
    "fluctuated": "VBN|VBD",
    "fluctuates": "VBZ",
    "fluctuating": "VBG",
    "fluctuation": "NN",
    "fluctuations": "NNS",
    "flue": "NN",
    "flue-cured": "JJ",
    "fluency": "NN",
    "fluent": "JJ",
    "fluently": "RB",
    "fluff": "NN|VB",
    "fluffy": "JJ",
    "fluid": "JJ|NN",
    "fluid-filled": "JJ",
    "fluidity": "NN",
    "fluids": "NNS",
    "fluke": "NN",
    "flung": "VBD|VBN",
    "flunk": "VBP|VB",
    "flunked": "VBD|VBN",
    "flunking": "VBG",
    "flunky": "NN",
    "fluorescein": "NN",
    "fluorescein-labeled": "JJ",
    "fluorescence": "NN",
    "fluorescent": "JJ",
    "fluoresces": "VBZ",
    "fluoride": "NN",
    "fluorinated": "VBN",
    "fluorine": "NN",
    "fluoropolymer": "NN",
    "fluoropolymers": "NNS",
    "flurried": "VBD|VBN",
    "flurries": "NNS|VBZ",
    "flurry": "NN|VBP|VB",
    "flush": "JJ|NN|RB|VB|VBP",
    "flushed": "VBN|VBD",
    "flushes": "VBZ",
    "flushing": "NN|VBG",
    "flustered": "VBN",
    "flute": "NN",
    "fluted": "VBN",
    "flutes": "NNS",
    "fluting": "NN",
    "flutist": "NN",
    "flutter": "NN|VB",
    "fluttered": "VBD|VBN",
    "fluttering": "VBG",
    "flux": "NN|VB",
    "fluxes": "NNS",
    "fly": "VB|NN|VBP",
    "fly-boy": "NN",
    "fly-by-night": "JJ",
    "fly-by-nighters": "NNS",
    "fly-dotted": "JJ",
    "fly-fishing": "NN",
    "flyaway": "JJ",
    "flyer": "NN",
    "flyers": "NNS",
    "flying": "VBG|NN|JJ",
    "flying-mount": "NN",
    "flyways": "NNS",
    "foal": "NN",
    "foals": "NNS",
    "foam": "NN|VB|VBP",
    "foamed": "JJ|VBD|VBN",
    "foamed-core": "JJ",
    "foamed-in-place": "JJ",
    "foaming": "VBG|NN",
    "foams": "NNS|VBZ",
    "foamy": "JJ",
    "foamy-necked": "JJ",
    "focal": "JJ",
    "focally": "RB",
    "foci": "NNS",
    "focus": "VB|NN|VBP",
    "focus-group": "JJ",
    "focused": "VBN|JJ|VBD",
    "focused-factory": "JJ",
    "focuses": "VBZ|NNS",
    "focusing": "VBG|NN",
    "focussed": "VBN|VBD",
    "fodder": "NN",
    "foe": "NN",
    "foes": "NNS",
    "fog": "VB|NN",
    "fog-enshrouded": "JJ",
    "fog-free": "JJ",
    "fogged": "JJ|VBD|VBN",
    "foggy": "JJ",
    "fogy": "NN",
    "foh": "IN",
    "foibles": "NNS",
    "foil": "VB|NN",
    "foiled": "JJ|VBN|VBD",
    "foiling": "VBG",
    "foisted": "VBD|VBN",
    "fold": "VB|NN|VBP",
    "foldability": "NN",
    "foldable": "JJ",
    "folded": "VBD|VBN|JJ",
    "folder": "NN",
    "folders": "NNS",
    "folding": "JJ|VBG|NN",
    "folds": "NNS|VBZ",
    "foliage": "NN",
    "folio": "NN",
    "folk": "NN|NNS",
    "folk-dance": "NN",
    "folk-lore": "NN",
    "folk-music": "NN",
    "folk-tale": "NN",
    "folkish": "JJ",
    "folklike": "JJ",
    "folklore": "NN",
    "folks": "NNS",
    "folksongs": "NNS",
    "folksy": "JJ",
    "follicular": "JJ",
    "follies": "NNS",
    "follow": "VB|VBP",
    "follow-on": "JJ",
    "follow-through": "JJ|IN|NN",
    "follow-up": "NN|JJ",
    "follow-ups": "NNS",
    "followed": "VBN|VBD|JJ",
    "follower": "NN",
    "followers": "NNS",
    "followership": "NN",
    "followeth": "VBZ",
    "following": "VBG|JJ|NN",
    "followings": "NNS",
    "follows": "VBZ",
    "followthrough": "JJ",
    "followup": "JJ",
    "folly": "NN",
    "foment": "VB",
    "fomented": "VBD|VBN",
    "fomenting": "VBG",
    "foments": "VBZ",
    "fond": "JJ|NN|VB",
    "fonder": "JJR",
    "fondest": "JJS",
    "fondled": "VBN|VBD",
    "fondly": "RB",
    "fondness": "NN",
    "font": "NN",
    "fontanel": "NN",
    "fonts": "NNS",
    "food": "NN",
    "food-aid": "JJ",
    "food-canning": "NN",
    "food-color": "NN",
    "food-fish": "NNS",
    "food-importing": "JJ",
    "food-industry": "NN",
    "food-packaging": "JJ",
    "food-poisoning": "JJ|NN",
    "food-preservation": "NN",
    "food-processing": "NN|JJ",
    "food-production": "NN",
    "food-products": "NNS",
    "food-safety": "JJ|NN",
    "food-scare": "NN",
    "food-sector": "JJ",
    "food-service": "NN|JJ",
    "food-services": "NNS",
    "food-shop": "JJ",
    "foods": "NNS",
    "foodservice": "NN",
    "foodstuff": "NN",
    "foodstuffs": "NNS",
    "fool": "NN|JJ|VB",
    "fooled": "VBN|VBD",
    "foolhardy": "JJ",
    "fooling": "NN|VBG",
    "foolish": "JJ",
    "foolishly": "RB",
    "foolishness": "NN",
    "foolproof": "JJ|VB",
    "foot": "NN|VBP|JJ|VB",
    "foot-dragging": "NN",
    "foot-high": "JJ",
    "foot-loose": "JJ",
    "foot-tall": "JJ",
    "foot-thick": "JJ",
    "footage": "NN",
    "football": "NN",
    "footballer": "NN",
    "footballs": "NNS",
    "footbridge": "NN",
    "footfall": "NN",
    "footfalls": "NNS",
    "foothill": "NN",
    "foothills": "NNS",
    "foothold": "NN",
    "footholds": "NNS",
    "footing": "NN|VBG",
    "footlights": "NNS",
    "footloose": "JJ",
    "footman": "NN",
    "footnote": "NN|VB",
    "footnoted": "VBN|VBD",
    "footnotes": "NNS|VBZ",
    "footpath": "NN",
    "footprint": "NN",
    "footprints": "NNS",
    "footstep": "NN",
    "footsteps": "NNS",
    "footstool": "NN",
    "footsy": "NN",
    "footwear": "NN",
    "footwork": "NN",
    "foppish": "JJ",
    "for": "IN|NNP|CC|JJ|RB|RP",
    "for-profit": "JJ",
    "for...": ":",
    "forage": "NN|JJ|VB",
    "forages": "NNS|VBZ",
    "foraging": "NN|VBG",
    "foray": "NN|VB",
    "forays": "NNS|VBZ",
    "forbad": "VBD",
    "forbade": "VBD",
    "forbearance": "NN",
    "forbears": "NNS|VBZ",
    "forbid": "VB|VBP|UH",
    "forbidden": "VBN|JJ",
    "forbidding": "VBG|JJ",
    "forbidding-looking": "JJ",
    "forbids": "VBZ",
    "forbore": "VBD",
    "forborne": "VB|VBN",
    "force": "NN|FW|VB|NNP|VBP",
    "force-fear": "JJ",
    "force-feeding": "NN",
    "force-level": "JJ",
    "force-rate": "NN",
    "forced": "VBN|JJ|VBD",
    "forceful": "JJ",
    "forcefully": "RB",
    "forcefulness": "NN",
    "forces": "NNS|VBZ",
    "forcibly": "RB",
    "forcing": "VBG",
    "fords": "NNS",
    "fore": "NN|RB",
    "fore-play": "NN",
    "forearm": "NN",
    "forearms": "NNS",
    "forebear": "NN",
    "forebears": "NNS",
    "foreboding": "NN|JJ|VBG",
    "forecast": "NN|VBD|VBN|VBP|VB",
    "forecasted": "VBN",
    "forecaster": "NN",
    "forecasters": "NNS",
    "forecasting": "VBG|NN|JJ",
    "forecasts": "NNS|VBZ",
    "foreclose": "VB",
    "foreclosed": "VBN|JJ|VBD",
    "foreclosing": "VBG",
    "foreclosure": "NN",
    "forefathers": "NNS",
    "forefeet": "NN",
    "forefinger": "NN",
    "forefingers": "NNS",
    "forefront": "NN",
    "forego": "VB|VBP",
    "foregoing": "NN|JJ|VBG",
    "foregone": "JJ|VBN",
    "foreground": "NN|VB",
    "forehead": "NN",
    "foreheads": "NNS",
    "foreign": "JJ",
    "foreign-affairs": "NNS",
    "foreign-aid": "NN|JJ",
    "foreign-airline": "NN",
    "foreign-assistance": "NN",
    "foreign-bank": "JJ",
    "foreign-based": "JJ",
    "foreign-car": "NN",
    "foreign-country": "JJ",
    "foreign-currency": "NN|JJ",
    "foreign-debt": "NN|JJ",
    "foreign-entry-limit": "JJ",
    "foreign-equity": "NN",
    "foreign-exchange": "NN|JJ",
    "foreign-exchange-rate": "JJ|NN",
    "foreign-flag": "NN",
    "foreign-investment": "JJ",
    "foreign-investor": "NN",
    "foreign-led": "JJ",
    "foreign-loan": "JJ",
    "foreign-made": "JJ",
    "foreign-movie": "NN",
    "foreign-owned": "JJ",
    "foreign-ownership": "NN",
    "foreign-policy": "NN|JJ",
    "foreign-sounding": "JJ",
    "foreign-stock": "JJ",
    "foreign-trade": "JJ|NN",
    "foreign-trading": "JJ",
    "foreign-transaction": "NN",
    "foreigner": "NN",
    "foreigners": "NNS",
    "foreknowledge": "NN",
    "foreknown": "VB|VBN",
    "foreleg": "NN",
    "foreman": "NN",
    "foremost": "RB|JJ",
    "forensic": "JJ",
    "forensics": "NNS",
    "forepart": "NN",
    "forepaws": "NNS",
    "forerunner": "NN",
    "forerunners": "NNS",
    "foresaw": "VBD",
    "foresee": "VB|VBP",
    "foreseeable": "JJ",
    "foreseeing": "VBG",
    "foreseen": "VBN",
    "foresees": "VBZ",
    "foreshadow": "VB|VBP",
    "foreshadowed": "VBN|VBD",
    "foreshadowing": "VBG",
    "foreshortened": "VBN|VBD",
    "foreshortening": "VBG",
    "foresight": "NN",
    "forest": "NN|VB",
    "forest-product": "NN",
    "forest-products": "NNS|JJ",
    "forestall": "VB",
    "forestalled": "VBN|VBD",
    "forestry": "NN",
    "forests": "NNS|VBZ",
    "foretell": "VB",
    "forethought": "NN",
    "forever": "RB",
    "forever-Cathy": "NN",
    "foreword": "NN",
    "forfeit": "VB|NN",
    "forfeitable": "JJ",
    "forfeited": "VBN|VBD",
    "forfeiting": "VBG",
    "forfeiture": "NN",
    "forfeitures": "NNS",
    "forgave": "VBD",
    "forge": "VB|VBP|NN",
    "forged": "VBN|JJ|VBD",
    "forger": "NN",
    "forgeries": "NNS",
    "forgery": "NN",
    "forges": "VBZ",
    "forget": "VB|VBP",
    "forgetful": "JJ",
    "forgetfulness": "NN",
    "forgets": "VBZ",
    "forgettable": "JJ",
    "forgetting": "VBG",
    "forging": "VBG",
    "forgings": "NNS",
    "forgit": "VB|VBP",
    "forgitful": "JJ",
    "forgive": "VB|VBP",
    "forgiven": "VBN",
    "forgiveness": "NN",
    "forgiving": "VBG|JJ",
    "forgo": "VB|VBP",
    "forgoes": "VBZ",
    "forgone": "JJ",
    "forgot": "VBN|VBD",
    "forgotten": "VBN|JJ",
    "forint": "NN",
    "forints": "NNS",
    "forisque": "FW",
    "fork": "NN|VB",
    "fork-lift": "NN",
    "forked": "VBN|JJ|VBD",
    "forking": "VBG",
    "forklift": "NN",
    "forklifts": "NNS",
    "forks": "NNS|VBZ",
    "forlorn": "JJ|VBN",
    "forlornly": "RB",
    "form": "NN|VBP|JJ|VB",
    "form-creating": "JJ",
    "form-dictionary": "NN",
    "form-letter": "NN|JJ",
    "forma": "FW",
    "formability": "NN",
    "formal": "JJ",
    "formaldehyde": "NN",
    "formalism": "NN",
    "formalities": "NNS",
    "formality": "NN",
    "formalize": "VB",
    "formalized": "JJ|VBN|VBD",
    "formalizes": "VBZ",
    "formally": "RB",
    "format": "NN|VB",
    "formation": "NN",
    "formations": "NNS",
    "formative": "JJ|NN",
    "formats": "NNS|VBZ",
    "formed": "VBN|VBD|JJ",
    "formed-tooth": "JJ",
    "former": "JJ|NN",
    "formerly": "RB",
    "formidable": "JJ|FW",
    "formidable-appearing": "JJ",
    "formidably": "RB",
    "forming": "VBG|NN",
    "forms": "NNS|VBZ",
    "forms-processing": "NN",
    "formula": "NN",
    "formula-based": "JJ",
    "formulae": "NNS",
    "formulaic": "JJ",
    "formulas": "NNS",
    "formulate": "VB",
    "formulated": "VBN|VBD",
    "formulates": "VBZ",
    "formulating": "VBG",
    "formulation": "NN",
    "formulations": "NNS",
    "forsake": "VB",
    "forsaken": "VBN",
    "forsakes": "VBZ",
    "forseeable": "JJ",
    "forswears": "VBZ",
    "forswore": "VBD",
    "fort": "NN|VB",
    "forte": "NN",
    "forte-pianos": "NNS",
    "forth": "RB|RP",
    "forthcoming": "JJ|VBG",
    "forthright": "JJ",
    "forthrightly": "RB",
    "forthrightness": "NN",
    "forthwith": "RB",
    "fortifications": "NNS",
    "fortified": "VBN|VBD|JJ",
    "fortify": "VB",
    "fortiori": "FW",
    "fortitude": "NN",
    "fortnight": "NN",
    "fortress": "NN",
    "fortress-like": "JJ",
    "fortresses": "NNS",
    "forts": "NNS|VBZ",
    "fortuitous": "JJ",
    "fortuitously": "RB",
    "fortunate": "JJ",
    "fortunately": "RB",
    "fortune": "NN",
    "fortune-cookie": "NN",
    "fortune-happy": "JJ",
    "fortune-tellers": "NN",
    "fortunes": "NNS",
    "forty-fold": "JJ",
    "forty-niners": "NNS",
    "forty-year": "JJ",
    "forum": "NN",
    "forums": "NNS",
    "forward": "RB|JJ|NN|VB",
    "forward-looking": "JJ",
    "forward-moving": "JJ",
    "forward-rate": "JJ",
    "forwarded": "VBN|VBD",
    "forwarders": "NNS",
    "forwarding": "NN|VBG",
    "forwards": "RB|VBZ",
    "fossil": "JJ|NN",
    "fossilized": "JJ",
    "fossils": "NNS",
    "foster": "JJ|VB",
    "foster-care": "JJ",
    "fostered": "VBD|VBN",
    "fostering": "VBG|NN",
    "fosters": "VBZ",
    "fought": "VBD|VBN",
    "fought-for": "JJ",
    "foul": "JJ|RB|VB|UH",
    "foul-mouthed": "JJ",
    "foul-smelling": "JJ",
    "foul-up": "NN",
    "foul-ups": "NNS",
    "fouled": "VBN|VBD|JJ",
    "foulest": "JJS",
    "fouling": "NN|VBG",
    "foully": "RB",
    "found": "VBD|VBN|VB",
    "foundation": "NN",
    "foundation-stone": "NN",
    "foundations": "NNS",
    "founded": "VBN|VBD",
    "founder": "NN|VB",
    "founder-conductor": "NN",
    "founder-originator": "NN",
    "foundered": "VBD|VBN",
    "foundering": "VBG|JJ",
    "founders": "NNS|VBZ",
    "founding": "NN|VBG|JJ",
    "foundling": "NN",
    "foundry": "NN",
    "founds": "VBZ",
    "fountain": "NN",
    "fountain-falls": "NNS",
    "fountain-head": "NN",
    "fountainhead": "NN",
    "fountains": "NNS",
    "four-bagger": "NN",
    "four-cents-a-share": "JJ",
    "four-color": "JJ",
    "four-count": "JJ",
    "four-crate": "JJ",
    "four-cylinder": "JJ",
    "four-day": "JJ",
    "four-door": "JJ",
    "four-element": "JJ",
    "four-engined": "JJ",
    "four-family": "JJ",
    "four-fold": "RB|JJ",
    "four-foot-high": "JJ",
    "four-for-one": "RB",
    "four-game": "JJ",
    "four-games-to-one": "JJ",
    "four-hour": "JJ",
    "four-in-hand": "JJ",
    "four-inch": "JJ",
    "four-jet": "JJ",
    "four-lane": "JJ",
    "four-letter": "JJ",
    "four-man": "JJ",
    "four-megabit": "JJ",
    "four-member": "JJ",
    "four-mile": "JJ",
    "four-minute": "JJ",
    "four-month": "JJ",
    "four-month-old": "JJ",
    "four-nation": "JJ",
    "four-page": "JJ",
    "four-page-a-minute": "JJ",
    "four-part": "JJ",
    "four-person": "JJ",
    "four-point": "JJ",
    "four-quarter": "JJ",
    "four-room": "JJ",
    "four-sided": "JJ",
    "four-speed": "JJ",
    "four-square": "NN",
    "four-square-block": "JJ",
    "four-star": "JJ",
    "four-stock": "JJ",
    "four-story": "JJ",
    "four-stroke": "JJ",
    "four-syllable": "JJ",
    "four-thirty": "RB",
    "four-to-one": "RB",
    "four-week": "JJ",
    "four-wheel": "JJ",
    "four-wheel-drive": "NN|JJ",
    "four-wood": "JJ",
    "four-year": "JJ",
    "four-year-old": "JJ",
    "fourfold": "RB|JJ",
    "fours": "NNS",
    "foursome": "NN",
    "fourteen-nation": "NN",
    "fourteen-team": "JJ",
    "fourteen-year-old": "JJ",
    "fourteenth": "JJ",
    "fourth": "JJ|RB",
    "fourth-biggest": "JJ",
    "fourth-century": "JJ",
    "fourth-class": "JJ",
    "fourth-consecutive": "JJ",
    "fourth-down": "NN",
    "fourth-fifths": "NNS",
    "fourth-flight": "JJ",
    "fourth-generation": "JJ",
    "fourth-grade": "JJ",
    "fourth-hand": "JJ",
    "fourth-largest": "JJ",
    "fourth-level": "JJ",
    "fourth-period": "JJ",
    "fourth-quarter": "JJ|NN",
    "fourth-ranked": "JJ",
    "fourth-ranking": "JJ",
    "fourthquarter": "NN",
    "foward": "JJ",
    "fowl": "NN",
    "fox": "NN|VB",
    "fox-hounds": "NNS",
    "fox-terrier": "NN",
    "foxes": "NNS",
    "foxholes": "NNS",
    "foxtail": "NN",
    "foyer": "NN",
    "fps": "NNS",
    "fracas": "NN",
    "fracases": "NNS",
    "fraction": "NN|VB",
    "fractional": "JJ",
    "fractionally": "RB",
    "fractionated": "VBN|VBD",
    "fractionation": "NN",
    "fractioning": "VBG",
    "fractions": "NNS|VBZ",
    "fractious": "JJ",
    "fracture": "NN|VB",
    "fractured": "JJ|VBN|VBD",
    "fractures": "NNS|VBZ",
    "fracturing": "VBG",
    "fragile": "JJ",
    "fragility": "NN",
    "fragment": "NN",
    "fragmentarily": "RB",
    "fragmentary": "JJ|RB",
    "fragmentation": "NN",
    "fragmentations": "NNS",
    "fragmented": "JJ|VBN",
    "fragments": "NNS|VBZ",
    "fragrance": "NN",
    "fragrances": "NNS",
    "fragrant": "JJ",
    "frail": "JJ",
    "frailest": "JJS",
    "frailties": "NNS",
    "frambesia": "NN",
    "frame": "NN|VBP|VB",
    "framed": "VBN|VBD|JJ",
    "framer": "NN",
    "framers": "NNS",
    "frames": "NNS|VBZ",
    "framework": "NN",
    "framing": "VBG|NN",
    "franc": "NN",
    "franc-denominated": "JJ",
    "franca": "FW",
    "franchise": "NN|VB",
    "franchised": "VBN|JJ|VBD",
    "franchisee": "NN",
    "franchisees": "NNS",
    "franchiser": "NN",
    "franchisers": "NNS",
    "franchises": "NNS|VBZ",
    "franchising": "VBG|NN",
    "franchisor": "NN",
    "francs": "NNS",
    "frangipani": "NNS",
    "frank": "JJ|NN|VB",
    "franked": "JJ|VBN|VBD",
    "franker": "JJR",
    "frankest": "JJS",
    "frankfurter": "NN",
    "frankfurters": "NNS",
    "franking": "NN|VBG",
    "frankly": "RB",
    "frankness": "NN",
    "franks": "NNS|VBZ",
    "franks-in-buns": "NNS",
    "frantic": "JJ",
    "frantically": "RB",
    "fraternisation": "NN",
    "fraternities": "NNS",
    "fraternity": "NN",
    "fraternize": "VB",
    "fraternized": "VBD|VBN",
    "frau": "FW",
    "fraud": "NN",
    "fraud-related": "JJ",
    "fraudulent": "JJ",
    "fraudulently": "RB",
    "fraught": "JJ",
    "fray": "NN|VB",
    "frayed": "VBN|JJ|VBD",
    "fraying": "VBG",
    "frazzled": "VBN|VBD",
    "freak": "NN|VBP",
    "freaked": "VBN",
    "freakish": "JJ",
    "freakishly": "RB",
    "freaks": "NNS",
    "freckled": "JJ",
    "freckles": "NNS",
    "free": "JJ|,|RB|VB|VBP",
    "free-agent": "NN",
    "free-blown": "JJ",
    "free-burning": "JJ",
    "free-buying": "JJ",
    "free-choice": "JJ",
    "free-drink": "JJ",
    "free-enterprise": "NN",
    "free-fall": "JJ|NN",
    "free-falling": "JJ",
    "free-floater": "NN",
    "free-for-all": "NN",
    "free-holders": "NNS",
    "free-lance": "JJ",
    "free-mail": "NN",
    "free-market": "JJ|NN",
    "free-market-oriented": "JJ",
    "free-marketer": "NN",
    "free-marketers": "NNS",
    "free-on-board": "JJ",
    "free-speech": "NN",
    "free-spending": "JJ",
    "free-spirited": "JJ",
    "free-spiritedness": "NN",
    "free-standing": "JJ",
    "free-thinkers": "NNS",
    "free-trade": "JJ|NN",
    "free-traders": "NNS",
    "free-travel": "JJ",
    "free-wheeling": "JJ",
    "free-world": "JJ",
    "freebase": "NN",
    "freebies": "NNS",
    "freebooters": "NNS",
    "freed": "VBN|JJ|VBD",
    "freedmen": "NNS",
    "freedom": "NN",
    "freedom-conscious": "JJ",
    "freedom-loving": "JJ",
    "freedoms": "NNS",
    "freefall": "NN",
    "freehand": "JJ|RB",
    "freeholders": "NNS",
    "freeing": "VBG|NN",
    "freelance": "JJ",
    "freelancers": "NNS",
    "freelancing": "NN",
    "freely": "RB",
    "freemail": "NN",
    "freeman": "NN",
    "freemarket": "JJ|NN",
    "freer": "JJR",
    "freer-spending": "JJ",
    "frees": "VBZ",
    "freescrip": "NN",
    "freespender": "NN",
    "freest": "JJS",
    "freestylers": "NNS",
    "freethinkers": "NNS",
    "freeway": "NN",
    "freeways": "NNS",
    "freewheelers": "NNS",
    "freewheeling": "JJ|VBG",
    "freeze": "NN|VB|VBP",
    "freeze-drying": "NN",
    "freeze-out": "JJ|NN",
    "freezer": "NN",
    "freezers": "NNS",
    "freezes": "VBZ|NNS",
    "freezing": "NN|VBG|JJ",
    "freight": "NN|VB|JJ",
    "freight-bums": "NNS",
    "freight-car": "NN",
    "freight-cost": "JJ",
    "freight-forwarding": "JJ",
    "freight-hauling": "JJ",
    "freight-jumper": "NN",
    "freight-rate": "JJ",
    "freight-transport": "JJ|NN",
    "freighter": "NN",
    "freighters": "NNS",
    "freights": "NNS|VBZ",
    "frenetic": "JJ",
    "frenzied": "JJ",
    "frenziedly": "RB",
    "frenzy": "NN",
    "frenzy-free": "JJ",
    "frequencies": "NNS",
    "frequency": "NN",
    "frequency-control": "JJ",
    "frequency-independent": "JJ",
    "frequency-modulation": "NN",
    "frequent": "JJ|VBP|VB",
    "frequent-flier": "JJ",
    "frequent-flyer": "NN",
    "frequented": "VBD|VBN",
    "frequently": "RB",
    "frequents": "VBZ",
    "fresco": "NN",
    "frescoed": "JJ",
    "frescoes": "NNS",
    "frescoing": "NN",
    "frescos": "NNS",
    "fresh": "JJ|RB",
    "fresh-faced": "JJ",
    "fresh-fruit": "JJ|NN",
    "fresh-ground": "JJ",
    "fresh-perked": "JJ",
    "freshborn": "NN",
    "freshened": "VBN",
    "fresher": "JJR",
    "freshly": "RB",
    "freshly-ground": "JJ",
    "freshman": "NN",
    "freshmen": "NNS",
    "freshness": "NN",
    "freshwater": "JJR",
    "fret": "VBP|NN|VB",
    "frets": "VBZ",
    "fretted": "VBD|VBN|JJ",
    "fretting": "VBG",
    "friable": "JJ",
    "friar": "NN",
    "friction": "NN",
    "friction-free": "JJ",
    "frictional": "JJ",
    "frictionless": "JJ",
    "frictions": "NNS",
    "fridge": "NN",
    "fried": "JJ|VBN|VBD",
    "friend": "NN",
    "friend-of-the-court": "JJ",
    "friendlier": "JJR|RBR",
    "friendlily": "RB",
    "friendliness": "NN",
    "friendly": "JJ",
    "friends": "NNS",
    "friendship": "NN",
    "friendships": "NNS",
    "friers": "NNS",
    "fries": "NNS|VBZ",
    "frieze": "NN",
    "friezes": "NNS",
    "frigate": "NN",
    "frigates": "NNS",
    "fright": "NN|VB",
    "frighten": "VB|VBP",
    "frightened": "VBN|JJ|VBD",
    "frightening": "JJ|VBG",
    "frighteningly": "RB",
    "frightens": "VBZ",
    "frightful": "JJ",
    "frightfully": "RB",
    "frigid": "JJ",
    "frill": "NN",
    "frills": "NNS",
    "frilly": "JJ",
    "fringe": "NN|JJ",
    "fringe-benefit": "NN",
    "fringed": "VBN|JJ",
    "fringed-wrapped": "JJ",
    "fringes": "NNS",
    "fripperies": "NNS",
    "frise": "FW",
    "frisky": "JJ",
    "frittered": "VBN|VBD",
    "frittering": "VBG",
    "fritters": "NNS|VBZ",
    "frivolities": "NNS",
    "frivolity": "NN",
    "frivolous": "JJ",
    "frivolously": "RB",
    "frizzled": "JJ|VBD|VBN",
    "frizzling": "VBG",
    "fro": "RB",
    "frock": "NN",
    "frocks": "NNS",
    "frog": "NN",
    "frog-eating": "JJ",
    "frog-haiku": "NN",
    "frogmen": "NNS",
    "frogs": "NNS",
    "frolic": "VB|NN",
    "frolicked": "VBN",
    "frolicking": "VBG",
    "frolics": "NNS|VBZ",
    "from": "IN|RB|RP",
    "fronds": "NNS",
    "front": "NN|JJ|RB|VB",
    "front-back": "JJ",
    "front-desk": "NN|JJ",
    "front-end": "JJ",
    "front-line": "JJ|NN",
    "front-loaded": "JJ",
    "front-loaders": "NNS",
    "front-loads": "VBZ",
    "front-office": "NN",
    "front-page": "JJ|NN",
    "front-runner": "NN",
    "front-runners": "NNS",
    "front-running": "JJ",
    "front-seat": "NN",
    "frontage": "NN",
    "frontal": "JJ",
    "fronted": "VBD|VBN",
    "frontend": "NN",
    "frontier": "NN",
    "frontiers": "NNS",
    "frontiersmen": "NNS",
    "fronting": "VBG|NN",
    "frontrunner": "NN",
    "fronts": "NNS|VBZ",
    "fros": "NNS",
    "frost": "NN|VB",
    "frost-bitten": "JJ",
    "frostbite": "NN|VB",
    "frosted": "VBD|VBN",
    "frosting": "NN|VBG",
    "frosty": "JJ",
    "froth": "NN|VB",
    "frothier": "RBR",
    "frothing": "VBG|NN",
    "frothy": "JJ",
    "frown": "VBP|VB",
    "frowned": "VBD|VBN",
    "frowning": "VBG",
    "frowningly": "RB",
    "frowns": "VBZ",
    "frowzy": "JJ",
    "froze": "VBD|VBN",
    "frozen": "VBN|JJ",
    "frozen-embryo": "NN",
    "frozen-food": "NN",
    "frozen-foods": "NNS",
    "frozen-pizza": "NN",
    "fructose": "NN",
    "frugal": "JJ",
    "frugality": "NN",
    "frugally": "RB",
    "fruit": "NN",
    "fruit-concentrate": "JJ",
    "fruit-flavored": "JJ",
    "fruit-juice": "NN",
    "fruitbowl": "NN",
    "fruitful": "JJ",
    "fruitfully": "RB",
    "fruitfulness": "NN",
    "fruition": "NN",
    "fruitless": "JJ",
    "fruitlessly": "RB",
    "fruits": "NNS",
    "fruity": "JJ",
    "frumpy": "JJ",
    "frustrate": "VB",
    "frustrated": "VBN|JJ|VBD",
    "frustrated...": ":",
    "frustrates": "VBZ",
    "frustrating": "JJ|VBG",
    "frustratingly": "RB",
    "frustration": "NN",
    "frustrations": "NNS",
    "fry": "NN|VBP|VB",
    "fryers": "NNS",
    "frying": "VBG|NN",
    "ft": "NN",
    "ft.": "NN|NNS",
    "fuchsia": "NN",
    "fuck": "VB",
    "fucken": "JJ",
    "fucks": "NNS|VBZ",
    "fuddy-duddy": "JJ",
    "fudge": "VBP|VB|NN",
    "fudged": "VBD|VBN",
    "fudging": "NN|VBG",
    "fuel": "NN|VBP|VB",
    "fuel-cost": "JJ",
    "fuel-distribution": "NN",
    "fuel-economy": "NN",
    "fuel-efficiency": "JJ",
    "fuel-efficient": "JJ",
    "fuel-guzzling": "JJ",
    "fuel-injected": "JJ",
    "fuel-neutral": "JJ",
    "fuel-services": "NNS",
    "fuel-storage": "NN",
    "fueled": "VBN|VBD",
    "fueling": "VBG|NN",
    "fueloil": "NN",
    "fuels": "NNS|VBZ",
    "fuer": "NNP",
    "fugitive": "JJ|NN",
    "fugitives": "NNS",
    "fugual": "JJ",
    "fugures": "NNS",
    "fulcrum": "NN",
    "fulfill": "VB|VBP",
    "fulfilled": "VBD|VBN",
    "fulfilling": "VBG|JJ",
    "fulfillment": "NN",
    "fulfills": "VBZ",
    "fulfilment": "NN",
    "fulfull": "VB",
    "full": "JJ|RB|VB",
    "full-banded": "JJ",
    "full-blown": "JJ|NN",
    "full-bodied": "JJ",
    "full-body": "JJ",
    "full-clad": "JJ",
    "full-commission": "JJ",
    "full-dress": "JJ",
    "full-fledged": "JJ",
    "full-grown": "JJ",
    "full-length": "JJ|NN",
    "full-of-the-moon": "NN",
    "full-on": "JJ",
    "full-page": "JJ",
    "full-point": "JJ",
    "full-power": "JJ",
    "full-range": "JJ",
    "full-scale": "JJ",
    "full-season": "JJ",
    "full-service": "JJ",
    "full-sisters": "NNS",
    "full-size": "JJ",
    "full-sized": "JJ",
    "full-spectrum": "NN",
    "full-strength": "JJ",
    "full-throated": "JJ",
    "full-time": "JJ|RB",
    "full-year": "JJ",
    "fullback": "NN",
    "fullbacking": "VBG",
    "fuller": "JJR",
    "fullest": "JJS",
    "fulllength": "JJ",
    "fullness": "NN",
    "fullscale": "JJ",
    "fully": "RB",
    "fully-diluted": "JJ",
    "fullyear": "JJ",
    "fulminate": "VB",
    "fulminating": "VBG",
    "fulminations": "NNS",
    "fumble": "NN|VB",
    "fumbled": "VBD|VBN",
    "fumbling": "VBG|JJ",
    "fume-filled": "JJ",
    "fumed": "VBD|VBN",
    "fumed-oak": "JJ|NN",
    "fumes": "NNS|VBZ",
    "fumigant": "NN",
    "fumigants": "NNS",
    "fuming": "VBG|JJ",
    "fumpered": "VBD",
    "fun": "NN|JJ",
    "fun-filled": "JJ",
    "fun-in-the-sun": "JJ",
    "fun-loving": "JJ",
    "function": "NN|VB|VBP",
    "functional": "JJ|NN",
    "functionalism": "NN",
    "functionally": "RB",
    "functionaries": "NNS",
    "functionary": "NN",
    "functioned": "VBD|VBN",
    "functioning": "VBG|NN",
    "functions": "NNS|VBZ",
    "fund": "NN|VBP",
    "fund-objective": "JJ",
    "fund-raiser": "NN",
    "fund-raisers": "NNS",
    "fund-raising": "JJ|NN",
    "fund-research": "JJ|NN",
    "fund-selling": "JJ",
    "fundamantal": "JJ",
    "fundamantalist": "NN",
    "fundamental": "JJ",
    "fundamentalism": "NN",
    "fundamentalist": "JJ|NN",
    "fundamentalists": "NNS",
    "fundamentally": "RB",
    "fundamentals": "NNS",
    "funded": "VBN|VBD|JJ",
    "funding": "NN|VBG|JJ",
    "fundraiser": "NN",
    "fundraisers": "NNS",
    "fundraising": "VBG|NN",
    "funds": "NNS|VBZ",
    "funds-management": "NN",
    "funds-service": "JJ",
    "funeral": "JJ|NN",
    "funeral-accessories": "NNS",
    "fungal": "JJ",
    "fungi": "NNS",
    "fungible": "JJ",
    "fungicides": "NNS",
    "fungus": "NN",
    "fungus-produced": "JJ",
    "funks": "NNS|VBZ",
    "funky": "JJ",
    "funn-eeee": "JJ",
    "funn-ih": "JJ",
    "funnel": "VB|NN",
    "funneled": "VBN|VBD",
    "funneling": "VBG",
    "funnels": "NNS|VBZ",
    "funnier": "JJR",
    "funniest": "JJS",
    "funny": "JJ",
    "fur": "NN",
    "fur-and-leather": "JJ",
    "fur-lined": "JJ",
    "fur-making": "JJ",
    "fur-piece": "NN",
    "fur-production": "JJ",
    "furbishing": "NN|VBG",
    "furious": "JJ",
    "furiouser": "RBR",
    "furiously": "RB",
    "furled": "VBD",
    "furlongs": "NNS",
    "furlough": "NN",
    "furloughed": "VBN",
    "furloughs": "NNS",
    "furnace": "NN",
    "furnaces": "NNS",
    "furnish": "VB|VBP",
    "furnished": "JJ|VBN|VBD",
    "furnishes": "VBZ",
    "furnishing": "NN|VBG",
    "furnishings": "NNS",
    "furniture": "NN",
    "furor": "NN",
    "furrier": "NN",
    "furriers": "NNS",
    "furrow": "NN|VB",
    "furrowed": "JJ|VBN|VBD",
    "furrows": "VBZ|NNS",
    "furry": "JJ",
    "furs": "NNS",
    "further": "JJ|RB|RBR|JJR|VB",
    "furthered": "VBD|VBN",
    "furthering": "VBG",
    "furthermore": "RB",
    "furthers": "VBZ",
    "furthest": "JJS|RBS",
    "furtive": "JJ",
    "furtively": "RB",
    "fury": "NN",
    "fuse": "NN|VB",
    "fused": "VBN|VBD",
    "fuselage": "NN",
    "fuses": "NNS|VBZ",
    "fusiform": "JJ",
    "fusillade": "NN",
    "fusillades": "NNS",
    "fusing": "NN|VBG",
    "fusion": "NN",
    "fuss": "NN|VB",
    "fusses": "VBZ",
    "fussily": "RB",
    "fussing": "VBG",
    "fussy": "JJ",
    "fusty": "JJ",
    "futile": "JJ",
    "futility": "NN",
    "future": "JJ|NN",
    "future-day": "JJ",
    "future-time": "JJ",
    "futureeither": "NN",
    "futures": "NNS",
    "futures-exchange": "NN",
    "futures-investment": "JJ",
    "futures-market": "NN",
    "futures-related": "JJ",
    "futures-trading": "JJ",
    "futurist": "NN",
    "futurist/director": "NN",
    "futuristic": "JJ",
    "futurists": "NNS",
    "fuzz": "NN",
    "fuzzed": "VBD|VBN",
    "fuzzier": "JJR",
    "fuzzy": "JJ",
    "fy": "VBP",
    "g": "NN",
    "g-p": "NN",
    "gab": "NN|VB",
    "gabardine": "NN",
    "gabbing": "VBG",
    "gabble": "NN|VB",
    "gabbling": "VBG",
    "gable": "NN",
    "gadflies": "NNS",
    "gadfly": "NN",
    "gadget": "NN",
    "gadgetry": "NN",
    "gadgets": "NNS",
    "gaffes": "NNS",
    "gag": "NN|VB",
    "gage": "NN|VB",
    "gages": "NNS|VBZ",
    "gagged": "VBN|VBD",
    "gagging": "VBG",
    "gaggle": "NN",
    "gaging": "NN|VBG",
    "gagline": "NN",
    "gags": "NNS|VBZ",
    "gagwriters": "NNS",
    "gai": "FW",
    "gaiety": "NN",
    "gaily": "RB",
    "gain": "NN|VBP|VB",
    "gain.": "NN",
    "gained": "VBD|VBN",
    "gainer": "NN",
    "gainers": "NNS",
    "gainful": "JJ",
    "gaining": "VBG",
    "gains-tax": "JJ|NN",
    "gains-tax-cut": "JJ",
    "gait": "NN",
    "gaited": "JJ",
    "gaiters": "NNS",
    "gal": "NN|JJ",
    "gala": "NN|JJ",
    "galactic": "JJ",
    "galaxies": "NNS",
    "galaxy": "NN",
    "galbula": "FW",
    "gale": "NN",
    "gall": "NN|VB",
    "gall-bladder": "NN",
    "gallant": "JJ",
    "gallantry": "NN",
    "gallants": "NNS",
    "gallbladder": "NN",
    "galled": "VBN|VBD",
    "galleries": "NNS",
    "gallery": "NN",
    "galley": "NN",
    "galleys": "NNS",
    "galling": "JJ|VBG",
    "gallium": "NN",
    "gallivantin": "NN",
    "gallon": "NN",
    "gallonage": "NN",
    "gallons": "NNS",
    "gallop": "NN|VB",
    "galloped": "VBN",
    "galloping": "VBG|JJ",
    "gallows": "NN|NNS",
    "galls": "NNS|VBZ",
    "gallstone": "NN",
    "gallstones": "NNS",
    "gallus-snapping": "JJ",
    "gals": "NNS",
    "galvanic": "JJ",
    "galvanism": "NN",
    "galvanize": "VB",
    "galvanized": "JJ|VBD|VBN",
    "galvanizing": "VBG|NN",
    "gambit": "NN",
    "gambits": "NNS",
    "gamble": "NN|VB",
    "gambled": "VBN|VBD",
    "gambler": "NN",
    "gambler-politician": "NN",
    "gamblers": "NNS",
    "gambles": "NNS|VBZ",
    "gambling": "NN|VBG",
    "game": "NN",
    "game-management": "NN",
    "game-show": "NN|JJ",
    "game-shows": "NNS",
    "game-winning": "JJ",
    "gamebird": "NN",
    "gamekeeper": "NN",
    "games": "NNS",
    "gamesmen": "NNS",
    "gametes": "NNS",
    "gametocide": "NN",
    "gaming": "NN",
    "gaming-card": "NN",
    "gaming-industry": "NN",
    "gamma": "NN|JJ",
    "gamut": "NN",
    "gander": "NN",
    "gang": "NN|VB",
    "gangbusters": "NNS",
    "ganging": "VBG",
    "gangland": "NN",
    "gangling": "JJ",
    "ganglion": "NN",
    "gangplank": "NN",
    "gangs": "NNS|VBZ",
    "gangster": "NN",
    "gangsterish": "JJ",
    "gangsters": "NNS",
    "gangway": "NN|UH",
    "gantlet": "NN",
    "gap": "NN|VB",
    "gaped": "VBN|VBD",
    "gaping": "JJ|VBG",
    "gapped": "VBD|VBN",
    "gaps": "NNS|VBZ",
    "gapt": "NN",
    "garage": "NN|VBP",
    "garaged": "VBN",
    "garages": "NNS",
    "garb": "NN|VB",
    "garbage": "NN",
    "garbage-disposal": "NN|JJ",
    "garbage-in": "JJ",
    "garbage-incinerator": "NN",
    "garbage-out": "JJ",
    "garbage-to-energy": "JJ",
    "garbed": "VBN|VBD",
    "garbled": "VBN|VBD|JJ",
    "garde": "FW",
    "garden": "NN|VB",
    "garden-shrub": "NN",
    "garden-variety": "NN",
    "garden...": ":",
    "gardened": "VBD",
    "gardener": "NN",
    "gardeners": "NNS",
    "gardenettes": "NNS",
    "gardenia": "NN",
    "gardenias": "NNS",
    "gardening": "NN|VBG",
    "gardens": "NNS|VBZ",
    "gargantuan": "JJ",
    "gargle": "NN|VB",
    "garish": "JJ",
    "garishness": "NN",
    "garland": "NN",
    "garlanded": "VBD",
    "garlic": "NN",
    "garment": "NN|VB",
    "garment-industry": "NN",
    "garments": "NNS|VBZ",
    "garner": "VB|VBP",
    "garnered": "VBD|VBN",
    "garnet": "NN",
    "garnish": "NN|VB",
    "garoupa": "NN",
    "garrison": "NN|VB",
    "garrisoned": "VBN",
    "garroting": "VBG",
    "garrulous": "JJ",
    "garter": "NN",
    "gas": "NN|VB",
    "gas-company": "NN",
    "gas-cooled": "JJ",
    "gas-derived": "JJ",
    "gas-fired": "JJ",
    "gas-gathering": "JJ|VBG",
    "gas-glass": "NN",
    "gas-guzzling": "JJ",
    "gas-one-tenth": "NN",
    "gas-pipeline": "JJ",
    "gas-producing": "NN|JJ",
    "gas-saving": "JJ",
    "gas-station": "JJ",
    "gas-tax": "NN",
    "gas-tax-increasing": "JJ",
    "gas-turbine": "JJ",
    "gasconade": "VB",
    "gaseous": "JJ",
    "gases": "NNS",
    "gash": "NN|VB",
    "gashes": "NNS|VBZ",
    "gasket": "NN",
    "gaskets": "NNS",
    "gaslights": "NNS",
    "gasoline": "NN",
    "gasoline-powered": "JJ",
    "gasolines": "NNS",
    "gasp": "VB|NN",
    "gasped": "VBD|VBN",
    "gasping": "VBG",
    "gaspingly": "RB",
    "gasps": "NNS|VBZ",
    "gassed": "VBN",
    "gasser": "NN",
    "gasses": "NNS",
    "gassing": "NN",
    "gassings": "NNS",
    "gassy": "JJ",
    "gastric": "JJ",
    "gastro-intestinal": "JJ",
    "gastrocnemius": "NN",
    "gastrointestinal": "JJ",
    "gastronomes": "NNS",
    "gastronomy": "NN",
    "gate": "NN",
    "gate-post": "NN",
    "gates": "NNS|VBZ",
    "gateway": "NN",
    "gateways": "NNS",
    "gather": "VB|VBP",
    "gathered": "VBN|VBD|JJ",
    "gathering": "NN|VBG",
    "gathering-in": "NN",
    "gatherings": "NNS",
    "gathers": "VBZ",
    "gauche": "JJ",
    "gaucherie": "NN",
    "gaucheries": "NNS",
    "gaucho": "NN",
    "gaudy": "JJ",
    "gauge": "VB|NN",
    "gauged": "VBN|VBD",
    "gauges": "VBZ|NNS",
    "gauging": "VBG",
    "gaunt": "JJ",
    "gauntlet": "NN",
    "gauss": "NN",
    "gauze": "NN",
    "gave": "VBD",
    "gavottes": "NNS",
    "gawky": "JJ",
    "gay": "JJ",
    "gay-bashing": "JJ",
    "gay-ess": "VBP",
    "gay-rights": "NNS",
    "gay-student": "JJ",
    "gay/bisexual": "JJ",
    "gayety": "NN",
    "gays": "NNS",
    "gaze": "VBP|NN|VB",
    "gazed": "VBD|VBN",
    "gazelle": "NN",
    "gazer": "NN",
    "gazes": "VBZ",
    "gazing": "VBG",
    "gazpacho": "NN",
    "gear": "NN|VB|VBP",
    "gear-box": "NN",
    "gear-sets": "NNS",
    "gearboxes": "NNS",
    "geared": "VBN|VBD",
    "gearing": "VBG",
    "gears": "NNS|VBZ",
    "gee": "UH",
    "geeing": "VBG",
    "geeks": "NNS",
    "geered": "VBN",
    "geese": "NNS",
    "gegenschein": "NN",
    "gel": "NN|VB",
    "gelatin": "NN",
    "gelatin-like": "JJ",
    "gelding": "NN|VBG",
    "geldings": "NNS",
    "gels": "VBZ",
    "gem": "NN",
    "gemlike": "JJ",
    "gems": "NNS",
    "gemsbok": "NNS",
    "gemstone": "NN",
    "gen": "NN",
    "gendarme": "NN",
    "gender": "NN|VB",
    "genders": "NNS|VBZ",
    "gene": "NN",
    "gene-copying": "JJ",
    "gene-replication": "NN",
    "gene-splicing": "NN|JJ",
    "gene-therapy": "NN",
    "genealogies": "NNS",
    "genera": "NN",
    "general": "JJ|NN",
    "general-appeal": "JJ",
    "general-director": "NN",
    "general-election": "JJ|NN",
    "general-insurance": "NN",
    "general-interest": "JJ",
    "general-management": "NN",
    "general-merchandise": "NN",
    "general-practice": "JJ",
    "general-practitioner": "NN",
    "general-purpose": "JJ",
    "general-staff": "JJ|NN",
    "generalist": "NN",
    "generalists": "NNS",
    "generalities": "NNS",
    "generality": "NN",
    "generalization": "NN",
    "generalizations": "NNS",
    "generalize": "VB|VBP",
    "generalized": "JJ|VBN|VBD",
    "generally": "RB",
    "generalpurpose": "JJ",
    "generals": "NNS",
    "generalship": "NN",
    "generate": "VB|VBP",
    "generated": "VBD|VBN|VBG",
    "generates": "VBZ",
    "generating": "VBG|NN",
    "generation": "NN",
    "generation-skipping": "JJ",
    "generational": "JJ",
    "generations": "NNS",
    "generator": "NN",
    "generators": "NNS",
    "generic": "JJ",
    "generic-drug": "NN|JJ",
    "generically": "RB",
    "generics": "NNS",
    "generics-maker": "NN",
    "generosity": "NN",
    "generous": "JJ",
    "generously": "RB",
    "genes": "NNS",
    "genesis": "NN",
    "genetic": "JJ",
    "genetic-engineering": "JJ",
    "genetically": "RB",
    "geneticist": "NN",
    "geneticists": "NNS",
    "genetics": "NNS",
    "genial": "JJ",
    "genie": "NN",
    "genii": "NN",
    "genital": "JJ",
    "genius": "NN",
    "geniuses": "NNS",
    "genocide": "NN",
    "genome": "NN",
    "genre": "NN",
    "genres": "NNS",
    "genteel": "JJ",
    "gentian": "NN",
    "gentians": "NNS",
    "gentile": "NN|JJ",
    "gentility": "NN",
    "gentle": "JJ|VB",
    "gentleladies": "NNS",
    "gentlelady": "NN",
    "gentleman": "NN",
    "gentlemanly": "JJ",
    "gentlemen": "NNS",
    "gentleness": "NN",
    "gentler": "JJR",
    "gentler-sloping": "JJ",
    "gently": "RB",
    "gentrified": "VBN",
    "gentry": "NN",
    "genuine": "JJ",
    "genuinely": "RB",
    "genus": "NN",
    "geo-political": "JJ",
    "geocentric": "JJ",
    "geochemistry": "NN",
    "geode": "NN",
    "geographer": "NN",
    "geographers": "NNS",
    "geographic": "JJ",
    "geographical": "JJ",
    "geographically": "RB",
    "geography": "NN",
    "geologic": "JJ",
    "geological": "JJ",
    "geologically": "RB",
    "geologist": "NN",
    "geologists": "NNS",
    "geology": "NN",
    "geometric": "JJ",
    "geometrical": "JJ",
    "geometrically": "RB",
    "geometry": "NN",
    "geopolitical": "JJ",
    "geosciences": "NNS",
    "geothermal": "JJ",
    "geranium": "NN",
    "gerbera": "NN",
    "geriatric": "JJ",
    "germ": "NN",
    "germane": "JJ",
    "germaneness": "NN",
    "germanium": "NN",
    "germinal": "JJ",
    "germinate": "VBP|VB",
    "germinated": "JJ|VBD|VBN",
    "germs": "NNS",
    "gerrymandering": "NN",
    "gerundial": "JJ",
    "gestational": "JJ",
    "gesticulated": "VBD|VBN",
    "gesticulating": "VBG",
    "gesture": "NN|VB",
    "gestured": "VBD|VBN",
    "gestures": "NNS|VBZ",
    "gesturing": "VBG",
    "get": "VB|VBP",
    "get-along": "JJ",
    "get-out-of-my-way": "JJ",
    "get-out-the-vote": "JJ",
    "get-rich-quick": "JJ",
    "get-together": "NN",
    "get-togethers": "NNS",
    "get-tough": "JJ",
    "get...": ":",
    "getaway": "NN",
    "gether": "VB",
    "gets": "VBZ",
    "gettin": "VBG",
    "getting": "VBG",
    "geyser": "NN",
    "geysering": "VBG",
    "geysers": "NNS",
    "ghastly": "JJ",
    "ghazal": "FW",
    "ghazals": "FW",
    "gherkins": "NNS",
    "ghetto": "NN",
    "ghettos": "NNS",
    "ghilianii": "FW",
    "ghost": "NN|VB",
    "ghost-busting": "NN",
    "ghostbusters": "NNS",
    "ghostbusting": "NN",
    "ghosted": "VBD|VBN",
    "ghostlike": "JJ",
    "ghostly": "JJ",
    "ghosts": "NNS|VBZ",
    "ghoul": "NN",
    "ghoulish": "JJ",
    "ghouls": "NNS",
    "giant": "NN|JJ",
    "giants": "NNS",
    "gibberish": "NN|JJ",
    "gibbet": "NN|VB",
    "gibe": "NN|VB",
    "gibes": "NNS|VBZ",
    "giblet": "NN",
    "giddiness": "NN",
    "giddy": "JJ",
    "gift": "NN|VB",
    "gift-giving": "NN|JJ",
    "gift-products": "NNS",
    "gifted": "JJ|VBN|VBD",
    "gifts": "NNS|VBZ",
    "gig": "NN",
    "gigantic": "JJ",
    "giggle": "NN",
    "giggled": "VBD|VBN",
    "giggles": "NNS",
    "giggling": "VBG",
    "gigolo": "NN",
    "gigue-like": "JJ",
    "gild": "VB",
    "gilded": "JJ|VBD|VBN",
    "gilding": "NN|VBG",
    "gilt": "JJ|NN",
    "gilt-edged": "JJ",
    "gilts": "NNS",
    "gim": "VB",
    "gimbaled": "JJ",
    "gimcracks": "NNS",
    "gimmick": "NN",
    "gimmick-ridden": "JJ",
    "gimmickry": "NN",
    "gimmicks": "NNS",
    "gimmicky": "JJ",
    "gin": "NN",
    "gin-and-tonics": "NNS",
    "ginger": "NN",
    "gingerly": "RB|JJ",
    "gingham": "NN",
    "ginkgo": "NN",
    "ginmill": "NN",
    "ginnin": "VBG",
    "ginning": "NN",
    "gins": "NNS",
    "ginseng": "NN",
    "gird": "VB",
    "girded": "VBD|VBN",
    "girder": "NN",
    "girders": "NNS",
    "girding": "VBG",
    "girdle": "NN|VB",
    "girds": "VBZ",
    "girl": "NN",
    "girl-friend": "NN",
    "girl-san": "NN",
    "girlfriend": "NN",
    "girlfriends": "NNS",
    "girlie": "NN",
    "girlish": "JJ",
    "girlishly": "RB",
    "girls": "NNS",
    "girth": "NN|VB",
    "gist": "NN",
    "git": "VB|VBP",
    "give": "VB|NN|VBP",
    "give-and-take": "NN",
    "give-away": "JJ",
    "giveaway": "JJ|NN",
    "giveaways": "NNS",
    "givebacks": "NNS",
    "given": "VBN|JJ",
    "givenness": "NN",
    "giver": "NN",
    "gives": "VBZ",
    "giveth": "VBZ",
    "givin": "VBG",
    "giving": "VBG|NN",
    "gizmo": "NN",
    "gizmos": "NNS",
    "glacial": "JJ",
    "glacier": "NN",
    "glacier-like": "JJ",
    "glaciers": "NNS",
    "glad": "JJ",
    "glad-handing": "NN",
    "glade": "NN",
    "gladiator": "NN",
    "gladly": "RB",
    "gladness": "NN",
    "glamor": "NN",
    "glamorize": "VB",
    "glamorized": "VBN|VBD",
    "glamorous": "JJ",
    "glamour": "NN|VB",
    "glance": "NN|VB",
    "glanced": "VBD|VBN",
    "glances": "NNS|VBZ",
    "glancing": "VBG|JJ",
    "gland": "NN",
    "glanders": "NNS",
    "glands": "NNS",
    "glandular": "JJ",
    "glare": "NN|VB|JJ",
    "glared": "VBD|VBN",
    "glares": "VBZ",
    "glaring": "JJ|VBG",
    "glaringly": "RB",
    "glasnost": "FW|NN",
    "glass": "NN|VB",
    "glass-bottom": "JJ",
    "glass-container": "NN|JJ",
    "glass-fiber": "JJ",
    "glass-like": "JJ",
    "glass-making": "NN|JJ",
    "glass-strewn": "JJ",
    "glasses": "NNS|VBZ",
    "glassless": "JJ",
    "glassware": "NN",
    "glassy": "JJ",
    "glaucoma": "NN",
    "glaze": "VB|NN|VBP",
    "glazed": "VBN|VBD",
    "glazes": "NNS|VBZ",
    "glazing": "VBG",
    "gleam": "NN|VBP|VB",
    "gleamed": "VBD|VBN",
    "gleaming": "VBG|JJ",
    "glean": "VB",
    "gleaned": "VBN|VBD",
    "gleans": "VBZ",
    "glee": "NN",
    "glee-club": "NN",
    "gleeful": "JJ",
    "gleefully": "RB",
    "gleened": "VBN",
    "glees": "NNS",
    "glen": "NN",
    "glib": "JJ",
    "glibly": "RB",
    "glide": "VB|VBP",
    "glide-bombed": "VBD",
    "glided": "VBD|VBN",
    "glider": "NN",
    "gliders": "NNS",
    "glides": "VBZ",
    "gliding": "VBG",
    "glimmer": "NN|VB",
    "glimmering": "VBG",
    "glimmers": "NNS|VBZ",
    "glimpse": "NN",
    "glimpsed": "VBN|VBD",
    "glimpses": "NNS",
    "glint": "NN|VB",
    "glinted": "VBD|VBN",
    "glinting": "VBG",
    "glissade": "NN",
    "glisten": "NN|VB|VBP",
    "glistened": "VBD|VBN",
    "glistening": "VBG",
    "glitch": "NN",
    "glitches": "NNS",
    "glitter": "NN|VB",
    "glitterati": "NNS",
    "glittered": "VBD|VBN",
    "glittering": "VBG",
    "glittery": "NN",
    "glitz": "NN",
    "glitzy": "JJ|NN",
    "gloat": "VB|NN",
    "gloated": "VBD|VBN",
    "gloaters": "NNS",
    "gloating": "VBG",
    "gloats": "VBZ",
    "glob-flakes": "NN",
    "global": "JJ",
    "global-funds": "JJ",
    "global-market": "JJ",
    "global-news": "NN",
    "global-warming": "JJ",
    "globalism": "NN",
    "globalist": "NN",
    "globalists": "NNS",
    "globalization": "NN",
    "globalized": "JJ",
    "globalizing": "VBG",
    "globally": "RB",
    "globe": "NN",
    "globe-girdling": "JJ",
    "globe-spanning": "JJ",
    "globes": "NNS",
    "globetrotter": "NN",
    "globigii": "NNS",
    "globulin": "NN",
    "globulins": "NNS",
    "glomerular": "JJ",
    "glommed": "VBD|VBN",
    "gloom": "NN",
    "gloom-and-doom": "JJ",
    "gloomier": "JJR|RBR",
    "gloomily": "RB",
    "gloomy": "JJ",
    "glop": "NN",
    "glories": "NNS|VBZ",
    "glorification": "NN",
    "glorified": "VBN|JJ|VBD",
    "glorifies": "VBZ",
    "glorify": "VB|VBP",
    "glorious": "JJ",
    "gloriously": "RB",
    "glory": "NN",
    "glorying": "VBG",
    "gloss": "VBP|VB|NN",
    "glossary": "NN",
    "glossed": "VBD|VBN",
    "glossy": "JJ",
    "glottal": "JJ",
    "glottochronological": "JJ",
    "glottochronology": "NN",
    "glove": "NN",
    "gloved": "VBN|JJ",
    "glover": "NN",
    "gloves": "NNS",
    "glow": "NN|VB",
    "glow-in-the-dark": "JJ",
    "glowed": "VBD|VBN",
    "glowered": "VBD|VBN",
    "glowering": "VBG",
    "glowing": "JJ|VBG",
    "glows": "NNS|VBZ",
    "glucose": "NN",
    "glue": "NN|VB",
    "glued": "VBN|VBD",
    "glues": "NNS|VBZ",
    "gluey": "JJ",
    "glum": "JJ|NN",
    "glumly": "RB",
    "glut": "NN|VB",
    "glutamate": "NN",
    "glutamic": "JJ",
    "glutaric": "JJ",
    "gluten": "NN",
    "glutinous": "JJ",
    "gluts": "NNS|VBZ",
    "glutted": "JJ|VBN|VBD",
    "glutting": "VBG",
    "gluttons": "NNS",
    "gluttony": "NN",
    "glycerin": "NN",
    "glycerine": "NN",
    "glycerol": "NN",
    "glycerolized": "VBN",
    "glycol": "NN",
    "glycols": "NNS",
    "glycosides": "NNS",
    "gm": "NN",
    "gm.": "NN",
    "gnarled": "JJ|VBD|VBN",
    "gnash": "VB",
    "gnashing": "VBG",
    "gnaw": "VB",
    "gnawed": "VBD|VBN",
    "gnawing": "NN|VBG",
    "gnome": "NN",
    "gnomelike": "JJ",
    "gnomes": "NNS",
    "gnomon": "NN",
    "go": "VB|JJ|NN|RP|VBP",
    "go-ahead": "NN",
    "go-along": "JJ",
    "go-around": "NN",
    "go-between": "NN|IN",
    "go-betweens": "NNS",
    "go-getters": "NNS",
    "go-go": "JJ",
    "go-go-go": "NN",
    "go-it-alone": "JJ",
    "go-to-war": "JJ",
    "goad": "NN|VB",
    "goaded": "VBD|VBN",
    "goal": "NN",
    "goal-line": "NN",
    "goal-oriented": "JJ",
    "goal-values": "NNS",
    "goals": "NNS",
    "goat": "NN",
    "goat-drawn": "JJ",
    "goatee": "NN",
    "goats": "NNS",
    "gob": "NN",
    "gobble": "NN|VB",
    "gobbled": "VBN|VBD",
    "gobbledygook": "NN",
    "gobblers": "NNS",
    "gobbles": "VBZ",
    "gobbling": "VBG",
    "goblins": "NNS",
    "god": "NN",
    "god-like": "JJ",
    "godamit": "VB",
    "goddam": "JJ",
    "goddamit": "UH",
    "goddammit": "UH",
    "goddamn": "UH|VBN|JJ",
    "goddamned": "JJ",
    "goddess": "NN",
    "godfather": "NN",
    "godhead": "NN",
    "godless": "JJ",
    "godlike": "JJ",
    "godliness": "NN",
    "godmother": "NN",
    "gods": "NNS",
    "godsend": "NN",
    "goes": "VBZ",
    "goggle-eyed": "JJ",
    "goggles": "NNS|VBZ",
    "goin": "VBG|NN",
    "going": "VBG|JJ|NN",
    "going-home": "JJ",
    "going-over": "NN",
    "going-private": "JJ",
    "goings": "NNS",
    "goings-on": "NNS",
    "goitre": "NN",
    "goitrogen": "NN",
    "goitrogens": "NNS",
    "gold": "NN|JJ",
    "gold-backed": "JJ",
    "gold-based": "JJ",
    "gold-card-carrying": "JJ",
    "gold-convertible": "JJ",
    "gold-filled": "JJ",
    "gold-leaf": "JJ|NN",
    "gold-mining": "NN|JJ",
    "gold-mining-company": "JJ",
    "gold-oriented": "JJ",
    "gold-phone": "NN",
    "gold-plated": "JJ",
    "gold-share": "JJ",
    "gold-wire": "NN",
    "goldbanded": "VBN",
    "golden": "JJ",
    "golden-crusted": "JJ",
    "golden-parachute": "JJ",
    "golden-share": "NN",
    "goldfish": "NN",
    "golds": "NNS",
    "goldsmith": "NN",
    "goldstock": "NN",
    "golf": "NN",
    "golf-ball": "NN",
    "golfed": "VBN",
    "golfer": "NN",
    "golfers": "NNS",
    "golfers...": ":",
    "golfing": "NN|VBG",
    "golfs": "NNS",
    "golly": "UH",
    "gon": "VBG",
    "gone": "VBN|JJ",
    "gonna": "VBG",
    "gonne": "VBN",
    "goo": "NN",
    "good": "JJ|NN|RB|UH",
    "good-by": "UH|RB",
    "good-bye": "NN|JJ|UH",
    "good-cop": "JJ",
    "good-driver": "JJ",
    "good-faith": "NN|JJ",
    "good-for-you": "JJ",
    "good-hearted": "JJ",
    "good-humored": "JJ",
    "good-humoredly": "RB",
    "good-living": "JJ",
    "good-looking": "JJ",
    "good-natured": "JJ",
    "good-news": "NN",
    "good-night": "JJ",
    "good-quality": "JJ",
    "good-size": "JJ",
    "good-til-canceled": "JJ",
    "good-till-canceled": "JJ",
    "good-will": "NN|JJ",
    "goodbye": "NN|UH",
    "goodies": "NNS",
    "goodness": "NN",
    "goodnight": "NN",
    "goods": "NNS",
    "goods-producing": "JJ",
    "goodwill": "NN",
    "goody": "UH|JJ",
    "gooey": "JJ",
    "goof-offs": "NNS",
    "goofed": "VBD",
    "goofiness": "NN",
    "goofing": "VBG",
    "goofy": "JJ",
    "goons": "NNS",
    "goooolick": "NN",
    "goose": "NN",
    "goose-stepping": "VBG",
    "gooseberry": "NN",
    "goosey": "JJ",
    "gooshey": "JJ",
    "gore": "VB",
    "gored": "VBN|VBD",
    "gorge": "NN|VB",
    "gorged": "VBD|VBN",
    "gorgeous": "JJ",
    "gorgeously": "RB",
    "gorges": "NNS|VBZ",
    "gorging": "VBG",
    "gorilla": "NN",
    "gorillas": "NNS",
    "gorup": "NN",
    "gory": "JJ",
    "gosaimasu": "FW",
    "gosh": "UH",
    "gospel": "NN",
    "gossamer": "NN",
    "gossip": "NN",
    "gossiped": "VBN",
    "gossiping": "VBG",
    "gossips": "NNS|VBZ",
    "gossipy": "JJ",
    "got": "VBD|VBN|VBP",
    "gothic": "JJ",
    "gotta": "VB|VBN|VBP|TO",
    "gotten": "VBN",
    "gouge": "VB|VBP",
    "gouged": "VBD|VBN",
    "gouging": "NN|VBG",
    "gourd": "NN",
    "gourmet": "NN|JJ",
    "gourmet-food": "NN",
    "gourmets": "NNS",
    "gout": "NN",
    "goutte": "FW",
    "gouty": "JJ",
    "gouverne": "FW",
    "goverment": "NN",
    "goverment.": "NN",
    "govern": "VB|VBP",
    "governance": "NN",
    "governed": "VBN|JJ|VBD",
    "governess": "NN",
    "governing": "VBG|JJ|NN",
    "governmemt": "NN",
    "government": "NN",
    "government-agency": "JJ|NN",
    "government-appointed": "JJ",
    "government-approved": "JJ",
    "government-assisted": "JJ",
    "government-backed": "JJ",
    "government-bond": "NN|JJ",
    "government-business": "NN",
    "government-certified": "JJ",
    "government-controlled": "JJ",
    "government-dominated": "JJ",
    "government-encouraged": "JJ",
    "government-funded": "JJ",
    "government-guaranteed": "JJ",
    "government-held": "JJ",
    "government-imposed": "JJ",
    "government-insured": "JJ",
    "government-leaked": "JJ",
    "government-managed": "JJ",
    "government-mandated": "JJ",
    "government-operated": "JJ",
    "government-orchestrated": "JJ",
    "government-ordered": "JJ",
    "government-owned": "JJ",
    "government-plus": "JJ",
    "government-provided": "JJ",
    "government-relations": "NNS",
    "government-run": "JJ",
    "government-sanctioned": "JJ",
    "government-securities": "NNS|JJ",
    "government-set": "VBN",
    "government-sponsored": "JJ",
    "government-subsidized": "JJ",
    "government-supported": "JJ",
    "government-to-government": "JJ",
    "government...": ":",
    "governmental": "JJ",
    "governmental-affairs": "JJ|NNS",
    "governmentally": "RB",
    "governments": "NNS",
    "governmentset": "VBN",
    "governor": "NN",
    "governor-elect": "NN",
    "governors": "NNS",
    "governors-association": "NN",
    "governorship": "NN",
    "governs": "VBZ",
    "gown": "NN",
    "gowned": "JJ",
    "gowns": "NNS",
    "gpd": "NN",
    "grab": "VB|JJ|NN|VBP",
    "grab-bag": "NN",
    "grabbag": "NN",
    "grabbed": "VBD|VBN",
    "grabbin": "VBG",
    "grabbing": "VBG|NN",
    "grabs": "NNS|VBZ",
    "grace": "NN|VB|VBP",
    "graced": "VBD|VBN",
    "graceful": "JJ",
    "gracefully": "RB",
    "gracefulness": "NN",
    "graces": "NNS|VBZ",
    "gracious": "JJ|UH",
    "graciously": "RB",
    "grad": "NN",
    "gradations": "NNS",
    "grade": "NN|VB",
    "grade-A": "JJ",
    "grade-constructed": "JJ",
    "grade-equivalent": "NN",
    "grade-equivalents": "NNS",
    "grade-school": "JJ",
    "graded": "VBN|VBD",
    "grader": "NN",
    "graders": "NNS",
    "grades": "NNS|VBZ",
    "gradient": "NN|JJ",
    "gradients": "NNS",
    "grading": "VBG|NN",
    "grads": "NNS",
    "gradual": "JJ|RB",
    "gradualism": "NN",
    "gradualist": "NN",
    "gradually": "RB",
    "graduate": "NN|JJ|VB|VBP",
    "graduate-student": "NN",
    "graduated": "VBD|VBN|JJ",
    "graduates": "NNS|VBZ",
    "graduating": "VBG|NN",
    "graduation": "NN",
    "graffiti": "NN",
    "graft": "NN|VB",
    "graft-riddled": "JJ",
    "grafted": "VBN|JJ|VBD",
    "grafting": "VBG",
    "graham": "NN",
    "graham-flour-based": "JJ",
    "grain": "NN|VB",
    "grain-exporting": "NN",
    "grain-storage": "NN",
    "grain-trading": "JJ",
    "grained": "JJ|VBD|VBN",
    "graining": "NN|VBG",
    "grains": "NNS|VBZ",
    "grainy": "JJ",
    "gram": "NN",
    "grammar": "NN",
    "grammar-school": "NN",
    "grammarians": "NNS",
    "grammatical": "JJ",
    "grammatically": "RB",
    "grams": "NNS",
    "granary": "NN",
    "grand": "JJ",
    "grand-daughter": "NN",
    "grand-jury": "JJ|NN",
    "grand-looking": "JJ",
    "grand-prize": "NN",
    "grand-slam": "JJ",
    "grandchild": "NN",
    "grandchildren": "NNS",
    "granddad": "NN",
    "granddaddies": "NNS",
    "granddaughter": "NN",
    "grandees": "NNS",
    "grander": "JJR|RBR",
    "grandest": "JJS",
    "grandeur": "NN",
    "grandfather": "NN|VB",
    "grandfather-father-to-son": "JJ",
    "grandfathers": "NNS|VBZ",
    "grandiloquent": "JJ",
    "grandiose": "JJ",
    "grandkids": "NNS",
    "grandly": "RB",
    "grandma": "NN",
    "grandmas": "NNS",
    "grandmasters": "NNS",
    "grandmother": "NN",
    "grandmotherly": "JJ",
    "grandmothers": "NNS",
    "grandparents": "NNS",
    "grandson": "NN",
    "grandsons": "NNS",
    "grandstand": "NN",
    "grandstander": "NN",
    "grandstanding": "VBG|NN",
    "granite": "NN",
    "grant": "VB|NN|VBP",
    "grant-in-aid": "NN",
    "granted": "VBN|JJ|VBD",
    "grantee": "NN",
    "granting": "VBG|NN",
    "grantors": "NNS",
    "grants-in-aid": "NN",
    "granular": "JJ",
    "granular-type": "JJ",
    "granules": "NNS",
    "granulocyte-macrophage": "NN",
    "granulocytic": "JJ",
    "grape": "NN",
    "grape-arbor": "NN",
    "grapefruit": "NN|NNS",
    "grapes": "NNS",
    "grapeshot": "NN",
    "grapevine": "NN",
    "grapevines": "NNS",
    "graph": "NN|VB",
    "graphed": "VBN|VBD",
    "graphic": "JJ",
    "graphic-arts": "NNS",
    "graphical": "JJ",
    "graphically": "RB",
    "graphics": "NNS",
    "graphite": "NN",
    "graphite-plastic": "JJ",
    "graphs": "NNS|VBZ",
    "grapple": "VB",
    "grappled": "VBD|VBN",
    "grapples": "VBZ",
    "grappling": "VBG|NN",
    "grasp": "VB|VBP|NN",
    "grasped": "VBN|VBD",
    "grasping": "VBG",
    "grass": "NN|VB",
    "grass-covered": "JJ",
    "grass-fed": "JJ",
    "grass-green": "JJ",
    "grass-roots": "JJ",
    "grassed": "VBN|VBD",
    "grassers": "NNS",
    "grasses": "NNS|VBZ",
    "grassfire": "NN",
    "grasshoppers": "NNS",
    "grassland": "NN",
    "grassroots": "NNS",
    "grassroots-fueled": "JJ",
    "grassy": "JJ",
    "grata": "FW",
    "grate": "NN|VB",
    "grated": "VBD|JJ|VBN",
    "grateful": "JJ",
    "gratefully": "RB",
    "grates": "NNS|VBZ",
    "gratification": "NN",
    "gratified": "VBN|JJ|VBD",
    "gratify": "VB",
    "gratifying": "JJ|VBG",
    "gratifyingly": "RB",
    "grating": "NN|VBG",
    "gratingly": "RB",
    "gratings": "NNS",
    "gratis": "JJ|RB",
    "gratitude": "NN",
    "gratuities": "NNS",
    "gratuitous": "JJ",
    "gratuitously": "RB",
    "gratuity": "NN",
    "graunt": "VB",
    "grave": "JJ|NN|VB",
    "gravel": "NN|VB",
    "gravel-chewing": "JJ",
    "gravel-voiced": "JJ",
    "gravely": "RB",
    "graven": "JJ",
    "graver": "JJR|RBR",
    "graves": "NNS|VBZ",
    "gravest": "JJS",
    "gravestone": "NN",
    "graveyard": "NN",
    "graveyards": "NNS",
    "gravid": "JJ",
    "gravitas": "NNS",
    "gravitates": "VBZ",
    "gravitating": "VBG",
    "gravitation": "NN",
    "gravitational": "JJ",
    "gravity": "NN",
    "gravy": "NN",
    "gray": "JJ|NN|VB",
    "gray-backs": "NNS",
    "gray-beard": "JJ",
    "gray-bearded": "JJ",
    "gray-black": "JJ",
    "gray-blue": "JJ",
    "gray-flannel": "NN|JJ",
    "gray-haired": "JJ",
    "gray-looking": "JJ",
    "gray-market": "JJ",
    "gray-thatched": "JJ",
    "graybeard": "NN",
    "graybeards": "NNS",
    "grayed": "JJ|VBD|VBN",
    "grayer": "JJR",
    "graying": "NN|VBG",
    "grays": "NNS|VBZ",
    "graze": "VBP|VB",
    "grazed": "VBD|VBN",
    "grazer": "NN",
    "grazers": "NNS",
    "grazin": "VBG",
    "grazing": "NN|VBG|JJ",
    "grease": "NN",
    "grease-removal": "JJ",
    "greased": "VBD|VBN",
    "greases": "NNS",
    "greasies": "NNS",
    "greasy": "JJ",
    "great": "JJ|RB|UH",
    "great-grandchildren": "NNS",
    "great-grandfather": "NN",
    "great-grandmother": "NN",
    "great-grandson": "NN",
    "great-great-grandfather": "NN",
    "great-nieces": "NNS",
    "great-quality": "NN",
    "great-uncles": "NNS",
    "greatcoat": "NN",
    "greatcoated": "JJ",
    "greate": "NN",
    "greater": "JJR|RBR",
    "greater-fool": "JJR|JJ",
    "greatest": "JJS",
    "greatly": "RB",
    "greatness": "NN",
    "greats": "NNS",
    "greed": "NN",
    "greedier": "JJR",
    "greedily": "RB",
    "greedy": "JJ",
    "green": "JJ|NN|VB",
    "green-brown": "JJ",
    "green-bugs": "NN",
    "green-lipped": "JJ",
    "green-scaled": "JJ",
    "green-tinted": "JJ",
    "greenback": "NN",
    "greenbacks": "NNS",
    "greener": "JJR",
    "greenest": "JJS",
    "greenfield": "NN",
    "greenhouse": "NN",
    "greenhouse-effect": "JJ",
    "greenhouse-gas": "JJ",
    "greenhouse-produced": "JJ",
    "greenhouses": "NNS",
    "greening": "NN|JJ|VBG",
    "greenish": "JJ",
    "greenly": "RB",
    "greenmail": "NN",
    "greenmailer": "NN",
    "greenness": "NN",
    "greens": "NNS|VBZ",
    "greensward": "NN",
    "greenware": "NN",
    "greet": "VB|VBP",
    "greeted": "VBN|VBD",
    "greeter": "NN",
    "greeters": "NNS",
    "greeting": "VBG|NN|JJ",
    "greets": "VBZ",
    "gregarious": "JJ",
    "grenade": "NN",
    "grenades": "NNS",
    "gret": "JJ",
    "grevouselye": "RB",
    "grew": "VBD|VBN",
    "grey": "JJ|NN|VB",
    "grey-haired": "JJ",
    "grey-skied": "JJ",
    "greying": "VBG",
    "grid": "NN",
    "gridded": "JJ",
    "gridiron": "NN",
    "gridlock": "NN",
    "gridlocked": "JJ|VBN",
    "grief": "NN",
    "grief-stricken": "JJ",
    "grievance": "NN",
    "grievances": "NNS",
    "grieved": "VBN|VBD",
    "grieving": "VBG",
    "grievous": "JJ",
    "grill": "NN|VB|VBP",
    "grille": "NN",
    "grille-route": "NN",
    "grilled": "JJ|VBN|VBD",
    "grilled-chicken": "JJ",
    "grillework": "NN",
    "grillwork": "NN",
    "grim": "JJ",
    "grimace": "VB|NN",
    "grimaced": "VBD|VBN",
    "grimaces": "NNS|VBZ",
    "grime": "NN|VB",
    "grimed": "VBN|VBD",
    "grimly": "RB",
    "grimmer": "RBR",
    "grimmest": "JJS",
    "grimness": "NN",
    "grimy": "JJ|NN",
    "grin": "NN|VB",
    "grind": "VBP|NN|VB",
    "grinder": "NN",
    "grinders": "NNS",
    "grinding": "VBG|NN|JJ",
    "grindings": "NNS",
    "grinds": "VBZ|NNS",
    "grindstone": "NN",
    "gringos": "NNS",
    "grinned": "VBD|VBN",
    "grinning": "VBG|JJ",
    "grins": "NNS|VBZ",
    "grip": "NN|VBP|VB",
    "gripe": "VBP|NN|VB",
    "griped": "VBD|VBN",
    "gripes": "NNS|VBZ",
    "griping": "NN|VBG",
    "gripped": "VBD|VBN",
    "gripping": "JJ|VBG",
    "grips": "NNS|VBZ",
    "grisly": "JJ",
    "grist": "NN",
    "gristmill": "NN",
    "grit": "NN|VB",
    "grit-impregnated": "JJ",
    "grits": "NNS|VBZ",
    "gritty": "JJ",
    "gritty-eyed": "JJ",
    "grizzled": "JJ|VBD|VBN",
    "grizzlies": "NNS",
    "grizzly": "NN|JJ",
    "groan": "NN|VB",
    "groaned": "VBD|VBN",
    "groaning": "VBG|JJ",
    "groans": "VBZ",
    "grocer": "NN",
    "groceries": "NNS",
    "grocers": "NNS",
    "grocery": "NN",
    "grocery-products": "NNS",
    "grocery-store": "JJ",
    "grogginess": "NN",
    "groggy": "JJ",
    "groin": "NN",
    "grok": "VB|VBP",
    "grokked": "VBD|VBN",
    "grokking": "VBG",
    "groom": "NN|VB",
    "groomed": "VBN|VBD",
    "grooming": "NN|VBG",
    "grooms": "NNS|VBZ",
    "groomsmen": "NNS",
    "groove": "NN|VB",
    "grooved": "VBN|VBD",
    "grooves": "NNS|VBZ",
    "grope": "VB|VBP",
    "groped": "VBD|VBN",
    "groping": "VBG|NN",
    "gross": "JJ|NN|VB",
    "gross-income": "NN",
    "gross-profit": "NN",
    "grossed": "VBD|VBN",
    "grosses": "VBZ",
    "grossing": "VBG",
    "grossly": "RB",
    "grotesque": "JJ",
    "grotesquely": "RB",
    "grotesques": "NNS",
    "grottoes": "NNS",
    "ground": "NN|JJ|VB|VBD|VBN",
    "ground-based": "JJ",
    "ground-cargo": "NN",
    "ground-floor": "JJ",
    "ground-glass": "JJ",
    "ground-handling": "NNS",
    "ground-launched": "JJ",
    "ground-level": "NN",
    "ground-support": "JJ",
    "ground-swell": "NN",
    "ground-truck": "NN",
    "ground-water": "NN",
    "groundball": "NN",
    "groundbreakers": "NNS",
    "grounded": "VBN|VBD|JJ",
    "grounder": "NN",
    "grounding": "VBG|NN",
    "groundless": "JJ",
    "grounds": "NNS|VBZ",
    "grounds-care": "JJ",
    "groundup": "JJ",
    "groundwater": "NN",
    "groundwave": "NN",
    "groundwork": "NN",
    "group": "NN|VB|VBP",
    "group-health": "NN",
    "group-identities": "NNS",
    "group-identity": "NN",
    "grouped": "VBN|VBD",
    "grouper": "NN",
    "grouping": "NN|VBG",
    "groupings": "NNS",
    "groups": "NNS|VBZ",
    "grouse": "VBP|NN|VB",
    "groused": "VBD|VBN",
    "grouses": "VBZ",
    "grousing": "VBG",
    "grove": "NN",
    "grovel": "VB",
    "grovelike": "JJ",
    "groveling": "VBG|NN",
    "grovels": "VBZ",
    "groves": "NNS",
    "grow": "VB|VBP",
    "grow-or-die": "JJ",
    "grower": "NN",
    "growers": "NNS",
    "growing": "VBG|JJ|NN",
    "growing-waiting": "NN",
    "growl": "NN|VB",
    "growled": "VBD|VBN",
    "growling": "VBG",
    "growls": "VBZ",
    "grown": "VBN|VBD|JJ",
    "grown-up": "JJ|NN",
    "grown-ups": "NNS",
    "grownups": "NNS",
    "grows": "VBZ",
    "growth": "NN|JJ|VB",
    "growth-and-income": "JJ",
    "growth-controlling": "JJ",
    "growth-fund": "NN",
    "growth-minded": "JJ",
    "growth-oriented": "JJ",
    "growth-stock": "JJ|NN",
    "growth-stunting": "JJ",
    "growth-suppressing": "JJ",
    "growth...": ":",
    "growths": "NNS|VBZ",
    "growthy": "JJ",
    "grub": "NN|VB",
    "grubby": "JJ",
    "grubs": "NNS|VBZ",
    "grudge": "NN|VB",
    "grudges": "NNS|VBZ",
    "grudging": "JJ|VBG",
    "grudgingly": "RB",
    "grueling": "VBG|JJ",
    "gruesome": "JJ",
    "gruesomeness": "NN",
    "gruff": "JJ",
    "grumble": "VBP|VB",
    "grumbled": "VBD|VBN",
    "grumbles": "VBZ",
    "grumbling": "VBG|NN",
    "grunt": "VB|NN",
    "grunted": "VBD|VBN",
    "grunting": "VBG",
    "gruonded": "VBD",
    "guanidine": "NN",
    "guar": "JJ",
    "guarantee": "NN|VB|VBP",
    "guaranteed": "VBN|JJ|VBD",
    "guaranteed-neutral": "JJ",
    "guaranteeing": "VBG|NN",
    "guarantees": "NNS|VBZ",
    "guarantor": "NN",
    "guaranty": "NN",
    "guard": "NN|JJ|VB|VBP",
    "guard-room": "NN",
    "guarded": "VBN|JJ|VBD",
    "guardedly": "RB",
    "guardedness": "NN",
    "guardhouse": "NN",
    "guardian": "NN",
    "guardians": "NNS",
    "guardianship": "NN",
    "guarding": "VBG",
    "guards": "NNS|VBZ",
    "gubernatorial": "JJ",
    "guerilla": "NN",
    "guerrilla": "NN|JJ",
    "guerrilla-held": "JJ",
    "guerrillas": "NNS",
    "guess": "VBP|NN|VB",
    "guessed": "VBD|VBN",
    "guesses": "NNS|VBZ",
    "guessing": "VBG|NN",
    "guesstimates": "NNS",
    "guesswork": "NN",
    "guest": "NN|JJ",
    "guests": "NNS",
    "guffawing": "VBG",
    "guffaws": "NNS",
    "guidance": "NN",
    "guide": "NN|VBP|VB",
    "guidebook": "NN",
    "guided": "VBN|VBD|JJ",
    "guided-missile": "JJ|NN",
    "guideline": "NN",
    "guidelines": "NNS",
    "guidepost": "NN",
    "guideposts": "NNS",
    "guides": "NNS|VBZ",
    "guidewheels": "NNS",
    "guiding": "VBG|JJ",
    "guild": "NN",
    "guilder": "NN",
    "guilders": "NNS",
    "guile": "NN",
    "guileless": "JJ",
    "guillotine": "NN",
    "guilt": "NN",
    "guiltiness": "NN",
    "guiltless": "JJ",
    "guilty": "JJ|RB",
    "guinea": "NN",
    "guise": "NN",
    "guises": "NNS",
    "guitar": "NN",
    "guitar-strumming": "VBG",
    "guitar-twanging": "JJ",
    "guitarist": "NN",
    "guitars": "NNS",
    "gulag": "NN",
    "gulf": "NN",
    "gull": "NN|VB",
    "gulled": "VBN|VBD",
    "gullet": "NN",
    "gulley": "NN",
    "gullibility": "NN",
    "gullible": "JJ",
    "gullies": "NNS",
    "gulling": "VBG",
    "gully": "NN",
    "gulp": "NN|VB|UH",
    "gulped": "VBD|VBN",
    "gulping": "VBG",
    "gulps": "NNS|VBZ",
    "gum": "NN|VB",
    "gum-chewing": "JJ",
    "gummed": "VBN|VBD",
    "gumming": "VBG",
    "gummy": "JJ",
    "gumption": "NN",
    "gums": "NNS|VBZ",
    "gun": "NN|VB",
    "gun-carrying": "JJ",
    "gun-running": "NN|JJ",
    "gun-shot": "NN",
    "gun-shy": "JJ",
    "gun-slinger": "NN",
    "gun-slinging": "JJ",
    "gunbarrel": "NN",
    "gunboats": "NNS",
    "gunfighter": "NN",
    "gunfights": "NNS",
    "gunfire": "NN",
    "gunflint": "NN",
    "gung-ho": "JJ",
    "gungho": "JJ",
    "gunk": "NN",
    "gunloading": "NN",
    "gunman": "NN",
    "gunmen": "NNS",
    "gunmetal-gray": "JJ",
    "gunned": "VBN|VBD",
    "gunner": "NN",
    "gunners": "NNS",
    "gunning": "VBG|NN",
    "gunny": "NN",
    "gunplay": "NN",
    "gunpoint": "NN",
    "gunpowder": "NN",
    "guns": "NNS|VBZ",
    "gunship": "NN",
    "gunshot": "NN",
    "gunslinger": "NN",
    "gunslingers": "NNS",
    "gunslinging": "VBG",
    "guppies": "NNS",
    "gurgle": "NN|VB",
    "gurgling": "VBG",
    "guru": "NN",
    "gurus": "NNS",
    "gush": "VBP|VB",
    "gushed": "VBD|VBN",
    "gusher": "NN",
    "gushes": "VBZ",
    "gushing": "VBG",
    "gushy": "JJ",
    "gussets": "NNS",
    "gussied": "VBN",
    "gust": "NN|RB",
    "gusto": "NN",
    "gusts": "NNS",
    "gusty": "JJ",
    "gut": "NN|VB",
    "gut-Democratic": "JJ",
    "gut-flattening": "JJ",
    "gut-wrenching": "JJ",
    "guts": "NNS|VBZ",
    "gutsy": "JJ",
    "gutted": "VBN|VBD",
    "gutter": "NN",
    "guttered": "VBD",
    "gutters": "NNS",
    "guttural": "JJ|NN",
    "guy": "NN|VB",
    "guys": "NNS|VBZ",
    "guzzle": "VB",
    "guzzled": "VBD|VBN",
    "guzzler": "NN",
    "guzzlers": "NNS",
    "guzzles": "VBZ",
    "guzzling": "NN|VBG",
    "gweilo": "FW",
    "gweilos": "FW",
    "gym": "NN",
    "gymnasium-sized": "JJ",
    "gymnast": "NN",
    "gymnastic": "JJ",
    "gymnastics": "NNS",
    "gymnasts": "NNS",
    "gyms": "NNS",
    "gynecologic": "JJ",
    "gynecological": "JJ",
    "gynecologist": "NN",
    "gynecologists": "NNS",
    "gynecology": "NN",
    "gypsies": "NNS",
    "gypsum": "NN",
    "gypsy": "NN|JJ",
    "gyrate": "VB",
    "gyrated": "VBD|VBN",
    "gyrating": "VBG",
    "gyration": "NN",
    "gyrations": "NNS",
    "gyro": "NN",
    "gyro-platform-servo": "JJ",
    "gyro-stabilized": "JJ",
    "gyros": "NNS",
    "gyroscopes": "NNS",
    "h": "NN",
    "ha": "UH",
    "habe": "FW",
    "habeas": "NNS|FW",
    "habeas-corpus": "JJ",
    "haberdasheries": "NNS",
    "haberdashery": "NN",
    "habit": "NN",
    "habit-forming": "JJ",
    "habitable": "JJ",
    "habitants": "NNS",
    "habitat": "NN",
    "habitats": "NNS",
    "habits": "NNS",
    "habitual": "JJ",
    "habitually": "RB",
    "habitues": "NNS",
    "hable": "JJ",
    "hack": "VB|NN",
    "hacked": "VBD|VBN",
    "hacker": "NN",
    "hackers": "NNS",
    "hacking": "JJ|NN|VBG",
    "hackles": "NNS",
    "hackneyed": "JJ",
    "hacks": "NNS|VBZ",
    "hacksaw": "NN",
    "hackwork": "NN",
    "had": "VBD|VBN",
    "hadd": "VBN",
    "haddock": "NN",
    "haec": "FW",
    "haflis": "NNS",
    "hafta": "VB|VBP",
    "haggard": "JJ",
    "haggardly": "RB",
    "haggle": "VB|NN",
    "haggling": "VBG|NN",
    "hagglings": "NNS",
    "hail": "NN|VB|VBP",
    "hailed": "VBD|VBN",
    "hailing": "VBG",
    "hails": "VBZ",
    "hailstorm": "NN",
    "haint": "VBZ",
    "hair": "NN",
    "hair-care": "JJ|NN",
    "hair-growing": "JJ",
    "hair-raising": "JJ",
    "hair-relaxer": "NN",
    "hair-trigger": "JJ",
    "haircut": "NN",
    "haircuts": "NNS",
    "hairdos": "NNS",
    "hairdresser": "NN",
    "hairdressers": "NNS",
    "hairier": "JJR",
    "hairless": "JJ",
    "hairline": "NN",
    "hairpiece": "NN",
    "hairpieces": "NNS",
    "hairpin": "NN",
    "hairs": "NNS",
    "hairshirt": "NN",
    "hairsplitting": "JJ",
    "hairspray": "NN",
    "hairtonic": "NN",
    "hairy": "JJ",
    "hairyknuckled": "JJ",
    "halcyon": "JJ",
    "half-a-dozen": "NN",
    "half-a-million": "JJ",
    "half-acceptance": "NN",
    "half-acre": "JJ",
    "half-aloud": "RB",
    "half-an-hour": "NN",
    "half-baked": "JJ",
    "half-billion": "JJ",
    "half-block": "NN",
    "half-blood": "JJ",
    "half-bottles": "NNS",
    "half-breed": "NN|JJ",
    "half-brother": "NN",
    "half-brothers": "NNS",
    "half-century": "NN|JJ",
    "half-chapter": "NN",
    "half-city": "NN",
    "half-clad": "JJ",
    "half-closed": "JJ",
    "half-cocked": "JJ",
    "half-completed": "JJ",
    "half-conscious": "JJ",
    "half-crazy": "JJ",
    "half-crocked": "JJ",
    "half-cup": "JJ",
    "half-darkness": "NN",
    "half-digested": "JJ",
    "half-dozen": "JJ|NN",
    "half-dressed": "JJ",
    "half-drunk": "JJ",
    "half-educated": "JJ",
    "half-empty": "JJ",
    "half-expressed": "JJ",
    "half-faced": "JJ",
    "half-filled": "JJ",
    "half-forgotten": "JJ",
    "half-full": "JJ",
    "half-gainer": "NN",
    "half-gourd": "NN",
    "half-grown": "JJ",
    "half-hearted": "JJ",
    "half-heartedly": "JJ",
    "half-horse": "JJ",
    "half-hour": "NN|JJ",
    "half-implemented": "JJ",
    "half-inch": "JJ",
    "half-industrial": "JJ",
    "half-intensity": "JJ",
    "half-interest": "NN",
    "half-jokingly": "RB",
    "half-life": "NN",
    "half-light": "NN",
    "half-man": "NN",
    "half-measure": "NN",
    "half-melted": "JJ",
    "half-mile": "JJ|NN",
    "half-million": "JJ",
    "half-mincing": "JJ",
    "half-moons": "NNS",
    "half-murmured": "JJ",
    "half-off": "JJ",
    "half-owned": "JJ",
    "half-past": "JJ",
    "half-percent": "JJ",
    "half-point": "JJ",
    "half-price": "NN",
    "half-reached": "VBD",
    "half-reformed": "JJ",
    "half-reluctant": "JJ",
    "half-seriously": "RB",
    "half-share": "NN",
    "half-sister": "NN",
    "half-smile": "NN",
    "half-speed": "JJ",
    "half-staff": "JJ",
    "half-standard": "JJ",
    "half-starved": "JJ",
    "half-states": "NNS",
    "half-straightened": "VBD",
    "half-swamped": "JJ",
    "half-swimming": "JJ",
    "half-time": "NN|JJ|RB",
    "half-transparent": "JJ",
    "half-turned": "JJ",
    "half-understood": "JJ",
    "half-way": "JJ|RB",
    "half-well": "JJ",
    "half-witted": "JJ",
    "half-year": "NN|JJ",
    "halfback": "NN",
    "halfbacks": "NNS",
    "halfhearted": "JJ",
    "halfheartedly": "RB",
    "halfmile": "NN",
    "halftime": "NN",
    "halfway": "RB|JJ",
    "halfways": "RB",
    "halides": "NNS",
    "hall": "NN",
    "hall-mark": "NN",
    "hallelujahs": "NNS",
    "hallmark": "NN",
    "hallmarks": "NNS",
    "hallowed": "JJ|VBD|VBN",
    "halls": "NNS",
    "hallucinating": "VBG",
    "hallucinations": "NNS",
    "hallucinatory": "JJ",
    "hallway": "NN",
    "hallways": "NNS",
    "halo": "NN",
    "halogen": "NN",
    "halogenated": "VBD",
    "halogens": "NNS",
    "halos": "NNS",
    "halt": "NN|JJ|VB|VBP",
    "halted": "VBN|NN|VBD",
    "halter": "NN|VB",
    "halting": "VBG|JJ",
    "haltingly": "RB",
    "halts": "NNS|VBZ",
    "halvah": "NN",
    "halve": "VB",
    "halved": "VBN|JJ|VBD",
    "halves": "VBZ|NNS",
    "halving": "VBG",
    "ham": "NN|VB",
    "ham-handed": "JJ",
    "ham-like": "JJ",
    "ham-radio": "NN",
    "hamburger": "NN",
    "hamburgers": "NNS",
    "hamlet": "NN",
    "hammer": "VB|NN|VBP",
    "hammered": "VBN|VBD",
    "hammering": "VBG|NN",
    "hammerless": "JJ",
    "hammerlock": "NN",
    "hamming": "VBG|NN",
    "hammock": "NN",
    "hamper": "VB|NN",
    "hampered": "VBN|VBD",
    "hampering": "VBG",
    "hampers": "VBZ",
    "hams": "NNS|VBZ",
    "hamstring": "VB",
    "hamstringing": "VBG",
    "hamstrung": "VBP|JJ|VBN|VBD",
    "han": "NN",
    "hand": "NN|RB|VB|VBP|JJ",
    "hand-blower": "NN",
    "hand-carried": "VBN",
    "hand-carved": "JJ",
    "hand-covered": "JJ",
    "hand-crafted": "JJ|VBN",
    "hand-delivered": "JJ",
    "hand-filed": "JJ",
    "hand-held": "JJ",
    "hand-hewn": "JJ",
    "hand-holding": "NN|JJ",
    "hand-in-glove": "JJ",
    "hand-knit": "JJ",
    "hand-level": "JJ",
    "hand-lotion": "NN",
    "hand-made": "JJ",
    "hand-me-down": "JJ",
    "hand-operated": "JJ",
    "hand-painted": "NN",
    "hand-picked": "JJ|VBN",
    "hand-screened": "VBN",
    "hand-sized": "JJ",
    "hand-squeeze": "JJ",
    "hand-to-hand": "JJ|NN",
    "hand-tool": "NN",
    "hand-tooled": "JJ",
    "hand-woven": "VBN|NN",
    "hand-wringer": "NN",
    "hand-wringing": "NN",
    "hand-written": "JJ",
    "handbag": "NN",
    "handbills": "NNS",
    "handbook": "NN",
    "handbooks": "NNS",
    "handclasp": "NN",
    "handcrafted": "VBN",
    "handcuff": "VBP|VB",
    "handcuffed": "VBN|VBD",
    "handcuffs": "NNS|VBZ",
    "hande": "NN",
    "handed": "VBN|VBD",
    "hander": "NN",
    "handful": "NN",
    "handfuls": "NNS",
    "handgun": "NN",
    "handguns": "NNS",
    "handheld": "JJ",
    "handhold": "NN",
    "handicap": "NN|VB",
    "handicapped": "NNS|JJ|VBN|VBD",
    "handicaps": "NNS|VBZ",
    "handicrafts": "NNS",
    "handicraftsman": "NN",
    "handier": "JJR",
    "handiest": "JJS",
    "handily": "RB",
    "handing": "VBG",
    "handiwork": "NN",
    "handkerchief": "NN",
    "handkerchiefs": "NNS",
    "handle": "VB|NN|VBP",
    "handlebars": "NNS",
    "handled": "VBN|VBD",
    "handlers": "NNS",
    "handles": "VBZ|NNS",
    "handless": "JJ",
    "handling": "VBG|NN",
    "handmade": "JJ",
    "handmaiden": "NN",
    "handout": "NN",
    "handouts": "NNS",
    "handpicked": "VBN|VBD",
    "hands": "NNS|VBZ",
    "hands-down": "JJ",
    "hands-off": "JJ",
    "hands-off-all-sweets": "NNS",
    "hands-on": "JJ",
    "handscrolls": "NNS",
    "handset": "NN",
    "handsets": "NNS",
    "handshake": "NN",
    "handshaker": "NN",
    "handsome": "JJ",
    "handsomely": "RB",
    "handsomer": "JJR",
    "handspikes": "NNS",
    "handstand": "NN",
    "handstands": "NNS",
    "handwriting": "NN|VBG",
    "handwritten": "JJ|VBN",
    "handy": "JJ",
    "handyman": "NN",
    "handyman-carpenter": "NN",
    "handymen": "NNS",
    "hang": "VB|JJ|VBP|NN",
    "hang-tough": "JJ",
    "hang-ups": "NNS",
    "hangar": "NN",
    "hangars": "NNS",
    "hanged": "VBN|VBD",
    "hangers": "NNS",
    "hangers-on": "NNS",
    "hangin": "VBG",
    "hanging": "VBG|JJ|NN",
    "hangman": "NN",
    "hangout": "NN",
    "hangouts": "NNS",
    "hangover": "NN",
    "hangovers": "NNS",
    "hangs": "VBZ",
    "hangups": "NNS",
    "hank": "NN",
    "hankered": "VBN|VBD",
    "hankerin": "VBG",
    "hanky": "NN",
    "hanky-panky": "NN",
    "hansom": "JJ",
    "haole": "FW|NN",
    "haphazard": "JJ",
    "haphazardly": "RB",
    "hapless": "JJ",
    "happen": "VB|VBP",
    "happened": "VBD|VBN",
    "happening": "VBG|NN",
    "happenings": "NNS",
    "happens": "VBZ",
    "happenstance": "NN",
    "happier": "JJR",
    "happiest": "JJS",
    "happily": "RB",
    "happiness": "NN",
    "happy": "JJ",
    "hara-kiri": "FW",
    "harangued": "VBD",
    "harangues": "NNS|VBZ",
    "haranguing": "VBG",
    "harass": "VB|VBP",
    "harassed": "VBD|VBN",
    "harassing": "VBG",
    "harassment": "NN",
    "harbinger": "NN|VB",
    "harbor": "NN|VB|VBP",
    "harbored": "VBN|VBD",
    "harboring": "VBG",
    "harbors": "NNS|VBZ",
    "harborside": "NN",
    "hard": "JJ|RB",
    "hard-bitten": "JJ",
    "hard-boiled": "JJ",
    "hard-charging": "JJ|NNP",
    "hard-come-by": "JJ",
    "hard-core": "JJ",
    "hard-cover": "NN",
    "hard-currency": "NN|JJ",
    "hard-disk": "NN|JJ",
    "hard-drinking": "JJ",
    "hard-earned": "JJ",
    "hard-edged": "JJ",
    "hard-fought": "JJ",
    "hard-hit": "JJ",
    "hard-hitting": "JJ",
    "hard-line": "JJ|NN",
    "hard-liner": "NN",
    "hard-liners": "NNS",
    "hard-liquor": "JJ|NN",
    "hard-nosed": "JJ",
    "hard-pressed": "JJ",
    "hard-riding": "JJ",
    "hard-sell": "JJ",
    "hard-surface": "NN|JJ",
    "hard-to-fault": "JJ",
    "hard-to-fill": "JJ",
    "hard-to-fit": "JJ",
    "hard-to-get": "JJ",
    "hard-to-please": "JJ",
    "hard-to-spot": "JJ",
    "hard-wire": "JJ",
    "hard-won": "JJ",
    "hard-working": "JJ",
    "hardbake": "NN",
    "hardball": "NN",
    "hardboard": "NN",
    "hardboiled": "JJ",
    "hardbound": "JJ",
    "hardcore": "NN|JJ",
    "hardcover": "NN",
    "harddisk": "NN",
    "harden": "VB",
    "hardened": "VBN|JJ|VBD",
    "hardener": "NN",
    "hardening": "VBG",
    "harder": "JJR|RBR",
    "harder-line": "JJ",
    "hardest": "JJS|RBS",
    "hardest-hit": "JJ",
    "hardier": "JJR",
    "hardline": "JJ|NN",
    "hardliner": "NN",
    "hardliners": "NNS",
    "hardness": "NN",
    "hardscrabble": "JJ",
    "hardship": "NN",
    "hardships": "NNS",
    "hardtack": "NN",
    "hardtack-box": "NN",
    "hardware": "NN",
    "hardware-maintenance": "NN",
    "hardware-store": "NN",
    "hardwood": "NN",
    "hardwoods": "NNS",
    "hardworking": "JJ",
    "hardy": "JJ",
    "hare": "NN",
    "hare-brained": "JJ",
    "harelips": "NNS",
    "harem": "NN",
    "hares": "NNS",
    "hark": "VBP|VB",
    "harking": "VBG",
    "harm": "NN|VB|VBP",
    "harmed": "VBN|VBD",
    "harmful": "JJ",
    "harming": "VBG",
    "harmless": "JJ",
    "harmlessly": "RB",
    "harmlessness": "NN",
    "harmonic": "JJ",
    "harmonies": "NNS",
    "harmonious": "JJ",
    "harmoniously": "RB",
    "harmonization": "NN",
    "harmonize": "VB",
    "harmony": "NN",
    "harms": "VBZ|NNS",
    "harness": "NN|VBP|VB",
    "harness-emotions": "JJ",
    "harnessed": "VBN|VBD",
    "harnessing": "VBG",
    "harp": "NN|VB",
    "harped": "VBD|VBN",
    "harping": "VBG|NN",
    "harpsichord": "NN",
    "harpsichordist": "NN",
    "harpy": "JJ",
    "harrassment": "NN",
    "harried": "VBN|VBD",
    "harrowed": "VBN|VBD",
    "harrowing": "JJ|VBG",
    "harrumphing": "NN",
    "harry": "VB",
    "harsh": "JJ",
    "harshened": "VBD",
    "harsher": "JJR|RBR",
    "harshest": "JJS",
    "harshly": "RB",
    "harshness": "NN",
    "hartes": "NNS",
    "harvest": "NN|VB|VBP",
    "harvested": "VBN|VBD",
    "harvesting": "NN|VBG",
    "harvests": "NNS|VBZ",
    "has": "VBZ|VBN|.",
    "hash": "NN|VB|VBP",
    "hasher": "NN|JJR",
    "hashers": "NNS",
    "hashes": "NNS|VBZ",
    "hashing": "VBG|NN",
    "hashish": "NN",
    "hasps": "NNS",
    "hassle": "NN|VB",
    "hassled": "VBN|VBD",
    "hassles": "NNS|VBZ",
    "hassling": "VBG",
    "hast": "VBP",
    "haste": "NN",
    "hasten": "VB|VBP",
    "hastened": "VBN|VBD",
    "hastening": "VBG",
    "hastens": "VBZ",
    "hastily": "RB",
    "hastily-summoned": "JJ",
    "hasty": "JJ",
    "hat": "NN",
    "hatbox": "NN",
    "hatch": "NN|VBP|VB",
    "hatchback": "NN",
    "hatched": "VBN|VBD",
    "hatcheries": "NNS",
    "hatchery": "NN",
    "hatchet": "NN",
    "hatchet-faced": "JJ",
    "hatching": "NN|VBG",
    "hatchings": "NNS",
    "hatchway": "NN",
    "hate": "VBP|NN|VB",
    "hate-mongering": "NN",
    "hated": "VBN|VBD|JJ",
    "hateful": "JJ",
    "hates": "VBZ|NNS",
    "hath": "VBZ",
    "hating": "VBG",
    "hatred": "NN",
    "hats": "NNS",
    "hatted": "VBN",
    "hattes": "NNS",
    "haughtily": "RB",
    "haughtiness": "NN",
    "haughty": "JJ",
    "haul": "NN|VB",
    "haulage": "NN|JJ",
    "hauled": "VBD|VBN",
    "haulers": "NNS",
    "hauling": "VBG|NN",
    "hauls": "NNS|VBZ",
    "haunches": "NNS",
    "haunt": "VB|VBP|NN",
    "haunted": "VBN|VBD|JJ",
    "haunting": "VBG|JJ|NN",
    "hauntingly": "RB",
    "haute": "FW|JJ",
    "hauteur": "NN",
    "have": "VBP|JJ|NN|VBN|VB",
    "have-not": "JJ",
    "have-nots": "NNS",
    "have...": ":",
    "haven": "NN",
    "havens": "NNS",
    "haves": "NNS",
    "havin": "VBG",
    "having": "VBG",
    "havoc": "NN",
    "hawing": "VBG",
    "hawk": "NN|VBP|VB",
    "hawk-faced": "JJ",
    "hawk-hatching": "JJ",
    "hawk-hunting": "JJ",
    "hawked": "VBD|VBN",
    "hawker": "NN",
    "hawkers": "NNS",
    "hawking": "VBG|NN",
    "hawkish": "JJ",
    "hawks": "NNS|VBZ",
    "hay": "NN|VB",
    "hay-fever": "NN",
    "hay-shakers": "NNS",
    "hay-wagon": "NN",
    "hayfields": "NNS",
    "haystack": "NN",
    "haystacks": "NNS",
    "hazard": "NN|VB",
    "hazardous": "JJ",
    "hazardous-waste": "NN|JJ",
    "hazardous-waste-site": "NN",
    "hazards": "NNS|VBZ",
    "haze": "NN",
    "hazel": "JJ",
    "hazelnut": "NN",
    "hazelnuts": "NNS",
    "hazes": "NNS",
    "hazy": "JJ",
    "he-goes-or-I-go": "JJ",
    "he-man": "NN",
    "head": "NN|JJ|RB|VB|VBP",
    "head-and-shoulders": "NN",
    "head-butting": "JJ",
    "head-cold": "NN",
    "head-hunting": "NN",
    "head-in-the-clouds": "JJ",
    "head-injury": "NN",
    "head-on": "RB|JJ|NN",
    "head-to-head": "JJ|RB|RBR",
    "head-topper": "NN",
    "head-tossing": "NN",
    "headache": "NN",
    "headaches": "NNS",
    "headboard": "NN",
    "headcount": "NN",
    "headcount-control": "NN",
    "headdress": "NN",
    "heade": "NN",
    "headed": "VBN|VBD",
    "header": "NN",
    "headhunters": "NNS",
    "heading": "VBG|NN",
    "headings": "NNS",
    "headland": "NN",
    "headlands": "NNS",
    "headless": "JJ",
    "headlights": "NNS",
    "headline": "NN",
    "headline-grabbing": "JJ",
    "headlined": "VBN|VBD",
    "headlines": "NNS",
    "headlinese": "NN",
    "headlining": "VBG",
    "headlong": "RB",
    "headmaster": "NN",
    "headphones": "NNS",
    "headquarter": "JJ",
    "headquartered": "VBN",
    "headquarters": "NN|NNS",
    "headrest": "NN",
    "headrests": "NNS",
    "headroom": "NN",
    "heads": "VBZ|NNS",
    "headsets": "NNS",
    "headship": "NN",
    "headsman": "NN",
    "headstand": "NN",
    "headstands": "NNS",
    "headstones": "NNS",
    "headstrong": "JJ",
    "headwall": "NN",
    "headwalls": "NNS",
    "headwaters": "NNS",
    "headway": "NN",
    "heady": "JJ",
    "heal": "VB",
    "healed": "VBN|VBD",
    "healer": "NN",
    "healers": "NNS",
    "healing": "NN|JJ|VBG",
    "health": "NN",
    "health-and-benefits": "JJ",
    "health-benefits": "JJ",
    "health-care": "NN|JJ",
    "health-care-product": "NN",
    "health-care-services": "JJ",
    "health-club": "JJ|NN",
    "health-conscious": "JJ",
    "health-coverage": "NN",
    "health-expenditure": "JJ",
    "health-food": "NN",
    "health-insurance": "NN",
    "health-maintenance": "NN",
    "health-oriented": "JJ",
    "health-products": "NNS",
    "health-related": "JJ",
    "health-services": "JJ",
    "healthcare": "NN",
    "healthful": "JJ",
    "healthier": "RBR|JJR",
    "healthiest": "JJS",
    "healthily": "RB",
    "healthy": "JJ",
    "healthy-looking": "JJ",
    "heap": "NN|VB",
    "heaped": "VBD|VBN",
    "heaping": "VBG",
    "heaps": "NNS|VBZ",
    "hear": "VB|VBP",
    "heard": "VBN|VBD",
    "heare": "VBP",
    "hearer": "NN",
    "hearers": "NNS",
    "hearest": "VBP",
    "hearing": "NN|VBG",
    "hearing-aid": "NN",
    "hearing-impaired": "VBN",
    "hearings": "NNS",
    "hears": "VBZ",
    "hearsay": "NN",
    "hearse": "NN",
    "heart": "NN|RB|VB|JJ",
    "heart-disease": "NN",
    "heart-pounding": "JJ",
    "heart-rending": "JJ",
    "heart-stopping": "JJ",
    "heart-to-heart": "JJ",
    "heart-warming": "JJ",
    "heart-wrenching": "JJ",
    "heartbeat": "NN",
    "heartbreak": "NN",
    "heartbreaking": "JJ",
    "heartburn": "NN",
    "heartened": "VBN|VBD",
    "heartening": "JJ|VBG",
    "heartfelt": "JJ",
    "hearth": "NN",
    "hearths": "NNS",
    "heartiest": "JJS|RBS",
    "heartily": "RB",
    "heartland": "NN",
    "heartless": "JJ",
    "hearts": "NNS|VBZ",
    "heartstopping": "JJ",
    "heartstring-plucking": "JJ",
    "heartthrob": "NN",
    "heartwarmingly": "RB",
    "hearty": "JJ",
    "heat": "NN|VB|VBP",
    "heat-absorbing": "JJ",
    "heat-and-eat": "JJ",
    "heat-denatured": "JJ",
    "heat-processing": "JJ",
    "heat-resistant": "JJ",
    "heat-treatment": "NN",
    "heat-using": "JJ",
    "heated": "JJ|VBN|VBD",
    "heatedly": "RB",
    "heater": "NN",
    "heaters": "NNS",
    "heath": "NN",
    "heathen": "JJ|NN",
    "heathenish": "JJ",
    "heather": "NN",
    "heating": "NN|VBG",
    "heats": "VBZ",
    "heatshield": "NN",
    "heave": "NN|VB",
    "heaved": "VBN|VBD",
    "heaven": "NN",
    "heavenly": "JJ",
    "heavens": "NNS|UH",
    "heavenward": "JJ",
    "heavers": "NNS",
    "heaves": "VBD|NN|VBZ",
    "heavier": "JJR|RBR",
    "heavier-than-normal": "JJ",
    "heavier-than-usual": "JJ",
    "heavies": "NNS",
    "heaviest": "JJS",
    "heavily": "RB",
    "heavily-upholstered": "JJ",
    "heaviness": "NN",
    "heaving": "VBG",
    "heavy": "JJ|NN|RB",
    "heavy-armed": "JJ",
    "heavy-construction": "NN",
    "heavy-crude": "NN",
    "heavy-duty": "JJ|NN",
    "heavy-electrical-goods": "JJ",
    "heavy-faced": "JJ",
    "heavy-framed": "JJ",
    "heavy-handed": "JJ",
    "heavy-handedness": "NN",
    "heavy-hitter": "NN",
    "heavy-industry": "NN",
    "heavy-machine": "JJ",
    "heavy-tracked": "JJ",
    "heavy-truck": "NN|NNS",
    "heavy-water": "NN",
    "heavy-weight": "JJ",
    "heavyweight": "JJ|NN",
    "heavyweights": "NNS",
    "hebephrenic": "JJ",
    "hecatomb": "NN",
    "heck": "NN|UH",
    "heckled": "VBN",
    "hectares": "NNS",
    "hectic": "JJ",
    "hedge": "VB|JJ|NN|VBP",
    "hedged": "VBN|VBD",
    "hedgehogs": "NNS",
    "hedgers": "NNS",
    "hedges": "NNS|VBZ",
    "hedging": "VBG|JJ|NN",
    "hedonism": "NN",
    "hedonistic": "JJ",
    "heebie-jeebies": "NNS",
    "heed": "VB|VBP|NN",
    "heeded": "VBD|VBN",
    "heedless": "JJ",
    "heeds": "VBZ",
    "heel": "NN|VB",
    "heelers": "NNS",
    "heels": "NNS|VBZ",
    "heelsthe": "DT",
    "heft": "NN|VB",
    "hefted": "VBD|VBN",
    "heftier": "JJR",
    "heftiest": "JJS",
    "hefty": "JJ",
    "hegemonic": "JJ",
    "hegemony": "NN",
    "heifers": "NNS",
    "heighborhoods": "NNS",
    "height": "NN",
    "height-to-diameter": "NN",
    "heighten": "VB",
    "heightened": "VBN|VBD|JJ",
    "heightening": "VBG|NN",
    "heightens": "VBZ",
    "heights": "NNS",
    "heinous": "JJ",
    "heir": "NN",
    "heir-apparent": "JJ|NN",
    "heir-designate": "NN",
    "heiress": "NN",
    "heirs": "NNS",
    "heist": "NN",
    "heisted": "VBD",
    "hel": "NN",
    "held": "VBN|VBD|JJ",
    "helicopter": "NN",
    "helicopter-borne": "JJ",
    "helicopters": "NNS",
    "helio-copter": "NN",
    "helio-copters": "NNS",
    "heliocentric": "JJ",
    "helion": "NN",
    "heliotrope": "NN",
    "heliports": "NNS",
    "helium": "NN",
    "helix": "NN",
    "hell": "NN|UH",
    "hell-bent": "JJ",
    "hell-bound": "JJ",
    "hell-fire": "NN",
    "hell-for-leather": "RB",
    "hell-kitten": "NN",
    "hell-raising": "NN",
    "hellfire": "NN",
    "hello": "UH|NN",
    "hells": "NNS",
    "helluva": "JJ",
    "helm": "NN",
    "helmet": "NN",
    "helmeted": "JJ",
    "helmets": "NNS",
    "helmsman": "NN",
    "help": "VB|NN|VBP",
    "help-me-make-it-through-the-fiscal-nigh": "JJ",
    "help-wanted": "JJ",
    "helped": "VBD|VBN|VBP",
    "helper": "NN",
    "helpers": "NNS",
    "helpful": "JJ",
    "helpfully": "RB",
    "helpfulness": "NN",
    "helping": "VBG|NN",
    "helpings": "NNS",
    "helpless": "JJ",
    "helplessly": "RB",
    "helplessness": "NN",
    "helpmate": "NN",
    "helps": "VBZ|VBP|NNS",
    "helter-skelter": "JJ",
    "hem": "NN",
    "hematologist": "NN",
    "hemetin": "NN",
    "hemisphere": "NN",
    "hemispheric": "JJ",
    "hemispherical": "JJ",
    "hemlines": "NNS",
    "hemlocks": "NNS",
    "hemmed": "VBN",
    "hemming": "VBG",
    "hemoglobin": "NN",
    "hemolytic": "JJ",
    "hemophilia": "NN",
    "hemophiliacs": "NNS",
    "hemorrhage": "NN",
    "hemorrhaged": "VBN",
    "hemorrhages": "NNS",
    "hemorrhaging": "VBG|JJ|NN",
    "hemorrhoids": "NNS",
    "hemosiderin": "NN",
    "hems": "NNS",
    "hen": "NN",
    "hence": "RB",
    "henceforth": "RB",
    "henchman": "NN",
    "henchmen": "NNS",
    "henpecked": "JJ",
    "hens": "NNS",
    "hepatitis": "NN|NNP",
    "heptachlor": "NN",
    "herald": "VB|VBP",
    "heralded": "VBN|VBD|JJ",
    "heraldic": "JJ",
    "heralding": "VBG",
    "herb": "NN",
    "herbaceous": "JJ",
    "herbal": "JJ",
    "herbicide": "NN",
    "herbicides": "NNS",
    "herbs": "NNS",
    "herculean": "JJ",
    "herd": "NN|VB",
    "herd-owner": "NN",
    "herded": "VBN|VBD",
    "herdin": "NN|VBG",
    "herding": "VBG|NN",
    "herds": "NNS|VBZ",
    "herdsmen": "NNS",
    "here": "RB|UH",
    "here-for": "JJ",
    "here...": ":",
    "hereabout": "JJ",
    "hereabouts": "RB",
    "hereafter": "RB",
    "hereby": "RB",
    "hereditary": "JJ",
    "heredity": "NN",
    "herein": "RB",
    "hereinafter": "RB",
    "heresy": "NN",
    "heretical": "JJ",
    "heretics": "NNS",
    "heretofore": "RB",
    "heretofore-accepted": "JJ",
    "hereunto": "RB",
    "herewith": "RB",
    "heritage": "NN",
    "heritages": "NNS",
    "hermeneutics": "NN",
    "hermetic": "JJ",
    "hermetically": "RB",
    "herniated": "VBN",
    "hero": "NN",
    "hero-worship": "NN|VB",
    "hero-worshippers": "NNS",
    "heroic": "JJ",
    "heroically": "RB",
    "heroics": "NNS",
    "heroin": "NN",
    "heroin-user": "NN",
    "heroine": "NN",
    "heroism": "NN",
    "herons": "NNS",
    "herpetological": "JJ",
    "herpetologist": "NN",
    "herpetologists": "NNS",
    "herpetology": "NN",
    "herring": "NN",
    "herringbone": "NN",
    "hers": "PRP|JJ",
    "herself": "PRP",
    "hesitance": "NN",
    "hesitancy": "NN",
    "hesitant": "JJ",
    "hesitantly": "RB",
    "hesitate": "VB|VBP",
    "hesitated": "VBD|VBN",
    "hesitates": "VBZ",
    "hesitating": "VBG",
    "hesitatingly": "RB",
    "hesitation": "NN",
    "heterogamous": "JJ",
    "heterogeneity": "NN",
    "heterogeneous": "JJ",
    "heterozygous": "JJ",
    "heute": "FW",
    "hev": "VB",
    "hevin": "VBG",
    "hewed": "VBD|VBN",
    "hewn": "VBN",
    "hews": "VBZ",
    "hex": "NN|VB",
    "hexagon": "NN",
    "hexagonal": "JJ",
    "hexametaphosphate": "NN",
    "hexameter": "NN",
    "hey": "UH",
    "heyday": "NN",
    "hi-fi": "NN",
    "hi-graders": "NNS",
    "hi-tech": "JJ",
    "hiatus": "NN",
    "hibachi": "NN",
    "hibernate": "VBP",
    "hiccup": "NN",
    "hiccups": "NNS",
    "hick": "NN",
    "hick-self": "NN",
    "hickory": "NN",
    "hid": "VBD|VBN",
    "hidden": "VBN|JJ",
    "hide": "VB|VBP|NN",
    "hide-out": "JJ|NN",
    "hideaway": "NN",
    "hidebound": "JJ",
    "hideous": "JJ",
    "hideously": "RB",
    "hideout": "NN",
    "hideouts": "NNS",
    "hiders": "NNS",
    "hiding": "VBG|NN",
    "hierarchical": "JJ",
    "hierarchies": "NNS",
    "hierarchy": "NN",
    "hifalutin": "JJ",
    "high": "JJ|NN|RB|RP",
    "high-VAT": "JJ",
    "high-altitude": "JJ",
    "high-art": "JJ",
    "high-backed": "JJ",
    "high-balance": "JJ",
    "high-beta": "JJ",
    "high-blood-pressure": "JJ",
    "high-button": "JJ",
    "high-capacity": "JJ",
    "high-ceilinged": "JJ",
    "high-class": "JJ",
    "high-cost": "JJ",
    "high-coupon": "JJ",
    "high-crime": "JJ",
    "high-current": "JJ",
    "high-definition": "JJ|NN",
    "high-density": "JJ",
    "high-echelon": "JJ",
    "high-efficiency": "NN",
    "high-end": "JJ",
    "high-energy": "JJ",
    "high-fiber": "JJ",
    "high-fidelity": "NN",
    "high-flying": "JJ",
    "high-frequency": "JJ",
    "high-gain": "JJ",
    "high-gloss": "JJ",
    "high-grade": "JJ",
    "high-growth": "NN|JJ",
    "high-handed": "JJ",
    "high-heeled": "JJ",
    "high-horsepower": "JJ",
    "high-income": "JJ|NN",
    "high-inflation": "JJ",
    "high-intensity": "JJ",
    "high-interest": "JJ",
    "high-interest-rate": "JJ",
    "high-interestrate": "JJ",
    "high-legged": "JJ",
    "high-level": "JJ|NNP",
    "high-leverage": "JJ",
    "high-living": "JJ",
    "high-loss": "JJ",
    "high-mileage": "JJ",
    "high-minded": "JJ",
    "high-mindedness": "NN",
    "high-mounted": "JJ",
    "high-net": "NN",
    "high-net-worth": "JJ",
    "high-octane": "JJ",
    "high-paid": "JJ",
    "high-paying": "JJ",
    "high-performance": "JJ|NN",
    "high-performing": "JJ",
    "high-pitched": "JJ",
    "high-polluting": "JJ",
    "high-positive": "JJ",
    "high-power": "JJ",
    "high-powered": "JJ",
    "high-pressure": "JJ",
    "high-price": "JJ",
    "high-priced": "JJ",
    "high-priority": "JJ",
    "high-production": "JJ",
    "high-profile": "JJ",
    "high-profit": "JJ",
    "high-profit-margin": "JJ",
    "high-profitability": "NN",
    "high-protein": "JJ",
    "high-purity": "NN|JJ",
    "high-quality": "JJ|NN",
    "high-ranking": "JJ",
    "high-rate": "JJ",
    "high-rated": "JJ",
    "high-rep": "JJ",
    "high-resolution": "JJ",
    "high-rise": "JJ|NN",
    "high-rise-project": "JJ",
    "high-rises": "NNS",
    "high-rolling": "JJ",
    "high-salaried": "JJ",
    "high-school": "NN|JJ",
    "high-security": "JJ",
    "high-set": "JJ",
    "high-society": "NN",
    "high-sounding": "JJ",
    "high-speed": "JJ",
    "high-spirited": "JJ",
    "high-stakes": "JJ",
    "high-standard": "JJ",
    "high-stepped": "JJ",
    "high-strung": "JJ",
    "high-sudsing": "JJ",
    "high-sulfur": "JJ",
    "high-tailed": "VBD",
    "high-tax": "JJ",
    "high-tech": "JJ|NN",
    "high-tech-sounding": "JJ",
    "high-technological": "JJ",
    "high-technology": "NN|JJ",
    "high-temperature": "JJ|NN",
    "high-ticket": "JJ",
    "high-toned": "JJ",
    "high-topped": "JJ",
    "high-up": "JJ",
    "high-value": "JJ",
    "high-velocity": "JJ",
    "high-visibility": "JJ|NN",
    "high-vitamin": "JJ",
    "high-voltage": "JJ",
    "high-volume": "JJ",
    "high-wage": "JJ",
    "high-water": "JJ",
    "high-wire": "JJ",
    "high-yield": "JJ|NN",
    "high-yielding": "JJ",
    "high-yields": "NNS",
    "highball": "NN|VB",
    "highboard": "NN",
    "highboy": "NN",
    "highbrow": "JJ",
    "highbrow-furrowing": "NN",
    "highbrows": "NNS",
    "higher": "JJR|RB|RBR",
    "higher-caffeine": "JJ",
    "higher-caliber": "JJR",
    "higher-capacity": "JJ",
    "higher-cost": "JJ|JJR",
    "higher-density": "JJ",
    "higher-education": "JJ|NN|JJR",
    "higher-fat": "JJR",
    "higher-grade": "JJ",
    "higher-income": "JJ",
    "higher-level": "JJ",
    "higher-margin": "JJR",
    "higher-multiple": "JJ",
    "higher-octane": "JJ",
    "higher-paid": "JJ",
    "higher-paying": "JJ",
    "higher-priced": "JJ|JJR",
    "higher-profit": "JJR",
    "higher-quality": "JJ|NN",
    "higher-ranking": "JJ",
    "higher-rate": "JJ",
    "higher-salaried": "JJ|JJR",
    "higher-technology": "JJR",
    "higher-than-anticipated": "JJ",
    "higher-than-expected": "JJ",
    "higher-than-normal": "JJ",
    "higher-than-retail": "JJ",
    "higher-toned": "JJ",
    "higher-yielding": "JJ",
    "highest": "JJS|RB|RBS",
    "highest-grossing": "JJS",
    "highest-paid": "JJ",
    "highest-pitched": "JJ",
    "highest-priced": "JJS",
    "highest-quality": "JJ|JJS|NN",
    "highest-ranking": "JJ",
    "highest-rated": "JJ",
    "highest-volume": "JJ",
    "highest-yielding": "JJ",
    "highfalutin": "JJ",
    "highflying": "JJ",
    "highland": "NN",
    "highlands": "NNS",
    "highlight": "VB|VBP|NN",
    "highlighted": "VBN|VBD",
    "highlighting": "VBG",
    "highlights": "VBZ|NNS",
    "highly": "RB",
    "highly-confident": "JJ",
    "highly-leveraged": "JJ",
    "highly-regarded": "JJ",
    "highly-touted": "JJ",
    "highness": "NN",
    "highpoint": "NN",
    "highpriced": "JJ",
    "highrises": "NNS",
    "highrisk": "NN",
    "highroad": "NN",
    "highs": "NNS",
    "highschool": "NN",
    "hightailing": "VBG",
    "hightechnologies": "NNS",
    "hightops": "NNS",
    "highway": "NN",
    "highway-construction": "JJ",
    "highway-relief": "JJ",
    "highway-safety": "NN",
    "highwayman": "NN",
    "highways": "NNS|JJ",
    "highyield": "JJ",
    "hijacked": "VBN|VBD",
    "hijacker": "NN",
    "hijackers": "NNS",
    "hijacking": "NN|VBG",
    "hike": "NN|VB",
    "hiked": "VBD|VBN",
    "hiker": "NN",
    "hikers": "NNS",
    "hikes": "NNS|VBZ",
    "hiking": "NN|VBG",
    "hilar": "JJ",
    "hilarious": "JJ",
    "hilariously": "RB",
    "hilarity": "NN",
    "hill": "NN",
    "hillbilly": "NN",
    "hills": "NNS",
    "hillside": "NN",
    "hillsides": "NNS",
    "hilltop": "NN",
    "hilltops": "NNS",
    "hilly": "JJ",
    "hilt": "NN",
    "hilum": "NN",
    "him.": "NN",
    "himself": "PRP",
    "himselfe": "NN",
    "hind": "JJ",
    "hinder": "VB",
    "hindered": "VBD|VBN",
    "hindering": "VBG|JJ",
    "hinders": "VBZ",
    "hindmost": "JJ",
    "hindquarters": "NNS",
    "hindrance": "NN",
    "hindrances": "NNS",
    "hindsight": "NN",
    "hinge": "VB|NN",
    "hinged": "VBN|VBD",
    "hinges": "NNS|VBZ",
    "hint": "NN|VBP|VB",
    "hinted": "VBD|VBN",
    "hinterlands": "NNS",
    "hinting": "VBG",
    "hints": "NNS|VBZ",
    "hip": "NN|JJ",
    "hipline": "NN",
    "hipper": "JJR",
    "hippie": "NN",
    "hips": "NNS",
    "hipster": "NN",
    "hir": "PRP$",
    "hire": "VB|VBP|NN",
    "hired": "VBN|JJ|VBD",
    "hirelings": "NNS",
    "hires": "VBZ|NNS",
    "hiring": "VBG|NN",
    "his": "PRP$",
    "his/her": "JJR",
    "hiss": "NNS|VB",
    "hissed": "VBD|VBN",
    "hisself": "PRP",
    "hissing": "NN|VBG",
    "histochemical": "JJ",
    "histology": "NN",
    "historian": "NN",
    "historians": "NNS",
    "historic": "JJ",
    "historical": "JJ",
    "historical-claims": "NNS",
    "historically": "RB",
    "historichomes": "NNS",
    "historicism": "NN",
    "historicity": "NN",
    "historicized": "VBN",
    "histories": "NNS",
    "historiography": "NN",
    "history": "NN",
    "history-making": "JJ",
    "history-reenactment": "NN",
    "histrionics": "NNS",
    "hit": "VBD|JJ|NN|VBN|VBP|VB",
    "hit-and-miss": "JJ",
    "hit-and-run": "JJ",
    "hit-making": "JJ",
    "hit-man": "NN",
    "hit-run": "NN",
    "hitch": "NN|VB",
    "hitched": "VBN|VBD",
    "hitches": "NNS|VBZ",
    "hitching": "NN|VBG",
    "hither": "RB",
    "hitherto": "RB",
    "hitless": "JJ",
    "hitmakers": "NNS",
    "hitman": "NN",
    "hits": "NNS|VBZ",
    "hitter": "NN",
    "hitters": "NNS",
    "hitting": "VBG|NN",
    "hitting-pitching": "JJ",
    "hitwoman": "NN",
    "hive": "NN",
    "hmmm": "UH",
    "ho": "UH",
    "ho-hum": "JJ",
    "hoard": "VBP|NN|VB",
    "hoarder": "NN",
    "hoarding": "NN|VBG",
    "hoards": "NNS|VBZ",
    "hoarse": "JJ",
    "hoarsely": "RB",
    "hoarseness": "NN",
    "hoaxes": "NNS|VBZ",
    "hob": "NN",
    "hobbies": "NNS",
    "hobbing": "VBG",
    "hobble": "VB",
    "hobbled": "VBN|VBD",
    "hobbles": "VBZ",
    "hobbling": "VBG",
    "hobby": "NN",
    "hobbyist": "NN",
    "hobbyists": "NNS",
    "hobnob": "VB",
    "hobo": "NN",
    "hobos": "NNS",
    "hoc": "FW",
    "hock": "NN|VB",
    "hockey": "NN",
    "hocking": "VBG",
    "hodge-podge": "NN",
    "hodgepodge": "NN",
    "hoes": "NNS|VBZ",
    "hog": "NN|NNS",
    "hogging": "VBG",
    "hogs": "NNS",
    "hoi-polloi": "FW",
    "hoist": "VB",
    "hoisted": "VBN|VBD",
    "hoisting": "NN|VBG",
    "hokey": "JJ",
    "hold": "VB|NN|RB|VBP",
    "hold-back": "NN",
    "holder": "NN",
    "holders": "NNS",
    "holdin": "VBG",
    "holding": "VBG|JJ|NN",
    "holdings": "NNS",
    "holdouts": "NNS",
    "holdovers": "NNS",
    "holds": "VBZ|NNS",
    "holdup": "NN",
    "holdups": "NNS",
    "hole": "NN|VBP",
    "holed": "VBN|VBD",
    "holes": "NNS",
    "holiday": "NN|VB",
    "holiday-season": "JJ|NN",
    "holidays": "NNS|VBZ",
    "holier-than-thou": "JJ",
    "holies": "NNS",
    "holiest": "JJS",
    "holistic": "JJ",
    "holler": "VB",
    "hollered": "VBD|VBN",
    "hollering": "VBG|JJ",
    "hollers": "VBZ",
    "hollow": "JJ|NN|VB",
    "hollowness": "NN",
    "hollows": "NNS|VBZ",
    "hollowware": "NN",
    "hollyhock": "NN",
    "hollyhocks": "NNS",
    "holocaust": "NN",
    "holored": "VBN",
    "holster": "NN",
    "holstered": "VBD|VBN|JJ",
    "holy": "JJ",
    "holystones": "NNS",
    "homage": "NN",
    "home": "NN|VBP|RB",
    "home-acquisition": "JJ",
    "home-and-home": "JJ",
    "home-audience": "NN",
    "home-blend": "NN",
    "home-bound": "JJ",
    "home-bred": "JJ",
    "home-builder": "NN",
    "home-building": "JJ|NN",
    "home-buying": "JJ|NN",
    "home-care": "JJ|NN",
    "home-center": "NN",
    "home-city": "NN",
    "home-comings": "NNS",
    "home-computer": "NN",
    "home-delivered": "JJ",
    "home-delivery": "NN",
    "home-entertainment": "JJ",
    "home-equity": "NN|JJ",
    "home-fashion": "NN",
    "home-for-the-night": "NN",
    "home-furnishing": "NN",
    "home-furnishings": "NNS",
    "home-grown": "JJ",
    "home-health-care": "JJ",
    "home-improvement": "NN|JJ",
    "home-market": "JJ",
    "home-mortgage": "JJ",
    "home-nursing": "JJ",
    "home-office": "JJ",
    "home-owners": "NNS",
    "home-ownership": "NN",
    "home-plate": "NN",
    "home-produced": "JJ",
    "home-run": "NN|JJ",
    "home-service": "JJ",
    "home-sharing": "NN",
    "home-shopping": "NN",
    "home-state": "JJ",
    "home-team": "JJ",
    "home-trading": "NN",
    "home-video": "JJ|NN",
    "home.": "NN",
    "homebound": "JJ",
    "homebuilder": "NN",
    "homebuilders": "NNS",
    "homebuilding": "NN",
    "homecoming": "NN",
    "homecomings": "NNS",
    "homeequity": "NN",
    "homefolk": "NN",
    "homeland": "NN",
    "homelands": "NNS",
    "homeless": "JJ|NN",
    "homelessness": "NN",
    "homely": "JJ",
    "homemade": "JJ",
    "homemaker": "NN",
    "homemakers": "NNS",
    "homeowner": "NN|JJR",
    "homeowners": "NNS",
    "homeownership": "NN",
    "homer": "NN|VB",
    "homered": "VBD|VBN",
    "homers": "NNS|VBZ",
    "homerun": "NN",
    "homes": "NNS",
    "homeshopping": "NN",
    "homesick": "JJ",
    "homesickness": "NN",
    "homespun": "JJ",
    "homestead": "NN",
    "homesteaders": "NNS",
    "homesteads": "NNS",
    "hometown": "NN|JJ",
    "homeward": "RB",
    "homewards": "RB",
    "homework": "NN",
    "homey": "JJ",
    "homicidal": "JJ",
    "homicide": "NN",
    "homicides": "NNS",
    "homier": "JJR",
    "homilies": "NNS",
    "homing": "JJ|VBG",
    "homo-hatred": "NN",
    "homoerotic": "JJ",
    "homoeroticism": "NN",
    "homogenate": "NN",
    "homogeneity": "NN",
    "homogeneous": "JJ",
    "homogeneously": "RB",
    "homogenization": "NN",
    "homogenize": "VB",
    "homogenized": "VBN|VBD",
    "homogenous": "JJ",
    "homologous": "RB",
    "homophobia": "NN",
    "homophobic": "JJ",
    "homopolymers": "NNS",
    "homosexual": "JJ|NN",
    "homosexuality": "NN",
    "homosexuals": "NNS",
    "homozygous": "JJ",
    "hon": "NN",
    "hone": "VB|VBP",
    "honed": "VBN|JJ|VBD",
    "honest": "JJ",
    "honest-to-Betsy": "RB",
    "honestly": "RB",
    "honesty": "NN",
    "honey": "NN|VB|UH|JJ",
    "honey-in-the-sun": "JJ",
    "honeybee": "NN",
    "honeybees": "NNS",
    "honeycombed": "JJ",
    "honeymoon": "NN|VB",
    "honeymooned": "VBD|VBN",
    "honeymooners": "NNS",
    "honeymooning": "NN|VBG",
    "honeysuckle": "NN",
    "honk": "VBP|VB",
    "honky-tonk": "NN",
    "honkytonks": "NNS",
    "honor": "VB|NN|VBP",
    "honorable": "JJ|NN",
    "honorably": "RB",
    "honorarium": "NN",
    "honorariums": "NNS",
    "honorary": "JJ",
    "honored": "VBN|JJ|VBD",
    "honoree": "NN",
    "honorific": "NN",
    "honoring": "VBG",
    "honors": "NNS|VBZ|JJ",
    "honour": "NN|VB",
    "honoured": "VBN|VBD",
    "hoo-pig": "UH",
    "hooch": "NN",
    "hood": "NN",
    "hoodle": "UH",
    "hoodlum": "NN",
    "hoodlums": "NNS",
    "hoods": "NNS",
    "hoodwinked": "VBN|VBD",
    "hoof": "NN|VB",
    "hoof-and-mouth": "JJ",
    "hoofmarks": "NNS",
    "hoofs": "NNS|VBZ",
    "hook": "NN|VB",
    "hook-up": "NN",
    "hooked": "JJ|VBN|VBD",
    "hooker": "NN",
    "hookers": "NNS",
    "hooking": "VBG",
    "hooks": "VBZ|NNS",
    "hookup": "NN",
    "hookups": "NNS",
    "hookworm": "NN",
    "hooliganism": "NN",
    "hoop": "NN",
    "hoopla": "NN",
    "hoops": "NNS",
    "hoosegow": "NN",
    "hoosegows": "NNS",
    "hoot": "NN|VBP",
    "hooted": "VBD|VBN",
    "hooting": "JJ",
    "hoots": "NNS",
    "hooves": "NNS",
    "hop": "NN|VB",
    "hop-skipped": "VBN",
    "hope": "NN|VB|VBD|VBP",
    "hope...": ":",
    "hoped": "VBN|VBD",
    "hoped-for": "JJ",
    "hopeful": "JJ|NN",
    "hopefully": "RB",
    "hopefuls": "NNS",
    "hopeless": "JJ",
    "hopelessly": "RB",
    "hopelessness": "NN",
    "hopes": "VBZ|NNS",
    "hoping": "VBG",
    "hopped": "VBD|VBN",
    "hopper": "NN",
    "hopping": "VBG",
    "hoppled": "VBN|VBD",
    "hopples": "NNS|VBZ",
    "hops": "VBZ|NNS",
    "hopscotch": "NN",
    "hopscotched": "VBD",
    "horde": "NN",
    "hordes": "NNS",
    "horizon": "NN",
    "horizons": "NNS",
    "horizontal": "JJ|NN",
    "horizontal-restraints": "NNS",
    "horizontally": "RB",
    "hormonal": "JJ",
    "hormone": "NN",
    "hormone-treated": "JJ",
    "hormones": "NNS",
    "horn": "NN|VB",
    "horn-rim": "JJ",
    "horn-rimmed": "JJ",
    "horned": "JJ|VBD|VBN",
    "hornet": "NN",
    "horns": "NNS|VBZ",
    "horoscope": "NN",
    "horoscopes": "NNS",
    "horrendous": "JJ",
    "horrible": "JJ|NN",
    "horribles": "NNS",
    "horribly": "RB",
    "horrid": "JJ",
    "horrific": "JJ",
    "horrified": "VBN|JJ|VBD",
    "horrifying": "JJ|VBG",
    "horrifyingly": "RB",
    "horror": "NN",
    "horrors": "NNS",
    "hors": "FW",
    "horse": "NN",
    "horse-blanket": "RB",
    "horse-breeding": "NN",
    "horse-chestnut": "NN",
    "horse-drawn": "JJ",
    "horse-meat": "NN",
    "horse-packing": "JJ",
    "horse-player": "NN",
    "horse-playing": "JJ",
    "horse-radish": "NN",
    "horse-steak": "NN",
    "horse-trading": "NN",
    "horse-trail": "NN",
    "horseback": "NN|JJ|RB",
    "horsedom": "NN",
    "horseflesh": "NN",
    "horsehair": "NN",
    "horselike": "JJ",
    "horseman": "NN",
    "horsemanship": "NN",
    "horsemeat": "NN",
    "horsemen": "NNS",
    "horseplay": "NN",
    "horsepower": "NN",
    "horseradish": "NN",
    "horses": "NNS",
    "horseshoers": "NNS",
    "horsewoman": "NN",
    "horticultural": "JJ",
    "horticultural-products": "NNS",
    "horticulturally": "RB",
    "horticulture": "NN",
    "horticulturist": "NN",
    "hosannas": "NNS",
    "hose": "NN|VB",
    "hoses": "VBZ|NNS",
    "hospice": "NN",
    "hospices": "NNS",
    "hospitable": "JJ",
    "hospital": "NN",
    "hospital-care": "NN",
    "hospitality": "NN",
    "hospitalization": "NN",
    "hospitalizations": "NNS",
    "hospitalized": "VBN|JJ",
    "hospitals": "NNS",
    "hoss": "NN|NNS",
    "hosses": "NNS",
    "host": "NN|VB",
    "host-specific": "JJ",
    "hostage": "NN",
    "hostages": "NNS",
    "hoste": "NN",
    "hosted": "VBD|VBN|JJ",
    "hostelries": "NNS",
    "hostess": "NN",
    "hostesses": "NNS",
    "hostile": "JJ|NN",
    "hostile-bid": "JJ",
    "hostilities": "NNS",
    "hostility": "NN",
    "hosting": "VBG",
    "hostler": "NN",
    "hosts": "NNS|VBZ",
    "hot": "JJ",
    "hot-air": "JJ",
    "hot-blooded": "JJ",
    "hot-buttons": "NNS",
    "hot-cereals": "NNS",
    "hot-cold": "JJ",
    "hot-colored": "JJ",
    "hot-dipped": "JJ",
    "hot-dog": "JJ",
    "hot-formed": "JJ",
    "hot-honey": "JJ",
    "hot-line": "NN",
    "hot-pink": "JJ",
    "hot-rolled": "JJ",
    "hot-selling": "JJ",
    "hot-shot": "JJ|NN",
    "hot-slough": "JJ",
    "hot-tempered": "JJ",
    "hot-ticket": "JJ",
    "hot-water": "NN",
    "hotbed": "NN",
    "hotdog": "NN",
    "hotdogs": "NNS",
    "hotel": "NN",
    "hotel-casino": "NN",
    "hotel-casinos": "NNS",
    "hotel-management": "NN",
    "hotel-motel": "NN",
    "hotel-restaurant": "NN",
    "hotel/casino": "NN",
    "hotel/entertainment": "NN",
    "hotelier": "NN",
    "hoteliers": "NNS",
    "hotelman": "NN",
    "hotels": "NNS",
    "hothouse": "JJ",
    "hothouses": "NNS",
    "hotline": "NN",
    "hotlines": "NNS",
    "hotly": "RB",
    "hotrod": "NN",
    "hotter": "JJR",
    "hottest": "JJS",
    "hottest-selling": "JJS",
    "hound": "NN|VB",
    "hounded": "VBD|VBN",
    "hounding": "VBG",
    "hounds": "NNS|VBZ",
    "hour": "NN",
    "hour-and-a-half": "NN",
    "hour-long": "JJ",
    "hourlong": "JJ",
    "hourly": "JJ|RB",
    "hours": "NNS|VBZ",
    "house": "NN|VBP|VB",
    "house-building": "NN",
    "house-cleaning": "NN",
    "house-painting": "JJ",
    "houseboat": "NN",
    "houseboats": "NNS",
    "housebound": "JJ",
    "housebreakers": "NNS",
    "housebreaking": "NN",
    "housebroken": "JJ",
    "housecleaning": "NN|VBG",
    "housed": "VBN|VBD",
    "houseful": "NN",
    "househld": "JJ",
    "household": "NN|JJ",
    "household-products": "NNS",
    "household-type": "JJ",
    "householder": "NN",
    "householders": "NNS",
    "households": "NNS",
    "housekeeper": "NN",
    "housekeeping": "NN",
    "houseman": "NN",
    "housemate": "NN",
    "housepaint": "NN",
    "houses": "NNS|VBZ",
    "housewares": "NNS",
    "housewarming": "JJ",
    "housewife": "NN",
    "housewives": "NNS",
    "housework": "NN",
    "housing": "NN|VBG|JJ",
    "housing-assistance": "JJ",
    "housing-construction": "NN",
    "housing-discrimination": "NN",
    "housing-loan": "NN",
    "housing-policy": "NN",
    "housing-related": "JJ",
    "housings": "NNS",
    "hove": "VBD|VBN",
    "hovel": "NN",
    "hovels": "NNS",
    "hover": "VB|VBP",
    "hovered": "VBD|VBN",
    "hoverin": "VBG",
    "hovering": "VBG",
    "hovers": "VBZ",
    "how": "WRB|UH",
    "how-to": "JJ",
    "howdy": "UH",
    "howe": "WRB",
    "however": "RB|RBR|WRB",
    "howitzer": "NN",
    "howl": "NN|VB",
    "howled": "VBD|VBN",
    "howlers": "NNS",
    "howling": "VBG",
    "howls": "NNS|VBZ",
    "howse": "NN",
    "howsomever": "RB",
    "hoydenish": "JJ",
    "hp": "NN",
    "hp.": "NN",
    "hr": "NN",
    "hr.": "NN",
    "hub": "NN",
    "hub-and-spoke": "JJ",
    "hubba": "UH",
    "hubbub": "NN",
    "hubby": "NN",
    "hubris": "NN",
    "hubs": "NNS",
    "huckster": "NN|VB",
    "huckstering": "VBG",
    "huddle": "NN|VB",
    "huddled": "VBD|VBN|JJ",
    "huddles": "NNS|VBZ",
    "huddling": "VBG",
    "hue": "NN|VB",
    "hues": "NNS|VBZ",
    "huffed": "VBD|VBN",
    "hug": "NN|VB|VBP",
    "huge": "JJ",
    "hugely": "RB",
    "hugged": "VBD|VBN",
    "hugging": "VBG|NN",
    "huggings": "NNS",
    "hugh": "JJ",
    "huh": "UH",
    "huh-uh": "JJ",
    "hula": "NN",
    "hulk": "NN|VB",
    "hulking": "VBG|JJ",
    "hulks": "NNS|VBZ",
    "hull": "NN",
    "hull-first": "RB",
    "hullabaloo": "NN",
    "hum": "VB|NN|UH",
    "humaine": "NN",
    "human": "JJ|NN",
    "human-based": "JJ",
    "human-generated": "JJ",
    "human-leukocyte-derived": "JJ",
    "human-resource": "JJ",
    "human-resources": "NNS|JJ",
    "human-rights": "JJ|NN|NNS",
    "human-robot": "NN",
    "human-sounding": "JJ",
    "humane": "JJ",
    "humanely": "RB",
    "humaneness": "NN",
    "humanism": "NN",
    "humanist": "JJ|NN",
    "humanistic": "JJ",
    "humanists": "NNS",
    "humanitarian": "JJ|NN",
    "humanities": "NNS",
    "humanity": "NN",
    "humanize": "VB",
    "humanizing": "VBG",
    "humankind": "NN",
    "humanly": "RB",
    "humanness": "NN",
    "humans": "NNS",
    "humble": "JJ|VB",
    "humbled": "VBN|VBD",
    "humblest": "JJS",
    "humbling": "JJ|VBG",
    "humbly": "RB",
    "humid": "JJ",
    "humidity": "NN",
    "humilation": "NN",
    "humiliated": "VBN|JJ|VBD",
    "humiliates": "VBZ",
    "humiliating": "JJ|VBG",
    "humiliatingly": "RB",
    "humiliation": "NN",
    "humility": "NN",
    "humly": "RB",
    "hummable": "JJ",
    "hummed": "VBD|VBN",
    "humming": "NN|VBG",
    "hummocks": "NNS",
    "humongous": "JJ",
    "humor": "NN|VB",
    "humorist": "NN",
    "humorists": "NNS",
    "humorless": "JJ",
    "humorous": "JJ",
    "humors": "NNS|VBZ",
    "humour": "NN|VB",
    "hump": "NN|VB",
    "hump-backed": "JJ",
    "humped": "NN|VBD|VBN",
    "hums": "VBZ",
    "hunch": "NN|VB",
    "hunched": "VBN|VBD|JJ",
    "hunched-up": "JJ",
    "hunches": "NNS|VBZ",
    "hunching": "VBG",
    "hundred-and-eighty-degree": "JJ",
    "hundred-and-fifty": "JJ",
    "hundred-leaf": "JJ",
    "hundred-odd": "JJ",
    "hundred-thousand-share": "JJ",
    "hundred-yen": "JJ",
    "hundreds-of-billions-of-yen": "JJ",
    "hundredth": "JJ",
    "hundredweight": "NN",
    "hung": "VBD|JJ|VBN",
    "hunger": "NN|VB",
    "hungrier": "JJR",
    "hungrily": "RB",
    "hungry": "JJ",
    "hunk": "NN",
    "hunker": "VB",
    "hunkered": "VBN|VBD",
    "hunky-dory": "JJ",
    "hunt": "NN|VB|VBP",
    "hunted": "VBN|VBD|JJ",
    "hunter": "NN",
    "hunter-gatherers": "NNS",
    "hunter-killer": "NN|JJ",
    "hunters": "NNS",
    "hunting": "NN|VBG",
    "hunting-gear": "JJ",
    "hunts": "VBZ|NNS",
    "hurdle": "NN|VB",
    "hurdled": "VBD|VBN",
    "hurdles": "NNS|VBZ",
    "hurl": "VBP|VB",
    "hurled": "VBN|VBD",
    "hurler": "NN",
    "hurlers": "NNS",
    "hurley": "NN",
    "hurling": "VBG",
    "hurls": "VBZ",
    "hurrah": "NN",
    "hurricane": "NN",
    "hurricane-hit": "JJ",
    "hurricane-prone": "JJ",
    "hurricane-ravaged": "JJ",
    "hurricane-related": "JJ",
    "hurricane-stricken": "JJ",
    "hurricane-wracked": "JJ",
    "hurricanes": "NNS",
    "hurried": "VBN|VBD|JJ",
    "hurriedly": "RB",
    "hurries": "VBZ",
    "hurry": "NN|VBP|VB",
    "hurrying": "VBG|JJ",
    "hurt": "VBN|JJ|NN|VBD|VBP|VB",
    "hurting": "VBG",
    "hurtled": "VBD|VBN",
    "hurtling": "VBG",
    "hurts": "VBZ",
    "husband": "NN|VB",
    "husband-and-wife": "JJ|NN",
    "husband-stealer": "NN",
    "husband-wife": "JJ",
    "husbandry": "NN",
    "husbands": "NNS|VBZ",
    "husbun": "NN",
    "hush": "JJ|NN|UH|VB",
    "hush-hush": "JJ",
    "hushed": "JJ|VBD|VBN",
    "husk": "NN|VB",
    "huskily": "RB",
    "huskiness": "NN",
    "husks": "NNS|VBZ",
    "husky": "JJ",
    "husky-voiced": "JJ",
    "hustings": "NN",
    "hustle": "VB|NN",
    "hustled": "VBD|VBN",
    "hustler": "NN",
    "hustlers": "NNS",
    "hustles": "VBZ",
    "hustling": "VBG",
    "hut": "NN",
    "hutch": "NN",
    "hutment": "NN",
    "hutments": "NNS",
    "huts": "NNS",
    "huzzahs": "NNS",
    "hyacinths": "NNS",
    "hyaline": "JJ",
    "hyalinization": "NN",
    "hyaluronic": "JJ",
    "hybrid": "JJ|NN",
    "hybrids": "NNS",
    "hydra-headed": "JJ",
    "hydrated": "JJ",
    "hydration": "NN",
    "hydraulic": "JJ",
    "hydraulically": "RB",
    "hydraulics": "NNS",
    "hydride": "NN",
    "hydrides": "NNS",
    "hydrido": "NN",
    "hydrocarbon": "NN",
    "hydrocarbon-storage": "NN",
    "hydrocarbons": "NNS",
    "hydrochemistry": "NN",
    "hydrochloride": "NN",
    "hydrochlorothiazide": "NN",
    "hydroelectric": "JJ",
    "hydrogen": "NN",
    "hydrogens": "NNS",
    "hydrolysis": "NN",
    "hydrolyzed": "VBN",
    "hydrophilic": "JJ",
    "hydrophobia": "NN",
    "hydrophobic": "JJ",
    "hydrostatic": "JJ",
    "hydrotherapy": "NN",
    "hydrous": "JJ",
    "hydroxyl-rich": "JJ",
    "hydroxylation": "NN",
    "hydroxymethyl": "NN",
    "hyenas": "NNS",
    "hygiene": "NN",
    "hygienic": "JJ",
    "hym": "PRP",
    "hymen": "NN",
    "hymens": "NNS",
    "hymn": "NN",
    "hymns": "NNS",
    "hymselfe": "NN",
    "hype": "NN",
    "hyped": "VBD|NN",
    "hyped-up": "JJ",
    "hyper": "JJ",
    "hyper-competitive": "JJ",
    "hyper-inflation": "NN",
    "hyper-trader": "NN",
    "hyperactive": "JJ",
    "hyperbole": "NN",
    "hyperbolic": "JJ",
    "hyperbolically": "RB",
    "hypercellularity": "NN",
    "hyperemia": "NN",
    "hyperemic": "JJ",
    "hyperfine": "JJ",
    "hyperinflation": "NN",
    "hypermarket": "NN",
    "hypermarkets": "NNS",
    "hyperplasia": "NN",
    "hypersonic": "JJ",
    "hypertension": "NN",
    "hypertrophied": "VBN",
    "hypertrophy": "NN",
    "hypervelocity": "NN",
    "hyperventilating": "NN",
    "hyperzeal": "NN",
    "hyphenated": "JJ|VBN|VBD",
    "hyphens": "NNS|VBZ",
    "hyping": "NN|VBG",
    "hypnosis": "NN",
    "hypnotic": "JJ",
    "hypnotically": "RB",
    "hypnotized": "VBN|VBD|JJ",
    "hypo": "JJ",
    "hypoactive": "JJ",
    "hypoadrenocorticism": "NN",
    "hypocellularity": "NN",
    "hypocracy": "NN",
    "hypocrisies": "NNS",
    "hypocrisy": "NN",
    "hypocrite": "NN",
    "hypocrites": "NNS",
    "hypocritical": "JJ",
    "hypodermic": "JJ",
    "hypoglycemia": "NN",
    "hypoglycemic": "JJ",
    "hypophyseal": "JJ",
    "hypophysectomised": "VBN",
    "hypostatization": "NN",
    "hypothalamic": "JJ",
    "hypothalamic-cortical": "JJ",
    "hypothalamically": "RB",
    "hypothalamus": "NN",
    "hypotheses": "NNS",
    "hypothesis": "NN",
    "hypothesize": "VB",
    "hypothesized": "VBN|VBD",
    "hypothetical": "JJ",
    "hypothetically": "RB",
    "hypothyroidism": "NN",
    "hys": "PRP$",
    "hysterectomy": "NN",
    "hysteria": "NN",
    "hysterical": "JJ",
    "hysterically": "RB",
    "hysteron-proteron": "NN",
    "hytt": "PRP",
    "i-th": "NN",
    "i.d": "NN",
    "i.d.": "NN",
    "i.e.": "FW|NN|RP",
    "i860": "NN",
    "iambic": "JJ",
    "ibuprofen": "NN",
    "ice": "NN|JJ|VB",
    "ice-baggers": "NNS",
    "ice-breaker": "JJ|NN",
    "ice-chest": "NN",
    "ice-cold": "NN",
    "ice-core": "NN",
    "ice-cream": "NN",
    "ice-cubes": "NNS",
    "ice-feeling": "NN",
    "ice-filled": "JJ",
    "ice-free": "JJ",
    "iceberg": "NN",
    "icebergs": "NNS",
    "icebound": "JJ",
    "icebox": "NN",
    "icecap": "NN",
    "iced": "JJ|VBD|VBN",
    "iced-tea": "NN",
    "icicle": "NN",
    "icing": "NN|VBG",
    "icon": "NN",
    "iconoclasm": "NN",
    "iconoclast": "NN",
    "iconoclastic": "JJ",
    "icons": "NNS",
    "icy": "JJ",
    "idea": "NN",
    "idea-exchange": "NN",
    "ideal": "JJ|NN",
    "idealism": "NN",
    "idealisms": "NNS",
    "idealist": "NN",
    "idealistic": "JJ",
    "idealization": "NN",
    "idealized": "JJ|VBN|VBD",
    "ideally": "RB",
    "ideals": "NNS",
    "ideas": "NNS",
    "ideational": "JJ",
    "identical": "JJ",
    "identically": "RB",
    "identifiable": "JJ",
    "identification": "NN",
    "identifications": "NNS",
    "identified": "VBN|JJ|VBD",
    "identifier": "NN",
    "identifiers": "NNS",
    "identifies": "VBZ",
    "identify": "VB|VBP",
    "identifying": "VBG",
    "identities": "NNS",
    "identity": "NN",
    "identity-management": "NN",
    "ideological": "JJ",
    "ideologically": "RB",
    "ideologies": "NNS",
    "ideologist": "NN",
    "ideologists": "NNS",
    "ideologues": "NNS",
    "ideology": "NN",
    "ides": "NNS",
    "idiocies": "NNS",
    "idiocy": "NN",
    "idiom": "NN",
    "idiomatic": "JJ",
    "idioms": "NNS",
    "idiosyncrasies": "NNS",
    "idiosyncratic": "JJ",
    "idiot": "JJ|NN",
    "idiot-grin": "NN",
    "idiotic": "JJ",
    "idiotically": "RB",
    "idiots": "NNS",
    "idiotypes": "NNS",
    "idle": "JJ|VB",
    "idled": "VBN|VBD",
    "idleness": "NN",
    "idler": "NN",
    "idlers": "NNS",
    "idling": "VBG|NN",
    "idlings": "NNS",
    "idly": "RB",
    "idol": "NN",
    "idol-worship": "NN",
    "idolatry": "NN",
    "idolize": "VBP|VB",
    "idolized": "JJ|VBD|VBN",
    "idols": "NNS",
    "idosyncratic": "JJ",
    "idyll": "NN",
    "idyllic": "JJ",
    "if": "IN",
    "iffy": "JJ",
    "ifs": "NNS",
    "igloo": "NN",
    "igneous": "JJ",
    "ignite": "VB",
    "ignited": "VBN|VBD|JJ",
    "ignition": "NN",
    "ignoble": "JJ",
    "ignominious": "JJ",
    "ignominiously": "RB",
    "ignoramus": "NN",
    "ignorance": "NN",
    "ignorant": "JJ",
    "ignore": "VB|VBP",
    "ignored": "VBN|VBD",
    "ignores": "VBZ",
    "ignoring": "VBG",
    "iguana": "JJ",
    "iguanas": "NNS",
    "ij": "NN",
    "ikey-kikey": "JJ",
    "ileum": "NN",
    "iliac": "JJ",
    "ilk": "NN",
    "ill": "JJ|NNS|RB",
    "ill-advised": "JJ",
    "ill-conceived": "JJ",
    "ill-defined": "JJ",
    "ill-disposed": "JJ",
    "ill-equipped": "JJ",
    "ill-fated": "JJ",
    "ill-fitting": "JJ",
    "ill-founded": "JJ",
    "ill-gotten": "JJ",
    "ill-mannered": "JJ",
    "ill-prepared": "JJ",
    "ill-starred": "JJ",
    "ill-suited": "JJ",
    "ill-timed": "JJ",
    "ill-trained": "JJ",
    "ill-understood": "JJ",
    "illegal": "JJ",
    "illegalities": "NNS",
    "illegality": "NN",
    "illegally": "RB",
    "illegitimacy": "NN",
    "illegitimate": "JJ",
    "illicit": "JJ",
    "illicitly": "RB",
    "illiquid": "JJ",
    "illiquidity": "NN",
    "illiteracy": "NN",
    "illiterate": "JJ",
    "illness": "NN",
    "illogic": "NN",
    "illogical": "JJ",
    "ills": "NNS",
    "illuminate": "VB",
    "illuminated": "VBN|JJ|VBD",
    "illuminates": "VBZ",
    "illuminating": "JJ|VBG",
    "illumination": "NN",
    "illuminations": "NNS",
    "illumine": "VB",
    "illumined": "VBD|VBN",
    "illumines": "VBZ",
    "illusion": "NN",
    "illusionary": "JJ",
    "illusionist": "NN",
    "illusions": "NNS|FW",
    "illusive": "JJ",
    "illusiveness": "NN",
    "illusory": "JJ",
    "illustrate": "VBP|VB",
    "illustrated": "VBD|VBN|JJ",
    "illustrates": "VBZ",
    "illustrating": "VBG",
    "illustration": "NN",
    "illustrations": "NNS",
    "illustrative": "JJ",
    "illustrator": "NN",
    "illustrators": "NNS",
    "illustrious": "JJ",
    "image": "NN|VB",
    "image-building": "JJ",
    "image-making": "NN|JJ",
    "image-processing": "NN|JJ",
    "image-provoking": "JJ",
    "imaged": "VBN|VBD",
    "imagery": "NN",
    "images": "NNS|VBZ",
    "imaginable": "JJ",
    "imaginary": "JJ|NN",
    "imagination": "NN",
    "imaginations": "NNS",
    "imaginative": "JJ",
    "imaginatively": "RB",
    "imagine": "VB|VBP",
    "imagined": "VBD|VBN|JJ",
    "imagines": "VBZ",
    "imaging": "NN|JJ|VBG",
    "imagining": "VBG",
    "imaginings": "NNS",
    "imagnation": "NN",
    "imbalance": "NN",
    "imbalances": "NNS",
    "imbecile": "NN",
    "imbecility": "NN",
    "imbedded": "VBN|VBD",
    "imbibe": "VB",
    "imbibed": "VBN|VBD",
    "imbroglio": "NN",
    "imbruing": "VBG",
    "imbued": "VBN|VBD",
    "imcomparable": "JJ",
    "imcomplete": "JJ",
    "imitate": "VBP|VB",
    "imitated": "VBN|VBD|JJ",
    "imitates": "VBZ",
    "imitating": "VBG",
    "imitation": "NN",
    "imitation-caning": "JJ",
    "imitation-woodgrain": "NN",
    "imitations": "NNS",
    "imitative": "JJ",
    "imitators": "NNS",
    "immaculate": "JJ",
    "immanent": "JJ",
    "immaterial": "JJ",
    "immature": "JJ",
    "immaturity": "NN",
    "immeasurable": "JJ",
    "immeasurably": "RB",
    "immediacies": "NNS",
    "immediacy": "NN",
    "immediate": "JJ",
    "immediate-response": "JJ",
    "immediately": "RB",
    "immemorial": "JJ",
    "immense": "JJ|NN",
    "immensely": "RB",
    "immensities": "NNS",
    "immensity": "NN",
    "immersed": "VBN|VBD",
    "immersion": "NN",
    "immigrant": "JJ|NN",
    "immigrants": "NNS",
    "immigrated": "VBD|VBN",
    "immigration": "NN",
    "imminence": "NN",
    "imminent": "JJ",
    "imminently": "RB",
    "immiserated": "JJ",
    "immobility": "NN",
    "immobilized": "VBN|VBD",
    "immoderate": "JJ",
    "immodest": "JJ",
    "immodesty": "NN",
    "immoral": "JJ",
    "immoralities": "NNS",
    "immorality": "NN",
    "immortal": "JJ",
    "immortality": "NN",
    "immortalized": "VBN|VBD",
    "immovable": "JJ",
    "immune": "JJ|NN",
    "immune-system": "NN",
    "immunities": "NNS",
    "immunity": "NN",
    "immunization": "NN",
    "immunized": "VBN|VBD",
    "immunodeficiency": "NN",
    "immunoelectrophoresis": "NN",
    "immunoglobulin": "NN",
    "immunological": "JJ",
    "immunologist": "NN",
    "immunology": "NN",
    "immunosuppressive": "JJ",
    "immutable": "JJ",
    "impact": "NN|VB",
    "impacted": "VBN|JJ|VBD",
    "impaction": "NN",
    "impacts": "NNS|VBZ",
    "impair": "VB|NN",
    "impaired": "VBN|JJ|VBD",
    "impairment": "NN",
    "impaled": "VBN|VBD",
    "impaling": "VBG",
    "impart": "VB",
    "impartation": "NN",
    "imparted": "VBN|VBD",
    "impartial": "JJ",
    "impartiality": "NN",
    "imparting": "VBG",
    "imparts": "VBZ",
    "impassable": "JJ",
    "impasse": "NN",
    "impassible": "JJ",
    "impassioned": "JJ",
    "impassive": "JJ",
    "impassively": "RB",
    "impassiveness": "NN",
    "impatience": "NN",
    "impatiens": "NNS",
    "impatient": "NN|JJ",
    "impatiently": "RB",
    "impeached": "VBN|VBD",
    "impeachment": "NN",
    "impeccable": "JJ",
    "impeccably": "RB",
    "impede": "VB|VBP",
    "impeded": "VBN|VBD",
    "impedes": "VBZ",
    "impediment": "NN",
    "impediments": "NNS",
    "impeding": "VBG",
    "impelled": "VBN|VBD",
    "impelling": "JJ|VBG",
    "impels": "VBZ",
    "impending": "JJ|VBG",
    "impenetrable": "JJ",
    "imperative": "JJ|NN",
    "imperatives": "NNS",
    "imperceptible": "JJ",
    "imperceptibly": "RB",
    "imperfect": "JJ",
    "imperfectability": "NN",
    "imperfection": "NN",
    "imperfections": "NNS",
    "imperfectly": "RB",
    "imperial": "JJ",
    "imperialism": "NN",
    "imperialist": "NN",
    "imperialists": "NNS",
    "imperil": "VB",
    "imperiled": "VBN|JJ",
    "imperiling": "VBG",
    "imperilled": "VBN|VBD",
    "imperious": "JJ",
    "imperiously": "RB",
    "imperishable": "JJ",
    "impermissible": "JJ",
    "impersonal": "JJ",
    "impersonalized": "JJ",
    "impersonally": "RB",
    "impersonated": "VBN|VBD",
    "impersonates": "VBZ",
    "impersonation": "NN",
    "impersonations": "NNS",
    "impersonator": "NN",
    "impertinent": "JJ",
    "imperturbable": "JJ",
    "impervious": "JJ",
    "impetigo": "NN",
    "impetuous": "JJ",
    "impetuousness": "NN",
    "impetus": "NN",
    "impiety": "NN",
    "impinge": "VB|VBP",
    "impinging": "VBG",
    "impious": "JJ",
    "implacable": "JJ",
    "implant": "VB|NN",
    "implantable": "JJ",
    "implantation": "NN",
    "implanted": "VBD|VBN",
    "implanting": "VBG",
    "implausible": "JJ",
    "implausibly": "RB",
    "implement": "VB|VBP",
    "implementation": "NN",
    "implemented": "VBN|VBD",
    "implementer": "NN",
    "implementing": "VBG",
    "implements": "VBZ|NNS",
    "implicate": "VB",
    "implicated": "VBN|VBD",
    "implication": "NN",
    "implications": "NNS",
    "implicit": "JJ",
    "implicitly": "RB",
    "implied": "VBN|JJ|VBD",
    "implies": "VBZ",
    "implore": "VB",
    "implored": "VBN|VBD",
    "implores": "VBZ",
    "imploring": "VBG",
    "imply": "VBP|VB",
    "implying": "VBG",
    "impolite": "JJ",
    "impolitic": "JJ",
    "imponderable": "JJ|NN",
    "imponderables": "NNS",
    "import": "NN|VB|VBP",
    "import-export": "JJ",
    "import-incentive": "JJ",
    "import-restricting": "JJ",
    "import-screening": "NN",
    "importance": "NN",
    "important": "JJ",
    "important-looking": "JJ",
    "importantly": "RB",
    "importation": "NN",
    "imported": "VBN|VBD|JJ",
    "imported-food": "NN",
    "importer": "NN",
    "importers": "NNS",
    "importing": "VBG|NN",
    "imports": "NNS|VBZ",
    "importunately": "RB",
    "importunities": "NNS",
    "impose": "VB|VBP",
    "imposed": "VBN|VBD|JJ",
    "imposes": "VBZ",
    "imposing": "VBG|JJ",
    "imposition": "NN",
    "impossibility": "NN",
    "impossible": "JJ",
    "impossibly": "RB",
    "impostor": "NN",
    "impotence": "NN",
    "impotency": "NN",
    "impotent": "JJ",
    "impound": "VB",
    "impounded": "VBN|VBD",
    "impoundment": "NN",
    "impoundments": "NNS",
    "impoverished": "VBN|JJ|VBD",
    "impoverishment": "NN",
    "impracticable": "JJ",
    "impractical": "JJ",
    "impracticality": "NN",
    "imprecates": "VBZ",
    "imprecations": "NNS",
    "imprecise": "JJ",
    "imprecisely": "RB",
    "impregnable": "JJ",
    "impresario": "NN",
    "impress": "VB|NN|VBP",
    "impressed": "VBN|JJ|VBD",
    "impresser": "NN",
    "impresses": "VBZ",
    "impressing": "VBG",
    "impression": "NN",
    "impressionism": "NN",
    "impressionist": "JJ|NN",
    "impressionistic": "JJ",
    "impressionistically": "RB",
    "impressionists": "NNS",
    "impressions": "NNS",
    "impressive": "JJ",
    "impressively": "RB",
    "imprimatur": "NN",
    "imprint": "VB|NN",
    "imprinted": "VBN|VBD",
    "imprints": "NNS|VBZ",
    "imprison": "VB",
    "imprisoned": "VBN|VBD|JJ",
    "imprisoning": "VBG",
    "imprisonment": "NN",
    "imprisons": "VBZ",
    "improbability": "NN",
    "improbable": "JJ",
    "improbably": "RB",
    "impromptu": "JJ|NN",
    "improper": "JJ",
    "improperly": "RB",
    "improprieties": "NNS",
    "impropriety": "NN",
    "improve": "VB|VBP",
    "improved": "VBN|JJ|VBD",
    "improvement": "NN",
    "improvements": "NNS",
    "improves": "VBZ",
    "improvident": "JJ",
    "improvidently": "RB",
    "improving": "VBG|NN",
    "improvisation": "NN",
    "improvisational": "JJ",
    "improvisations": "NNS",
    "improvisatory": "JJ",
    "improvise": "VB",
    "improvised": "VBD|VBN",
    "improviser": "NN",
    "improvisers": "NNS",
    "improvises": "VBZ",
    "improvising": "NN|VBG",
    "imprudence": "NN",
    "imprudent": "JJ",
    "imprudently": "RB",
    "impudence": "NN",
    "impudent": "JJ",
    "impudently": "RB",
    "impugn": "VB",
    "impugned": "VBN|VBD",
    "impugning": "VBG",
    "impulse": "NN|JJ",
    "impulse-related": "JJ",
    "impulses": "NNS",
    "impulsive": "JJ",
    "impulsively": "RB",
    "impunity": "NN",
    "impure": "JJ",
    "impurities": "NNS",
    "impurity": "NN",
    "impurity-doped": "JJ",
    "imput": "NN",
    "imputation": "NN",
    "impute": "VBP|VB",
    "imputed": "JJ|VBN|VBD",
    "in": "IN|FW|NN|RB|RP|NNP|RBR|VBD",
    "in-accord-with-nature": "JJ",
    "in-and-outer": "NN",
    "in-crowd": "NN",
    "in-depth": "JJ",
    "in-fighting": "NN",
    "in-group": "JJ|NN",
    "in-groups": "NN",
    "in-grown": "JJ",
    "in-home": "JJ",
    "in-house": "JJ|NN|RB",
    "in-jokes": "NNS",
    "in-kind": "JJ",
    "in-law": "NN",
    "in-laws": "NNS",
    "in-migrants": "NNS",
    "in-migration": "NN",
    "in-office": "JJ",
    "in-patient": "JJ",
    "in-person": "JJ",
    "in-plant": "JJ",
    "in-room": "JJ",
    "in-state": "JJ",
    "in-store": "JJ",
    "in.": "NN",
    "in...": ":",
    "inability": "NN",
    "inaccessible": "JJ",
    "inaccuracies": "NNS",
    "inaccuracy": "NN",
    "inaccurate": "JJ",
    "inaccurately": "RB",
    "inaction": "NN",
    "inactivate": "VB",
    "inactivated": "VBD|VBN",
    "inactivation": "NN",
    "inactive": "JJ",
    "inactivity": "NN",
    "inadequacies": "NNS",
    "inadequacy": "NN",
    "inadequate": "JJ",
    "inadequately": "RB",
    "inadvertence": "NN",
    "inadvertent": "JJ",
    "inadvertently": "RB",
    "inadvisable": "JJ",
    "inalienable": "JJ",
    "inane": "JJ",
    "inanimate": "JJ",
    "inapplicable": "JJ",
    "inappropriate": "JJ",
    "inappropriately": "RB",
    "inappropriateness": "NN",
    "inapt": "JJ",
    "inarticulate": "JJ",
    "inasmuch": "RB",
    "inattention": "NN",
    "inattentive": "JJ",
    "inaudible": "JJ",
    "inaugural": "JJ|NN",
    "inaugurated": "VBN|VBD",
    "inaugurating": "VBG",
    "inauguration": "NN",
    "inauspicious": "JJ",
    "inboard": "JJ|RB",
    "inboards": "NNS",
    "inborn": "JJ",
    "inbound": "JJ",
    "inbreeding": "VBG|NN",
    "inc.": "NNP",
    "incalculable": "JJ",
    "incandescent": "JJ",
    "incantation": "NN",
    "incanted": "VBD",
    "incapable": "JJ|NN",
    "incapacitated": "VBN|VBD",
    "incapacitating": "JJ|VBG",
    "incapacity": "NN",
    "incarcerate": "VB",
    "incarcerated": "VBN|VBD",
    "incarceration": "NN",
    "incarnate": "JJ|VB",
    "incarnation": "NN",
    "incarnations": "NNS",
    "incautious": "JJ",
    "incautiously": "RB",
    "incendiaries": "NNS",
    "incendiary": "JJ",
    "incense": "NN|VB",
    "incensed": "VBN|JJ|VBD",
    "incentive": "NN|JJ",
    "incentive-backed": "JJ",
    "incentive-bonus": "NN",
    "incentive-buoyed": "JJ",
    "incentive-maximizing": "JJ",
    "incentive-pay": "JJ",
    "incentive-reduced": "JJ",
    "incentive-spurred": "JJ",
    "incentives": "NNS",
    "incepted": "VBD",
    "incepting": "VBG",
    "inception": "NN",
    "inceptor": "NN",
    "incertain": "JJ",
    "incessant": "JJ",
    "incessantly": "RB",
    "incest": "NN",
    "incestuous": "JJ",
    "inch": "NN|RB|VB",
    "inched": "VBD|VBN",
    "inches": "NNS|VBZ",
    "inching": "VBG",
    "inchworm": "NN",
    "incidence": "NN",
    "incident": "NN|JJ",
    "incidental": "JJ",
    "incidentally": "RB",
    "incidentals": "NNS",
    "incidents": "NNS",
    "incineration": "NN",
    "incinerator": "NN",
    "incinerators": "NNS",
    "incipience": "NN",
    "incipiency": "NN",
    "incipient": "JJ",
    "incise": "VB",
    "incisions": "NNS",
    "incisive": "JJ",
    "incisiveness": "NN",
    "incite": "VB|VBP",
    "incited": "VBN|VBD",
    "incitement": "NN",
    "incitements": "NNS",
    "inciting": "VBG",
    "inclement": "JJ",
    "inclination": "NN",
    "inclinations": "NNS",
    "incline": "NN|VB",
    "inclined": "VBN|JJ|VBD",
    "inclosed": "VBN|VBD",
    "include": "VBP|VBN|VB",
    "included": "VBD|VBN|JJ",
    "includee": "VBP",
    "includes": "VBZ",
    "including": "VBG",
    "inclusion": "NN",
    "inclusions": "NNS",
    "inclusive": "JJ",
    "inclusiveness": "NN",
    "incoherence": "NN",
    "incoherent": "JJ",
    "incoherently": "RB",
    "income": "NN",
    "income-earner": "NN",
    "income-oriented": "JJ",
    "income-paying": "JJ",
    "income-producing": "JJ",
    "income-support": "NN",
    "income-tax": "NN|JJ",
    "incomes": "NNS",
    "incoming": "JJ|VBG",
    "incomparable": "JJ",
    "incomparably": "RB",
    "incompatibility": "NN",
    "incompatible": "JJ",
    "incompatibles": "NNS",
    "incompetence": "NN",
    "incompetency": "NN",
    "incompetent": "JJ",
    "incompetently": "RB",
    "incompetents": "NNS",
    "incomplete": "JJ",
    "incompletely": "RB",
    "incompleteness": "NN",
    "incomprehensible": "NN|JJ",
    "incomprehension": "NN",
    "inconceivable": "JJ",
    "inconclusive": "JJ",
    "inconclusively": "RB",
    "incongruities": "NNS",
    "incongruity": "NN",
    "incongruous": "JJ",
    "inconsequential": "JJ",
    "inconsiderable": "JJ",
    "inconsistencies": "NNS",
    "inconsistency": "NN",
    "inconsistent": "JJ",
    "inconsistently": "RB",
    "inconspicuous": "JJ",
    "inconspicuously": "RB",
    "incontestable": "JJ",
    "incontrovertible": "JJ",
    "inconvenience": "NN|VB",
    "inconveniences": "NNS|VBZ",
    "inconvenient": "JJ",
    "inconveniently": "RB",
    "incorporate": "VB|VBP|JJ",
    "incorporated": "VBN|JJ|VBD",
    "incorporates": "VBZ",
    "incorporating": "VBG|JJ",
    "incorporation": "NN",
    "incorrect": "JJ",
    "incorrectly": "RB",
    "incorrigible": "JJ",
    "incorruptibility": "NN",
    "incorruptible": "JJ|NN",
    "increase": "NN|VB|VBP",
    "increase-results": "NNS",
    "increased": "VBD|VBN|JJ",
    "increases": "NNS|VBZ",
    "increasing": "VBG|JJ|NN",
    "increasing-rate": "JJ",
    "increasingly": "RB",
    "incredible": "JJ",
    "incredibly": "RB",
    "incredulity": "NN",
    "incredulously": "RB",
    "increment": "NN",
    "incremental": "JJ",
    "increments": "NNS",
    "incriminating": "VBG|JJ",
    "incubate": "VB",
    "incubated": "VBN|VBD",
    "incubating": "VBG",
    "incubation": "NN",
    "incubi": "NNS",
    "incubus": "NN",
    "inculcated": "VBD|VBN",
    "inculcation": "NN",
    "incumbencies": "NNS",
    "incumbency": "NN",
    "incumbent": "JJ|NN",
    "incumbent-protection": "JJ",
    "incumbents": "NNS",
    "incur": "VB|VBP",
    "incurable": "JJ",
    "incurably": "RB",
    "incurred": "VBN|VBD",
    "incurring": "VBG",
    "incurs": "VBZ",
    "incursion": "NN",
    "indebted": "JJ",
    "indebtedness": "NN",
    "indecency": "NN",
    "indecent": "JJ",
    "indecipherable": "JJ",
    "indecision": "NN",
    "indecisive": "JJ",
    "indecisively": "RB",
    "indecisiveness": "NN",
    "indefatigable": "JJ",
    "indefensible": "JJ",
    "indefinable": "JJ",
    "indefinite": "JJ|NN",
    "indefinitely": "RB",
    "indefiniteness": "NN",
    "indefinity": "NN",
    "indelible": "JJ",
    "indelibly": "RB",
    "indelicate": "JJ",
    "indemnification": "NN",
    "indemnify": "VB",
    "indemnifying": "VBG",
    "indemnity": "NN",
    "indentations": "NNS",
    "indenture": "NN|VB",
    "indentured": "VBN|VBD",
    "independant": "JJ",
    "independence": "NN",
    "independent": "JJ|NN",
    "independent-contractor": "JJ",
    "independent-minded": "JJ",
    "independently": "RB",
    "independents": "NNS",
    "indescribable": "JJ",
    "indestructibility": "NN",
    "indestructible": "JJ",
    "indeterminable": "JJ",
    "indeterminate": "JJ",
    "index": "NN|VB",
    "index-arbitrage": "NN|JJ",
    "index-arbitrage-related": "JJ",
    "index-fund": "JJ|NN",
    "index-futures": "JJ|NNS",
    "index-linked": "JJ",
    "index-options": "NNS",
    "index-related": "JJ",
    "index-trading": "NN",
    "indexation": "NN",
    "indexed": "VBN|JJ|VBD",
    "indexer": "NN",
    "indexers": "NNS",
    "indexes": "NNS",
    "indexing": "NN|VBG",
    "indicate": "VBP|VB",
    "indicated": "VBD|JJ|VBN",
    "indicates": "VBZ",
    "indicating": "VBG",
    "indication": "NN",
    "indications": "NNS",
    "indicative": "JJ",
    "indicator": "NN",
    "indicators": "NNS",
    "indices": "NNS",
    "indict": "VB",
    "indicted": "VBN|VBD",
    "indictment": "NN",
    "indictments": "NNS",
    "indifference": "NN",
    "indifferent": "JJ",
    "indigation": "NN",
    "indigenous": "JJ",
    "indigent": "JJ",
    "indigents": "NNS",
    "indigestible": "JJ",
    "indigestion": "NN",
    "indignant": "JJ",
    "indignantly": "RB",
    "indignation": "NN",
    "indignities": "NNS",
    "indignity": "NN",
    "indirect": "JJ",
    "indirection": "NN",
    "indirectly": "RB",
    "indirectness": "NN",
    "indiscreet": "JJ",
    "indiscretions": "NNS",
    "indiscriminantly": "RB",
    "indiscriminate": "JJ",
    "indiscriminating": "JJ",
    "indispensability": "NN",
    "indispensable": "JJ|NN",
    "indispensable...": ":",
    "indispensible": "JJ",
    "indisposed": "JJ|VBD|VBN",
    "indisposition": "NN",
    "indisputable": "JJ",
    "indisputably": "RB",
    "indistinct": "JJ",
    "indistinguishable": "JJ",
    "indium": "NN",
    "individual": "JJ|NN",
    "individual-contributor": "NN",
    "individual-investor": "NN|JJ",
    "individual-retirement-account": "NN",
    "individual-type": "JJ",
    "individualism": "NN",
    "individualist": "NN",
    "individualistic": "JJ",
    "individualists": "NNS",
    "individuality": "NN",
    "individualized": "JJ|VBN|VBD",
    "individualizing": "VBG",
    "individually": "RB",
    "individuals": "NNS",
    "individuate": "VB|VBD",
    "individuation": "NN",
    "indivisibility": "NN",
    "indivisible": "JJ",
    "indoctrinated": "VBN",
    "indoctrinating": "NN",
    "indoctrination": "NN",
    "indolence": "NN",
    "indolent": "JJ",
    "indolently": "RB",
    "indomitable": "JJ",
    "indoor": "JJ",
    "indoors": "NN|RB",
    "indorsed": "VBD|VBN",
    "indpendent": "JJ",
    "indubitable": "JJ",
    "induce": "VB",
    "induced": "VBN|VBD",
    "inducement": "NN",
    "inducements": "NNS",
    "induces": "VBZ",
    "inducing": "VBG",
    "inducted": "VBN|VBD",
    "inductees": "NNS",
    "induction": "NN",
    "inductions": "NNS",
    "indulge": "VB|VBP",
    "indulged": "VBD|VBN",
    "indulgence": "NN",
    "indulgences": "NNS",
    "indulgent": "JJ",
    "indulges": "VBZ",
    "indulging": "VBG",
    "industralization": "NN",
    "industrial": "JJ",
    "industrial-automation": "NN",
    "industrial-equipment": "NN",
    "industrial-gas": "JJ",
    "industrial-gases": "JJ",
    "industrial-product": "NN",
    "industrial-production": "JJ",
    "industrial-property": "NN",
    "industrial-services": "JJ",
    "industrial-vehicle": "NN",
    "industrialism": "NN",
    "industrialist": "NN",
    "industrialists": "NNS",
    "industrialization": "NN",
    "industrialize": "VB",
    "industrialized": "VBN|JJ|VBD",
    "industrially": "RB",
    "industrials": "NNS|VBZ",
    "industries": "NNS",
    "industrious": "JJ",
    "industriously": "RB",
    "industry": "NN",
    "industry-financed": "JJ",
    "industry-funded": "JJ",
    "industry-government": "JJ|NN",
    "industry-specific": "JJ",
    "industry-standard": "JJ",
    "industry-supported": "JJ",
    "industry-wide": "JJ",
    "industryas": "NNS",
    "industrywide": "JJ|RB",
    "industy": "NN",
    "indwelling": "VBG|JJ",
    "inedible": "JJ",
    "ineffable": "JJ",
    "ineffably": "RB",
    "ineffective": "JJ",
    "ineffectively": "RB",
    "ineffectiveness": "NN",
    "ineffectual": "JJ",
    "inefficiencies": "NNS",
    "inefficiency": "NN",
    "inefficient": "JJ",
    "ineligible": "JJ",
    "ineluctable": "JJ",
    "inept": "JJ",
    "ineptitude": "NN",
    "ineptly": "RB",
    "ineptness": "NN",
    "inequalities": "NNS",
    "inequality": "NN",
    "inequitable": "JJ",
    "inequitably": "RB",
    "inequities": "NNS",
    "inequity": "NN",
    "inert": "JJ",
    "inertia": "NN",
    "inertial": "JJ",
    "inescapable": "JJ",
    "inescapably": "RB",
    "inevitabilities": "NNS",
    "inevitability": "NN",
    "inevitable": "JJ",
    "inevitably": "RB",
    "inexact": "JJ",
    "inexcusable": "JJ",
    "inexhaustible": "JJ",
    "inexorable": "JJ",
    "inexorably": "RB",
    "inexpensive": "JJ",
    "inexperience": "NN",
    "inexperienced": "JJ",
    "inexpert": "JJ",
    "inexplicable": "JJ",
    "inexplicably": "RB",
    "inexplicit": "JJ",
    "inexpressible": "JJ",
    "inexpressibly": "RB",
    "inextricable": "JJ",
    "inextricably": "RB",
    "infallibility": "NN",
    "infallible": "JJ|NN",
    "infamous": "JJ",
    "infamy": "NN",
    "infancy": "NN",
    "infant": "NN|JJ",
    "infant-formula": "NN",
    "infant-mortality": "NN|JJ",
    "infantile": "JJ",
    "infantry": "NN",
    "infantryman": "NN",
    "infantrymen": "NNS",
    "infants": "NNS",
    "infarct": "NN",
    "infarction": "NN",
    "infatuation": "NN",
    "infect": "VB",
    "infected": "JJ|VBN|VBD",
    "infecting": "VBG",
    "infection": "NN",
    "infection-fighting": "JJ",
    "infection-screening": "JJ",
    "infections": "NNS",
    "infectious": "JJ",
    "infelicitous": "JJ",
    "infer": "VB",
    "infer...": ":",
    "inferable": "JJ",
    "inference": "NN",
    "inferences": "NNS",
    "inferential": "JJ",
    "inferior": "JJ",
    "inferiority": "NN",
    "infernal": "JJ",
    "infernally": "RB",
    "inferno": "NN",
    "inferred": "VBN|VBD",
    "infertile": "JJ",
    "infertility": "NN",
    "infest": "VB",
    "infestation": "NN",
    "infestations": "NNS",
    "infested": "JJ|VBN|VBD",
    "infesting": "VBG",
    "infests": "VBZ",
    "infidel": "JJ",
    "infidelity": "NN",
    "infidels": "NNS",
    "infield": "NN",
    "infielder": "NN",
    "infielders": "NNS",
    "infighting": "NN",
    "infiltrate": "VB",
    "infiltrated": "VBN|VBD",
    "infiltrating": "VBG",
    "infiltration": "NN",
    "infinite": "JJ|NN",
    "infinitely": "RB",
    "infinitesimal": "JJ",
    "infinitesimally": "RB",
    "infinitive": "NN",
    "infinitum": "FW|NN",
    "infinity": "NN",
    "infirm": "JJ",
    "infirmary": "NN",
    "infirmity": "NN",
    "inflame": "VB",
    "inflamed": "JJ|VBD|VBN",
    "inflammation": "NN",
    "inflammations": "NNS",
    "inflammatory": "JJ",
    "inflate": "VB|JJ",
    "inflated": "VBN|JJ|VBD",
    "inflates": "VBZ",
    "inflating": "VBG",
    "inflation": "NN",
    "inflation-created": "JJ",
    "inflation-fighting": "NN|JJ",
    "inflation-free": "JJ",
    "inflation-fuels-growth": "JJ",
    "inflation-growth": "NN",
    "inflation-hedge": "JJ",
    "inflation-induced": "JJ",
    "inflation-offsetting": "JJ",
    "inflation-wary": "JJ",
    "inflation/deflation": "NN",
    "inflationary": "JJ",
    "inflations": "NNS",
    "inflected": "VBN|JJ|VBD",
    "inflecting": "VBG",
    "inflection": "NN",
    "inflections": "NNS",
    "inflexible": "JJ",
    "inflict": "VB",
    "inflicted": "VBN|VBD",
    "inflicting": "VBG",
    "infliction": "NN",
    "inflight": "JJ",
    "inflow": "NN",
    "inflows": "NNS",
    "influence": "NN|VB|VBP",
    "influence-peddling": "NN|JJ",
    "influenced": "VBN|VBD",
    "influences": "VBZ|NNS",
    "influencing": "VBG",
    "influent": "JJ|NN",
    "influential": "JJ",
    "influenza": "NN",
    "influenza-pneumonia": "JJ",
    "influx": "NN",
    "inform": "VB|VBP|JJ",
    "informal": "JJ",
    "informality": "NN",
    "informally": "RB",
    "informant": "NN",
    "informants": "NNS",
    "informatics": "NNS",
    "information": "NN",
    "information-cell": "NN",
    "information-delivery": "NN",
    "information-display": "NN|JJ",
    "information-gathering": "JJ",
    "information-processing": "NN",
    "information-products": "NNS",
    "information-seeking": "NN",
    "information-service": "NN",
    "information-services": "NNS|JJ",
    "information-system": "JJ",
    "information-systems": "NNS|JJ",
    "information-technology": "JJ",
    "informational": "JJ",
    "informative": "JJ",
    "informed": "VBN|VBD|JJ",
    "informer": "JJ",
    "informing": "VBG",
    "informs": "VBZ",
    "infra": "FW",
    "infraction": "NN",
    "infractions": "NNS",
    "infrared": "JJ|NN",
    "infrastructural": "JJ",
    "infrastructure": "NN",
    "infrastructures": "NNS",
    "infrequent": "JJ",
    "infrequently": "RB",
    "infringe": "VB|VBP",
    "infringed": "VBN|VBD",
    "infringement": "NN",
    "infringements": "NNS",
    "infringes": "VBZ",
    "infringing": "VBG",
    "infuriate": "VB",
    "infuriated": "VBD|VBN",
    "infuriating": "JJ|VBG",
    "infuriation": "NN",
    "infuse": "VB",
    "infused": "VBN|VBD",
    "infusion": "NN",
    "infusion-therapy": "JJ",
    "infusions": "NNS",
    "ingenious": "JJ",
    "ingeniously": "RB",
    "ingenuity": "NN",
    "ingest": "VB|VBP",
    "ingested": "VBD|VBN",
    "ingestion": "NN",
    "inglorious": "JJ",
    "ingloriously": "RB",
    "ingot": "NN",
    "ingots": "NNS",
    "ingrained": "JJ|VBD|VBN",
    "ingrates": "NNS",
    "ingratiate": "VB|VBD",
    "ingratiating": "JJ",
    "ingratitoode": "NN",
    "ingratitude": "NN",
    "ingredient": "NN",
    "ingredients": "NNS",
    "inhabit": "VBP|VB",
    "inhabitants": "NNS",
    "inhabitation": "NN",
    "inhabited": "VBN|VBD|JJ",
    "inhabiting": "VBG",
    "inhabits": "VBZ",
    "inhalation": "NN",
    "inhaling": "VBG",
    "inharmonious": "JJ",
    "inherent": "JJ",
    "inherently": "RB",
    "inheres": "VBZ",
    "inherit": "VBP|VB",
    "inheritable": "JJ",
    "inheritance": "NN",
    "inherited": "VBN|VBD|JJ",
    "inheriting": "VBG|JJ",
    "inheritor": "NN",
    "inheritors": "NNS",
    "inherits": "VBZ",
    "inhibit": "VB|VBP",
    "inhibited": "VBD|VBN",
    "inhibiting": "VBG|JJ",
    "inhibition": "NN",
    "inhibitions": "NNS",
    "inhibitor": "NN",
    "inhibitors": "NNS",
    "inhibitory": "JJ",
    "inhibits": "VBZ",
    "inholdings": "NNS",
    "inhomogeneous": "JJ",
    "inhospitable": "JJ",
    "inhuman": "JJ",
    "inhumane": "JJ",
    "inhumanities": "NNS",
    "inimical": "JJ",
    "inimitable": "JJ",
    "iniquities": "NNS",
    "iniquitous": "JJ",
    "initial": "JJ|NN|VB",
    "initialed": "VBD|VBN",
    "initialing": "VBG",
    "initially": "RB",
    "initials": "NNS|VBZ",
    "initiate": "VB|NN|VBP",
    "initiated": "VBN|VBD",
    "initiates": "VBZ|NNS",
    "initiating": "VBG",
    "initiation": "NN",
    "initiatiors": "NNS",
    "initiative": "NN",
    "initiatives": "NNS|VBZ",
    "initiator": "NN",
    "initiatve": "NN",
    "inject": "VB|VBP",
    "injected": "VBN|VBD",
    "injecting": "VBG",
    "injection": "NN",
    "injection-molded": "JJ",
    "injections": "NNS",
    "injects": "VBZ",
    "injunction": "NN",
    "injunctions": "NNS",
    "injunctive": "JJ",
    "injure": "VB|VBP",
    "injured": "VBN|VBD|JJ",
    "injures": "VBZ",
    "injuries": "NNS",
    "injuring": "VBG",
    "injurious": "JJ",
    "injury": "NN",
    "injury-prone": "JJ",
    "injustice": "NN",
    "injustices": "NNS",
    "ink": "NN",
    "ink-jet": "JJ",
    "ink-jetting": "JJ",
    "inkblots": "NNS",
    "inking": "NN|JJ",
    "inkling": "NN",
    "inks": "NNS",
    "inkstand": "NN",
    "inky-brown": "JJ",
    "inlaid": "VBN|VBD",
    "inland": "RB|JJ",
    "inlay": "NN|VB",
    "inlet": "NN",
    "inlets": "NNS",
    "inmate": "NN",
    "inmates": "NNS",
    "inn": "NN",
    "innards": "NNS",
    "innate": "JJ",
    "innately": "RB",
    "inner": "JJ",
    "inner-city": "JJ|NN",
    "inner-ear": "JJ",
    "innermost": "JJ",
    "inning": "NN",
    "innings": "NN|NNS",
    "innocence": "NN",
    "innocent": "JJ",
    "innocently": "RB",
    "innocents": "NNS",
    "innoculated": "VBN",
    "innoculating": "VBG",
    "innoculation": "NN",
    "innocuous": "JJ",
    "innovate": "VB",
    "innovated": "VBD|VBN",
    "innovation": "NN",
    "innovations": "NNS",
    "innovative": "JJ",
    "innovativeness": "NN",
    "innovator": "NN",
    "innovators": "NNS",
    "innovators...": ":",
    "inns": "NNS",
    "innuendo": "NN",
    "innuendoes": "NNS",
    "innumerable": "JJ",
    "inoculate": "VB",
    "inoculation": "NN",
    "inoculations": "NNS",
    "inoperable": "JJ",
    "inoperative": "JJ",
    "inopportune": "JJ",
    "inordinate": "JJ",
    "inordinately": "RB",
    "inorganic": "JJ",
    "inpatient": "NN",
    "inpatients": "NNS",
    "inpenetrable": "JJ",
    "inplace": "NN",
    "inpost": "NN",
    "input": "NN|VB|VBD|VBN",
    "inputs": "NNS|VBZ",
    "inquest": "NN",
    "inquire": "VB",
    "inquired": "VBD|VBN",
    "inquiries": "NNS",
    "inquiring": "VBG|JJ",
    "inquiry": "NN",
    "inquisitive": "JJ",
    "inquisitiveness": "NN",
    "inquisitor": "NN",
    "inroad": "NN",
    "inroads": "NNS",
    "insane": "JJ",
    "insanely": "RB",
    "insanity": "NN",
    "insatiable": "JJ",
    "inscribed": "VBN|VBD|JJ",
    "inscription": "NN",
    "inscriptions": "NNS",
    "inscrutability": "NN",
    "inscrutable": "JJ",
    "insect": "NN|JJ",
    "insecticide": "NN",
    "insecticides": "NNS",
    "insects": "NNS",
    "insecure": "JJ",
    "insecurities": "NNS",
    "insecurity": "NN",
    "insemination": "NN",
    "insensitive": "JJ",
    "insensitivity": "NN",
    "inseparable": "JJ",
    "insert": "VB|VBP|NN",
    "inserted": "VBN|VBD",
    "inserting": "VBG",
    "insertion": "NN",
    "insertions": "NNS",
    "inserts": "NNS|VBZ",
    "inset": "NN",
    "insets": "NNS",
    "inshore": "JJ|RB",
    "inside": "IN|JJ|NN|RB",
    "inside-the-Beltway": "NN",
    "inside-the-beltway": "NN",
    "insider": "NN|JJ",
    "insider-selling": "NN",
    "insider-trading": "NN|JJ",
    "insiders": "NNS",
    "insides": "NNS",
    "insidious": "JJ",
    "insidiously": "RB",
    "insight": "NN",
    "insightful": "JJ",
    "insights": "NNS",
    "insignificance": "NN",
    "insignificances": "NNS",
    "insignificant": "JJ",
    "insincere": "JJ",
    "insinuate": "VB",
    "insinuated": "VBD|VBN",
    "insinuates": "VBZ",
    "insinuating": "VBG",
    "insinuation": "NN",
    "insinuations": "NNS",
    "insinuendo": "NN",
    "insipid": "JJ",
    "insist": "VBP|VB",
    "insisted": "VBD|VBN",
    "insistence": "NN",
    "insistent": "JJ",
    "insistently": "RB",
    "insisting": "VBG",
    "insists": "VBZ",
    "insofar": "RB|IN",
    "insolence": "NN",
    "insolent": "JJ",
    "insolently": "RB",
    "insoluble": "JJ|NN",
    "insolvencies": "NNS",
    "insolvency": "NN",
    "insolvent": "JJ|NN",
    "insomma": "FW",
    "insomnia": "NN",
    "insomniacs": "NNS",
    "insouciance": "NN",
    "inspect": "VB|VBP",
    "inspected": "VBN|VBD",
    "inspecting": "VBG",
    "inspection": "NN",
    "inspections": "NNS",
    "inspector": "NN",
    "inspector-general": "JJ",
    "inspectors": "NNS|VBZ",
    "inspiration": "NN",
    "inspirational": "JJ",
    "inspirationally": "RB",
    "inspirations": "NNS",
    "inspire": "VB|VBP",
    "inspired": "VBN|JJ|VBD",
    "inspires": "VBZ",
    "inspiring": "JJ|VBG",
    "insta-book": "NN",
    "instability": "NN",
    "install": "VB|VBP",
    "installation": "NN",
    "installations": "NNS",
    "installed": "VBN|JJ|VBD",
    "installer": "NN",
    "installing": "VBG",
    "installment": "NN|JJ",
    "installment-loan": "JJ",
    "installments": "NNS",
    "instalments": "NNS",
    "instance": "NN|VB",
    "instances": "NNS|VBZ",
    "instancy": "NN",
    "instant": "JJ|NN",
    "instant-camera": "NN",
    "instant-credit": "NN",
    "instant-replay": "NN",
    "instantaneous": "JJ",
    "instantaneously": "RB",
    "instantly": "RB",
    "instead": "RB",
    "instigate": "VB",
    "instigated": "VBD|VBN",
    "instigating": "VBG",
    "instigation": "NN",
    "instigator": "NN",
    "instigators": "NNS",
    "instill": "VB",
    "instillation": "NN",
    "instills": "VBZ",
    "instinct": "NN",
    "instinctive": "JJ",
    "instinctively": "RB",
    "instincts": "NNS",
    "instinctual": "JJ",
    "institute": "NN|VB",
    "institute-sponsored": "JJ",
    "instituted": "VBN|VBD",
    "institutes": "NN|VBZ",
    "instituting": "VBG",
    "institution": "NN",
    "institution-wide": "JJ",
    "institutional": "JJ",
    "institutional-type": "JJ",
    "institutionalized": "VBN|JJ|VBD",
    "institutionally": "RB",
    "institutions": "NNS|,",
    "instruct": "VB|VBP",
    "instructed": "VBN|VBD",
    "instructing": "VBG",
    "instruction": "NN",
    "instruction-set": "JJ|NN",
    "instructional": "JJ",
    "instructions": "NNS",
    "instructive": "JJ",
    "instructor": "NN",
    "instructors": "NNS",
    "instructs": "VBZ",
    "instrument": "NN|VB",
    "instrument-jammed": "JJ",
    "instrumental": "JJ|NN",
    "instrumental-reward": "JJ",
    "instrumentalists": "NNS",
    "instrumentalities": "NNS",
    "instrumentally": "RB",
    "instrumentals": "NNS",
    "instrumentation": "NN",
    "instrumented": "JJ|VBD|VBN",
    "instruments": "NNS|VBZ",
    "insubordinate": "JJ",
    "insubordination": "NN",
    "insubstantial": "JJ",
    "insufferable": "JJ",
    "insufferably": "RB",
    "insufficient": "JJ",
    "insufficiently": "RB",
    "insularity": "NN",
    "insulate": "VBP|VB",
    "insulated": "VBN|.|JJ|VBD",
    "insulating": "VBG|JJ|NN",
    "insulation": "NN",
    "insulator": "NN",
    "insulators": "NNS",
    "insulin": "NN",
    "insulin-dependent": "JJ",
    "insulins": "NNS",
    "insult": "NN|VB",
    "insulted": "VBN|VBD",
    "insulting": "JJ|VBG",
    "insuperable": "JJ",
    "insuperably": "RB",
    "insupportable": "JJ",
    "insurability": "NN",
    "insurance": "NN",
    "insurance-claims": "NNS",
    "insurance-company": "NN|JJ",
    "insurance-cost": "JJ",
    "insurance-holding": "JJ",
    "insurance-industry": "NN",
    "insurance-policy": "NN",
    "insurance-premium-finance": "JJ",
    "insurance-rate": "JJ",
    "insurance-reform": "JJ|NN",
    "insure": "VB|VBP",
    "insure...": ":",
    "insured": "VBN|VBD|JJ|NN",
    "insurer": "NN",
    "insurers": "NNS",
    "insures": "VBZ",
    "insurgence": "NN",
    "insurgency": "NN",
    "insurgent": "JJ",
    "insurgents": "NNS",
    "insurgents.": "NNS",
    "insuring": "VBG",
    "insurmountable": "JJ",
    "insurrection": "NN|JJ",
    "insurrections": "NNS",
    "intact": "JJ",
    "intactible": "JJ",
    "intake": "NN",
    "intangible": "JJ|NN",
    "intangibles": "NNS",
    "integer": "NN",
    "integers": "NNS",
    "integral": "JJ|NN",
    "integrals": "NNS",
    "integrate": "VB|VBP",
    "integrated": "VBN|JJ|VBD",
    "integrated-circuit": "JJ",
    "integrated-steel": "NN",
    "integrated-technologies": "NNS",
    "integrates": "VBZ",
    "integrating": "VBG",
    "integration": "NN",
    "integrative": "JJ",
    "integrator": "NN",
    "integrators": "NNS",
    "integrity": "NN",
    "intellect": "NN",
    "intellectual": "JJ|NN",
    "intellectual-literary": "JJ",
    "intellectual-property": "JJ",
    "intellectuality": "NN",
    "intellectually": "RB",
    "intellectuals": "NNS",
    "intellectus": "FW",
    "intelligence": "NN",
    "intelligence-briefing": "NN",
    "intelligence-sharing": "NN",
    "intelligent": "JJ",
    "intelligently": "RB",
    "intelligentsia": "NN|NNS",
    "intelligible": "JJ|NN",
    "intemperance": "NN",
    "intend": "VBP|VB",
    "intendant": "NN",
    "intendants": "NNS",
    "intended": "VBN|VBD|JJ",
    "intending": "VBG",
    "intends": "VBZ",
    "intense": "JJ",
    "intensely": "RB",
    "intensification": "NN",
    "intensified": "VBN|VBD|JJ",
    "intensifier": "NN",
    "intensifiers": "NNS",
    "intensify": "VB|VBP",
    "intensifying": "VBG|JJ",
    "intensities": "NNS",
    "intensity": "NN",
    "intensive": "JJ|NN",
    "intensive-care": "JJ|NN",
    "intensively": "RB",
    "intent": "NN|JJ",
    "intention": "NN",
    "intentional": "JJ",
    "intentionally": "RB",
    "intentioned": "JJ",
    "intentions": "NNS",
    "intently": "RB",
    "intents": "NNS",
    "inter": "FW|IN|VB",
    "inter-American": "JJ",
    "inter-Arab": "JJ",
    "inter-German": "JJ",
    "inter-agency": "JJ",
    "inter-bank": "JJ",
    "inter-city": "JJ",
    "inter-company": "JJ",
    "inter-exchange": "JJ",
    "inter-governmental": "JJ",
    "inter-industry": "JJ",
    "inter-office": "JJ",
    "inter-plant": "JJ",
    "inter-relation": "NN",
    "inter-relationships": "NNS",
    "inter-species": "JJ",
    "inter-town": "JJ",
    "inter-tribal": "JJ",
    "interact": "VBP|NN",
    "interacting": "VBG|NN",
    "interaction": "NN",
    "interactions": "NNS",
    "interactive": "JJ",
    "interacts": "VBZ",
    "interagency": "NN|JJ",
    "interaxial": "JJ",
    "interbank": "NN|JJ|RB",
    "interbreeding": "VBG",
    "intercede": "VB",
    "interceded": "VBD|VBN",
    "intercept": "NN|VBP|VB",
    "intercepted": "VBN|VBD",
    "interception": "NN",
    "interceptor": "NN",
    "interceptors": "NNS",
    "intercepts": "NNS|VBZ",
    "interchangable": "JJ",
    "interchange": "NN|VB",
    "interchangeable": "JJ",
    "interchanges": "NNS|VBZ",
    "intercity": "JJ|NN",
    "interclass": "JJ",
    "intercollegiate": "JJ",
    "intercom": "NN",
    "intercompany": "NN",
    "interconnect": "VB|NN",
    "interconnected": "VBN|VBD",
    "interconnectedness": "NN",
    "interconnections": "NNS",
    "intercontinental": "JJ",
    "intercorporate": "JJ",
    "intercourse": "NN",
    "intercrisis": "NN",
    "interdenominational": "JJ",
    "interdepartmental": "JJ",
    "interdependence": "NN",
    "interdependent": "JJ",
    "interdicting": "VBG",
    "interdiction": "NN",
    "intereference": "NN",
    "interessant": "FW",
    "interest": "NN|VBP|VB",
    "interest-bearing": "JJ",
    "interest-deferred": "JJ",
    "interest-free": "JJ",
    "interest-only": "JJ",
    "interest-rate": "NN|JJ",
    "interest-rate-sensitive": "JJ",
    "interest-rate-type": "JJ",
    "interest-sensitive": "JJ",
    "interest-subsidy": "NN",
    "interested": "JJ|VBD|VBN",
    "interesting": "JJ|VBG",
    "interestingly": "RB",
    "interestrate": "NN",
    "interface": "NN|VB",
    "interfaces": "NNS|VBZ",
    "interfacial": "JJ",
    "interfaith": "JJ",
    "interfere": "VB|VBP",
    "interfered": "VBD|VBN",
    "interference": "NN",
    "interference-like": "JJ",
    "interferes": "VBZ",
    "interfering": "VBG|JJ",
    "interferometer": "NN",
    "interferometers": "NNS",
    "interferon": "NN",
    "intergenerational": "JJ",
    "interglacial": "JJ",
    "intergovernmental": "JJ",
    "intergrated-steel": "NN",
    "intergroup": "JJ|NN",
    "interim": "JJ|NN",
    "interim-dividend": "NN",
    "interior": "JJ|NN",
    "interior-construction": "NN",
    "interior-decorating": "JJ",
    "interior-furnishings": "NNS",
    "interiors": "NNS",
    "interject": "VBP|VB",
    "interjected": "VBD|VBN",
    "interjects": "VBZ",
    "interlaced": "VBN|JJ|VBD",
    "interlacing": "VBG",
    "interlayer": "NN",
    "interleukin-1": "NN",
    "interleukin-2": "NN",
    "interleukin-3": "NN",
    "interleukin-4": "NN",
    "interlibrary": "JJ",
    "interlining": "NN",
    "interlinked": "VBN",
    "interlobular": "JJ",
    "interlocking": "VBG|JJ",
    "interlocutor": "NN",
    "interloper": "NN",
    "interlopers": "NNS",
    "interloping": "VBG",
    "interlude": "NN",
    "interludes": "NNS",
    "intermarket": "JJ|NN",
    "intermediaries": "NNS",
    "intermediary": "NN|JJ",
    "intermediate": "JJ|VB",
    "intermediate-range": "JJ",
    "intermediate-term": "JJ",
    "intermediates": "NNS|VBZ",
    "interment": "NN",
    "intermeshed": "VBN",
    "interminable": "JJ",
    "intermingle": "VBP|VB",
    "interministerial": "JJ",
    "intermission": "NN",
    "intermissions": "NNS",
    "intermittent": "JJ",
    "intermittently": "RB",
    "intermixed": "VBD|VBN",
    "intermodal": "JJ",
    "intermolecular": "JJ",
    "intern": "NN|VB|JJ",
    "internal": "JJ",
    "internal-external": "JJ",
    "internal-security": "NN",
    "internalized": "VBN",
    "internally": "RB",
    "international": "JJ|NN",
    "international-capital": "JJ",
    "international-defense": "NN",
    "international-leasing": "JJ",
    "international-money-markets": "NN",
    "international-operations": "NNS",
    "international-payments": "NNS",
    "international-share": "JJ",
    "internationalism": "NN",
    "internationalist": "JJ",
    "internationalists": "NNS",
    "internationalization": "NN",
    "internationalize": "VB",
    "internationalized": "VBN|VBD",
    "internationalizing": "VBG",
    "internationally": "RB",
    "internationals": "NNS",
    "interne": "FW|NN",
    "interned": "VBN|VBD",
    "interning": "VBG",
    "internist": "NN",
    "internists": "NNS",
    "internment": "NN",
    "interns": "NNS|VBZ",
    "interoffice": "JJ",
    "interparty": "NN",
    "interpenetrate": "VBP|VB",
    "interpenetrates": "VBZ",
    "interpenetration": "NN",
    "interpeople": "JJ",
    "interpersonal": "JJ",
    "interplanetary": "JJ",
    "interplay": "NN",
    "interpolated": "VBD|VBN",
    "interpolation": "NN",
    "interpolations": "NNS",
    "interposed": "VBN|VBD",
    "interposing": "VBG",
    "interposition": "NN",
    "interpret": "VB|VBP",
    "interpretable": "JJ",
    "interpretation": "NN",
    "interpretations": "NNS",
    "interpretative": "JJ",
    "interpreted": "VBN|VBD|JJ",
    "interpreter": "NN",
    "interpreters": "NNS",
    "interpreting": "VBG",
    "interpretive": "JJ",
    "interpretor": "NN",
    "interprets": "VBZ",
    "interprovincial": "JJ",
    "interred": "VBD",
    "interregnum": "NN",
    "interrelated": "JJ|VBN|VBD",
    "interrelation": "NN",
    "interrelations": "NNS",
    "interrelationship": "NN",
    "interrelationships": "NNS",
    "interrogate": "VB",
    "interrogated": "VBN|VBD",
    "interrogation": "NN",
    "interrogatives": "NNS",
    "interrogator": "NN",
    "interrogators": "NNS",
    "interrupt": "VB|VBP",
    "interrupted": "VBN|JJ|VBD",
    "interrupting": "VBG",
    "interruption": "NN",
    "interruptions": "NNS",
    "interrupts": "VBZ",
    "intersect": "VB|VBP",
    "intersecting": "VBG|JJ",
    "intersection": "NN",
    "intersections": "NNS",
    "interspecies": "NNS",
    "interspersed": "VBN|VBD",
    "intersperses": "VBZ",
    "interst": "NN",
    "interstage": "NN",
    "interstate": "JJ|NN",
    "interstates": "NNS",
    "interstellar": "JJ",
    "interstices": "NNS",
    "interstitial": "JJ",
    "intertitles": "NNS",
    "intertwined": "VBN|JJ|VBD",
    "intertwining": "VBG|JJ",
    "interval": "NN",
    "intervals": "NNS",
    "intervene": "VB",
    "intervened": "VBN|VBD",
    "intervenes": "VBZ",
    "intervening": "VBG",
    "intervenors": "NNS",
    "intervention": "NN",
    "intervention-speeded": "JJ",
    "intervention...": ":",
    "interventionist": "JJ",
    "interventionists": "NNS",
    "interventions": "NNS",
    "interview": "NN|VB",
    "interviewed": "VBN|VBD",
    "interviewee": "NN",
    "interviewees": "NNS",
    "interviewer": "NN",
    "interviewers": "NNS",
    "interviewing": "VBG|NN",
    "interviews": "NNS|VBZ",
    "interwar": "JJ",
    "interweaving": "VBG",
    "interwoven": "VBN|VBD",
    "intestinal": "JJ",
    "intestine": "NN",
    "intestines": "NNS",
    "inti": "NN",
    "intial": "JJ",
    "intifada": "NN",
    "intifadah": "NN",
    "intima": "NN",
    "intimacy": "NN",
    "intimal": "JJ",
    "intimate": "JJ|NN|VB",
    "intimated": "VBD|VBN",
    "intimately": "RB",
    "intimating": "VBG",
    "intimation": "NN",
    "intimations": "NNS",
    "intimidate": "VB|VBD",
    "intimidated": "VBN",
    "intimidates": "VBZ",
    "intimidating": "VBG|JJ",
    "intimidation": "NN",
    "intimidations": "NNS",
    "intitiative": "NN",
    "into": "IN|RP",
    "intolerable": "JJ",
    "intolerably": "RB",
    "intolerance": "NN",
    "intolerant": "JJ",
    "intonaco": "NN",
    "intonation": "NN",
    "intonations": "NNS",
    "intoned": "VBD|VBN",
    "intones": "VBZ",
    "intoxicated": "JJ|VBD|VBN",
    "intoxicating": "JJ|VBG",
    "intoxication": "NN",
    "intra-Community": "JJ",
    "intra-EC": "JJ",
    "intra-administration": "JJ",
    "intra-city": "NN",
    "intra-company": "JJ",
    "intra-governmental": "JJ",
    "intra-mural": "JJ",
    "intra-party": "JJ",
    "intra-state": "JJ",
    "intra-stellar": "NN",
    "intra-uterine": "JJ",
    "intracompany": "JJ",
    "intractable": "JJ",
    "intraday": "NN|JJ",
    "intradepartmental": "JJ",
    "intraepithelial": "JJ",
    "intragovernment": "JJ",
    "intramural": "JJ",
    "intramuscularly": "RB",
    "intranasal": "JJ",
    "intransigence": "NN",
    "intransigent": "JJ",
    "intransigents": "NNS",
    "intraocular": "JJ",
    "intraparty": "JJ",
    "intrapreneurship": "NN",
    "intrapulmonary": "JJ",
    "intrastate": "JJ",
    "intratissue": "NN",
    "intrauterine": "JJ",
    "intravenous": "JJ",
    "intravenously": "RB",
    "intrepid": "JJ",
    "intricacies": "NNS",
    "intricate": "JJ",
    "intricately": "RB",
    "intrigue": "NN|VB",
    "intrigued": "VBN|JJ|VBD",
    "intriguing": "JJ|VBG",
    "intriguingly": "RB",
    "intrinsic": "JJ",
    "intrinsically": "RB",
    "introduce": "VB|VBP",
    "introduced": "VBN|VBD",
    "introduces": "VBZ",
    "introducing": "VBG",
    "introduction": "NN",
    "introductions": "NNS",
    "introductory": "JJ",
    "introject": "NN",
    "introjected": "VBN",
    "introjects": "NNS",
    "introspection": "NN",
    "introspective": "JJ",
    "introverted": "JJ|VBN",
    "intrude": "VBP|VB",
    "intruded": "VBN|VBD",
    "intruder": "NN",
    "intruders": "NNS",
    "intrudes": "VBZ",
    "intruding": "VBG",
    "intrusion": "NN",
    "intrusions": "NNS",
    "intrusive": "JJ",
    "intuition": "NN",
    "intuitions": "NNS",
    "intuitive": "JJ",
    "intuitively": "RB",
    "inundated": "VBN|JJ|VBD",
    "inundating": "VBG",
    "inundations": "NNS",
    "inure": "VB|VBP",
    "inured": "VBN|VBD",
    "invade": "VB|VBP",
    "invaded": "VBD|VBN",
    "invader": "NN",
    "invaders": "NNS",
    "invades": "VBZ",
    "invading": "VBG",
    "invalid": "JJ|NN|NNS|VB",
    "invalidate": "VB",
    "invalidated": "VBD|VBN",
    "invalidism": "NN",
    "invalids": "NNS|VBZ",
    "invaluable": "JJ",
    "invariable": "JJ",
    "invariably": "RB",
    "invariant": "JJ|NN",
    "invasion": "NN",
    "invasion-theory": "NN",
    "invasions": "NNS",
    "invasive": "JJ",
    "invective": "NN",
    "inveigh": "VBP|VB",
    "inveigle": "VB",
    "invent": "VB|VBP",
    "invented": "VBD|VBN",
    "inventing": "VBG",
    "invention": "NN",
    "inventions": "NNS",
    "inventive": "JJ",
    "inventively": "RB",
    "inventiveness": "NN",
    "inventor": "NN",
    "inventories": "NNS|VBZ",
    "inventors": "NNS",
    "inventory": "NN|VB",
    "invents": "VBZ",
    "inverse": "NN|JJ",
    "inversely": "RB",
    "inversion": "NN",
    "inversions": "NNS",
    "invert": "VB",
    "invertebrates": "NNS",
    "inverted": "JJ|VBN|VBD",
    "invest": "VB|VBP",
    "investable": "JJ",
    "invested": "VBN|JJ|VBD",
    "investigate": "VB|VBP",
    "investigated": "VBN|VBD",
    "investigates": "VBZ",
    "investigating": "VBG|NN",
    "investigation": "NN",
    "investigational": "JJ",
    "investigations": "NNS",
    "investigative": "JJ",
    "investigative-reporting": "NN",
    "investigator": "NN",
    "investigators": "NNS",
    "investing": "VBG|JJ|NN",
    "investment": "NN|JJ",
    "investment-advisory": "NN",
    "investment-area": "JJ",
    "investment-bank": "JJ",
    "investment-banking": "NN|JJ",
    "investment-counseling": "JJ",
    "investment-grade": "JJ|NN",
    "investment-holding": "JJ",
    "investment-house": "NN",
    "investment-insurance": "NN",
    "investment-linked": "JJ",
    "investment-management": "JJ|NN",
    "investment-newsletter": "NN",
    "investment-oriented": "JJ",
    "investment-promotion": "NN",
    "investment-recovery": "NN",
    "investment-tax": "JJ",
    "investments": "NNS",
    "investor": "NN",
    "investor-owned": "JJ",
    "investor-relations": "NNS|JJ",
    "investors": "NNS|NNPS",
    "invests": "VBZ",
    "inveterate": "JJ",
    "invidious": "JJ",
    "invigorate": "VB",
    "invigorated": "VBN|VBD",
    "invigorating": "VBG",
    "invigoration": "NN",
    "invincible": "JJ",
    "inviolability": "NN",
    "inviolable": "JJ",
    "inviolate": "JJ",
    "invisible": "JJ",
    "invisibles": "NNS",
    "invisibly": "RB",
    "invitation": "NN",
    "invitational": "JJ",
    "invitations": "NNS",
    "invite": "VB|VBP|NN",
    "invited": "VBN|VBD",
    "invitees": "NNS",
    "invites": "VBZ",
    "inviting": "VBG|JJ",
    "invocation": "NN",
    "invoices": "NNS",
    "invoicing": "NN",
    "invoke": "VB",
    "invoked": "VBD|VBN",
    "invokes": "VBZ",
    "invoking": "VBG",
    "involuntarily": "RB",
    "involuntary": "JJ",
    "involuntary-control": "JJ",
    "involution": "NN",
    "involutions": "NNS",
    "involutorial": "JJ",
    "involve": "VB|VBP",
    "involved": "VBN|VBD|JJ",
    "involvement": "NN",
    "involvements": "NNS",
    "involves": "VBZ",
    "involving": "VBG",
    "invulnerability": "NN",
    "invulnerable": "JJ",
    "inward": "RB|JJ",
    "inward-looking": "JJ",
    "inwardly": "RB",
    "inwardness": "NN",
    "iodide": "NN",
    "iodide-concentrating": "JJ",
    "iodinate": "VB|VBD",
    "iodinated": "VBN",
    "iodinating": "VBG",
    "iodination": "NN",
    "iodine": "NN",
    "iodoamino": "NN",
    "iodocompounds": "NNS",
    "iodoprotein": "NN",
    "iodothyronines": "NNS",
    "iodotyrosines": "NNS",
    "ion": "NN",
    "ionic": "JJ",
    "ionized": "VBN|JJ",
    "ionizing": "VBG",
    "ionosphere": "NN",
    "ions": "NNS",
    "iota": "NN",
    "ip": "NN",
    "ipso": "FW",
    "irate": "JJ",
    "ire": "NN",
    "iridescent": "JJ",
    "iridium": "NN",
    "irised": "VBN",
    "irk": "VB",
    "irked": "VBN|VBD",
    "irks": "VBZ",
    "irksome": "JJ",
    "iron": "NN|VB",
    "iron-casting": "JJ",
    "iron-clad": "JJ",
    "iron-handed": "JJ",
    "iron-ore": "NN",
    "iron-poor": "JJ",
    "iron-rod": "JJ",
    "iron-shod": "JJ",
    "iron-willed": "JJ",
    "ironclad": "JJ",
    "ironed": "VBN",
    "ironfist": "NN",
    "ironic": "JJ",
    "ironic...": ":",
    "ironical": "JJ",
    "ironically": "RB",
    "ironies": "NNS",
    "ironing": "VBG|NN",
    "irons": "NNS|VBZ",
    "ironworks": "NN",
    "irony": "NN",
    "irradiated": "JJ|VBN|VBD",
    "irradiation": "NN",
    "irrational": "JJ",
    "irrationality": "NN",
    "irrationally": "RB",
    "irreconcilable": "JJ",
    "irredeemable": "JJ",
    "irredeemably": "RB",
    "irredentism": "NN",
    "irreducible": "JJ",
    "irrefutable": "JJ",
    "irregular": "JJ|NN",
    "irregularities": "NNS",
    "irregularity": "NN",
    "irregularly": "RB",
    "irregulars": "NNS",
    "irrelevant": "JJ",
    "irremediable": "JJ",
    "irreparable": "JJ",
    "irreparably": "RB",
    "irreplaceable": "JJ",
    "irrepressible": "JJ",
    "irreproducibility": "NN",
    "irresistable": "JJ",
    "irresistible": "JJ",
    "irresistibly": "RB",
    "irresolute": "JJ",
    "irresolution": "NN",
    "irresolvable": "JJ",
    "irrespective": "RB",
    "irresponsibility": "NN",
    "irresponsible": "JJ|NN",
    "irresponsibly": "RB",
    "irretrievably": "RB",
    "irreverence": "NN",
    "irreverent": "JJ",
    "irreversibility": "NN",
    "irreversible": "JJ",
    "irreversibly": "RB",
    "irrevocable": "JJ",
    "irrevocably": "RB",
    "irrigate": "VB",
    "irrigating": "VBG",
    "irrigation": "NN",
    "irritability": "NN",
    "irritable": "JJ",
    "irritably": "RB",
    "irritant": "NN",
    "irritants": "NNS",
    "irritate": "VB|JJ",
    "irritated": "JJ|VBN|VBD",
    "irritates": "VBZ",
    "irritating": "JJ|VBG",
    "irritation": "NN",
    "irritations": "NNS",
    "irruptions": "NNS",
    "is": "VBZ|RB|NNS|VBP",
    "'s": "POS|VBZ",
    "is...": ":",
    "iself": "NN",
    "island": "NN",
    "island-fantasy": "JJ",
    "island-hopping": "JJ",
    "islander": "NN",
    "islanders": "NNS",
    "islands": "NNS|VBZ",
    "isle": "NN",
    "isms": "NNS",
    "isocyanate": "NN",
    "isocyanate-labeled": "NN",
    "isolate": "VB|VBP",
    "isolated": "VBN|JJ|VBD",
    "isolates": "VBZ",
    "isolating": "VBG|JJ",
    "isolation": "NN",
    "isolation...": ":",
    "isolationism": "NN",
    "isolationistic": "JJ",
    "isomers": "NNS",
    "isopleths": "NNS",
    "isothermal": "JJ",
    "isothermally": "RB",
    "isotonic": "JJ",
    "isotopic": "JJ",
    "isotropic": "JJ",
    "issuable": "JJ",
    "issuance": "NN",
    "issuances": "NNS",
    "issue": "NN|VBP|VB",
    "issued": "VBN|VBD|JJ",
    "issuer": "NN",
    "issuers": "NNS",
    "issues": "NNS|VBZ",
    "issues-such": "JJ",
    "issues...": ":",
    "issuing": "VBG",
    "ist": "FW",
    "isthmus": "NN",
    "it-wit": "NN",
    "it...": ":",
    "italicized": "VBN",
    "italics": "NNS",
    "itch": "VB|NN",
    "itches": "VBZ",
    "itching": "VBG|NN",
    "itchy": "JJ",
    "item": "NN",
    "item-processing": "JJ",
    "item-veto": "JJ|VB",
    "itemization": "NN",
    "itemize": "VB",
    "itemized": "VBN|VBD",
    "itemizing": "VBG",
    "items": "NNS|VBZ",
    "iteration": "NN",
    "itinerant": "JJ",
    "itinerary": "NN",
    "its": "PRP$",
    "itself": "PRP",
    "itty-bitty": "JJ",
    "ity": "NN",
    "iuvabit": "FW",
    "ivory": "NN|JJ",
    "ivory-inlay": "NN",
    "ivory-tower": "JJ|NN",
    "ivy": "NN",
    "ivy-covered": "JJ",
    "j": "NN",
    "jab": "NN|VB",
    "jabbed": "VBD|VBN",
    "jabberings": "NNS",
    "jabbing": "VBG",
    "jabs": "NNS|VBZ",
    "jack": "NN|VB",
    "jackass": "NN",
    "jackbooted": "JJ",
    "jackboots": "NNS",
    "jackdaws": "NNS",
    "jacked": "VBN|VBD",
    "jacket": "NN",
    "jacketed": "JJ|VBN",
    "jackets": "NNS",
    "jackhammers": "NNS",
    "jacking": "VBG",
    "jackpot": "NN",
    "jade": "NN|VB",
    "jade-handled": "JJ",
    "jaded": "JJ|VBN|VBD",
    "jag": "NN",
    "jagged": "JJ|VBN",
    "jaggedly": "RB",
    "jai": "FW",
    "jail": "NN|VB",
    "jailed": "VBN|VBD|JJ",
    "jailhouse": "NN",
    "jailing": "VBG",
    "jails": "NNS|VBZ",
    "jakes": "NN",
    "jalapeno": "JJ",
    "jalopy": "NN",
    "jam": "NN|VB|VBP",
    "jamboree": "NN",
    "jammed": "VBD|VBN|JJ",
    "jammed-together": "JJ",
    "jammies": "NNS",
    "jamming": "NN|VBG",
    "jams": "NNS|VBZ",
    "janglers": "NNS",
    "jangling": "VBG",
    "janitor": "NN",
    "janitors": "NNS",
    "jar": "NN|VB",
    "jargon": "NN",
    "jarred": "VBD|VBN",
    "jarring": "JJ|VBG",
    "jarringly": "RB",
    "jars": "NNS|VBZ",
    "jasmine": "NN",
    "jauntily": "RB",
    "jaunts": "NNS|VBZ",
    "jaunty": "JJ",
    "java": "NN",
    "jaw": "NN|VB",
    "jawbone": "NN|VB",
    "jawboning": "NN|VBG",
    "jaws": "NNS|VBZ",
    "jay": "NN",
    "jays": "NNS",
    "jaywalkers": "NNS",
    "jazz": "NN",
    "jazzmen": "NNS",
    "jazzy": "JJ",
    "je": "FW",
    "jealous": "JJ",
    "jealousies": "NNS",
    "jealously": "RB",
    "jealousy": "NN",
    "jeans": "NNS",
    "jeep": "NN",
    "jeers": "NNS|VBZ",
    "jejune": "JJ",
    "jejunum": "NN",
    "jell": "VB",
    "jelled": "VBD|VBN",
    "jellies": "NNS",
    "jelly": "NN",
    "jellyfish": "NN",
    "jeopardize": "VB|VBP",
    "jeopardized": "VBN|VBD",
    "jeopardizes": "VBZ",
    "jeopardizing": "VBG",
    "jeopardy": "NN",
    "jerk": "NN|VB",
    "jerked": "VBN|VBD",
    "jerking": "VBG|JJ",
    "jerkings": "NNS",
    "jerks": "NNS|VBZ",
    "jerky": "JJ|NN",
    "jersey": "NN",
    "jest": "NN|VB",
    "jester": "NN",
    "jesting": "VBG",
    "jet": "NN|VBP|VB",
    "jet-black": "NN",
    "jet-engine": "NN",
    "jet-setters": "NNS",
    "jetliner": "NN",
    "jetliners": "NNS",
    "jetplane": "NN",
    "jets": "NNS|VBZ",
    "jetting": "VBG",
    "jettison": "VB",
    "jettisoned": "VBN",
    "jettisoning": "VBG",
    "jetty": "NN",
    "jeunes": "FW",
    "jewel": "NN|VB",
    "jewel-bright": "RB",
    "jeweled": "JJ",
    "jeweler": "NN",
    "jewelers": "NNS",
    "jewelery": "NN",
    "jewelery-related": "JJ",
    "jewelled": "JJ|VBD|VBN",
    "jewelry": "NN",
    "jibes": "NNS|VBZ",
    "jiffy": "NN",
    "jig": "NN",
    "jigger": "NN",
    "jiggling": "VBG",
    "jigsaw": "NN",
    "jihad": "NN",
    "jillions": "NNS",
    "jilted": "VBN",
    "jimmied": "VBD|VBN",
    "jingle": "NN|VB",
    "jingled": "VBD|VBN",
    "jingles": "NNS|VBZ",
    "jingling": "VBG",
    "jinks": "NNS",
    "jinx": "NN|VB",
    "jinxed": "VBN|VBD",
    "jist": "RB",
    "jitterbug": "NN",
    "jitters": "NNS",
    "jittery": "JJ",
    "jiu-jitsu": "FW",
    "jiving": "VBG",
    "job": "NN|VB",
    "job-boosters": "NNS",
    "job-classification": "NN",
    "job-destroying": "JJ",
    "job-hunters": "NNS",
    "job-hunting": "JJ",
    "job-rating": "JJ",
    "job-seekers": "NNS",
    "job-training": "NN",
    "jobless": "JJ",
    "joblessness": "NN",
    "joblot": "NN",
    "jobs": "NNS|VBZ",
    "jobs-tears": "NNS",
    "jock": "NN",
    "jockey": "NN|VBP|VB",
    "jockeying": "NN|VBG",
    "jockeys": "NNS|VBZ",
    "jocks": "NNS",
    "jocose": "JJ",
    "jocular": "JJ",
    "jocularly": "RB",
    "jocund": "JJ",
    "jog": "VB",
    "jogger": "NN",
    "joggers": "NNS",
    "jogging": "NN|VBG",
    "jogs": "VBZ",
    "john": "NN",
    "joie": "FW",
    "join": "VB|VBP",
    "joined": "VBD|VBN",
    "joiner": "NN",
    "joiners": "NNS",
    "joining": "VBG|NN|JJ",
    "joins": "VBZ",
    "joint": "JJ|NN|VB",
    "joint-implants": "NNS",
    "joint-production": "JJ",
    "joint-research": "JJ",
    "joint-return": "JJ",
    "joint-venture": "JJ|NN",
    "joint-venturing": "NN",
    "jointly": "RB",
    "joints": "NNS|VBZ",
    "joke": "NN|VBP|VB",
    "joked": "VBD|VBN",
    "jokers": "NNS",
    "joking": "VBG",
    "jokingly": "RB",
    "jolly": "JJ|VB",
    "jollying": "VBG",
    "jolt": "VB|NN",
    "jolted": "VBD|VBN",
    "jolting": "VBG",
    "jolts": "NNS|VBZ",
    "jonquils": "NNS",
    "jonron": "FW",
    "joss": "NN",
    "jostle": "VBP|VB",
    "jostled": "VBD|VBN",
    "jostling": "VBG",
    "jot": "NN",
    "jots": "VBZ",
    "jotted": "JJ",
    "jotting": "VBG",
    "jounce": "NN|VB",
    "jour": "FW",
    "journal": "NN",
    "journalese": "NN",
    "journalism": "NN",
    "journalist": "NN",
    "journalistic": "JJ",
    "journalistically": "RB",
    "journalists": "NNS",
    "journals": "NNS",
    "journey": "NN|VB",
    "journeyed": "VBD|VBN",
    "journeying": "VBG",
    "journeys": "NNS|VBZ",
    "joust": "NN",
    "jousting": "VBG",
    "jovial": "JJ",
    "jowl": "NN",
    "jowls": "NNS",
    "jowly": "JJ",
    "joy": "NN|VB",
    "joyful": "JJ",
    "joyfully": "RB",
    "joyless": "JJ",
    "joyous": "JJ",
    "joyously": "RB",
    "joyride": "NN|VB",
    "joys": "NNS|VBZ",
    "jua": "FW",
    "jubilant": "JJ",
    "jubilantly": "RB",
    "jubilation": "NN",
    "judge": "NN|VB|VBP",
    "judge-made": "JJ",
    "judged": "VBN|VBD",
    "judgement": "NN",
    "judgements": "NNS",
    "judges": "NNS|VBZ",
    "judgeship": "NN",
    "judgeships": "NNS",
    "judging": "VBG|NN",
    "judgment": "NN",
    "judgment-proof": "JJ",
    "judgmental": "JJ",
    "judgments": "NNS",
    "judicial": "JJ",
    "judicial-bypass": "JJ",
    "judicial-conduct": "NN",
    "judicially": "RB",
    "judiciaries": "NNS",
    "judiciary": "NN|JJ",
    "judicious": "JJ",
    "judiciously": "RB",
    "jug": "NN|VB",
    "juggernaut": "NN",
    "juggle": "VB",
    "jugglers": "NNS",
    "juggling": "NN|VBG",
    "jugs": "NNS|VBZ",
    "juice": "NN",
    "juice-storage": "JJ",
    "juices": "NNS",
    "juiciest": "JJS",
    "juicy": "JJ",
    "juju": "NN",
    "juke": "NN",
    "julep": "NN",
    "juleps": "NNS",
    "jumble": "NN|VB",
    "jumbled": "VBN|VBD",
    "jumbo": "JJ|NN",
    "jumbos": "NNS",
    "jump": "NN|VBP|JJ|VB",
    "jump-start": "VB",
    "jumped": "VBD|VBN",
    "jumped-up": "JJ",
    "jumper": "NN",
    "jumpiness": "NN",
    "jumping": "VBG|NN",
    "jumping-off": "JJ",
    "jumps": "NNS|VBZ",
    "jumpsuits": "NN",
    "jumpy": "JJ",
    "junction": "NN",
    "juncture": "NN",
    "junctures": "NNS",
    "jungle": "NN",
    "jungles": "NNS",
    "junior": "JJ|NN",
    "junior-grade": "JJ",
    "junior-high": "JJ",
    "junior-philosophical": "JJ",
    "junior-senior": "JJ",
    "junior-year-abroad": "JJ",
    "juniors": "NNS",
    "junk": "NN|VB",
    "junk-LBO": "JJ",
    "junk-bond": "NN|NNS|JJ",
    "junk-bond-financed": "JJ",
    "junk-bonds": "NNS",
    "junk-financed": "JJ",
    "junk-fund": "NN",
    "junk-holders": "NNS",
    "junk-mail": "NN|JJ",
    "junk-market": "NN|JJ",
    "junk-yard": "NN",
    "junkbond": "NN",
    "junkbond-financed": "JJ",
    "junked": "VBN|VBD",
    "junket": "NN|VB",
    "junketeering": "NN|VBG",
    "junkets": "NNS|VBZ",
    "junkholders": "NNS",
    "junkie": "NN",
    "junkies": "NNS",
    "junkification": "NN",
    "junkless": "JJ",
    "junkloads": "NNS",
    "junks": "VBZ",
    "junkyard": "NN",
    "junta": "NN",
    "jure": "FW",
    "juridical": "JJ",
    "juries": "NNS",
    "jurisconsults": "NNS",
    "jurisdiction": "NN",
    "jurisdictional": "JJ",
    "jurisdictions": "NNS",
    "jurisprudence": "NN",
    "jurisprudentially": "RB",
    "jurist": "NN",
    "jurists": "NNS",
    "juror": "NN",
    "jurors": "NNS",
    "jury": "NN",
    "jury-duty": "NN",
    "jury-rigged": "VBD",
    "jury-tampering": "JJ",
    "just-announced": "JJ",
    "just-completed": "JJ",
    "just-concluded": "JJ",
    "just-departed": "JJ",
    "just-ended": "JJ",
    "just-in-time": "JJ",
    "just-picked": "JJ",
    "just-rejuvenated": "JJ",
    "just-revised": "JJ",
    "just-say-no": "JJ",
    "juste": "FW",
    "justice": "NN",
    "justices": "NNS",
    "justiciable": "JJ",
    "justifiable": "JJ",
    "justifiably": "RB",
    "justification": "NN",
    "justifications": "NNS",
    "justified": "VBN|VBD|JJ",
    "justifies": "VBZ",
    "justify": "VB|VBP",
    "justifying": "VBG",
    "justitia": "NN",
    "justly": "RB",
    "justness": "NN",
    "jute": "NN",
    "jutting": "VBG",
    "juvenile": "JJ|NN",
    "juxtapose": "VBP",
    "juxtaposed": "VBN",
    "juxtaposes": "VBZ",
    "juxtaposition": "NN",
    "juxtapositions": "NNS",
    "k": "NN",
    "kaffeeklatsch": "FW",
    "kale": "NN",
    "kalega": "NN",
    "kaleidescope": "NN",
    "kaleidoscope": "NN",
    "kali": "FW",
    "kamikaze": "NN",
    "kangaroo": "NN",
    "kangaroo-committee": "NN",
    "kanji": "FW",
    "kapok-filled": "JJ",
    "karaoke": "FW|NN",
    "kava": "FW",
    "kayo": "VB",
    "kayoed": "VBN|VBD",
    "kazoo": "NN",
    "kc.": "NN",
    "kebabs": "NNS",
    "kebab": "NN",
    "kebob": "NN",
    "keddah": "FW",
    "kedgeree": "NN",
    "keel": "NN|VB",
    "keeled": "VBD|VBN",
    "keelson": "NN",
    "keen": "JJ|NN|VB",
    "keener": "JJR",
    "keenest": "JJS",
    "keening": "NN|VBG",
    "keenly": "RB",
    "keep": "VB|NN|VBP",
    "keeper": "NN",
    "keeping": "VBG|NN",
    "keeps": "VBZ|NNS",
    "keepsakes": "NNS",
    "keg": "NN",
    "kegful": "JJ",
    "kegs": "NNS",
    "keine": "FW",
    "kelly": "NNP",
    "kelp": "NN",
    "ken": "NN",
    "kennel": "NN",
    "kenning": "NN",
    "kennings": "NNS",
    "keno": "JJ",
    "kept": "VBD|VBN",
    "keratitis": "NN",
    "kerchief": "NN",
    "kerchiefed": "JJ",
    "kerchiefs": "NNS",
    "kernel": "NN",
    "kernels": "NNS",
    "kerosene": "NN",
    "kerygma": "FW",
    "ketches": "NNS",
    "ketchup": "NN|VB|IN",
    "ketorolac": "NNP",
    "ketosis": "NN",
    "kettle": "NN",
    "key": "JJ|NN|VB",
    "key-financial": "JJ",
    "key-punched": "JJ",
    "key-someone": "NN",
    "keyboard": "NN",
    "keyboarding": "VBG",
    "keyboards": "NNS",
    "keychain": "NN",
    "keyed": "JJ|VBN|VBD",
    "keyhole": "NN",
    "keying": "VBG",
    "keyless": "JJ",
    "keynote": "VBP|NN",
    "keynotes": "NNS",
    "keypads": "NNS",
    "keys": "NNS|VBZ",
    "keystone": "NN",
    "keystroke": "NN",
    "khaki": "JJ",
    "khaki-bound": "JJ",
    "khan": "FW",
    "khaneh": "FW",
    "ki-yi-ing": "VBG",
    "kibbutz": "NN",
    "kibbutz-made": "JJ",
    "kibbutzim": "NNS|FW",
    "kibbutzniks": "NNS",
    "kick": "VBP|NN|VB",
    "kick-off": "NN",
    "kick-offs": "NNS",
    "kick-starting": "VBG",
    "kick-up": "NN",
    "kickback": "NN",
    "kickbacks": "NNS",
    "kicked": "VBD|VBN",
    "kicker": "NN",
    "kickers": "NNS",
    "kicking": "VBG|NN",
    "kickoff": "NN",
    "kicks": "VBZ|NNS",
    "kid": "NN|VB",
    "kiddie": "NN",
    "kiddies": "NNS",
    "kidding": "VBG",
    "kidnap": "VB",
    "kidnaped": "VBN",
    "kidnapped": "VBN|VBD",
    "kidnapper": "NN",
    "kidnappers": "NNS",
    "kidnapping": "NN|VBG",
    "kidney": "NN",
    "kidney-shaped": "JJ",
    "kidney-stone": "NN",
    "kidneys": "NNS",
    "kids": "NNS|VBZ",
    "kif": "NN",
    "kill": "VB|VBP|NN",
    "killable": "JJ",
    "killed": "VBN|VBD",
    "killer": "NN",
    "killers": "NNS",
    "killin": "VBG",
    "killing": "VBG|JJ|NN",
    "killings": "NNS",
    "kills": "VBZ|NNS",
    "kiln": "NN",
    "kilns": "NNS",
    "kilobytes": "NNS",
    "kilogram": "NN",
    "kilograms": "NNS",
    "kilometer": "NN",
    "kilometers": "NNS",
    "kiloton": "NN",
    "kilowatt": "NN",
    "kilowatt-hour": "NN",
    "kilowatt-hours": "NNS",
    "kilowatts": "NNS",
    "kilter": "NN",
    "kilts": "NNS",
    "kimchi": "FW",
    "kimono": "FW",
    "kimpap": "FW",
    "kin": "NN|JJ|MD",
    "kind": "NN|JJ|RB",
    "kinda": "RB",
    "kinder": "JJR",
    "kindergarten": "NN",
    "kindest": "JJS",
    "kindle": "VB",
    "kindled": "VBN|VBD",
    "kindliness": "NN",
    "kindly": "RB|JJ",
    "kindness": "NN",
    "kindnesses": "NNS",
    "kindred": "JJ",
    "kinds": "NNS",
    "kinesics": "NNS",
    "kinesthetic": "JJ",
    "kinesthetically": "RB",
    "kinetic": "JJ",
    "kinfolk": "NNS",
    "king": "NN",
    "king-sized": "JJ",
    "kingdom": "NN",
    "kingdom-wide": "JJ",
    "kingdoms": "NNS",
    "kingmaker": "NN",
    "kingpin": "NN",
    "kingpins": "NNS",
    "kings": "NNS",
    "kingside": "NN",
    "kinked": "JJ|VBD|VBN",
    "kinship": "NN",
    "kiosk": "NN",
    "kisha": "FW",
    "kisha-club": "JJ",
    "kiss": "NN|VB|VBP",
    "kissed": "VBD|VBN",
    "kisses": "NNS|VBZ",
    "kissing": "VBG",
    "kissings": "NNS",
    "kit": "NN",
    "kitchen": "NN",
    "kitchen-sink": "JJ",
    "kitchen-table": "JJ",
    "kitchenette": "NN",
    "kitchens": "NNS",
    "kitchenware": "NN",
    "kite": "NN",
    "kits": "NNS",
    "kitschy": "JJ",
    "kitten": "NN",
    "kittenish": "JJ",
    "kittens": "NNS",
    "kitty": "NN",
    "kitty-cornered": "JJ",
    "kiwi": "NN",
    "klaxon": "NN",
    "klieg": "NN",
    "knack": "NN",
    "knackwurst": "NN",
    "kneaded": "VBN|VBD",
    "kneading": "VBG",
    "knee": "NN",
    "knee-deep": "JJ",
    "knee-jerk": "JJ|RB",
    "knee-length": "JJ",
    "knee-socked": "JJ",
    "knee-type": "JJ",
    "kneebreeches": "NNS",
    "kneecap": "NN",
    "kneel": "VB",
    "kneeled": "VBD",
    "kneeling": "VBG",
    "kneels": "VBZ",
    "knees": "NNS",
    "knell": "NN|VB",
    "knelt": "VBD|VBN",
    "knew": "VBD",
    "knick-knacks": "NNS",
    "knife": "NN|VB",
    "knife-edge": "NN",
    "knife-men": "NNS",
    "knifelike": "JJ",
    "knight": "NN|VB",
    "knight-errant": "NN",
    "knight-errantry": "NN",
    "knighted": "VBN|VBD",
    "knightly": "JJ",
    "knights": "NNS|VBZ",
    "knit": "VBN|JJ|NN|VB|VBD",
    "knite": "NN",
    "knitted": "VBN|VBD|JJ",
    "knitting": "VBG|NN",
    "knitwear": "NN",
    "knives": "NNS",
    "knob": "NN",
    "knobby-knuckled": "JJ",
    "knobs": "NNS",
    "knock": "VB|VBP|NN",
    "knock-down": "JJ",
    "knock-off": "NN",
    "knock-offs": "NNS|JJ",
    "knock-out": "JJ",
    "knockdown": "NN",
    "knocked": "VBD|VBN",
    "knockers": "NNS",
    "knocking": "VBG|NN",
    "knockoff": "NN",
    "knockoffs": "NNS",
    "knockout": "NN",
    "knocks": "VBZ|NNS",
    "knoe": "VB",
    "knoll": "NN",
    "knot": "NN|VB",
    "knot-tying": "JJ",
    "knots": "NNS|VBZ",
    "knott": "NN",
    "knotted": "JJ|VBD|VBN",
    "knotty": "JJ",
    "know": "VB|NN|VBP",
    "know-how": "NN",
    "know...": ":",
    "know/no": "NN",
    "knowed": "VBN",
    "knoweth": "VBP",
    "knowhow": "NN",
    "knowing": "VBG|JJ|NN",
    "knowingly": "RB",
    "knowledge": "NN",
    "knowledgeable": "JJ",
    "known": "VBN|JJ",
    "knowns": "NNS",
    "knows": "VBZ",
    "knuckle": "NN|VB",
    "knuckle-duster": "NN",
    "knuckleball": "NN",
    "knuckled": "VBD|VBN",
    "knuckles": "NNS|VBZ",
    "koan": "FW",
    "kob": "NN",
    "koinonia": "NN",
    "kola": "NN",
    "kolkhoz": "NN",
    "kolkhozes": "NNS",
    "konga": "NN",
    "kooks": "NNS",
    "kooky": "JJ",
    "kosher": "JJ",
    "kotowaza": "FW",
    "kowtow": "VB",
    "kraft": "NN",
    "kraft-pulp": "JJ",
    "krater": "NN",
    "kraut": "NN",
    "krautheads": "NNS",
    "krona": "NN",
    "kroner": "NN",
    "kronor": "NNS|FW",
    "kryptonite": "NN",
    "kung-fu": "NN",
    "kwashiorkor": "NN",
    "kwh": "NNS",
    "kwhr": "NN",
    "kwon": "FW",
    "kyat": "NN",
    "kylix": "NN",
    "l": "NN|NNS",
    "l.": "DT|NN",
    "la": "FW|NNP|DT|UH",
    "la-la": "JJ",
    "lab": "NN",
    "label": "NN|VB|VBP",
    "labeled": "VBN|VBD",
    "labeling": "VBG|NN",
    "labelled": "VBN|VBD",
    "labels": "NNS|VBZ",
    "labels.": "NNS",
    "labile": "JJ",
    "labor": "NN|VBP|VB",
    "labor-backed": "JJ",
    "labor-based": "JJ",
    "labor-force": "NN",
    "labor-funded": "JJ",
    "labor-intensive": "JJ",
    "labor-management": "JJ|NN",
    "labor-saving": "JJ",
    "labor-shortage": "NN",
    "laboratories": "NNS",
    "laboratory": "NN",
    "laboratory-services": "JJ|NNS",
    "laboratory-supply": "JJ",
    "labored": "VBD|VBN|JJ",
    "laborer": "NN",
    "laborers": "NNS",
    "laboring": "VBG",
    "laborious": "JJ",
    "laboriously": "RB",
    "labors": "NNS|VBZ",
    "labour": "NN|VB",
    "labs": "NNS",
    "labyrinth": "NN",
    "lace": "NN|VB",
    "lace-drawn": "JJ",
    "laced": "VBN|VBD|JJ",
    "lacerate": "VB",
    "lacerated": "VBN|VBD",
    "lacerations": "NNS",
    "laces": "NNS|VBZ",
    "lacey": "JJ|NN",
    "lacheln": "FW",
    "laches": "NN",
    "lack": "NN|VB|VBP",
    "lackadaisical": "JJ",
    "lacked": "VBD|VBN",
    "lackeys": "NNS",
    "lacking": "VBG|JJ",
    "lackluster": "JJ|NN|RB",
    "lacks": "VBZ",
    "lacquer": "NN",
    "lacquered": "VBN",
    "lactate": "NN|VB",
    "lactating": "VBG",
    "lacy": "JJ",
    "lad": "NN",
    "ladder": "NN|VB",
    "laddered": "JJ|VBD|VBN",
    "laden": "JJ|VBN",
    "ladies": "NNS",
    "ladle": "NN|VB",
    "ladling": "VBG",
    "lads": "NNS",
    "lady": "NN",
    "lady-bugs": "NNS",
    "ladylike": "JJ",
    "laendler": "JJ",
    "lag": "NN|VB|VBP|JJ",
    "lagers": "NNS",
    "laggard": "NN|JJ",
    "laggardness": "NN",
    "laggards": "NNS",
    "lagged": "VBN|VBD",
    "lagging": "VBG|JJ|NN",
    "lagoon": "NN",
    "lagoons": "NNS",
    "lags": "VBZ|NNS",
    "lahk": "IN",
    "laid": "VBN|VBD",
    "laid-back": "JJ",
    "laid-off": "JJ|VBN",
    "lain": "VBN",
    "lairs": "NNS",
    "laissez-faire": "FW|JJ|NN",
    "laity": "NN",
    "lak": "IN",
    "lake": "NN",
    "lakes": "NNS",
    "lamb": "NN",
    "lambaste": "VB|VBP",
    "lambasted": "VBD|VBN",
    "lambastes": "VBZ",
    "lambasting": "VBG",
    "lambs": "NNS",
    "lambskin": "NN",
    "lame": "JJ|VB",
    "lamechian": "JJ",
    "lamechians": "NNS",
    "lament": "NN|VB",
    "lamentations": "NNS",
    "lamented": "VBD|VBN|JJ",
    "laments": "VBZ|NNS",
    "laminate": "NN|JJ",
    "laminated": "VBN|JJ",
    "laminating": "VBG",
    "lammed": "VBD|VBN",
    "lamming": "VBG",
    "lamp": "NN",
    "lamplight": "NN",
    "lampoon": "VB",
    "lampposts": "NNS",
    "lamps": "NNS",
    "lana": "FW",
    "lance": "NN",
    "lanced": "VBN",
    "lances": "NNS",
    "land": "NN|VBP|VB",
    "land-based": "JJ",
    "land-disposal": "NN",
    "land-idling": "JJ",
    "land-locked": "JJ",
    "land-ownership": "NN",
    "land-owning": "JJ",
    "land-rich": "JJ",
    "land-use": "NN",
    "landau": "NN",
    "landed": "VBD|VBN",
    "landes": "NNS",
    "landfall": "NN",
    "landfill": "NN",
    "landfilling": "VBG|NN",
    "landfills": "NNS",
    "landholdings": "NNS",
    "landing": "NN|VBG",
    "landings": "NNS",
    "landlocked": "JJ",
    "landlord": "NN",
    "landlord-tenant": "JJ",
    "landlords": "NNS",
    "landlubber": "NN",
    "landmark": "NN|JJ",
    "landmarks": "NNS",
    "landowner": "NN",
    "landowners": "NNS",
    "landro": "NN",
    "lands": "NNS|VBZ",
    "landscape": "NN",
    "landscaped": "VBN|JJ",
    "landscapers": "NNS",
    "landscapes": "NNS",
    "landscaping": "NN|VBG",
    "landslide": "NN",
    "landslides": "NNS",
    "lane": "NN",
    "lanes": "NNS",
    "lange": "FW",
    "language": "NN",
    "language-housekeeper": "JJ",
    "languages": "NNS|VBZ",
    "languid": "JJ",
    "languish": "VB",
    "languished": "VBD|VBN",
    "languishes": "VBZ",
    "languishing": "VBG|JJ",
    "languorous": "JJ",
    "lankmark": "NN",
    "lanky": "JJ",
    "lantana": "NN",
    "lantern": "NN",
    "lanterns": "NNS|VBZ",
    "lanthanum": "NN",
    "lanzador": "FW",
    "lap": "NN|VBP|VB",
    "lap-shoulder": "JJ",
    "lap-top": "JJ",
    "lapel": "NN",
    "lapels": "NNS",
    "lapidary": "JJ|NN",
    "lapped": "VBD|VBN",
    "lappets": "NNS",
    "lapping": "VBG",
    "laps": "NNS|VBZ",
    "lapse": "NN|VB|VBP",
    "lapsed": "VBN|JJ|VBD",
    "lapses": "NNS|VBZ",
    "lapsing": "VBG",
    "laptop": "NN|JJ",
    "laptops": "NNS",
    "larceny": "NN",
    "lard": "NN|VB",
    "larder": "NN",
    "large": "JJ|RB",
    "large-area": "JJ",
    "large-business": "JJ",
    "large-capitalization": "JJ|NN",
    "large-city": "JJ|NN",
    "large-computer": "NN",
    "large-denomination": "NN|JJ",
    "large-deposit": "JJ",
    "large-diameter": "JJ",
    "large-enough": "JJ",
    "large-firm": "JJ",
    "large-package": "JJ",
    "large-scale": "JJ",
    "large-screen": "JJ",
    "large-size": "JJ",
    "large-ticket": "JJ",
    "large-typeface": "NN",
    "large-volume": "JJ",
    "largely": "RB|VBN",
    "largely-silent": "JJ",
    "larger": "JJR|RBR",
    "larger-capitalization": "JJ",
    "larger-than-anticipated": "JJ",
    "larger-than-expected": "JJ",
    "larger-than-normal": "JJ",
    "largess": "NN",
    "largesse": "NN|VB",
    "largest": "JJS|RBS",
    "largest-ever": "JJ",
    "largest-selling": "JJ",
    "largish": "JJ",
    "lark": "NN|VB",
    "larks": "NNS|VBZ",
    "larkspur": "NN",
    "larvae": "NNS",
    "larval": "JJ",
    "larynx": "NN",
    "lasciviously": "RB",
    "laser": "NN",
    "laser-beam-printer": "NN",
    "laser-read": "JJ",
    "laser-resistant": "JJ",
    "laser-surgery": "NN",
    "laser-treatment": "NN",
    "laser-type": "JJ",
    "lasers": "NNS",
    "lash": "VB|VBP|NN",
    "lash-up": "JJ",
    "lashed": "VBD|VBN",
    "lashes": "NNS|VBZ",
    "lashing": "VBG|NN",
    "lashings": "NNS",
    "lass": "NN",
    "lasses": "NNS",
    "lassitude": "NN",
    "lasso": "NN|VB",
    "last-ditch": "JJ",
    "last-gasp": "JJ",
    "last-mentioned": "JJ",
    "last-minute": "JJ|NN",
    "last-named": "JJ",
    "last-place": "JJ",
    "last-resort": "JJ",
    "last-round": "JJ",
    "last-season": "JJ",
    "last-second": "JJ",
    "lasted": "VBD|VBN",
    "lastest": "JJS",
    "lasting": "JJ|VBG",
    "lastly": "RB",
    "lasts": "VBZ",
    "latch": "VBP|NN|VB",
    "latched": "VBN|VBD",
    "latches": "VBZ",
    "latching": "VBG",
    "late": "JJ|RB",
    "late-1988": "JJ",
    "late-afternoon": "JJ",
    "late-comers": "NNS",
    "late-day": "JJ",
    "late-in-the-day": "JJ",
    "late-night": "JJ",
    "late-payment": "NN|JJ",
    "late-summer": "JJ",
    "latecomer": "NN",
    "latecomers": "NNS",
    "lately": "RB",
    "latent": "NN|JJ",
    "later": "RB|JJ|RP|JJR|RBR",
    "lateral": "JJ",
    "latermaturing": "JJ",
    "latest-quarter": "JJ",
    "latex": "NN",
    "lath": "NN",
    "lathe": "NN",
    "lather": "NN|VB",
    "lathered": "VBN|VBD",
    "lathes": "NNS",
    "latitude": "NN",
    "latitudes": "NNS",
    "lats": "NNS",
    "latter": "JJ|NN",
    "latter-day": "JJ",
    "lattice": "NN",
    "laudable": "JJ",
    "laudably": "RB",
    "laudanum": "NN",
    "laudatory": "JJ",
    "lauded": "VBD|VBN",
    "laugh": "NN|VBP|VB",
    "laughed": "VBD|VBN",
    "laugher": "NN",
    "laughing": "VBG|JJ|NN",
    "laughingly": "RB",
    "laughingstock": "NN",
    "laughs": "VBZ|NNS",
    "laughter": "NN",
    "launch": "VB|NN",
    "launch-control": "NN",
    "launch-pad": "JJ",
    "launch-vehicle": "NN",
    "launched": "VBN|VBD",
    "launcher": "NN",
    "launchers": "NNS",
    "launches": "NNS|VBZ",
    "launching": "VBG|NN",
    "launchings": "NNS",
    "launder": "VB",
    "laundered": "VBN|VBD",
    "launderer": "NN",
    "launderers": "NNS",
    "laundering": "NN|VBG",
    "launderings": "NNS",
    "laundries": "NNS",
    "laundromat": "NN",
    "laundry": "NN",
    "laundry-type": "JJ",
    "laureate": "NN",
    "laureates": "NNS",
    "laurel": "NN",
    "laurels": "NNS",
    "lava": "NN",
    "lava-rocks": "NNS",
    "lavatory": "NN",
    "lavender": "NN|JJ",
    "lavish": "JJ|VB",
    "lavished": "VBN|VBD",
    "lavishing": "VBG",
    "lavishly": "RB",
    "law": "NN",
    "law-abiding": "JJ",
    "law-and-order": "NN",
    "law-based": "JJ",
    "law-breaking": "JJ|NN",
    "law-enforcement": "NN|JJ",
    "law-governed": "JJ",
    "law-making": "NNS",
    "law-school": "NN|JJ",
    "law-unto-itself": "JJ",
    "law.": "NN",
    "lawbreakers": "NNS",
    "lawful": "JJ",
    "lawfully": "RB",
    "lawless": "JJ",
    "lawlessness": "NN",
    "lawmaker": "NN",
    "lawmakers": "NNS",
    "lawmaking": "JJ|NN",
    "lawman": "NN",
    "lawmen": "NNS",
    "lawmkers": "NNS",
    "lawn": "NN",
    "lawn-feeding": "JJ",
    "lawn-mower": "NN",
    "lawnmower": "NN",
    "lawns": "NNS",
    "laws": "NNS",
    "lawsuit": "NN",
    "lawyer": "NN",
    "lawyering": "NN",
    "lawyers": "NNS",
    "lax": "JJ",
    "laxative": "NN",
    "laxatives": "NNS",
    "laxity": "NN",
    "laxness": "NN",
    "lay": "VB|VBD|VBP|JJ",
    "lay-sisters": "NNS",
    "lay-up": "JJ",
    "layer": "NN",
    "layered": "VBN|JJ",
    "layering": "VBG|NN",
    "layers": "NNS",
    "layette": "NN",
    "laying": "VBG|NN|,",
    "layman": "NN",
    "laymen": "NNS",
    "layoff": "NN",
    "layoffs": "NNS",
    "layout": "NN",
    "layouts": "NNS",
    "laypersons": "NNS",
    "lays": "VBZ|NNS",
    "laze": "VB",
    "lazily": "RB",
    "lazy": "JJ",
    "lb": "NN|NNS",
    "lb-plus": "JJ",
    "lb.": "NN|NNS",
    "lbs": "NNS",
    "lbs.": "NNS",
    "le": "DT|FW",
    "leach": "VB",
    "leaches": "NNS|VBZ",
    "leaching": "NN|VBG",
    "lead": "VB|VBN|VBP|JJ|NN",
    "lead-exposure": "JJ",
    "lead-zinc": "JJ",
    "lead/sulfur": "NN",
    "leaded": "JJ",
    "leaded-glass": "JJ",
    "leaden": "JJ",
    "leader": "NN",
    "leaderless": "JJ",
    "leaders": "NNS",
    "leadership": "NN",
    "leadership-sanctioned": "JJ",
    "leadership...": ":",
    "leading": "VBG|JJ|NN",
    "leading-edge": "JJ",
    "leadings": "NNS",
    "leadoff": "NN",
    "leads": "VBZ|NNS",
    "leadsman": "NN",
    "leaf": "NN|VB",
    "leafed": "VBD|VBN",
    "leafhopper": "JJR",
    "leafiest": "JJS",
    "leafing": "VBG",
    "leaflet": "NN",
    "leaflets": "NNS",
    "leafmold": "NN",
    "leafy": "JJ",
    "league": "NN",
    "leagued": "VBN",
    "leaguer": "NN",
    "leaguers": "NNS",
    "leagues": "NNS",
    "leak": "NN|VB",
    "leakage": "NN",
    "leaked": "VBN|VBD",
    "leaker": "NN",
    "leakers": "NNS",
    "leaking": "VBG|JJ",
    "leaks": "NNS|VBZ",
    "leaky": "JJ",
    "lean": "JJ|VBP|VB",
    "lean-to": "JJ|NN",
    "leaned": "VBD|VBN",
    "leaner": "JJR|RBR",
    "leaning": "VBG",
    "leans": "VBZ",
    "leap": "NN|VBP|VB",
    "leaped": "VBD|VBN",
    "leapfrog": "VB|NN",
    "leaping": "VBG|JJ",
    "leaps": "NNS|VBZ",
    "leapt": "VBD|VBN",
    "learn": "VB|VBP",
    "learned": "VBD|VBN|JJ|NN",
    "learners": "NNS",
    "learning": "VBG|NN",
    "learning-curve": "JJ",
    "learns": "VBZ",
    "leasable": "JJ",
    "lease": "VB|NN|VBP",
    "lease-back": "NN",
    "lease-funded": "JJ",
    "lease-rental": "JJ",
    "leaseback": "NN",
    "leased": "VBN|VBD|JJ",
    "leases": "NNS|VBZ",
    "leash": "NN|VB",
    "leashes": "NNS|VBZ",
    "leasing": "NN|VBG",
    "least": "JJS|RBS",
    "least-cost": "JJ",
    "least-developed-nation": "JJ",
    "leather": "NN|JJ",
    "leather-bound": "JJ",
    "leather-hard": "JJ",
    "leather-men": "NNS",
    "leatherbound": "NN|JJ",
    "leathered": "JJ",
    "leathers": "NNS",
    "leathery": "JJ",
    "leave": "VB|NN|VBP",
    "leave-taking": "NN",
    "leavened": "VBD|VBN|JJ",
    "leavening": "VBG",
    "leaves": "VBZ|JJ|NNS",
    "leavin": "VBG",
    "leaving": "VBG|NN",
    "leaving...": ":",
    "leavings": "NNS",
    "lebensraum": "NN",
    "lecher": "NN",
    "lecherous": "JJ",
    "lectern": "NN",
    "lecture": "NN|VBP|VB",
    "lectured": "VBD|VBN",
    "lecturer": "NN",
    "lecturers": "NNS",
    "lectures": "VBZ|NNS",
    "lecturing": "VBG|NN",
    "led": "VBN|VBD",
    "ledge": "NN",
    "ledger": "NN",
    "ledgers": "NNS",
    "ledges": "NNS",
    "leech": "NN|VB",
    "leeches": "NNS|VBZ",
    "leered": "VBD|VBN",
    "leering": "VBG|JJ",
    "leery": "JJ",
    "leeway": "NN",
    "left": "VBN|JJ|NN|RB|VBD",
    "left-centerfield": "JJ",
    "left-field": "JJ",
    "left-front": "JJ",
    "left-hand": "JJ",
    "left-handed": "JJ",
    "left-justified": "JJ",
    "left-leaning": "JJ",
    "left-of-center": "JJ",
    "left-right": "JJ",
    "left-wing": "JJ",
    "leftfield": "NN",
    "lefthander": "NN",
    "lefthanders": "NNS",
    "leftist": "JJ",
    "leftists": "NNS",
    "leftover": "JJ",
    "leftovers": "NNS",
    "leftward": "JJ",
    "leg": "NN",
    "leg-split": "JJ",
    "legacies": "NNS",
    "legacy": "NN",
    "legal": "JJ",
    "legal-ethics": "NNS",
    "legal-lending": "JJ",
    "legal-services": "NNS|JJ",
    "legalistic": "JJ",
    "legality": "NN",
    "legalization": "NN",
    "legalize": "VB|VBP",
    "legalized": "VBN|VBD",
    "legalizing": "VBG",
    "legally": "RB",
    "legatee": "NN",
    "legation": "NN",
    "legations": "NNS",
    "legato": "JJ",
    "legend": "NN",
    "legendary": "JJ",
    "legends": "NNS",
    "legerdemain": "NN",
    "legged": "JJ",
    "leggings": "NNS",
    "leggy": "JJ",
    "legibility": "NN",
    "legible": "JJ",
    "legion": "NN|JJ",
    "legions": "NNS",
    "legislate": "VB",
    "legislated": "VBN|VBD",
    "legislates": "VBZ",
    "legislating": "NN|VBG",
    "legislation": "NN",
    "legislation-delaying": "JJ",
    "legislative": "JJ",
    "legislatively": "RB",
    "legislator": "NN",
    "legislators": "NNS",
    "legislature": "NN",
    "legislatures": "NNS",
    "legitimacy": "NN",
    "legitimate": "JJ|VB",
    "legitimately": "RB",
    "legitimating": "VBG",
    "legitimize": "VB",
    "legitimized": "VBN|VBD",
    "legitimizes": "VBZ",
    "legs": "NNS",
    "legume": "NN",
    "leguminous": "JJ",
    "leisure": "NN|JJ",
    "leisure-oriented": "JJ",
    "leisure-related": "JJ",
    "leisure-services": "JJ",
    "leisurely": "JJ|RB",
    "leitmotif": "NN",
    "leitmotiv": "FW",
    "lemmas": "NNS",
    "lemmings": "NNS",
    "lemon": "NN|JJ",
    "lemon-lime": "JJ",
    "lemon-meringue": "NN",
    "lemonade": "NN",
    "lemons": "NNS",
    "len": "NN",
    "lend": "VB|VBP",
    "lend-lease": "JJ",
    "lendable": "JJ",
    "lender": "NN",
    "lenders": "NNS",
    "lending": "NN|VBG|JJ",
    "lends": "VBZ",
    "length": "NN",
    "lengthen": "VBP|VB",
    "lengthened": "VBN|VBD|JJ",
    "lengthening": "VBG",
    "lengthens": "VBZ",
    "lengthier": "RBR",
    "lengthiest": "JJS",
    "lengthily": "RB",
    "lengths": "NNS",
    "lengthwise": "RB|JJ",
    "lengthy": "JJ",
    "leniency": "NN",
    "lenient": "JJ",
    "lens": "NN",
    "lenses": "NNS",
    "lent": "VBD|VBN|VB",
    "lentils": "NNS",
    "leopard-trimmed": "JJ",
    "leopards": "NNS",
    "leotards": "NNS",
    "lepidoptery": "NN",
    "leprae": "NNS",
    "leprosy": "NN",
    "les": "FW",
    "lesbianism": "NN",
    "lesbians": "NNS",
    "lesion": "NN",
    "lesions": "NNS",
    "less": "JJR|JJS|CC|RB|RBR|RBS",
    "less-advanced": "JJ|JJR",
    "less-aggressive": "JJ",
    "less-ambitious": "JJR",
    "less-binding": "JJ",
    "less-complicated": "JJ",
    "less-conservative": "JJ",
    "less-creditworthy": "JJ",
    "less-cyclical": "JJ",
    "less-developed": "JJ|JJR",
    "less-developed-country": "JJ",
    "less-dramatic": "JJ",
    "less-educated": "JJ",
    "less-effective": "JJ",
    "less-established": "JJ",
    "less-expensive": "JJ|JJR",
    "less-experienced": "JJ",
    "less-hurried": "JJ",
    "less-indomitable": "JJ",
    "less-influential": "JJ",
    "less-intrusive": "JJ",
    "less-junky": "JJR",
    "less-liquid": "JJR",
    "less-obvious": "JJ",
    "less-perfectly": "RBR",
    "less-polluting": "JJ",
    "less-popular": "JJ",
    "less-profitable": "JJ",
    "less-restrictive": "JJ",
    "less-rigorous": "JJR",
    "less-risky": "JJ",
    "less-self-confident": "JJ",
    "less-serious": "JJ",
    "less-sweeping": "JJ",
    "less-than-alarming": "JJ",
    "less-than-altruistic": "JJ",
    "less-than-amicable": "JJ",
    "less-than-brilliant": "JJ",
    "less-than-carload": "JJ",
    "less-than-dazzling": "JJ",
    "less-than-diffident": "JJ",
    "less-than-exacting": "JJ",
    "less-than-expected": "JJ",
    "less-than-half-time": "JJ",
    "less-than-perfect": "JJ",
    "less-than-robust": "JJ",
    "less-than-successful": "JJ",
    "less-than-truckload": "JJ",
    "less-toxic": "JJ",
    "less-traveled": "JJ",
    "less-visible": "JJ",
    "less.": "NN",
    "lessen": "VB",
    "lessened": "VBN|JJ|VBD",
    "lessening": "VBG|NN|JJ",
    "lessens": "VBZ",
    "lesser": "JJR|RBR",
    "lesser-developed": "JJ|JJR",
    "lesser-developed-country": "JJ",
    "lesser-known": "JJ",
    "lesser-rank": "JJR",
    "lessers": "NNS",
    "lesson": "NN",
    "lesson-learning": "NN",
    "lesson...": ":",
    "lessons": "NNS",
    "lessor": "NN",
    "lest": "IN",
    "let": "VB|VBD|VBN|VBP|NN",
    "let-down": "NNS",
    "let-the-locals-decide": "JJ",
    "letdown": "NN",
    "lethal": "JJ",
    "lethality": "NN",
    "lethargic": "JJ",
    "lethargies": "NNS",
    "lethargy": "NN",
    "lets": "VBZ",
    "letter": "NN",
    "letter-writing": "JJ",
    "lettered": "VBD",
    "letterhead": "NN",
    "lettering": "NN",
    "letterman": "NN",
    "lettermen": "NNS",
    "letters": "NNS",
    "lettin": "VBG",
    "letting": "VBG|NN",
    "lettuce": "NN",
    "letup": "NN",
    "leukemia": "NN",
    "levamisole": "NN",
    "levee": "NN",
    "level": "NN|VBP|JJ|VB",
    "level-headed": "JJ",
    "leveled": "VBN|VBD",
    "levelheadedness": "NN",
    "leveling": "VBG|NN",
    "levelled": "VBN|VBD",
    "levels": "NNS|VBZ",
    "lever": "NN|VB",
    "lever-action": "JJ",
    "leverage": "NN|VB",
    "leveraged": "JJ|VBN|NN|VBD",
    "leveraged-buy-out": "NN|JJ",
    "leveraged-takeover": "NN",
    "leveraging": "VBG|NN",
    "levers": "NNS|VBZ",
    "levi-clad": "JJ",
    "leviathan": "JJ|NN",
    "levied": "VBD|VBN",
    "levies": "NNS|VBZ",
    "levis": "NNS",
    "levitation": "NN",
    "levity": "NN",
    "levy": "NN|VBP|VB",
    "levying": "VBG",
    "lewd": "JJ",
    "lewdly": "RB",
    "lewdness": "NN",
    "lex": "FW",
    "lexical": "JJ",
    "lexicon": "NN",
    "lexicostatistic": "JJ",
    "lexicostatistics": "NNS",
    "liabilities": "NNS|.",
    "liability": "NN",
    "liabilty": "NN",
    "liable": "JJ",
    "liaison": "NN|JJ",
    "liaisons": "NNS",
    "liar": "NN",
    "libel": "NN",
    "libeled": "VBN",
    "libellos": "NNS",
    "libelous": "JJ",
    "liberal": "JJ|NN",
    "liberal-arts": "NNS",
    "liberal-conservative": "JJ",
    "liberal-democratic": "JJ",
    "liberal-led": "JJ",
    "liberalism": "NN",
    "liberality": "NN",
    "liberalization": "NN",
    "liberalizations": "NNS",
    "liberalize": "VB|VBP",
    "liberalized": "VBD|VBN|JJ",
    "liberalizing": "VBG",
    "liberally": "RB",
    "liberals": "NNS",
    "liberate": "VB",
    "liberated": "VBD|VBN|JJ",
    "liberating": "JJ|VBG",
    "liberation": "NN",
    "libertarian": "JJ",
    "libertarians": "NNS",
    "libertie": "NN",
    "liberties": "NNS",
    "libertine": "NN",
    "libertines": "NNS",
    "liberty": "NN",
    "libido": "NN",
    "librarian": "NN",
    "librarian-board": "NN",
    "librarians": "NNS",
    "libraries": "NNS",
    "library": "NN",
    "librettists": "NNS",
    "libretto": "NN",
    "lice": "NNS",
    "license": "NN|VBP|VB",
    "licensed": "VBD|VBN|JJ",
    "licensee": "NN",
    "licensees": "NNS",
    "licenses": "NNS|VBZ",
    "licensing": "NN|VBG|JJ",
    "licentiousness": "NN",
    "lichen": "NN",
    "licit": "JJ",
    "lick": "VB",
    "licked": "VBD|VBN",
    "licking": "VBG",
    "licks": "VBZ",
    "lid": "NN",
    "lidless": "JJ",
    "lids": "NNS",
    "lie": "VB|VBP|NN",
    "lied": "VBD",
    "lieder": "JJ|NN",
    "lien": "NN",
    "liens": "NNS",
    "lies": "VBZ|NNS",
    "lieu": "NN|FW|IN",
    "lieutenant": "NN",
    "lieutenant-governor": "NN",
    "lieutenants": "NNS",
    "life": "NN|RB",
    "life-and-death": "JJ",
    "life-bettering": "JJ",
    "life-changing": "JJ",
    "life-contracts": "JJ",
    "life-cycle": "JJ",
    "life-death": "JJ",
    "life-enhancement": "NN",
    "life-health": "NN",
    "life-insurance": "NN|JJ",
    "life-like": "JJ",
    "life-long": "JJ",
    "life-of-contract": "JJ",
    "life-or-death": "NN",
    "life-saving": "JJ",
    "life-size": "JJ",
    "life-style": "NN|JJ",
    "life-supporting": "JJ",
    "life-threatening": "JJ",
    "life-time": "JJ",
    "life...": ":",
    "lifeblood": "NN",
    "lifeboat": "NN",
    "lifeboats": "NNS",
    "lifeguard": "NN",
    "lifeguards": "NNS",
    "lifeless": "JJ",
    "lifelike": "JJ",
    "lifeline": "NN",
    "lifelong": "JJ",
    "lifer": "NN",
    "lifes": "NNS",
    "lifesaving": "VBG",
    "lifesize": "JJ",
    "lifestyle": "NN",
    "lifestyles": "NNS",
    "lifetime": "NN|JJ",
    "lift": "VB|NN|VBP",
    "lift-ticket": "JJ|NN",
    "lifted": "VBN|VBD|JJ",
    "lifters": "NNS",
    "lifting": "VBG|JJ|NN",
    "liftoff": "NN",
    "liftoffs": "NNS",
    "lifts": "NNS|VBZ",
    "ligament": "NN",
    "ligand": "NN",
    "ligands": "NNS",
    "light": "NN|JJ|RB|VB|VBP",
    "light-activated": "JJ",
    "light-blue": "JJ",
    "light-bulb": "NN",
    "light-colored": "JJ",
    "light-crude": "NN",
    "light-duty": "JJ",
    "light-flared": "JJ",
    "light-headed": "JJ",
    "light-headedness": "JJ",
    "light-hearted": "JJ",
    "light-industrial": "JJ",
    "light-mindedness": "JJ",
    "light-rail": "JJ",
    "light-reflecting": "JJ",
    "light-transmitting": "JJ",
    "light-truck": "JJ|NN",
    "light-water": "JJ",
    "light-wave": "NN|JJ",
    "light-weight": "JJ",
    "light-year": "NN",
    "lighted": "VBN|VBD|JJ",
    "lighten": "VB",
    "lightened": "VBD|VBN",
    "lightening": "VBG",
    "lightens": "VBZ",
    "lighter": "JJR|RBR|NN",
    "lighter-than-air": "JJ",
    "lighter-than-normal": "JJ",
    "lighters": "NNS",
    "lightest": "JJS",
    "lightheaded": "JJ",
    "lighthearted": "JJ",
    "lightheartedly": "RB",
    "lighthouses": "NNS",
    "lighting": "NN|VBG",
    "lightly": "RB",
    "lightness": "NN",
    "lightning": "NN",
    "lightning-fast": "JJ",
    "lightning-like": "JJ",
    "lightning-occurrence": "JJ",
    "lightning-quick": "JJ",
    "lights": "NNS|VBZ",
    "lightweight": "JJ|NN",
    "lightyears": "NNS",
    "lignite": "JJ|NN",
    "likable": "JJ",
    "like": "IN|VBP|JJ|NN|VB",
    "like-minded": "JJ",
    "liked": "VBD|VBN",
    "likee": "VB",
    "likelier": "JJR",
    "likeliest": "JJS",
    "likelihood": "NN",
    "likely": "JJ|RB",
    "liken": "VBP|VB",
    "likened": "VBD|VBN",
    "likeness": "NN",
    "likening": "VBG",
    "likens": "VBZ",
    "likes": "VBZ|NNS",
    "likewise": "RB",
    "liking": "NN|VBG",
    "lilac": "JJ",
    "lilacs": "NNS",
    "lilies": "NNS",
    "lilt": "NN",
    "lilting": "JJ|VBG",
    "lily": "NN",
    "lima": "NN",
    "limb": "NN",
    "limber": "JJ",
    "limbic": "JJ",
    "limbo": "NN",
    "limbs": "NNS",
    "lime": "NN|VB",
    "limelight": "NN",
    "limestone": "NN",
    "limit": "NN|VB|VBP",
    "limitation": "NN",
    "limitations": "NNS",
    "limited": "JJ|VBD|VBN",
    "limited-edition": "JJ",
    "limited-growth": "NN",
    "limited-partner": "JJ",
    "limited-partnership": "NN|JJ",
    "limited-production": "JJ",
    "limited-scale": "JJ",
    "limited-substitution": "JJ",
    "limited-time": "JJ",
    "limiting": "VBG",
    "limitless": "JJ",
    "limo": "NN",
    "limos": "NNS",
    "limousine": "NN",
    "limousines": "NNS",
    "limp": "JJ|NN|VB",
    "limp-looking": "JJ",
    "limped": "VBD|VBN",
    "limpid": "JJ",
    "limping": "VBG|JJ",
    "limply": "RB",
    "limps": "VBZ",
    "linage": "NN",
    "linchpin": "NN",
    "linden": "NN",
    "line": "NN|VBP|RB|VB",
    "line-centered": "NN",
    "line-density": "NN",
    "line-drawing": "JJ",
    "line-driven": "NN",
    "line-drying": "JJ",
    "line-fragments": "NN",
    "line-hand-wired": "JJ",
    "line-item": "JJ",
    "line-item-veto": "JJ",
    "line-pairs": "NN",
    "line-up": "NN",
    "lineage": "NN",
    "lineages": "NNS",
    "lineal": "JJ",
    "linear": "JJ",
    "linearly": "RB",
    "lineback": "NN",
    "linebacker": "NN",
    "linebackers": "NNS",
    "lined": "VBN|VBD|JJ",
    "lineman": "NN",
    "linen": "NN|JJ",
    "linen-covered": "JJ",
    "linens": "NNS",
    "liner": "NN",
    "liners": "NNS",
    "lines": "NNS|VBZ",
    "lineup": "NN",
    "lineups": "NNS",
    "linger": "VB|VBP",
    "lingered": "VBD|VBN",
    "lingerie": "NN",
    "lingering": "VBG|JJ",
    "lingers": "VBZ",
    "lingo": "NN",
    "lingua": "FW",
    "linguine": "NN",
    "linguist": "NN",
    "linguist-anthropologist": "NN",
    "linguistic": "JJ",
    "linguistically": "RB",
    "linguistics": "NNS",
    "linguists": "NNS",
    "liniment": "NN",
    "liniments": "NNS",
    "lining": "NN|VBG",
    "link": "NN|VB|VBP",
    "link-ups": "NNS",
    "linkage": "NN",
    "linkages": "NNS",
    "linked": "VBN|VBD|JJ",
    "linking": "VBG|NN",
    "links": "NNS|VBZ",
    "linkup": "NN",
    "linkups": "NNS",
    "linoleum": "NN",
    "lint": "NN",
    "lion": "NN",
    "lioness": "NN",
    "lionesses": "NNS",
    "lionized": "VBN|VBD",
    "lions": "NNS",
    "lip": "NN|JJ",
    "lip-sucking": "NN",
    "lipid": "NN",
    "lipoproteins": "NNS",
    "liposomes": "NNS",
    "lips": "NNS",
    "lipstick": "NN",
    "lipsticks": "NNS",
    "liquefied": "VBN|VBD",
    "liquefies": "VBZ",
    "liquefy": "VB|VBP",
    "liqueur": "NN",
    "liquid": "JJ|NN",
    "liquid-chromatography": "NN",
    "liquid-crystal": "JJ|NN",
    "liquid-drug": "JJ",
    "liquid-fuel": "NN",
    "liquid-glass": "NN",
    "liquid-nitrogen": "NN",
    "liquidate": "VB",
    "liquidated": "VBN|VBD",
    "liquidating": "VBG|JJ|NN",
    "liquidation": "NN",
    "liquidations": "NNS",
    "liquidator": "NN",
    "liquidators": "NNS",
    "liquidities": "NNS",
    "liquidity": "NN",
    "liquidity-enhancing": "JJ",
    "liquidity-short-selling": "NN",
    "liquids": "NNS",
    "liquified": "JJ|VBD|VBN",
    "liquor": "NN",
    "liquor-crazed": "JJ",
    "lira": "NN|NNS",
    "liras": "NNS",
    "lire": "NNS|FW",
    "lise": "NNS",
    "lisping": "VBG",
    "list": "NN|VBP|VB",
    "liste": "FW",
    "listed": "VBN|VBD|JJ",
    "listen": "VB|VBP",
    "listened": "VBD|VBN",
    "listener": "NN",
    "listener-supported": "JJ",
    "listeners": "NNS",
    "listening": "VBG|NN|JJ",
    "listens": "VBZ",
    "listeria": "FW",
    "listing": "NN|VBG",
    "listings": "NNS",
    "listless": "JJ",
    "listlessly": "RB",
    "lists": "NNS|VBZ",
    "lit": "VBD|VBN|JJ|NN",
    "litany": "NN",
    "liter": "NN",
    "literacy": "NN",
    "literal": "JJ",
    "literal-minded": "JJ",
    "literalism": "NN",
    "literally": "RB",
    "literalness": "NN",
    "literary": "JJ|NN",
    "literate": "JJ",
    "literature": "NN",
    "literatures": "NNS",
    "liters": "NNS",
    "lithe": "JJ",
    "lithium": "NN",
    "lithograph": "NN",
    "lithographic": "JJ",
    "lithographs": "NNS",
    "lithography": "NN",
    "lithotripsy": "NN",
    "lithotripter": "NN",
    "litigant": "NN",
    "litigants": "NNS",
    "litigate": "VB",
    "litigated": "VBN|VBD",
    "litigation": "NN",
    "litigation-support": "JJ",
    "litigator": "NN",
    "litigators": "NNS",
    "litigious": "JJ",
    "litle": "JJ|NN",
    "litmus": "NN",
    "litter": "NN|VBP",
    "litter-strewn": "JJ",
    "litterbug": "NN",
    "littered": "VBN|VBD",
    "littering": "NN",
    "litters": "NNS",
    "little": "JJ|RB",
    "little-feared": "JJ",
    "little-girl": "JJ",
    "little-known": "JJ",
    "little-noted": "JJ",
    "little-noticed": "JJ",
    "little-publicized": "JJ",
    "little-town": "JJ",
    "little-understood": "JJ",
    "littlest": "JJS",
    "liturgical": "JJ",
    "liturgy": "NN",
    "livability": "NN",
    "livable": "JJ",
    "live": "VB|RB|VBP|JJ",
    "live-hauled": "VBD",
    "live-haulers": "NNS",
    "live-in": "JJ",
    "live-oak": "NN",
    "lived": "VBD|VBN",
    "livelier": "JJR",
    "liveliest": "JJS",
    "livelihood": "NN",
    "liveliness": "NN",
    "lively": "JJ|RB",
    "liver": "NN",
    "liveried": "JJ",
    "livers": "NNS",
    "livery": "NN",
    "lives": "NNS|VBZ",
    "livestock": "NN",
    "livestock-dealing": "JJ",
    "livid": "JJ",
    "livin": "NN",
    "living": "VBG|JJ|NN",
    "living-benefits": "JJ",
    "living-room": "NN",
    "livres": "FW|NNS",
    "lizard": "NN",
    "lizards": "NNS",
    "lo": "UH",
    "load": "NN|VB|VBP",
    "load-shedding": "NNS",
    "loaded": "VBN|JJ|VBD",
    "loader": "NN",
    "loaders": "NNS",
    "loadin": "VBG",
    "loading": "VBG|NN",
    "loadings": "NNS",
    "loads": "NNS|VBZ",
    "loaf": "NN|VB",
    "loafed": "VBD|VBN",
    "loafers": "NNS",
    "loan": "NN|VB",
    "loan-by-phone": "JJ",
    "loan-defaulters": "NNS",
    "loan-forgiveness": "NN",
    "loan-guarantee": "NN",
    "loan-loss": "NN|JJ",
    "loan-management": "NN",
    "loan-officer": "NN",
    "loan-production": "NN",
    "loan-repayment": "NN",
    "loan-restructuring": "JJ",
    "loan-to-value": "JJ",
    "loaned": "VBD|VBN",
    "loans": "NNS|VBZ",
    "loath": "JJ",
    "loathed": "VBN|VBD",
    "loathes": "VBZ",
    "loathing": "NN|VBG",
    "loathsome": "JJ",
    "loaves": "NNS",
    "lob": "VB",
    "lob-scuse": "NN",
    "lobbied": "VBD|VBN",
    "lobbies": "NNS|VBZ",
    "lobby": "NN|VB",
    "lobbying": "VBG|JJ|NN",
    "lobbyist": "NN",
    "lobbyists": "NNS",
    "lobe": "NN",
    "lobes": "NNS",
    "loblolly": "NN",
    "lobo": "NN",
    "lobscouse": "NN",
    "lobster": "NN",
    "lobster-backed": "JJ",
    "lobstermen": "NNS",
    "lobsters": "NNS",
    "lobular": "JJ",
    "lobule": "NN",
    "lobules": "NNS",
    "local": "JJ|NN",
    "local-content": "JJ|NN",
    "local-control": "JJ",
    "local-exchange": "JJ",
    "local-government": "JJ",
    "local-money": "NN",
    "local-news": "NN",
    "local-service": "JJ",
    "locale": "NN",
    "locales": "NNS",
    "localism": "NN",
    "localisms": "NNS",
    "localities": "NNS",
    "locality": "NN",
    "localization": "NN",
    "localize": "VB",
    "localized": "JJ|VBN|VBD",
    "locally": "RB",
    "locals": "NNS",
    "locate": "VB|VBP",
    "located": "VBN|JJ|VBD",
    "locates": "VBZ",
    "locatin": "NN",
    "locating": "VBG",
    "location": "NN",
    "location-minded": "JJ",
    "locations": "NNS",
    "loch": "NN",
    "lock": "VB|VBP|JJ|NN",
    "lock-outs": "NNS",
    "locked": "VBN|JJ|VBD",
    "locker": "NN",
    "locker-room": "NN",
    "lockers": "NNS",
    "lockhold": "NN",
    "locking": "VBG|JJ",
    "locking-in": "NN",
    "lockout": "NN",
    "locks": "NNS|VBZ",
    "lockstep": "NN",
    "lockup": "NN",
    "loco": "FW",
    "locomotive": "NN",
    "locomotives": "NNS",
    "locus": "NN",
    "locust": "NN",
    "locusts": "NNS",
    "locutions": "NNS",
    "lodge": "VB|NN",
    "lodged": "VBN|VBD",
    "lodges": "NNS|VBZ",
    "lodging": "NN|VBG",
    "lodgings": "NNS",
    "lodgment": "NN",
    "loft": "NN",
    "lofts": "NNS",
    "lofty": "JJ",
    "log": "VB|NN|VBP",
    "log-house": "NN",
    "log-jam": "NN",
    "log-rolled": "VBD",
    "logarithm": "NN",
    "logarithms": "NNS",
    "logged": "VBN|VBD",
    "logger": "NN",
    "loggerheads": "NNS",
    "loggers": "NNS",
    "logging": "VBG|NN|JJ",
    "logic": "NN",
    "logic-rhetoric": "NN",
    "logical": "JJ",
    "logically": "RB",
    "logistic": "JJ",
    "logistical": "JJ",
    "logistics": "NNS",
    "logistics-computer": "NN",
    "logjam": "NN",
    "logo": "NN",
    "logos": "NNS",
    "logs": "VBZ|NNS",
    "loin": "NN",
    "loincloth": "NN",
    "loins": "NNS",
    "loitering": "NN|VBG",
    "lolling": "VBG",
    "lollipop": "NN",
    "lone": "JJ",
    "lonelier": "RBR",
    "loneliest": "JJS",
    "loneliness": "NN",
    "lonely": "JJ",
    "lonely-hearts": "NNS",
    "loner": "NN",
    "loners": "NNS",
    "lonesome": "JJ",
    "long": "JJ|VBP|RB|VB",
    "long-acting": "JJ",
    "long-arranged": "JJ",
    "long-awaited": "JJ",
    "long-banned": "JJ",
    "long-bodied": "JJ",
    "long-bubbling": "JJ",
    "long-canceled": "JJ",
    "long-chain": "NN",
    "long-cherished": "JJ",
    "long-considered": "JJ",
    "long-cruise": "JJ",
    "long-dated": "JJ",
    "long-deferred": "JJ",
    "long-delayed": "JJ",
    "long-depressed": "JJ",
    "long-deprived": "JJ",
    "long-distance": "JJ|NN",
    "long-dollar": "JJ",
    "long-dominant": "JJ",
    "long-dormant": "JJ",
    "long-endurance": "JJ",
    "long-established": "JJ",
    "long-familiar": "JJ",
    "long-far": "NN",
    "long-format": "JJ",
    "long-hair": "JJ",
    "long-handled": "JJ",
    "long-haul": "JJ|NN",
    "long-held": "JJ",
    "long-hoped-for": "JJ",
    "long-keeping": "JJ",
    "long-known": "JJ",
    "long-lasting": "JJ",
    "long-life": "JJ",
    "long-line": "JJ",
    "long-lived": "JJ",
    "long-neck": "JJ",
    "long-necked": "JJ",
    "long-opposed": "JJ",
    "long-overdue": "JJ",
    "long-planned": "JJ",
    "long-range": "JJ",
    "long-rumored": "JJ",
    "long-run": "JJ",
    "long-running": "JJ",
    "long-settled": "JJ",
    "long-shanked": "JJ",
    "long-shelf-life": "JJ",
    "long-simmering": "JJ",
    "long-sleeved": "JJ",
    "long-sought": "JJ",
    "long-standing": "JJ",
    "long-stemmed": "JJ",
    "long-studied": "JJ",
    "long-successful": "JJ",
    "long-suffering": "JJ",
    "long-suspected": "JJ",
    "long-tenured": "JJ",
    "long-term": "JJ|NN|RB|NNS",
    "long-term-oriented": "JJ",
    "long-termers": "NNS",
    "long-time": "JJ",
    "long-troubled": "JJ",
    "long-vanished": "JJ",
    "long-view": "JJ",
    "long-yardage": "JJ",
    "longed": "VBD|VBN",
    "longed-for": "JJ",
    "longer": "RB|,|JJR|RBR",
    "longer-established": "JJ",
    "longer-lived": "JJ",
    "longer-range": "JJR",
    "longer-run": "JJ",
    "longer-term": "JJ|JJR",
    "longerterm": "JJ",
    "longest": "JJS",
    "longest-standing": "JJS",
    "longevity": "NN",
    "longhaired": "JJ",
    "longhand": "JJ|NN",
    "longhaul": "NN",
    "longhorn": "NN",
    "longhorns": "NNS",
    "longing": "NN|VBG",
    "longings": "NNS",
    "longish": "JJ",
    "longitude": "NN",
    "longitudes": "NNS",
    "longitudinal": "JJ",
    "longneck": "JJ",
    "longrange": "JJ",
    "longrun": "JJ",
    "longs": "VBZ",
    "longshoreman": "NN",
    "longshoremen": "NNS",
    "longshot": "NN",
    "longstanding": "JJ",
    "longstrained": "VBN",
    "longsuffering": "JJ",
    "longterm": "JJ|NN",
    "longtime": "JJ|NN",
    "longue": "NN",
    "look": "VB|NN|VBP|UH",
    "look-alike": "JJ|NN",
    "look-see": "NN",
    "lookalike": "JJ",
    "looked": "VBD|VBN",
    "lookee-loos": "NNS",
    "looking": "VBG|JJ|NN",
    "lookit": "NN",
    "lookout": "NN",
    "looks": "VBZ|NNS",
    "lookup": "NN",
    "loom": "VBP|NN|VB",
    "loomed": "VBD|VBN",
    "looming": "VBG|NN",
    "looms": "VBZ|NNS",
    "loon": "NN",
    "loonies": "NNS",
    "loony": "JJ",
    "loop": "NN|VB",
    "loopaholics": "NNS",
    "looped": "VBD|VBN",
    "loophole": "NN",
    "loophole...": ":",
    "loopholes": "NNS",
    "loops": "NNS|VBZ",
    "loopy": "JJ",
    "loose": "JJ|RB|VB|RP",
    "loose-jointed": "JJ",
    "loose-jowled": "JJ",
    "loose-knit": "JJ",
    "loose-leaf": "JJ",
    "loose-loaded": "JJ",
    "looseleaf": "NN",
    "loosely": "RB",
    "loosely-taped": "JJ",
    "loosen": "VB",
    "loosened": "VBN|VBD",
    "looseness": "NN",
    "loosening": "NN|VBG",
    "loosens": "VBZ",
    "looser": "JJR",
    "loosest": "JJS",
    "loot": "NN|VB",
    "looted": "VBN|VBD",
    "looting": "NN|VBG",
    "lootings": "NNS",
    "lop": "JJ|VB",
    "lope": "NN",
    "loped": "VBD",
    "lopes": "VBZ",
    "loping": "VBG",
    "lopped": "VBD|VBN",
    "lopping": "NN|VBG",
    "lopsided": "JJ",
    "lopsidedly": "RB",
    "loquacious": "JJ",
    "loquacity": "NN",
    "lorazapam": "NN",
    "lord": "NN",
    "lorded": "VBD|VBN",
    "lordly": "JJ",
    "lords": "NNS|VBZ",
    "lordship": "NN",
    "lore": "NN",
    "lorries": "NNS",
    "lose": "VB|VBP",
    "loser": "NN|JJ",
    "losers": "NNS",
    "loses": "VBZ|NNS",
    "losing": "VBG|JJ|NN",
    "loss": "NN",
    "loss-expense": "JJ",
    "loss-making": "JJ",
    "loss-plagued": "JJ",
    "loss-recovery": "JJ",
    "losses": "NNS",
    "losses...": ":",
    "lost": "VBD|VBN|JJ",
    "lost-profits": "JJ",
    "lot": "NN|RB|JJ|VB",
    "lotion": "NN",
    "lotions": "NNS",
    "lots": "NNS|VBZ",
    "lotter": "NN",
    "lotteries": "NNS",
    "lottery": "NN",
    "lotus": "NN",
    "loud": "JJ|RB",
    "loud-voiced": "JJ",
    "louder": "RBR|JJR|RB",
    "loudest": "JJS|RBS",
    "loudly": "RB",
    "loudspeaker": "NN",
    "loudspeakers": "NNS",
    "louis": "NNS",
    "lounge": "NN|VB",
    "lounged": "VBD|VBN",
    "lounges": "NNS|VBZ",
    "lounging": "VBG|NN",
    "louse": "VB|NN",
    "loused": "VBD|VBN",
    "lousy": "JJ",
    "loutish": "JJ",
    "lovable": "JJ",
    "love": "NN|NNP|VB|VBP",
    "love-hate": "JJ",
    "love-in-action": "NN",
    "love-making": "NN",
    "lovebirds": "NNS",
    "loved": "VBD|VBN|JJ",
    "lovelier-than-life": "JJ",
    "loveliest": "JJS",
    "loveliness": "NN",
    "lovelorn": "JJ",
    "lovely": "JJ",
    "lover": "NN",
    "lovering": "VBG",
    "lovers": "NNS",
    "loves": "VBZ|NNS",
    "lovin": "JJ",
    "loving": "JJ|VBG",
    "lovingly": "RB",
    "low": "JJ|NN|RB|RP|VB",
    "low-VAT": "JJ",
    "low-ability": "JJ",
    "low-acid": "JJ",
    "low-altitude": "NN",
    "low-back": "JJ",
    "low-back-pain": "JJ",
    "low-ball": "JJ",
    "low-base-price": "JJ",
    "low-boiling": "JJ",
    "low-budget": "JJ",
    "low-cal": "JJ",
    "low-caliber": "NN",
    "low-calorie": "JJ",
    "low-ceilinged": "JJ",
    "low-cholesterol": "JJ",
    "low-class": "JJ",
    "low-concept": "JJ",
    "low-cost": "JJ|NN",
    "low-crime": "JJ",
    "low-density": "NN|JJ",
    "low-down": "NN|JJ",
    "low-duty": "JJ",
    "low-end": "JJ|NN",
    "low-fat": "JJ",
    "low-foam": "NN",
    "low-frequency": "JJ",
    "low-grade": "JJ",
    "low-grossing": "JJ",
    "low-growth": "JJ",
    "low-heeled": "JJ",
    "low-income": "JJ|NN",
    "low-interest": "JJ",
    "low-key": "JJ",
    "low-level": "JJ",
    "low-life": "JJ",
    "low-lifes": "NNS",
    "low-load": "JJ",
    "low-loss": "JJ|NN",
    "low-lying": "JJ",
    "low-maintenance": "JJ",
    "low-margin": "JJ",
    "low-moisture": "JJ",
    "low-paid": "JJ",
    "low-pass": "JJ",
    "low-paying": "JJ",
    "low-pitched": "JJ",
    "low-polluting": "JJ",
    "low-power": "JJ",
    "low-price": "JJ",
    "low-priced": "JJ",
    "low-profile": "JJ",
    "low-profit": "JJ|NN",
    "low-profitmargin": "NN",
    "low-quality": "JJ",
    "low-rate": "JJ",
    "low-rated": "JJ",
    "low-risk": "JJ",
    "low-slung": "JJ",
    "low-smoke": "JJ",
    "low-speed": "JJ",
    "low-stress": "JJ",
    "low-sudsing": "JJ",
    "low-sugar": "JJ",
    "low-sulfur": "JJ",
    "low-sulphur": "JJ",
    "low-tax": "NN",
    "low-temperature": "JJ|NN",
    "low-tension": "JJ",
    "low-to-no-fat": "JJ",
    "low-value": "JJ",
    "low-voltage": "JJ",
    "low-volume": "JJ",
    "low-wage": "JJ",
    "low-water": "NN|JJ",
    "low-yielding": "JJ",
    "lowball": "NN|VB",
    "lowdown": "JJ",
    "lower": "JJR|RBR|VBP|VB",
    "lower-class": "JJ",
    "lower-cost": "JJ|JJR",
    "lower-court": "NN|JJ",
    "lower-cut": "JJ",
    "lower-emission": "NN",
    "lower-growth": "JJ",
    "lower-house": "NN",
    "lower-income": "JJ|JJR",
    "lower-level": "JJ|NN",
    "lower-middle": "JJ",
    "lower-middle-class": "JJ",
    "lower-paid": "JJ",
    "lower-priced": "JJ",
    "lower-priority": "JJ",
    "lower-quality": "JJR|NN",
    "lower-rated": "JJ",
    "lower-status": "JJ|NN",
    "lower-tech": "JJ",
    "lower-than-anticipated": "JJ",
    "lower-than-expected": "JJ",
    "lower-than-forecast": "JJ",
    "lower-than-planned": "JJ",
    "lower-value": "JJR",
    "lower-volume": "JJ",
    "lower-wage": "JJ",
    "lowered": "VBD|VBN|JJ",
    "lowering": "VBG|NN|JJ",
    "lowers": "VBZ|NNS",
    "lowest": "JJS",
    "lowest-cost": "JJS|JJ",
    "lowest-paying": "JJ",
    "lowest-priced": "JJ",
    "lowest-rated": "JJ",
    "lowincome": "JJ",
    "lowlands": "NNS",
    "lowliest": "JJS",
    "lowly": "JJ|RB",
    "lowprofile": "JJ",
    "lows": "NNS|VBZ",
    "loyal": "JJ",
    "loyalist": "NN|JJ",
    "loyalists": "NNS",
    "loyalties": "NNS",
    "loyalty": "NN",
    "lube": "NN",
    "lubra": "NN",
    "lubricant": "NN|JJ",
    "lubricants": "NNS",
    "lubricated": "VBN",
    "lubricating-oil": "NN",
    "lucid": "JJ",
    "lucidity": "NN",
    "lucidly": "RB",
    "luck": "NN",
    "lucked": "VBD",
    "luckier": "JJR",
    "luckiest": "JJS",
    "luckily": "RB",
    "lucks": "NNS",
    "lucky": "JJ",
    "lucrative": "JJ",
    "lucy": "NN",
    "ludicrous": "JJ",
    "ludicrously": "RB",
    "ludicrousness": "NN",
    "lug": "VB|NN",
    "luggage": "NN",
    "lugged": "VBD|VBN",
    "lugging": "VBG",
    "lugs": "NNS|VBZ",
    "lui": "FW",
    "lukewarm": "JJ",
    "lull": "NN|VB",
    "lullaby": "NN",
    "lulled": "VBN|VBD",
    "lulls": "NNS|VBZ",
    "lulu": "NN",
    "lumbar": "JJ",
    "lumber": "NN|VBP|VB",
    "lumber-like": "JJ",
    "lumbered": "VBD|VBN",
    "lumbering": "JJ|NN|VBG",
    "lumberjack": "NN",
    "lumberyard": "NN",
    "lumen": "NN",
    "luminaries": "NNS",
    "luminescence": "NN",
    "luminescent": "JJ",
    "luminosity": "NN",
    "luminous": "JJ",
    "luminously": "RB",
    "lummox": "NN",
    "lump": "NN|VBP|VB",
    "lump-sum": "JJ|NN",
    "lumped": "VBN|VBD",
    "lumpen-intellectual": "JJ",
    "lumpier": "JJR",
    "lumping": "VBG",
    "lumpish": "JJ",
    "lumps": "VBZ|NNS",
    "lumpy": "JJ",
    "lunar": "JJ",
    "lunatic": "JJ",
    "lunatic-fringe": "JJ",
    "lunation": "NN",
    "lunch": "NN|VB",
    "lunch-box": "NN",
    "lunch-hour": "NN",
    "lunch-time": "NN",
    "lunched": "VBN|VBD",
    "luncheon": "NN",
    "luncheon-meat": "NN",
    "luncheon-table": "JJ",
    "luncheon-voucher": "NN",
    "luncheons": "NNS",
    "lunches": "NNS|VBZ",
    "lunchroom": "NN",
    "lunchtime": "NN",
    "lung": "NN",
    "lung-cancer": "NN",
    "lung-function": "JJ",
    "lung-tissue": "JJ",
    "lunge": "VB",
    "lunged": "VBD|VBN",
    "lunger": "NN",
    "lunges": "VBZ",
    "lunging": "VBG",
    "lungs": "NNS",
    "lurch": "VBP|NN|VB",
    "lurched": "VBD|VBN",
    "lurching": "VBG",
    "lure": "VB|NN",
    "lured": "VBN|VBD",
    "lures": "VBZ|NNS",
    "lurid": "JJ",
    "luring": "VBG",
    "lurk": "VB|VBP",
    "lurked": "VBD|VBN",
    "lurking": "VBG",
    "lurks": "VBZ",
    "luscious": "JJ",
    "lush": "JJ",
    "lushes": "NNS",
    "lust": "NN|VB",
    "luster": "NN",
    "lustful": "JJ",
    "lustily": "RB",
    "lustre": "NN",
    "lustrious": "JJ",
    "lustrous": "JJ",
    "lusts": "NNS|VBZ",
    "lusty": "JJ",
    "lute": "NN",
    "lutihaw": "FW",
    "luxuriance": "NN",
    "luxuries": "NNS",
    "luxuriosly-upholstered": "JJ",
    "luxurious": "JJ",
    "luxury": "NN|JJ",
    "luxury-car": "NN|JJ",
    "luxury-goods": "NNS",
    "luxury-suite": "NN",
    "lye": "NN",
    "lyin": "NN",
    "lying": "VBG|NN",
    "lyking": "VBG",
    "lymph": "NN",
    "lymphocytes": "NNS",
    "lymphocytic": "JJ",
    "lymphoma": "NN",
    "lynch": "VB",
    "lynch-mob": "JJ",
    "lynched": "VBN|VBD",
    "lyophilized": "VBN",
    "lyric": "NN|JJ",
    "lyrical": "JJ",
    "lyricism": "NN",
    "lyricist": "NN",
    "lyricists": "NNS",
    "lyrics": "NNS",
    "lyriist": "NN",
    "m": "NN",
    "m&a": "JJ",
    "m.p.h": "NN|RB",
    "m.p.h.": "NN",
    "mEq": "NNP",
    "mEq.": "NN",
    "mV": "NN",
    "ma": "FW|NN",
    "macabre": "JJ",
    "macaque": "JJ",
    "macaroni": "NNS",
    "macaroni-and-cheese": "NN",
    "macaw": "NN",
    "machete": "NN",
    "machetes": "NNS",
    "machikin": "FW",
    "machinations": "NNS",
    "machine": "NN",
    "machine-family": "NN",
    "machine-gun": "NN",
    "machine-gun-toting": "JJ",
    "machine-masters": "NNS",
    "machine-vision": "NN",
    "machinegun": "NN",
    "machinelike": "JJ",
    "machinery": "NN",
    "machinery-trading": "JJ",
    "machines": "NNS",
    "machining": "NN",
    "machinist": "NN",
    "machinists": "NNS",
    "macho": "JJ|NN",
    "machos": "NNS",
    "mackerel": "NN",
    "mackinaw": "NN",
    "mackintosh": "NN",
    "macro-instructions": "NNS",
    "macrocrystalline": "NN",
    "macrocrystals": "NNS",
    "macroeconomic": "JJ",
    "macromolecular": "JJ",
    "macromolecules": "NNS",
    "macropathological": "JJ",
    "macroscopically": "RB",
    "mad": "JJ",
    "madam": "NN",
    "madcap": "JJ",
    "maddening": "JJ|VBG",
    "maddeningly": "RB",
    "made": "VBN|VBD|JJ",
    "made-for-TV": "JJ",
    "made-for-television": "JJ",
    "made-up": "JJ",
    "madhouse": "NN",
    "madly": "RB",
    "madman": "NN",
    "madmen": "NNS",
    "madness": "NN",
    "madrigal": "NN",
    "madrigaling": "NN",
    "madrigals": "NNS",
    "madstones": "NNS",
    "maelstrom": "NN",
    "maestro": "NN",
    "mafia": "NN",
    "mafias": "NNS",
    "mafiosi": "NNS",
    "magazine": "NN|JJ",
    "magazines": "NNS",
    "magenta": "JJ|NN",
    "maget": "NN",
    "maggot-covered": "JJ",
    "maggots": "NNS",
    "maggoty": "JJ",
    "magic": "JJ|NN",
    "magic-practicing": "JJ",
    "magical": "JJ",
    "magically": "RB",
    "magician": "NN",
    "magicians": "NNS",
    "magisterially": "RB",
    "magistrate": "NN",
    "magistrates": "NNS",
    "magnanimity": "NN",
    "magnanimous": "JJ",
    "magnate": "NN",
    "magnates": "NNS",
    "magnesium": "NN",
    "magnet": "NN",
    "magnetic": "JJ",
    "magnetic-tape": "JJ|NN",
    "magnetic-tape-coating": "JJ",
    "magnetically": "RB",
    "magnetics": "NNS",
    "magnetism": "NN",
    "magnetisms": "NNS",
    "magnetized": "VBN|VBD",
    "magnets": "NNS",
    "magnification": "NN",
    "magnificence": "NN",
    "magnificent": "JJ",
    "magnificently": "RB",
    "magnified": "VBN|VBD",
    "magnifies": "VBZ",
    "magnify": "VB",
    "magnifying": "VBG|NN",
    "magnitude": "NN",
    "magnitudes": "NNS",
    "magnolia": "NN|NNS",
    "magnum": "NN",
    "magpies": "NNS",
    "mah": "PRP$",
    "mah-jongg": "FW",
    "maharajahs": "NNS",
    "mahogany": "NN",
    "maht": "MD",
    "mahua": "NN",
    "mai": "MD",
    "maid": "NN",
    "maiden": "JJ|NN",
    "maidens": "NNS",
    "maids": "NNS",
    "maiestie": "NN",
    "mail": "NN|VB|VBP",
    "mail-fraud": "NN",
    "mail-order": "NN|JJ",
    "mail-processing": "JJ",
    "mail-room": "NN",
    "mail-sorting": "VBG",
    "mailboat": "NN",
    "mailbox": "NN",
    "mailboxes": "NNS",
    "mailed": "VBN|VBD|JJ",
    "mailed-fist-in-velvet-glove": "JJ",
    "mailers": "NNS",
    "mailgram": "NN",
    "mailgrams": "NNS",
    "mailing": "NN|VBG",
    "mailings": "NNS",
    "mailman": "NN",
    "mailmen": "NNS",
    "mailroom": "NN|JJ",
    "mailrooms": "NNS",
    "mails": "NNS|VBZ",
    "maimed": "JJ",
    "main": "JJ|NN",
    "mainframe": "NN|JJ",
    "mainframe-class": "JJ|NN",
    "mainframe-manufacturing": "NN",
    "mainframes": "NNS",
    "mainland": "NN|JJ",
    "mainlander": "NN",
    "mainline": "NN|JJ",
    "mainly": "RB",
    "mains": "NNS",
    "mainstay": "NN|JJ",
    "mainstays": "NNS",
    "mainstream": "NN|JJ|RB",
    "maintain": "VB|VBP",
    "maintained": "VBN|VBD",
    "maintainence": "NN",
    "maintaining": "VBG",
    "maintains": "VBZ",
    "maintenance": "NN",
    "mais": "FW",
    "maitre": "NNP|FW",
    "maitres": "FW",
    "majesterial": "JJ",
    "majestic": "JJ",
    "majestically": "RB",
    "majesty": "NN",
    "majeure": "NN|FW",
    "major": "JJ|NN|VBP",
    "major-burden-to-the-planet": "NN",
    "major-frauds": "JJ",
    "major-league": "JJ",
    "major-market": "JJ",
    "major-medical": "JJ",
    "major-party": "JJ",
    "majored": "VBN",
    "majoring": "VBG",
    "majoritarian": "JJ",
    "majorities": "NNS",
    "majority": "NN|JJ",
    "majority-held": "JJ",
    "majority-owned": "JJ",
    "majority-party": "JJ",
    "majors": "NNS",
    "majuh": "NN",
    "make": "VB|NN|VBP",
    "make-believe": "NN",
    "make-overs": "NNS",
    "make-ready": "NN",
    "make-up": "NN",
    "make-work": "NN|JJ",
    "make...": ":",
    "makeover": "NN",
    "maker": "NN",
    "makers": "NNS",
    "makersa": "NNS",
    "makes": "VBZ|NNS",
    "makeshift": "JJ|NN",
    "makeshifts": "NNS",
    "makeup": "NN",
    "making": "VBG|NN",
    "makings": "NNS",
    "maku": "FW",
    "maladaptive": "JJ",
    "maladies": "NNS",
    "maladjusted": "JJ",
    "maladjustment": "NN",
    "maladjustments": "NNS",
    "maladroit": "JJ",
    "malady": "NN",
    "malaise": "NN",
    "malapropism": "NN",
    "malapropisms": "NNS",
    "malaria": "NN",
    "malcontent": "NN",
    "male": "JJ|NN",
    "male-dominated": "JJ",
    "male-fertile": "JJ",
    "male-headed": "JJ",
    "male-only": "JJ",
    "male-sterile": "JJ",
    "malediction": "NN",
    "malefactors": "NNS",
    "maleness": "NN",
    "males": "NNS",
    "malevolence": "NN",
    "malevolencies": "NNS",
    "malevolent": "JJ",
    "malfeasant": "JJ",
    "malformations": "NNS",
    "malformed": "JJ",
    "malfunction": "NN",
    "malfunctioning": "NN",
    "malfunctions": "NNS",
    "malice": "NN",
    "malicious": "JJ",
    "maliciously": "RB",
    "malign": "JJ|VB",
    "malignancies": "NNS",
    "malignancy": "NN",
    "malignant": "JJ",
    "maligned": "VBN|VBD",
    "malingering": "VBG",
    "mall": "NN",
    "malleable": "JJ",
    "malls": "NNS",
    "malnourished": "JJ",
    "malnourishment": "NN",
    "malnutrition": "NN",
    "malocclusion": "NN",
    "malposed": "JJ",
    "malpractice": "NN|VB",
    "malpractices": "NNS|VBZ",
    "malt": "NN",
    "malted": "VBN",
    "maltreat": "VBP|VB",
    "maltreated": "VBN|VBD",
    "maltreatment": "NN",
    "malunya": "NN",
    "mama": "NN",
    "mamalian": "JJ",
    "mammal": "NN",
    "mammalian": "JJ",
    "mammals": "NNS",
    "mammary": "JJ",
    "mammas": "NN",
    "mammography": "NN",
    "mammoth": "JJ",
    "mammoths": "NNS",
    "man": "NN|JJ|VB|UH",
    "man-bites-dog": "JJ",
    "man-hours": "NN|NNS",
    "man-in-the-European-street": "NN",
    "man-in-the-moon": "JJ",
    "man-made": "JJ",
    "man-to-man": "RB",
    "man.": "NN",
    "mana": "NN",
    "manacles": "NNS|VBZ",
    "managament": "NN",
    "manage": "VB|VBP",
    "manageability": "NN",
    "manageable": "JJ",
    "managed": "VBN|VBD|JJ",
    "managed-care": "JJ",
    "management": "NN",
    "management-by-objective": "NN",
    "management-consultant": "NN",
    "management-consulting": "JJ",
    "management-controlled": "JJ",
    "management-employee": "NN",
    "management-incentive": "JJ",
    "management-information": "JJ|NN",
    "management-labor": "JJ",
    "management-led": "JJ|NN",
    "management-pilot": "JJ|NN",
    "management-pilots": "JJ",
    "management-research": "NN",
    "management-services": "JJ|NNS",
    "management-trained": "JJ",
    "management-union": "JJ|NN",
    "management...": ":",
    "managements": "NNS",
    "manager": "NN",
    "managerial": "JJ",
    "managers": "NNS",
    "manages": "VBZ",
    "managing": "VBG|JJ|NN",
    "managment": "NN",
    "mandamus": "NN",
    "mandate": "NN|VB|VBD",
    "mandated": "VBN|VBD",
    "mandates": "VBZ|NNS",
    "mandating": "VBG",
    "mandatory": "JJ|NN",
    "mandatory-retirement": "JJ",
    "mandrel": "NN",
    "mane": "NN",
    "manes": "NNS",
    "maneuver": "NN|VB",
    "maneuverability": "NN",
    "maneuvered": "VBD|VBN",
    "maneuvering": "NN|VBG|JJ",
    "maneuverings": "NNS",
    "maneuvers": "NNS|VBZ",
    "manganese": "NN",
    "manger": "NN",
    "mangled": "JJ|VBN|VBD",
    "manhandled": "VBN",
    "manhole": "NN",
    "manholes": "NNS",
    "manhood": "NN",
    "manhours": "NNS",
    "manhunts": "NNS",
    "mania": "NN",
    "maniac": "NN|JJ",
    "maniacal": "JJ",
    "maniacs": "NNS",
    "manias": "NNS",
    "manic": "JJ",
    "manic-depressive": "NN",
    "maniclike": "JJ",
    "manicured": "VBN",
    "manicures": "VBZ",
    "manifest": "JJ|VB|VBP",
    "manifestation": "NN",
    "manifestations": "NNS",
    "manifested": "VBD|VBN",
    "manifesting": "VBG",
    "manifestly": "RB",
    "manifesto": "NN",
    "manifestos": "NNS",
    "manifold": "NN|JJ|VB",
    "manikin": "NN",
    "manikins": "NNS",
    "manila": "JJ",
    "maninstays": "NNS",
    "manipulate": "VB|VBP",
    "manipulated": "VBN|VBD",
    "manipulates": "VBZ",
    "manipulating": "VBG",
    "manipulation": "NN",
    "manipulations": "NNS",
    "manipulative": "JJ",
    "manipulator": "NN",
    "manipulators": "NNS",
    "mankind": "NN",
    "manliness": "NN",
    "manly": "JJ",
    "manmade": "NN|JJ",
    "manmade-fiber": "JJ",
    "manna": "NN",
    "manned": "VBD|JJ|VBN",
    "mannequin": "NN",
    "mannequins": "NNS",
    "manner": "NN",
    "mannered": "JJ",
    "mannerism": "NN",
    "mannerisms": "NNS",
    "manners": "NNS",
    "manning": "VBG",
    "mano": "NN",
    "manometer": "NN",
    "manor": "NN",
    "manors": "NNS",
    "manpower": "NN",
    "mans": "VBZ",
    "manse": "NN",
    "manservant": "NN",
    "mansion": "NN",
    "mansions": "NNS",
    "manslaughter": "NN",
    "mantel": "NN",
    "mantic": "JJ",
    "mantle": "NN",
    "mantlepiece": "NN",
    "mantrap": "NN",
    "manual": "JJ|NN",
    "manually": "RB",
    "manuals": "NNS",
    "manuevering": "VBG|NN",
    "manufacture": "VB|NN|VBP",
    "manufactured": "VBN|VBD|JJ",
    "manufactured...": ":",
    "manufacturer": "NN",
    "manufacturers": "NNS",
    "manufactures": "VBZ|NNS",
    "manufacturing": "NN|VBG",
    "manufacturing-automation": "NN",
    "manufacturing-cost": "NN",
    "manufacturing-sector": "NN",
    "manumission": "NN",
    "manumitted": "VBN|VBD",
    "manure": "NN",
    "manure-scented": "JJ",
    "manuscript": "NN",
    "manuscripts": "NNS",
    "many": "JJ|DT|NN|RB|VB|NNS|PDT",
    "many-bodied": "JJ",
    "many-faced": "JJ",
    "many-fold": "RB",
    "many-much": "NN",
    "many-sided": "JJ",
    "many-times": "RB",
    "manye": "JJ",
    "manzanita": "NN",
    "map": "NN|VBP|VB",
    "maple": "NN|JJ",
    "maples": "NNS",
    "mapped": "VBN|VBD",
    "mapping": "NN|VBG",
    "maps": "NNS|VBZ",
    "maquette": "NN",
    "maquila": "NN",
    "maquiladora": "NN",
    "maquiladoras": "FW|NNS",
    "maquilas": "NNS",
    "mar": "VB",
    "maraschino": "NN",
    "marathon": "NN|JJ",
    "marathons": "NNS",
    "marauders": "NNS",
    "marauding": "VBG",
    "marble": "NN",
    "marble-columned": "JJ",
    "marble-encased": "JJ",
    "marbleized": "VBN",
    "marbleizing": "NN",
    "marbles": "NNS",
    "marcato": "FW",
    "marched": "VBD|VBN",
    "marchers": "NNS",
    "marches": "NNS|VBZ",
    "marchin": "NN",
    "marching": "VBG|NN",
    "mare": "NN",
    "mare-COOR": "NNP",
    "mares": "NNS",
    "margarine": "NN",
    "margin": "NN|JJ",
    "margin-calls": "NNS",
    "marginal": "JJ",
    "marginal-rate": "NN",
    "marginalia": "NNS",
    "marginality": "NN",
    "marginalizing": "VBG",
    "marginally": "RB",
    "margined": "VBN",
    "margining": "VBG",
    "margins": "NNS",
    "margins...": ":",
    "maria": "NNS",
    "marijuana": "NN",
    "marijuana-smuggling": "JJ",
    "marimba": "NN",
    "marina": "NN",
    "marinade": "NN",
    "marinas": "NNS",
    "marinated": "VBN",
    "marinating": "VBG",
    "marine": "JJ|NN",
    "marine-products": "NNS",
    "marine-related": "JJ",
    "marine-research": "NN",
    "marine-shipping": "JJ",
    "marine-transport": "NN",
    "mariner": "NN",
    "marines": "NNS",
    "marionettes": "NNS",
    "marital": "JJ",
    "maritime": "JJ",
    "marjoram": "NN",
    "mark": "NN|VBP|VB",
    "mark-denominated": "JJ",
    "mark-up": "NN",
    "mark-ups": "NNS",
    "mark-yen": "JJ",
    "markdown": "NN|JJ",
    "markdowns": "NNS",
    "marked": "VBD|VBN|JJ|VBP",
    "markedly": "RB",
    "marker": "NN",
    "markers": "NNS",
    "market": "NN|VBP|VB",
    "market-affecting": "JJ",
    "market-allocation": "JJ",
    "market-based": "JJ",
    "market-basket": "JJ",
    "market-by-market": "JJ",
    "market-corporate": "JJ",
    "market-driven": "JJ",
    "market-hog": "JJ",
    "market-if-touched": "NN",
    "market-inspired": "JJ",
    "market-jarring": "JJ",
    "market-maker": "NN",
    "market-makers": "NNS",
    "market-making": "NN|JJ",
    "market-monitoring": "JJ",
    "market-moving": "JJ",
    "market-on-close": "JJ",
    "market-opening": "JJ",
    "market-oriented": "JJ",
    "market-place": "NN",
    "market-ready": "JJ",
    "market-reform": "JJ",
    "market-related": "JJ",
    "market-research": "JJ|NN",
    "market-revision": "NN",
    "market-sensitive": "JJ",
    "market-share": "JJ|NN",
    "market-sharing": "JJ",
    "market-specific": "JJ",
    "market-stabilizing": "JJ",
    "market-style": "JJ",
    "market-system": "NN",
    "market-timing": "JJ",
    "market-watchers": "NNS",
    "market-weighted": "JJ",
    "market...": ":",
    "marketability": "NN",
    "marketable": "JJ",
    "marketed": "VBN|VBD",
    "marketeers": "NNS",
    "marketer": "NN",
    "marketers": "NNS",
    "marketin": "NN",
    "marketing": "NN|VBG|JJ",
    "marketing-and-distribution": "JJ",
    "marketing-communications": "NNS",
    "marketing-data": "NNS",
    "marketing-wise": "JJ",
    "marketings": "NNS",
    "marketization": "NN",
    "marketmaking": "NN",
    "marketplace": "NN",
    "marketplaces": "NNS",
    "markets": "NNS|VBZ",
    "marketshare": "NN",
    "marketwide": "JJ",
    "marketwise": "RB",
    "marking": "VBG|NN",
    "markings": "NNS",
    "markka": "FW|NNS",
    "markkaa": "NN",
    "marks": "NNS|VBZ",
    "marksman": "NN",
    "marksmanship": "NN",
    "markup": "NN",
    "markups": "NNS",
    "marmalade": "NN",
    "maroon": "JJ|VB",
    "marooned": "VBD|VBN",
    "marque": "NN",
    "marquee": "NN",
    "marquees": "NNS",
    "marques": "NNS",
    "marred": "VBN|JJ|VBD",
    "marriage": "NN",
    "marriageables": "NNS",
    "marriages": "NNS",
    "married": "JJ|VBN|VBD",
    "married-couple": "JJ|NN",
    "married-put": "JJ",
    "marrieds": "NNS",
    "marries": "VBZ",
    "marring": "VBG",
    "marrow": "NN",
    "marrowbones": "NNS",
    "marry": "VB|VBP",
    "marrying": "VBG",
    "mars": "VBZ",
    "marshal": "NN|VB|VBP",
    "marshaling": "VBG",
    "marshalled": "VBD|VBN",
    "marshalling": "NN|VBG",
    "marshals": "NNS|VBZ",
    "marshes": "NNS",
    "marshlands": "NNS",
    "marshmallow": "NN",
    "marshmallows": "NNS",
    "mart": "NN|NNP",
    "martial": "JJ",
    "martingale": "NN",
    "martini": "NN",
    "martinis": "NNS",
    "marts": "NNS",
    "martyr": "NN",
    "martyrdom": "NN",
    "marvel": "VB|NN",
    "marveled": "VBD|VBN",
    "marveling": "VBG",
    "marvelled": "VBD|VBN",
    "marvelous": "JJ",
    "marvelously": "RB",
    "maryed": "VBN",
    "mascara": "NN",
    "mascot": "NN",
    "masculine": "JJ|NN",
    "masculinity": "NN",
    "masers": "NNS",
    "mash": "NN|VB",
    "mashed": "VBN|VBD",
    "mashing": "VBG",
    "mask": "NN|VBP|VB",
    "masked": "VBN|VBD|JJ",
    "maskers": "NNS",
    "masking": "VBG|NN",
    "masks": "NNS|VBZ",
    "mason": "NN",
    "masonry": "NN",
    "masons": "NNS",
    "masquerade": "NN|VBP",
    "masquerades": "VBZ",
    "masquerading": "VBG",
    "masquers": "NNS",
    "mass": "NN|JJ|RB|VB",
    "mass-audience": "JJ",
    "mass-building": "JJ",
    "mass-circulation": "JJ",
    "mass-distribution": "JJ|NN",
    "mass-faxing": "JJ",
    "mass-market": "JJ|NN",
    "mass-marketers": "NNS",
    "mass-media": "NN|NNS",
    "mass-merchandise": "NN",
    "mass-murderer": "NN",
    "mass-produce": "VB",
    "mass-produced": "JJ|VBD|VBN",
    "mass-producing": "VBG",
    "mass-production": "NN",
    "mass-reproduced": "JJ",
    "mass-transit": "NN",
    "massacre": "NN|VB",
    "massacred": "VBD|VBN",
    "massacres": "NNS|VBZ",
    "massage": "NN|VB",
    "massaged": "VBN|VBD",
    "massages": "NNS|VBZ",
    "massaging": "VBG",
    "masse": "FW|NN|RB",
    "massed": "VBD|VBN",
    "masses": "NNS|VBZ",
    "masseur": "NN",
    "masseurs": "NNS",
    "masseuse": "NN",
    "masseuses": "NNS",
    "massifs": "NNS",
    "massing": "VBG",
    "massive": "JJ",
    "massively": "RB",
    "massuh": "NN",
    "mast": "NN",
    "master": "NN|JJ|VB|JJR",
    "master-race": "NN",
    "mastered": "VBN|VBD|JJ",
    "masterful": "JJ",
    "masterfully": "RB",
    "mastering": "VBG",
    "masterly": "JJ",
    "mastermind": "NN|VB",
    "masterminding": "NN|VBG",
    "masterpiece": "NN",
    "masters": "NNS|VBZ",
    "masterworks": "NNS",
    "mastery": "NN",
    "mastiff": "NN",
    "mastodons": "NNS",
    "mastoideus": "NN",
    "masts": "NNS",
    "mat": "NN|VB",
    "matador": "NN",
    "match": "VB|VBP|NN",
    "match-width": "NN",
    "matched": "VBN|JJ|VBD",
    "matches": "VBZ|NNS",
    "matching": "VBG|JJ|NN",
    "matching-fund": "JJ",
    "matchless": "JJ",
    "matchmaker": "NN",
    "matchmakers": "NNS",
    "matchmaking": "NN",
    "mate": "NN|VBP|UH|VB",
    "mated": "VBN|VBD|JJ",
    "mateless": "JJ",
    "mater": "NN",
    "materals": "NNS",
    "material": "NN|JJ",
    "material-formal": "JJ",
    "material-management": "NN",
    "material0F.": "NN",
    "materialism": "NN",
    "materialistic": "JJ",
    "materialize": "VB|VBP",
    "materialized": "VBD|VBN",
    "materializes": "VBZ",
    "materially": "RB",
    "materials": "NNS",
    "materials-handling": "JJ",
    "materials-related": "JJ",
    "materiel": "NN",
    "maternal": "JJ",
    "maternity": "NN",
    "mates": "NNS|VBZ",
    "math": "NN",
    "mathematical": "JJ",
    "mathematically": "RB",
    "mathematician": "NN",
    "mathematicians": "NNS",
    "mathematics": "NN|NNS",
    "matinals": "FW",
    "matinee": "JJ",
    "matinees": "NNS",
    "mating": "NN|JJ|VBG",
    "matriarch": "NN",
    "matriarchal": "JJ",
    "matricide": "NN",
    "matriculate": "VB|VBD",
    "matriculated": "VBN|VBD",
    "matrimonial": "JJ",
    "matrimony": "NN",
    "matrix": "NN",
    "matron": "NN",
    "matronly": "JJ",
    "matryoshka": "FW",
    "mats": "NNS|VBZ",
    "matsyendra": "NN",
    "matt": "NN",
    "matte": "NN|VB",
    "matter": "NN|VBP|VB",
    "matter-of-factly": "RB",
    "matter-of-factness": "NN",
    "mattered": "VBN|VBD",
    "matting": "NN|VBG",
    "mattress": "NN",
    "mattresses": "NNS",
    "maturation": "NN",
    "maturational": "JJ",
    "mature": "VBP|JJ|VB|NNP",
    "matured": "VBN|VBD",
    "matures": "VBZ",
    "maturing": "VBG",
    "maturities": "NNS",
    "maturity": "NN",
    "maudlin": "JJ",
    "maul": "VB",
    "mauler": "NN",
    "mauling": "VBG",
    "mausoleum": "NN",
    "mauve": "JJ",
    "maven": "NN",
    "mavens": "NNS",
    "maverick": "NN|JJ",
    "mavericks": "NNS",
    "maw": "NN",
    "mawkish": "JJ",
    "max": "NN",
    "maxim": "NN",
    "maximal": "JJ",
    "maximization": "NN",
    "maximize": "VB|VBP",
    "maximized": "VBN|VBD",
    "maximizes": "VBZ",
    "maximizing": "VBG",
    "maxims": "NNS",
    "maximum": "NN|JJ",
    "maximum-security": "JJ",
    "maximums": "NNS",
    "may...": ":",
    "maya": "FW",
    "maybe": "RB",
    "maye": "MD",
    "mayhem": "NN",
    "mayonnaise": "NN",
    "mayor": "NN",
    "mayoral": "JJ",
    "mayoralty": "NN",
    "mayors": "NNS",
    "mayorship": "NN",
    "mayst": "MD",
    "maze": "NN",
    "mazes": "NNS",
    "mazurka": "NN",
    "mc.": "NN",
    "me/PRP": "NNP",
    "mea": "FW",
    "meadow": "NN",
    "meadows": "NNS",
    "meager": "JJ",
    "meal": "NN",
    "meal-to-meal": "JJ",
    "mealie-meal": "NN",
    "meals": "NNS",
    "mealtime": "NN",
    "mealy": "JJ",
    "mealynose": "NN",
    "mealynosed": "JJ",
    "mean": "VB|VBP|JJ|NN",
    "mean-spirited": "JJ",
    "mean-square": "JJ",
    "meandered": "VBD|VBN",
    "meandering": "VBG",
    "meanders": "VBZ",
    "meaner": "JJR",
    "meanes": "NNS",
    "meanest": "JJS",
    "meanin": "VBG|NN",
    "meaning": "VBG|NN",
    "meaningful": "JJ",
    "meaningfully": "RB",
    "meaningfulness": "NN",
    "meaningless": "JJ",
    "meaninglessness": "NN",
    "meanings": "NNS",
    "meanly": "RB",
    "meanness": "NN",
    "means": "VBZ|NNS",
    "meant": "VBN|VBD",
    "meantime": "NN|RB",
    "meanwhile": "RB|NN",
    "measles": "NN",
    "measly": "JJ",
    "measurable": "JJ",
    "measurably": "RB",
    "measure": "NN|VBP|VB",
    "measured": "VBN|VBD|JJ",
    "measurement": "NN",
    "measurements": "NNS",
    "measures": "NNS|VBZ",
    "measuring": "VBG|NN|JJ",
    "meat": "NN",
    "meat-hungry": "JJ",
    "meat-packing": "JJ|NN",
    "meat-processing": "JJ",
    "meat-wagon": "NN",
    "meatpacker": "NN",
    "meatpacking": "NN",
    "meats": "NNS",
    "meaty": "JJ",
    "mecca": "NN",
    "mechanic": "NN",
    "mechanical": "JJ",
    "mechanically": "RB",
    "mechanics": "NNS",
    "mechanism": "NN",
    "mechanisms": "NNS",
    "mechanist": "NN",
    "mechanistic": "JJ",
    "mechanization": "NN",
    "mechanized": "JJ|VBN",
    "mechanochemically": "RB",
    "meclofenamate": "NN",
    "mecum": "FW",
    "medal": "NN",
    "medalist": "NN",
    "medallions": "NNS",
    "medals": "NNS",
    "meddle": "VB",
    "meddling": "VBG|NN",
    "media": "NNS",
    "media-buying": "JJ|NN|NNP",
    "media-conscious": "JJ",
    "media-linked": "JJ",
    "media-related": "JJ",
    "media-spending": "JJ",
    "media-stock": "JJ",
    "mediaevalist": "NN",
    "median": "JJ|NN",
    "median-family": "NN",
    "median-nerve": "JJ",
    "mediate": "VB",
    "mediated": "VBN|VBD",
    "mediating": "VBG",
    "mediation": "NN",
    "mediator": "NN",
    "mediators": "NNS",
    "medical": "JJ",
    "medical-airlift": "NN",
    "medical-assistance": "NN",
    "medical-benefits": "NNS",
    "medical-care": "NN",
    "medical-instrument": "JJ",
    "medical-leave": "JJ",
    "medical-practice": "NN",
    "medical-products": "NNS",
    "medical-school": "NN",
    "medical-support": "JJ",
    "medical-test": "JJ",
    "medically": "RB",
    "medicare": "NN",
    "medication": "NN",
    "medication-dispensing": "JJ",
    "medications": "NNS",
    "medicinal": "JJ|NN",
    "medicinalis": "FW",
    "medicine": "NN|VB",
    "medicines": "NNS|VBZ",
    "medico": "NN",
    "medico-military": "NN|JJ",
    "medics": "NNS",
    "medieval": "JJ|NN",
    "mediocre": "JJ",
    "mediocrities": "NNS",
    "mediocrity": "NN",
    "meditate": "VB",
    "meditated": "VBD|VBN|JJ",
    "meditating": "VBG",
    "meditation": "NN",
    "meditations": "NNS",
    "meditative": "JJ",
    "medium": "NN|JJ",
    "medium-distance": "JJ",
    "medium-duty": "JJ",
    "medium-grade": "JJ",
    "medium-haul": "JJ",
    "medium-size": "JJ",
    "medium-sized": "JJ",
    "medium-term": "JJ",
    "medium-to-long-range": "JJ",
    "mediumistic": "JJ",
    "mediums": "NNS",
    "mediumship": "NN",
    "medley": "NN|JJ",
    "mee": "PRP",
    "meek": "JJ",
    "meek-mannered": "JJ",
    "meekest": "JJS",
    "meekly": "RB",
    "meet": "VB|VBP|NN",
    "meet...": ":",
    "meetin": "NN",
    "meeting": "NN|VBG",
    "meetings": "NNS",
    "meets": "VBZ|NNS",
    "mega": "JJ",
    "mega-crash": "NN",
    "mega-crashes": "NNS",
    "mega-deal": "NN",
    "mega-deals": "NNS",
    "mega-hit": "JJ|NN",
    "mega-issues": "NNS",
    "mega-lawyer": "NN",
    "mega-mergers": "NNS",
    "mega-problems": "NNS",
    "mega-projects": "NNS",
    "mega-resort": "NN",
    "mega-resorts": "NNS",
    "mega-stadium": "NN",
    "mega-stardom": "NN",
    "mega-welfare": "JJ",
    "megabillion": "NN",
    "megabit": "NN",
    "megabyte": "NN",
    "megabytes": "NNS",
    "megadrop": "NN",
    "megahertz": "NN",
    "megakaryocytic": "JJ",
    "megalomania": "NN",
    "megalomaniac": "NN",
    "megalopolises": "NNS",
    "megaquestions": "NNS",
    "megaton": "NN",
    "megatons": "NNS",
    "megawatt": "NN",
    "megawatts": "NNS",
    "mei": "FW",
    "melamine": "NN",
    "melancholy": "JJ|NN",
    "melanderi": "NNPS",
    "melange": "NN",
    "melanin": "NN",
    "meld": "VB",
    "melding": "VBG|NN",
    "melds": "VBZ",
    "melee": "NN",
    "melioration": "NN",
    "mellifluous": "JJ",
    "mellow": "JJ|VB",
    "mellowed": "VBN|VBD",
    "melodic": "JJ",
    "melodically": "RB",
    "melodies": "NNS",
    "melodious": "JJ",
    "melodrama": "NN",
    "melodramatic": "JJ",
    "melody": "NN",
    "melon": "NN",
    "melon-like": "JJ",
    "melt": "VB|VBP|NN",
    "melt-textured": "JJ",
    "meltdown": "NN|JJ",
    "melted": "VBN|JJ|VBD",
    "melting": "VBG|JJ|NN",
    "melts": "VBZ",
    "mem": "FW",
    "member": "NN",
    "members": "NNS",
    "members.": "NN",
    "membership": "NN",
    "memberships": "NNS",
    "membrane": "NN",
    "meme": "FW",
    "memento": "NN",
    "mementos": "NNS",
    "meminisse": "FW",
    "memo": "NN",
    "memoir": "NN",
    "memoirs": "NNS",
    "memorabilia": "NNS",
    "memorable": "JJ",
    "memoranda": "NNS",
    "memorandum": "NN",
    "memorandums": "NNS",
    "memorial": "NN|JJ",
    "memorialist": "NN",
    "memorialization": "NN",
    "memorialized": "VBN|VBD",
    "memorials": "NNS",
    "memories": "NNS",
    "memorization": "NN",
    "memorize": "VBP|VB",
    "memorized": "VBN|VBD",
    "memorizing": "NN|VBG",
    "memory": "NN",
    "memory-chip": "NN",
    "memory-expansion": "JJ",
    "memory-images": "NNS",
    "memory-picture": "NN",
    "memory-pictures": "NNS",
    "memos": "NNS",
    "men": "NNS",
    "men-folk": "NNS",
    "men-of-war": "NNS",
    "menace": "NN|VB",
    "menaced": "VBN|VBD",
    "menacing": "JJ|VBG",
    "menarche": "NN",
    "menarches": "NNS",
    "mend": "VB",
    "mendacious": "JJ",
    "mendacity": "NN",
    "mended": "VBN|VBD",
    "mendicant": "JJ",
    "mending": "VBG|NN",
    "menial": "JJ",
    "meningioma": "NN",
    "menopause": "NN",
    "menstrual": "JJ",
    "menstruation": "JJ",
    "menswear": "NN",
    "mental": "JJ",
    "mental-health": "NN|JJ",
    "mental-illness": "NN",
    "mentalities": "NNS",
    "mentality": "NN",
    "mentally": "RB|NN|JJ",
    "mention": "VB|NN|VBP",
    "mentioned": "VBN|VBD",
    "mentioning": "VBG|NN",
    "mentions": "VBZ|NNS",
    "mentor": "NN",
    "mentors": "NNS",
    "menu": "NN",
    "menus": "NNS",
    "mercenaries": "NNS",
    "mercenary": "JJ",
    "mercer": "NN",
    "merchandise": "NN|VB",
    "merchandise-trade": "JJ",
    "merchandised": "VBN|VBD",
    "merchandisers": "NNS",
    "merchandising": "NN|VBG",
    "merchant": "NN|JJ",
    "merchant-banking": "NN|JJ",
    "merchantbanking": "NN",
    "merchants": "NNS",
    "merciful": "JJ",
    "mercifully": "RB",
    "merciless": "JJ",
    "mercilessly": "RB",
    "mercurial": "JJ",
    "mercury": "NN",
    "mercy": "NN",
    "mere": "JJ",
    "merely": "RB",
    "merest": "JJS",
    "meretricious": "JJ",
    "merge": "VB|NN|VBP",
    "merged": "VBD|VBN|JJ",
    "merger": "NN",
    "merger-acquisition": "JJ",
    "merger-law": "NN",
    "merger-related": "JJ",
    "mergers": "NNS",
    "mergers-advisory": "JJ",
    "mergers-and-acquisitions": "JJ|NNS",
    "merges": "VBZ|NNS",
    "merging": "VBG|NN",
    "meridian": "NN",
    "meringues": "NNS",
    "merit": "NN|VB|VBP",
    "merited": "VBD",
    "meritless": "JJ",
    "meritocracy": "NN",
    "meritorious": "JJ",
    "merits": "NNS|VBZ",
    "mermaid": "NN",
    "merriest": "JJS",
    "merrily": "RB",
    "merriment": "NN",
    "merry": "JJ",
    "merry-go-round": "NN",
    "merrymaking": "NN",
    "merveilleux": "FW",
    "mesenteric": "JJ",
    "mesh": "VB|NN|VBP",
    "meshed": "VBN|VBD",
    "mesmerized": "VBN|VBD",
    "mesothelioma": "NN",
    "mess": "NN|VBP",
    "message": "NN",
    "messages": "NNS",
    "messaging": "NN|VBG",
    "messed": "VBD|VBN",
    "messenger": "NN",
    "messengers": "NNS",
    "messes": "NNS",
    "messhall": "NN",
    "messiah": "NN",
    "messianic": "JJ",
    "messieurs": "FW",
    "messing": "VBG",
    "messy": "JJ",
    "met": "VBD|VBN",
    "metabolic": "JJ",
    "metabolism": "NN",
    "metabolite": "NN",
    "metabolites": "NNS",
    "metabolize": "VB",
    "metabolized": "VBN|VBD",
    "metal": "NN",
    "metal-benders": "NNS",
    "metal-cleaning": "JJ",
    "metal-coil": "JJ",
    "metal-cutting": "JJ",
    "metal-forming": "JJ",
    "metal-hydrido": "NN",
    "metal-processing": "JJ",
    "metal-products": "NNS",
    "metal-tasting": "JJ",
    "metal-workers": "NNS",
    "metal-working": "JJ",
    "metalized": "VBN",
    "metallic": "JJ",
    "metallurgical": "JJ",
    "metallurgy": "NN",
    "metals": "NNS",
    "metals-stock": "NN",
    "metalsmiths": "NNS",
    "metalworkers": "NNS",
    "metalworking": "NN",
    "metamidophos": "NNS",
    "metamorphic": "JJ",
    "metamorphosed": "VBN|VBD",
    "metamorphosis": "NN",
    "metaphor": "NN",
    "metaphorical": "JJ",
    "metaphors": "NNS",
    "metaphosphate": "NN",
    "metaphysic": "NN",
    "metaphysical": "JJ",
    "metaphysicals": "NNS",
    "metaphysics": "NNS",
    "meted": "VBN|VBD",
    "meteor": "NN",
    "meteoric": "JJ",
    "meteorite": "NN",
    "meteorites": "NNS",
    "meteoritic": "JJ",
    "meteorological": "JJ",
    "meteorologist": "NN",
    "meteorology": "NN",
    "meteors": "NNS",
    "meter": "NN",
    "metered": "VBN",
    "metering": "VBG|JJ",
    "meterological": "JJ",
    "meters": "NNS",
    "methacrylate": "NN",
    "methadone": "NN",
    "methane": "NN",
    "methanol": "NN",
    "methanol-gasoline": "JJ",
    "methanol-powered": "JJ",
    "method": "NN",
    "methode": "NNP",
    "methodical": "JJ",
    "methodically": "RB",
    "methodological": "JJ",
    "methodologies": "NNS",
    "methodology": "NN",
    "methods": "NNS",
    "methodsm": "NN",
    "methyl": "NN",
    "methylene": "NN",
    "methylglyoxal": "NN",
    "meticulous": "JJ",
    "meticulously": "RB",
    "metier": "NN",
    "meting": "VBG",
    "metis": "NNS",
    "metrazol": "NN",
    "metre": "NN",
    "metric": "JJ|NN",
    "metric-ton-per-year": "JJ",
    "metrical": "JJ",
    "metrics": "NNS",
    "metro": "NN",
    "metronome": "NN",
    "metropolis": "NN",
    "metropolitan": "JJ|NN",
    "metropolitanization": "NN",
    "metropolitian": "JJ",
    "mettle": "NN",
    "mettlesome": "JJ",
    "mettwurst": "NN",
    "mew": "VB",
    "mewed": "VBD|VBN",
    "mews": "NN|VBZ",
    "mezzo": "NN|JJ",
    "mh": "UH",
    "mg": "NN|JJ",
    "mg.": "NN",
    "miasma": "NN",
    "miasmal": "JJ",
    "mica": "NN",
    "mice": "NNS",
    "micelle": "NN",
    "micelles": "NNS",
    "micoprocessors": "NNS",
    "micro": "JJ",
    "micro-electronic": "JJ",
    "micro-liquidity": "NN",
    "micro-microcurie": "NN",
    "micro-organisms": "NNS",
    "microanalysis": "NN",
    "microbe": "NN",
    "microbes": "NNS",
    "microbial": "JJ",
    "microbiological": "JJ",
    "microbiologist": "NN",
    "microbiology": "NN",
    "microcassette": "NN",
    "microchannel": "JJ",
    "microchemistry": "NN",
    "microchip": "NN|JJ",
    "microchips": "NNS",
    "microcircuits": "NNS",
    "microcomputer": "NN|JJR",
    "microcomputer-systems": "JJ",
    "microcomputers": "NNS",
    "microcosm": "NN",
    "microcytochemistry": "NN",
    "microeconomic": "JJ",
    "microeconomics": "NNS",
    "microeconomy": "NN",
    "microelectronic": "JJ",
    "microelectronics": "NNS",
    "microfilm": "NN",
    "microfossils": "NNS",
    "micrograms": "NNS",
    "micrographics": "NNS",
    "microinjection": "NN",
    "micromanage": "NN",
    "micromanagement": "NN",
    "micrometeorite": "NN",
    "micrometeorites": "NNS",
    "micrometeoritic": "JJ",
    "micrometer": "NN",
    "micrometers": "NNS",
    "microns": "NNS",
    "microorganism": "NN",
    "microorganisms": "NNS",
    "microphone": "NN",
    "microphones": "NNS",
    "microphoning": "VBG",
    "microprocessor": "NN",
    "microprocessor-based": "JJ",
    "microprocessors": "NNS",
    "microscope": "NN",
    "microscopes": "NNS",
    "microscopic": "JJ",
    "microscopical": "JJ",
    "microscopy": "NN",
    "microseconds": "NNS",
    "microsomal": "JJ",
    "microsurgery": "NN",
    "microtonal": "JJ",
    "microvan": "NN",
    "microwavable": "JJ",
    "microwave": "NN|VB",
    "microwaved": "VBN|VBD",
    "microwaves": "NNS|VBZ",
    "microwaving": "VBG",
    "mid": "JJ",
    "mid-1940s": "NNS",
    "mid-1948": "JJ",
    "mid-1950s": "NNS",
    "mid-1958": "NN",
    "mid-1960s": "NNS",
    "mid-1970": "NN",
    "mid-1979": "NN",
    "mid-1986": "NN",
    "mid-1989": "NN",
    "mid-1992": "NN",
    "mid-1995": "NN",
    "mid-19th": "JJ",
    "mid-50s": "NNS",
    "mid-80s": "NNS",
    "mid-April": "NN",
    "mid-Atlantic": "JJ",
    "mid-August": "NNP",
    "mid-December": "NN|NNP",
    "mid-February": "NNP",
    "mid-January": "NNP",
    "mid-July": "NN",
    "mid-June": "NNP",
    "mid-March": "NNP",
    "mid-November": "NNP",
    "mid-October": "NNP|JJ|JJR",
    "mid-September": "NN|NNP",
    "mid-Victorian": "NNP",
    "mid-afternoon": "JJ|NN|RB",
    "mid-air": "NN",
    "mid-century": "JJ",
    "mid-continent": "JJ",
    "mid-conversation": "NN",
    "mid-engine": "JJ",
    "mid-fifties": "NNS",
    "mid-flight": "RB",
    "mid-market": "JJ",
    "mid-morning": "NN",
    "mid-priced": "JJ",
    "mid-range": "JJ",
    "mid-season": "NN",
    "mid-section": "NN",
    "mid-shimmy": "NN",
    "mid-size": "JJ",
    "mid-sized": "JJ",
    "mid-term": "JJ",
    "mid-thirties": "NNS",
    "mid-to-high": "JJ",
    "mid-to-late": "JJ",
    "mid-twentieth": "JJ",
    "mid-twentieth-century": "JJ",
    "mid-watch": "JJ",
    "mid-week": "NN|JJ",
    "midafternoon": "NN",
    "midair": "NN|JJ",
    "midcapitalization": "NN",
    "midcontinent": "JJ",
    "midday": "NN|RB",
    "middle": "NN|JJ",
    "middle-Gaelic": "JJ",
    "middle-age": "JJ|NN",
    "middle-aged": "JJ",
    "middle-brow": "JJ",
    "middle-class": "NN|JJ",
    "middle-ground": "JJ",
    "middle-income": "JJ|NN",
    "middle-level": "JJ",
    "middle-management": "JJ",
    "middle-market": "JJ",
    "middle-of-the-road": "JJ",
    "middle-of-the-roaders": "NNS",
    "middle-priced": "JJ",
    "middle-range": "JJ",
    "middle-school": "JJ|NN",
    "middle-sized": "JJ",
    "middlebrow": "JJ",
    "middleman": "NN",
    "middlemen": "NNS",
    "middles": "NNS",
    "middling": "JJ",
    "midfield": "NN",
    "midlands": "NNS",
    "midlevel": "JJ",
    "midmonth": "RB",
    "midmorning": "NN",
    "midnight": "NN|RB",
    "midocean": "JJ",
    "midpoint": "NN",
    "midpriced": "JJ",
    "midrange": "JJ|NN",
    "midseason": "NN",
    "midsession": "NN",
    "midshipmen": "NNS",
    "midsize": "JJ",
    "midsized": "JJ|VBN",
    "midsized-car": "JJ|NN",
    "midst": "NN",
    "midstream": "NN",
    "midsts": "NNS",
    "midsummer": "NN",
    "midterm": "JJ",
    "midtown": "NN|JJ",
    "midway": "NN|RB|JJ",
    "midweek": "JJ|NN",
    "midwest": "JJS",
    "midwestern": "JJ",
    "midwife": "NN",
    "midwinter": "NN",
    "midyear": "NN|JJ",
    "mien": "NN",
    "miffed": "VBD|VBN|JJ",
    "might": "MD|NN|VBD",
    "mighta": "MD|VB",
    "mightiest": "JJS",
    "mightily": "RB",
    "mighty": "JJ|RB",
    "mignon": "NN",
    "migraine": "NN",
    "migrant": "JJ|NN",
    "migrants": "NNS",
    "migrate": "VB|VBP",
    "migrated": "VBN|VBD",
    "migrates": "VBZ",
    "migrating": "VBG|JJ",
    "migration": "NN",
    "migrations": "NNS",
    "migratory": "JJ",
    "mil.": "NN",
    "mild": "JJ",
    "mild-mannered": "JJ",
    "mild-voiced": "JJ",
    "mild-winter": "JJ",
    "milder": "JJR",
    "mildew": "NN|VB",
    "mildewy": "JJ",
    "mildly": "RB",
    "mildness": "NN",
    "mile": "NN",
    "mile-long": "JJ",
    "mileage": "NN",
    "mileage-based": "JJ",
    "miles": "NNS",
    "miles-per-hour": "JJ",
    "milestone": "NN",
    "milestones": "NNS",
    "miliaris": "NN",
    "milieu": "NN",
    "milion": "NN",
    "militancy": "NN",
    "militant": "JJ",
    "militantly": "RB",
    "militarily": "RB",
    "militarism": "NN",
    "militarist": "NN",
    "military": "JJ|NN",
    "military-electronics": "NNS",
    "military-medical": "JJ",
    "military-service": "JJ",
    "military-spending": "NN",
    "military-style": "JJ",
    "militate": "VB|VBD",
    "militated": "VBN",
    "militia": "NN",
    "militiamen": "NNS",
    "militias": "NNS",
    "milk": "NN|VB",
    "milk-chocolate": "JJ",
    "milk-supply": "NN",
    "milked": "VBN|VBD",
    "milking": "VBG",
    "milks": "NNS|VBZ",
    "milkshakes": "NNS",
    "milky": "JJ",
    "mill": "NN",
    "mill-pond": "NN",
    "mill-wheel": "NN",
    "millages": "NNS",
    "milled": "JJ",
    "millenarianism": "NN",
    "millenarians": "NNS",
    "millenium": "NN",
    "millennia": "NN|NNS",
    "millennium": "NN",
    "millenniums": "NNS",
    "milliamperes": "NNS",
    "millidegree": "NN",
    "millidegrees": "NNS",
    "milligram": "NN",
    "milligrams": "NNS",
    "milliliter": "NN",
    "millilon": "NN",
    "millimeter": "NN",
    "millimeters": "NNS",
    "millinery": "NN",
    "milling": "NN|VBG",
    "million-a-year": "JJ",
    "million-and-counting": "JJ",
    "million-asset": "JJ",
    "million-common": "NN",
    "million-dollar": "JJ",
    "million-dollar-a-year": "JJ",
    "million-dollar-plus": "JJ",
    "million-franc": "JJ",
    "million-gallon": "JJ",
    "million-mark": "JJ",
    "million-member": "JJ",
    "million-member-Teamsters": "NNPS",
    "million-plus": "JJ|NNS",
    "million-share": "JJ|NN",
    "million-square-foot": "JJ",
    "million-to-$": "$",
    "million-ton": "JJ",
    "million-unit": "JJ",
    "millionaire": "NN",
    "millionaires": "NNS",
    "millionth": "JJ",
    "millionths-of-a-second": "JJ",
    "millisecond": "NN",
    "millivoltmeter": "NN",
    "milllion": "NN",
    "millon": "NN",
    "mills": "NNS",
    "millstones": "NNS",
    "milord": "NN",
    "milquetoast": "NN",
    "mimesis": "NN",
    "mimetic": "JJ",
    "mimetically": "RB",
    "mimic": "VB|VBP",
    "mimicked": "VBN",
    "mimicking": "VBG",
    "mimics": "VBZ|NNS",
    "mimimum": "NN",
    "min": "NN",
    "min.": "NN",
    "minaces": "NNS",
    "minarets": "NNS",
    "minber": "NN",
    "mince": "VB",
    "minced": "VBN|VBD",
    "mincemeat": "NN",
    "mincing": "VBG",
    "mind": "NN|RB|VB",
    "mind-altering": "JJ",
    "mind-boggling": "JJ",
    "mind-numbing": "JJ",
    "mind-set": "NN",
    "minded": "VBD|VBN",
    "mindful": "JJ",
    "mindless": "JJ",
    "minds": "NNS|VBZ",
    "mindset": "NN",
    "mine": "NN|PRP$|JJ|VB|VBP",
    "mine-hunting": "JJ",
    "mine-safety": "JJ",
    "mined": "VBN|VBD",
    "minefield": "NN",
    "minefields": "NNS",
    "minehunter": "NN",
    "miner": "NN",
    "mineral": "NN|JJ",
    "mineral-rich": "JJ",
    "mineralized": "JJ",
    "mineralogical": "JJ",
    "mineralogy": "NN",
    "minerals": "NNS",
    "miners": "NNS",
    "mines": "NNS|VBZ",
    "mineworkers": "NNS",
    "mingle": "VBP|VB",
    "mingled": "VBD|VBN|JJ",
    "mingles": "VBZ",
    "mingling": "VBG",
    "mini-Prohibition": "NNP",
    "mini-cars": "NNS",
    "mini-component": "JJ",
    "mini-doll": "NN",
    "mini-empire": "NN",
    "mini-fiestas": "NNS",
    "mini-flap": "NN",
    "mini-mafia": "NN",
    "mini-mill": "NN",
    "mini-post": "JJ",
    "mini-revolution": "NN",
    "mini-saga": "NN",
    "mini-series": "NN|NNS",
    "mini-slip": "NN",
    "mini-studio": "NN",
    "mini-supercomputers": "NNS",
    "mini-vans": "NNS",
    "miniature": "JJ|NN",
    "miniatures": "NNS",
    "miniaturized": "VBN",
    "minibars": "NNS",
    "minicar": "NN",
    "minicars": "NNS",
    "minicomputer": "NN",
    "minicomputers": "NNS",
    "minicrash": "NN",
    "minifying": "VBG",
    "minimal": "JJ",
    "minimalism": "NN",
    "minimalist": "JJ|NN",
    "minimally": "RB",
    "minimill": "NN",
    "minimills": "NNS",
    "minimize": "VB",
    "minimized": "VBN|VBD",
    "minimizes": "VBZ",
    "minimizing": "VBG",
    "minimum": "JJ|NN",
    "minimum-capital": "JJ",
    "minimum-fee": "JJ",
    "minimum-tax": "NN",
    "minimum-wage": "NN",
    "minimums": "NNS",
    "minimun": "NN",
    "minin": "VBG",
    "minincomputer": "JJR",
    "mining": "NN|VBG",
    "mininum-wage": "NN",
    "minions": "NNS",
    "miniscule": "JJ|NN",
    "miniseries": "NNS",
    "miniskirt": "NN",
    "miniskirts": "NNS",
    "minister": "NN|NNP",
    "ministered": "VBD",
    "ministerial": "JJ",
    "ministering": "VBG",
    "ministers": "NNS",
    "ministrations": "NNS",
    "ministries": "NNS",
    "ministry": "NN",
    "minisupercomputers": "NNS",
    "minivan": "NN",
    "minivans": "NNS",
    "minivans.": "NNS",
    "miniwelfare": "JJ",
    "mink": "NN",
    "minor": "JJ|NN",
    "minor-leaguer": "NN",
    "minor-sport": "NN",
    "minorities": "NNS",
    "minority": "NN|JJ",
    "minority-internship": "JJ",
    "minority-owned": "JJ",
    "minors": "NNS",
    "minstrel": "NN",
    "minstrels": "NNS",
    "mint": "NN|VB",
    "minted": "VBN|VBD",
    "minter": "NN",
    "minting": "VBG",
    "mints": "NNS|VBZ",
    "minuet": "NN",
    "minus": "CC|JJ|FW|IN|NN",
    "minuscule": "JJ",
    "minuses": "NNS",
    "minute": "NN|JJ",
    "minutely": "RB",
    "minutes": "NNS",
    "minutiae": "NNS",
    "mio": "FW",
    "mioxidil": "NN",
    "miracle": "NN",
    "miracles": "NNS",
    "miraculous": "JJ",
    "miraculously": "RB",
    "mire": "NN|VB",
    "mired": "VBN|JJ|VBD",
    "mirror": "VBP|NN",
    "mirrored": "VBD|VBN|JJ",
    "mirroring": "NN|VBG",
    "mirrors": "VBZ|NNS",
    "mirth": "NN",
    "mirthless": "JJ",
    "mis-reading": "VBG",
    "misadventure": "NN",
    "misadventures": "NNS",
    "misalignment": "NN",
    "misallocated": "VBD",
    "misallocating": "VBG",
    "misanthrope": "NN",
    "misapplication": "NN",
    "misapplied": "VBN|VBD",
    "misapplying": "VBG",
    "misapprehension": "NN",
    "misappropriated": "VBD|VBN",
    "misappropriating": "VBG",
    "misappropriation": "NN",
    "misbegotten": "JJ",
    "misbehaving": "VBG",
    "misbehavior": "NN",
    "misbranded": "JJ",
    "miscalculated": "VBD|VBN",
    "miscalculation": "NN",
    "miscalculations": "NNS",
    "miscarriages": "NNS",
    "miscarried": "VBD|VBN",
    "miscegenation": "NN",
    "miscellaneous": "JJ",
    "miscellanies": "NNS",
    "miscellany": "NN",
    "mischarged": "VBD",
    "mischarges": "NNS",
    "mischarging": "NN",
    "mischief": "NN",
    "mischievous": "JJ",
    "misclassified": "VBN|VBD",
    "miscommunication": "NN",
    "misconception": "NN",
    "misconceptions": "NNS",
    "misconduct": "NN|VB",
    "misconstruction": "NN",
    "misconstructions": "NNS",
    "misconstrued": "VBN|VBD",
    "miscount": "NN",
    "miscreant": "JJ|NN",
    "miscreants": "NNS",
    "miscues": "NNS",
    "misdeeds": "NNS",
    "misdemeanants": "NNS",
    "misdemeanor": "NN",
    "misdemeanors": "NNS",
    "misdirectors": "NNS",
    "miserable": "JJ",
    "miserably": "RB",
    "miseries": "NNS",
    "miserly": "JJ",
    "misery": "NN",
    "misfired": "VBN",
    "misfiring": "VBG",
    "misfits": "NNS",
    "misfortune": "NN",
    "misfortunes": "NNS",
    "misgauged": "VBN",
    "misgivings": "NNS",
    "misguided": "JJ|VBN|VBD",
    "mishandled": "VBD|JJ|VBN",
    "mishandling": "VBG",
    "mishap": "NN",
    "mishaps": "NNS",
    "misimpressions": "NNS",
    "misinformation": "NN",
    "misinformed": "VBN|VBD",
    "misinterpret": "VB|VBP",
    "misinterpretation": "NN",
    "misinterpreted": "VBN|VBD",
    "misinterpreters": "NNS",
    "misjudged": "VBD|VBN",
    "misjudgment": "NN",
    "misjudgments": "NNS",
    "mislaid": "VBN|VBD",
    "misleading": "JJ|VBG",
    "misleadingly": "RB",
    "misleads": "VBZ",
    "misled": "VBD|VBN",
    "mismanaged": "VBD|VBN",
    "mismanagement": "NN",
    "mismanaging": "VBG",
    "mismatch": "NN",
    "mismatched": "VBN",
    "mismatches": "NNS",
    "mismeasurement": "NN",
    "mismeasurements": "NNS",
    "misnamed": "VBN|VBD",
    "misnomer": "NN",
    "miso": "NN",
    "misogynist": "NN",
    "misperceives": "VBZ",
    "misperceptions": "NNS",
    "misplace": "VB",
    "misplaced": "VBN|VBD",
    "misplacements": "NNS",
    "misplacing": "VBG",
    "mispriced": "VBD",
    "mispronunciation": "NN",
    "misquotation": "NN",
    "misquoted": "VBN",
    "misquoting": "VBG",
    "misread": "VBD|VB|VBN",
    "misreading": "NN|VBG",
    "misrelated": "VBN",
    "misrepresent": "VB",
    "misrepresentation": "NN",
    "misrepresentations": "NNS",
    "misrepresented": "VBD|VBN",
    "misrepresenting": "VBG",
    "misrepresents": "VBZ",
    "misrouted": "VBN",
    "miss": "VB|VBP|NN",
    "missed": "VBN|VBD|JJ",
    "misses": "VBZ|NNS",
    "misshapen": "JJ",
    "missile": "NN",
    "missile-defense": "JJ",
    "missile-engineering": "JJ",
    "missile-guidance": "JJ",
    "missile-launch": "JJ",
    "missile-range": "JJ",
    "missile-transporter": "NN",
    "missile-type": "JJ",
    "missiles": "NNS",
    "missing": "VBG|JJ|NN",
    "mission": "NN",
    "missionaries": "NNS",
    "missionary": "JJ|NN",
    "missions": "NNS",
    "missive": "NN",
    "misspelled": "VBN",
    "misspent": "VBN|VBD",
    "misstated": "VBN|VBD",
    "misstatements": "NNS",
    "misstates": "VBZ",
    "misstating": "VBG",
    "misstep": "NN",
    "missteps": "NNS",
    "missy": "NN",
    "mist": "NN|VB",
    "mist-like": "JJ",
    "mistake": "NN|VB",
    "mistaken": "VBN|JJ",
    "mistakenly": "RB",
    "mistaking": "VBG|NN",
    "misted": "VBD|VBN",
    "mister": "NN",
    "mistletoe": "NN",
    "mistook": "VBD",
    "mistreat": "VB",
    "mistreatment": "NN",
    "mistress": "NN",
    "mistresses": "NNS",
    "mistrial": "NN",
    "mistrials": "NNS",
    "mistrust": "NN|VB",
    "mistrusted": "VBD|VBN|JJ",
    "mists": "NNS|VBZ",
    "misty": "JJ",
    "misty-eyed": "JJ",
    "misunderstand": "VB",
    "misunderstanders": "NNS",
    "misunderstanding": "NN|VBG",
    "misunderstandings": "NNS",
    "misunderstands": "VBZ",
    "misunderstood": "VBN|VBD",
    "misuse": "NN|VB|VBP",
    "misused": "VBD|VBN",
    "misusing": "VBG",
    "miswritten": "JJ|VBN",
    "mite": "NN",
    "mite-box": "NN",
    "miter": "VB",
    "mites": "NNS",
    "mitigate": "VB",
    "mitigates": "VBZ",
    "mitigating": "JJ|VBG",
    "mitigation": "NN",
    "mitral": "JJ",
    "mitre": "NN",
    "mitt": "NN",
    "mittens": "NNS",
    "miuchi": "FW",
    "mix": "NN|VBP|VB",
    "mix-up": "NN",
    "mixed": "JJ|VBN|VBD",
    "mixed-up": "JJ",
    "mixer": "NN",
    "mixers": "NNS",
    "mixes": "VBZ|NNS",
    "mixing": "VBG|NN",
    "mixologists": "NNS",
    "mixture": "NN",
    "mixtures": "NNS",
    "ml": "NN",
    "ml.": "NN",
    "mm": "NN",
    "mm.": "NN|NNS",
    "mnemonic": "JJ",
    "mo": "NN",
    "moan": "VB",
    "moaned": "VBD|VBN",
    "moaning": "VBG",
    "moans": "VBZ",
    "moat": "NN",
    "mob": "NN|VB",
    "mobcaps": "NNS",
    "mobile": "JJ",
    "mobile-home": "NN",
    "mobile-telecommunications": "NNS",
    "mobility": "NN",
    "mobilization": "NN",
    "mobilize": "VB",
    "mobilized": "VBN|VBD",
    "mobilizing": "VBG|NN",
    "mobs": "NNS|VBZ",
    "mobster": "NN",
    "mobsters": "NNS",
    "moccasins": "NNS",
    "mock": "JJ|VBP|VB",
    "mocked": "VBN|VBD",
    "mockery": "NN",
    "mocking": "VBG|JJ",
    "mockingly": "RB",
    "mockups": "NNS",
    "modal": "JJ",
    "modality": "NN",
    "mode": "NN|FW",
    "model": "NN|JJ|VB|NNP",
    "model-year": "JJ",
    "modeled": "VBD|VBN|JJ",
    "modeling": "NN|JJ|VBG",
    "models": "NNS|VBZ",
    "models-on-the-way-up": "JJ",
    "modem": "NN",
    "modems": "NNS",
    "moderate": "JJ|VBP|VB",
    "moderate-income": "JJ|NN",
    "moderate-rehabilitation": "NN",
    "moderated": "VBN|VBD",
    "moderately": "RB",
    "moderates": "NNS|VBZ",
    "moderating": "VBG|JJ",
    "moderation": "NN",
    "moderator": "NN",
    "modern": "JJ|NN",
    "modern-dance": "NN",
    "modern-day": "JJ",
    "modernism": "NN",
    "modernist": "JJ|NN",
    "modernistic": "JJ",
    "modernists": "NNS",
    "modernity": "NN",
    "modernization": "NN",
    "modernize": "VB",
    "modernized": "JJ|VBN|VBD",
    "modernizing": "VBG|NN",
    "moderns": "NNS",
    "modes": "NNS",
    "modest": "JJ",
    "modestly": "RB",
    "modesty": "NN",
    "modicum": "NN",
    "modification": "NN",
    "modifications": "NNS",
    "modified": "VBN|JJ|VBD",
    "modifier": "NN",
    "modifiers": "NNS",
    "modifies": "VBZ",
    "modify": "VB|VBP",
    "modifying": "VBG",
    "modish": "JJ",
    "modular": "JJ",
    "modulate": "VBP|VB",
    "modulated": "VBN|VBD",
    "modulation": "NN",
    "modulations": "NNS",
    "module": "NN",
    "modules": "NNS",
    "modus": "FW",
    "mogul": "NN",
    "moguls": "NNS",
    "moi": "FW",
    "moire": "JJ",
    "moist": "JJ",
    "moisten": "VB",
    "moistened": "JJ|VBD|VBN",
    "moistening": "VBG",
    "moisture": "NN",
    "moisturizer": "NN",
    "moisturizers": "NNS",
    "molal": "JJ",
    "molar": "NN",
    "molars": "NNS",
    "molasses": "NN",
    "mold": "NN|VB|VBP",
    "moldable": "JJ",
    "moldboard": "NN",
    "molded": "VBN|JJ|VBD",
    "molding": "NN|VBG",
    "moldings": "NNS",
    "molds": "NNS|VBZ",
    "moldy": "JJ",
    "mole": "NN",
    "molecular": "JJ",
    "molecularly": "RB",
    "molecule": "NN",
    "molecules": "NNS",
    "molehill": "NN",
    "molest": "VB",
    "molesting": "VBG",
    "mollified": "VBN|VBD",
    "mollify": "VB",
    "mollycoddle": "NN|VB",
    "molten": "JJ",
    "molting": "VBG",
    "molton": "NN",
    "mom": "NN",
    "mom-and-pop": "JJ",
    "moment": "NN",
    "momentarily": "RB",
    "momentary": "JJ",
    "momentoes": "NNS",
    "momentous": "JJ",
    "moments": "NNS",
    "momentum": "NN",
    "momentwhen": "WRB|NN",
    "mon": "FW",
    "monacle": "NN",
    "monarch": "NN|JJ",
    "monarchists": "NNS",
    "monarchy": "NN",
    "monasteries": "NNS",
    "monastery": "NN",
    "monastic": "JJ",
    "monasticism": "NN",
    "monaural": "JJ",
    "monde": "FW",
    "monei": "NN|NNS",
    "monetarism": "NN",
    "monetarist": "NN|JJ",
    "monetarists": "NNS",
    "monetary": "JJ",
    "monetary-damage": "NN|JJ",
    "monetary-policy": "NN",
    "monetary-stroke-military": "JJ",
    "money": "NN",
    "money-back": "JJ",
    "money-broking": "JJ",
    "money-center": "JJ",
    "money-fed": "JJ",
    "money-fund": "NN|JJ",
    "money-granting": "NN",
    "money-handling": "NN",
    "money-hungry": "NN",
    "money-laundering": "NN",
    "money-lending": "JJ",
    "money-losing": "JJ",
    "money-maker": "NN",
    "money-making": "JJ|NN",
    "money-management": "JJ|NN",
    "money-manager": "NN",
    "money-market": "JJ|NN",
    "money-minded": "JJ",
    "money-retirees": "NNS",
    "money-saving": "NN|JJ",
    "money-strapped": "JJ",
    "money-supply": "JJ|NN",
    "money-transfer": "NN|JJ",
    "money-winner": "NN",
    "money-wise": "JJ",
    "moneyed": "JJ",
    "moneymaker": "NN",
    "moneymakers": "NNS",
    "moneymaking": "JJ|NN",
    "moneys": "NNS",
    "monic": "JJ",
    "monicker": "JJR",
    "monied": "JJ",
    "monies": "NNS",
    "moniker": "NN",
    "monitor": "VB|NN|VBP",
    "monitored": "VBN|VBD|JJ",
    "monitoring": "NN|VBG",
    "monitors": "VBZ|NNS",
    "monk": "NN",
    "monkey": "NN|VB",
    "monkey-gland": "NN",
    "monkeys": "NNS|VBZ",
    "monkish": "JJ",
    "monks": "NNS",
    "mono": "JJ|NN",
    "mono-iodotyrosine": "JJ|NN",
    "mono-unsaturated": "JJ",
    "monochromatic": "JJ",
    "monochrome": "JJ",
    "monochromes": "NNS",
    "monoclinic": "JJ",
    "monoclonal": "JJ",
    "monoclonal-antibody": "NN",
    "monocrotophos": "NNS",
    "monocytogenes": "FW",
    "monodisperse": "JJ",
    "monogamous": "JJ",
    "monogrammed": "JJ",
    "monograph": "NN",
    "monographs": "NNS",
    "monohull": "NN",
    "monolith": "NN",
    "monolithic": "JJ",
    "monolithically": "RB",
    "monoliths": "NNS",
    "monologist": "NN",
    "monologue": "NN",
    "monologues": "NNS",
    "monomer": "NN",
    "monomers": "NNS",
    "mononuclear": "JJ",
    "monophonic": "JJ",
    "monopolies": "NNS",
    "monopolistic": "JJ",
    "monopolists": "NNS",
    "monopolization": "NN",
    "monopolize": "VB",
    "monopolized": "VBN|VBD",
    "monopolizing": "VBG",
    "monopoly": "NN",
    "monosodium": "NN",
    "monosyllable": "NN",
    "monosyllables": "NNS",
    "monotone": "JJ|NN",
    "monotonous": "JJ",
    "monotony": "NN",
    "monoxide": "NN",
    "monsieur": "NN",
    "monsoon": "NN",
    "monsoon-shrouded": "JJ",
    "monster": "NN",
    "monsters": "NNS",
    "monstrosity": "NN",
    "monstrous": "JJ",
    "montage": "NN",
    "montgolfiere": "FW",
    "montgolfing": "NN",
    "month": "NN",
    "month-earlier": "JJ",
    "month-end": "JJ|NN",
    "month-long": "JJ",
    "month-old": "JJ",
    "month-to-month": "JJ",
    "monthlong": "JJ",
    "monthly": "JJ|NN|RB",
    "months": "NNS",
    "months-long": "JJ",
    "monthsit": "NN",
    "montmorillonites": "NNS",
    "monument": "NN",
    "monumental": "JJ",
    "monumentalism": "NN",
    "monumentality": "NN",
    "monumentally": "RB",
    "monuments": "NNS",
    "mood": "NN",
    "moodily": "RB",
    "moods": "NNS",
    "moody": "JJ",
    "mooed": "VBD|VBN",
    "mooing": "VBG",
    "moon": "NN|VB",
    "moon-drenched": "JJ",
    "moon-round": "JJ",
    "moon-splashed": "JJ",
    "moon-washed": "JJ",
    "mooncursers": "NNS",
    "moonlight": "NN|VB",
    "moonlighting": "VBG|NN",
    "moonlike": "JJ",
    "moonlit": "JJ|VBD|VBN",
    "moons": "NNS|VBZ",
    "moontrack": "NN",
    "moored": "VBN|VBD",
    "mooring": "NN|VBG",
    "moorings": "NNS",
    "moors": "NNS|VBZ",
    "moot": "JJ|VB",
    "mop": "VB|NN",
    "mop-up": "NN",
    "mopped": "VBD|VBN",
    "mopping": "VBG",
    "mops": "NNS|VBZ",
    "mor": "JJR",
    "moraine": "NN",
    "moral": "JJ|NN",
    "morale": "NN",
    "morale-damaging": "JJ",
    "morale-enhancing": "JJ",
    "moralism": "NN",
    "moralist": "NN",
    "moralistic": "JJ",
    "moralities": "NNS",
    "morality": "NN",
    "moralizers": "NNS",
    "moralizing": "VBG|JJ",
    "morally": "RB",
    "morals": "NNS",
    "morass": "NN",
    "moratorium": "NN",
    "morbid": "JJ",
    "morbid-minded": "JJ",
    "morbidity": "NN",
    "more": "JJR|RBR|NN|RP",
    "more-active": "JJ",
    "more-advanced": "JJ|JJR",
    "more-affordable": "JJ",
    "more-attractive": "JJ",
    "more-conventional": "JJR",
    "more-discriminating": "JJ",
    "more-distinctive": "JJR",
    "more-efficient": "JJ",
    "more-entrenched": "JJ",
    "more-established": "JJR",
    "more-favored": "JJ",
    "more-general": "JJ",
    "more-generic": "JJ",
    "more-hazardous": "JJ",
    "more-informed": "JJ",
    "more-level": "JJ",
    "more-mainstream": "JJ",
    "more-mundane": "JJ",
    "more-muscular": "JJ",
    "more-natural": "JJ",
    "more-open": "JJ",
    "more-or-less": "RB",
    "more-personal": "JJ",
    "more-powerful": "JJR",
    "more-pressing": "JJ",
    "more-realistic": "JJ",
    "more-selective": "JJR",
    "more-senior": "JJR",
    "more-sophisticated": "JJ",
    "more-spontaneous": "JJ",
    "more-stringent": "JJ|JJR",
    "more-than-$": "$",
    "more-than-average": "RB",
    "more-than-ordinary": "JJ",
    "more-than-terrible": "JJ",
    "more-volatile": "JJR",
    "moreover": "RB",
    "mores": "NNS",
    "morgen": "FW",
    "morgue": "NN",
    "moribund": "JJ",
    "morning": "NN",
    "morning-frightened": "JJ",
    "morning-glory": "NN",
    "morning-session": "NN",
    "mornings": "NNS",
    "morocco-bound": "JJ",
    "morose": "JJ",
    "morosely": "RB",
    "morphemic": "JJ",
    "morphine": "NN",
    "morphogenetic": "JJ",
    "morphologic": "JJ",
    "morphological": "JJ",
    "morphology": "NN",
    "morphophonemic": "JJ",
    "morphophonemics": "NNS",
    "morrow": "NN",
    "morsel": "NN",
    "morsels": "NNS",
    "mortages": "NNS",
    "mortal": "JJ|NN",
    "mortality": "NN",
    "mortally": "RB",
    "mortals": "NNS",
    "mortar": "NN",
    "mortared": "VBN",
    "mortaring": "NN",
    "mortars": "NNS",
    "mortgage": "NN|VB",
    "mortgage-backed": "JJ",
    "mortgage-backed-securities": "NNS",
    "mortgage-banking": "NN",
    "mortgage-based": "JJ",
    "mortgage-industry": "NN",
    "mortgage-insurance": "JJ|NN",
    "mortgage-interest": "JJ",
    "mortgage-lending": "JJ|NN",
    "mortgage-securities": "JJ",
    "mortgage-servicing": "NN",
    "mortgagebacked": "JJ",
    "mortgaged": "VBN|VBD",
    "mortgaged-backed": "JJ",
    "mortgages": "NNS|VBZ",
    "morticians": "NNS",
    "mortification": "NN",
    "mortis": "NN",
    "mos": "NNS",
    "mosaic": "NN|JJ",
    "mosaic-like": "JJ",
    "mosaics": "NNS",
    "mosey": "VB",
    "mosque": "NN",
    "mosques": "NNS",
    "mosquito": "NN",
    "mosquito-plagued": "JJ",
    "mosquitoes": "NNS",
    "moss": "NN",
    "moss-covered": "JJ",
    "most": "JJS|RBS|JJ|NN",
    "most-active": "JJ|JJS",
    "most-actives": "JJS",
    "most-admired": "JJ",
    "most-contentious": "JJS|RBS|JJ",
    "most-dangerous": "JJ",
    "most-desired": "JJ",
    "most-favored-nation": "JJ",
    "most-hazardous": "JJ",
    "most-indebted": "JJS",
    "most-influential": "JJ",
    "most-jingoistic": "JJ",
    "most-likely": "JJ",
    "most-likely-successor": "JJ",
    "most-livable": "JJS",
    "most-obvious": "JJ",
    "most-owned": "JJ",
    "most-polluted": "JJS",
    "most-prestigious": "JJ",
    "most-recent": "JJ|JJS",
    "most-recommended": "JJ",
    "most-recommended-issues": "JJ",
    "most-respected": "JJS",
    "most-sold": "JJ",
    "most-strident": "JJ",
    "most-used": "JJ",
    "most-valuable": "JJ",
    "most-valuable-player": "NN",
    "most-watched": "JJ",
    "mostaccioli": "NN",
    "mostly": "RB|JJ",
    "mot": "FW",
    "motel": "NN",
    "motel-keepers": "NNS",
    "motel-keeping": "NN",
    "motels": "NNS",
    "motet": "NN",
    "motets": "NNS",
    "moth": "NN",
    "moth-eaten": "VBN",
    "moth-like": "JJ",
    "mothballing": "NN",
    "mothballs": "NNS",
    "mother": "NN|VB",
    "mother-in-law": "NN",
    "mother-introject": "NN",
    "mother-naked": "JJ",
    "mother-of-pearl": "JJ|NN",
    "mother-only": "JJ",
    "mother.": "NN",
    "mothered": "VBN|VBD",
    "motherhood": "NN",
    "motherland": "NN",
    "motherless": "JJ",
    "motherly": "JJ",
    "mothers": "NNS|VBZ",
    "mothers-in-law": "NNS",
    "moths": "NNS",
    "motif": "NN",
    "motifs": "NNS",
    "motion": "NN|VB",
    "motion-control": "NN",
    "motion-pattern": "NN",
    "motion-picture": "NN|JJ",
    "motional": "JJ",
    "motional-modified": "JJ",
    "motioned": "VBD|VBN",
    "motioning": "VBG",
    "motionless": "JJ",
    "motions": "NNS|VBZ",
    "motivate": "VB|VBP",
    "motivated": "VBN|VBD|JJ",
    "motivates": "VBZ",
    "motivating": "VBG|JJ",
    "motivation": "NN",
    "motivations": "NNS",
    "motive": "NN|JJ",
    "motives": "NNS",
    "motley": "JJ|VB",
    "motor": "NN|JJ|VB",
    "motor-car": "NN",
    "motor-control": "JJ",
    "motor-drive": "JJ",
    "motor-home": "NN",
    "motor-industry": "NN",
    "motor-operated": "JJ",
    "motor-vehicle": "NN",
    "motorbike": "NN|VB",
    "motorcade": "NN",
    "motorcycle": "NN|VB",
    "motorcycled": "VBD|VBN",
    "motorcycles": "NNS|VBZ",
    "motorcyle": "NN",
    "motored": "VBD|VBN",
    "motoring": "VBG",
    "motorist": "NN",
    "motorists": "NNS",
    "motorized": "VBN|JJ",
    "motors": "NNS|VBZ",
    "motors.": "NNS",
    "motorscooters": "NNS",
    "mots": "FW",
    "mottled": "VBN|JJ|VBD",
    "motto": "NN",
    "mough": "NN",
    "mould": "VB",
    "mouldering": "VBG",
    "moulding": "NN|VBG",
    "mound": "NN",
    "mounded": "VBD|VBN",
    "mounds": "NNS",
    "mount": "VB|NN|VBP",
    "mountain": "NN",
    "mountain-bike": "NN",
    "mountaineering": "NN",
    "mountaineers": "NNS",
    "mountainous": "JJ",
    "mountainously": "RB",
    "mountains": "NNS",
    "mountainside": "NN",
    "mountainsides": "NNS",
    "mountaintop": "NN",
    "mounted": "VBD|VBN|JJ",
    "mounting": "VBG|JJ|NN",
    "mountings": "NNS",
    "mounts": "VBZ|NNS",
    "mourn": "VB",
    "mourned": "VBD|VBN",
    "mourners": "NNS",
    "mournful": "JJ",
    "mournfully": "RB",
    "mourning": "VBG|NN",
    "mourns": "VBZ",
    "mouse": "NN|VB",
    "mousetrap": "NN",
    "mousetraps": "NNS",
    "mousse": "NN|VB",
    "mousseline": "NN",
    "moustache": "NN",
    "mousy": "JJ",
    "mouth": "NN|VB",
    "mouth-to-mouth": "JJ",
    "mouth-up": "JJ",
    "mouth-watering": "JJ",
    "mouthed": "VBD|VBN",
    "mouthful": "NN",
    "mouthing": "VBG",
    "mouthpiece": "NN",
    "mouthpieces": "NNS",
    "mouths": "NNS|VBZ",
    "movable": "JJ|NN",
    "move": "NN|VBP|VB",
    "move-up": "JJ",
    "moved": "VBD|VBN",
    "movement": "NN",
    "movements": "NNS",
    "mover": "NN",
    "movers": "NNS",
    "moves": "NNS|VBZ",
    "movie": "NN",
    "movie-distribution": "NN",
    "movie-goer": "NN",
    "movie-like": "JJ",
    "movie-making": "NN",
    "movie-of-the-week": "NN",
    "movie-production": "NN|JJ",
    "movie-quality": "JJ",
    "movie-star": "NN",
    "movie-studio": "NN",
    "movie-themed": "JJ",
    "movie-to-be": "NN",
    "moviegoer": "NN",
    "movieland": "NN",
    "moviemakers": "NNS",
    "movies": "NNS",
    "moviestar": "NN",
    "moving": "VBG|JJ|NN",
    "movingly": "RB",
    "mow": "VB",
    "mowed": "VBN|VBD",
    "mower": "NN",
    "moxie": "NN",
    "mpg": "NN",
    "mph": "NN|JJ",
    "much": "JJ|RB|DT|NN",
    "much-abused": "JJ",
    "much-anticipated": "JJ",
    "much-awaited": "JJ",
    "much-beloved": "JJ",
    "much-copied": "JJ",
    "much-coveted": "JJ",
    "much-craved": "JJ",
    "much-criticized": "JJ",
    "much-delayed": "JJ",
    "much-despised": "JJ",
    "much-discussed": "JJ",
    "much-heralded": "JJ",
    "much-larger": "JJ",
    "much-lauded": "JJ",
    "much-maligned": "JJ",
    "much-needed": "JJ",
    "much-publicized": "JJ",
    "much-respected": "JJ",
    "much-revised": "JJ",
    "much-smaller": "JJ",
    "much-talked-about": "JJ",
    "much-thumbed": "JJ",
    "much-watched": "JJ",
    "mucilage": "NN",
    "muck": "NN|VB",
    "mucked": "VBN|VBD",
    "mucker": "NN",
    "mucking": "VBG",
    "mucky": "JJ",
    "mucosa": "NN",
    "mucus": "NN",
    "mud": "NN|VB",
    "mud-beplastered": "JJ",
    "mud-caked": "JJ",
    "mud-logger": "NN",
    "mud-sweat-and-tears": "JJ",
    "muddied": "VBN|JJ",
    "muddle": "NN|VB",
    "muddled": "VBN|VBD",
    "muddleheaded": "JJ",
    "muddling": "VBG",
    "muddy": "JJ",
    "muddy-tasting": "JJ",
    "mudguard": "NN",
    "mudslinging": "NN",
    "mudwagon": "NN",
    "muezzin": "NN",
    "muff": "NN|VB",
    "muffed": "VBD|VBN",
    "muffins": "NNS",
    "muffled": "VBN|JJ|VBD",
    "muffler": "NN",
    "mufflers": "NNS",
    "muffs": "NNS|VBZ",
    "mufti": "NN",
    "mug": "NN",
    "mugged": "VBN",
    "muggers": "NNS",
    "mugging": "NN",
    "muggy": "JJ",
    "mugs": "NNS",
    "mujahideen": "FW",
    "mulatto": "NN",
    "mulch": "NN",
    "mulching": "VBG",
    "mule": "NN",
    "mule-drawn": "JJ",
    "mules": "NNS",
    "mulitiplier": "JJ",
    "mull": "VB",
    "mullah": "NN",
    "mullets": "NNS",
    "mulling": "VBG|NN",
    "mulls": "VBZ",
    "multi": "NNS",
    "multi-agency": "JJ|NN",
    "multi-billion-dollar": "JJ",
    "multi-colored": "JJ",
    "multi-column": "JJ",
    "multi-crystal": "JJ",
    "multi-disciplinary": "JJ",
    "multi-family": "JJ",
    "multi-gear": "JJ",
    "multi-lingual": "JJ",
    "multi-media": "NNS",
    "multi-million": "JJ",
    "multi-million-dollar": "JJ",
    "multi-millionaire": "JJ|NN",
    "multi-phase": "JJ",
    "multi-product": "JJ",
    "multi-purpose": "JJ",
    "multi-spired": "JJ",
    "multi-state": "JJ",
    "multi-valued": "NNS|JJ",
    "multi-valve": "JJ",
    "multi-windowed": "JJ",
    "multi-year": "JJ",
    "multibank": "NN",
    "multibillion": "JJ",
    "multibillion-dollar": "JJ",
    "multibillion-yen": "JJ",
    "multibilliondollar": "JJ",
    "multichannel": "JJ",
    "multicolor": "JJ",
    "multicolored": "JJ",
    "multidimensional": "JJ",
    "multifaceted": "JJ",
    "multifamily": "JJ|RB",
    "multifiber": "JJR",
    "multifigure": "NN",
    "multihulled": "VBN",
    "multilateral": "JJ",
    "multilayer": "JJ",
    "multilayered": "JJ",
    "multilevel": "JJ",
    "multilingual": "JJ",
    "multilocation": "NN",
    "multimedia": "NNS",
    "multimegaton": "JJ",
    "multimillion": "JJ|NN",
    "multimillion-dollar": "JJ|NN",
    "multimillion-pound-per-year": "JJ",
    "multimillionaire": "NN",
    "multimillions": "NNS",
    "multinational": "JJ",
    "multinationalism": "NN",
    "multinationals": "NNS",
    "multipactor": "NN",
    "multipart": "JJ",
    "multipartisan": "JJ",
    "multiparty": "NN|JJ",
    "multiple": "JJ|NN",
    "multiple-choice": "JJ",
    "multiple-column": "JJ",
    "multiple-paged": "JJ",
    "multiple-purpose": "JJ",
    "multiple-state": "JJ",
    "multiple-use": "JJ",
    "multiple-year": "JJ",
    "multipled": "VBD",
    "multiples": "NNS",
    "multipleuser": "JJ",
    "multiplexer": "NN",
    "multiplexers": "NNS",
    "multiplexing": "NN",
    "multiplication": "NN",
    "multiplicity": "NN",
    "multiplied": "VBN|VBD",
    "multiplies": "VBZ",
    "multiply": "VB|VBP",
    "multiplying": "VBG",
    "multipronged": "VBN",
    "multipurpose": "JJ",
    "multiscreen": "JJ",
    "multisided": "JJ",
    "multistage": "JJ",
    "multistate": "NN",
    "multitasking": "VBG|NN",
    "multitude": "NN",
    "multitudes": "NNS",
    "multitudinous": "JJ",
    "multivalent": "JJ",
    "multivalve": "JJ",
    "multiversity": "NN",
    "multiyear": "JJ",
    "mum": "JJ|NN",
    "mumble": "NN|VB",
    "mumbled": "VBN|VBD",
    "mumbles": "VBZ",
    "mumbling": "VBG",
    "mumbo": "NN",
    "mumbo-jumbo": "NN",
    "mummies": "NNS",
    "mummified": "VBN",
    "mummy": "NN",
    "munch": "VB",
    "munched": "VBD|VBN",
    "munches": "VBZ",
    "munching": "VBG",
    "munchkin": "NN",
    "mundane": "JJ",
    "mungus": "NN",
    "muni": "JJ|NN|NNS",
    "municipal": "JJ|NN",
    "municipal-bond": "JJ|NN",
    "municipalities": "NNS",
    "municipality": "NN",
    "municipally": "RB",
    "municipally-sponsored": "JJ",
    "municipals": "NNS",
    "munificence": "NN",
    "munis": "NNS",
    "munitions": "NNS",
    "mural": "NN",
    "murals": "NNS",
    "murder": "NN|VB",
    "murdered": "VBN|VBD|JJ",
    "murderer": "NN",
    "murderers": "NNS",
    "murdering": "VBG|JJ",
    "murderous": "JJ",
    "murkier": "JJR",
    "murkily": "RB",
    "murky": "JJ",
    "murmur": "NN|VB",
    "murmured": "VBD|VBN",
    "murmuring": "VBG",
    "murmurs": "VBZ",
    "mus": "MD",
    "muscat": "JJ",
    "muscatel": "NN",
    "muscle": "NN|VB",
    "muscle-bound": "JJ",
    "muscle-flexing": "JJ",
    "muscle-meat": "NN",
    "muscle-shaping": "JJ",
    "muscled": "VBD|VBN|JJ",
    "musclemen": "NNS",
    "muscles": "NNS|VBZ",
    "muscling": "VBG",
    "muscular": "JJ",
    "musculature": "NN",
    "muse": "NN|VB",
    "mused": "VBD|VBN",
    "muses": "NNS|VBZ",
    "museum": "NN",
    "museums": "NNS",
    "mush": "NN",
    "mushroom": "NN|VBP",
    "mushroom-processing": "JJ",
    "mushroomed": "VBN|VBD",
    "mushrooming": "NN",
    "mushrooms": "NNS",
    "mushy": "JJ",
    "music": "NN",
    "music-entertainment": "NN",
    "music-hall": "JJ|NN",
    "music-loving": "JJ",
    "music-making": "NN",
    "music-publishing": "JJ",
    "musical": "JJ|NN",
    "musicality": "NN",
    "musically": "RB",
    "musicals": "NNS",
    "musician": "NN",
    "musicians": "NNS",
    "musicianship": "NN",
    "musicologists": "NNS",
    "musing": "VBG",
    "musings": "NNS",
    "musk": "NN",
    "muskadell": "NN",
    "musket": "NN",
    "muskets": "NNS",
    "mussels": "NNS",
    "must": "MD|JJ|NN|VB",
    "musta": "MD",
    "mustache": "NN",
    "mustached": "JJ",
    "mustaches": "NNS",
    "mustachioed": "JJ",
    "mustard": "NN|JJ|VB",
    "muster": "VB|NN",
    "mustered": "VBD|VBN",
    "mustering": "VBG",
    "mustiness": "NN",
    "musts": "NNS|VBZ",
    "musuem": "NN",
    "mutant": "JJ",
    "mutate": "VB|VBD",
    "mutated": "VBN",
    "mutates": "VBZ",
    "mutation": "NN",
    "mutational": "JJ",
    "mutations": "NNS",
    "mute": "JJ|VB",
    "muted": "JJ|VBN|VBD",
    "mutely": "RB",
    "mutilated": "VBN|JJ|VBD",
    "mutilates": "VBZ",
    "mutilating": "VBG",
    "mutilation": "NN",
    "mutineer": "NN",
    "mutinies": "NNS",
    "mutinous": "JJ",
    "mutiny": "NN",
    "mutter": "VB",
    "muttered": "VBD|VBN",
    "mutterers": "NNS",
    "muttering": "VBG|NN",
    "mutterings": "NNS",
    "mutters": "NNS|VBZ",
    "mutton": "NN",
    "mutts": "NNS",
    "mutual": "JJ",
    "mutual-aid": "JJ",
    "mutual-assured": "JJ",
    "mutual-fund": "JJ|NN",
    "mutual-funds": "NNS",
    "mutuality": "NN",
    "mutually": "RB",
    "muzzle": "NN|VB",
    "muzzled": "VBN|VBD",
    "muzzles": "VBZ|NNS",
    "muzzling": "JJ|VBG",
    "my": "PRP$|UH|JJ",
    "mycobacteria": "NN",
    "mycology": "NN",
    "myelofibrosis": "NN",
    "myelogenous": "JJ",
    "myeloid": "NN",
    "myn": "PRP$",
    "myne": "PRP$",
    "myocardial": "JJ",
    "myocardium": "NN",
    "myofibrillae": "NNS",
    "myofibrils": "NNS",
    "myopia": "NN",
    "myopic": "JJ",
    "myosin": "NN",
    "myriad": "JJ|NN",
    "myrrh": "NN",
    "myrtle": "NN",
    "myself": "PRP",
    "mysteries": "NNS",
    "mysterious": "JJ",
    "mysteriously": "RB",
    "mystery": "NN",
    "mystery-story": "JJ",
    "mystic": "JJ|NN",
    "mystical": "JJ",
    "mystically": "RB",
    "mysticism": "NN",
    "mysticisms": "NNS",
    "mystics": "NNS",
    "mystification": "NN",
    "mystified": "VBN|VBD",
    "mystique": "NN",
    "myth": "NN",
    "myth-making": "VBG|NN",
    "mythic": "JJ",
    "mythical": "JJ",
    "mythological": "JJ",
    "mythologies": "NNS",
    "mythology": "NN",
    "myths": "NNS",
    "n": "NN|CC",
    "n-dimensional": "JJ",
    "n-trial": "NN",
    "na": "TO|VBG",
    "na/TO": "NNP",
    "nab": "VB",
    "nabbed": "VBN|VBD",
    "nabbing": "VBG",
    "nacelle": "NN",
    "nacho-crunching": "JJ",
    "naczelnik": "FW",
    "nadir": "NN",
    "nagged": "VBD|VBN",
    "nagging": "JJ|NN|VBG",
    "naggings": "NNS",
    "nags": "NNS|VBZ",
    "nahce": "JJ",
    "nail": "NN|RB|VB",
    "nailed": "VBN|VBD",
    "nailing": "VBG",
    "nails": "NNS|VBZ",
    "naive": "JJ|NN",
    "naively": "RB",
    "naivete": "NN",
    "naked": "JJ",
    "nakedly": "RB",
    "nakedness": "NN",
    "name": "NN|VB|UH|VBP",
    "name-brand": "JJ",
    "name-calling": "NN",
    "name-dropper": "NN",
    "name-droppers": "NNS",
    "name-dropping": "NN|NNP",
    "name-drops": "VBZ",
    "name-plating": "JJ",
    "named": "VBN|VBD|JJ",
    "namedropper": "NN",
    "nameless": "JJ",
    "namely": "RB",
    "nameplate": "NN",
    "nameplates": "NNS",
    "names": "NNS|VBZ",
    "namesake": "NN",
    "naming": "VBG|NN",
    "nannies": "NNS",
    "nanny": "NN",
    "nap": "NN|VBP|VB",
    "naphtha": "NN",
    "napkin": "NN",
    "napkins": "NNS",
    "napped": "VBD|VBN",
    "napping": "VBG",
    "naps": "NNS|VBZ",
    "narcissistically": "RB",
    "narco": "NN",
    "narcokleptocrat": "NN",
    "narcolepsy": "NN",
    "narcos": "NNS",
    "narcosis": "NN",
    "narcotic": "JJ",
    "narcotics": "NNS",
    "narcotizes": "VBZ",
    "narcotraficantes": "FW",
    "narrated": "VBN|VBD",
    "narration": "NN",
    "narrative": "NN|JJ",
    "narratives": "NNS",
    "narrator": "NN",
    "narrow": "JJ|VB",
    "narrow-bodied": "JJ",
    "narrow-casting": "NN",
    "narrow-minded": "JJ",
    "narrowed": "VBD|VBN",
    "narrower": "JJR",
    "narrowest": "JJS",
    "narrowing": "NN|VBG",
    "narrowly": "RB",
    "narrowness": "NN",
    "narrows": "VBZ",
    "nary": "DT|PDT",
    "nasal": "JJ",
    "nasaled": "VBD",
    "nascent": "JJ",
    "nastier": "JJR",
    "nastiest": "JJS",
    "nasty": "JJ",
    "natal": "JJ",
    "natch": "UH",
    "nation": "NN",
    "nation-building": "NN",
    "nation-state": "NN|JJ",
    "nation-states": "NN",
    "nation-wide": "JJ",
    "national": "JJ|NN|RB",
    "national-policy": "NN",
    "national-priority": "JJ",
    "national-security": "NN|JJ",
    "national-service": "JJ|NN",
    "national-treasure": "JJ",
    "nationalism": "NN",
    "nationalisms": "NNS",
    "nationalist": "JJ|NN",
    "nationalistic": "JJ",
    "nationalists": "NNS",
    "nationalities": "NNS",
    "nationality": "NN",
    "nationalization": "NN",
    "nationalize": "VB",
    "nationalized": "VBN|VBD|JJ",
    "nationalizing": "VBG",
    "nationally": "RB",
    "nationals": "NNS",
    "nationhood": "NN",
    "nations": "NNS",
    "nationwide": "JJ|RB",
    "native": "JJ|NN",
    "native-born": "JJ",
    "natives": "NNS",
    "nattily": "RB",
    "natty": "JJ",
    "natural": "JJ|NN",
    "natural-foods": "NNS",
    "natural-gas": "NN|JJ",
    "natural-gas-pipeline": "JJ",
    "natural-gas-pricing": "JJ",
    "natural-law": "NN",
    "natural-resources": "NNS|JJ",
    "naturalism": "NN",
    "naturalist": "NN",
    "naturalistic": "JJ",
    "naturalized": "JJ|VBN|VBD",
    "naturally": "RB",
    "naturalness": "NN",
    "nature": "NN|JJ",
    "nature-conquering": "JJ",
    "natured": "JJ",
    "natures": "NNS",
    "naturopath": "NN",
    "naught": "NN",
    "naughtier": "JJR",
    "naughty": "JJ",
    "nausea": "NN",
    "nauseated": "VBN|JJ|VBD",
    "nauseous": "JJ",
    "nautical": "JJ",
    "naval": "JJ",
    "navel": "NN",
    "navels": "NNS",
    "navies": "NNS",
    "navigable": "JJ",
    "navigate": "VB",
    "navigated": "VBN|VBD",
    "navigating": "VBG",
    "navigation": "NN",
    "navigational": "JJ",
    "navigator": "NN",
    "navigators": "NNS",
    "navy": "NN|JJ",
    "navy-blue": "JJ",
    "nawt": "RB",
    "nawth": "NN",
    "nay": "RB",
    "naysay": "VB",
    "naysayers": "NNS",
    "nd": "CC",
    "ne": "FW",
    "near": "IN|RB|VB|JJ",
    "near-Balkanization": "NN",
    "near-Communists": "NNS",
    "near-absence": "NN",
    "near-at-hand": "JJ",
    "near-blind": "JJ",
    "near-by": "IN|JJ",
    "near-certain": "JJ",
    "near-complete": "JJ",
    "near-completed": "JJ",
    "near-completion": "NN",
    "near-disaster": "NN",
    "near-doubling": "NN",
    "near-equivalents": "NNS",
    "near-hysteria": "NN",
    "near-identical": "JJ",
    "near-irrelevant": "JJ",
    "near-left": "NN",
    "near-limit": "JJ",
    "near-luxury": "JJ",
    "near-maddened": "JJ",
    "near-majority": "JJ",
    "near-manic": "JJ",
    "near-market": "JJ",
    "near-misses": "NN",
    "near-monopolies": "NNS",
    "near-monopoly": "NN|JJ",
    "near-mutiny": "NN",
    "near-panic": "NN|JJ",
    "near-paralysis": "NN",
    "near-perfect": "JJ",
    "near-recession": "NN",
    "near-record": "JJ|NN",
    "near-rich": "NN",
    "near-solid": "JJ",
    "near-strangers": "NNS",
    "near-synonyms": "NNS",
    "near-term": "JJ|NN",
    "near-total": "JJ",
    "near-unanimous": "JJ",
    "near-unmatched": "JJ",
    "nearby": "JJ|RB",
    "neared": "VBD|VBN",
    "nearer": "IN|JJR|RBR",
    "nearest": "JJS|RBS|IN",
    "nearing": "VBG",
    "nearly": "RB",
    "nearly-30": "JJ",
    "nearness": "NN",
    "nears": "VBZ|NNS",
    "nearsighted": "JJ",
    "nearsightedly": "RB",
    "neat": "JJ",
    "neater": "RBR",
    "neatest": "JJS",
    "neatly": "RB",
    "neatness": "NN",
    "nebula": "NN",
    "nebular": "JJ",
    "nebulous": "JJ",
    "necessaries": "NNS",
    "necessarily": "RB",
    "necessary": "JJ",
    "necessitate": "VBP|VB",
    "necessitated": "VBD|VBN",
    "necessitates": "VBZ",
    "necessitating": "VBG",
    "necessities": "NNS",
    "necessity": "NN",
    "neck": "NN|RB|VB",
    "neck-and-neck": "JJ",
    "neck-deep": "JJ",
    "necking": "NN|VBG",
    "necklace": "NN",
    "necklace-like": "JJ",
    "necklaces": "NNS",
    "neckline": "NN",
    "necks": "NNS|VBZ",
    "necktie": "NN",
    "neckties": "NNS",
    "necromantic": "JJ",
    "necropsy": "NN",
    "necrosis": "NN",
    "necrotic": "JJ",
    "nectar": "NN",
    "nectareous": "JJ",
    "nectaries": "NNS",
    "need": "VBP|NN|MD|VB",
    "needed": "VBN|JJ|VBD",
    "needed...": ":",
    "needing": "VBG",
    "needle": "NN|VB",
    "needle-like": "JJ",
    "needle-nosed": "JJ",
    "needle-sharp": "JJ",
    "needled": "VBD|VBN",
    "needlelike": "JJ",
    "needles": "NNS|VBZ",
    "needless": "JJ",
    "needlessly": "RB",
    "needs": "VBZ|NNS|VBP",
    "needy": "JJ|NNS",
    "negate": "VB",
    "negated": "VBN|VBD",
    "negation": "NN",
    "negative": "JJ|NN|VB",
    "negatively": "RB",
    "negatives": "NNS|VBZ",
    "negativism": "NN",
    "neglect": "NN|VB|VBP",
    "neglected": "VBN|JJ|VBD",
    "neglecting": "VBG",
    "neglects": "VBZ",
    "negligence": "NN",
    "negligent": "JJ",
    "negligent-homicide": "NN",
    "negligently": "RB",
    "negligible": "JJ",
    "negligibly": "RB",
    "negociant": "NN",
    "negociants": "NNS",
    "negotatiators": "NNS",
    "negotiable": "JJ",
    "negotiate": "VB|VBP",
    "negotiated": "VBN|JJ|VBD",
    "negotiates": "VBZ",
    "negotiating": "VBG|JJ|NN",
    "negotiation": "NN",
    "negotiations": "NNS",
    "negotiations...": ":",
    "negotiator": "NN",
    "negotiators": "NNS|VBZ",
    "negro": "NNP",
    "negroes": "NNPS",
    "neige": "FW",
    "neighbhorhoods": "NNS",
    "neighbor": "NN|VB",
    "neighborhood": "NN",
    "neighborhoods": "NNS",
    "neighboring": "VBG|JJ",
    "neighborliness": "NN",
    "neighborly": "JJ",
    "neighbors": "NNS|VBZ",
    "neighbourhood": "NN",
    "neighbours": "NNS|VBZ",
    "nein": "FW",
    "nemeses": "NNS",
    "nemesis": "NN",
    "neo": "JJ",
    "neo-Nazis": "NNPS",
    "neo-classicism": "NN",
    "neo-dadaist": "NN",
    "neo-fascist": "JJ",
    "neo-populist": "JJ",
    "neo-stagnationist": "JJ",
    "neo-swing": "NN",
    "neoclassical": "JJ",
    "neoconservative": "JJ",
    "neocortex": "NN",
    "neocortical-hypothalamic": "JJ",
    "neoliberal": "JJ",
    "neolithic": "JJ",
    "neon": "NN",
    "neon-lighted": "JJ",
    "neon-lit": "JJ",
    "neonatal": "JJ",
    "neophyte": "JJ|NN",
    "neophytes": "NNS",
    "neoplasia": "FW",
    "neoprene": "NN",
    "nephew": "NN",
    "nephews": "NNS",
    "nepotism": "NN",
    "nerd": "NN",
    "nerd-and-geek": "JJ",
    "nerds": "NNS",
    "nerdy": "JJ",
    "nerly": "RB",
    "nerve": "NN|VB",
    "nerve-cell": "JJ",
    "nerve-ends": "NNS",
    "nerve-racking": "JJ",
    "nerve-shattering": "JJ",
    "nerveless": "JJ",
    "nervous": "JJ",
    "nervously": "RB",
    "nervousness": "NN",
    "nervy": "JJ",
    "nest": "NN|VBP|VB",
    "nest-egg": "NN",
    "nestbuilding": "NN",
    "nested": "VBN|VBD",
    "nester": "NN",
    "nesters": "NNS",
    "nesting": "JJ|VBG|NN",
    "nestled": "VBN|VBD",
    "nestling": "NN|VBG",
    "nests": "NNS|VBZ",
    "net": "JJ|NN|VB",
    "net-benefit": "JJ",
    "net-capital": "JJ",
    "net-like": "JJ",
    "net-profits": "JJ",
    "nether": "JJ|CC",
    "nets": "NNS|VBZ",
    "netted": "VBN|VBD",
    "netting": "VBG",
    "nettled": "VBD|VBN",
    "nettlesome": "JJ",
    "network": "NN|VB",
    "network-affiliated": "JJ",
    "network-buying": "JJ",
    "network-owned": "JJ",
    "network-services": "JJ",
    "network-wide": "JJ",
    "network-writer": "JJ",
    "networking": "NN|VBG",
    "networks": "NNS|VBZ",
    "neural": "JJ",
    "neuralgia": "NN",
    "neurasthenic": "NN",
    "neuritis": "NN",
    "neuroblastoma": "NN",
    "neurological": "JJ",
    "neurologist": "NN",
    "neurologists": "NNS",
    "neuromuscular": "JJ",
    "neuron": "NN",
    "neuronal": "JJ",
    "neuropathology": "NN",
    "neuropathy": "NN",
    "neuropsychiatric": "JJ",
    "neuroselective": "JJ",
    "neuroses": "NNS",
    "neurosis": "NN",
    "neurosurgeon": "NN",
    "neurotic": "JJ",
    "neurotoxic": "JJ",
    "neurotransmitter": "NN",
    "neurotransmitters": "NNS",
    "neuter": "NN|VB",
    "neutered": "VBN|VBD|JJ",
    "neutral": "JJ",
    "neutralism": "NN",
    "neutralist": "JJ|NN",
    "neutralists": "NNS",
    "neutrality": "NN",
    "neutralization": "NN",
    "neutralize": "VB",
    "neutralized": "VBN|VBD",
    "neutralizes": "VBZ",
    "neutrino": "NN",
    "neutrino-sized": "JJ",
    "neutron": "NN",
    "neutrons": "NNS",
    "neutrophils": "NNS",
    "never-ending": "JJ",
    "never-predictable": "JJ",
    "never-to-be-forgotten": "JJ",
    "nevertheless": "RB",
    "new": "JJ",
    "new-business": "NN|JJ",
    "new-car": "NN|JJ",
    "new-country": "JJ",
    "new-found": "JJ",
    "new-generation": "NN",
    "new-home": "JJ",
    "new-house": "JJ",
    "new-issue": "JJ|NN",
    "new-issues": "JJ|NNS",
    "new-job": "JJ",
    "new-loan": "JJ",
    "new-model": "JJ|NN",
    "new-money": "JJ",
    "new-mown": "JJ",
    "new-product": "NN|JJ",
    "new-rich": "JJ",
    "new-share": "JJ",
    "new-spilled": "JJ",
    "new-styled": "JJ",
    "new-telephone-line": "NN",
    "newage": "NN",
    "newborn": "JJ",
    "newborns": "NNS",
    "newcasts": "NNS",
    "newcomer": "NN",
    "newcomers": "NNS",
    "newdrug": "NN",
    "newel": "NN",
    "newer": "JJR",
    "newest": "JJS",
    "newfangled": "JJ",
    "newfound": "JJ",
    "newissue": "NN",
    "newly": "RB|JJ",
    "newly-appointed": "JJ",
    "newly-created": "JJ",
    "newly-emerging": "JJ",
    "newly-married": "JJ",
    "newly-plowed": "JJ",
    "newly-scrubbed": "JJ",
    "newly-weds": "NNS",
    "newlywed": "NN",
    "newlyweds": "NNS",
    "news": "NN|NNS",
    "news-division": "NN",
    "news-magazine": "NN",
    "news-oriented": "JJ",
    "news-release": "NN",
    "news-weeklies": "NNS",
    "news-weekly": "NN",
    "newsboy": "NN",
    "newscast": "NN",
    "newscaster": "NN",
    "newscasts": "NNS",
    "newsgathering": "NN",
    "newsies": "NNS",
    "newsletter": "NN",
    "newsletters": "NNS",
    "newsmaker": "NN",
    "newsman": "NN",
    "newsmen": "NNS",
    "newspaper": "NN",
    "newspaper-delivery": "NN",
    "newspaper-industry": "JJ",
    "newspaper-printing": "NN",
    "newspaper-publishing": "JJ",
    "newspaperman": "NN",
    "newspapers": "NNS",
    "newsperson": "NN",
    "newsprint": "NN",
    "newsprints": "NNS",
    "newsreel": "NN",
    "newsroom": "NN",
    "newsstand": "NN",
    "newsstands": "NNS",
    "newsweekly": "RB",
    "newswire": "NN",
    "newsworthiness": "NN",
    "newsworthy": "JJ",
    "newt": "NN",
    "next-door": "JJ",
    "next-generation": "JJ|NN",
    "next-to-last": "JJ",
    "nexus": "NN",
    "ngandlu": "FW",
    "nibble": "VB|NN",
    "nibblers": "NNS",
    "nibbling": "VBG|NN",
    "nibs": "NNS",
    "nice": "JJ",
    "nice-looking": "JJ",
    "nicely": "RB",
    "nicer": "JJR",
    "nicest": "JJS",
    "niceties": "NNS",
    "niche": "NN",
    "niche-market": "NN",
    "niches": "NNS",
    "nicked": "VBN|VBD",
    "nickel": "NN|JJ",
    "nickel-iron": "NN",
    "nickeling": "VBG",
    "nickels": "NNS",
    "nickname": "NN|VB|VBP",
    "nicknamed": "VBN|VBD",
    "nicknames": "NNS|VBZ",
    "nicotine": "NN",
    "nicotine-choked": "JJ",
    "nicotine-free": "JJ",
    "niece": "NN",
    "nieces": "NNS",
    "nifty": "JJ",
    "niger": "NN",
    "niggardly": "JJ",
    "nigger": "NN",
    "niggers": "NNS",
    "nigh": "RB",
    "night": "NN|RB|JJ",
    "night-coach": "JJ",
    "night-sight": "NN",
    "night-time": "JJ",
    "night-vision": "JJ|NN",
    "night-watchman": "NN",
    "nightclub": "NN",
    "nightclubs": "NNS",
    "nightdress": "NN",
    "nighted": "JJ",
    "nighters": "NNS",
    "nightfall": "NN",
    "nightgown-clad": "JJ",
    "nightgowns": "NNS",
    "nightingale": "NN",
    "nightingales": "NNS",
    "nightly": "JJ|RB",
    "nightmare": "NN",
    "nightmares": "NNS",
    "nightmarish": "JJ",
    "nights": "NNS",
    "nightshirt": "NN",
    "nighttime": "JJ|NN",
    "nigras": "NNS",
    "nigs": "NNS",
    "nihilism": "NN",
    "nihilist": "NN",
    "nihilistic": "JJ",
    "nil": "JJ",
    "nilly": "RB",
    "nilpotent": "JJ",
    "nimble": "JJ",
    "nimbler": "JJR",
    "nimbly": "RB",
    "nine-bedroom": "JJ",
    "nine-cent": "JJ",
    "nine-chambered": "JJ",
    "nine-day": "JJ",
    "nine-digit": "JJ",
    "nine-game": "JJ",
    "nine-member": "JJ",
    "nine-month": "JJ",
    "nine-months": "NNS",
    "nine-page": "JJ",
    "nine-point": "JJ",
    "nine-press": "NN",
    "nine-state": "JJ",
    "nine-story": "JJ",
    "nine-tenths": "NNS",
    "nine-to-five": "JJ",
    "nine-year": "JJ",
    "nine-year-old": "JJ",
    "ninefold": "RB|JJ",
    "nineteen-year-old": "JJ",
    "nineteenth": "JJ",
    "nineteenth-century": "JJ",
    "nineties": "NNS",
    "ninetieth": "JJ",
    "ninth": "JJ",
    "ninth-circuit": "JJ",
    "ninth-inning": "NN",
    "ninth-largest": "JJ",
    "nip": "NN|VB",
    "nipped": "VBD|VBN",
    "nipples": "NNS",
    "nips": "NNS|VBZ",
    "nirvana": "NN",
    "nise": "JJ",
    "nisf-i-jahan": "NNP",
    "nit-picking": "NN",
    "nit-picky": "JJ",
    "nitpicking": "JJ",
    "nitrate": "NN",
    "nitrates": "NNS",
    "nitrite": "NN",
    "nitrocellulose": "NN",
    "nitrofurantoin": "NN",
    "nitrogen": "NN",
    "nitrogen-based": "JJ",
    "nitrogen-fertilizer": "NN",
    "nitrogen-mustard": "JJ",
    "nitroglycerine": "NN",
    "nitrous": "JJ",
    "nitwits": "NNS",
    "nixed": "VBD|VBN",
    "nnuolapertar-it-vuh-karti-birifw": "FW",
    "no-back": "NN",
    "no-brainer": "NN",
    "no-bunkum": "JJ",
    "no-confidence": "NN",
    "no-drinking": "JJ",
    "no-driving": "JJ",
    "no-fat": "JJ",
    "no-fault": "JJ",
    "no-frills": "JJ",
    "no-fuss": "JJ",
    "no-goal": "NN",
    "no-good": "JJ",
    "no-good-bums": "NNS",
    "no-growth": "NN|JJ",
    "no-hit": "JJ",
    "no-hitters": "NNS",
    "no-inflation": "JJ|NN",
    "no-layoff": "JJ",
    "no-load": "JJ",
    "no-loads": "NNS",
    "no-lose": "JJ",
    "no-man": "JJ",
    "no-men": "NNS",
    "no-mistakes": "JJ",
    "no-more-nonsense": "JJ",
    "no-muss": "JJ",
    "no-new-tax": "JJ",
    "no-new-taxes": "JJ",
    "no-no": "NN",
    "no-nonsense": "JJ",
    "no-nos": "NNS",
    "no-o": "UH",
    "no-one": "JJ",
    "no-profit": "JJ",
    "no-smoking": "JJ",
    "no-star": "JJ",
    "no-strike": "JJ",
    "no-tax": "JJ",
    "no-tax-increase": "JJ",
    "no-trade": "JJ",
    "no-trading": "JJ",
    "no-valued": "JJ",
    "no-walls-no-doors": "JJ",
    "no-waste": "JJ",
    "no-win": "JJ",
    "no.": "NN",
    "nobility": "NN",
    "noble": "JJ|FW",
    "nobleman": "NN",
    "noblemen": "NNS",
    "nobler": "JJR",
    "nobles": "NNS",
    "noblesse": "JJ",
    "noblest": "JJS",
    "nobly": "RB",
    "nobody": "NN",
    "nociceptive": "JJ",
    "noconfidence": "JJ",
    "nocturnal": "JJ",
    "nod": "NN|VB|VBP",
    "nodded": "VBD|VBN",
    "nodding": "VBG|JJ",
    "nodes": "NNS",
    "nods": "VBZ|NNS",
    "nodular": "JJ",
    "nodules": "NNS",
    "noes": "NNS",
    "noir": "FW",
    "noire": "NN",
    "noise": "NN",
    "noiseless": "JJ",
    "noisemakers": "NNS",
    "noises": "NNS",
    "noisier": "JJR",
    "noisily": "RB",
    "noisy": "JJ",
    "nolens": "FW",
    "noli": "NNS",
    "nolle": "FW",
    "nolo": "FW",
    "nomadic": "JJ",
    "nomads": "NNS",
    "nomenclatural": "JJ",
    "nomenclature": "NN",
    "nomenklatura": "FW",
    "nomias": "NNS|NNPS",
    "nominal": "JJ|NN",
    "nominally": "RB",
    "nominate": "VB|VBP",
    "nominated": "VBD|VBN",
    "nominating": "VBG",
    "nomination": "NN",
    "nominations": "NNS",
    "nominee": "NN",
    "nominees": "NNS",
    "not": "RB|UH",
    "n't": "RB",
    "'t": "RB",
    "no": "DT|RB|JJ|NN|UH",
    "neither": "DT|NN|RB|CC",
    "nor": "CC|DT",
    "never": "RB|RBR|UH",
    "only": "RB|IN|JJ",
    "just": "RB|JJ|RP",
    "solely": "RB",
    "uniquely": "RB",
    "exclusively": "RB",
    "zero": "CD",
    "without": "IN",
    "unlike": "IN|JJ|NN",
    "unable": "JJ",
    "unremarkable": "JJ",
    "unlikely": "JJ|RB",
    "hardly": "RB",
    "absence": "NN",
    "none": "NN",
    "nothing": "NN",
    "afghan": "JJ|NN",
    "albanian": "JJ",
    "algerian": "JJ",
    "andorran": "JJ",
    "angolan": "JJ",
    "argentinian": "JJ",
    "armenian": "JJ",
    "australian": "JJ",
    "austrian": "JJ",
    "azerbaijani": "JJ",
    "bahamian": "JJ",
    "bangladeshi": "JJ",
    "barbadian": "JJ",
    "belorussian": "JJ",
    "belgian": "JJ",
    "beninese": "JJ",
    "bhutanese": "JJ",
    "bolivian": "JJ",
    "bosnian": "JJ",
    "brazilian": "JJ",
    "briton": "JJ",
    "bruneian": "JJ",
    "bulgarian": "JJ",
    "burmese": "JJ",
    "burundian": "JJ",
    "cambodian": "JJ",
    "cameroonian": "JJ",
    "canadian": "JJ",
    "chadian": "JJ",
    "chilean": "JJ",
    "chinese": "JJ",
    "colombian": "JJ",
    "congolese": "JJ",
    "croatian": "JJ",
    "cuban": "JJ",
    "cypriot": "JJ",
    "czech": "JJ",
    "dane": "JJ",
    "dominican": "JJ",
    "ecuadorean": "JJ",
    "egyptian": "JJ",
    "salvadorean": "JJ",
    "englishman": "JJ",
    "eritrean": "JJ",
    "estonian": "JJ",
    "ethiopian": "JJ",
    "fijian": "JJ",
    "finn": "JJ",
    "frenchman": "JJ|NN",
    "gabonese": "JJ",
    "gambian": "JJ",
    "georgian": "JJ",
    "german": "JJ",
    "ghanaian": "JJ",
    "greek": "JJ",
    "grenadian": "JJ",
    "guatemalan": "JJ",
    "guinean": "JJ",
    "guyanese": "JJ",
    "haitian": "JJ",
    "dutchman": "JJ",
    "honduran": "JJ",
    "hungarian": "JJ",
    "icelander": "JJ",
    "indian": "JJ",
    "indonesian": "JJ",
    "iranian": "JJ",
    "iraqi": "JJ",
    "irishman": "JJ",
    "israeli": "JJ",
    "italian": "JJ",
    "jamaican": "JJ",
    "japanese": "JJ",
    "jordanian": "JJ",
    "kazakh": "JJ",
    "kenyan": "JJ",
    "korean": "JJ",
    "kuwaiti": "JJ",
    "laotian": "JJ",
    "latvian": "JJ",
    "lebanese": "JJ",
    "liberian": "JJ",
    "libyan": "JJ",
    "liechtensteiner": "JJ",
    "lithuanian": "JJ",
    "luxembourger": "JJ",
    "macedonian": "JJ",
    "madagascan": "JJ",
    "malawian": "JJ",
    "malaysian": "JJ",
    "maldivian": "JJ",
    "malian": "JJ",
    "maltese": "JJ",
    "mauritanian": "JJ",
    "mauritian": "JJ",
    "mexican": "JJ",
    "moldovan": "JJ",
    "monacan": "JJ",
    "mongolian": "JJ",
    "montenegrin": "JJ",
    "moroccan": "JJ",
    "mozambican": "JJ",
    "namibian": "JJ",
    "nepalese": "JJ",
    "nicaraguan": "JJ",
    "nigerien": "JJ",
    "nigerian": "JJ",
    "norwegian": "JJ",
    "pakistani": "JJ",
    "panamanian": "JJ",
    "paraguayan": "JJ",
    "peruvian": "JJ",
    "filipino": "JJ",
    "portuguese": "JJ",
    "qatari": "JJ",
    "romanian": "JJ",
    "russian": "JJ",
    "rwandan": "JJ",
    "saudi": "JJ",
    "scot": "JJ",
    "senegalese": "JJ",
    "serbian": "JJ",
    "singaporean": "JJ",
    "slovak": "JJ",
    "slovenian": "JJ",
    "somali": "JJ",
    "spaniard": "JJ",
    "srilankan": "JJ",
    "sudanese": "JJ",
    "surinamese": "JJ",
    "swazi": "JJ",
    "swede": "JJ",
    "swiss": "JJ",
    "syrian": "JJ",
    "taiwanese": "JJ",
    "tadzhik": "JJ",
    "tanzanian": "JJ",
    "thai": "JJ",
    "togolese": "JJ",
    "trinidadian": "JJ",
    "tunisian": "JJ",
    "turk": "JJ",
    "ugandan": "JJ",
    "ukrainian": "JJ",
    "british": "JJ",
    "american": "JJ",
    "uruguayan": "JJ",
    "uzbek": "JJ",
    "venezuelan": "JJ",
    "vietnamese": "JJ",
    "welshman": "JJ",
    "yemeni": "JJ",
    "yugoslav": "JJ",
    "zambian": "JJ",
    "zimbabwean": "JJ",
    "argentine": "JJ",
    "aussie": "JJ",
    "croat": "JJ",
    "finnish": "JJ",
    "french": "JJ|NN|NNS",
    "irish": "JJ",
    "dutch": "JJ",
    "omani": "JJ",
    "palestinian": "JJ",
    "samoan": "JJ",
    "scottish": "JJ",
    "swedish": "JJ",
    "hindi": "JJ",
    "spanish": "JJ",
    "african": "JJ",
    "european": "JJ",
    "asian": "JJ",
    "californian": "JJ",
    "january": "NNP",
    "february": "NNP",
    "april": "NNP",
    "may": "MD|NNP|VB",
    "june": "NNP",
    "july": "NNP",
    "august": "JJ|NNP",
    "september": "NNP",
    "october": "NNP",
    "november": "NNP",
    "december": "NNP",
    "first": "JJ",
    "both": "DT",
    "second": "JJ|VB",
    "third": "JJ|JJS",
    "previous": "JJ",
    "next": "JJ|IN|RB",
    "latest": "JJS|JJ",
    "earliest": "JJS|JJ|RBS",
    "sunday": "NNP",
    "monday": "NNP",
    "tuesday": "NNP",
    "wednesday": "NNP",
    "thursday": "NNP",
    "friday": "NNP",
    "saturday": "NNP",
    "yes": "UH|RB",
    "ok": "NN",
    "affirmative": "JJ|NN",
    "sure": "JJ|PDT|RB|UH",
    "roger": "NN|UH",
    "indeed": "RB|UH",
    "alright": "JJ",
    "alrighty": "JJ",
    "non": "NN|FW|JJ",
    "non-AMT": "JJ",
    "non-Alternative": "NNP",
    "non-Aryan": "JJ",
    "non-Big": "JJ",
    "non-British": "JJ",
    "non-Canadian": "JJ|NN",
    "non-Castilians": "NNPS",
    "non-Catholic": "NNP|JJ",
    "non-Catholics": "NNPS",
    "non-Christians": "NNPS",
    "non-Cocom": "JJ",
    "non-Communist": "JJ",
    "non-Dow": "NNP",
    "non-EC": "JJ",
    "non-English": "NN",
    "non-European": "JJ",
    "non-Fed": "JJ",
    "non-Federal": "JJ",
    "non-Ford": "JJ",
    "non-GM": "JJ",
    "non-Germans": "NNS",
    "non-God": "NN",
    "non-Greek": "JJ",
    "non-Hispanic": "JJ",
    "non-Humana": "JJ",
    "non-Hungarians": "NNPS",
    "non-ICO": "JJ",
    "non-Indian": "JJ",
    "non-Indonesian": "JJ",
    "non-Japanese": "JJ",
    "non-Jew": "NN",
    "non-Jewish": "JJ",
    "non-Jews": "NNS",
    "non-Korean": "JJ",
    "non-Magyars": "NNPS",
    "non-Manpower": "JJ",
    "non-Mexican": "JJ",
    "non-NMS": "JJ",
    "non-New": "JJ",
    "non-OPEC": "JJ",
    "non-Russian": "JJ",
    "non-Socialist": "JJ",
    "non-Soviet": "JJ",
    "non-Swedish": "JJ",
    "non-Tagalog": "JJ",
    "non-Tories": "NNS",
    "non-U.S.": "JJ|NNP",
    "non-Western": "JJ",
    "non-absorbent": "JJ",
    "non-academic": "JJ",
    "non-accrual": "JJ",
    "non-accruing": "JJ",
    "non-advertising": "JJ",
    "non-affiliate": "NN",
    "non-airline": "JJ|NN",
    "non-alcohol": "JJ",
    "non-alcoholic": "JJ",
    "non-algebraically": "JJ",
    "non-amortizing": "JJ",
    "non-annualized": "JJ",
    "non-answer": "JJ|NN",
    "non-arbitrage": "JJ",
    "non-artistic": "JJ",
    "non-authoritative": "JJ",
    "non-auto": "JJ",
    "non-automotive": "JJ",
    "non-bank": "JJ",
    "non-banking": "JJ",
    "non-bearing": "JJ",
    "non-beer": "JJ",
    "non-binding": "JJ",
    "non-biodegradable": "JJ",
    "non-black": "JJ",
    "non-books": "NNS",
    "non-brain": "JJ",
    "non-brand": "JJ",
    "non-building": "JJ",
    "non-business": "JJ",
    "non-caffeine": "JJ",
    "non-call": "JJ",
    "non-callable": "JJ",
    "non-cash": "JJ",
    "non-casino": "JJ",
    "non-church": "JJ",
    "non-circumvention": "NN",
    "non-clients": "NNS",
    "non-code": "JJ",
    "non-college": "JJ",
    "non-color": "NN",
    "non-com": "NN",
    "non-commissioned": "JJ",
    "non-communist": "JJ",
    "non-communists": "NNS",
    "non-comparable": "JJ",
    "non-compete": "JJ",
    "non-competition": "JJ",
    "non-competitive": "JJ",
    "non-compliance": "NN",
    "non-conformists": "NNS",
    "non-confrontational": "JJ",
    "non-consolidated": "JJ",
    "non-consumer": "NN",
    "non-contact": "JJ",
    "non-contract": "JJ",
    "non-contributory": "JJ",
    "non-controlling": "JJ",
    "non-convertible": "JJ",
    "non-core": "JJ",
    "non-credit": "JJ",
    "non-crisis": "JJ",
    "non-cumulative": "JJ",
    "non-cyclical": "JJ",
    "non-daily": "JJ",
    "non-dairy-creamer": "NN",
    "non-dealer": "JJ",
    "non-deductible": "JJ",
    "non-defense": "JJ",
    "non-defense-related": "JJ",
    "non-democratic": "JJ",
    "non-direct": "JJ",
    "non-disabled": "JJ|NN",
    "non-dischargable": "JJ",
    "non-discrimination": "NN",
    "non-diva-like": "JJ",
    "non-dividend-bearing": "JJ",
    "non-dramas": "NNS",
    "non-drug": "JJ",
    "non-dual": "JJ",
    "non-duck": "JJ",
    "non-durable": "JJ",
    "non-earning": "JJ",
    "non-economical": "JJ",
    "non-economists": "NNS",
    "non-edible": "JJ",
    "non-elderly": "JJ",
    "non-employee": "JJ",
    "non-encapsulating": "JJ",
    "non-energy": "JJ",
    "non-enforcement": "JJ",
    "non-enzymatic": "JJ",
    "non-equity": "JJ",
    "non-event": "NN",
    "non-exclusive": "JJ",
    "non-executive": "JJ",
    "non-exempt": "JJ",
    "non-existant": "JJ",
    "non-existent": "JJ",
    "non-familial": "JJ",
    "non-family": "JJ",
    "non-farm": "JJ",
    "non-fat": "JJ",
    "non-fiction": "JJ|NN",
    "non-figurative": "JJ",
    "non-financial": "JJ",
    "non-firm": "JJ",
    "non-flight": "JJ",
    "non-food": "JJ|NN",
    "non-forthcoming": "JJ",
    "non-fortress-like": "JJ",
    "non-freezing": "JJ",
    "non-gasoline": "JJ",
    "non-governmental": "JJ",
    "non-high": "JJ",
    "non-horticultural": "JJ",
    "non-hydrogen-bonded": "JJ",
    "non-identity": "JJ",
    "non-ideological": "JJ",
    "non-inflationary": "JJ",
    "non-insider": "NN",
    "non-instinctive": "JJ",
    "non-institutionalized": "JJ",
    "non-insurance": "JJ|NN",
    "non-intellectual": "JJ",
    "non-interest": "JJ|NN",
    "non-interest-bearing": "JJ",
    "non-interference": "NN",
    "non-interstate": "JJ",
    "non-interventionist": "JJ",
    "non-invasive": "JJ",
    "non-investment": "JJ",
    "non-issue": "NN",
    "non-itemized": "JJ",
    "non-job-connected": "JJ",
    "non-junk": "JJ",
    "non-junkies": "NNS",
    "non-lawyers": "NNS",
    "non-lethal": "JJ",
    "non-life": "JJ",
    "non-linear": "JJ",
    "non-liquid": "JJ",
    "non-literary": "JJ",
    "non-management": "JJ|NN",
    "non-market": "NN",
    "non-meat": "NN",
    "non-medical": "JJ",
    "non-mega": "JJ",
    "non-member": "NN",
    "non-members": "NNS",
    "non-merger": "JJ",
    "non-metallic": "JJ",
    "non-methanol": "JJ",
    "non-military": "JJ",
    "non-mining": "JJ",
    "non-monetary": "JJ",
    "non-monopolistic": "JJ",
    "non-negative": "JJ",
    "non-network": "JJ",
    "non-newspaper": "JJ",
    "non-newtonian": "JJ",
    "non-nonsense": "NN",
    "non-objective": "JJ",
    "non-objects": "NNS",
    "non-oil": "JJ",
    "non-operating": "JJ",
    "non-option": "JJ",
    "non-packaging": "JJ",
    "non-paper": "NN",
    "non-partisan": "JJ",
    "non-party": "JJ",
    "non-patent": "JJ",
    "non-pathogenic": "JJ",
    "non-performing": "JJ",
    "non-person": "NN",
    "non-pipeline": "NN",
    "non-poetry": "NN",
    "non-police": "JJ",
    "non-political": "JJ",
    "non-polygynous": "JJ",
    "non-porous": "JJ",
    "non-pregnant": "JJ",
    "non-prescription": "JJ|NN",
    "non-priority": "JJ",
    "non-productive": "JJ",
    "non-professional": "JJ",
    "non-professionals": "NNS",
    "non-profit": "JJ",
    "non-propagandistic": "JJ",
    "non-propagating": "JJ",
    "non-public": "JJ",
    "non-publishers": "NNS",
    "non-readers": "NNS",
    "non-realistic": "JJ",
    "non-recessionary": "JJ",
    "non-recourse": "JJ",
    "non-recurring": "JJ",
    "non-refundable": "JJ",
    "non-regulated": "JJ",
    "non-religious": "JJ",
    "non-repetitious": "JJ",
    "non-representation": "JJ",
    "non-research": "JJ",
    "non-resident": "JJ",
    "non-residential": "JJ",
    "non-residents": "NNS",
    "non-resistants": "JJ",
    "non-retail": "JJ",
    "non-romantic": "JJ",
    "non-sales": "JJ",
    "non-scheduled": "JJ",
    "non-scientific": "JJ",
    "non-scientist": "JJ",
    "non-seamen": "NNS",
    "non-sentimental": "JJ",
    "non-service": "JJ",
    "non-service-connected": "JJ",
    "non-skid": "JJ",
    "non-smokers": "NNS",
    "non-smoking": "JJ",
    "non-social": "JJ",
    "non-staple": "JJ",
    "non-state": "JJ",
    "non-stop": "JJ",
    "non-strategic": "JJ",
    "non-striking": "JJ",
    "non-subcommittee": "JJ",
    "non-subscription": "JJ",
    "non-subsidized": "JJ",
    "non-success": "NN",
    "non-supervisory": "JJ",
    "non-surgical": "JJ",
    "non-swimmers": "NNS",
    "non-systematic": "JJ",
    "non-tariff": "JJ",
    "non-taxable": "JJ",
    "non-telephone": "JJ",
    "non-thermal": "JJ",
    "non-time": "NN",
    "non-toxic": "JJ",
    "non-trade": "JJ",
    "non-trade-related": "JJ",
    "non-traders": "NNS",
    "non-traditional": "JJ",
    "non-union": "JJ",
    "non-user": "NN",
    "non-utility": "JJ",
    "non-vaccinated": "JJ",
    "non-verbal": "JJ",
    "non-vested": "JJ",
    "non-veterans": "NNS",
    "non-violence": "NN|JJ",
    "non-violent": "JJ",
    "non-violently": "RB",
    "non-viral": "JJ",
    "non-virulent": "JJ",
    "non-volatile": "JJ",
    "non-voting": "JJ|NN",
    "non-wage": "JJ",
    "non-warranty": "NN",
    "non-wealthy": "JJ",
    "non-white": "JJ",
    "non-wireline": "JJ",
    "non-working": "JJ",
    "non-writers": "NNS",
    "nonacid": "JJ",
    "nonaddictive": "JJ",
    "nonagricultural": "JJ",
    "nonbanking": "JJ",
    "nonbinding": "JJ",
    "nonbusiness": "NN",
    "noncallable": "JJ",
    "noncash": "JJ|NN",
    "nonce": "NN",
    "nonchalant": "JJ",
    "nonchlorinated": "JJ",
    "nonchurchgoing": "JJ",
    "noncombat": "JJ|NN",
    "noncombatant": "JJ",
    "noncommercial": "JJ",
    "noncommissioned": "JJ",
    "noncommittal": "JJ",
    "noncommittally": "RB",
    "noncommunist": "NN",
    "noncompetitive": "JJ",
    "noncompetitively": "RB",
    "noncompliance": "NN",
    "noncompliant": "JJ",
    "nonconformist": "NN",
    "nonconformists": "NNS",
    "noncontract": "JJ",
    "noncontroversial": "JJ",
    "nonconvertible": "JJ",
    "noncorrosive": "JJ",
    "noncriminal": "JJ",
    "noncumulative": "JJ",
    "noncustomer": "NN",
    "nondairy": "JJ",
    "nondeductible": "JJ",
    "nondefeatist": "JJ",
    "nondefense": "JJ|NN",
    "nondemocratic": "JJ",
    "nondescript": "JJ",
    "nondescriptly": "RB",
    "nondestructive": "JJ",
    "nondiscretionary": "JJ",
    "nondiscrimination": "NN",
    "nondiscriminatory": "JJ",
    "nondoctrinaire": "JJ",
    "nondollar": "JJ",
    "nondriver": "NN",
    "nondrying": "JJ",
    "nondurable": "JJ",
    "nondurables": "NNS",
    "noneconomic": "JJ",
    "nonelectrical": "JJ",
    "nonentity": "NN",
    "nonequivalence": "NN",
    "nonequivalent": "JJ",
    "nonessential": "JJ",
    "nonetheless": "RB",
    "nonevent": "NN",
    "nonexecutive": "JJ",
    "nonexistent": "JJ",
    "nonfarm": "JJ",
    "nonfat": "JJ",
    "nonferrous": "JJ",
    "nonfiction": "NN",
    "nonfinancial": "JJ",
    "nonflammable": "JJ",
    "nonfood": "NN",
    "nonfunctional": "JJ",
    "noninflationary": "JJ",
    "noninstitutionalized": "JJ",
    "noninterest": "JJ",
    "noninterest-income": "NN",
    "noninterference": "NN",
    "nonintervention": "NN",
    "nonionic": "JJ",
    "nonism": "NN",
    "nonlethal": "JJ",
    "nonlinguistic": "JJ",
    "nonliterary": "JJ",
    "nonmaterial": "JJ",
    "nonmedia": "NN",
    "nonmembers": "NNS",
    "nonmetallic": "JJ",
    "nonminority": "NN",
    "nonmusical": "JJ",
    "nonmythological": "JJ",
    "nonobservant": "JJ",
    "nonoccurrence": "NN",
    "nonogenarian": "NN",
    "nonoperating": "VBG|JJ|NN",
    "nonpareil": "JJ",
    "nonparticulate": "NN",
    "nonpartisan": "JJ",
    "nonpaying": "JJ",
    "nonpayment": "NN",
    "nonperformers": "NNS",
    "nonperforming": "JJ|VBG|NN",
    "nonphysical": "JJ",
    "nonpoisonous": "JJ",
    "nonpolitical": "JJ",
    "nonporous": "JJ",
    "nonprescription": "NN",
    "nonpriority": "NN",
    "nonproductive": "JJ",
    "nonprofit": "JJ",
    "nonproliferation": "NN",
    "nonpublic": "JJ",
    "nonqualified": "VBN",
    "nonracial": "JJ",
    "nonreactivity": "NN",
    "nonreactors": "NNS",
    "nonrecourse": "JJ",
    "nonrecurring": "VBG|JJ",
    "nonrefundable": "JJ",
    "nonregulated": "JJ",
    "nonresident": "JJ",
    "nonresidential": "JJ",
    "nonresidential-contracting": "JJ",
    "nonsegregated": "JJ",
    "nonsense": "NN|JJ",
    "nonsensical": "JJ",
    "nonshifters": "NNS",
    "nonsingular": "JJ",
    "nonsmokers": "NNS",
    "nonsocialist": "JJ",
    "nonspecific": "JJ",
    "nonspecifically": "RB",
    "nonstandard": "JJ",
    "nonstop": "JJ|NN|RB",
    "nonstops": "NNS",
    "nonstrategic": "JJ",
    "nonstrikers": "NNS",
    "nonsuccessful": "JJ",
    "nonsurgical": "JJ",
    "nonsystematic": "JJ",
    "nonthreatening": "VBG",
    "nontoxic": "JJ",
    "nontrade": "NN",
    "nontraditional": "JJ",
    "nontransferable": "JJ",
    "nonunion": "JJ",
    "nonunionized": "VBN",
    "nonverbal": "JJ",
    "nonverbally": "RB",
    "nonviolence": "NN",
    "nonviolent": "JJ",
    "nonvirulent": "JJ",
    "nonvoting": "JJ",
    "nonwhite": "JJ",
    "nonwhites": "NNS",
    "nonworking": "JJ",
    "noodles": "NNS",
    "nook": "NN",
    "nooks": "NNS",
    "noon": "NN",
    "noontime": "NN",
    "noose": "NN",
    "noradrenalin": "NN",
    "norethandrolone": "NN",
    "norm": "NN",
    "normal": "JJ|RB",
    "normalcy": "NN",
    "normalization": "NN",
    "normalize": "VB",
    "normalized": "VBN|VBD",
    "normalizing": "VBG",
    "normally": "RB",
    "normals": "NNS",
    "normative": "JJ",
    "norms": "NNS",
    "norske": "NNP",
    "north": "RB|JJ|NN",
    "north-bound": "JJ",
    "north-flowing": "JJ",
    "north-south": "JJ",
    "northeast": "RB|NN|JJ",
    "northeastern": "JJ",
    "northerly": "JJ",
    "northern": "JJ",
    "northerner": "NN",
    "northerners": "NNS",
    "northernmost": "JJ",
    "northers": "NNS",
    "northward": "RB",
    "northwest": "RB|NN|JJS",
    "northwestern": "JJ",
    "nos": "NNS",
    "nos.": "NN",
    "nose": "NN|VB",
    "nose-dive": "NN",
    "nose-dived": "VBD|VBN",
    "nose-to-nose": "JJ",
    "nosebag": "NN",
    "nosebleed": "NN",
    "nosed": "VBD|VBN",
    "nosedive": "JJ|NN",
    "nosedived": "VBD",
    "nosediving": "VBG",
    "noses": "NNS|VBZ",
    "nosing": "VBG",
    "nostalgia": "NN",
    "nostalgic": "JJ",
    "nostalgically": "RB",
    "nostril": "NN",
    "nostrils": "NNS",
    "nostrums": "NNS",
    "nosy": "JJ",
    "not-A": "NN",
    "not-ace": "NN",
    "not-for-profit": "JJ",
    "not-knowing": "RB|VBG",
    "not-less-deadly": "JJ",
    "not-quite-mainstream": "JJ",
    "not-quite-perfect": "JJ",
    "not-so-favorite": "JJ",
    "not-so-lonely": "JJ",
    "not-so-new": "JJ",
    "not-so-pale": "JJ",
    "not-so-rich": "NN",
    "not-so-subtly": "RB",
    "not-so-trivial": "JJ",
    "not-strictly-practical": "JJ",
    "not-too-distant": "JJ",
    "not-yet-married": "JJ",
    "not.": "NN",
    "notable": "JJ",
    "notables": "NNS",
    "notably": "RB",
    "notarized": "VBN",
    "notation": "NN",
    "notch": "NN|VB",
    "notched": "VBD|VBN",
    "notched-stick": "JJ",
    "notches": "NNS",
    "notching": "VBG",
    "note": "NN|JJ|VBP|VB",
    "notebook": "NN",
    "notebook-size": "JJ",
    "notebook-sized": "JJ",
    "notebooks": "NNS",
    "noted": "VBD|JJ|VBN",
    "noteholder": "NN",
    "noteholders": "NNS",
    "notepad": "NN",
    "notes": "NNS|VBZ",
    "noteworthy": "JJ",
    "nothin": "NN|VBG",
    "nothing-down": "JJ",
    "nothingness": "NN",
    "nothings": "NNS",
    "notice": "NN|VB|VBP",
    "noticeable": "JJ",
    "noticeably": "RB",
    "noticed": "VBD|VBN|JJ",
    "notices": "NNS|VBZ",
    "noticing": "VBG",
    "notification": "NN",
    "notifications": "NNS",
    "notified": "VBN|VBD",
    "notifies": "VBZ",
    "notify": "VB|VBP",
    "notifying": "VBG",
    "noting": "VBG",
    "notion": "NN",
    "notions": "NNS",
    "notoriety": "NN",
    "notorious": "JJ",
    "notoriously": "RB",
    "nott": "RB",
    "notwithstanding": "IN|RB",
    "nought": "NN",
    "noun": "NN",
    "nouns": "NNS",
    "nourish": "VB",
    "nourished": "VBN|JJ|VBD",
    "nourishes": "VBZ",
    "nourishment": "NN",
    "nous": "FW",
    "nouveau": "JJ",
    "nouveaux": "FW",
    "nouvelle": "JJ",
    "novel": "NN|JJ",
    "novel-in-progress": "NN",
    "novelist": "NN",
    "novelistic": "JJ",
    "novelists": "NNS",
    "novelized": "JJ",
    "novels": "NNS",
    "novelties": "NNS",
    "novelty": "NN",
    "novice": "NN|JJ",
    "novices": "NNS",
    "novitiate": "NN",
    "novitiates": "NNS",
    "novo": "FW",
    "now": "RB|JJ|NN|UH",
    "now-Rep": "JJ",
    "now-deceased": "JJ",
    "now-defunct": "JJ|NNP",
    "now-discontinued": "JJ",
    "now-dismembered": "JJ",
    "now-dominant": "JJ",
    "now-evident": "JJ",
    "now-famous": "JJ",
    "now-historic": "JJ",
    "now-infamous": "JJ",
    "now-legal": "JJ",
    "now-misplaced": "JJ",
    "now-notorious": "JJ",
    "now-obscure": "JJ",
    "now-ousted": "JJ",
    "now-purged": "JJ",
    "now-repentant": "JJ",
    "now-scuttled": "JJ",
    "now-shaky": "JJ",
    "now-shuttered": "JJ",
    "now-smaller": "JJ",
    "now-standard": "JJ",
    "now-troubled": "JJ",
    "now-vacant": "JJ",
    "now...": ":",
    "nowadays": "RB",
    "nowbankrupt": "JJ",
    "nowhere": "RB|NN",
    "noxious": "JJ",
    "nozzle": "NN",
    "nozzles": "NNS",
    "nuance": "NN",
    "nuances": "NNS",
    "nubbins": "NNS",
    "nubile": "JJ",
    "nuceoside": "NN",
    "nuclear": "JJ",
    "nuclear-armed": "JJ",
    "nuclear-arms": "NNS",
    "nuclear-bomb": "NN",
    "nuclear-industry": "NN",
    "nuclear-plant": "JJ",
    "nuclear-power": "JJ|NN",
    "nuclear-powered": "JJ",
    "nuclear-propulsion": "JJ",
    "nuclear-tipped": "JJ",
    "nuclear-weapons": "JJ|NNS",
    "nuclear-weapons-sites": "NNS",
    "nucleated": "VBN",
    "nuclei": "NNS",
    "nucleic": "JJ",
    "nucleoli": "NNS",
    "nucleotide": "NN",
    "nucleus": "NN",
    "nuclide": "NN",
    "nude": "JJ|NN",
    "nudes": "NNS",
    "nudge": "NN|VB",
    "nudged": "VBD|VBN",
    "nudging": "VBG",
    "nudism": "NN",
    "nudist": "JJ",
    "nudity": "NN",
    "nufs": "NNS",
    "nugget": "NN",
    "nuisance": "JJ|NN",
    "nuisances": "NNS",
    "nukes": "NNS|VBZ",
    "null": "JJ|NN",
    "null-type": "JJ",
    "nullified": "VBN|VBD",
    "nullifiers": "NNS",
    "nullify": "VB|VBP",
    "nullifying": "VBG",
    "nullity": "NN",
    "numb": "JJ|VB",
    "numbed": "VBN|VBD",
    "number": "NN|VB|VBP",
    "number-crunchers": "NNS",
    "number-one": "JJ",
    "numbered": "VBD|VBN",
    "numbering": "VBG|NN",
    "numbers": "NNS|VBZ",
    "numbing": "JJ|VBG",
    "numbingly": "RB",
    "numbness": "NN",
    "numenous": "JJ",
    "numeral": "NN",
    "numerals": "NNS",
    "numerator": "NN",
    "numerical": "JJ",
    "numerically": "RB",
    "numerological": "JJ",
    "numerology": "NN",
    "numerous": "JJ",
    "numinous": "JJ",
    "numismatic": "JJ",
    "nun": "NN",
    "nuns": "NNS",
    "nuper": "FW",
    "nurse": "NN|VB",
    "nursed": "VBD|VBN",
    "nurseries": "NNS",
    "nursery": "NN|JJ",
    "nurses": "NNS|VBZ",
    "nursing": "NN|VBG",
    "nursing-home": "NN",
    "nursing-homes/retirement-living": "JJ",
    "nurture": "VB|NN",
    "nurture...": ":",
    "nurtured": "VBN|VBD",
    "nurturer": "NN",
    "nurturing": "VBG",
    "nut": "NN",
    "nut-house": "NN",
    "nut-like": "JJ",
    "nutmeg": "NN",
    "nutrient": "JJ",
    "nutrients": "NNS",
    "nutrition": "NN",
    "nutritional": "JJ",
    "nutritionists": "NNS",
    "nutritious": "JJ",
    "nutritive": "JJ",
    "nuts-and-bolts": "JJ",
    "nutshell": "NN",
    "nutty": "JJ",
    "nux": "NN",
    "nuzzled": "VBD|VBN",
    "nw.": "NN",
    "nyet": "UH",
    "nylon": "NN",
    "nymph": "NN",
    "nympho": "NN",
    "nymphomaniac": "NN|JJ",
    "nymphomaniacs": "NNS",
    "nymphs": "NNS",
    "nystatin": "NN",
    "o": "IN|NN|RB",
    "oaf": "NN",
    "oafs": "NNS",
    "oak": "NN",
    "oak-log": "NN",
    "oaken": "JJ",
    "oaks": "NNS",
    "oases": "NNS",
    "oasis": "NN",
    "oat": "NN",
    "oat-based": "JJ",
    "oat-bran": "NN",
    "oath": "NN",
    "oath-taking": "NN",
    "oathe": "NN",
    "oaths": "NNS",
    "oatmeal": "NN",
    "oats": "NNS",
    "obdurate": "JJ",
    "obedience": "NN",
    "obedience-trained": "JJ",
    "obediences": "NNS",
    "obedient": "JJ",
    "obediently": "RB",
    "obeisance": "NN",
    "obeisant": "JJ",
    "obelisk": "NN",
    "obese": "JJ",
    "obesity": "NN",
    "obey": "VB|VBP",
    "obeyed": "VBD|VBN",
    "obeying": "VBG",
    "obeys": "VBZ",
    "obfuscate": "VB|VBD",
    "obfuscation": "NN",
    "obfuscations": "NNS",
    "obituaries": "NNS",
    "object": "VBP|NN",
    "objected": "VBD|VBN",
    "objectification": "NN",
    "objecting": "VBG",
    "objection": "NN",
    "objectionable": "JJ",
    "objections": "NNS",
    "objective": "NN|JJ",
    "objectively": "RB",
    "objectiveness": "NN",
    "objectives": "NNS",
    "objectivity": "NN",
    "objector": "NN",
    "objectors": "NNS",
    "objects": "NNS|VBZ",
    "objets": "FW",
    "obligated": "VBN|VBD|JJ",
    "obligates": "VBZ",
    "obligating": "VBG",
    "obligation": "NN",
    "obligational": "JJ",
    "obligations": "NNS",
    "obligatory": "JJ",
    "obligatto": "NN",
    "oblige": "VB|NN",
    "obliged": "VBN|JJ|VBD",
    "obliges": "VBZ",
    "obliging": "JJ|VBG",
    "obligingly": "RB",
    "oblique": "JJ",
    "obliquely": "RB",
    "obliterans": "NNS",
    "obliterate": "VB",
    "obliterated": "VBN|VBD",
    "obliteration": "NN",
    "oblivion": "NN",
    "oblivious": "JJ",
    "oblong": "JJ",
    "obnoxious": "JJ",
    "oboist": "NN",
    "obscene": "JJ",
    "obscenities": "NNS",
    "obscenity": "NN",
    "obscure": "JJ|VB",
    "obscured": "VBD|VBN|JJ",
    "obscurely": "RB",
    "obscures": "VBZ",
    "obscuring": "VBG",
    "obscurities": "NNS",
    "obscurity": "NN",
    "obsequies": "NNS",
    "obsequious": "JJ",
    "obsequiousness": "NN",
    "observable": "JJ",
    "observance": "NN",
    "observances": "NNS",
    "observant": "JJ",
    "observation": "NN",
    "observational": "JJ",
    "observations": "NNS",
    "observatory": "NN",
    "observe": "VBP|VB",
    "observed": "VBD|VBN|JJ",
    "observer": "NN",
    "observers": "NNS",
    "observes": "VBZ",
    "observing": "VBG",
    "obsessed": "VBN|JJ|VBD",
    "obsesses": "VBZ",
    "obsession": "NN",
    "obsessions": "NNS",
    "obsessive": "JJ|NN",
    "obsessive-compulsive": "JJ",
    "obsessively": "RB",
    "obsidian": "NN",
    "obsolescent": "JJ",
    "obsolesence": "NN",
    "obsolete": "JJ",
    "obsoleted": "VBN",
    "obsoleting": "VBG",
    "obstacle": "NN",
    "obstetrician": "NN",
    "obstinacy": "NN",
    "obstinate": "JJ",
    "obstruct": "VBP|VB",
    "obstructed": "VBN|VBD",
    "obstructing": "VBG",
    "obstruction": "NN",
    "obstructionism": "NN",
    "obstructionist": "NN",
    "obstructive": "JJ",
    "obtain": "VB|VBP",
    "obtainable": "JJ",
    "obtaine": "VB",
    "obtained": "VBN|VBD|VBP",
    "obtaining": "VBG",
    "obtrudes": "VBZ",
    "obtrusiveness": "NN",
    "obtuse": "JJ",
    "obverse": "NN",
    "obviate": "VB",
    "obvious": "JJ",
    "obviously": "RB",
    "obviousness": "NN",
    "ocarina": "NN",
    "occasion": "NN|VB",
    "occasional": "JJ",
    "occasionally": "RB",
    "occasioned": "VBN|VBD",
    "occasions": "NNS|VBZ",
    "occidental": "JJ",
    "occipital": "JJ",
    "occluded": "VBN|VBD",
    "occlusion": "NN",
    "occlusive": "JJ",
    "occupancies": "NNS",
    "occupancy": "NN",
    "occupant": "NN",
    "occupants": "NNS",
    "occupation": "NN",
    "occupational": "JJ",
    "occupations": "NNS",
    "occupied": "JJ|VBN|VBD",
    "occupies": "VBZ",
    "occupy": "VB|VBP",
    "occupying": "VBG|JJ",
    "occur": "VB|VBP",
    "occured": "VBD",
    "occuring": "VBG",
    "occurred": "VBD|VBN",
    "occurrence": "NN",
    "occurrences": "NNS",
    "occurring": "VBG|JJ",
    "occurs": "VBZ",
    "ocean": "NN",
    "ocean-going": "JJ",
    "ocean-pollution": "NN",
    "ocean-shipping": "NN",
    "ocean-thermal": "JJ",
    "oceanfront": "JJ|NN",
    "oceanographic": "JJ",
    "oceanography": "NN",
    "oceans": "NNS",
    "oceanthermal": "JJ",
    "ocelot": "NN",
    "och": "FW",
    "ocher": "NN",
    "ochre": "JJ|NN",
    "octagonal": "JJ",
    "octahedron": "NN",
    "octane": "NN",
    "octave": "JJ",
    "octaves": "NNS",
    "octogenaraians": "NNS",
    "octogenarian": "JJ",
    "octogenarians": "NNS",
    "octopus": "NN",
    "octoroon": "NN",
    "ocular": "JJ",
    "odd": "JJ",
    "odd-looking": "JJ",
    "odd-sounding": "JJ",
    "odd-year": "JJ",
    "oddball": "JJ",
    "oddballs": "NNS",
    "oddest": "JJS",
    "oddities": "NNS",
    "oddity": "NN",
    "oddly": "RB",
    "odds": "NNS",
    "odds-on": "JJ",
    "ode": "NN",
    "odious": "JJ",
    "odor": "NN",
    "odors": "NNS",
    "odyssey": "NN",
    "oedipal": "JJ",
    "oerations": "NNS",
    "oeufs": "FW",
    "of": "IN|RB|RP|NNP",
    "of...": ":",
    "off": "RP|IN|RB|JJ|NN|VB",
    "off-Broadway": "JJ|NNP",
    "off-again": "JJ",
    "off-balance": "JJ",
    "off-base": "JJ",
    "off-beat": "JJ",
    "off-budget": "JJ|NN",
    "off-center": "JJ",
    "off-color": "JJ",
    "off-duty": "JJ",
    "off-exchange": "JJ|NN",
    "off-farm": "JJ",
    "off-field": "JJ",
    "off-flavors": "NNS",
    "off-hours": "NNS|JJ",
    "off-key": "JJ",
    "off-level": "JJ",
    "off-limits": "JJ",
    "off-line": "JJ",
    "off-network": "JJ",
    "off-off": "JJ",
    "off-off-Broadway": "NNP|JJ",
    "off-price": "JJ",
    "off-putting": "JJ",
    "off-road": "JJ",
    "off-season": "NN",
    "off-shore": "JJ",
    "off-speed": "JJ",
    "off-stage": "NN",
    "off-the-books": "JJ",
    "off-the-cuff": "JJ",
    "off-the-record": "JJ",
    "off-the-shelf": "JJ",
    "off-white": "JJ",
    "off-year": "JJ",
    "offal": "NN",
    "offbeat": "JJ",
    "offcourse": "JJ",
    "offences": "NNS",
    "offend": "VB",
    "offended": "VBN|JJ|VBD",
    "offender": "NN",
    "offenders": "NNS",
    "offending": "VBG",
    "offends": "VBZ",
    "offense": "NN",
    "offenses": "NNS",
    "offensive": "JJ|NN",
    "offensively": "RB",
    "offensives": "NNS",
    "offer": "NN|VB|VBP",
    "offered": "VBN|JJ|VBD",
    "offering": "NN|VBG",
    "offering-price": "JJ",
    "offerings": "NNS",
    "offers": "VBZ|NNS",
    "offersey": "NNS",
    "offhand": "JJ",
    "offhandedly": "RB",
    "offi": "NNS",
    "offical": "JJ",
    "officals": "NNS",
    "office": "NN",
    "office-equipment": "NN",
    "office-furniture": "JJ",
    "office-product": "NN",
    "office-products": "NNS",
    "office-supplies": "NNS",
    "office-supply": "JJ",
    "office-systems": "NNS",
    "office/dept.": "NN",
    "officeholders": "NNS",
    "officer": "NN",
    "officered": "VBN",
    "officers": "NNS",
    "offices": "NNS",
    "official": "NN|JJ",
    "officialdom": "NN",
    "officially": "RB",
    "officials": "NNS",
    "officials-cum-drug-traffickers": "NNS",
    "officiate": "VB",
    "officiated": "VBD|VBN",
    "officiating": "VBG",
    "officio": "FW",
    "officious": "JJ",
    "offing": "NN|VBG",
    "offocus": "NN",
    "offputting": "JJ",
    "offsaddled": "VBD",
    "offset": "VBN|VB|JJ|VBD|VBP",
    "offsets": "NNS|VBZ",
    "offsetting": "VBG|JJ",
    "offshoot": "NN",
    "offshoots": "NNS",
    "offshore": "RB|JJ",
    "offshore-rig": "NN",
    "offside": "NN",
    "offspring": "NN|NNS",
    "offstage": "RB|JJ",
    "oft": "RB",
    "oft-quoted": "JJ",
    "oft-repeated": "JJ",
    "often": "RB",
    "often-criticized": "JJ",
    "often-disparaged": "JJ",
    "often-fatal": "JJ",
    "often-heard": "JJ",
    "often-ignored": "JJ",
    "often-repeated": "JJ",
    "oftener": "RBR",
    "oftentimes": "RB",
    "ogled": "VBD|VBN",
    "ogles": "VBZ",
    "ogling": "VBG",
    "ogress": "NN",
    "oh": "UH",
    "ohhdee": "UH",
    "ohmic": "JJ",
    "oil": "NN|VB",
    "oil-and-gas": "JJ",
    "oil-based": "JJ",
    "oil-bath": "NN",
    "oil-bearing": "JJ",
    "oil-consuming": "JJ",
    "oil-covered": "JJ",
    "oil-depletion": "JJ",
    "oil-driller": "NN",
    "oil-drilling": "NN",
    "oil-exporting": "NN",
    "oil-field": "NN|JJ",
    "oil-finding": "JJ",
    "oil-futures": "NNS",
    "oil-industry": "NN",
    "oil-lease": "JJ",
    "oil-leasing": "NN",
    "oil-patch": "NN|JJ",
    "oil-poor": "JJ",
    "oil-price": "NN|JJ",
    "oil-producing": "JJ|NN",
    "oil-production": "NN",
    "oil-recycling": "NN",
    "oil-rig": "NN",
    "oil-service": "NN",
    "oil-services": "JJ",
    "oil-slicked": "JJ",
    "oil-spill": "NN|JJ",
    "oil-tanker": "NN",
    "oil-trading": "NN",
    "oil-transport": "JJ",
    "oil-well": "NN",
    "oilcloth": "NN",
    "oiled": "JJ|VBD|VBN",
    "oiler": "NN",
    "oilfield": "NN",
    "oilfields": "NNS",
    "oilheating": "NN",
    "oilman": "NN",
    "oilman-rancher": "NN",
    "oils": "NNS|VBZ",
    "oilseed": "NN",
    "oilseeds": "NNS",
    "oilworkers": "NNS",
    "oily": "JJ",
    "oink": "UH",
    "ointment": "NN",
    "oiticica": "NN",
    "okay": "JJ|UH|RB|VB",
    "oks": "VBZ",
    "ol": "JJ|NN|UH",
    "old": "JJ",
    "old-age": "JJ",
    "old-boy": "NN",
    "old-fashioned": "JJ",
    "old-grad-type": "NN",
    "old-growth": "JJ",
    "old-guard": "JJ",
    "old-line": "NN|JJ",
    "old-maid": "NN",
    "old-model": "JJ",
    "old-name": "JJ",
    "old-style": "JJ",
    "old-time": "JJ",
    "old-timer": "NN",
    "old-timers": "NNS|JJ",
    "old-world": "JJ",
    "olden": "JJ",
    "older": "JJR|RBR",
    "older-skewing": "JJR",
    "oldest": "JJS",
    "oldies": "NNS",
    "oldline": "NN",
    "olds": "NNS",
    "oldsters": "NNS",
    "ole": "JJ|NN",
    "oleanders": "NNS",
    "olefins": "NNS",
    "oleomargarine": "NN",
    "oleophilic": "JJ",
    "oleophobic": "JJ",
    "olestra": "NN",
    "olfactory": "JJ",
    "oligarchs": "NNS",
    "oligopoly": "NN",
    "olim": "FW",
    "olive": "JJ|NN",
    "olive-flushed": "JJ",
    "olive-green": "JJ",
    "olivefaced": "JJ",
    "olives": "NNS",
    "ologies": "NNS",
    "ombudsman": "NN",
    "omelet": "NN",
    "omelets": "NNS",
    "omelette": "NN",
    "omen": "NN|VB",
    "omens": "NNS|VBZ",
    "omeprazole": "NN",
    "ominous": "JJ",
    "ominously": "RB",
    "omission": "NN",
    "omissions": "NNS",
    "omit": "VB|VBP",
    "omits": "VBZ",
    "omitted": "VBN|VBD",
    "omitting": "VBG",
    "ommission": "NN",
    "omnia": "FW",
    "omnibus": "JJ|NN",
    "omnipotence": "NN",
    "omnipresence": "NN",
    "omnipresent": "JJ",
    "omniscient": "JJ",
    "on": "IN|NNP|RBR|JJ|RP",
    "on-again": "JJ",
    "on-again-off-again": "JJ",
    "on-air": "JJ",
    "on-and-off": "JJ",
    "on-board": "JJ",
    "on-budget": "JJ",
    "on-campus": "JJ",
    "on-level": "NN",
    "on-line": "JJ|NN",
    "on-ramps": "NNS",
    "on-set": "JJ",
    "on-site": "JJ",
    "on-stage": "JJ",
    "on-sure": "JJ",
    "on-the-go": "JJ",
    "on-the-job": "JJ",
    "on-the-scene": "JJ|NN",
    "on-the-spot": "JJ",
    "on-time": "JJ",
    "onboard": "NN",
    "once": "RB|IN",
    "once-a-day": "JJ",
    "once-a-month": "JJ",
    "once-absolute": "JJ",
    "once-balkanized": "JJ",
    "once-bloated": "JJ",
    "once-bustling": "JJ",
    "once-closed": "JJ",
    "once-cozy": "JJ",
    "once-desirable": "JJ",
    "once-devoted": "JJ",
    "once-distinct": "JJ",
    "once-downtrodden": "JJ",
    "once-dry": "JJ",
    "once-dull": "JJ",
    "once-exploding": "JJ",
    "once-faltering": "JJ",
    "once-fashionable": "JJ",
    "once-grumpy": "JJ",
    "once-high-flying": "JJ",
    "once-in-a-lifetime": "JJ",
    "once-indomitable": "JJ",
    "once-loyal": "JJ",
    "once-lucrative": "JJ",
    "once-mighty": "JJ",
    "once-moribund": "JJ",
    "once-over": "NN",
    "once-over-lightly": "NN",
    "once-popular": "JJ",
    "once-powerful": "JJ",
    "once-prestigious": "JJ",
    "once-prevailing": "JJ",
    "once-private": "JJ",
    "once-profitable": "JJ",
    "once-promising": "JJ",
    "once-proud": "JJ",
    "once-rich": "JJ",
    "once-sacred": "JJ",
    "once-scandalous": "JJ",
    "once-sleepy": "JJ",
    "once-spare": "JJ",
    "once-sporadic": "JJ",
    "once-staid": "JJ",
    "once-stately": "JJ",
    "once-stodgy": "JJ",
    "once-strong": "JJ",
    "once-troubled": "JJ",
    "once-unprofitable": "JJ",
    "once-unthinkable": "JJ",
    "once-vast": "JJ",
    "oncogene": "NN",
    "oncogenes": "NNS",
    "oncologist": "NN",
    "oncology": "NN",
    "oncoming": "JJ",
    "onct": "IN|JJ",
    "one": "CD",
    "two": "CD",
    "three": "CD",
    "four": "CD",
    "five": "CD",
    "six": "CD",
    "seven": "CD",
    "eight": "CD",
    "nine": "CD",
    "ten": "CD",
    "eleven": "CD",
    "twelve": "CD",
    "thirteen": "CD",
    "fourteen": "CD",
    "fifteen": "CD",
    "sixteen": "CD",
    "seventeen": "CD",
    "eighteen": "CD",
    "nineteen": "CD",
    "ninteen": "CD",
    "twenty": "CD",
    "thirty": "CD",
    "forty": "CD",
    "fourty": "CD",
    "fifty": "CD",
    "sixty": "CD",
    "seventy": "CD",
    "eighty": "CD",
    "ninety": "CD",
    "hundred": "CD",
    "thousand": "CD",
    "million": "CD",
    "billion": "CD",
    "trillion": "CD",
    "quadrillion": "CD",
    "quintillion": "CD",
    "sextillion": "CD",
    "septillion": "CD",
    "octillion": "CD",
    "nonillion": "CD",
    "decillion": "CD",
    "undecillion": "CD",
    "duodecillion": "CD",
    "tredecillion": "CD",
    "quattuordecillion": "CD",
    "quindecillion": "CD",
    "sexdecillion": "CD",
    "sedecillion": "CD",
    "septendecillion": "CD",
    "octodecillion": "CD",
    "novemdecillion": "CD",
    "novendecillion": "CD",
    "vigintillion": "CD",
    "centillion": "CD",
    "one-act": "JJ",
    "one-act-play": "JJ",
    "one-acter": "JJ",
    "one-acters": "NNS",
    "one-arm": "JJ",
    "one-branch": "JJ",
    "one-by-one": "JJ",
    "one-color": "JJ",
    "one-company": "JJ",
    "one-country": "JJ",
    "one-day": "JJ",
    "one-digit": "JJ",
    "one-dimensional": "JJ",
    "one-drug": "JJ",
    "one-dumbbell": "JJ",
    "one-eighth": "NN|JJ",
    "one-family": "JJ",
    "one-for-one": "JJ",
    "one-for-two": "JJ",
    "one-gee": "JJ",
    "one-half-point": "JJ|NN",
    "one-horse": "JJ",
    "one-hour": "JJ",
    "one-house": "JJ",
    "one-hundredth": "NN",
    "one-in-a-million": "JJ",
    "one-in-four": "JJ",
    "one-inch": "JJ",
    "one-industry": "JJ",
    "one-iron": "JJ",
    "one-issue": "JJ",
    "one-kiloton": "JJ",
    "one-liners": "NNS",
    "one-man": "JJ",
    "one-megabit": "JJ",
    "one-million-letter": "JJ",
    "one-million-plus": "JJ",
    "one-minute": "JJ",
    "one-month": "JJ",
    "one-month-old": "JJ",
    "one-newspaper": "JJ",
    "one-night": "JJ",
    "one-of-a-kind": "JJ",
    "one-on-one": "JJ|RB",
    "one-out-of-three": "JJ",
    "one-over-par": "JJ",
    "one-owner": "JJ",
    "one-page": "JJ",
    "one-paragraph": "JJ",
    "one-parent": "JJ",
    "one-party": "JJ",
    "one-penny": "JJ",
    "one-percentage": "JJ",
    "one-percentage-point": "JJ",
    "one-person": "NN",
    "one-plane": "JJ",
    "one-point": "JJ",
    "one-pound-or-so": "JJ",
    "one-product": "NN",
    "one-quarter": "NN|JJ",
    "one-quarter-cent": "JJ",
    "one-reel": "JJ",
    "one-restaurant": "NN",
    "one-room": "JJ",
    "one-sentence": "JJ",
    "one-set": "JJ",
    "one-ship": "JJ",
    "one-shot": "JJ",
    "one-sided": "JJ",
    "one-sixteenth": "NN",
    "one-sixth": "JJ|NN",
    "one-size-fits-all": "JJ",
    "one-square-mile": "JJ",
    "one-step": "JJ",
    "one-stooler": "NN",
    "one-stop": "JJ",
    "one-story": "JJ",
    "one-stroke": "JJ",
    "one-term": "JJ",
    "one-thirty": "RB",
    "one-thousand-zloty": "JJ",
    "one-thousandth": "NN",
    "one-time": "JJ",
    "one-twentieth": "JJ|NN",
    "one-two": "JJ",
    "one-two-three": "NN",
    "one-upmanship": "NN",
    "one-upsmanship": "NN",
    "one-way": "JJ",
    "one-week": "JJ",
    "one-week-old": "JJ",
    "one-woman": "JJ",
    "one-word": "JJ",
    "one-year": "JJ|NN",
    "one-year-old": "JJ",
    "one-yen": "JJ",
    "oneasy": "NN",
    "oneness": "NN",
    "onepage": "JJ",
    "onerous": "JJ",
    "ones": "NNS",
    "oneself": "PRP",
    "onetime": "JJ",
    "oneyear": "JJ",
    "ongoing": "JJ",
    "onion": "NN",
    "onions": "NNS",
    "onleh": "RB",
    "online": "JJ",
    "onlooker": "NN",
    "onlookers": "NNS",
    "onrush": "NN",
    "onrushing": "JJ",
    "onscreen": "RB",
    "onset": "NN",
    "onslaught": "NN",
    "onslaughts": "NNS",
    "onstage": "RB|NN|JJ",
    "onto": "IN",
    "ontological": "JJ",
    "ontologically": "RB",
    "onus": "NN",
    "onward": "RB|JJ",
    "onward-driving": "JJ",
    "onwards": "RB",
    "onyx": "NN",
    "oodles": "NN",
    "oohs": "UH|NNS",
    "oomph": "NN",
    "oops": "UH",
    "ooze": "NN|VB",
    "oozed": "VBD|VBN",
    "oozing": "VBG",
    "op": "NNP",
    "op-ed": "JJ",
    "opalescent": "JJ",
    "opaque": "JJ",
    "open": "JJ|VBP|NN|RB|RP|VB",
    "open-access": "NN",
    "open-air": "JJ",
    "open-bank": "JJ",
    "open-checkbook": "NN",
    "open-collared": "JJ",
    "open-door": "JJ|NN",
    "open-end": "JJ",
    "open-ended": "JJ",
    "open-face": "JJ",
    "open-handed": "JJ",
    "open-interest": "JJ",
    "open-market": "NN|JJ",
    "open-meeting": "JJ",
    "open-minded": "JJ",
    "open-mouthed": "JJ",
    "open-necked": "JJ",
    "open-shelf": "JJ",
    "open-skies": "JJ",
    "open-top": "JJ",
    "open-work": "JJ",
    "open-year": "JJ",
    "opened": "VBD|VBN",
    "openended": "VBN",
    "opener": "NN",
    "openers": "NNS",
    "opening": "NN|VBG|JJ",
    "opening-day": "NN",
    "opening-hour": "JJ",
    "openings": "NNS",
    "openly": "RB",
    "openness": "NN",
    "opens": "VBZ",
    "opera": "NN",
    "operable": "JJ",
    "operagoers": "NNS",
    "operalet": "NN",
    "operand": "NN",
    "operands": "NNS",
    "operas": "NNS",
    "operate": "VB|VBP",
    "operated": "VBD|VBN|JJ",
    "operates": "VBZ",
    "operatic": "JJ",
    "operating": "VBG|JJ|NN",
    "operating-cost": "JJ",
    "operating-room": "NN",
    "operating-system": "JJ|NN",
    "operation": "NN",
    "operational": "JJ",
    "operationally": "RB",
    "operations": "NNS|NNP",
    "operations...": ":",
    "operative": "JJ|NN",
    "operatives": "NNS",
    "operator": "NN",
    "operator-assisted": "JJ",
    "operator-services": "NNS",
    "operators": "NNS",
    "operatorship": "NN",
    "operetta": "NN",
    "operina": "NN",
    "ophthalmic": "JJ",
    "ophthalmologists": "NNS",
    "opiates": "NNS",
    "opines": "VBZ",
    "opining": "VBG",
    "opinion": "NN",
    "opinion-makers": "NNS",
    "opinionated": "JJ",
    "opinionmakers": "NNS",
    "opinions": "NNS",
    "opium": "NN",
    "opponent": "NN",
    "opponents": "NNS",
    "opportune": "JJ",
    "opportuning": "NN",
    "opportunism": "NN",
    "opportunist": "NN|JJ",
    "opportunistic": "JJ",
    "opportunists": "NNS",
    "opportunity": "NN",
    "oppose": "VBP|VB|NNPS",
    "opposed": "VBN|JJ|VBD",
    "opposes": "VBZ",
    "opposing": "VBG|JJ",
    "opposite": "JJ|IN|NN",
    "opposition": "NN",
    "opposition-party": "JJ",
    "oppposes": "VBZ",
    "oppressed": "JJ|VBD|VBN",
    "oppresses": "VBZ",
    "oppression": "NN",
    "oppressive": "JJ",
    "oppressors": "NNS",
    "opprobrium": "NN",
    "opt": "VB|VBP",
    "opted": "VBD|VBN",
    "optic": "JJ",
    "optical": "JJ",
    "optical-disk": "JJ",
    "optical-fiber": "JJ|NN",
    "optical-products": "NNS",
    "optical-scanning": "JJ",
    "optical-storage": "JJ",
    "optically": "RB",
    "opticians": "NNS",
    "optics": "NNS",
    "optimal": "JJ",
    "optimality": "NN",
    "optimism": "NN",
    "optimist": "NN",
    "optimistic": "JJ",
    "optimistically": "RB",
    "optimists": "NNS",
    "optimization": "NN",
    "optimize": "VB",
    "optimizing": "VBG",
    "optimo": "FW",
    "optimum": "JJ|NN",
    "opting": "VBG",
    "option": "NN|VBP",
    "option-based": "JJ",
    "option-related": "JJ",
    "optional": "JJ",
    "optioned": "VBN",
    "options": "NNS",
    "options-related": "JJ",
    "options-trading": "JJ",
    "opto-electronic": "JJ",
    "optronics": "NN",
    "opts": "VBZ",
    "opulence": "NN",
    "opulent": "JJ",
    "opus": "NN",
    "or": "CC|NNP",
    "or...": ":",
    "oracle": "NN",
    "oracles": "NNS",
    "oral": "JJ",
    "oral-care": "JJ",
    "orally": "RB",
    "orange": "NN|JJ",
    "orange-and-blue": "JJ",
    "orange-and-white": "JJ",
    "orange-flavored": "JJ",
    "orange-juice": "NN",
    "oranges": "NNS",
    "orate": "VB",
    "oratio": "FW",
    "oration": "NN",
    "orations": "NNS",
    "orator": "NN",
    "oratorical": "JJ",
    "oratorio": "NN",
    "orators": "NNS",
    "oratory": "NN",
    "orb": "NN|VB",
    "orbit": "NN|VB",
    "orbital": "JJ|NN",
    "orbited": "VBD",
    "orbiting": "VBG",
    "orbits": "NNS|VBZ",
    "orchard": "NN",
    "orchard...": ":",
    "orchardists": "NNS",
    "orchards": "NNS",
    "orchestra": "NN",
    "orchestral": "JJ",
    "orchestras": "NNS",
    "orchestrate": "VB",
    "orchestrated": "VBN|VBD",
    "orchestrating": "VBG",
    "orchestration": "NN",
    "orchestrations": "NNS",
    "orchid-strewn": "JJ",
    "orchids": "NNS",
    "ordain": "VB",
    "ordained": "VBN|VBD",
    "ordeal": "NN",
    "order": "NN|VBP|IN|VB",
    "order-delivery": "JJ",
    "order-entry": "JJ|NN",
    "order-imbalance": "NN",
    "order-matching": "NNS",
    "order-processing": "JJ",
    "order-taker": "NN",
    "order-taking": "NN",
    "order-to-ship": "JJ",
    "ordere": "VBN",
    "ordered": "VBN|VBD|JJ",
    "ordering": "VBG|NN",
    "orderings": "NNS",
    "orderliness": "NN",
    "orderly": "JJ|NN|RB",
    "orders": "NNS|VBZ",
    "orders-related": "JJ",
    "ordinance": "NN",
    "ordinances": "NNS",
    "ordinarily": "RB",
    "ordinarius": "NN",
    "ordinary": "JJ|NN",
    "ordinates": "NNS|VBZ",
    "ordination": "NN",
    "ordnance": "NN",
    "ordo": "FW",
    "ore": "NN",
    "ores": "NNS",
    "organ": "NN",
    "organ-transplant": "NN|JJ",
    "organdy": "NN",
    "organic": "JJ",
    "organically": "RB",
    "organics": "NNS",
    "organification": "NN",
    "organised": "VBD|VBN",
    "organism": "NN",
    "organismic": "JJ",
    "organisms": "NNS",
    "organist": "NN",
    "organization": "NN",
    "organization-position": "JJ",
    "organizational": "JJ",
    "organizationally": "RB",
    "organizations": "NNS",
    "organize": "VB|VBP",
    "organized": "VBN|VBD|JJ",
    "organized-crime": "NN",
    "organizer": "NN",
    "organizers": "NNS",
    "organizes": "VBZ",
    "organizing": "VBG|NN",
    "organs": "NNS",
    "orgasm": "NN",
    "orgasms": "NNS",
    "orgiastic": "JJ",
    "orgies": "NNS",
    "orginally": "RB",
    "orginate": "VB|VBD",
    "orgone": "NN",
    "orgy": "NN",
    "oriental": "JJ",
    "orientation": "NN",
    "orientations": "NNS",
    "oriented": "VBN|VBD|JJ",
    "oriented-polypropylene": "JJ",
    "orienting": "VBG",
    "orifices": "NNS",
    "origin": "NN",
    "origin...": ":",
    "original": "JJ|NN",
    "original-equipment": "JJ|NN",
    "original-instrument": "JJ",
    "original-issue": "JJ",
    "originality": "NN",
    "originally": "RB",
    "originals": "NNS",
    "originate": "VB|VBP",
    "originated": "VBN|VBD|JJ|VBP",
    "originates": "VBZ",
    "originating": "VBG",
    "origination": "NN",
    "originations": "NNS",
    "originator": "NN",
    "originators": "NNS",
    "origins": "NNS",
    "ornament": "NN|VB",
    "ornamental": "JJ",
    "ornamentation": "NN",
    "ornamented": "VBN|VBD",
    "ornaments": "NNS|VBZ",
    "ornate": "JJ",
    "ornately": "RB",
    "ornery": "JJ",
    "orney": "JJ",
    "ornithological": "JJ",
    "ornithologist": "NN",
    "ornithology": "NN",
    "ornraier": "RBR",
    "orphan": "JJ|NN",
    "orphanage": "NN",
    "orphaned": "VBN|JJ",
    "orphans": "NNS",
    "orthicon": "NN",
    "orthodontic": "JJ",
    "orthodontics": "NNS",
    "orthodontist": "NN",
    "orthodontists": "NNS",
    "orthodox": "JJ|NN",
    "orthodoxy": "NN",
    "orthographic": "JJ",
    "orthographies": "NNS",
    "orthography": "NN",
    "orthopedic": "JJ",
    "orthopedics": "NNS",
    "orthophosphate": "NN",
    "orthophosphates": "NNS",
    "orthorhombic": "JJ",
    "orzae": "NNS",
    "os": "NN",
    "oscillated": "VBD|VBN",
    "oscillating": "VBG",
    "oscillation": "NN",
    "oscillator": "NN",
    "osf": "IN",
    "osmium": "NN",
    "osmotic": "JJ",
    "osseous": "JJ",
    "ossification": "NN",
    "ossify": "VB",
    "ostensible": "JJ",
    "ostensibly": "RB",
    "ostentation": "NN",
    "ostentatious": "JJ",
    "ostentatiously": "RB",
    "osteoarthritis": "NN",
    "osteoporosis": "NN",
    "ostinato": "NN",
    "ostinatos": "NNS",
    "ostracism": "NN",
    "ostracized": "VBN|VBD",
    "ostrich": "JJ|NN",
    "othe": "JJ",
    "other": "JJ|NN",
    "other-directed": "JJ",
    "other-nation": "JJ",
    "other.": "NN",
    "others": "NNS",
    "otherwise": "RB|JJ",
    "otherworldliness": "NN",
    "otherworldly": "JJ",
    "otter": "NN",
    "otters": "NNS",
    "oud": "NN",
    "ought": "MD",
    "oughta": "MD|NN",
    "oui": "FW",
    "ould": "JJ",
    "ounce": "NN",
    "ounces": "NNS",
    "our": "PRP$",
    "ours": "JJ|PRP|PRP$",
    "ourselves": "PRP",
    "oust": "VB",
    "ousted": "VBN|VBD|JJ",
    "ouster": "NN",
    "ousting": "VBG",
    "out": "RP|IN|JJ|NN|RB",
    "out-and-out": "JJ",
    "out-compete": "VB",
    "out-dated": "JJ",
    "out-group": "NN",
    "out-migrants": "NNS",
    "out-migration": "NN",
    "out-moded": "JJ",
    "out-of-alignment": "NN",
    "out-of-bounds": "JJ",
    "out-of-court": "JJ",
    "out-of-date": "JJ",
    "out-of-door": "NN",
    "out-of-doors": "NNS",
    "out-of-favor": "JJ",
    "out-of-kilter": "JJ",
    "out-of-mind": "JJ",
    "out-of-pocket": "JJ",
    "out-of-repair": "NN",
    "out-of-school": "JJ",
    "out-of-sight": "JJ",
    "out-of-state": "JJ",
    "out-of-staters": "NNS",
    "out-of-step": "JJ",
    "out-of-synch": "JJ",
    "out-of-the-way": "JJ",
    "out-of-touch": "JJ",
    "out-of-town": "JJ",
    "out-plunging": "JJ",
    "out-reaching": "JJ",
    "out-smart": "VB",
    "out-trade": "VB",
    "out...": ":",
    "outage": "NN",
    "outages": "NNS",
    "outback": "NN",
    "outbid": "VB|VBD|VBN|VBP",
    "outbidding": "VBG",
    "outboard": "JJ",
    "outboards": "NNS",
    "outbound": "JJ",
    "outbreak": "NN",
    "outbreaks": "NNS",
    "outburst": "NN",
    "outbursts": "NNS",
    "outcast": "NN",
    "outcasts": "NNS",
    "outclass": "VBP",
    "outclassed": "VBN",
    "outcome": "NN",
    "outcomes": "NNS",
    "outcrops": "NNS",
    "outcry": "NN|VB",
    "outcuss": "VBZ",
    "outdated": "JJ|VBN",
    "outdid": "VBD",
    "outdistanced": "VBN|VBD",
    "outdistancing": "VBG",
    "outdo": "VB|VBP",
    "outdone": "VBN|JJ",
    "outdoor": "JJ",
    "outdoor-maintenance": "NN",
    "outdoors": "RB|NN",
    "outdoorsman": "NN",
    "outdrew": "VBD",
    "outer": "JJ",
    "outer-space": "NN",
    "outface": "VB",
    "outfield": "NN",
    "outfielder": "NN",
    "outfielders": "NNS",
    "outfit": "NN|VB|VBP",
    "outfits": "NN|NNS|VBZ",
    "outfitted": "VBD|VBN",
    "outfitting": "VBG",
    "outflank": "VB",
    "outflow": "NN",
    "outflows": "NNS",
    "outfly": "VB",
    "outfought": "NN|VBD|VBN",
    "outfox": "VB",
    "outgained": "VBD",
    "outgeneraled": "VBN",
    "outgoing": "JJ|VBG",
    "outgrew": "VBD",
    "outgrip": "VB",
    "outgrow": "VB",
    "outgrown": "VBN",
    "outgrowth": "NN",
    "outguess": "VB",
    "outguessing": "VBG",
    "outhouse": "NN",
    "outing": "NN",
    "outings": "NNS",
    "outlanders": "NNS",
    "outlandish": "JJ",
    "outlandishly": "RB",
    "outlast": "VB",
    "outlasted": "VBD|VBN",
    "outlaw": "VB|NN|JJ",
    "outlawed": "VBN|JJ|VBD",
    "outlawing": "VBG",
    "outlawry": "NN",
    "outlaws": "NNS|VBZ",
    "outlay": "NN",
    "outlays": "NNS",
    "outleaped": "VBD",
    "outlet": "NN",
    "outlets": "NNS",
    "outline": "VB|NN|VBP",
    "outlined": "VBN|VBD|JJ",
    "outlines": "VBZ|NNS",
    "outlining": "VBG",
    "outlive": "VB",
    "outlived": "VBN|VBD",
    "outlook": "NN",
    "outlooks": "NNS",
    "outlying": "JJ|VBG",
    "outmaneuver": "VB",
    "outmaneuvered": "VBN|VBD",
    "outmatched": "VBD|VBN",
    "outmoded": "JJ|VBN",
    "outnumber": "VBP",
    "outnumbered": "VBD|VBN",
    "outpace": "VB|VBP",
    "outpaced": "VBD|NN|VBN|VBP",
    "outpaces": "VBZ",
    "outpacing": "VBG",
    "outpatient": "NN|JJ",
    "outperform": "VB|JJ|VBP",
    "outperformed": "VBN|VBD",
    "outperforming": "VBG",
    "outperforms": "VBZ",
    "outplacement": "NN",
    "outplayed": "VBD",
    "outpost": "NN",
    "outposts": "NNS",
    "outpouring": "NN",
    "output": "NN|VB|VBD|VBN",
    "output-axis": "NN",
    "output-restricting": "JJ",
    "outputs": "NNS|VBZ",
    "outputting": "VBG",
    "outrage": "NN|VB",
    "outraged": "JJ|VBN|VBD",
    "outrageous": "JJ",
    "outrageously": "RB",
    "outrages": "NNS|VBZ",
    "outrank": "VBP|VB",
    "outranks": "VBZ",
    "outreach": "NN",
    "outrigger": "NN",
    "outriggers": "NNS",
    "outright": "JJ|RB",
    "outrun": "VB|VBN",
    "outs": "NNS",
    "outscored": "VBD",
    "outscoring": "VBG",
    "outsell": "VB",
    "outselling": "VBG",
    "outsells": "VBZ",
    "outset": "NN",
    "outshine": "VB",
    "outshines": "VBZ",
    "outshone": "NN|VBD|VBN",
    "outside": "IN|JJ|NN|RB",
    "outsider": "NN",
    "outsiders": "NNS",
    "outsized": "JJ",
    "outskirt": "NN",
    "outskirts": "NNS",
    "outslugged": "VBN",
    "outsmarted": "VBD|VBN",
    "outsold": "VBD|VBN",
    "outspend": "VBP|VB",
    "outspends": "VBZ",
    "outspoken": "JJ|VBN",
    "outspread": "VBN|JJ",
    "outstanding": "JJ",
    "outstandingly": "RB",
    "outstate": "JJ",
    "outstretched": "VBN",
    "outstrip": "VB",
    "outstripped": "VBD|NN|VBN",
    "outstripping": "VBG",
    "outstrips": "VBZ",
    "outta": "IN",
    "outward": "RB|JJ",
    "outward-looking": "JJ",
    "outward-projecting": "JJ",
    "outwardly": "RB|.",
    "outweigh": "VBP|VB",
    "outweighed": "VBD|VBN",
    "outweighs": "VBZ",
    "outwit": "VB",
    "outworn": "JJ",
    "ova": "NN",
    "oval": "JJ|NN",
    "ovals": "NNS",
    "ovarian": "JJ",
    "ovata": "NN",
    "ovation": "NN",
    "oven": "NN",
    "ovens": "NNS",
    "over": "IN|RP|JJ|RB|UH",
    "over-18": "JJ",
    "over-20": "JJ",
    "over-20s": "NNS",
    "over-30": "JJ",
    "over-30s": "NNS",
    "over-40": "JJ",
    "over-40s": "NNS",
    "over-50": "JJ",
    "over-50s": "NNS",
    "over-achievement": "NN",
    "over-achievers": "NNS",
    "over-all": "JJ",
    "over-allotment": "NN|JJ",
    "over-allotments": "NNS",
    "over-ambition": "NN",
    "over-arching": "JJ",
    "over-arranged": "JJ",
    "over-broad": "JJ",
    "over-capacity": "NN",
    "over-committed": "JJ",
    "over-corrected": "VBD|VBN",
    "over-emphasize": "JJ",
    "over-emphasized": "VBN|JJ",
    "over-hand": "JJ",
    "over-hired": "VBD",
    "over-land": "JJ",
    "over-large": "JJ",
    "over-leveraged": "JJ",
    "over-magazined": "VBN",
    "over-night": "JJ",
    "over-occupied": "JJ",
    "over-optimistic": "JJ",
    "over-populated": "JJ",
    "over-pretended": "JJ",
    "over-price": "VB",
    "over-produce": "VB",
    "over-regulation": "NN",
    "over-rewarding": "JJ",
    "over-simple": "JJ",
    "over-simplification": "NN",
    "over-spent": "JJ",
    "over-stitched": "JJ",
    "over-stored": "JJ",
    "over-stress": "VB",
    "over-subscribed": "JJ",
    "over-the-air": "JJ",
    "over-the-counter": "JJ|NN|RB",
    "over-the-road": "JJ",
    "overactive": "JJ",
    "overage": "JJ",
    "overaggressive": "JJ",
    "overall": "JJ|NN|RB",
    "overallotment": "NN|JJ",
    "overallotments": "NNS",
    "overalls": "NNS",
    "overambition": "NN",
    "overarching": "JJ|VBG",
    "overarming": "VBG",
    "overbearing": "JJ",
    "overbid": "VB|VBD|VBN",
    "overbilled": "VBD",
    "overbilling": "VBG",
    "overbillings": "NNS",
    "overblown": "JJ",
    "overboard": "RB|JJ",
    "overborrowing": "VBG",
    "overbought": "VBN|JJ|NN|VBD",
    "overbreadth": "NN",
    "overbroad": "JJ",
    "overbuilding": "NN|VBG",
    "overbuilt": "JJ|NN|VBD|VBN",
    "overburden": "VB",
    "overburdened": "JJ|VBN|VBD",
    "overcame": "VBD",
    "overcapacity": "NN",
    "overcast": "NN|JJ|VB",
    "overcerebral": "JJ",
    "overcharge": "NN|VB",
    "overcharged": "VBN|VBD",
    "overcharges": "NNS|VBZ",
    "overcharging": "VBG",
    "overcoat": "NN",
    "overcoats": "NNS",
    "overcollateralized": "VBN",
    "overcollected": "JJ",
    "overcollection": "NN",
    "overcome": "VB|VBN|VBP",
    "overcomes": "VBZ",
    "overcoming": "VBG",
    "overcoming...": ":",
    "overcommitted": "VBN",
    "overconfident": "JJ",
    "overcooked": "VBN",
    "overcooks": "VBZ",
    "overcooled": "JJ",
    "overcrowded": "JJ|VBN",
    "overcrowding": "NN|JJ",
    "overcurious": "JJ",
    "overdependence": "NN",
    "overdeveloped": "JJ|NN",
    "overdoing": "VBG",
    "overdone": "VBN",
    "overdose": "NN",
    "overdosed": "VBN",
    "overdoses": "NNS",
    "overdosing": "VBG",
    "overdraft": "NN",
    "overdraw": "VB",
    "overdrawn": "JJ|VBN",
    "overdressed": "JJ|VBD|VBN",
    "overdrive": "NN|VB",
    "overdriving": "VBG",
    "overdue": "JJ",
    "overeager": "JJ",
    "overeat": "VBP|VB",
    "overeating": "NN|VBG",
    "overemphasis": "NN",
    "overemphasize": "VB",
    "overemphasized": "VBN|VBD",
    "overenforced": "VBN",
    "overestimate": "VB",
    "overestimated": "VBD|VBN",
    "overestimates": "VBZ",
    "overestimation": "NN",
    "overexcited": "VBN",
    "overexercised": "VBN",
    "overexpansion": "NN",
    "overexploitation": "NN",
    "overexploited": "JJ",
    "overexpose": "VB",
    "overextend": "VBP",
    "overextended": "VBN|VBD|JJ",
    "overfeed": "VB",
    "overfill": "VB",
    "overflights": "NNS",
    "overflow": "NN|VB",
    "overflowed": "VBD|VBN",
    "overflowing": "VBG",
    "overflows": "NNS|VBZ",
    "overfunded": "VBN",
    "overfunding": "NN",
    "overgeneralization": "NN",
    "overgenerous": "JJ",
    "overgrazing": "NN",
    "overgrown": "VBN|JJ",
    "overhand": "JJ|NN",
    "overhang": "NN|VB",
    "overhanging": "VBG",
    "overhangs": "NNS|VBZ",
    "overharvesting": "NN",
    "overhaul": "NN|VB",
    "overhauled": "VBN|VBD",
    "overhauling": "VBG|NN",
    "overhauls": "NNS|VBZ",
    "overhead": "NN|JJ|RB",
    "overhear": "VB",
    "overheard": "VBN|VBD",
    "overhearing": "VBG",
    "overhears": "VBZ",
    "overheat": "VB",
    "overheated": "VBN|VBD|JJ",
    "overheating": "VBG|JJ|NN",
    "overhyped": "JJ",
    "overinclusion": "NN",
    "overindebtedness": "NN",
    "overindulged": "VBD|VBN",
    "overinsistent": "JJ",
    "overinvested": "VBN",
    "overjoyed": "JJ",
    "overkill": "NN",
    "overlaid": "VBN|VBD",
    "overland": "RB",
    "overlap": "VB|NN|VBP",
    "overlapped": "VBN|VBD",
    "overlapping": "VBG|JJ|NN",
    "overlaps": "VBZ",
    "overlay": "NN|VBP|VB",
    "overlays": "VBZ",
    "overleveraged": "JJ",
    "overleveraging": "VBG",
    "overload": "NN|VBP|VB",
    "overloaded": "VBN|JJ|VBD",
    "overlong": "JJ",
    "overlook": "VBP|VB",
    "overlooked": "VBD|VBN",
    "overlooking": "VBG",
    "overlooks": "VBZ",
    "overloud": "JJ",
    "overly": "RB",
    "overlying": "JJ|VBG",
    "overmedicated": "VBN",
    "overnight": "JJ|NN|RB",
    "overnighters": "NNS",
    "overpaid": "VBN|VBD|JJ",
    "overpass": "NN",
    "overpay": "VB",
    "overpaying": "VBG",
    "overpayment": "NN",
    "overpayments": "NNS",
    "overplanted": "VBN",
    "overplayed": "VBD|VBN",
    "overpopulated": "VBN",
    "overpopulation": "NN",
    "overpower": "VB",
    "overpowered": "VBN|VBD",
    "overpowering": "JJ|VBG",
    "overpowers": "VBZ",
    "overpressure": "NN",
    "overpriced": "VBN|JJ",
    "overproduce": "VB",
    "overproducers": "NNS",
    "overproduction": "NN",
    "overprotected": "VBN|VBD",
    "overprotection": "NN",
    "overprotective": "JJ",
    "overpurchase": "VB",
    "overran": "VBD",
    "overrated": "VBN|VBD",
    "overreach": "VB",
    "overreached": "VBD|VBN",
    "overreaches": "VBZ",
    "overreact": "VB|VBP",
    "overreacted": "VBN|VBD",
    "overreacting": "VBG",
    "overreaction": "NN",
    "overregulated": "JJ|VBN",
    "overregulation": "NN",
    "overrendered": "VBN",
    "overridden": "VBN",
    "override": "VB|NN",
    "overrides": "VBZ",
    "overriding": "VBG|JJ",
    "overrode": "VBD",
    "overrule": "VB",
    "overruled": "VBD|VBN",
    "overrules": "VBZ",
    "overruling": "VBG",
    "overrun": "NN|VBN|JJ|VB",
    "overruns": "NNS|VBZ",
    "oversaturating": "VBG",
    "oversaw": "VBD",
    "overseas": "JJ|NN|RB",
    "oversee": "VB",
    "overseeing": "VBG",
    "overseen": "VBN|NN",
    "overseer": "NN",
    "overseers": "NNS",
    "oversees": "VBZ",
    "overshadow": "VBP|VB",
    "overshadowed": "VBN|VBD",
    "overshadowing": "VBG",
    "overshadows": "VBZ",
    "overshoes": "NNS",
    "overshoots": "VBZ",
    "overshot": "VBD|VBN",
    "oversight": "NN",
    "oversimplification": "NN",
    "oversimplified": "VBN|JJ",
    "oversize": "JJ",
    "oversized": "JJ|VBN",
    "oversoft": "JJ|NN",
    "oversoftness": "NN",
    "oversold": "VBN|JJ|VBD",
    "overspending": "NN|VBG",
    "overstaff": "VB",
    "overstaffed": "JJ|VBD|VBN",
    "overstate": "VB|VBP",
    "overstated": "VBN|VBD",
    "overstatement": "NN",
    "overstates": "VBZ",
    "overstating": "VBG",
    "overstaying": "VBG",
    "overstepping": "VBG",
    "overstored": "JJ",
    "overstrained": "VBN",
    "overstraining": "NN",
    "overstretch": "VB",
    "oversubscribed": "VBN|JJ",
    "oversupplied": "JJ|VBN|VBD",
    "oversupply": "NN|VB",
    "overt": "JJ",
    "overtake": "VB|VBP",
    "overtaken": "VBN",
    "overtakin": "VBG",
    "overtaking": "VBG",
    "overtaxed": "VBN|JJ",
    "overthrow": "VB|NN",
    "overthrowing": "VBG",
    "overthrown": "VBN",
    "overtime": "NN|JJ|RB",
    "overtly": "RB",
    "overtones": "NNS",
    "overtook": "VBD",
    "overture": "NN",
    "overtures": "NNS",
    "overturn": "VB",
    "overturned": "VBD|VBN",
    "overturning": "VBG",
    "overturns": "VBZ",
    "overuse": "NN|VB",
    "overused": "VBN|JJ|VBD",
    "overvalued": "VBN|JJ|VBD",
    "overvaulting": "JJ",
    "overview": "NN",
    "overweening": "JJ",
    "overweight": "NN|JJ",
    "overweighted": "VBN",
    "overwhelm": "VB|VBP",
    "overwhelmed": "JJ|VBN|VBD",
    "overwhelming": "JJ|VBG",
    "overwhelmingly": "RB",
    "overworked": "VBN|JJ|VBD",
    "overworking": "VBG",
    "overwritten": "JJ|VBN",
    "overwrought": "JJ",
    "overzealous": "JJ",
    "overzealousness": "NN",
    "oviform": "JJ",
    "ovulation": "NN",
    "owe": "VB|VBP",
    "owed": "VBN|VBD",
    "owes": "VBZ",
    "owing": "JJ|VBG",
    "owl": "NN",
    "owl-shaped": "JJ",
    "owls": "NNS",
    "own": "JJ|VBN|VBP|VB",
    "owne": "JJ",
    "owned": "VBN|VBD|JJ",
    "owner": "NN",
    "owner-bred": "JJ",
    "owners": "NNS",
    "ownership": "NN",
    "ownership...": ":",
    "ownerships": "NNS",
    "owning": "VBG|NN",
    "owns": "VBZ",
    "ownself": "PRP",
    "ox": "NN",
    "oxalate": "NN",
    "oxaloacetic": "JJ",
    "oxcart": "NN",
    "oxen": "NNS",
    "oxidation": "NN",
    "oxide": "NN",
    "oxides": "NNS",
    "oxidised": "VBN",
    "oxidized": "JJ",
    "oxidizer": "NN",
    "oxygen": "NN",
    "oxygens": "NNS",
    "oxyhydroxides": "NNS",
    "oxytetracycline": "NN",
    "oyabun": "NN",
    "oystchers": "NNS",
    "oyster": "NN",
    "oysters": "NNS",
    "oz": "NN",
    "oz.": "NN",
    "ozone": "NN",
    "ozone-cancer": "JJ",
    "ozone-damaging": "JJ",
    "ozone-depleting": "JJ",
    "ozone-destroying": "JJ",
    "ozone-exposed": "JJ",
    "ozone-forming": "JJ",
    "ozone-safe": "JJ",
    "ozonedepletion": "NN",
    "p": "NN",
    "p-aminobenzoic": "JJ",
    "p.": "NN",
    "p.a.": "NN",
    "p.m": "RB|FW|NN",
    "p.m.": "NN|RB",
    "p.m.-conclusion": "NN",
    "p.m.-midnight": "NN|NNP",
    "pH": "NNP",
    "pa": "NN",
    "pace": "NN|VB|VBP",
    "pace-setter": "NN",
    "paced": "VBD|VBN|JJ",
    "pacem": "FW",
    "pacemaker": "NN",
    "pacemakers": "NNS",
    "pacer": "NN",
    "pacers": "NNS",
    "paces": "NNS|VBZ",
    "pachinko": "NN",
    "pacific": "JJ",
    "pacified": "VBD|VBN",
    "pacifier": "NN",
    "pacifies": "VBZ",
    "pacifism": "NN",
    "pacifist": "NN",
    "pacifistic": "JJ",
    "pacify": "VB",
    "pacing": "NN|VBG|JJ",
    "pack": "NN|VB|VBP",
    "package": "NN|VB",
    "package-delivery": "JJ",
    "package-design": "NN",
    "package-holiday": "JJ",
    "package-sort": "JJ",
    "package-sorting": "NN",
    "package-tracing": "NN",
    "packaged": "VBN|JJ|VBD",
    "packaged-goods": "NNS|JJ",
    "packages": "NNS|VBZ",
    "packaging": "NN|VBG",
    "packed": "VBN|JJ|VBD",
    "packers": "NNS",
    "packet": "NN",
    "packets": "NNS",
    "packing": "VBG|NN",
    "packs": "VBZ|NNS",
    "pact": "NN",
    "pacts": "NNS",
    "pad": "NN|VB",
    "padded": "JJ|VBN|VBD",
    "paddies": "NNS",
    "padding": "NN|VBG",
    "paddle": "NN|VB",
    "paddleball": "NN",
    "paddles": "NNS|VBZ",
    "paddock": "NN",
    "padlock": "NN",
    "padlocked": "VBD",
    "pads": "NNS|VBZ",
    "paean": "NN",
    "paeans": "NNS",
    "pagan": "JJ",
    "paganism": "NN",
    "page": "NN|VB",
    "page-composition": "NN",
    "page-long": "JJ",
    "page-one": "NN|JJ",
    "pageant": "NN",
    "pageantry": "NN",
    "pageants": "NNS",
    "pager": "NN",
    "pagers": "NNS",
    "pages": "NNS|VBZ",
    "paginated": "VBN|VBD",
    "paging": "NN|VBG",
    "pagoda": "NN",
    "pagodas": "NNS",
    "paid": "VBN|VBD|JJ",
    "paid-for": "IN",
    "paid-in": "JJ",
    "paid-up": "JJ",
    "paide": "VBN",
    "paie": "VB",
    "pail": "NN",
    "pails": "NNS",
    "pain": "NN|VB",
    "pain-bringing": "JJ",
    "pain-relief": "NN",
    "pained": "JJ|VBD|VBN",
    "painful": "JJ",
    "painfully": "RB",
    "painkiller": "NN",
    "painkillers": "NNS",
    "painless": "JJ",
    "painlessly": "RB",
    "pains": "NNS|VBZ",
    "pains-taking": "JJ",
    "painstaking": "JJ",
    "painstakingly": "RB",
    "paint": "VBP|NN|VB",
    "paint-recycling": "JJ",
    "paintbrush": "NN",
    "painted": "VBN|VBD|JJ",
    "painted-in": "NN",
    "painter": "NN",
    "painteresque": "JJ",
    "painters": "NNS",
    "painting": "NN|VBG",
    "paintings": "NNS",
    "paints": "NNS|VBZ",
    "pair": "NN|FW|VB",
    "paired": "VBN|JJ|VBD",
    "pairing": "NN|VBG",
    "pairings": "NNS",
    "pairs": "NNS|VBZ",
    "pajama": "NN",
    "pajama-clad": "JJ",
    "pajamas": "NNS",
    "pal": "NN|JJ",
    "palace": "NN",
    "palaces": "NNS",
    "palamedes": "NN",
    "palatability": "NN",
    "palatable": "JJ",
    "palate": "NN",
    "palates": "NNS",
    "palatial": "JJ",
    "palazzi": "NNS",
    "palazzo": "NN",
    "palazzos": "NNS",
    "pale": "JJ|VBP|NN|VB",
    "pale-blue": "JJ",
    "paled": "VBD|VBN",
    "palely": "RB",
    "paleness": "NN",
    "paleo": "NN",
    "paleocortical": "JJ",
    "paleoexplosion": "NN",
    "paleontologically": "RB",
    "paleontologists": "NNS",
    "pales": "VBZ|NNS",
    "palest": "JJS",
    "palette": "NN",
    "palindromes": "NNS",
    "paling": "VBG",
    "palisades": "NNS|VBZ",
    "pall": "NN|VB",
    "palladium": "NN",
    "pallet": "NN",
    "palletized": "VBN",
    "pallets": "NNS",
    "palliative": "JJ",
    "pallid": "JJ",
    "pallor": "NN",
    "palm": "NN|VB",
    "palm-fringed": "JJ",
    "palm-lined": "JJ",
    "palm-studded": "JJ",
    "palm-tree": "NN",
    "palmed": "VBD|VBN",
    "palms": "NNS|VBZ",
    "palmtop": "NN",
    "palmtops": "NNS",
    "palpable": "JJ",
    "palpably": "RB",
    "palpitations": "NNS",
    "pals": "NNS",
    "palsy": "NN",
    "paltry": "JJ",
    "pampas": "NNS",
    "pamper": "VB",
    "pampered": "JJ|VBD|VBN",
    "pampering": "VBG",
    "pampers": "VBZ",
    "pamphlet": "NN",
    "pamphleteer": "NN",
    "pamphlets": "NNS",
    "pan": "VB|NN",
    "pan-European": "JJ",
    "pan-national": "JJ",
    "pan-nationalism": "NN",
    "pan-tribal": "JJ",
    "panacea": "NN",
    "panaceas": "NNS",
    "panache": "NN",
    "pancake": "NN",
    "pancakes": "NNS",
    "pancreas": "NN",
    "pancreatitis": "NN",
    "pandanus": "NN",
    "pandemic": "NN",
    "pandemonium": "NN",
    "pandering": "VBG",
    "panders": "NNS|VBZ",
    "pane": "NN",
    "panel": "NN|VB",
    "panelboard": "NN",
    "paneled": "JJ",
    "paneling": "NN",
    "panelists": "NNS",
    "panelization": "NN",
    "panelized": "VBN",
    "panels": "NNS|VBZ",
    "panes": "NNS",
    "pangs": "NNS",
    "panhandle": "NN",
    "panhandler": "NN",
    "panic": "NN|VB|VBP",
    "panic-driven": "JJ",
    "panic-stricken": "JJ",
    "panicked": "VBD|VBN|JJ",
    "panicking": "VBG",
    "panicky": "JJ",
    "panjandrum": "NN",
    "panjandrums": "NNS",
    "panky": "NN",
    "panned": "VBN|VBD",
    "panning": "VBG",
    "panoply": "NN",
    "panorama": "NN",
    "panoramas": "NNS",
    "panoramic": "JJ",
    "pans": "NNS|VBZ",
    "pansies": "NNS",
    "pansy": "NN",
    "pant": "NN|VB",
    "pant-legs": "NNS",
    "pantaloons": "NNS",
    "panted": "VBD|VBN",
    "pantheist": "NN",
    "pantheon": "NN",
    "panthers": "NNS",
    "panties": "NNS",
    "panting": "VBG|JJ|NN",
    "pantomime": "NN|VBP|VB",
    "pantomimed": "VBD|VBN",
    "pantomimic": "JJ",
    "pantry": "NN",
    "pants": "NNS|VBZ",
    "pants-legs": "NN",
    "pany": "NN",
    "panzers": "NNS",
    "paot": "NN",
    "pap": "NN",
    "papal": "JJ",
    "paper": "NN|VB",
    "paper-and-crayon": "JJ",
    "paper-clip": "NN",
    "paper-company": "NN|JJ",
    "paper-goods": "NNS",
    "paper-littered": "JJ",
    "paper-making": "JJ",
    "paper-manufacturing": "JJ",
    "paper-products": "NNS|JJ",
    "paper-pushing": "JJ",
    "paper-shuffling": "NN",
    "paper-work": "NN",
    "paperback": "NN|JJ",
    "paperbacks": "NNS",
    "paperboard": "NN",
    "paperboy": "NN",
    "paperclip": "NN",
    "papering": "VBG",
    "paperless": "JJ",
    "papers": "NNS|VBZ",
    "paperwads": "NNS",
    "paperwork": "NN",
    "papery": "JJ",
    "papier-mache": "NN",
    "papiers": "FW",
    "papillary": "JJ",
    "paprika": "NN",
    "papyrus": "NN",
    "par": "NN|FW|IN|JJ",
    "par-3": "NN",
    "par-5": "JJ",
    "parable": "NN",
    "parables": "NNS",
    "parachute": "VB|NN",
    "parachutes": "NNS|VBZ",
    "parachuting": "VBG",
    "parade": "NN|VBP|VB",
    "paraded": "VBN|VBD",
    "parades": "NNS|VBZ",
    "paradigm": "NN",
    "paradigmatic": "JJ",
    "paradigms": "NNS",
    "parading": "VBG",
    "paradise": "NN",
    "paradises": "NNS",
    "paradox": "NN",
    "paradoxical": "JJ",
    "paradoxically": "RB",
    "paragon": "NN",
    "paragraph": "NN",
    "paragraphing": "NN",
    "paragraphs": "NNS",
    "parakeet": "NN",
    "parakeets": "NNS",
    "paralanguage": "NN",
    "paralegal": "NN",
    "paralegals": "NNS",
    "paralinguistic": "JJ",
    "parallel": "JJ|RB|VB|VBP|NN",
    "parallel-computing": "JJ",
    "paralleled": "VBN",
    "paralleling": "VBG",
    "parallelism": "NN",
    "parallels": "NNS|VBZ",
    "paralysis": "NN",
    "paralyze": "VB",
    "paralyzed": "VBN|JJ|VBD",
    "paralyzes": "VBZ",
    "paralyzing": "VBG|JJ",
    "paramagnet": "NN",
    "paramagnetic": "JJ",
    "parameter": "NN",
    "parameters": "NNS",
    "parametric": "JJ",
    "paramilitary": "JJ",
    "paramount": "JJ",
    "paranoia": "NN",
    "paranoiac": "NN",
    "paranoid": "JJ",
    "paranormal": "JJ",
    "paraoxon": "NN",
    "parapet": "NN",
    "parapets": "NNS",
    "paraphernalia": "NNS",
    "paraphrase": "NN|VBP|VB",
    "paraphrases": "NNS|VBZ",
    "paraphrasing": "VBG",
    "parapsychology": "NN",
    "paraquat": "NN",
    "parasite": "NN",
    "parasites": "NNS",
    "parasitic": "JJ",
    "parasol": "NN",
    "parasols": "NNS",
    "parastatals": "NNS",
    "parasympathetic": "JJ",
    "paratroopers": "NNS",
    "paratroops": "NNS",
    "paraxial": "JJ",
    "parboiled": "VBD|VBN",
    "parcel": "NN|VBP|JJ",
    "parceled": "VBN",
    "parceling": "NN",
    "parcels": "NNS",
    "parched": "VBN|VBD|JJ",
    "parchment": "NN",
    "pardon": "NN|VB",
    "pardonable": "JJ",
    "pardoned": "VBD|VBN",
    "pare": "VB",
    "pared": "VBN|VBD",
    "pared-down": "JJ",
    "paredon": "NN",
    "parenchyma": "NN",
    "parent": "NN|JJ|VB",
    "parent-child": "JJ",
    "parent-company": "NN|JJ",
    "parent-teacher": "JJ",
    "parentage": "NN",
    "parental": "JJ",
    "parental-consent": "JJ",
    "parental-leave": "JJ",
    "parentheses": "NNS",
    "parenthetically": "RB",
    "parenthood": "NN",
    "parenting": "NN|VBG",
    "parentis": "FW",
    "parents": "NNS|VBZ",
    "pari-mutuel": "JJ",
    "pariah": "NN",
    "pariahs": "NNS",
    "parimutuels": "NNS",
    "paring": "VBG",
    "parings": "NNS",
    "parish": "NN",
    "parishes": "NNS",
    "parishioners": "NNS",
    "parisology": "NN",
    "parities": "NNS",
    "parity": "NN",
    "park": "NN|VB",
    "parked": "VBN|JJ|VBD",
    "parking": "NN|JJ|VBG",
    "parkish": "JJ",
    "parklike": "JJ",
    "parks": "NNS|VBZ",
    "parkway": "NN",
    "parlance": "NN",
    "parlayed": "VBD",
    "parley": "NN|VB",
    "parliament": "NN",
    "parliamentarian": "NN",
    "parliamentarians": "NNS",
    "parliamentary": "JJ",
    "parliaments": "NNS",
    "parlor": "NN",
    "parlors": "NNS",
    "parochial": "JJ",
    "parodied": "VBD|VBN",
    "parodies": "NNS|VBZ",
    "parody": "NN|VB",
    "parole": "NN|JJ",
    "parolees": "NNS",
    "paroxysmal": "JJ",
    "parquet": "NN",
    "parried": "VBD|VBN",
    "parrot-like": "JJ",
    "parroting": "VBG",
    "parrots": "NNS",
    "parry": "VB",
    "pars": "NNS",
    "parses": "VBZ",
    "parsimonious": "JJ",
    "parsimony": "NN",
    "parsing": "VBG|NN",
    "parsley": "NN",
    "parson": "NN",
    "parsonage": "NN",
    "parsympathetic": "JJ",
    "part": "NN|JJ|RB|VB",
    "part-owner": "NN",
    "part-time": "JJ|RB",
    "part-timers": "NNS",
    "partake": "VB|VBP",
    "partaker": "VB",
    "partakes": "VBZ",
    "partaking": "VBG",
    "parte": "NN",
    "parted": "VBD|VBN|JJ",
    "partial": "JJ|NN",
    "partially": "RB",
    "participant": "NN",
    "participants": "NNS",
    "participate": "VB|VBP",
    "participated": "VBD|VBN",
    "participates": "VBZ",
    "participating": "VBG|JJ",
    "participation": "NN",
    "participations": "NNS",
    "participative": "JJ",
    "participatory": "JJ",
    "particle": "NN",
    "particle-board": "NN",
    "particles": "NNS",
    "particular": "JJ|NN|RB",
    "particularistic": "JJ",
    "particularistic-seeming": "JJ",
    "particularity": "NN",
    "particularly": "RB",
    "particulars": "NNS",
    "particulate": "JJ",
    "particulates": "NNS",
    "parties": "NNS|VBZ",
    "parting": "NN|VBG",
    "partings": "NNS",
    "partisan": "JJ|NN",
    "partisans": "NNS",
    "partisanship": "NN",
    "partition": "NN|VB",
    "partitioned": "VBN|VBD",
    "partly": "RB",
    "partner": "NN",
    "partner-in-charge": "NN",
    "partner-notification": "NN",
    "partnered": "VBN",
    "partners": "NNS",
    "partnership": "NN",
    "partnerships": "NNS",
    "partook": "VBP|VBD",
    "parts": "NNS|VBZ",
    "parts-engineering": "JJ",
    "parts-suppliers": "NNS",
    "party": "NN",
    "party-giving": "NN",
    "party-line": "JJ|NN",
    "partying": "VBG",
    "parvenus": "NNS",
    "pas": "FW",
    "pasha": "NN",
    "pashas": "NNS",
    "paso": "NN",
    "pass": "VB|VBP|NN",
    "pass-through": "JJ",
    "passable": "JJ",
    "passably": "RB",
    "passage": "NN",
    "passages": "NNS",
    "passageway": "NN",
    "passbook": "NN",
    "passbooks": "NNS",
    "passe": "JJ",
    "passed": "VBN|VBD",
    "passel": "NN",
    "passenger": "NN|JJ",
    "passenger-car": "NN",
    "passenger-kilometers": "NNS",
    "passenger-loading": "JJ",
    "passenger-mile": "NN",
    "passenger-miles": "NNS",
    "passenger-reservation": "NN",
    "passenger-restraint": "NN",
    "passenger-tire": "JJ",
    "passenger-transportation": "JJ",
    "passengers": "NNS",
    "passer-by": "NN",
    "passerby": "NN",
    "passers-by": "NNS",
    "passes": "VBZ|NNS",
    "passing": "VBG|JJ|NN",
    "passion": "NN",
    "passionate": "JJ",
    "passionately": "RB",
    "passions": "NNS",
    "passive": "JJ|NN",
    "passive-loss": "JJ",
    "passively": "RB",
    "passiveness": "NN",
    "passivity": "NN",
    "passport": "NN",
    "passports": "NNS",
    "passthrough": "JJ",
    "passwords": "NNS",
    "past": "JJ|VBN|IN|NN|RB",
    "past-due": "JJ",
    "past-fantasy": "JJ",
    "past-oriented": "JJ",
    "past.": "NN",
    "pasta": "NN",
    "pastdue": "JJ",
    "paste": "NN|VB",
    "pasted": "VBN|VBD",
    "pasted-in": "JJ",
    "pastel": "JJ|NN",
    "pastel-like": "JJ",
    "pastels": "NNS",
    "pastes": "NNS|VBZ",
    "pasteurization": "NN",
    "pasteurized": "VBN",
    "pastilles": "NNS",
    "pastime": "NN",
    "pastimes": "NNS",
    "pasting": "VBG|NN",
    "pastness": "NN",
    "pastor": "NN",
    "pastoral": "JJ",
    "pastoris": "NN",
    "pastors": "NNS",
    "pastrami": "NNS",
    "pastries": "NNS",
    "pastry": "NN",
    "pastry-lined": "JJ",
    "pasture": "NN|JJ|VB",
    "pastures": "NNS|VBZ",
    "pasty": "JJ|NN",
    "pat": "JJ|NN|VB",
    "patch": "NN|VB",
    "patched": "JJ|VBN|VBD",
    "patches": "NNS|VBZ",
    "patchwork": "NN|JJ",
    "pate": "NN",
    "patent": "NN|JJ",
    "patent-infringement": "NN",
    "patent-law": "NN",
    "patent-sharing": "JJ",
    "patented": "VBD|VBN|JJ",
    "patenting": "NN",
    "patently": "RB",
    "patents": "NNS",
    "pater": "NN",
    "paternal": "JJ",
    "paternalism": "NN|JJ",
    "paternalist": "JJ",
    "paternalistic": "JJ",
    "paternally": "RB",
    "paternity": "NN",
    "paterollers": "NNS",
    "path": "NN",
    "pathetic": "JJ",
    "pathfinder": "NN",
    "pathless": "JJ",
    "pathlogy": "NN",
    "pathogenesis": "NN",
    "pathogenic": "JJ",
    "pathologic": "JJ",
    "pathological": "JJ",
    "pathologically": "RB",
    "pathologist": "NN",
    "pathology": "NN",
    "pathos": "NN",
    "paths": "NNS",
    "pathway": "NN",
    "pathways": "NNS",
    "patience": "NN",
    "patient": "NN|JJ",
    "patient-advocacy": "NN",
    "patient-care": "JJ",
    "patient-interview": "JJ",
    "patient-physician": "JJ",
    "patienthood": "NN",
    "patiently": "RB",
    "patients": "NNS",
    "patina": "NN",
    "patinas": "NNS",
    "patio": "NN",
    "patisseries": "NNS",
    "patria": "FW",
    "patriarch": "NN",
    "patriarchal": "JJ",
    "patriarchate": "NN",
    "patriarchy": "NN",
    "patrician": "JJ|NN",
    "patrimony": "NN",
    "patriot": "NN|JJ",
    "patriotic": "JJ|NN",
    "patriotism": "NN",
    "patriots": "NNS",
    "patristic": "JJ",
    "patrol": "NN|VBP|VB",
    "patrolled": "VBN|VBD",
    "patrolling": "NN|VBG",
    "patrolman": "NN",
    "patrolmen": "NNS",
    "patrols": "NNS|VBZ",
    "patron": "NN",
    "patronage": "NN|VB",
    "patronage-free": "JJ",
    "patroness": "NN",
    "patronize": "VB",
    "patronized": "VBN|VBD",
    "patronizing": "VBG|JJ",
    "patronne": "NN",
    "patrons": "NNS",
    "patrons...": ":",
    "pats": "NNS|VBZ",
    "patsies": "NNS",
    "patsy": "NN",
    "patted": "VBD|VBN",
    "patter": "NN|VB",
    "pattered": "VBD|VBN",
    "pattern": "NN|VB",
    "patterned": "VBN|JJ|VBD",
    "patterns": "NNS|VBZ",
    "patties": "NNS",
    "patting": "VBG",
    "patty-cake": "JJ",
    "paucity": "NN",
    "paunch": "NN",
    "paunchy": "JJ",
    "pauper": "NN",
    "pause": "NN|VBP|VB",
    "paused": "VBD|VBN",
    "pauses": "VBZ|NNS",
    "pausing": "VBG",
    "pavane": "NN",
    "pave": "VB",
    "paved": "JJ|VBD|VBN",
    "pavement": "NN",
    "pavement-performance": "NN",
    "pavements": "NNS",
    "paves": "VBZ",
    "pavian": "FW",
    "pavilion": "NN",
    "pavilions": "NNS",
    "paving": "VBG",
    "paving-equipment": "NN",
    "paw": "NN|VB",
    "pawed": "VBN|VBD",
    "pawing": "VBG",
    "pawn": "NN|VB",
    "pawning": "VBG",
    "pawns": "NNS|VBZ",
    "pawnshop": "NN",
    "paws": "NNS|VBZ",
    "pax": "FW",
    "pax-ordo": "NN",
    "paxam": "NN",
    "pay": "VB|VBD|VBP|NN",
    "pay-TV": "NN",
    "pay-and-benefit": "JJ",
    "pay-as-you-go": "JJ",
    "pay-back": "JJ",
    "pay-cable": "NN|JJ",
    "pay-down": "JJ",
    "pay-for-performance": "JJ",
    "pay-hike": "JJ",
    "pay-in-kind": "JJ|NN",
    "pay-later": "JJ",
    "pay-movie": "JJ",
    "pay-out": "NN",
    "pay-per-view": "JJ",
    "pay-television": "NN",
    "payable": "JJ",
    "payables": "NNS",
    "payback": "NN",
    "paycheck": "NN",
    "paychecks": "NNS",
    "payday": "NN",
    "paydirt": "NN",
    "paydown": "NN",
    "payer": "NN",
    "payers": "NNS",
    "paying": "VBG|JJ",
    "payloads": "NNS",
    "paymaster": "NN",
    "payment": "NN",
    "payment-in-kind": "JJ",
    "payment-system": "NN",
    "payment...": ":",
    "payments": "NNS",
    "payoff": "NN",
    "payoffif": "NN",
    "payoffs": "NNS",
    "payola": "NN",
    "payout": "NN",
    "payout-bylaws": "NNS",
    "payouts": "NNS",
    "payroll": "NN",
    "payroll-paring": "JJ",
    "payroll-reduction": "NN",
    "payroll-tax": "NN",
    "payrolls": "NNS",
    "pays": "VBZ",
    "pea": "NN",
    "pea-green": "JJ",
    "peace": "NN|UH",
    "peace-keeping": "JJ|NN",
    "peace-loving": "JJ",
    "peace-treaty": "NN",
    "peaceable": "JJ",
    "peaceful": "JJ",
    "peacefully": "RB",
    "peacekeeping": "JJ",
    "peacemaker": "NN",
    "peacemakers": "NNS",
    "peacemaking": "NN|JJ",
    "peacetime": "NN",
    "peach": "NN",
    "peaches": "NNS",
    "peacock": "NN",
    "peacocks": "NNS",
    "peak": "NN|VBP|JJ",
    "peaked": "VBN|VBD|JJ",
    "peaking": "VBG|NN",
    "peaks": "NNS|VBZ",
    "peaky": "JJ",
    "peal": "NN|VB",
    "pealing": "VBG",
    "peals": "NNS|VBZ",
    "peanut": "NN|JJ",
    "peanut-butter": "NN",
    "peanuts": "NNS",
    "pear": "NN",
    "pear-shaped": "JJ",
    "pearl": "NN",
    "pearl-gray": "JJ",
    "pearl-handled": "JJ",
    "pearls": "NNS",
    "pearly": "JJ",
    "pears": "NNS",
    "peas": "NNS",
    "peasant": "NN|JJ",
    "peasanthood": "NN",
    "peasants": "NNS",
    "pebble": "NN",
    "pebbles": "NNS",
    "pecan": "NN",
    "pecans": "NNS",
    "peccadilloes": "NNS",
    "peccavi": "FW",
    "peck": "VBP|NN|VB",
    "pecked": "VBD|VBN",
    "pecks": "NNS|VBZ",
    "pecs": "NNS",
    "pectoral-front": "JJ",
    "pectoral-ribcage": "NN",
    "pectoralis": "NN",
    "pectorals": "NNS",
    "peculiar": "JJ|NN",
    "peculiarities": "NNS",
    "peculiarity": "NN",
    "peculiarly": "RB",
    "pecuniary": "JJ",
    "pedagogical": "JJ",
    "pedagogue": "NN",
    "pedal": "VB|NN",
    "pedaled": "VBN",
    "pedaling": "VBG",
    "pedals": "NNS|VBZ",
    "pedantic": "JJ",
    "peddle": "VB|VBP",
    "peddled": "VBN|VBD",
    "peddler": "NN",
    "peddlers": "NNS",
    "peddles": "VBZ",
    "peddling": "VBG|JJ|NN",
    "pedestal": "NN",
    "pedestals": "NNS",
    "pedestrian": "JJ|NN",
    "pedestrians": "NNS",
    "pediatric": "JJ",
    "pediatrician": "NN",
    "pediatrics": "NN",
    "pedigree": "NN",
    "pedigreed": "VBN",
    "pedimented": "VBN",
    "pee-wee": "JJ",
    "peed": "VBN|VBD",
    "peek": "NN|VB",
    "peeked": "VBD|VBN",
    "peeking": "VBG",
    "peel": "VB",
    "peel-off": "JJ",
    "peelback": "JJ",
    "peeled": "VBN|VBD",
    "peeling": "VBG|NN",
    "peels": "VBZ",
    "peep": "NN|VB",
    "peeping": "VBG",
    "peer": "VBP|NN|JJR",
    "peer-group": "JJ",
    "peered": "VBD|VBN",
    "peering": "VBG",
    "peerless": "JJ",
    "peers": "NNS|VBZ",
    "peeved": "VBN",
    "peeves": "NNS|VBZ",
    "peg": "VBP|NN",
    "pegboard": "NN",
    "pegboards": "NNS",
    "pegged": "VBN|VBD|JJ",
    "pegged-down": "JJ",
    "peggin": "NN",
    "pegging": "VBG",
    "pegs": "VBZ|NNS",
    "pejorative": "JJ",
    "pell-mell": "NN",
    "pellagra": "NN",
    "pellets": "NNS",
    "pelting": "JJ|VBG",
    "peltry": "NN",
    "pelts": "NNS|VBZ",
    "pelvic": "JJ|NN",
    "pelvis": "NN",
    "pemmican": "NN",
    "pen": "NN|VB",
    "pen-and-ink": "JJ",
    "pen-and-pencil": "JJ",
    "penal": "JJ",
    "penalize": "VB|VBP",
    "penalized": "VBN|VBD",
    "penalizes": "VBZ",
    "penalizing": "VBG",
    "penalties": "NNS",
    "penalty": "NN",
    "penalty-free": "JJ",
    "penalty-lending": "JJ",
    "penance": "NN",
    "pence": "NN|NNS",
    "penchant": "NN",
    "pencil": "NN",
    "pencil-and-sepia": "JJ",
    "pencil-pusher": "NN",
    "penciled": "VBN",
    "pencils": "NNS|VBZ",
    "pendant": "NN",
    "pending": "VBG|JJ",
    "pendulum": "NN",
    "penetrate": "VB|VBP",
    "penetrated": "VBN|VBD",
    "penetrates": "VBZ",
    "penetrating": "VBG|JJ",
    "penetration": "NN",
    "penetrations": "NNS",
    "penicillin": "NN",
    "peninsula": "NN",
    "penises": "NNS",
    "penitentiary": "NN",
    "penknife": "NN",
    "penman": "NN",
    "pennant": "NN",
    "pennants": "NNS",
    "penned": "VBN|VBD|JJ",
    "pennies": "NNS",
    "penniless": "JJ",
    "penning": "VBG",
    "penny": "NN",
    "penny-ante": "JJ",
    "penny-brokerage": "JJ",
    "penny-pinching": "JJ",
    "penny-stock": "JJ|NN",
    "penny-stockbroker": "NN",
    "penny-stocks": "NN",
    "penny-wise": "JJ",
    "pennystock": "NN",
    "pens": "NNS|VBZ",
    "pension": "NN",
    "pension-fund": "JJ|NN",
    "pension-industry": "JJ|NN",
    "pension-insurance": "JJ",
    "pension-minded": "JJ",
    "pension-plan": "NN",
    "pension-tax": "NN|JJ",
    "pensioner": "NN",
    "pensioners": "NNS",
    "pensions": "NNS",
    "pent-up": "JJ",
    "pentagon": "NN",
    "pentameter": "NN",
    "pentamidine": "NN",
    "penthouse": "NN",
    "penultimate": "JJ",
    "penurious": "JJ",
    "penury": "NN",
    "peonies": "NNS",
    "people": "NNS",
    "people-oriented": "JJ",
    "people...": ":",
    "peopled": "VBN",
    "peoples": "NNS",
    "pep": "NN|VB",
    "pepper": "NN|VB",
    "pepper-coated": "JJ",
    "peppered": "VBD|VBN|JJ",
    "peppering": "VBG",
    "peppermint": "NN",
    "peppermints": "NNS",
    "pepperoni": "NNS",
    "peppers": "NNS|VBZ",
    "peppery": "JJ",
    "pepping": "VBG",
    "peppy": "JJ",
    "peptidases": "NNS",
    "peptide": "NN",
    "peptides": "NNS",
    "peptizing": "VBG",
    "per": "IN|FW|RP|NNP",
    "per-ad": "JJ",
    "per-capita": "JJ|NNS",
    "per-day": "JJ",
    "per-game": "JJ",
    "per-passenger": "NN",
    "per-pupil": "JJ",
    "per-sale": "JJ",
    "per-share": "JJ|NN",
    "per-store": "JJ",
    "per-subscriber": "NN",
    "per-ton": "JJ",
    "per-year": "JJ",
    "perceive": "VBP|VB",
    "perceived": "VBN|VBD|JJ",
    "perceives": "VBZ",
    "perceiving": "VBG",
    "percent": "NN",
    "percentage": "NN",
    "percentage-point": "JJ",
    "percentages": "NNS",
    "percenter": "NN",
    "perceptible": "JJ",
    "perception": "NN",
    "perceptions": "NNS",
    "perceptive": "JJ",
    "perceptiveness": "NN",
    "perceptual": "JJ",
    "perch": "NN|VB",
    "perchance": "RB",
    "perched": "VBN|VBD",
    "perchlorate": "NN",
    "percolator": "NN",
    "percussion": "NN",
    "percussionist": "NN",
    "percussive": "JJ",
    "peremptory": "JJ",
    "perennial": "JJ",
    "perennially": "RB",
    "perennials": "NNS",
    "perestroika": "FW|NN",
    "perestrokia": "NN",
    "perfect": "JJ|VB",
    "perfect-attendance": "NN",
    "perfectability": "NN",
    "perfected": "VBN|VBD",
    "perfectibility": "NN",
    "perfecting": "VBG",
    "perfection": "NN",
    "perfectionism": "NN",
    "perfectionists": "NNS",
    "perfectly": "RB",
    "perfidious": "JJ",
    "perfidy": "NN",
    "perforated": "JJ|VBD|VBN",
    "perforations": "NNS",
    "perforce": "RB",
    "perform": "VB|VBP",
    "performance": "NN",
    "performance-based": "JJ",
    "performance-capacity": "NN",
    "performance-oriented": "JJ",
    "performance-related": "JJ",
    "performance-sharing": "JJ",
    "performances": "NNS",
    "performed": "VBN|VBD",
    "performer": "NN|JJ",
    "performers": "NNS",
    "performing": "VBG|JJ|NN",
    "performing-arts": "NNS",
    "performs": "VBZ",
    "perfume": "NN|VB",
    "perfumed": "JJ|VBN|VBD",
    "perfumery": "NN",
    "perfumes": "NNS|VBZ",
    "perfunctorily": "RB",
    "perfunctory": "JJ",
    "perfuses": "VBZ",
    "perfusion": "NN",
    "perhaps": "RB",
    "perhaps-decisive": "JJ",
    "peridontal": "JJ",
    "peril": "NN|VB",
    "perilla": "NN",
    "perilous": "JJ",
    "perilously": "RB",
    "perils": "NNS|VBZ",
    "perimeter": "NN",
    "perinatally": "RB",
    "period": "NN",
    "periodic": "JJ",
    "periodical": "NN",
    "periodically": "RB",
    "periodicals": "NNS",
    "periodicity": "NN",
    "periodontal": "JJ",
    "periods": "NNS",
    "peripheral": "JJ",
    "peripherally": "RB",
    "peripherals": "NNS",
    "periphery": "NN",
    "periphrastic": "JJ",
    "periscopes": "NNS",
    "perish": "VB",
    "perishable": "JJ",
    "perishables": "NNS",
    "perished": "VBD|VBN",
    "perishes": "VBZ",
    "perishing": "VBG",
    "peritoneal": "JJ",
    "periwinkles": "NNS",
    "perjury": "NN",
    "perk": "JJ|VB",
    "perked": "VBN|VBD",
    "perking": "VBG",
    "perks": "NNS|VBZ",
    "perky": "JJ",
    "permanant": "JJ",
    "permanence": "NN",
    "permanent": "JJ",
    "permanent-insurance": "JJ",
    "permanent-looking": "JJ",
    "permanently": "RB",
    "permeable": "JJ",
    "permeate": "VB",
    "permeated": "VBD|VBN",
    "permeates": "VBZ",
    "permeating": "VBG",
    "permissibility": "NN",
    "permissible": "JJ|NN",
    "permission": "NN",
    "permissive": "JJ",
    "permit": "VB|VBP|NN",
    "permits": "VBZ|NNS",
    "permitted": "VBN|JJ|VBD",
    "permitting": "VBG",
    "pernicious": "JJ",
    "peroxide": "NN",
    "perpendicular": "JJ",
    "perpendicularly": "RB",
    "perpetrate": "VB",
    "perpetrated": "VBN|VBD",
    "perpetration": "NN",
    "perpetrator": "NN",
    "perpetual": "JJ",
    "perpetually": "RB",
    "perpetuate": "VBP|VB|VBD|JJ",
    "perpetuated": "VBN",
    "perpetuates": "VBZ",
    "perpetuating": "VBG",
    "perpetuation": "NN",
    "perpetuity": "NN",
    "perplex": "VBP|VB",
    "perplexed": "JJ|VBN|VBD",
    "perplexing": "JJ|VBG",
    "perplexity": "NN",
    "perquisites": "NNS",
    "persecute": "VBP|VB",
    "persecuted": "VBN|VBD",
    "persecuting": "VBG",
    "persecution": "NN",
    "persecutors": "NNS",
    "persecutory": "JJ",
    "perseverance": "NN",
    "persevere": "VB|VBP",
    "persevered": "VBD|VBN",
    "perseveres": "VBZ",
    "pershare": "JJ",
    "persiflage": "NN",
    "persimmons": "NNS",
    "persist": "VB|VBP",
    "persisted": "VBD|VBN",
    "persistence": "NN|JJ",
    "persistency": "NN",
    "persistent": "JJ|NN",
    "persistently": "RB",
    "persisting": "VBG|JJ",
    "persists": "VBZ",
    "person": "NN",
    "person-to-person": "JJ",
    "persona": "NN|FW",
    "personae": "NNS",
    "personage": "NN",
    "personages": "NNS",
    "personal": "JJ|NN|NNP",
    "personal-care": "JJ|NN",
    "personal-computer": "NN|JJ",
    "personal-income": "JJ",
    "personal-income-tax": "JJ",
    "personal-injury": "JJ|NN",
    "personal-property": "NN",
    "personal-spending": "NN",
    "personalities": "NNS",
    "personality": "NN",
    "personalize": "VB",
    "personalized": "VBN|JJ|VBD",
    "personally": "RB",
    "personally-owned": "JJ",
    "personification": "NN",
    "personified": "VBN|VBD",
    "personifies": "VBZ",
    "personifying": "VBG",
    "personnel": "NNS|JJ",
    "persons": "NNS",
    "perspective": "NN|JJ",
    "perspectives": "NNS",
    "perspiration": "NN",
    "perspired": "VBD|VBN",
    "perspiring": "JJ|VBG",
    "persuade": "VB|VBP",
    "persuaded": "VBD|VBN",
    "persuaders": "NNS",
    "persuades": "VBZ",
    "persuading": "VBG|NN",
    "persuasion": "NN",
    "persuasions": "NNS",
    "persuasive": "JJ",
    "persuasively": "RB",
    "persuasiveness": "NN",
    "pert": "JJ",
    "pertain": "VBP|VB",
    "pertained": "VBP|VBD|VBN",
    "pertaining": "VBG",
    "pertains": "VBZ",
    "pertinence": "NN",
    "pertinent": "JJ",
    "perturbation": "NN",
    "perturbations": "NNS",
    "perturbed": "VBD|JJ|VBN",
    "pertussis": "NN",
    "perusal": "NN",
    "peruse": "VB|VBP",
    "perusing": "VBG",
    "pervade": "VBP|VB",
    "pervaded": "VBD|VBN",
    "pervades": "VBZ",
    "pervading": "VBG",
    "pervaporation": "NN",
    "pervasive": "JJ",
    "pervasively": "RB",
    "pervasiveness": "NN",
    "perverse": "JJ",
    "perversely": "RB",
    "perversion": "NN",
    "perversions": "NNS",
    "perversities": "NNS",
    "pervert": "NN|VB",
    "perverted": "VBN|JJ|VBD",
    "pesatas": "NNS",
    "peseta": "NN",
    "pesetas": "NNS",
    "peso": "NN",
    "pesos": "NNS",
    "pessimism": "NN",
    "pessimist": "NN",
    "pessimistic": "JJ",
    "pessimists": "NNS",
    "pest": "NN|JJS",
    "pest-control": "JJ",
    "pester": "VB",
    "pestering": "VBG",
    "pesticide": "NN",
    "pesticide-free": "JJ",
    "pesticide-reform": "NN",
    "pesticides": "NNS",
    "pestilence": "NN",
    "pestilent": "JJ",
    "pests": "NNS",
    "pet": "NN|VB|JJ",
    "pet-rabbit-raising": "JJ",
    "petals": "NNS",
    "peter": "VB|NN",
    "petered": "VBN|VBD",
    "petit": "FW",
    "petite": "JJ",
    "petition": "NN|VB",
    "petitioned": "VBD|VBN",
    "petitioner": "NN",
    "petitions": "NNS|VBZ",
    "petits": "FW|JJ",
    "petrified": "JJ|VBN",
    "petro-dollar": "JJ",
    "petrochemical": "NN|JJ",
    "petrochemicals": "NNS",
    "petroleum": "NN",
    "petroleum-exploration": "JJ",
    "petroleum-products": "NNS",
    "petroleum-related": "JJ",
    "petroleumproducts": "NNS",
    "pets": "NNS|VBZ",
    "petted": "VBN|VBD",
    "pettiness": "NN",
    "pettinesses": "NNS",
    "petting": "NN|VBG",
    "petty": "JJ",
    "petulance": "NN",
    "petulant": "JJ",
    "pew": "NN|UH",
    "pews": "NNS",
    "pewter": "NN",
    "peyote": "NN",
    "pfennig": "NN|FW",
    "pfennigs": "NNS",
    "pfffted": "VBD",
    "phagocytes": "NNS",
    "phalanx": "NN",
    "phantasy": "NN",
    "phantom": "JJ|VBP|NN",
    "pharamaceuticals": "NNS",
    "pharaohs": "NNS",
    "pharmaceutical": "JJ|NN",
    "pharmaceuticals": "NNS",
    "pharmacies": "NNS",
    "pharmacist": "NN",
    "pharmacists": "NNS",
    "pharmacological": "JJ",
    "pharmacology": "NN",
    "pharmacuetical": "JJ",
    "pharmacy": "NN",
    "phase": "NN|VB",
    "phase-in": "NN",
    "phase-one": "JJ",
    "phase-out": "NN|JJ",
    "phase-two": "JJ",
    "phased": "VBN|VBD",
    "phases": "NNS|VBZ",
    "phasing": "VBG",
    "phasing-out": "NN",
    "pheasant": "NN",
    "pheasants": "NNS",
    "phenolic": "NN|JJ",
    "phenomena": "NNS",
    "phenomenal": "JJ",
    "phenomenally": "RB",
    "phenomenological": "JJ",
    "phenomenon": "NN",
    "phenonenon": "NN",
    "phenothiazine": "NN",
    "philandering": "VBG",
    "philanthropic": "JJ",
    "philanthropies": "NNS",
    "philanthropist": "NN",
    "philanthropists": "NNS",
    "philanthropy": "NN",
    "philantrophy": "NN",
    "philantropists": "NNS",
    "philharmonic": "NN",
    "philodendron": "NN",
    "philological": "JJ",
    "philologists": "NNS",
    "philology": "NN",
    "philosopher": "NN",
    "philosophers": "NNS",
    "philosophic": "JJ",
    "philosophical": "JJ",
    "philosophically": "RB",
    "philosophies": "NNS",
    "philosophized": "VBD",
    "philosophizing": "VBG|NN",
    "philosophy": "NN",
    "phis": "NNS",
    "phlegm": "NN",
    "phloem": "NN",
    "phobia": "NN",
    "phobias": "NNS",
    "phobic-like": "JJ",
    "phoenix": "NN",
    "phone": "NN|VB|VBP",
    "phone-company": "NN",
    "phonebook": "NN",
    "phoned": "VBN|VBD",
    "phonemes": "NNS",
    "phonemic": "JJ",
    "phonemics": "NNS",
    "phones": "NNS|VBZ",
    "phonetic": "JJ",
    "phonetics": "NNS",
    "phoney": "JJ",
    "phonic": "JJ",
    "phonies": "NNS",
    "phoning": "VBG",
    "phonograph": "NN",
    "phonographs": "NNS",
    "phonologic": "JJ",
    "phonology": "NN",
    "phony": "JJ|NN",
    "phosgene": "NN",
    "phosphate": "NN",
    "phosphate-buffered": "NN",
    "phosphates": "NNS",
    "phosphide": "NN",
    "phosphine": "NN",
    "phosphines": "NNS",
    "phosphor": "NN",
    "phosphor-screen": "NN",
    "phosphorescent": "JJ",
    "phosphorous": "JJ",
    "phosphors": "NNS",
    "phosphorus": "NN",
    "phosphorus-bridged": "JJ",
    "photo": "NN|JJ",
    "photo-montage": "JJ",
    "photo-offset": "JJ",
    "photocathode": "NN",
    "photocathodes": "NNS",
    "photochemical": "JJ",
    "photocopiers": "NNS",
    "photocopy": "VB",
    "photocopying": "VBG|NN",
    "photoelectronic": "JJ",
    "photoelectrons": "NNS",
    "photofinishers": "NNS",
    "photofinishing": "NN",
    "photofloodlights": "NNS",
    "photogenic": "JJ",
    "photograph": "NN|VB",
    "photographed": "VBN|VBD",
    "photographer": "NN",
    "photographers": "NNS",
    "photographic": "JJ",
    "photographic-paper": "NN",
    "photographic-products": "JJ",
    "photographically": "RB",
    "photographing": "VBG|NN",
    "photographs": "NNS|VBZ",
    "photography": "NN",
    "photojournalism": "NN",
    "photoluminescence": "NN",
    "photomicrograph": "NN",
    "photomicrography": "NN",
    "photon-counting": "JJ",
    "photorealism": "NN",
    "photos": "NNS",
    "photosensitive": "JJ",
    "photosynthesis": "NN",
    "phrase": "NN",
    "phrased": "VBN|VBD",
    "phrasemaking": "NN",
    "phraseology": "NN",
    "phrases": "NNS",
    "phrasing": "NN",
    "phrasings": "NNS",
    "phthalate": "NN",
    "phyla": "NN",
    "physical": "JJ|NN",
    "physical-chemical": "JJ",
    "physically": "RB",
    "physicalness": "NN",
    "physicals": "NNS",
    "physician": "NN",
    "physician-executive": "JJ",
    "physician-owned": "JJ",
    "physician-patient": "JJ",
    "physician-reimbursement": "JJ",
    "physicians": "NNS",
    "physicist": "NN",
    "physicists": "NNS",
    "physics": "NN|NNS",
    "physiochemical": "JJ",
    "physiognomy": "NN",
    "physiologic": "JJ",
    "physiological": "JJ",
    "physiology": "NN",
    "physiotherapist": "NN",
    "physique": "NN",
    "pi": "NN",
    "pianism": "NN",
    "pianissimos": "NNS",
    "pianist": "NN",
    "pianist-comedian": "NN",
    "pianist/bassoonist/composer": "NN",
    "pianistic": "JJ",
    "pianists": "NNS",
    "piano": "NN",
    "pianos": "NNS",
    "piasters": "NNS",
    "piazza": "NN",
    "piazzas": "NNS",
    "picayune": "JJ",
    "pick": "VB|VBP|NN",
    "pick-up": "JJ|NN",
    "pickaxe": "NN",
    "picked": "VBD|VBN",
    "picker": "NN",
    "pickers": "NNS",
    "picket": "NN",
    "picketed": "VBD|VBN",
    "picketers": "NNS",
    "picketing": "NN|VBG",
    "pickets": "NNS",
    "pickier": "JJR",
    "pickiest": "JJS",
    "picking": "VBG|NN",
    "pickings": "NNS",
    "pickins": "NNS",
    "pickle": "NN",
    "pickled": "JJ",
    "pickles": "NNS",
    "pickoff": "NN",
    "pickoffs": "NNS",
    "pickpocket": "NN",
    "picks": "VBZ|NNS",
    "pickup": "NN|JJ",
    "pickup-bed": "NN",
    "pickups": "NNS",
    "picky": "JJ",
    "picnic": "NN",
    "picnicked": "VBD",
    "picnickers": "NNS",
    "picnics": "NNS",
    "pico": "NN",
    "picocassette": "NN",
    "pictorial": "JJ",
    "pictorially": "RB",
    "picture": "NN|VB|VBP",
    "picture-images": "NNS",
    "picture-palace": "NN",
    "picture-postcard": "NN",
    "picture-taking": "NN",
    "picture-tube": "JJ",
    "pictured": "VBN|VBD",
    "pictures": "NNS|VBZ",
    "picturesque": "JJ|NN",
    "picturesquely": "RB",
    "picturing": "VBG|NN",
    "piddling": "JJ|VBG",
    "pidgin": "NN|JJ",
    "pie": "NN|RP",
    "pie-in-the-sky": "NN|JJ",
    "piece": "NN|FW|VB",
    "piece-by-piece": "JJ",
    "pieced": "VBN|VBD",
    "piecemeal": "RB|NN",
    "pieces": "NNS|VBZ",
    "piecewise": "RB",
    "pied-a-terre": "FW",
    "pier": "NN",
    "pier-table": "NN",
    "pierce": "VB",
    "pierced": "VBN|VBD",
    "piercing": "VBG|JJ",
    "piers": "NNS",
    "pies": "NNS",
    "piety": "NN",
    "piezoelectric": "JJ",
    "piezoelectricity": "NN",
    "pig": "NN|VB",
    "pig-drunk": "JJ",
    "pig-infested": "JJ",
    "pigen": "NN",
    "pigeon": "NN",
    "pigeon-holed": "JJ",
    "pigeonhole": "NN|VB",
    "pigeonholing": "NN|VBG",
    "pigeons": "NNS",
    "piggyback": "NN|VB",
    "piggybacking": "VBG",
    "piglet": "NN",
    "piglets": "NNS",
    "pigment": "NN",
    "pigmented": "VBN",
    "pigments": "NNS",
    "pigpens": "NNS",
    "pigs": "NNS|VBZ",
    "pigskin": "NN",
    "pigsty": "NN",
    "pike": "NN",
    "piker": "NN",
    "pile": "NN|VBP|VB",
    "piled": "VBD|VBN|JJ",
    "piles": "NNS|VBZ",
    "pileup": "NN",
    "pileups": "NNS",
    "pilferers": "NNS",
    "pilfering": "VBG",
    "pilgrim": "NN",
    "pilgrimage": "NN",
    "pilgrimages": "NNS",
    "pilgrims": "NNS",
    "piling": "VBG|NN",
    "pilings": "NNS",
    "pill": "NN",
    "pill-factory": "JJ",
    "pillage": "VB|NN",
    "pillaged": "VBD|VBN|JJ",
    "pillar": "NN",
    "pillared": "JJ|VBN",
    "pillars": "NNS",
    "pilloried": "VBN|VBD",
    "pillorying": "VBG",
    "pillow": "NN|VB",
    "pillowcases": "NNS",
    "pillows": "NNS|VBZ",
    "pills": "NNS",
    "pilot": "NN|JJ|VB",
    "pilot-dominated": "JJ",
    "pilot-management": "JJ",
    "pilot-seniority": "NN",
    "pilot-training": "JJ|NN",
    "pilot-union": "JJ",
    "pilote": "FW",
    "piloting": "NN|VBG",
    "pilots": "NNS|VBZ",
    "pimp": "NN|VB",
    "pimpled": "JJ",
    "pimples": "NNS",
    "pimplike": "JJ",
    "pimps": "NNS|VBZ",
    "pin": "VB|NN|VBP",
    "pin-curl": "JJ",
    "pin-point": "JJ",
    "pin-pointed": "VBN",
    "pinafores": "NNS",
    "pinball": "NN",
    "pinball-parlor": "NN",
    "pinch": "NN|VB",
    "pinch-hit": "VB|VBD|VBN",
    "pinch-hitter": "NN",
    "pinch-hitters": "NNS",
    "pinched": "VBN|VBD|JJ",
    "pinches": "NNS|VBZ",
    "pinching": "VBG|NN",
    "pine": "VBP|NN|VB",
    "pine-knot": "JJ",
    "pineapple": "NN",
    "pines": "NNS|VBZ",
    "ping": "VB|NN",
    "ping-pong": "NN",
    "pinging": "VBG",
    "pinhead": "NN",
    "pinheaded": "JJ",
    "pinholes": "NNS",
    "pinioned": "VBN|VBD",
    "pink": "JJ|NN|VB",
    "pink-cheeked": "JJ",
    "pink-petticoated": "JJ",
    "pink-sheet": "JJ",
    "pinkish-white": "JJ",
    "pinkly": "RB",
    "pinks": "NNS|VBZ",
    "pinnacle": "NN",
    "pinnacles": "NNS",
    "pinned": "VBN|VBD",
    "pinning": "VBG|NN",
    "pinnings": "NNS",
    "pinochle": "NN",
    "pinpoint": "VB|NN|VBP",
    "pinpointed": "JJ|VBN|VBD",
    "pinpointing": "VBG",
    "pinpoints": "NNS|VBZ",
    "pins": "NNS|VBZ",
    "pinstripe-suited": "JJ",
    "pint": "NN",
    "pint-sized": "JJ",
    "pinto": "NN",
    "pints": "NNS",
    "pioneer": "NN|VB",
    "pioneered": "VBD|VBN",
    "pioneering": "JJ|VBG",
    "pioneers": "NNS|VBZ",
    "pious": "JJ",
    "piously": "RB",
    "pip": "UH|NN|VB",
    "pipe": "NN|VB",
    "piped": "VBD|VBN|JJ",
    "pipedreams": "NNS",
    "pipeline": "NN",
    "pipelines": "NNS",
    "piper": "NN",
    "pipers": "NNS",
    "pipes": "NNS|VBZ",
    "piping": "NN|VBG",
    "pipsqueak": "NN",
    "piquant": "JJ",
    "pique": "JJ|NN|VB",
    "piqued": "VBN|VBD",
    "piracy": "NN",
    "piranha": "NN|NNS",
    "pirate": "NN|VB",
    "pirated": "VBN|VBD",
    "pirates": "NNS|VBZ",
    "piroghi": "NNS",
    "pirogues": "NNS",
    "pirouette": "NN",
    "piss": "VB",
    "pistachio": "JJ",
    "pistils": "NNS",
    "pistol": "NN",
    "pistol-packing": "JJ",
    "pistol-whipped": "VBD",
    "pistoleers": "NNS",
    "pistols": "NNS",
    "piston": "NN",
    "piston-brake": "NN",
    "pistons": "NNS",
    "pit": "NN|VBP|VB",
    "pit-run": "JJ",
    "pitch": "NN|JJ|VB|VBP",
    "pitched": "VBD|JJ|VBN",
    "pitcher": "NN",
    "pitcher-coach": "NN",
    "pitchers": "NNS",
    "pitches": "NNS|VBZ",
    "pitchfork": "NN|VB",
    "pitching": "VBG|NN|JJ",
    "pitchmen": "NNS",
    "piteous": "JJ",
    "pitfall": "NN",
    "pitfalls": "NNS",
    "pith": "NN",
    "pithiest": "JJS",
    "pithy": "JJ",
    "pitiable": "JJ",
    "pitied": "VBD|VBN",
    "pitiful": "JJ",
    "pitifully": "RB",
    "pitiless": "JJ",
    "pitilessly": "RB",
    "pitons": "NNS",
    "pits": "NNS|VBZ",
    "pittance": "NN",
    "pitted": "VBN|VBD",
    "pitting": "VBG",
    "pituitary": "JJ|NN",
    "pituitary-gland": "NN",
    "pity": "NN|VBP",
    "pityingly": "RB",
    "pivot": "JJ|NN|VB",
    "pivotal": "JJ",
    "pivoting": "VBG",
    "pixie-like": "JJ",
    "pixies": "NNS",
    "pizazz": "NN",
    "pizza": "NN",
    "pizza-eating": "JJ",
    "pizzas": "NNS",
    "pizzas-with-everything": "NNS",
    "pizzazz": "NN",
    "pizzeria": "NN",
    "pizzerias": "NNS",
    "pizzicato": "NN",
    "pl.": "NNP",
    "placard": "NN|VB",
    "placard-carrying": "JJ",
    "placards": "NNS|VBZ",
    "placate": "VB",
    "placated": "VBN|VBD",
    "placating": "VBG",
    "place": "NN|VBP|RB|VB",
    "place-kicker": "NN",
    "place-kicking": "NN",
    "place-name": "JJ",
    "place-names": "NN|NNS",
    "placebo": "NN",
    "placed": "VBN|VBD",
    "placeless": "JJ",
    "placement": "NN",
    "placements": "NNS",
    "places": "NNS|VBZ",
    "placid": "JJ",
    "placing": "VBG|NN",
    "plagiarism": "NN",
    "plagiarize": "VB",
    "plagiarized": "VBN|VBD",
    "plagiarizers": "NNS",
    "plague": "VB|NN|VBP",
    "plague-sized": "JJ",
    "plagued": "VBN|VBD",
    "plagues": "VBZ",
    "plaguing": "VBG",
    "plaid": "NN|JJ",
    "plaid-floored": "JJ",
    "plaids": "NNS",
    "plain": "JJ|NN|RB|VB",
    "plain-clothes": "JJ",
    "plain-clothesmen": "NNS",
    "plain-out": "RB",
    "plain-spoken": "JJ",
    "plain-vanilla": "NN",
    "plainclothes": "NNS|JJ",
    "plainer": "JJR",
    "plainest": "JJS",
    "plainly": "RB",
    "plains": "NNS|VBZ",
    "plaintiff": "NN",
    "plaintiffs": "NNS",
    "plaintive": "JJ",
    "plaintively": "RB",
    "plan": "NN|VB|VBN|VBP",
    "planar": "JJ",
    "plane": "NN|VB",
    "plane-building": "NN",
    "planed": "VBN|VBD",
    "planeload": "NN",
    "planer": "NN",
    "planes": "NNS|VBZ",
    "planet": "NN",
    "planetarium": "NN",
    "planetary": "JJ",
    "planetary-science": "JJ",
    "planetoid": "NN",
    "planetoids": "NNS",
    "planets": "NNS",
    "plank": "NN|VB",
    "planking": "NN|VBG",
    "planks": "NNS|VBZ",
    "planned": "VBN|JJ|VBD",
    "planner": "NN",
    "planners": "NNS",
    "planning": "NN|VBG",
    "planoconcave": "JJ",
    "plans": "NNS|VBP|VBZ",
    "plant": "NN|VBP|VB",
    "plant-and-equipment": "JJ",
    "plant-closing": "JJ",
    "plant-expansion": "JJ",
    "plant-location": "JJ",
    "plant-modernization": "JJ",
    "plant-science": "NN",
    "plant-sciences": "JJ",
    "plant-vaccine": "JJ",
    "plant-wide": "JJ",
    "plantain": "NN",
    "plantation": "NN",
    "plantations": "NNS",
    "planted": "VBN|JJ|VBD",
    "planter": "NN",
    "planters": "NNS",
    "planting": "NN|VBG",
    "plantings": "NNS",
    "plants": "NNS|VBZ",
    "plaque": "NN",
    "plaques": "NNS",
    "plasm": "NN",
    "plasma": "NN",
    "plasmodium": "NN",
    "plaster": "NN|VB",
    "plaster-of-Paris": "NN",
    "plastered": "VBN|JJ|VBD",
    "plasterer": "NN",
    "plastering": "NN|VBG",
    "plasters": "NNS|VBZ",
    "plastic": "NN|JJ",
    "plastic-bodied": "JJ",
    "plastic-body": "JJ",
    "plastic-coated": "JJ",
    "plastic-covered": "JJ",
    "plastic-pipe": "JJ",
    "plastic-products": "NNS",
    "plastic-timber": "NN",
    "plastically": "RB",
    "plasticity": "NN",
    "plastics": "NNS",
    "plastics-industry": "NN",
    "plastisols": "NNS",
    "plate": "NN",
    "plateau": "NN",
    "plated": "VBN",
    "plateful": "JJ",
    "plates": "NNS",
    "platform": "NN",
    "platform-controller": "NN",
    "platforms": "NNS",
    "platinum": "NN",
    "platitudes": "NNS",
    "platitudinous": "JJ",
    "platoon": "NN",
    "platoons": "NNS",
    "platted": "VBN|VBD",
    "platter": "JJ|NN",
    "platters": "NNS",
    "plaudits": "NNS",
    "plausibility": "NN",
    "plausible": "JJ|NN",
    "plausibly": "RB",
    "play": "VB|NN|VBP",
    "play-acting": "NN",
    "play-by-play": "JJ",
    "play-girl": "NN",
    "play-it-safe": "JJ",
    "play-off": "NN",
    "playable": "JJ",
    "playback": "NN",
    "playbacks": "NNS",
    "playboy": "NN",
    "played": "VBD|VBN",
    "played-out": "JJ",
    "player": "NN",
    "players": "NNS",
    "playful": "JJ",
    "playfully": "RB",
    "playfulness": "NN",
    "playground": "NN",
    "playgrounds": "NNS",
    "playhouse": "NN",
    "playin": "VBG",
    "playing": "VBG|JJ|NN",
    "playland": "NN",
    "playmate": "NN",
    "playmates": "NNS",
    "playoff": "NN",
    "playoffs": "NNS",
    "playpen": "NN",
    "playroom": "NN",
    "plays": "VBZ|NNS|VBP",
    "playthings": "NNS",
    "playtime": "NN",
    "playwright": "NN",
    "playwright-director": "NN",
    "playwrights": "NNS",
    "playwriting": "NN",
    "plaza": "NN",
    "plazas": "NNS",
    "plea": "NN|VB",
    "plea-bargain": "JJ",
    "plead": "VB|VBP",
    "pleaded": "VBD|VBN",
    "pleader": "NN",
    "pleading": "VBG|JJ|NN",
    "pleadingly": "RB",
    "pleadings": "NNS",
    "pleads": "VBZ",
    "pleas": "NNS|VBZ",
    "pleasance": "NN",
    "pleasant": "JJ",
    "pleasantly": "RB",
    "pleasantness": "NN",
    "pleasantries": "NNS",
    "please": "VB|UH|VBP",
    "pleased": "VBN|JJ|VBD",
    "pleases": "VBZ",
    "pleasin": "VBG",
    "pleasing": "NN|JJ|VBG",
    "pleasingly": "RB",
    "pleasurable": "JJ",
    "pleasure": "NN|CC|JJ|VB",
    "pleasure-boat": "NN",
    "pleasure-seeking": "NN",
    "pleasures": "NNS|VBZ",
    "pleated": "JJ|VBD|VBN",
    "pleats": "NNS|VBZ",
    "plebeian": "JJ",
    "pledge": "NN|VB",
    "pledged": "VBD|VBN",
    "pledges": "NNS|VBZ",
    "pledging": "VBG",
    "plenary": "JJ",
    "plenipotentiary": "NN",
    "plenitude": "NN",
    "plentiful": "JJ",
    "plenty": "NN|JJ|RB",
    "plenum": "NN",
    "plethora": "NN",
    "pleura": "NNS",
    "pleural": "JJ",
    "pliable": "JJ",
    "pliant": "JJ",
    "plied": "VBD|VBN",
    "pliers": "NNS",
    "plies": "VBZ",
    "plight": "NN|VB",
    "plights": "NNS|VBZ",
    "plinking": "JJ",
    "plod": "VB",
    "plodded": "VBD|VBN",
    "plodding": "VBG|NN",
    "plods": "VBZ",
    "plopped": "VBD|VBN",
    "plot": "NN|VB|VBP",
    "plots": "NNS|VBZ",
    "plotted": "VBD|VBN",
    "plotters": "NNS",
    "plotting": "VBG|NN",
    "plough": "VB",
    "plow": "VB|NN|VBP",
    "plowed": "VBN|VBD|JJ",
    "plowing": "VBG|NN",
    "plows": "VBZ|NNS",
    "plowshares": "NNS",
    "ploy": "NN",
    "ploys": "NNS",
    "pluck": "VB|NN",
    "plucked": "VBN|VBD",
    "plucking": "VBG",
    "plucky": "JJ",
    "plug": "NN|VBP|VB",
    "plug-in": "JJ",
    "plugged": "VBD|VBN",
    "plugging": "VBG|NN",
    "plugs": "NNS|VBZ",
    "plugugly": "JJ|NN",
    "plum": "NN",
    "plumage": "NN",
    "plumb": "RB|JJ",
    "plumbed": "VBD",
    "plumber": "NN",
    "plumbers": "NNS",
    "plumbing": "NN",
    "plume": "NN|VB",
    "plumed": "JJ|VBD|VBN",
    "plumes": "NNS|VBZ",
    "plummet": "VB|NN|VBP",
    "plummeted": "VBD|VBN",
    "plummeting": "VBG",
    "plummetted": "VBD|VBN",
    "plump": "JJ|VB",
    "plumped": "VBD|VBN",
    "plumpness": "NN",
    "plumps": "VBZ",
    "plunder": "NN|VB",
    "plundered": "VBN|VBD",
    "plunderers": "NNS",
    "plundering": "NN|VBG",
    "plunge": "NN|VBP|VB",
    "plunged": "VBD|VBN",
    "plunges": "VBZ|NNS",
    "plunging": "VBG|NN",
    "plunked": "VBD|VBN",
    "plunkers": "NNS",
    "plunking": "VBG",
    "pluralism": "NN",
    "pluralist": "NN",
    "pluralistic": "JJ",
    "plurality": "NN",
    "pluri-party": "JJ",
    "plus": "CC|IN|JJ|NN|RB",
    "plus-one": "JJ|RB",
    "pluses": "NNS",
    "plush": "JJ|NN",
    "plutocratic": "JJ",
    "plutocrats": "NNS",
    "plutonium": "NN",
    "plutonium-based": "JJ",
    "plutonium-handling": "NN",
    "plutonium-powered": "JJ",
    "plutonium-recovery": "JJ",
    "ply": "VBP|VB",
    "plying": "VBG",
    "plywood": "NN",
    "pneumatic": "JJ",
    "pneumocystis": "NN",
    "pneumonia": "NN",
    "poachers": "NNS",
    "poaches": "VBZ",
    "poaching": "VBG",
    "poark": "NN",
    "pocket": "NN|VB",
    "pocket-size": "JJ",
    "pocketbook": "NN",
    "pocketbooks": "NNS",
    "pocketed": "VBD|VBN",
    "pocketful": "NN",
    "pocketing": "VBG",
    "pockets": "NNS|VBZ",
    "pockmarked": "VBN|JJ",
    "pod": "NN",
    "podiatric": "JJ",
    "podiatrist": "NN",
    "podium": "NN",
    "podiums": "NNS",
    "pods": "NNS",
    "poem": "NN",
    "poems": "NNS",
    "poems-in-drawing-and-type": "JJ",
    "poeple": "NN",
    "poet": "NN",
    "poet-painter": "NN",
    "poetic": "JJ",
    "poetically": "RB",
    "poetizing": "VBG",
    "poetry": "NN",
    "poetry-and-jazz": "NN|JJ",
    "poetry-writing": "JJ",
    "poets": "NNS",
    "pogroms": "NNS",
    "poignancy": "NN",
    "poignant": "JJ",
    "poignantly": "RB",
    "point": "NN|VBP|RB|VB",
    "point-blank": "JJ",
    "point-of-sale": "JJ",
    "point-spread": "JJ",
    "pointe": "FW",
    "pointed": "VBD|VBN|JJ",
    "pointedly": "RB",
    "pointer": "NN",
    "pointers": "NNS",
    "pointing": "VBG|NN",
    "pointless": "JJ",
    "points": "NNS|VBZ",
    "pointy": "JJ",
    "poise": "NN|VB",
    "poised": "VBN|VBD|JJ",
    "poised...": ":",
    "poises": "NNS|VBZ",
    "poison": "NN|JJ|VB",
    "poison-pill": "JJ|NN",
    "poisoned": "VBN|VBD",
    "poisoner": "NN",
    "poisoning": "NN|VBG",
    "poisonous": "JJ",
    "poivre": "FW|NN",
    "poke": "NN|VB",
    "poked": "VBD|VBN",
    "pokeneu": "FW",
    "poker": "NN",
    "pokerfaced": "JJ",
    "pokes": "VBZ",
    "pokey": "JJ",
    "poking": "VBG",
    "pol": "NN",
    "polar": "JJ",
    "polarities": "NNS",
    "polarity": "NN",
    "polarization": "NN",
    "polarize": "VB",
    "polarized": "VBN|VBD",
    "polarizing": "VBG",
    "pole": "NN|VB",
    "polecat": "NN",
    "polemic": "JJ",
    "polemical": "JJ",
    "polemics": "NNS",
    "poles": "NNS|VBZ",
    "police": "NN|VB|NNS",
    "police-community": "JJ",
    "police-dodging": "NN",
    "policed": "VBN|VBD",
    "policeman": "NN",
    "policeman-murderer": "NN",
    "policemen": "NNS",
    "polices": "NNS|VBZ",
    "policewoman": "NN",
    "policies": "NNS",
    "policing": "VBG|NN",
    "policy": "NN",
    "policy-coordination": "NN",
    "policy-makers": "NNS",
    "policy-making": "JJ|NN|VBG",
    "policy-oriented": "JJ",
    "policy-research": "NN",
    "policy-setting": "JJ",
    "policyholder": "NN",
    "policyholders": "NNS",
    "policymaker": "NN",
    "policymakers": "NNS",
    "policymaking": "JJ",
    "poling": "VBG",
    "polio": "NN",
    "polis": "NN",
    "polished": "JJ|VBN|VBD",
    "polishes": "NNS|VBZ",
    "polishing": "VBG|NN",
    "polite": "JJ",
    "politely": "RB",
    "politeness": "NN",
    "politic": "JJ|NN",
    "political": "JJ",
    "political-action": "JJ",
    "political-corruption": "NN",
    "political-reform": "JJ",
    "politically": "RB",
    "politician": "NN|JJ",
    "politicians": "NNS",
    "politicize": "VB",
    "politicized": "VBN|JJ|VBD",
    "politicizing": "VBG",
    "politicking": "NN",
    "politico": "NN",
    "politico-plaintiffs": "NNS",
    "politico-sociological": "JJ",
    "politicos": "NNS",
    "politics": "NNS",
    "polities": "NNS",
    "politique": "FW",
    "polity": "NN",
    "polivinylchloride": "NN",
    "polka": "NN",
    "polka-dotted": "JJ",
    "poll": "NN|JJ|VB",
    "poll-taker": "NN",
    "poll-takers": "NNS",
    "polled": "VBN|VBD",
    "pollen": "NN",
    "pollen-and-nectar": "NN",
    "pollen-inhibiting": "JJ",
    "pollen-producing": "VBG",
    "pollinate": "VBP|VB|VBD",
    "pollinated": "VBN",
    "pollinating": "VBG",
    "pollination": "NN",
    "polling": "NN|JJ|VBG",
    "pollings": "NNS",
    "polls": "NNS|VBZ",
    "pollster": "NN",
    "pollsters": "NNS",
    "pollutant": "NN",
    "pollutants": "NNS",
    "pollute": "VB",
    "polluted": "JJ|VBD|VBN",
    "polluter": "NN",
    "polluting": "VBG|JJ",
    "pollution": "NN",
    "pollution-causing": "JJ",
    "pollution-control": "JJ|NN",
    "pollution-free": "JJ",
    "pollution-reduction": "NN",
    "polo": "NN",
    "polonaise": "NN",
    "pols": "NNS",
    "poltergeists": "NNS",
    "poltically": "RB",
    "poly-unsaturated": "JJ",
    "polybutene": "NN",
    "polybutenes": "NNS",
    "polycrystalline": "JJ",
    "polyelectrolytes": "NNS",
    "polyester": "NN",
    "polyesters": "NNS",
    "polyether": "NN",
    "polyether-type": "JJ",
    "polyethers": "NNS",
    "polyethylene": "NN",
    "polygynous": "JJ",
    "polyisobutylene": "NN",
    "polyisocyanate": "NN",
    "polyisocyanates": "NNS",
    "polymer": "NN",
    "polymerase": "NN",
    "polymeric": "JJ",
    "polymerization": "NN",
    "polymerizations": "NNS",
    "polymers": "NNS",
    "polymyositis": "NN",
    "polynomial": "NN|JJ",
    "polynomials": "NNS",
    "polyols": "NNS",
    "polyphosphate": "NN",
    "polyphosphates": "NNS",
    "polyproplene": "NN",
    "polypropylene": "NN",
    "polyps": "NNS",
    "polyrhythms": "NNS",
    "polysilicon": "NN",
    "polysiloxanes": "NNS",
    "polystyrene": "NN",
    "polytonal": "JJ",
    "polyunsaturated": "JJ",
    "polyurethane": "NN",
    "polyvinyl": "NN|JJ",
    "pomaded": "VBN",
    "pomological": "JJ",
    "pomologist": "NN",
    "pomp": "NN",
    "pomp-filled": "JJ",
    "pompons": "NNS",
    "pompous": "JJ",
    "pompously": "RB",
    "pompousness": "NN",
    "poncho": "NN",
    "pond": "NN",
    "ponder": "VB|VBP",
    "pondered": "VBD|VBN",
    "pondering": "VBG",
    "ponderous": "JJ",
    "ponderousness": "NN",
    "ponders": "VBZ",
    "ponds": "NNS",
    "pong": "NN",
    "ponied": "VBD",
    "ponies": "NNS",
    "pontiff": "NN",
    "pontifical": "JJ",
    "pontificate": "VBP|VB|VBD",
    "pontificates": "VBZ",
    "pony": "NN",
    "pony-tailed": "JJ",
    "ponying": "VBG",
    "ponytails": "NNS",
    "pooch": "NN",
    "pooched": "VBD",
    "poodle": "NN",
    "poodles": "NNS",
    "poof": "NN",
    "pooh-poohed": "VB",
    "poohbah": "NN",
    "pool": "NN|VBP",
    "pool-care": "JJ",
    "pool-equipment": "NN",
    "pool-equipped": "JJ",
    "pool-owners": "NNS",
    "pool-side": "JJ|NN",
    "pool-table": "NN",
    "pool...": ":",
    "pooled": "VBN|JJ",
    "pooling": "VBG|NN",
    "pooling-of-interest": "JJ",
    "pooling-of-interests": "JJ",
    "pools": "NNS|VBZ",
    "poolside": "NN",
    "poor": "JJ|NN|NNP",
    "poor-mouth": "JJ",
    "poor-performing": "JJ",
    "poor-quality": "JJ",
    "poor-white-trash": "JJ",
    "poorer": "JJR|RBR",
    "poorer-quality": "JJR",
    "poorest": "JJS",
    "poorly": "RB",
    "pop": "NN|JJ|VB|VBP",
    "pop-music": "NN",
    "pop-out": "JJ",
    "popcorn": "NN",
    "pope": "NN",
    "poplar": "NN",
    "poplin": "NN",
    "popped": "VBD|VBN",
    "poppies": "NNS",
    "popping": "VBG",
    "poppy": "NN",
    "poppyseed": "NN",
    "pops": "VBZ",
    "populace": "NN",
    "popular": "JJ",
    "popular-priced": "JJ",
    "popularity": "NN",
    "popularize": "VB",
    "popularized": "VBD|VBN",
    "popularizing": "VBG",
    "popularly": "RB",
    "populate": "VB|VBP",
    "populated": "VBN|JJ|VBD",
    "populating": "VBG",
    "population": "NN",
    "population-control": "JJ",
    "population...": ":",
    "populations": "NNS",
    "populism": "NN",
    "populist": "JJ|NN",
    "populists": "NNS",
    "populous": "JJ",
    "porcelain": "NN",
    "porcelains": "NNS",
    "porch": "NN",
    "porches": "NNS",
    "porcupine": "NN",
    "porcupines": "NNS",
    "pore": "NN|VB",
    "pored": "VBN|VBD",
    "pores": "VBZ|NNS",
    "poring": "JJ|VBG",
    "pork": "NN",
    "pork-barrel": "JJ|NN",
    "pork-barrelers": "NNS",
    "pork-barreling": "NN",
    "porno-inspired": "JJ",
    "pornographer": "NN",
    "pornographic": "JJ",
    "pornography": "NN",
    "porosity": "NN",
    "porous": "JJ",
    "porpoise": "NN",
    "porpoises": "NNS",
    "porridge": "NN",
    "port": "NN|JJ",
    "port-of-call": "NN",
    "port-shopping": "NN",
    "port-side": "JJ",
    "portability": "NN",
    "portable": "JJ|NN",
    "portables": "NNS",
    "portal": "NN",
    "portant": "FW",
    "portend": "VB|VBP",
    "portended": "VBD|VBN",
    "portends": "VBZ",
    "portent": "NN",
    "portentous": "JJ",
    "portents": "NNS",
    "porter": "NN",
    "portering": "NN",
    "porters": "NNS",
    "portfolio": "NN",
    "portfolio-maker": "NN",
    "portfolio...": ":",
    "portfolios": "NNS",
    "portico": "NN",
    "porticoes": "NNS",
    "portion": "NN|VB",
    "portions": "NNS|VBZ",
    "portly": "JJ",
    "portrait": "NN",
    "portraits": "NNS",
    "portraiture": "NN",
    "portray": "VB|VBP",
    "portrayal": "NN",
    "portrayals": "NNS",
    "portrayed": "VBN|VBD",
    "portraying": "VBG",
    "portrays": "VBZ",
    "ports": "NNS",
    "portwatchers": "NNS",
    "pose": "VB|VBP|NN",
    "posed": "VBD|VBN|JJ",
    "poses": "VBZ",
    "poseur": "NN",
    "poseurs": "NNS",
    "posh": "JJ",
    "poshest": "JJS",
    "posing": "VBG",
    "position": "NN|VBP|VB",
    "position-building": "NN",
    "position-squaring": "NN",
    "position...": ":",
    "positional": "JJ",
    "positioned": "VBN|VBD|JJ",
    "positioning": "NN|VBG",
    "positions": "NNS|VBZ",
    "positionsthat": "NN",
    "positive": "JJ|NN",
    "positively": "RB",
    "positivism": "NN|JJ",
    "positivist": "NN",
    "positivists": "NNS",
    "posse": "NN",
    "posseman": "NN",
    "possemen": "NNS",
    "possess": "VB|VBP",
    "possessed": "VBD|VBN",
    "possesses": "VBZ",
    "possessing": "VBG",
    "possession": "NN",
    "possessions": "NNS",
    "possessive": "JJ",
    "possessor": "NN",
    "possibilities": "NNS",
    "possibility": "NN",
    "possible": "JJ|RB",
    "possiblities": "NNS",
    "possiblity": "NN",
    "possibly": "RB",
    "possum": "NN",
    "possum-hunting": "NN",
    "post": "NN|FW|IN|JJ|VB|VBD|VBP",
    "post-1979": "JJ",
    "post-1987": "JJ",
    "post-1997": "JJ",
    "post-Barre": "JJ",
    "post-Black": "JJ",
    "post-Civil": "NNP",
    "post-Deng": "JJ",
    "post-Hugo": "JJ",
    "post-Inaugural": "JJ",
    "post-June": "JJ",
    "post-Oct": "NNP",
    "post-Revolutionary": "JJ",
    "post-Vietnam": "JJ",
    "post-Watergate": "JJ",
    "post-World": "NNP|JJ",
    "post-attack": "JJ",
    "post-bankruptcy": "JJ",
    "post-bellum": "FW",
    "post-census": "NN",
    "post-chemotherapy": "JJ",
    "post-colonial": "JJ",
    "post-colonialism": "NN",
    "post-conviction": "JJ",
    "post-crash": "JJ",
    "post-earthquake": "JJ",
    "post-electoral": "JJ",
    "post-fray": "RB",
    "post-game": "JJ",
    "post-graduate": "JJ|NN",
    "post-hearing": "JJ",
    "post-hurricane": "JJ",
    "post-independence": "JJ",
    "post-merger": "JJ",
    "post-midnight": "JJ",
    "post-minimalist": "JJ",
    "post-modern": "JJ",
    "post-modernism": "NN",
    "post-mortal": "JJ",
    "post-mortem": "JJ|NN",
    "post-nuptial": "JJ",
    "post-operative": "JJ",
    "post-production": "NN|JJ",
    "post-quake": "JJ",
    "post-reapportionment": "JJ",
    "post-retirement": "JJ",
    "post-revolutionary": "JJ",
    "post-sale": "JJ",
    "post-season": "NN",
    "post-secondary": "JJ",
    "post-split": "JJ",
    "post-surgery": "JJ",
    "post-surgical": "JJ",
    "post-trial": "JJ",
    "post-war": "JJ|NN",
    "postage": "NN",
    "postage-prepaid": "JJ",
    "postage-stamp": "NN",
    "postal": "JJ",
    "postal-business": "JJ",
    "postcard": "NN",
    "postcards": "NNS",
    "postdoctoral": "JJ",
    "posted": "VBD|VBN|JJ",
    "poster": "NN",
    "poster-sized": "JJ",
    "posterior": "JJ",
    "posterity": "NN",
    "posters": "NNS",
    "postgraduate": "JJ",
    "posthumous": "JJ",
    "posting": "VBG|NN",
    "postings": "NNS",
    "postition": "NN",
    "postman": "NN",
    "postmark": "NN|VB",
    "postmarked": "VBN|VBD",
    "postmarks": "NNS|VBZ",
    "postmaster": "NN",
    "postmasters": "NNS",
    "postmen": "NNS",
    "postponable": "JJ",
    "postpone": "VB|VBP",
    "postponed": "VBN|JJ|VBD",
    "postponement": "NN",
    "postponements": "NNS",
    "postponing": "VBG",
    "postride": "JJ",
    "posts": "NNS|VBZ",
    "postscript": "NN",
    "postulate": "VB",
    "postulated": "VBN|JJ|VBD",
    "postulates": "NNS|VBZ",
    "posture": "NN|VBP|VB",
    "postured": "VBD|VBN",
    "postures": "NNS|VBZ",
    "posturing": "NN|VBG",
    "postwar": "JJ",
    "pot": "NN|VB",
    "potable": "JJ",
    "potash": "NN",
    "potassium": "NN",
    "potato": "NN",
    "potato-like": "JJ",
    "potato-supplier": "NN",
    "potatoes": "NNS",
    "potboiler": "NN",
    "potboilers": "NNS",
    "potency": "NN",
    "potent": "JJ",
    "potentates": "NNS",
    "potential": "JJ|NN",
    "potentialities": "NNS",
    "potentiality": "NN",
    "potentially": "RB",
    "potentials": "NNS",
    "potentiometer": "NN",
    "pothole": "NN",
    "potholes": "NNS",
    "pothos": "NN",
    "potion": "NN",
    "potions": "NNS",
    "potpourri": "NN",
    "pots": "NNS|VBZ",
    "pottage": "NN",
    "potted": "JJ|VBN|VBD",
    "potter": "NN|VB",
    "potters": "NNS|VBZ",
    "pottery": "NN",
    "potting": "VBG|NN",
    "potty": "NN",
    "pouch": "NN|VB",
    "pouches": "NNS|VBZ",
    "poultice": "NN|VB",
    "poultices": "NNS|VBZ",
    "poultry": "NN",
    "poultry-loving": "JJ",
    "pounce": "VB",
    "pounced": "VBD|VBN",
    "pouncing": "VBG",
    "pound": "NN|VB|VBP",
    "pound-DM": "JJ",
    "pound-deutsche": "JJ",
    "pound-foolish": "JJ",
    "pound-of-flesh": "JJ",
    "pounded": "VBN|VBD",
    "pounding": "VBG|NN",
    "pounds": "NNS|VBZ",
    "pour": "VB|FW|IN|VBP",
    "poured": "VBD|VBN",
    "poured-in-place": "VBN",
    "pouring": "VBG",
    "pours": "VBZ",
    "pout": "NN|VB",
    "pouted": "VBD|VBN",
    "pouty-looking": "JJ",
    "poverty": "NN",
    "poverty-stricken": "JJ",
    "powder": "NN|VB",
    "powdered": "JJ|VBN|VBD",
    "powderpuff": "NN",
    "powders": "NNS|VBZ",
    "powdery": "JJ",
    "power": "NN|VBP",
    "power-buying": "JJ",
    "power-company": "NN",
    "power-driven": "JJ",
    "power-generation": "NN|JJ",
    "power-grid": "NN",
    "power-hitter": "NN",
    "power-hungry": "JJ",
    "power-plant": "NN",
    "power-sharing": "JJ",
    "power-starved": "JJ",
    "power-steering": "NN",
    "power-surge": "NN",
    "power-switching": "JJ",
    "power-tool": "NN|JJ",
    "power-train": "NN",
    "power-transmission": "JJ",
    "powerboat": "NN",
    "powered": "VBN|JJ",
    "powerful": "JJ",
    "powerfully": "RB",
    "powerfulness": "NN",
    "powerhouse": "NN",
    "powerhouses": "NNS",
    "powering": "VBG",
    "powerless": "JJ",
    "powerlessness": "NN",
    "powerplants": "NNS",
    "powers": "NNS|VBZ",
    "powers-that-be": "NN",
    "powertrain": "NN",
    "powpow": "NN",
    "powwow": "NN",
    "pox": "NN",
    "pp.": "NNS",
    "pr": "NN",
    "practicability": "NN",
    "practicable": "JJ",
    "practical": "JJ|NN",
    "practicality": "NN",
    "practically": "RB",
    "practice": "NN|VB|VBP",
    "practiced": "VBN|VBD|JJ",
    "practices": "NNS|VBZ",
    "practicing": "VBG|NN",
    "practised": "JJ|VBD|VBN",
    "practising": "VBG",
    "practitioner": "NN",
    "practitioners": "NNS",
    "pragmatic": "JJ",
    "pragmatism": "NN",
    "pragmatist": "NN",
    "pragmatists": "NNS",
    "prai": "VBP",
    "prairie": "NN",
    "prairies": "NNS",
    "praise": "NN|VBP|VB",
    "praised": "VBD|JJ|VBN",
    "praises": "VBZ|NNS",
    "praiseworthy": "JJ",
    "praising": "VBG",
    "pram": "NN",
    "prams": "NNS",
    "prancing": "VBG|NN",
    "pranha": "NN",
    "prank": "NN|JJ",
    "pranks": "NNS",
    "pranksters": "NNS",
    "pratakku": "FW",
    "pratfalls": "NNS",
    "prattle": "NN|VB",
    "prawns": "NNS",
    "pray": "VB|VBP",
    "pray-for-growth-later": "JJ",
    "prayed": "VBD|VBN",
    "prayer": "NN",
    "prayer-requests": "NN",
    "prayer-time": "NN",
    "prayerbooks": "NNS",
    "prayerful": "JJ",
    "prayerfully": "RB",
    "prayers": "NNS",
    "prayin": "NN",
    "praying": "VBG|NN",
    "prays": "VBZ",
    "pre-18th-century": "JJ",
    "pre-1917": "JJ",
    "pre-1933": "JJ",
    "pre-1950s": "JJ",
    "pre-1960": "JJ",
    "pre-1967": "JJ",
    "pre-1986": "JJ",
    "pre-Anglo-Saxon": "JJ",
    "pre-Christmas": "JJ",
    "pre-Civil": "NNP",
    "pre-Communist": "JJ",
    "pre-Easter": "JJ",
    "pre-Fair": "JJ",
    "pre-French": "JJ",
    "pre-Freudian": "JJ",
    "pre-Gorbachev": "JJ",
    "pre-Han": "NNP",
    "pre-Hugo": "JJ",
    "pre-May": "JJ",
    "pre-Punic": "JJ",
    "pre-Reagan": "JJ",
    "pre-Revolutionary": "JJ",
    "pre-Sterling": "JJ",
    "pre-Vatican": "NNP",
    "pre-World": "NNP",
    "pre-World-War": "JJ",
    "pre-academic": "JJ",
    "pre-approved": "JJ|VBN",
    "pre-arranged": "JJ",
    "pre-assault": "JJ",
    "pre-bankruptcy": "NN",
    "pre-cast": "JJ",
    "pre-clinical": "JJ",
    "pre-college": "JJ",
    "pre-colonial": "NN",
    "pre-conditions": "NNS",
    "pre-conscious": "JJ",
    "pre-consumption": "NN",
    "pre-cooked": "JJ",
    "pre-cooled": "JJ",
    "pre-crash": "JJ",
    "pre-date": "VB|VBD",
    "pre-dawn": "JJ",
    "pre-determined": "JJ",
    "pre-drilled": "JJ",
    "pre-emancipation": "NN",
    "pre-eminence": "NN",
    "pre-eminent": "JJ",
    "pre-employment": "JJ|NN",
    "pre-empt": "VB|JJ",
    "pre-empted": "VBD|VBN",
    "pre-empting": "JJ|VBG",
    "pre-emption": "JJ",
    "pre-emptive": "JJ",
    "pre-existence": "JJ",
    "pre-existent": "JJ",
    "pre-existing": "JJ",
    "pre-festival": "JJ",
    "pre-financed": "JJ",
    "pre-fund": "VB",
    "pre-game": "JJ",
    "pre-historic": "JJ",
    "pre-history": "JJ|NN",
    "pre-independence": "NN",
    "pre-introduction": "JJ",
    "pre-kidnap": "JJ",
    "pre-kindergarten": "NN",
    "pre-legislative": "JJ",
    "pre-literate": "JJ",
    "pre-maquila": "JJ",
    "pre-margin": "JJ",
    "pre-marital": "JJ",
    "pre-market": "JJ",
    "pre-med": "JJ",
    "pre-merger": "JJ|NN",
    "pre-natal": "JJ",
    "pre-noon": "NN",
    "pre-nuptial": "JJ",
    "pre-packed": "JJ",
    "pre-paid": "VBD",
    "pre-penicillin": "JJ",
    "pre-planning": "NN",
    "pre-primary": "JJ",
    "pre-production": "JJ",
    "pre-publication": "JJ",
    "pre-quake": "JJ",
    "pre-recorded": "JJ",
    "pre-reform": "JJ",
    "pre-refunded": "JJ",
    "pre-register": "VB",
    "pre-registered": "VBN|JJ|VBD",
    "pre-sale": "JJ",
    "pre-school": "JJ",
    "pre-season": "JJ",
    "pre-selected": "VBN|JJ",
    "pre-selling": "VBG|NN",
    "pre-sentencing": "JJ",
    "pre-set": "JJ",
    "pre-signed": "VBN",
    "pre-split": "JJ",
    "pre-strike": "JJ",
    "pre-suspension": "JJ",
    "pre-tax": "JJ",
    "pre-tested": "VBN",
    "pre-trading": "JJ",
    "pre-transfer": "JJ",
    "pre-trial": "JJ|NN",
    "pre-try": "VB",
    "pre-vision": "JJ",
    "pre-war": "JJ|NN",
    "preach": "VBP|VB",
    "preached": "VBD|VBN",
    "preacher": "NN",
    "preacher-singer": "NN",
    "preachers": "NNS",
    "preaches": "VBZ",
    "preachiness": "NN",
    "preaching": "VBG|NN|JJ",
    "preachy": "JJ",
    "preadmission": "NN",
    "preamble": "NN",
    "preambles": "NNS",
    "preapproved": "VBN",
    "prearranged": "VBN|JJ",
    "precarious": "JJ",
    "precariously": "RB",
    "precaution": "NN",
    "precautionary": "JJ",
    "precautions": "NNS",
    "precede": "VB|VBP",
    "preceded": "VBN|VBD",
    "precedence": "NN",
    "precedent": "NN|JJ",
    "precedent-based": "JJ",
    "precedent-setting": "JJ",
    "precedents": "NNS",
    "precedes": "VBZ",
    "preceding": "VBG|JJ",
    "preceeded": "VBN",
    "preceeding": "VBG",
    "precept": "NN",
    "precepts": "NNS",
    "prechlorination": "NN",
    "precinct": "NN",
    "precincts": "NNS",
    "precious": "JJ|RB",
    "precious-metals": "NNS|JJ",
    "precipice": "NN",
    "precipice-walled": "JJ",
    "precipices": "NNS",
    "precipitate": "VB|NN",
    "precipitated": "VBD|VBN",
    "precipitating": "VBG",
    "precipitin": "NN",
    "precipitous": "JJ",
    "precipitously": "RB",
    "precise": "JJ",
    "precise-sounding": "JJ",
    "precisely": "RB",
    "precision": "NN|JJ",
    "precision-materials": "NNS",
    "precision-timing": "NN",
    "preclearance": "NN",
    "preclinical": "JJ",
    "preclude": "VB|VBP",
    "precluded": "JJ|VBD|VBN",
    "precludes": "VBZ",
    "precocious": "JJ",
    "precociously": "RB",
    "precocity": "NN",
    "precompetitive": "JJ",
    "preconceived": "JJ",
    "preconceptions": "NNS",
    "precondition": "NN",
    "preconditioned": "VBD|VBN",
    "preconditions": "NNS",
    "preconference": "JJ",
    "preconscious": "JJ",
    "precooked": "VBN",
    "precrash": "JJ",
    "precursor": "NN",
    "precursors": "NNS",
    "precursory": "JJ",
    "precut": "JJ",
    "predates": "VBZ",
    "predator": "NN",
    "predators": "NNS",
    "predatory": "JJ",
    "predawn": "JJ",
    "predecessor": "NN",
    "predecessors": "NNS",
    "predestined": "VBN",
    "predetermined": "VBN|VBD",
    "predicament": "NN",
    "predicated": "VBN|VBD",
    "predicates": "NNS|VBZ",
    "predicator": "NN",
    "predict": "VBP|VB",
    "predictability": "NN",
    "predictable": "JJ",
    "predictably": "RB",
    "predicted": "VBD|JJ|VBN",
    "predicting": "VBG|NN",
    "predicting-machines": "NNS",
    "prediction": "NN",
    "predictions": "NNS",
    "predictive": "JJ",
    "predictor": "NN",
    "predictors": "NNS",
    "predicts": "VBZ",
    "predigested": "VBN",
    "predilection": "NN",
    "predilections": "NNS",
    "predispose": "VB|VBP",
    "predisposed": "VBN|VBD",
    "predisposing": "VBG",
    "predisposition": "NN",
    "predispositions": "NNS",
    "prednisone": "NN",
    "predominance": "NN",
    "predominant": "JJ",
    "predominantly": "RB",
    "predominate": "VBP|VB",
    "predominated": "VBD|VBN",
    "predominately": "RB",
    "predominates": "VBZ",
    "predominating": "VBG",
    "predomination": "NN",
    "preemployment": "NN",
    "preempt": "VB",
    "preemptive": "JJ",
    "preening": "VBG",
    "prefab": "JJ",
    "prefabricated": "VBN",
    "preface": "NN|VB",
    "prefaced": "VBD|VBN",
    "prefectural": "JJ",
    "prefecture": "NN",
    "prefectures": "NNS",
    "prefer": "VB|VBP",
    "preferable": "JJ",
    "preferably": "RB",
    "preference": "NN",
    "preferences": "NNS",
    "preferential": "JJ",
    "preferentially": "RB",
    "preferment": "NN",
    "preferrance": "NN",
    "preferred": "JJ|VBD|VBG|VBN",
    "preferred-dividend": "JJ",
    "preferred-share": "JJ|NN",
    "preferred-stock": "JJ|NN",
    "preferring": "VBG",
    "prefers": "VBZ",
    "prefixes": "NNS",
    "preflight": "JJ|NN",
    "prefuh": "VB",
    "prefund": "VB",
    "pregnancies": "NNS",
    "pregnancy": "NN",
    "pregnant": "JJ",
    "prehistoric": "JJ",
    "preisolated": "VBN",
    "prejudged": "VBN",
    "prejudging": "VBG",
    "prejudice": "NN|VB",
    "prejudiced": "VBN|JJ|VBD",
    "prejudices": "NNS|VBZ",
    "prejudicial": "JJ",
    "prelate": "NN",
    "preliminaries": "NNS",
    "preliminarily": "RB",
    "preliminary": "JJ|NN",
    "preliterate": "JJ",
    "prelude": "NN",
    "premarital": "JJ",
    "premature": "JJ",
    "prematurely": "RB",
    "premediated": "JJ",
    "premeditated": "JJ",
    "premier": "NN|JJ|JJR|VB",
    "premiere": "NN|VBP|JJ|VB",
    "premiered": "VBD|VBN",
    "premieres": "NNS|VBZ",
    "premiering": "VBG|NN",
    "premise": "NN|VB",
    "premises": "NNS|VBZ",
    "premium": "NN|JJ",
    "premium-beer": "NN",
    "premium-brand": "JJ",
    "premium-food": "NN",
    "premium-priced": "JJ",
    "premiums": "NNS",
    "premix": "NN",
    "premonition": "NN",
    "premonitions": "NNS",
    "premonitory": "JJ",
    "prenatal": "JJ|RB",
    "preoccupation": "NN",
    "preoccupations": "NNS",
    "preoccupied": "VBN|JJ",
    "preoccupies": "VBZ",
    "preoccupy": "VBP",
    "preordained": "VBN",
    "preordainment": "NN",
    "prep": "JJ|NN",
    "prepackaged": "VBN",
    "prepaid": "JJ|VBN|VBD",
    "prepaid-tuition": "JJ",
    "preparation": "NN",
    "preparations": "NNS",
    "preparative": "JJ",
    "preparatives": "NNS",
    "preparatory": "JJ",
    "prepare": "VB|VBP",
    "prepared": "VBN|VBD|JJ",
    "preparedness": "NN",
    "preparer": "NN",
    "preparers": "NNS",
    "prepares": "VBZ",
    "preparing": "VBG",
    "prepay": "VB",
    "prepaying": "VBG",
    "prepayment": "NN",
    "prepayment-protected": "JJ",
    "prepayments": "NNS",
    "prepolymer": "NN",
    "preponderance": "NN",
    "preponderantly": "RB",
    "preponderating": "JJ|VBG",
    "preposition": "NN",
    "prepositional": "JJ",
    "prepositioning": "JJ",
    "preposterous": "JJ",
    "preppie": "NN",
    "prepping": "VBG",
    "preppy": "JJ",
    "prepreg": "NN",
    "preprepared": "VBN",
    "preprinting": "NN",
    "preprivatization": "NN",
    "prepubescent": "JJ",
    "prepublication": "NN",
    "prepupal": "JJ",
    "prepurchase": "JJ",
    "preradiation": "NN",
    "prerecorded": "VBN",
    "preregistration": "NN",
    "prerequisite": "NN|JJ",
    "prerequisites": "NNS",
    "prerogative": "NN",
    "prerogatives": "NNS",
    "presage": "VB|VBP",
    "presaged": "VBD|VBN",
    "presages": "VBZ",
    "presaging": "VBG",
    "presale": "NN|JJ",
    "preschool": "JJ",
    "preschooler": "NN",
    "preschoolers": "NNS",
    "prescient": "JJ",
    "prescribe": "VB|VBP",
    "prescribed": "VBN|JJ|VBD",
    "prescriber": "NN",
    "prescribers": "NNS",
    "prescribes": "VBZ",
    "prescribing": "VBG",
    "prescription": "NN",
    "prescription-drug": "NN|JJ",
    "prescriptions": "NNS",
    "prescriptive": "JJ",
    "presence": "NN",
    "presences": "NNS",
    "present": "JJ|VBP|RB|NN|VB",
    "present-day": "JJ",
    "present-time": "JJ",
    "presentable": "JJ",
    "presentation": "NN",
    "presentational": "JJ",
    "presentations": "NNS",
    "presente": "JJ",
    "presented": "VBN|VBD",
    "presenter": "NN",
    "presenters": "NNS",
    "presenting": "VBG",
    "presently": "RB",
    "presentlye": "NN",
    "presentments": "NNS",
    "presentness": "NN",
    "presents": "VBZ|NNS",
    "preservation": "NN",
    "preservative": "JJ",
    "preserve": "VB|VBP|NN",
    "preserved": "VBN|JJ|VBD",
    "preserves": "VBZ|NNS",
    "preserving": "VBG",
    "preset": "JJ|VB|VBD|VBN",
    "preside": "VB",
    "presided": "VBD|VBN",
    "presidency": "NN",
    "president": "NN|NNP",
    "president-U.S.": "NN",
    "president-elect": "NN",
    "president-engineering": "NN",
    "president-finance": "NN",
    "president-international": "NN",
    "president-marketing": "JJ",
    "president/chief": "NN",
    "president/finance": "NN",
    "president/national-government": "NN",
    "president/product": "NN",
    "president/public": "JJ",
    "presidential": "JJ",
    "presidential-primary": "NN",
    "presidents": "NNS",
    "presides": "VBZ",
    "presiding": "VBG",
    "presorting": "NN",
    "press": "NN|VBP|VB",
    "press-forge": "NN",
    "press-freedom": "NN",
    "press-ganged": "JJ",
    "press-release": "NN",
    "pressed": "VBN|VBD|JJ",
    "pressed-paper": "JJ",
    "presser": "NN",
    "presses": "NNS|VBZ",
    "pressing": "VBG|JJ",
    "pressman": "NN",
    "pressure": "NN|VB|VBP",
    "pressure-cooker": "NN",
    "pressure-formed": "JJ",
    "pressure-measurement": "NN",
    "pressure-measuring": "JJ",
    "pressure-sensing": "JJ",
    "pressure-volume-temperature": "NN",
    "pressure...": ":",
    "pressured": "JJ|VBN|NN|VBD",
    "pressures": "NNS|VBZ",
    "pressuring": "VBG",
    "pressurized": "VBN|VBD|JJ",
    "prestidigitation": "NN",
    "prestidigitator": "NN",
    "prestige": "NN|JJ",
    "prestige-sentitive": "JJ",
    "prestigious": "JJ",
    "presto": "RB",
    "presumably": "RB",
    "presume": "VB|VBP",
    "presumed": "VBN|JJ|VBD",
    "presumes": "VBZ",
    "presuming": "VBG",
    "presumption": "NN",
    "presumptions": "NNS",
    "presumptuous": "JJ",
    "presuppose": "VBP|VB",
    "presupposes": "VBZ",
    "presupposition": "NN",
    "presuppositions": "NNS",
    "pretax": "JJ|NN",
    "pretence": "NN",
    "pretend": "VB|JJ",
    "pretended": "VBD|VBN",
    "pretending": "VBG",
    "pretends": "VBZ",
    "pretense": "NN",
    "pretenses": "NNS",
    "pretensions": "NNS",
    "pretentious": "JJ",
    "pretest": "NN",
    "pretext": "NN",
    "pretexts": "NNS",
    "pretreatment": "NN|JJ",
    "pretrial": "JJ",
    "prettier": "JJR",
    "prettiest": "JJS",
    "prettily": "RB",
    "prettiness": "NN",
    "pretty": "RB|JJ",
    "pretty-good-rated": "JJ",
    "pretty-much": "JJ",
    "prevail": "VB|VBP",
    "prevaile": "VB",
    "prevailed": "VBD|VBN",
    "prevailin": "NN",
    "prevailing": "VBG|JJ",
    "prevails": "VBZ",
    "prevalance": "NN",
    "prevalence": "NN",
    "prevalent": "JJ|NN",
    "prevayle": "VB",
    "prevent": "VB|VBP",
    "preventable": "JJ",
    "preventative": "JJ",
    "preventatives": "NNS",
    "prevented": "VBN|VBD",
    "preventing": "VBG",
    "prevention": "NN",
    "preventive": "JJ|NN",
    "prevents": "VBZ",
    "preview": "NN",
    "previewing": "VBG",
    "previews": "NNS",
    "previous-month": "JJ",
    "previous-year": "JJ",
    "previously": "RB",
    "prevision": "NN",
    "previsions": "NNS",
    "prewar": "JJ",
    "prey": "VBP|NN|VB",
    "preying": "VBG",
    "price": "NN|VBP",
    "price-adjusted": "JJ",
    "price-and-seasonally": "RB",
    "price-based": "JJ",
    "price-competitive": "JJ",
    "price-conscious": "JJ",
    "price-consciousness": "NN",
    "price-corroding": "JJ",
    "price-cutting": "NN|JJ",
    "price-depressing": "JJ",
    "price-determination": "JJ",
    "price-driven": "JJ",
    "price-earnings": "NNS|JJ|NN",
    "price-fixing": "NN|JJ",
    "price-gouging": "NN",
    "price-growth": "JJ",
    "price-increase": "NN",
    "price-jarring": "JJ",
    "price-jolting": "JJ",
    "price-level": "JJ",
    "price-moving": "JJ",
    "price-reform": "JJ",
    "price-reporting": "NN",
    "price-sensitive": "JJ",
    "price-setting": "NN",
    "price-skirmishing": "JJ",
    "price-slashing": "JJ|NN",
    "price-stability": "NN",
    "price-stabilized": "JJ",
    "price-stabilizing": "JJ",
    "price-support": "JJ|NN",
    "price-supporting": "JJ",
    "price-to-book": "JJ",
    "price-to-earnings": "JJ",
    "price-valuation": "NN",
    "price-value": "NN|JJ",
    "price-weakening": "NN",
    "price-wise": "JJ",
    "price/earnings": "NNS",
    "pricecutting": "NN",
    "priced": "VBN|JJ|VBD",
    "priceless": "JJ",
    "prices": "NNS|VBZ",
    "prices...": ":",
    "pricetags": "NNS",
    "pricey": "JJ",
    "pricier": "JJR",
    "priciest": "JJS",
    "pricing": "NN|VBG",
    "pricings": "NNS",
    "prick": "NN|VB",
    "pricked": "VBN|VBD",
    "pricking": "VBG",
    "prickly": "JJ|RB",
    "pricks": "NNS|VBZ",
    "pride": "NN|VBP|VB",
    "prided": "VBD|VBN",
    "prides": "VBZ",
    "prie-dieu": "FW",
    "pries": "VBZ",
    "priest": "NN",
    "priestly": "JJ",
    "priests": "NNS",
    "prim": "JJ",
    "prima": "NN",
    "prima-facie": "FW|JJ",
    "primacy": "NN",
    "primal": "JJ",
    "primaries": "NNS",
    "primarily": "RB",
    "primarly": "RB",
    "primary": "JJ|NN",
    "primary-color": "JJ",
    "primary-election": "NN",
    "primates": "NNS",
    "prime": "JJ|NN|VB",
    "prime-1": "NN",
    "prime-3": "NN",
    "prime-time": "JJ|NN",
    "primed": "VBN|JJ|VBD",
    "primers": "NNS",
    "primes": "NNS|VBZ",
    "primetime": "NN|JJ",
    "primeval": "JJ",
    "priming": "VBG|NN",
    "primitive": "JJ",
    "primitive-eclogue": "JJ",
    "primitives": "NNS",
    "primitivism": "NN",
    "primly": "RB",
    "primordial": "JJ",
    "primping": "VBG",
    "prince": "NN",
    "princely": "JJ",
    "princes": "NNS",
    "princess": "NN",
    "princess-in-a-carriage": "NN",
    "princesse": "JJ|NN",
    "principal": "JJ|NN",
    "principal-only": "JJ",
    "principally": "RB",
    "principals": "NNS",
    "principle": "NN",
    "principled": "JJ",
    "principles": "NNS",
    "princpal": "NN",
    "print": "NN|VB|VBP",
    "print-developing": "JJ",
    "print-out": "JJ",
    "print-shop": "NN",
    "printable": "JJ",
    "printed": "VBN|VBD|JJ",
    "printer": "NN",
    "printers": "NNS",
    "printing": "NN|VBG",
    "printing-equipment": "NN",
    "printing-ink": "JJ",
    "printing-press": "NN",
    "printing-systems": "NNS",
    "printmaking": "NN",
    "printout": "NN",
    "printouts": "NNS",
    "prints": "NNS|VBZ",
    "prior": "RB|NN|JJ",
    "prior-approval": "JJ",
    "prior-day": "JJ",
    "prior-notice": "JJ",
    "prior-review": "JJ",
    "prior-year": "JJ",
    "priori": "FW",
    "priorities": "NNS",
    "priority": "NN|JJ",
    "prison": "NN|VB",
    "prisoner": "NN",
    "prisoner-made": "JJ",
    "prisoners.": "NNS",
    "prisons": "NNS|VBZ",
    "pristine": "JJ",
    "privacy": "NN",
    "private": "JJ|NN|RB",
    "private-bank": "JJ",
    "private-banking": "JJ",
    "private-detective": "NN",
    "private-eye": "NN",
    "private-insurance": "NN",
    "private-label": "JJ|NN",
    "private-line": "JJ",
    "private-management": "NN",
    "private-placement": "JJ|NN",
    "private-school": "JJ|NN",
    "private-sector": "JJ|NN",
    "privately": "RB",
    "privately-owned": "JJ",
    "privation": "NN",
    "privations": "NNS",
    "privatization": "NN",
    "privatization-consulting": "JJ",
    "privatizations": "NNS",
    "privatize": "VB",
    "privatized": "VBN|VBD|JJ",
    "privatizing": "VBG",
    "privet": "NN",
    "privies": "NNS",
    "privilege": "NN|VB",
    "privileged": "JJ|VBD|VBN",
    "privileges": "NNS|VBZ",
    "privileging": "VBG",
    "privvy": "JJ",
    "privy": "JJ|NN",
    "prize": "NN|JJ|VBP|VB",
    "prize-fight": "JJ",
    "prize-fighter": "NN",
    "prize-winning": "JJ",
    "prized": "VBN|JJ|VBD",
    "prizes": "NNS|VBZ",
    "pro": "FW|IN|JJ|NN",
    "pro-ALPA": "JJ",
    "pro-Castro": "JJ",
    "pro-Communist": "JJ|NNP",
    "pro-Europe": "JJ",
    "pro-Gorbachev": "JJ",
    "pro-Hearst": "JJ",
    "pro-Iranian": "JJ",
    "pro-NATO": "JJ",
    "pro-Noriega": "JJ",
    "pro-Reagan": "JJ",
    "pro-Republican": "JJ",
    "pro-Socialist": "JJ",
    "pro-Soviet": "JJ",
    "pro-Trujillo": "JJ",
    "pro-U.N.F.P.": "JJ",
    "pro-Western": "JJ|NNP",
    "pro-Yankee": "NN",
    "pro-abortion": "JJ",
    "pro-active": "JJ",
    "pro-ball": "NN",
    "pro-business": "JJ",
    "pro-choice": "JJ",
    "pro-consumer": "NN|JJ",
    "pro-consumption": "NN",
    "pro-cut": "JJ",
    "pro-democracy": "JJ",
    "pro-enterprise": "JJ",
    "pro-environment": "NN",
    "pro-environmental": "JJ",
    "pro-family": "NN",
    "pro-forma": "FW",
    "pro-growth": "JJ",
    "pro-independence": "JJ",
    "pro-investment": "JJ",
    "pro-labor": "JJ",
    "pro-life": "JJ",
    "pro-mark": "JJ",
    "pro-market": "JJ",
    "pro-neutralist": "JJ",
    "pro-rata": "JJ",
    "pro-rated": "JJ",
    "pro-reform": "JJ|NN",
    "pro-repeal": "JJ",
    "pro-sealed-records": "JJ",
    "pro-selected": "JJ",
    "pro-shareholder": "NN",
    "pro-student": "JJ",
    "pro-tem": "JJ",
    "pro-union": "JJ",
    "probabilistic": "JJ",
    "probabilities": "NNS",
    "probability": "NN",
    "probable": "JJ",
    "probably": "RB",
    "probaby": "NN",
    "probate": "NN",
    "probation": "NN",
    "probe": "NN|VBP|VB",
    "probe-based": "JJ",
    "probed": "VBD|VBN",
    "probes": "NNS|VBZ",
    "probing": "VBG|JJ|NN",
    "probings": "NNS",
    "probity": "NN",
    "problem": "NN|JJ",
    "problem-solving": "JJ|NN",
    "problem-the": "JJ",
    "problematic": "JJ",
    "problematical": "JJ",
    "problematics": "NNS",
    "probly": "RB",
    "proboscis": "NN",
    "procedural": "JJ",
    "procedurally": "RB",
    "procedure": "NN",
    "procedures": "NNS|VBZ",
    "proceed": "VB|VBP",
    "proceeded": "VBD|VBN",
    "proceeding": "VBG|NN",
    "proceedings": "NNS",
    "proceeds": "NNS|VBZ",
    "process": "NN|VBP|VB|JJ",
    "process-control": "NN",
    "process-server": "NN",
    "processed": "VBN|VBD|JJ",
    "processed-foods": "JJ",
    "processed-meat": "JJ",
    "processed-meats": "NNS",
    "processes": "NNS|VBZ",
    "processing": "NN|VBG",
    "procession": "NN",
    "processional": "NN",
    "processor": "NN",
    "processors": "NNS",
    "prochoice": "NN",
    "proclaim": "VB|VBP",
    "proclaimed": "VBD|JJ|VBN",
    "proclaiming": "VBG",
    "proclaims": "VBZ",
    "proclamation": "NN",
    "proclamations": "NNS",
    "proclivities": "NNS",
    "procrastinate": "VB",
    "procrastinated": "VBD|VBN",
    "procrastination": "NN",
    "procreate": "VB",
    "procreation": "NN",
    "procreative": "JJ",
    "procreativity": "NN",
    "proctor": "NN|VB|JJ",
    "proctors": "NNS|VBZ",
    "procure": "VB",
    "procured": "VBN|VBD",
    "procurement": "NN|JJ",
    "procurer": "NN",
    "prod": "VB|NN",
    "prodded": "VBN|VBD",
    "prodding": "VBG|NN",
    "prodigal": "JJ",
    "prodigally": "RB",
    "prodigies": "NNS",
    "prodigious": "JJ",
    "prodigiously": "RB",
    "prodigy": "NN",
    "prods": "VBZ|NNS",
    "produce": "VB|VBP|NN",
    "produced": "VBN|VBD",
    "producer": "NN",
    "producer-consumer": "JJ",
    "producer-hubby": "NN",
    "producer-price": "JJ|NN",
    "producer/director": "NN",
    "producers": "NNS",
    "produces": "VBZ",
    "producin": "VBG",
    "producing": "VBG|JJ|NN",
    "product": "NN",
    "product-design": "JJ",
    "product-development": "NN",
    "product-inspection": "JJ",
    "product-launch": "NN",
    "product-liability": "NN|JJ",
    "product-line": "NN",
    "product-marketing": "NN",
    "product-monoclonal": "JJ",
    "product-registration": "NN",
    "product-related": "JJ",
    "product-swap": "NN",
    "product-testing": "NN",
    "production": "NN",
    "production-ceiling": "NN",
    "production-cost": "NN",
    "production-rate": "JJ",
    "production-sharing": "JJ|NN",
    "productions": "NNS",
    "productive": "JJ",
    "productivity": "NN",
    "productivity-based": "JJ",
    "productivity-share": "NN",
    "products": "NNS",
    "products...": ":",
    "proessional": "NN",
    "prof": "NN",
    "profane": "JJ|VB",
    "profanity": "NN",
    "profess": "VBP|VB",
    "professed": "VBN|VBD|JJ",
    "professedly": "RB",
    "professes": "VBZ",
    "professeur": "NN",
    "professing": "VBG",
    "profession": "NN",
    "professional": "JJ|NN",
    "professional-design": "JJ",
    "professional-level": "JJ",
    "professional/executive": "JJ",
    "professionalism": "NN",
    "professionally": "RB",
    "professionals": "NNS",
    "professions": "NNS",
    "professor": "NN",
    "professorial": "JJ",
    "professoriate": "NN",
    "professors": "NNS",
    "professorship": "NN",
    "professorships": "NNS",
    "profet": "NN",
    "proffer": "VB",
    "proffered": "VBN|VBD",
    "profferred": "VBN",
    "proficiency": "NN",
    "proficient": "JJ",
    "profile": "NN|JJ|VB",
    "profiled": "VBN|VBD",
    "profiles": "NNS|VBZ",
    "profiling": "VBG",
    "profit": "NN|VBP|VB",
    "profit-eating": "JJ",
    "profit-making": "JJ|NN",
    "profit-margin": "NN",
    "profit-maximizing": "JJ",
    "profit-motivated": "JJ",
    "profit-oriented": "JJ",
    "profit-seeking": "JJ",
    "profit-sharing": "NN|JJ|NNS",
    "profit-staggering": "JJ",
    "profit-taking": "NN|NNS|JJ",
    "profitability": "NN",
    "profitable": "JJ",
    "profitably": "RB",
    "profited": "VBD|VBN",
    "profiteering": "VBG|NN",
    "profiteers": "NNS",
    "profiting": "VBG",
    "profits": "NNS|VBZ",
    "profits-optimism": "JJ",
    "profittaking": "NN",
    "profitting": "VBG",
    "profligacy": "NN",
    "profligate": "JJ",
    "profound": "JJ",
    "profoundest": "JJS",
    "profoundity": "NN",
    "profoundly": "RB",
    "profs": "NNS",
    "profundity": "NN",
    "profuse": "JJ",
    "profusely": "RB",
    "profusion": "NN",
    "progandist": "NN",
    "progenitors": "NNS",
    "progeny": "NN",
    "progess": "NN",
    "prognoses": "NNS",
    "prognosis": "NN",
    "prognostication": "NN",
    "prognostications": "NNS",
    "prognosticator": "NN",
    "prognosticators": "NNS",
    "program": "NN|VBP|VB",
    "program-bashing": "JJ",
    "program-dominated": "JJ",
    "program-driven": "JJ",
    "program-maker": "NN",
    "program-related": "JJ",
    "program-selling": "JJ",
    "program-trade": "JJ",
    "program-trading": "JJ|NN",
    "programed": "VBN",
    "programing": "NN|VBG",
    "programmable": "JJ",
    "programmatic": "JJ",
    "programmed": "VBN|JJ|VBD",
    "programmer": "NN",
    "programmers": "NNS",
    "programmes": "NNS|VBZ",
    "programming": "NN|VBG",
    "programs": "NNS|VBZ",
    "progress": "NN|VB",
    "progressed": "VBD|VBN",
    "progresses": "VBZ",
    "progressing": "VBG",
    "progression": "NN",
    "progressions": "NNS",
    "progressive": "JJ|NN",
    "progressively": "RB",
    "progressives": "NNS",
    "progressivism": "NN",
    "progressivity": "NN",
    "prohibit": "VB|VBP",
    "prohibited": "VBN|VBD",
    "prohibiting": "VBG",
    "prohibition": "NN",
    "prohibitions": "NNS",
    "prohibitive": "JJ",
    "prohibitively": "RB",
    "prohibiton": "NN",
    "prohibits": "VBZ",
    "project": "NN|VB|VBP",
    "projected": "VBN|JJ|VBD",
    "projectile": "NN",
    "projectiles": "NNS",
    "projecting": "VBG",
    "projection": "NN",
    "projections": "NNS",
    "projective": "JJ",
    "projector": "NN",
    "projectors": "NNS",
    "projects": "NNS|VBZ",
    "proletarian": "JJ",
    "proletariat": "NN",
    "proliferate": "VBP",
    "proliferated": "VBN|VBD",
    "proliferating": "VBG",
    "proliferation": "NN",
    "prolific": "JJ",
    "prolixity": "NN",
    "prolong": "VB",
    "prolongation": "NN",
    "prolonged": "VBN|VBD|JJ",
    "prolonging": "VBG",
    "prolongs": "VBZ",
    "prolusion": "NN",
    "prolusions": "NNS",
    "prom": "NN",
    "promenade": "NN|VB",
    "promenades": "NNS|VBZ",
    "prominant": "JJ",
    "prominence": "NN",
    "prominent": "JJ",
    "prominently": "RB",
    "promiscuous": "JJ",
    "promise": "NN|VB|VBP",
    "promise...": ":",
    "promised": "VBN|VBD|JJ",
    "promises": "VBZ|NNS",
    "promising": "JJ|VBG",
    "promissory": "JJ",
    "promote": "VB|VBP",
    "promoted": "VBN|VBD",
    "promoter": "NN",
    "promoters": "NNS",
    "promotes": "VBZ",
    "promoting": "VBG",
    "promotion": "NN",
    "promotional": "JJ",
    "promotions": "NNS",
    "prompt": "VB|JJ|VBP",
    "prompted": "VBD|VBN",
    "prompting": "VBG|NN",
    "promptings": "NNS",
    "promptly": "RB",
    "prompts": "VBZ",
    "promulgated": "VBD|VBN|JJ",
    "promulgating": "VBG",
    "promulgators": "NNS",
    "prone": "JJ|RB",
    "proneness": "NN",
    "prongs": "NNS",
    "pronoun": "NN",
    "pronounce": "VB",
    "pronounced": "VBN|VBD|JJ",
    "pronouncement": "NN",
    "pronouncements": "NNS",
    "pronounces": "VBZ",
    "pronouncing": "JJ|VBG",
    "pronouns": "NNS",
    "pronto": "RB",
    "pronunciation": "NN",
    "proof": "NN|JJ|VB",
    "proof-of-purchases": "NNS",
    "proofread": "VBD|VB|VBN",
    "proofreading": "VBG",
    "prop": "VB|VBP|NN",
    "propaganda": "NN",
    "propagandist": "NN",
    "propagandistic": "JJ",
    "propagandists": "NNS",
    "propagandize": "VB",
    "propagandizes": "VBZ",
    "propagate": "VB",
    "propagated": "VBN|VBD",
    "propagation": "NN",
    "propane": "NN",
    "propects": "NNS",
    "propel": "VB|VBP",
    "propellant": "NN",
    "propellants": "NNS",
    "propelled": "VBD|VBN",
    "propeller": "NN",
    "propeller-driven": "JJ",
    "propellers": "NNS",
    "propelling": "VBG",
    "propels": "VBZ",
    "propensity": "NN",
    "proper": "JJ",
    "properly": "RB",
    "properties": "NNS",
    "property": "NN|JJ",
    "property-and-casualty": "JJ",
    "property-casualty": "NN|JJ",
    "property-claim": "NN",
    "property-claims-service": "NN",
    "property-investment": "NN",
    "property-liability": "NN",
    "property-loan": "JJ",
    "property-management": "NN",
    "property-poor": "JJ",
    "property-price": "JJ",
    "property-related": "JJ",
    "property-rich": "JJ",
    "property-sector": "NN",
    "property-tax": "JJ",
    "property-tax-cutting": "JJ",
    "property/casualty": "NN",
    "propfan": "NN|JJ|VB",
    "propfans": "NNS|VBZ",
    "prophecies": "NNS",
    "prophecy": "NN",
    "prophesied": "VBD|VBN",
    "prophesies": "VBZ",
    "prophesized": "VBD",
    "prophesying": "VBG",
    "prophet": "NN",
    "prophetic": "JJ",
    "prophetically": "RB",
    "prophets": "NNS",
    "propionate": "NN",
    "propitiate": "VB",
    "propitious": "JJ",
    "proponent": "NN",
    "proponents": "NNS",
    "proportion": "NN",
    "proportional": "JJ|NN",
    "proportionality": "NN",
    "proportionally": "RB",
    "proportionate": "JJ",
    "proportionately": "RB",
    "proportioned": "JJ",
    "proportions": "NNS",
    "proposal": "NN",
    "proposals": "NNS",
    "propose": "VB|VBP",
    "proposed": "VBN|VBD|VBP|JJ",
    "proposed...": ":",
    "proposes": "VBZ",
    "proposing": "VBG",
    "proposition": "NN",
    "proposition...": ":",
    "propositioned": "VBD",
    "propositions": "NNS",
    "propounded": "VBD",
    "propped": "VBD|VBN",
    "propping": "VBG",
    "proprietary": "JJ|NN",
    "proprieter": "NN",
    "proprieties": "NNS",
    "proprietor": "NN",
    "proprietors": "NNS",
    "proprietorship": "NN",
    "proprietorships": "NNS",
    "proprietory": "JJ",
    "propriety": "NN",
    "props": "NNS|VBZ",
    "propsed": "VBN",
    "propulsion": "NN",
    "propulsions": "NNS",
    "propulsive": "JJ",
    "propylene": "NN",
    "propylthiouracil": "NN",
    "prorata": "FW",
    "prorate": "VB",
    "prorated": "VBN|VBD",
    "proration": "NN|JJ",
    "pros": "NNS",
    "prosaic": "JJ",
    "prosceniums": "NNS",
    "proscribe": "VBP|VB",
    "proscribed": "VBN|VBD",
    "proscribes": "VBZ",
    "proscription": "NN",
    "proscriptive": "JJ",
    "prose": "NN",
    "prosecute": "VB",
    "prosecuted": "VBN|VBD",
    "prosecuting": "VBG|NN",
    "prosecution": "NN",
    "prosecutions": "NNS",
    "prosecutor": "NN",
    "prosecutorial": "JJ",
    "prosecutors": "NNS",
    "proselytizing": "VBG|NN",
    "prosodic": "JJ",
    "prosodies": "NNS",
    "prosoma": "NN",
    "prospect": "NN",
    "prospective": "JJ",
    "prospectively": "RB",
    "prospector": "NN",
    "prospectus": "NN",
    "prospectuses": "NNS",
    "prosper": "VB",
    "prospered": "VBN|VBD",
    "prospering": "VBG",
    "prosperity": "NN",
    "prosperous": "JJ",
    "prospers": "VBZ",
    "prossed": "FW",
    "prostaglandin": "NN",
    "prostate": "NN|JJ",
    "prostitute": "NN|VB",
    "prostitutes": "NNS|VBZ",
    "prostitution": "NN",
    "prostitution..": "NN",
    "prostrate": "JJ",
    "prosy": "JJ",
    "protagonist": "NN",
    "protagonists": "NNS",
    "protease": "NN",
    "proteases": "NNS",
    "protect": "VB|VBP",
    "protected": "VBN|JJ|VBD",
    "protecting": "VBG",
    "protection": "NN",
    "protectionism": "NN",
    "protectionist": "JJ|NN",
    "protectionists": "NNS",
    "protections": "NNS",
    "protective": "JJ|NN",
    "protectively": "RB",
    "protector": "NN",
    "protectors": "NNS",
    "protects": "VBZ",
    "protege": "NN",
    "proteges": "NNS",
    "protein": "NN",
    "protein-1": "NN",
    "protein-bound": "JJ",
    "protein-making": "JJ",
    "protein-restricted": "JJ",
    "proteins": "NNS|VBZ",
    "proteolysis": "NN",
    "proteolytic": "JJ",
    "protest": "NN|VB|VBP",
    "protestations": "NNS",
    "protested": "VBD|VBN",
    "protester": "NN",
    "protesting": "VBG",
    "protestors": "NNS",
    "proto-Athabascan": "NN",
    "proto-Yokuts": "NNS",
    "proto-oncogenes": "NN",
    "proto-senility": "NN",
    "protocol": "NN",
    "protocols": "NNS",
    "proton": "NN",
    "protons": "NNS",
    "protoplasm": "NN",
    "protoplasmic": "JJ",
    "prototype": "NN|JJ",
    "prototyped": "VBN",
    "prototypes": "NNS",
    "prototypical": "JJ",
    "protozoa": "NNS",
    "protozoan": "JJ|NN",
    "protracted": "JJ|VBN|VBD",
    "protrude": "VB",
    "protruded": "VBD|VBN",
    "protruding": "VBG",
    "protrusion": "NN",
    "protuberance": "NN",
    "proud": "JJ",
    "prouder": "RBR",
    "proudest": "JJS",
    "proudly": "RB",
    "provdied": "VBD",
    "prove": "VB|VBP",
    "proved": "VBD|JJ|VBN",
    "proven": "VBN|JJ",
    "provenance": "NN",
    "proverb": "NN",
    "proverbial": "JJ",
    "proverbs": "NNS",
    "proverty": "NN",
    "proves": "VBZ",
    "provide": "VB|VBP",
    "provided": "VBN|VBD",
    "providence": "NN",
    "providential": "JJ",
    "provider": "NN",
    "providers": "NNS",
    "provides": "VBZ",
    "providing": "VBG|IN",
    "province": "NN",
    "province-wide": "JJ",
    "provinces": "NNS",
    "provincial": "JJ",
    "provincialism": "NN",
    "provincially": "RB",
    "proving": "VBG|NN",
    "provision": "NN|VB",
    "provisional": "JJ",
    "provisionally": "RB",
    "provisioned": "VBN|VBD",
    "provisioning": "VBG|NN",
    "provisions": "NNS|VBZ",
    "proviso": "NN",
    "provisons": "NNS",
    "provocateurs": "NNS",
    "provocation": "NN",
    "provocative": "JJ",
    "provocatively": "RB",
    "provoke": "VB|VBP",
    "provoked": "VBN|VBD|JJ",
    "provokes": "VBZ",
    "provoking": "VBG|JJ",
    "provost": "NN",
    "prow": "NN",
    "prowazwki": "NN",
    "prowess": "NN",
    "prowl": "NN|VBP|JJ|VB",
    "prowled": "VBD|VBN",
    "prowlers": "NNS",
    "prowling": "VBG",
    "prowls": "VBZ",
    "proxies": "NNS",
    "proximal": "JJ",
    "proximate": "JJ",
    "proximity": "NN",
    "proxy": "NN|JJ",
    "proxy-solicitation": "JJ",
    "prude": "NN",
    "prudence": "NN",
    "prudent": "JJ",
    "prudent-man": "JJ",
    "prudential": "JJ",
    "prudentially": "RB",
    "prudently": "RB",
    "prune": "VB|NN",
    "pruned": "VBN|VBD",
    "prunes": "NNS|VBZ",
    "pruning": "NN|VBG",
    "prurient": "JJ",
    "pruta": "NN",
    "pry": "VB",
    "prying": "JJ|VBG",
    "psalm": "NN",
    "psalmist": "NN",
    "pseudo": "JJ",
    "pseudo-Kennedyism": "NN",
    "pseudo-anthropological": "JJ",
    "pseudo-capitalism": "NN",
    "pseudo-emotion": "NN",
    "pseudo-feeling": "NN",
    "pseudo-glamorous": "JJ",
    "pseudo-government": "NN",
    "pseudo-happiness": "NN",
    "pseudo-history": "NN",
    "pseudo-lobbyists": "NNS",
    "pseudo-patriotism": "NN",
    "pseudo-profundities": "NNS",
    "pseudo-questions": "NNS",
    "pseudo-scientific": "JJ",
    "pseudo-sophistication": "NN",
    "pseudo-symmetric": "JJ",
    "pseudo-thinking": "NN",
    "pseudo-willing": "NN",
    "pseudoephedrine": "NN",
    "pseudonym": "NN",
    "pseudonymous": "JJ",
    "pseudophloem": "NN",
    "pseudosocialism": "NN",
    "pseudynom": "NN",
    "psi": "NNS",
    "psoriasis": "NN",
    "psyche": "NN",
    "psyches": "NNS",
    "psychiatric": "JJ",
    "psychiatrist": "NN",
    "psychiatrists": "NNS",
    "psychiatry": "NN",
    "psychic": "JJ|NN",
    "psychical": "JJ",
    "psychically": "RB",
    "psychically-blind": "JJ",
    "psychics": "NNS",
    "psycho-physiology": "NN",
    "psychoactive": "JJ",
    "psychoanalysis": "NN",
    "psychoanalyst": "NN",
    "psychoanalytic": "JJ",
    "psychobiology": "NN",
    "psychological": "JJ",
    "psychological-intellectual": "JJ",
    "psychologically": "RB",
    "psychologist": "NN",
    "psychologists": "NNS",
    "psychology": "NN",
    "psychopath": "NN",
    "psychopathic": "JJ",
    "psychopharmacological": "JJ",
    "psychopomp": "NN",
    "psychosocial": "JJ",
    "psychosomatic": "JJ",
    "psychotherapeutic": "JJ",
    "psychotherapist": "NN",
    "psychotherapists": "NNS",
    "psychotherapy": "NN",
    "psychotic": "JJ",
    "psyllium": "NN",
    "psyllium-fortified": "JJ",
    "pterygia": "NN",
    "pub": "NN",
    "puberty": "NN",
    "pubescent": "JJ",
    "public": "JJ|NN|RB",
    "public-TV": "NN",
    "public-accommodation": "NN",
    "public-address": "JJ",
    "public-affairs": "NNS",
    "public-asset": "JJ",
    "public-audit": "JJ",
    "public-employee": "NN",
    "public-fund": "JJ",
    "public-health": "NN|JJ",
    "public-housing": "NN|JJ",
    "public-information": "JJ",
    "public-interest": "JJ|NN",
    "public-land": "JJ",
    "public-limit": "JJ",
    "public-opinion": "JJ|NN",
    "public-owned": "JJ",
    "public-policy": "NN|JJ",
    "public-relations": "NNS|JJ",
    "public-school": "JJ|NN",
    "public-sector": "NN|JJ",
    "public-service": "JJ|NN",
    "public-spirited": "JJ",
    "public-stock": "NN",
    "public-television": "NN",
    "public-transit": "JJ",
    "public-works": "NNS|JJ",
    "public...": ":",
    "publically": "RB",
    "publication": "NN",
    "publications": "NNS",
    "publicist": "NN",
    "publicists": "NNS",
    "publicity": "NN",
    "publicity-conscious": "JJ",
    "publicity-seeking": "JJ",
    "publicity-shy": "JJ",
    "publicize": "VB",
    "publicized": "VBN|JJ|VBD",
    "publicizing": "VBG",
    "publicly": "RB",
    "publicly-held": "JJ",
    "publicly-traded": "JJ",
    "publicsector": "JJ",
    "publish": "VB|VBP",
    "publishable": "JJ",
    "published": "VBN|JJ|VBD",
    "publisher": "NN",
    "publishers": "NNS",
    "publishes": "VBZ",
    "publishing": "NN|JJ|VBG",
    "publishing-group": "JJ",
    "pubs": "NNS",
    "puckered": "VBN|JJ|VBD",
    "puckering": "VBG",
    "puckish": "JJ",
    "pudding": "NN",
    "pudding-faced": "JJ",
    "puddings": "NNS",
    "puddle": "NN|VB",
    "puddles": "NNS|VBZ",
    "puerile": "JJ",
    "puff": "NN|VB",
    "puffed": "VBN|VBD",
    "puffed-up": "JJ",
    "puffers": "NNS",
    "puffery": "NN",
    "puffing": "VBG",
    "puffs": "VBZ",
    "puffy": "JJ",
    "pug-nosed": "JJ",
    "pugh": "JJ",
    "pugnacious": "JJ",
    "puissant": "JJ",
    "puke": "NN|VB",
    "pulchritude": "NN",
    "pull": "VB|VBP|NN",
    "pull-backs": "NNS",
    "pull-down": "JJ",
    "pull-out": "NN",
    "pullback": "NN",
    "pullbacks": "NNS",
    "pulled": "VBD|VBN|JJ",
    "pullet-roofed": "JJ",
    "pulley": "NN",
    "pulleys": "NNS",
    "pulling": "VBG",
    "pullout": "NN",
    "pullouts": "NNS",
    "pulls": "VBZ|NNS",
    "pulmonary": "JJ",
    "pulp": "NN|VB",
    "pulping": "VBG",
    "pulpit": "NN",
    "pulpits": "NNS",
    "pulpwood": "NN",
    "pulsated": "VBD|VBN",
    "pulsating": "VBG",
    "pulsation": "NN",
    "pulsations": "NNS",
    "pulse": "NN|VB",
    "pulse-jet": "NN",
    "pulse-timing": "JJ",
    "pulsed": "VBN|VBD|JJ",
    "pulses": "NNS|VBZ",
    "pulsing": "VBG",
    "pulverize": "VB",
    "pulverized": "VBN|VBD",
    "pulverizing": "VBG",
    "pumas": "NNS",
    "pummel": "VB",
    "pummeled": "VBN|VBD",
    "pummeling": "NN",
    "pump": "VB|VBP|NN",
    "pump-action": "JJ|NN",
    "pump-priming": "NN",
    "pumped": "VBD|VBN",
    "pumped-up": "JJ",
    "pumping": "VBG",
    "pumpkin": "NN",
    "pumps": "NNS|VBZ",
    "pun": "NN",
    "punch": "NN|VBP|VB",
    "punchbowl": "NN",
    "punched": "VBD|VBN",
    "punched-card": "JJ",
    "puncher": "NN",
    "punchers": "NNS",
    "punches": "NNS|VBZ",
    "punching": "NN|VBG",
    "punchy": "JJ",
    "punctuality": "NN",
    "punctually": "RB",
    "punctuated": "VBN|VBD",
    "punctuation": "NN",
    "punctured": "JJ|VBN",
    "puncturing": "VBG",
    "punditry": "NN",
    "pundits": "NNS",
    "pungency": "NN",
    "pungent": "JJ",
    "pungently": "RB",
    "punish": "VB|VBP",
    "punishable": "JJ",
    "punished": "VBN|VBD",
    "punishes": "VBZ",
    "punishing": "VBG|JJ",
    "punishment": "NN",
    "punishments": "NNS",
    "punitive": "JJ",
    "punk": "NN|JJ",
    "punks": "NNS",
    "punky": "JJ",
    "punning": "VBG",
    "punnished": "VBD|VBN",
    "puns": "NNS",
    "punster": "NN",
    "punt": "NN|VB",
    "punted": "VBD|VBN",
    "punters": "NNS",
    "punts": "NNS|VBZ",
    "puny": "JJ",
    "pup": "NN",
    "pupated": "VBN",
    "pupates": "VBZ",
    "pupil": "NN",
    "pupils": "NNS",
    "puppet": "NN",
    "puppeteers": "NNS",
    "puppets": "NNS",
    "puppies": "NNS",
    "puppy": "NN",
    "puppyish": "JJ",
    "pups": "NNS",
    "pur-poises": "NNS",
    "purchase": "NN|VB|VBP",
    "purchase-and-lease": "JJ",
    "purchased": "VBN|JJ|VBD",
    "purchaser": "NN",
    "purchasers": "NNS",
    "purchases": "NNS|VBZ",
    "purchasing": "VBG|NN|JJ",
    "pure": "JJ",
    "pure-meat": "NN",
    "pure-voiced": "JJ",
    "purely": "RB",
    "purest": "JJS",
    "purgation": "NN",
    "purgatory": "NN|JJ",
    "purge": "NN|VB",
    "purged": "VBN|VBD",
    "purges": "VBZ|NNS",
    "purging": "VBG|NN",
    "purhasing": "NN",
    "purification": "NN",
    "purified": "VBN|VBD",
    "purifier": "NN",
    "purifiers": "NNS",
    "purify": "VB|VBP",
    "purifying": "VBG",
    "purism": "NN",
    "purists": "NNS",
    "puritan": "JJ",
    "puritanical": "JJ",
    "purity": "NN",
    "purled": "VBD|VBN",
    "purling": "VBG",
    "purloined": "VBN|VBD",
    "purple": "JJ|NN|VB",
    "purple-black": "JJ",
    "purpling": "VBG",
    "purport": "VBP|VB",
    "purported": "JJ|VBD|VBN",
    "purportedly": "RB",
    "purporting": "VBG",
    "purports": "VBZ",
    "purpose": "NN|VB",
    "purpose...": ":",
    "purposed": "VBN|VBD",
    "purposeful": "JJ",
    "purposefully": "RB",
    "purposeless": "JJ",
    "purposely": "RB",
    "purposes": "NNS|VBZ",
    "purposive": "JJ",
    "purposively": "RB",
    "purring": "VBG|NN",
    "purrs": "VBZ",
    "purse": "NN|VB",
    "purse-snatchings": "NNS",
    "pursed": "VBD|VBN",
    "purses": "NNS|VBZ",
    "pursuant": "JJ",
    "pursue": "VB|VBP",
    "pursued": "VBN|JJ|VBD",
    "pursuer": "NN",
    "pursuers": "NNS",
    "pursues": "VBZ",
    "pursuing": "VBG|NN",
    "pursuit": "NN",
    "pursuits": "NNS",
    "purtiest": "JJS",
    "purveyor": "NN",
    "purveyors": "NNS",
    "purview": "NN",
    "push": "VB|VBP|NN",
    "push-button": "JJ",
    "push-offs": "NNS",
    "push-up": "JJ|NN",
    "push-ups": "NNS",
    "pushed": "VBN|VBD",
    "pushers": "NNS",
    "pushes": "VBZ|NNS",
    "pushin": "NN",
    "pushing": "VBG|JJ|NN",
    "pushover": "NN",
    "pushups": "NNS",
    "pushy": "JJ",
    "pusillanimity": "NN",
    "pussy": "NN",
    "pussy-willow": "NN",
    "pussycat": "NN",
    "put": "VB|JJ|NN|VBP|VBD|VBN",
    "put-option": "NN",
    "put-upon": "JJ",
    "putains": "FW",
    "putative": "JJ",
    "putout": "NN",
    "puts": "VBZ|NNS",
    "putt": "NN|VB",
    "puttable": "JJ",
    "putted": "VBD|VBN",
    "putter": "NN|VB",
    "puttered": "VBD|VBN",
    "puttering": "VBG",
    "putting": "VBG|NN",
    "putty": "NN",
    "putty-like": "JJ",
    "puzzle": "NN|VB",
    "puzzled": "VBN|JJ|VBD",
    "puzzlement": "NN",
    "puzzler": "NN",
    "puzzles": "NNS|VBZ",
    "puzzling": "JJ|VBG",
    "pvt": "NN",
    "pygmies": "NNS",
    "pyknotic": "JJ",
    "pylons": "NNS",
    "pynte": "NN",
    "pyocanea": "NN",
    "pyorrhea": "NN",
    "pyramid": "NN|VB",
    "pyramid-shaped": "JJ",
    "pyramidal": "JJ",
    "pyramiding": "VBG",
    "pyramids": "NNS|VBZ",
    "pyre": "NN",
    "pyrometer": "NN",
    "pyrometers": "NNS",
    "pyrophosphate": "NN",
    "pyrotechnic": "JJ",
    "pyschiatrist": "NN",
    "python": "NN",
    "pythons": "NNS",
    "qua": "FW",
    "quack": "UH|NN",
    "quacked": "VBD",
    "quackery": "NN",
    "quacks": "NNS|VBZ",
    "quadratic": "JJ",
    "quadrennial": "JJ",
    "quadric": "NN|JJ",
    "quadriceps": "NNS",
    "quadrillionth": "NN",
    "quadripartite": "JJ",
    "quadrupeds": "NNS",
    "quadruple": "VB|JJ",
    "quadrupled": "VBN|VBD",
    "quadruples": "VBZ",
    "quadrupling": "NN|VBG",
    "quagmire": "NN",
    "quailing": "VBG",
    "quaint": "JJ",
    "quaintly": "RB",
    "quake": "NN|VB",
    "quake-displaced": "JJ",
    "quake-hit": "JJ",
    "quake-inflicted": "JJ",
    "quake-prone": "JJ",
    "quake-related": "JJ",
    "quake-relief": "JJ",
    "quake-shocked": "JJ",
    "quake-torn": "JJ",
    "quakes": "NNS|VBZ",
    "quaking": "VBG",
    "qualification": "NN",
    "qualifications": "NNS",
    "qualified": "VBN|JJ|VBD",
    "qualifies": "VBZ",
    "qualify": "VB|VBP",
    "qualifying": "VBG",
    "qualitative": "JJ",
    "qualitatively": "RB",
    "qualities": "NNS",
    "quality": "NN|JJ",
    "quality-adjusted": "JJ",
    "quality-conscious": "JJ",
    "quality-control": "NN|JJ",
    "quality-improvement": "NN",
    "qualms": "NNS",
    "quam": "FW",
    "quandary": "NN",
    "quantification": "NN",
    "quantified": "VBN|VBD",
    "quantify": "VB",
    "quantitative": "JJ",
    "quantitatively": "RB",
    "quantities": "NNS",
    "quantitive": "JJ",
    "quantity": "NN",
    "quantity-based": "JJ",
    "quantum": "NN",
    "quarantine": "VB",
    "quarrel": "VB|NN",
    "quarreled": "VBD|VBN",
    "quarreling": "VBG",
    "quarrels": "NNS|VBZ",
    "quarrelsome": "JJ",
    "quarry": "NN",
    "quarrymen": "NNS",
    "quart": "NN",
    "quarter": "NN|VB",
    "quarter-by-quarter": "JJ",
    "quarter-century": "NN|JJ",
    "quarter-century-old": "JJ",
    "quarter-inch": "JJ",
    "quarter-mile": "NN|JJ",
    "quarter-million-dollar": "JJ",
    "quarter-moon": "NN",
    "quarter-of-a-century": "JJ",
    "quarter-point": "NN|JJ",
    "quarter-to-quarter": "JJ",
    "quarterback": "NN",
    "quarterbacks": "NNS",
    "quarterly": "JJ|NN|RB",
    "quarters": "NNS|VBZ",
    "quartet": "NN",
    "quartets": "NNS",
    "quarts": "NNS",
    "quartz": "NN",
    "quartzite-quarrying": "NN",
    "quash": "VB",
    "quashed": "VBD|VBN",
    "quashing": "VBG",
    "quasi-federal": "JJ",
    "quasi-folk": "JJ",
    "quasi-governmental": "JJ",
    "quasi-mechanistic": "JJ",
    "quasi-monopolistic": "JJ",
    "quasi-parliamentary/judicial": "JJ",
    "quasi-performer": "NN",
    "quasi-private": "JJ",
    "quasi-public": "JJ",
    "quasi-recitative": "JJ",
    "quasi-religious": "JJ",
    "quasi-tax": "JJ",
    "quasi-xenophobic": "JJ",
    "quasisports": "NNS",
    "quatrain": "NN",
    "quaver": "NN|VB",
    "quavered": "VBD|VBN",
    "quavering": "VBG",
    "que": "FW",
    "queasily": "RB",
    "queasiness": "NN",
    "queen": "NN",
    "queens": "NNS",
    "queenside": "NN",
    "queer": "JJ|VB",
    "queerer": "JJR",
    "queerest": "JJS",
    "queers": "NNS|VBZ",
    "quell": "VB",
    "quelling": "NN|VBG",
    "quench": "VB",
    "quenching": "NN|VBG",
    "queried": "VBN|VBD",
    "queries": "NNS|VBZ",
    "querulous": "JJ",
    "querulously": "RB",
    "query": "NN|VB",
    "querying": "VBG",
    "quest": "NN|VB",
    "question": "NN|VB|VBP",
    "question-and-answer": "JJ",
    "question...": ":",
    "questionable": "JJ",
    "questionably": "RB",
    "questionaire": "NN",
    "questioned": "VBD|VBN",
    "questioner": "NN",
    "questioners": "NNS",
    "questioning": "VBG|NN|JJ",
    "questioningly": "RB",
    "questionnaire": "NN",
    "questionnaires": "NNS",
    "questions": "NNS|VBZ",
    "quests": "NNS|VBZ",
    "quetzal": "NN",
    "queue": "NN",
    "queued": "JJ",
    "queues": "NNS",
    "queuing": "VBG",
    "qui": "FW",
    "quibble": "VB",
    "quibbling": "VBG",
    "quibs": "NNS",
    "quibusdam": "FW",
    "quick": "JJ|NN|RB",
    "quick-drying": "JJ",
    "quick-fired": "VBN",
    "quick-fix": "JJ",
    "quick-frozen": "VBN",
    "quick-handling": "JJ",
    "quick-kill": "JJ",
    "quick-service": "JJ",
    "quick-tempered": "JJ",
    "quick-to-prepare": "JJ",
    "quicken": "VB",
    "quickened": "VBD|VBN",
    "quickening": "VBG",
    "quicker": "JJR|RBR",
    "quickest": "JJS",
    "quickie": "NN|JJ",
    "quickly": "RB",
    "quickness": "NN",
    "quicksand": "NN",
    "quicksilver": "JJ|NN",
    "quickstep": "NN|VBP",
    "quickwitted": "JJ",
    "quid": "NN",
    "quids": "NNS",
    "quid-pro-quo": "JJ",
    "quiescent": "JJ",
    "quiet": "JJ|NN|VB",
    "quiet-spoken": "JJ",
    "quieted": "VBN|VBD",
    "quieter": "JJR",
    "quieting": "VBG",
    "quietly": "RB",
    "quietness": "NN",
    "quill": "NN",
    "quill-pen": "JJ",
    "quilt": "NN",
    "quilted": "JJ",
    "quince": "NN",
    "quinine": "NN",
    "quinolone": "NN",
    "quintessential": "JJ",
    "quintet": "NN",
    "quintets": "NNS",
    "quintuple": "RB|VB",
    "quip": "NN|VB",
    "quipped": "VBD|NN",
    "quipping": "VBG",
    "quips": "VBZ|NNS",
    "quirk": "NN",
    "quirking": "VBG",
    "quirks": "NNS",
    "quirky": "JJ",
    "quirt": "NN",
    "quisling": "NN",
    "quit": "VB|VBD|VBN|VBP|NN",
    "quite": "RB|PDT|UH",
    "quite-comfortable": "JJ",
    "quite-literal": "JJ",
    "quits": "VBZ|NNS",
    "quitting": "VBG",
    "quivered": "VBD|VBN",
    "quivering": "VBG",
    "quivers": "NNS|VBZ",
    "quixotic": "JJ",
    "quiz": "NN|VB",
    "quizzed": "VBD",
    "quizzical": "JJ",
    "quo": "NN|FW|WDT",
    "quok": "FW",
    "quorum": "NN",
    "quota": "NN",
    "quota-breakers": "NNS",
    "quota-cheaters": "NNS",
    "quota-increase": "JJ",
    "quota-trained": "JJ",
    "quotas": "NNS",
    "quotation": "NN",
    "quotations": "NNS",
    "quote": "NN|VB|VBP",
    "quoted": "VBN|JJ|VBD",
    "quotes": "NNS|VBZ",
    "quoting": "VBG",
    "r": "LS|NN",
    "r-Revised": "VBN",
    "r.p.m.": "NN",
    "rabbi": "NN|NNS",
    "rabbinical": "JJ",
    "rabbit": "NN",
    "rabbit-test": "JJ",
    "rabbits": "NNS",
    "rabble": "NN",
    "rabid": "JJ",
    "raccoon": "NN",
    "raccoon-skin": "JJ",
    "raccoons": "NNS",
    "race": "NN|VB",
    "race-based": "JJ",
    "race-car": "NN",
    "race-driver": "NN",
    "race-drivers": "NNS",
    "race...": ":",
    "raced": "VBD|VBN",
    "racehorse": "NN",
    "racehorses": "NNS",
    "racers": "NNS",
    "races": "NNS|VBZ",
    "racetrack": "NN",
    "racetracks": "NNS",
    "raceway": "NN",
    "racial": "JJ",
    "racial-minority": "JJ",
    "racial-preference": "NN|JJ",
    "racially": "RB",
    "racing": "VBG|JJ|NN",
    "racism": "NN",
    "racist": "JJ|NN",
    "rack": "NN|VB|VBP",
    "racked": "VBN|VBD",
    "racket": "NN|VB",
    "racketeer": "NN",
    "racketeering": "NN|VBG",
    "racketeers": "NNS",
    "rackets": "NNS|VBZ",
    "rackety": "JJ",
    "racking": "VBG",
    "racks": "NNS|VBZ",
    "racoons": "NNS",
    "racy": "JJ",
    "radar": "NN",
    "radar-controlled": "JJ",
    "radar-eluding": "VBG|NNP|JJ",
    "radar-threat": "JJ",
    "radar-type": "JJ",
    "radar.": "NN",
    "radars": "NNS",
    "raddled": "VBN",
    "radial": "JJ",
    "radiance": "NN",
    "radiant": "JJ",
    "radiate": "VB|VBP",
    "radiated": "VBD|VBN|JJ",
    "radiates": "VBZ",
    "radiating": "VBG",
    "radiation": "NN",
    "radiation-produced": "JJ",
    "radiation-protection": "JJ",
    "radiations": "NNS",
    "radiator": "NN",
    "radiators": "NNS",
    "radical": "JJ|NN",
    "radical-moderate": "JJ",
    "radicalism": "NN",
    "radicalized": "VBN",
    "radically": "RB",
    "radicals": "NNS",
    "radii": "NNS",
    "radio": "NN|VB",
    "radio-TV": "JJ|NN",
    "radio-cassette": "NN",
    "radio-controlled": "JJ",
    "radio-location": "NN",
    "radio-pharmaceutical": "JJ",
    "radio-show": "JJ",
    "radio-station": "NN",
    "radioactive": "JJ",
    "radioactivity": "NN",
    "radiocarbon": "NN",
    "radiochlorine": "NN",
    "radioclast": "NN",
    "radioed": "JJ|VBD|VBN",
    "radiography": "NN",
    "radioing": "VBG",
    "radiomen": "NNS",
    "radionic": "JJ",
    "radiopasteurization": "NN",
    "radiopharmaceutical": "JJ",
    "radiophonic": "JJ",
    "radios": "NNS|VBZ",
    "radiosterilization": "NN",
    "radiosterilized": "VBN",
    "radish": "NN",
    "radius": "NN",
    "radon": "NN",
    "rads": "NNS",
    "raffish": "JJ",
    "raft": "NN",
    "raftered": "VBN",
    "rafters": "NNS",
    "rafts": "NNS",
    "rag": "NN|VB",
    "rage": "NN|VB",
    "raged": "VBN|VBD",
    "rages": "NNS|VBZ",
    "ragged": "JJ|VBD|VBN",
    "raggedness": "NN",
    "ragging": "VBG",
    "raging": "VBG|JJ",
    "rags": "NNS|VBZ",
    "ragtime": "NN",
    "raid": "NN|VB",
    "raided": "VBN|VBD",
    "raider": "NN",
    "raiders": "NNS",
    "raiding": "NN|VBG",
    "raids": "NNS|VBZ",
    "rail": "NN|VB",
    "rail-car": "NN",
    "rail-equipment": "JJ",
    "rail-mobile": "JJ",
    "rail-passenger": "NN",
    "rail-traffic": "JJ",
    "railbed": "NN",
    "railbike": "NN",
    "railbiker": "NN",
    "railbikers": "NNS",
    "railbikes": "NNS",
    "railbiking": "NN",
    "railbirds": "NNS",
    "railcar": "NN",
    "railcars": "NNS",
    "railed": "VBD|VBN",
    "railhead": "NN",
    "railing": "NN|VBG",
    "railings": "NNS",
    "raillery": "NN",
    "railroad": "NN|VB",
    "railroad-holding": "JJ",
    "railroader": "NN",
    "railroading": "VBG",
    "railroads": "NNS|VBZ",
    "rails": "NNS|VBZ",
    "railway": "NN",
    "railway-based": "JJ",
    "railways": "NNS",
    "raiment": "NN|VB",
    "rain": "NN|VB",
    "rain-slick": "JJ",
    "rainbow": "NN",
    "rainbow-hued": "JJ",
    "rainbows": "NNS",
    "raincoats": "NNS",
    "raindrops": "NNS",
    "rained": "VBD|VBN",
    "rainfall": "NN",
    "rainier": "JJR",
    "raining": "VBG",
    "rainless": "JJ",
    "rainout": "NN",
    "rains": "NNS|VBZ",
    "rainstorm": "NN",
    "rainwater": "NN",
    "rainy": "JJ",
    "raise": "VB|VBP|NN",
    "raised": "VBD|VBN|JJ",
    "raiser": "NN",
    "raisers": "NNS",
    "raises": "VBZ|NNS",
    "raisin": "NN",
    "raising": "VBG|NN|RP",
    "raison": "FW|NN",
    "raj": "NN",
    "rajah": "NN",
    "rake": "NN|VB|VBP",
    "raked": "VBD|VBN",
    "raking": "VBG",
    "rakish": "JJ",
    "rakishly": "RB",
    "raku": "NN",
    "rallied": "VBD|VBN",
    "rallies": "NNS|VBZ",
    "rally": "NN|VBP|VB",
    "rallying": "VBG|JJ|NN",
    "ram": "VB|NN",
    "ramble": "VB|VBP",
    "rambled": "VBD|VBN",
    "rambles": "VBZ",
    "rambling": "NN|JJ|VBG",
    "ramblings": "NNS",
    "rambunctious": "JJ",
    "ramification": "NN",
    "ramifications": "NNS",
    "rammed": "VBD|VBN",
    "ramming": "VBG",
    "ramp": "NN|VB",
    "rampage": "NN",
    "rampancy": "NN",
    "rampant": "JJ|RB",
    "rampart": "NN",
    "ramparts": "NNS",
    "ramps": "NNS|VBZ",
    "ramrod-stiff": "JJ",
    "ramrod-straight": "JJ",
    "ramshackle": "JJ",
    "ran": "VBD",
    "ranch": "NN",
    "rancher": "NN",
    "ranchers": "NNS",
    "ranches": "NNS",
    "rancho": "NN",
    "rancid": "JJ",
    "rancidity": "NN",
    "rancor": "NN",
    "rancorous": "JJ",
    "rand": "NNS|NN",
    "random": "JJ|NN",
    "random-access": "JJ",
    "random-storage": "JJ",
    "random-walk": "JJ",
    "randomization": "NN",
    "randomly": "RB",
    "randomness": "NN",
    "rang": "VBD",
    "range": "NN|JJ|VB|VBP|VBZ",
    "ranged": "VBD|VBN",
    "rangelands": "NNS",
    "ranger": "NN",
    "rangers": "NNS",
    "ranges": "NNS|VBZ",
    "ranging": "VBG",
    "rangy": "JJ",
    "rank": "VB|NN|VBP|JJ",
    "rank-and-file": "JJ|NN",
    "ranked": "VBD|VBN|JJ",
    "rankest": "JJS",
    "ranking": "JJ|VBG|NN",
    "rankings": "NNS",
    "rankled": "VBN",
    "rankles": "VBZ",
    "ranks": "NNS|VBZ",
    "ransack": "VB",
    "ransacked": "VBN|VBD",
    "ransacking": "VBG",
    "ransom": "NN|VB",
    "rant": "VBP|VB",
    "ranted": "VBD|VBN",
    "rap": "NN|VBP|VB",
    "rapacious": "JJ",
    "rape": "NN|VB|VBP",
    "rape-and-incest": "JJ",
    "raped": "VBN|VBD|JJ",
    "rapers": "NNS",
    "rapes": "NNS|VBZ",
    "rapeseed": "NN",
    "rapeseeds": "NNS",
    "rapid": "JJ",
    "rapid-fire": "JJ",
    "rapid-transit": "JJ",
    "rapidement": "FW",
    "rapidity": "NN",
    "rapidly": "RB",
    "rapidly-diminishing": "JJ",
    "rapier": "NN",
    "raping": "VBG|NN",
    "rapist": "NN",
    "rapists": "NNS",
    "rapped": "VBD|VBN",
    "rapping": "NN|VBG",
    "rapport": "NN",
    "rapprochement": "NN",
    "rapt": "JJ",
    "raptor": "NN",
    "raptors": "NNS",
    "rapture": "NN",
    "rare": "JJ",
    "rarefied": "VBN|VBD",
    "rarely": "RB",
    "rarer": "JJR",
    "rarest": "JJS",
    "rarified": "JJ|VBD|VBN",
    "raring": "JJ",
    "rarities": "NNS",
    "rarity": "NN",
    "rasa": "NN",
    "rascal": "NN",
    "rascals": "NNS",
    "rash": "NN|JJ",
    "rasp": "NN",
    "raspberry": "NN|JJ",
    "rasped": "VBD",
    "rasping": "JJ",
    "rasps": "NNS",
    "raspy": "NN",
    "rat": "NN|VB",
    "rat-a-tat-tat": "JJ",
    "rat-a-tat-tatty": "JJ",
    "rat-holes": "NNS",
    "rata": "JJ|FW|NN",
    "ratable": "JJ",
    "ratchet": "VB",
    "ratcheting": "VBG|NN",
    "rate": "NN|VBP|VB",
    "rate-IRA": "NN",
    "rate-increase": "JJ",
    "rate-making": "JJ",
    "rate-mortgages": "NNS",
    "rate-of-return": "JJ",
    "rate-sensitive": "JJ",
    "rate-slashing": "JJ",
    "rate-tightening": "JJ",
    "rate-watchers": "NNS",
    "rate...": ":",
    "rateable": "JJ",
    "rated": "VBN|JJ|VBD",
    "ratepayers": "NNS",
    "rates": "NNS|VBZ",
    "rather": "RB|IN",
    "ratification": "NN",
    "ratified": "VBN|VBD",
    "ratifiers": "NNS",
    "ratifies": "VBZ",
    "ratify": "VB|VBP",
    "ratifying": "VBG",
    "rating": "NN|VBG",
    "ratings": "NNS",
    "ratings-getter": "NN",
    "ratio": "NN",
    "ratiocinating": "JJ",
    "ration": "NN",
    "rational": "JJ",
    "rationale": "NN",
    "rationalism": "NN",
    "rationalist": "JJ|NN",
    "rationalistic": "JJ",
    "rationality": "NN",
    "rationalization": "NN",
    "rationalizations": "NNS",
    "rationalize": "VB|VBP",
    "rationalized": "JJ|VBN|VBD",
    "rationalizing": "VBG",
    "rationally": "RB",
    "rationed": "VBN",
    "rationing": "NN",
    "rations": "NNS",
    "ratios": "NNS",
    "rator": "NN",
    "rats": "NNS|VBZ|UH",
    "rattail": "NN",
    "rattle": "VB|NN",
    "rattled": "VBN|JJ|VBD",
    "rattler": "NN",
    "rattlers": "NNS",
    "rattles": "VBZ",
    "rattlesnake": "NN",
    "rattlesnakes": "NNS",
    "rattling": "VBG|NN",
    "ratty": "JJ",
    "raucous": "JJ",
    "raucously": "RB",
    "ravaged": "VBN|VBD",
    "ravages": "NNS|VBZ",
    "ravaging": "VBG",
    "rave": "VB|VBP|JJ",
    "raved": "VBD|VBN",
    "ravenous": "JJ",
    "raves": "VBZ",
    "ravines": "NNS",
    "raving": "VBG|JJ",
    "ravings": "NNS",
    "raw": "JJ",
    "raw-material": "NN|JJ",
    "raw-materials": "NNS|JJ",
    "raw-sugar": "JJ",
    "rawboned": "JJ",
    "rawhide": "NN",
    "ray": "NN|VB",
    "rayon": "NN",
    "rays": "NNS|VBZ",
    "razed": "VBN|VBD|JJ",
    "razing": "VBG",
    "razor": "NN",
    "razor-edged": "JJ",
    "razor-sharp": "JJ",
    "razor-thin": "JJ",
    "razorback": "NN",
    "razors": "NNS",
    "rbi": "NNS",
    "re": "NN",
    "re-acquire": "VB",
    "re-activate": "VB",
    "re-adopt": "NN",
    "re-animated": "JJ",
    "re-animates": "VBZ",
    "re-arguing": "VBG",
    "re-assumed": "VBN",
    "re-creactions": "NNS",
    "re-create": "VB",
    "re-created": "JJ|VBN|VBD",
    "re-creates": "VBZ",
    "re-creating": "NN|VBG",
    "re-creation": "NN",
    "re-creations": "NNS",
    "re-declared": "VBD",
    "re-echo": "VB",
    "re-edited": "VBN",
    "re-educate": "VB",
    "re-education": "NN",
    "re-elected": "VBN|JJ|VBD",
    "re-election": "NN|JJ",
    "re-emerge": "VB",
    "re-emerged": "VBD|VBN",
    "re-emergence": "NN",
    "re-emphasis": "NN",
    "re-emphasise": "VB",
    "re-emphasize": "VBP|VB",
    "re-emphasizing": "VBG",
    "re-enact": "VB",
    "re-enacted": "VBN|VBD",
    "re-enacting": "VBG",
    "re-enactment": "NN",
    "re-enactments": "NNS",
    "re-energized": "JJ",
    "re-enforces": "VBZ",
    "re-engineered": "VBD|VBN",
    "re-enter": "VB|VBP|NN",
    "re-entered": "VBD|VBN",
    "re-entering": "VBG",
    "re-entry": "NN",
    "re-establish": "VB|NN",
    "re-established": "VBD|VBN",
    "re-establishing": "VBG|JJ",
    "re-establishment": "NN",
    "re-evaluate": "VB|JJ|VBP",
    "re-evaluating": "VBG|JJ",
    "re-evaluation": "NN",
    "re-examination": "NN",
    "re-examine": "VB",
    "re-examined": "VBD|VBN",
    "re-examines": "VBZ",
    "re-examining": "VBG",
    "re-explore": "VB",
    "re-export": "NN",
    "re-exports": "NNS",
    "re-incorporated": "VBN",
    "re-incorporation": "NN",
    "re-injecting": "JJ",
    "re-instated": "VBN",
    "re-insure": "VB",
    "re-introduction": "NN",
    "re-invested": "JJ|VBN",
    "re-investment": "NN",
    "re-legalization": "VB",
    "re-living": "NN",
    "re-marketing": "NN",
    "re-moralizing": "VBG",
    "re-open": "VB",
    "re-opening": "VBG",
    "re-order": "JJ",
    "re-oriented": "VBN",
    "re-paid": "VBD",
    "re-rated": "VBN",
    "re-regulation": "NN",
    "re-rescue": "VB",
    "re-run": "VBN",
    "re-runs": "NNS",
    "re-scheduled": "VBN",
    "re-set": "VB|VBD|VBN",
    "re-sharpening": "NN",
    "re-supplied": "VBN",
    "re-thinking": "VBG",
    "re-thought": "JJ",
    "re-use": "VB",
    "re-used": "VBN|VBD",
    "re-vision": "NN",
    "reaccelerate": "VB",
    "reaccelerating": "VBG",
    "reacceleration": "NN",
    "reach": "VB|VBP|NN",
    "reached": "VBN|VBD",
    "reaches": "VBZ|NNS",
    "reaching": "VBG|NN",
    "reacquainted": "VBN",
    "reacquire": "VB",
    "reacquired": "VBN|VBD",
    "reacquisition": "NN",
    "react": "VB|VBP",
    "reactants": "NNS",
    "reacted": "VBD|VBN",
    "reacting": "VBG",
    "reaction": "NN",
    "reactionaries": "NNS",
    "reactionary": "JJ|NN",
    "reactions": "NNS",
    "reactivated": "VBD|VBN",
    "reactivity": "NN",
    "reactor": "NN",
    "reactors": "NNS",
    "reacts": "VBZ",
    "read": "VB|NN|VBP|VBD|VBN",
    "read-my-lips": "JJ",
    "read-only": "JJ",
    "readable": "JJ",
    "readapting": "VBG",
    "reader": "NN",
    "reader-friendly": "JJ",
    "readers": "NNS",
    "readership": "NN",
    "readied": "VBD|VBN",
    "readily": "RB",
    "readiness": "NN",
    "reading": "NN|VBG",
    "reading-rooms": "NNS",
    "readings": "NNS",
    "readjust": "VB",
    "readjusted": "VBN|VBD",
    "readjustment": "NN",
    "readjustments": "NNS",
    "readmit": "VB",
    "readmitted": "VBN|VBD",
    "reads": "VBZ",
    "ready": "JJ|RB|VB|UH",
    "ready-made": "JJ",
    "ready-to-eat": "JJ",
    "ready-to-wear": "JJ",
    "readying": "VBG",
    "reaffirm": "VB|VBP",
    "reaffirmation": "NN",
    "reaffirmed": "VBD|VBN",
    "reaffirming": "VBG",
    "reaffirms": "VBZ",
    "reagent": "NN",
    "reagents": "NNS",
    "real": "JJ|NN|RB",
    "real-analytic": "JJ",
    "real-estate": "NN|JJ",
    "real-estate-asset": "JJ",
    "real-estate-investment": "NN",
    "real-estate-related": "JJ",
    "real-life": "JJ",
    "real-time": "JJ",
    "real-world": "JJ",
    "realer": "JJR",
    "realest": "JJS",
    "realestate": "VB|NN",
    "realign": "VB",
    "realign...": ":",
    "realigned": "VBD|JJ|VBN",
    "realigning": "VBG",
    "realignment": "NN",
    "realignments": "NNS",
    "realism": "NN",
    "realismo": "FW",
    "realist": "NN",
    "realistic": "JJ",
    "realistically": "RB",
    "realists": "NNS",
    "realities": "NNS",
    "reality": "NN",
    "reality-based": "JJ",
    "realization": "NN",
    "realize": "VB|VBP",
    "realized": "VBD|JJ|VBN",
    "realizes": "VBZ",
    "realizing": "VBG|JJ",
    "reallocate": "VB",
    "reallocated": "VBN|VBD",
    "reallocating": "VBG",
    "really": "RB",
    "realm": "NN",
    "realms": "NNS",
    "realness": "NN",
    "realtor": "NN",
    "realtors": "NNS",
    "realty": "NN",
    "reams": "NNS",
    "reap": "VB|VBP",
    "reaped": "VBN|VBD",
    "reaper": "NN",
    "reaping": "VBG",
    "reappear": "VBP|VB",
    "reappearance": "NN",
    "reappeared": "VBD|VBN",
    "reappearing": "VBG",
    "reappears": "VBZ",
    "reappointed": "VBN",
    "reapportion": "VBP",
    "reapportioned": "VBN",
    "reapportionment": "NN",
    "reappraisal": "NN",
    "reappraisals": "NNS",
    "reappraise": "VB|VBP",
    "reappraised": "VBN|VBD",
    "reappraising": "VBG",
    "reaps": "VBZ",
    "rear": "JJ|NN|VB",
    "rear-guard": "JJ",
    "rear-looking": "JJ",
    "rear-seat": "NN",
    "reared": "VBN|VBD",
    "rearguard": "NN",
    "rearing": "VBG|NN",
    "rearm": "VB",
    "rearmed": "JJ|VBD|VBN",
    "rearrange": "VB",
    "rearranged": "VBD|VBN",
    "rearrangement": "NN",
    "rearrangements": "NNS",
    "rearranges": "VBZ",
    "rearranging": "VBG",
    "rears": "VBZ",
    "rearview": "NN",
    "reasearch": "NN",
    "reason": "NN|VB|VBP",
    "reasonable": "JJ",
    "reasonably": "RB",
    "reasoned": "VBD|JJ|VBN",
    "reasoning": "NN|VBG",
    "reasons": "NNS|VBZ",
    "reassemble": "VB",
    "reassembled": "VBN|VBD",
    "reassert": "VB",
    "reasserting": "VBG",
    "reasserts": "VBZ",
    "reassess": "NN|VB",
    "reassessed": "VBD|VBN",
    "reassessing": "VBG",
    "reassessment": "NN",
    "reassign": "VB",
    "reassigned": "VBD|VBN",
    "reassignment": "NN",
    "reassignments": "NNS",
    "reassume": "VB",
    "reassumed": "VBN|VBD",
    "reassurance": "NN",
    "reassurances": "NNS",
    "reassure": "VB",
    "reassured": "VBN|VBD",
    "reassuring": "JJ|VBG",
    "reassuringly": "RB",
    "reattached": "VBN",
    "reauthorization": "NN",
    "reauthorize": "VB",
    "reauthorized": "VBN|VBD",
    "reawaken": "VB|VBN",
    "reawakening": "VBG",
    "rebalance": "VB",
    "rebalanced": "VBN|VBD",
    "rebalancing": "VBG",
    "rebate": "NN",
    "rebated": "VBN",
    "rebates": "NNS",
    "rebel": "NN|VBP|JJ|VB",
    "rebelled": "VBD|VBN",
    "rebelling": "VBG",
    "rebellion": "NN",
    "rebellions": "NNS",
    "rebellious": "JJ",
    "rebelliously": "RB",
    "rebels": "NNS|VBZ",
    "rebirth": "NN",
    "reborn": "JJ|VBN",
    "rebound": "NN|VBP|VBD|VBN",
    "rebounded": "VBD|VBN|VBP|NN",
    "rebounding": "VBG",
    "rebounds": "VBZ|NNS",
    "rebuff": "NN|VB",
    "rebuffed": "VBN|VBD",
    "rebuffing": "VBG",
    "rebuild": "VB",
    "rebuilder": "NN",
    "rebuilding": "VBG|NN",
    "rebuilds": "VBZ",
    "rebuilt": "VBN|VBD",
    "rebuke": "VB|NN",
    "rebuked": "VBD|VBN",
    "rebut": "VB",
    "rebuts": "VBZ",
    "rebuttal": "NN",
    "rebuttals": "NNS",
    "rebutted": "VBN|VBD",
    "rec": "NN",
    "recalcitrant": "JJ",
    "recalculated": "VBD|VBN",
    "recalculating": "VBG",
    "recalculation": "NN",
    "recalculations": "NNS",
    "recall": "VB|NN|VBP",
    "recalled": "VBD|VBN",
    "recalling": "VBG|NN",
    "recalls": "VBZ|NNS",
    "recantation": "NN",
    "recanted": "VBN|VBD",
    "recapitalization": "NN",
    "recapitalizations": "NNS",
    "recapitalize": "VB",
    "recapitalized": "VBN|VBD",
    "recapitalizing": "VBG",
    "recapitulate": "VB",
    "recapitulation": "NN",
    "recaptilization": "NN",
    "recapture": "VB|NN",
    "recaptured": "VBN|VBD",
    "recapturing": "VBG",
    "recast": "VB|VBD|VBN",
    "recede": "VBP|VB",
    "receded": "VBD|VBN",
    "receding": "VBG",
    "receipt": "NN|VB",
    "receipts": "NNS|VBZ",
    "receivable": "NN|JJ",
    "receivables": "NN|NNS",
    "receive": "VB|VBP",
    "received": "VBD|VBN|JJ",
    "receiver": "NN",
    "receivers": "NNS",
    "receivership": "NN",
    "receives": "VBZ",
    "receiving": "VBG|NN",
    "recent": "JJ",
    "recently": "RB",
    "recently-announced": "JJ",
    "recently-filed": "JJ",
    "recently-passed": "JJ",
    "recentralized": "VBN",
    "recentralizing": "VBG",
    "receptacle": "NN",
    "reception": "NN",
    "receptionist": "NN",
    "receptionists": "NNS",
    "receptions": "NNS",
    "receptive": "JJ",
    "receptivity": "NN",
    "receptor": "NN",
    "receptors": "NNS",
    "recess": "NN|VB",
    "recessed": "VBN|VBD",
    "recession": "NN",
    "recession-free": "JJ",
    "recession-inspired": "JJ",
    "recession-oriented": "JJ",
    "recession-plagued": "JJ",
    "recession-proof": "JJ",
    "recession-resistant": "JJ",
    "recession-sensitive": "JJ",
    "recession-wary": "JJ",
    "recessionary": "JJ",
    "recessions": "NNS",
    "recharge": "NN|VB",
    "rechargeable": "JJ",
    "recharged": "VBN|VBD",
    "recharging": "VBG",
    "rechartering": "VBG",
    "recheck": "VBP",
    "rechristening": "VBG",
    "rechristens": "VBZ",
    "recipe": "NN",
    "recipes": "NNS",
    "recipient": "JJ|NN",
    "recipients": "NNS",
    "reciprocal": "JJ",
    "reciprocate": "VB|VBD",
    "reciprocates": "VBZ",
    "reciprocity": "NN",
    "recit": "FW",
    "recital": "NN",
    "recitals": "NNS",
    "recitation": "NN",
    "recitations": "NNS",
    "recitative": "NN",
    "recite": "VB|VBP",
    "recited": "VBD|VBN",
    "recites": "VBZ",
    "reciting": "VBG",
    "reckless": "JJ",
    "reckless-endangerment": "NN",
    "recklessly": "RB",
    "recklessness": "NN",
    "reckon": "VBP|VB",
    "reckoned": "VBN|VBD",
    "reckoning": "NN|VBG",
    "reckonings": "NNS",
    "reckons": "VBZ",
    "reclaim": "VB|VBP",
    "reclaimed": "VBN|VBD|JJ",
    "reclaiming": "VBG",
    "reclaims": "VBZ",
    "reclamation": "NN",
    "reclassification": "NN",
    "reclassified": "VBD|VBN",
    "recliner": "NN",
    "reclining": "VBG|JJ",
    "recluse": "NN",
    "reclusive": "JJ",
    "recoated": "VBN",
    "recognised": "VBD|VBN|JJ",
    "recognition": "NN",
    "recognitions": "NNS",
    "recognizable": "JJ",
    "recognizably": "RB",
    "recognizance": "NN",
    "recognize": "VB|VBP",
    "recognized": "VBN|JJ|VBD",
    "recognizes": "VBZ",
    "recognizing": "VBG",
    "recoil": "NN|VBP|VB",
    "recoiled": "VBD|VBN",
    "recoilless": "JJ",
    "recollect": "VBP|VB",
    "recollected": "VBD|VBN",
    "recollection": "NN",
    "recollections": "NNS",
    "recollectivization": "NN",
    "recombinant": "JJ",
    "recombinant-DNA": "NN",
    "recombination": "NN",
    "recommence": "VB",
    "recommend": "VB|VBP",
    "recommendation": "NN",
    "recommendations": "NNS",
    "recommendatons": "NNS",
    "recommended": "VBD|VBN|JJ",
    "recommending": "VBG",
    "recommends": "VBZ",
    "recompence": "NN",
    "recompense": "NN|VB",
    "reconceptualization": "NN",
    "reconcilable": "JJ",
    "reconcile": "VB",
    "reconciled": "VBN|VBD",
    "reconciles": "VBZ",
    "reconciliation": "NN",
    "reconciliations": "NNS",
    "reconciling": "VBG",
    "recond": "VBD",
    "recondite": "JJ",
    "reconditioning": "VBG",
    "reconfiguration": "NN",
    "reconfigure": "NN",
    "reconfirm": "VB",
    "reconfirmation": "NN",
    "reconfirming": "VBG",
    "reconnaissanace": "NN",
    "reconnaissance": "NN",
    "reconnect": "VB",
    "reconnoiter": "VBP|VB",
    "reconsider": "VB|VBP",
    "reconsideration": "NN",
    "reconsidered": "VBN|VBD",
    "reconsidering": "VBG",
    "reconstitute": "VB",
    "reconstituting": "VBG",
    "reconstruct": "VB|VBP",
    "reconstructed": "VBD|JJ|VBN",
    "reconstructing": "VBG",
    "reconstruction": "NN",
    "reconstructions": "NNS",
    "reconstructs": "VBZ",
    "recontamination": "NN",
    "reconvened": "VBN",
    "reconvenes": "VBZ",
    "reconvention": "NN",
    "reconverting": "VBG",
    "recooned": "VBD",
    "recopied": "VBN",
    "record": "NN|JJ|VB|VBP",
    "record-breaking": "JJ",
    "record-high": "JJ",
    "record-keeping": "NN|JJ",
    "record-tying": "JJ",
    "recorded": "VBN|VBD|JJ",
    "recorded-music": "JJ",
    "recorder": "NN",
    "recorders": "NNS",
    "recorders.": "NNS",
    "recording": "NN|VBG",
    "recording-company": "NN",
    "recordings": "NNS",
    "recordkeeping": "NN",
    "records": "NNS|VBZ",
    "recork": "VB",
    "recount": "VB|NN",
    "recounted": "VBD|VBN",
    "recounting": "VBG",
    "recounts": "VBZ",
    "recoup": "VB",
    "recouped": "VBN|VBD",
    "recouping": "VBG",
    "recourse": "NN",
    "recover": "VB|VBP",
    "recoverability": "NN",
    "recoverable": "JJ",
    "recovered": "VBD|VBN",
    "recoveries": "NNS",
    "recovering": "VBG|JJ",
    "recovers": "VBZ",
    "recovery": "NN",
    "recovery-program": "NN",
    "recraft": "VB",
    "recreate": "VB|VBP",
    "recreated": "VBN|VBD",
    "recreates": "VBZ",
    "recreating": "VBG",
    "recreation": "NN",
    "recreational": "JJ",
    "recreational-vehicle": "NN|JJ",
    "recrimination": "NN",
    "recriminations": "NNS",
    "recruit": "VB|VBP|NN",
    "recruited": "VBN|VBD",
    "recruiter": "NN",
    "recruiting": "VBG|NN",
    "recruitment": "NN",
    "recruits": "VBZ|NNS",
    "rectangle": "NN",
    "rectangles": "NNS",
    "rectangular": "JJ",
    "rectification": "NN",
    "rectified": "VBN|VBD",
    "rectifier": "NN",
    "rectify": "VB",
    "rectifying": "VBG",
    "rectilinear": "JJ",
    "rectitude": "NN",
    "rectlinearly": "RB",
    "rector": "NN",
    "rectum": "NN",
    "recumbent": "JJ",
    "recuperate": "VB",
    "recuperating": "VBG",
    "recuperation": "NN",
    "recur": "VB|VBP",
    "recurred": "VBD|VBN",
    "recurrence": "NN",
    "recurrences": "NNS",
    "recurrent": "JJ",
    "recurrently": "RB",
    "recurring": "VBG",
    "recursive": "JJ",
    "recusant": "NN",
    "recused": "VBN",
    "recut": "JJ|VB|VBD|VBN",
    "recyclability": "NN",
    "recyclable": "JJ",
    "recycle": "VB",
    "recycled": "VBN|JJ|VBD",
    "recycler": "NN",
    "recycles": "VBZ",
    "recycling": "VBG|NN",
    "red": "JJ|NN",
    "red-and-white": "JJ",
    "red-and-yellow": "JJ",
    "red-bellied": "JJ",
    "red-blood": "JJ",
    "red-blooded": "JJ",
    "red-brick": "JJ",
    "red-carpet": "JJ",
    "red-cheeked": "JJ",
    "red-clay": "NN",
    "red-faced": "JJ",
    "red-figured": "JJ",
    "red-flag": "VB",
    "red-frocked": "JJ",
    "red-haired": "JJ",
    "red-handed": "JJ",
    "red-light": "JJ",
    "red-necked": "JJ",
    "red-rimmed": "JJ",
    "red-tailed": "JJ",
    "red-tape": "NN",
    "red-tile": "JJ",
    "red-tipped": "JJ",
    "red-turbaned": "JJ",
    "red-visored": "JJ",
    "red-white-and-blue": "JJ",
    "redactions": "NNS",
    "redactor": "NN",
    "redcoat": "NN",
    "redcoats": "NNS",
    "reddened": "VB|VBD",
    "redder": "JJR|RBR",
    "reddish": "JJ",
    "redecorated": "VBN",
    "redecorating": "VBG|NN",
    "redecoration": "NN",
    "rededicate": "VB",
    "rededicating": "VBG",
    "redeem": "VB|VBP",
    "redeemable": "JJ",
    "redeemded": "VBN",
    "redeemed": "VBN|VBD",
    "redeemin": "VBG",
    "redeeming": "VBG|JJ",
    "redeems": "VBZ",
    "redefine": "VB",
    "redefined": "VBD|VBN",
    "redefining": "VBG",
    "redefinition": "NN",
    "redelivered": "VBN",
    "redemption": "NN",
    "redemptions": "NNS",
    "redemptive": "JJ",
    "redeploy": "VB",
    "redeployment": "NN",
    "redeposition": "NN",
    "redesign": "VB|NN",
    "redesignation": "NN",
    "redesigned": "VBN|VBD|JJ",
    "redesigning": "VBG",
    "redevelop": "VB",
    "redevelopers": "NNS",
    "redevelopment": "NN",
    "redfish": "NN",
    "redhead": "NN",
    "redheaded": "JJ",
    "redheader": "NN",
    "redheads": "NNS",
    "redial": "VB",
    "redirect": "VB",
    "redirected": "VBN|VBD",
    "redirecting": "VBG",
    "redirection": "NN",
    "rediscover": "VB",
    "rediscovered": "VBN|VBD",
    "rediscovering": "VBG",
    "rediscovery": "NN",
    "redistribute": "VB|VBP",
    "redistributed": "VBN|VBD",
    "redistributes": "VBZ",
    "redistributing": "VBG",
    "redistribution": "NN",
    "redistributionism": "NN",
    "redistributionist": "NN",
    "redistributive": "JJ",
    "redistricting": "NN|VBG",
    "redlining": "VBG",
    "redneck": "NN",
    "rednecks": "NNS",
    "redo": "VB",
    "redoing": "VBG",
    "redone": "NN|JJ|VBN",
    "redouble": "VB",
    "redoubled": "VBN|VBD",
    "redoubling": "VBG",
    "redoubt": "NN",
    "redound": "VB",
    "redounds": "VBZ",
    "redraw": "VB",
    "redrawn": "JJ|VBN",
    "redress": "VB|NN",
    "redressed": "VBN|VBD",
    "reds": "NNS",
    "reduce": "VB|VBP",
    "reduced": "VBN|VBD|JJ",
    "reduced-fat": "JJ",
    "reduced-instruction": "NN",
    "reduced-instruction-set-computer": "JJ",
    "reducer": "NN",
    "reduces": "VBZ",
    "reducing": "VBG|NN",
    "reduction": "NN",
    "reductions": "NNS",
    "redundancies": "NNS",
    "redundancy": "NN",
    "redundant": "JJ",
    "redwood": "NN",
    "redwoods": "NNS",
    "reedbuck": "NN",
    "reeds": "NNS",
    "reedy": "JJ",
    "reef": "NN",
    "reefs": "NNS",
    "reek": "VBP|NN|VB",
    "reeked": "VBD|VBN",
    "reeking": "VBG",
    "reel": "NN|VBP|VB",
    "reelected": "VBN|VBD",
    "reelection": "NN",
    "reeled": "VBD|VBN",
    "reeling": "VBG",
    "reemerged": "VBD",
    "reemphasizes": "VBZ",
    "reenact": "VB",
    "reentered": "VBD",
    "reestablish": "VB",
    "reevaluation": "NN",
    "reexamination": "NN",
    "reexamine": "VB",
    "reexamining": "VBG",
    "refashion": "NN|VB",
    "refashioning": "VBG",
    "refectories": "NNS",
    "refer": "VBP|VB",
    "referee": "NN|VB",
    "referees": "NNS|VBZ",
    "reference": "NN|VB",
    "reference-points": "NNS",
    "references": "NNS|VBZ",
    "referenda": "NN",
    "referendum": "NN",
    "referent": "NN",
    "referral": "NN",
    "referrals": "NNS",
    "referred": "VBD|VBN",
    "referrin": "VBG",
    "referring": "VBG",
    "refers": "VBZ",
    "refight": "VB",
    "refile": "VB",
    "refill": "NN|VB",
    "refillable": "JJ",
    "refilled": "VBN|VBD",
    "refinance": "VB",
    "refinanced": "VBN|VBD",
    "refinancing": "NN|VBG",
    "refinancings": "NNS",
    "refine": "VB",
    "refined": "VBN|JJ|VBD",
    "refined-petroleum-products": "JJ",
    "refinement": "NN",
    "refinements": "NNS",
    "refiner": "NN",
    "refineries": "NNS",
    "refiners": "NNS",
    "refinery": "NN",
    "refining": "NN|VBG",
    "refitting": "VBG",
    "reflect": "VB|VBP",
    "reflectance": "NN",
    "reflectance-measuring": "JJ",
    "reflected": "VBD|JJ|VBN",
    "reflecting": "VBG|JJ",
    "reflection": "NN",
    "reflections": "NNS",
    "reflective": "JJ",
    "reflector": "NN",
    "reflectors": "NNS",
    "reflects": "VBZ",
    "reflex": "JJ|NN",
    "reflexes": "NNS",
    "reflexively": "RB",
    "reflexly": "RB",
    "refocus": "VB",
    "refocused": "VBN|VBD",
    "refocuses": "VB|VBZ",
    "refocusing": "NN|VBG",
    "refolded": "VBD",
    "reforestation": "NN",
    "reform": "NN|VB",
    "reform-minded": "JJ",
    "reformation": "NN",
    "reformatory": "NN",
    "reformed": "VBN|JJ|VBD",
    "reformer": "NN|JJ",
    "reformers": "NNS",
    "reforming": "VBG",
    "reformism": "NN",
    "reformist": "JJ|NN",
    "reformists": "NNS",
    "reforms": "NNS|VBZ",
    "reformulated": "VBN|JJ",
    "reformulation": "NN",
    "refracted": "VBD",
    "refraction": "NN",
    "refractive": "JJ",
    "refractories": "NNS",
    "refractory": "JJ|NN",
    "refrain": "VB|NN",
    "refrained": "VBD|VBN",
    "refraining": "VBG",
    "refresh": "VBP|VB",
    "refreshed": "JJ|VBD|VBN",
    "refresher": "NN",
    "refreshing": "VBG|JJ",
    "refreshingly": "RB",
    "refreshment": "NN",
    "refreshments": "NNS",
    "refrigerant": "NN",
    "refrigerated": "VBN|JJ",
    "refrigeration": "NN",
    "refrigerator": "NN",
    "refrigerators": "NNS",
    "refuel": "VB",
    "refueling": "VBG|NN",
    "refuge": "NN",
    "refugee": "NN",
    "refugee-assistance": "NN",
    "refugees": "NNS",
    "refund": "NN|VB",
    "refundable": "JJ",
    "refunded": "VBN|VBD",
    "refunding": "NN|VBG|JJ",
    "refunds": "NNS|VBZ",
    "refurbish": "VB",
    "refurbished": "VBN|VBD",
    "refurbishing": "NN|VBG",
    "refurbishment": "NN",
    "refurnished": "VBN",
    "refusal": "NN",
    "refuse": "VBP|VB|NN",
    "refuse-littered": "JJ",
    "refused": "VBD|VBN",
    "refusers": "NNS",
    "refuses": "VBZ",
    "refusing": "VBG|NN",
    "refute": "VB",
    "refuted": "VBD|VBN",
    "regain": "VB|VBP",
    "regained": "VBN|VBD",
    "regaining": "VBG",
    "regains": "VBZ",
    "regal": "JJ",
    "regaled": "VBD|VBN",
    "regalia": "NNS",
    "regard": "NN|VB|VBP",
    "regarded": "VBN|JJ|VBD",
    "regarding": "VBG",
    "regardless": "RB",
    "regards": "VBZ|NNS",
    "regattas": "NNS",
    "regenerate": "VB",
    "regenerates": "VBZ",
    "regenerating": "VBG",
    "regeneration": "NN",
    "regents": "NNS",
    "reggae": "NN",
    "reggae-and-rock": "JJ",
    "regi": "FW",
    "regime": "NN",
    "regimen": "NN",
    "regiment": "NN|VB",
    "regimentation": "NN",
    "regimented": "JJ|VBN|VBD",
    "regiments": "NNS|VBZ",
    "regimes": "NNS",
    "region": "NN",
    "region-by-region": "JJ",
    "regional": "JJ",
    "regionalism": "JJ",
    "regionally": "RB",
    "regionals": "NNS",
    "regions": "NNS",
    "register": "VB|NN|VBP",
    "registered": "VBN|VBD|JJ",
    "registering": "VBG|JJ",
    "registers": "NNS|VBZ",
    "registrant": "NN",
    "registrants": "NNS",
    "registrar": "NN",
    "registration": "NN",
    "registrations": "NNS",
    "registries": "NNS",
    "registry": "NN",
    "regress": "VB",
    "regression": "NN",
    "regressive": "JJ",
    "regret": "NN|VBP|VB",
    "regrets": "VBZ|NNS",
    "regrettable": "JJ",
    "regrettably": "RB",
    "regretted": "VBN|VBD",
    "reground": "JJ|VBD|VBN",
    "regroup": "VBP|VB",
    "regrouped": "VBD|VBN",
    "regrouping": "NN|VBG",
    "regular": "JJ",
    "regular-featured": "JJ",
    "regular-season": "JJ",
    "regularity": "NN",
    "regularly": "RB",
    "regulars": "NNS",
    "regulate": "VB|VBP",
    "regulated": "VBN|JJ|VBD",
    "regulates": "VBZ",
    "regulating": "VBG|NN",
    "regulation": "NN|JJ",
    "regulation-writing": "JJ",
    "regulation/deregulation": "NN",
    "regulations": "NNS",
    "regulative": "JJ",
    "regulator": "NN",
    "regulators": "NNS|VBZ",
    "regulatory": "JJ",
    "reguli": "NNS",
    "regulus": "NN",
    "regummed": "VBD",
    "regurgitated": "VBD|VBN",
    "regurgitating": "VBG",
    "rehabilitate": "VB",
    "rehabilitated": "VBN|VBD",
    "rehabilitating": "VBG",
    "rehabilitation": "NN",
    "rehabilitations": "NNS",
    "reharmonization": "NN",
    "rehash": "NN|VBP|VB",
    "rehashed": "VBD|VBN",
    "rehashing": "VBG",
    "rehear": "VB",
    "rehearing": "NN|VBG",
    "rehearsal": "NN",
    "rehearsals": "NNS",
    "rehearse": "VB",
    "rehearsed": "VBN|VBD",
    "rehearsing": "VBG",
    "reign": "NN|VBP|VB",
    "reigned": "VBD|VBN",
    "reigning": "VBG",
    "reignite": "VB|NN",
    "reignited": "VBN|VBD",
    "reigniting": "VBG",
    "reigns": "VBZ",
    "reimburse": "VB|VBP",
    "reimburseable": "JJ",
    "reimbursed": "VBN|VBD",
    "reimbursement": "NN",
    "reimbursements": "NNS",
    "reimburses": "VBZ",
    "reimbursing": "VBG",
    "reimpose": "VB|JJ",
    "rein": "VB|NN",
    "reinbursement": "NN",
    "reincarcerated": "VBN",
    "reincarnated": "VBD|VBN",
    "reincorporated": "VBN",
    "reincorporating": "VBG",
    "reindicting": "VBG",
    "reined": "VBD|VBN",
    "reinforce": "VB|VBP",
    "reinforced": "VBD|VBN|JJ",
    "reinforced-fiberglass": "JJ",
    "reinforcement": "NN",
    "reinforcements": "NNS",
    "reinforces": "VBZ",
    "reinforcing": "VBG",
    "reining": "VBG",
    "reinman": "NN",
    "reins": "NNS|VBZ",
    "reinstall": "VB",
    "reinstalled": "VBN|VBD",
    "reinstate": "VB",
    "reinstated": "VBD|VBN",
    "reinstatement": "NN",
    "reinstating": "VBG",
    "reinstituting": "VBG",
    "reinstitution": "NN",
    "reinsurance": "NN",
    "reinsure": "VB",
    "reinsured": "VBN|VBD",
    "reinsurer": "JJR",
    "reinsurers": "NNS",
    "reinsuring": "VBG",
    "reintegrated": "VBN",
    "reinterpret": "VB",
    "reinterpretation": "NN",
    "reinterpreted": "VBN",
    "reinterpreting": "VBG",
    "reintroduce": "VBP",
    "reintroduced": "VBN|VBD",
    "reintroduces": "VBZ",
    "reintroducing": "VBG",
    "reinvent": "VB",
    "reinvented": "VBD|VBN",
    "reinvest": "VB|VBP",
    "reinvested": "VBN|VBD",
    "reinvestigating": "VBG",
    "reinvestigation": "NN",
    "reinvesting": "VBG",
    "reinvestment": "NN",
    "reinvigorate": "VB",
    "reinvigorated": "VBN|VBD",
    "reinvigorating": "VBG",
    "reinvigoration": "NN",
    "reipublicae": "FW",
    "reissue": "NN|VB",
    "reiterate": "VB|VBP",
    "reiterated": "VBD|VBN",
    "reiterates": "VBZ",
    "reiterating": "VBG",
    "reiteration": "NN",
    "reject": "VB|VBP",
    "rejected": "VBD|VBN",
    "rejecting": "VBG",
    "rejection": "NN",
    "rejections": "NNS",
    "rejects": "VBZ|NNS",
    "rejiggering": "VBG",
    "rejoice": "VBP|VB",
    "rejoiced": "VBD|VBN",
    "rejoices": "VBZ",
    "rejoicing": "VBG|NN",
    "rejoin": "VB|VBP",
    "rejoinder": "NN",
    "rejoined": "VBD|VBN",
    "rejoining": "VBG",
    "rejoins": "VBZ",
    "rejuvenate": "VB",
    "rejuvenated": "VBN|JJ|VBD",
    "rejuvenates": "VBZ",
    "rejuvenation": "NN",
    "rekindle": "VB",
    "rekindled": "VBN|VBD",
    "rekindles": "VBZ",
    "rekindling": "VBG|NN",
    "relabeling": "VBG",
    "relapse": "NN|VB",
    "relapsed": "VBD|VBN",
    "relate": "VBP|VB",
    "related": "VBN|JJ|VBD",
    "relatedness": "NN",
    "relates": "VBZ",
    "relating": "VBG",
    "relation": "NN",
    "relation-back": "JJ",
    "relational": "JJ",
    "relations": "NNS",
    "relationship": "NN",
    "relationship-building": "NN",
    "relationships": "NNS",
    "relative": "JJ|NN",
    "relative-performance": "JJ",
    "relatively": "RB",
    "relatives": "NNS",
    "relativism": "NN",
    "relativist": "NN",
    "relativistic": "JJ",
    "relativity": "NN",
    "relatonship": "NN",
    "relaunch": "VB",
    "relaunched": "VBN|VBD",
    "relax": "VB|VBP",
    "relaxation": "NN",
    "relaxed": "VBD|VBN|JJ",
    "relaxer": "NN",
    "relaxes": "VBZ",
    "relaxing": "VBG|JJ",
    "relay": "VB|NN|VBP",
    "relayed": "VBD|VBN",
    "relaying": "VBG",
    "relearns": "VBZ",
    "release": "NN|VBP|VB",
    "released": "VBN|VBD",
    "releases": "NNS|VBZ",
    "releasing": "VBG",
    "relegated": "VBN|VBD",
    "relegating": "VBG",
    "relent": "VBP|VB",
    "relented": "VBD|VBN",
    "relenting": "VBG",
    "relentless": "JJ",
    "relentlessly": "RB",
    "relentlessness": "NN",
    "relevance": "NN",
    "relevancy": "NN",
    "relevant": "JJ",
    "reliability": "NN",
    "reliable": "JJ",
    "reliables": "NNS",
    "reliably": "RB",
    "reliance": "NN",
    "reliant": "JJ",
    "relic": "NN",
    "relicensing": "NN",
    "relics": "NNS",
    "relict": "NN",
    "relied": "VBN|VBD",
    "relief": "NN",
    "reliefs": "NNS",
    "relies": "VBZ",
    "relieve": "VB",
    "relieved": "VBN|VBD|JJ",
    "reliever": "NN",
    "relieves": "VBZ",
    "relieving": "VBG",
    "religion": "NN",
    "religionists": "NNS",
    "religions": "NNS",
    "religiosity": "NN",
    "religious": "JJ|IN|NN",
    "religious-right": "NN",
    "religiously": "RB",
    "religiousness": "NN",
    "relinquish": "VB|VBP",
    "relinquished": "VBN|VBD",
    "relinquishing": "VBG|NN",
    "relish": "NN|VB",
    "relished": "VBD|VBN",
    "relishes": "VBZ|NNS",
    "relishing": "VBG",
    "relisting": "NN",
    "relive": "VBP",
    "relives": "VBZ",
    "reliving": "NN|VBG",
    "reloaded": "VBD|VBN",
    "relocate": "VB|NN|VBP",
    "relocated": "VBD|VBN",
    "relocating": "VBG",
    "relocation": "NN",
    "relocations": "NNS",
    "reluctance": "NN",
    "reluctant": "JJ",
    "reluctantly": "RB",
    "rely": "VB|VBP",
    "relying": "VBG",
    "relyriced": "VBD",
    "remade": "VB|VBN|NN|VBD",
    "remain": "VB|VBP",
    "remainder": "NN",
    "remained": "VBD|VBN",
    "remaining": "VBG|JJ",
    "remains": "VBZ|NNS",
    "remake": "VB",
    "remakes": "NNS|VBZ",
    "remanded": "VBD|VBN",
    "remanding": "VBG",
    "remark": "NN|VB",
    "remarkable": "JJ",
    "remarkably": "RB",
    "remarked": "VBD|VBN",
    "remarketings": "NNS",
    "remarking": "VBG",
    "remarks": "NNS|VBZ",
    "remarried": "VBD|VBN",
    "remarry": "VB",
    "remarrying": "NN|VBG",
    "rematch": "NN",
    "rematches": "NNS",
    "remedial": "JJ",
    "remediation": "NN",
    "remedied": "VBN|VBD",
    "remedies": "NNS|VBZ",
    "remedy": "NN|VB",
    "remember": "VB|VBP",
    "remembered": "VBD|JJ|VBN",
    "remembering": "VBG|NN",
    "remembers": "VBZ",
    "remembrance": "NN",
    "remembrances": "NNS",
    "remind": "VB|VBP",
    "reminded": "VBD|VBN",
    "reminder": "NN",
    "reminders": "NNS",
    "reminding": "VBG",
    "reminds": "VBZ",
    "reminisced": "VBD|VBN",
    "reminiscence": "NN",
    "reminiscences": "NNS",
    "reminiscent": "JJ|NN",
    "reminisces": "VBZ",
    "reminiscing": "VBG",
    "remiss": "JJ",
    "remissions": "NNS",
    "remittances": "NNS",
    "remitted": "VBN|VBD",
    "remitting": "VBG",
    "remnant": "NN",
    "remnants": "NNS",
    "remodeled": "VBD|VBN",
    "remodeling": "VBG|NN",
    "remolding": "VBG",
    "remonstrate": "VB",
    "remonstrated": "VBD|VBN",
    "remora": "NNS",
    "remorse": "NN",
    "remorseful": "JJ",
    "remorseless": "JJ",
    "remote": "JJ",
    "remote-control": "JJ",
    "remote-controlled": "JJ",
    "remote-site": "NN",
    "remotely": "RB",
    "remoteness": "NN",
    "remoter": "JJR",
    "remotest": "JJS",
    "remounting": "VBG",
    "removable": "JJ",
    "removal": "NN",
    "remove": "VB|VBP",
    "removed": "VBN|JJ|VBD",
    "removes": "VBZ",
    "removing": "VBG",
    "remuda": "NN",
    "remunerated": "VBN|VBD",
    "remuneration": "NN",
    "remunerative": "JJ",
    "renaissance": "NN|NNP",
    "renal": "JJ",
    "rename": "VB",
    "renamed": "VBN|VBD",
    "renames": "VBZ",
    "renaming": "VBG",
    "renationalize": "VB",
    "renaturation": "NN",
    "rend": "VB",
    "render": "VB|VBP",
    "rendered": "VBN|VBD",
    "rendering": "VBG|NN",
    "renderings": "NNS",
    "renders": "VBZ",
    "rendezvous": "NN",
    "rendezvoused": "VBD",
    "rendition": "NN",
    "renditions": "NNS",
    "renegade": "NN|VB",
    "renege": "VB",
    "reneged": "VBD|VBN",
    "reneging": "VBG",
    "renegotiable": "JJ",
    "renegotiate": "VB",
    "renegotiated": "VBN|VBD",
    "renegotiating": "VBG",
    "renegotiation": "NN",
    "renegotiations": "NNS",
    "renew": "VB|VBP",
    "renewable": "JJ",
    "renewal": "NN",
    "renewals": "NNS",
    "renewed": "VBN|VBD|JJ",
    "renewing": "VBG",
    "renews": "VBZ",
    "renounce": "VB",
    "renounced": "VBD|VBN",
    "renouncing": "VBG",
    "renovate": "VB",
    "renovated": "VBN|JJ|VBD",
    "renovating": "VBG",
    "renovation": "NN",
    "renovations": "NNS",
    "renown": "NN|VB",
    "renowned": "JJ|VBN|VBD",
    "rent": "NN|VB|VBN|VBP|VBD",
    "rent-a-colonel": "NN",
    "rent-control": "NN",
    "rent-controlled": "JJ",
    "rent-free": "JJ",
    "rent-subsidized": "JJ",
    "rent-subsidy": "JJ",
    "rental": "JJ|NN",
    "rental-car": "NN",
    "rentals": "NNS",
    "rented": "VBN|JJ|VBD",
    "renter": "NN",
    "renters": "NNS",
    "renting": "VBG|NN",
    "rents": "VBZ|NNS",
    "renunciation": "NN",
    "renunciations": "NNS",
    "reoccupation": "NN",
    "reoffered": "VBN|JJ|VBD",
    "reoffering": "NN|VBG",
    "reopen": "VB|VBP",
    "reopened": "VBN|VBD",
    "reopening": "VBG",
    "reopens": "VBZ",
    "reorder": "VB",
    "reordering": "NN|VBG",
    "reorganization": "NN",
    "reorganization-plan": "JJ",
    "reorganizations": "NNS",
    "reorganize": "VB",
    "reorganized": "VBN|JJ|VBD",
    "reorganizes": "VBZ",
    "reorganizing": "VBG",
    "reorient": "VB",
    "reorientation": "NN",
    "reoriented": "VBN|VBD",
    "rep": "NN",
    "repackage": "VB",
    "repackaged": "VBN|VBD",
    "repackaging": "VBG",
    "repaid": "VBN|VBD",
    "repainted": "VBN|JJ",
    "repainting": "NN|VBG",
    "repair": "NN|VB|VBP",
    "repaired": "VBN|VBD",
    "repairing": "VBG|NN",
    "repairman": "NN",
    "repairmen": "NNS",
    "repairs": "NNS|VBZ",
    "reparation": "NN",
    "reparations": "NNS",
    "repartee": "NN",
    "repassed": "VBN",
    "repatriate": "VB|VBP|VBD",
    "repatriated": "VBN",
    "repatriating": "VBG",
    "repatriation": "NN",
    "repatriations": "NNS",
    "repay": "VB|VBP",
    "repayable": "JJ",
    "repaying": "VBG",
    "repayment": "NN",
    "repayments": "NNS",
    "repeal": "NN|VB",
    "repealed": "VBN|VBD",
    "repealing": "VBG",
    "repeals": "VBZ",
    "repeat": "NN|VB|JJ|VBP",
    "repeated": "VBN|JJ|VBD",
    "repeatedly": "RB",
    "repeater": "NN",
    "repeaters": "NNS",
    "repeating": "VBG|JJ",
    "repeats": "NNS|VBZ",
    "repel": "VB|VBP",
    "repelled": "VBN|VBD",
    "repellent": "JJ|NN",
    "repelling": "VBG",
    "repels": "VBZ",
    "repent": "VB|VBP",
    "repentance": "NN",
    "repentant": "JJ",
    "repercussions": "NNS",
    "repertoire": "NN",
    "repertory": "NN",
    "repetition": "NN",
    "repetitions": "NNS",
    "repetitious": "JJ",
    "repetitive": "JJ",
    "rephrase": "VB",
    "rephrased": "VBN|VBD",
    "replace": "VB|VBP",
    "replaced": "VBN|VBD",
    "replacement": "NN|JJ",
    "replacement-car": "NN",
    "replacements": "NNS",
    "replaces": "VBZ",
    "replacing": "VBG",
    "replanted": "VBN",
    "replaster": "VB",
    "replay": "NN",
    "replaying": "VBG",
    "replays": "NNS",
    "replenish": "VB",
    "replenished": "VBN|VBD",
    "replenishment": "NN",
    "replete": "JJ|VB",
    "replica": "NN",
    "replicate": "VB",
    "replicated": "VBN|VBD",
    "replicating": "VBG",
    "replication": "NN",
    "replied": "VBD|VBN",
    "replies": "VBZ|NNS",
    "reply": "VB|NN|VBP",
    "replying": "VBG",
    "repond": "VB",
    "reponsibility": "NN",
    "report": "NN|VBP|VB",
    "reportage": "NN",
    "reported": "VBD|JJ|VBN|VBP",
    "reportedly": "RB",
    "reporter": "NN",
    "reporters": "NNS",
    "reporting": "VBG|NN",
    "reportorial": "JJ",
    "reports": "NNS|VBZ",
    "repose": "NN|VB",
    "reposed": "VBD|VBN",
    "reposition": "VB",
    "repositioning": "NN|VBG",
    "repositories": "NNS",
    "repository": "NN",
    "repossesed": "JJ",
    "repossess": "VB",
    "repossessed": "JJ|VBN|VBD",
    "reprehensible": "JJ",
    "represent": "VB|VBP",
    "representation": "NN",
    "representational": "JJ|NN",
    "representations": "NNS",
    "representative": "NN|JJ",
    "representatives": "NNS",
    "represented": "VBD|VBN",
    "representing": "VBG",
    "representives": "NNS",
    "represents": "VBZ",
    "repress": "VB",
    "repressed": "JJ|VBN|VBD",
    "repressers": "NNS",
    "repressing": "VBG",
    "repression": "NN",
    "repressions": "NNS",
    "repressive": "JJ",
    "reprice": "VB",
    "repriced": "VBN|VBD",
    "repricing": "NN|VBG",
    "reprieve": "NN|VB",
    "reprimanded": "VBN|VBD",
    "reprimanding": "VBG",
    "reprint": "VB",
    "reprinted": "VBN|VBD",
    "reprinting": "VBG",
    "reprints": "VBZ|NNS",
    "reprisal": "NN",
    "reprisals": "NNS",
    "reproach": "NN|VB",
    "reproaches": "VBZ",
    "reprobate": "NN|VB",
    "reprobating": "VBG",
    "reprocess": "VB",
    "reproduce": "VB",
    "reproduced": "VBD|VBN",
    "reproduces": "VBZ",
    "reproducibilities": "NNS",
    "reproducibility": "NN",
    "reproducible": "JJ",
    "reproducibly": "RB",
    "reproducing": "VBG",
    "reproduction": "NN",
    "reproductions": "NNS",
    "reproductive": "JJ",
    "reprographic": "JJ",
    "reproof": "NN|VB",
    "reproval": "NN",
    "reprove": "VB",
    "reprovingly": "RB",
    "reps": "NNS",
    "reptile": "NN",
    "reptilian": "JJ",
    "republic": "NN",
    "republican": "JJ",
    "republics": "NNS",
    "repudiate": "VB",
    "repudiated": "VBN|VBD",
    "repudiating": "VBG",
    "repudiation": "NN",
    "repugnance": "NN",
    "repugnant": "JJ",
    "repulsed": "VBN|VBD",
    "repulsion": "NN",
    "repulsions": "NNS",
    "repulsive": "JJ",
    "repurchase": "NN|VBD|VBN|JJ",
    "repurchased": "VBN|VBD",
    "repurchases": "NNS",
    "repurchasing": "VBG",
    "reputable": "JJ",
    "reputation": "NN",
    "reputations": "NNS",
    "repute": "NN",
    "reputed": "JJ|VBN",
    "reputedly": "RB",
    "reqion": "NN",
    "requalify": "VB",
    "request": "NN|VB|VBP",
    "requested": "VBN|VBD",
    "requesters": "NNS",
    "requesting": "VBG",
    "requests": "NNS|VBZ",
    "require": "VB|VBP",
    "required": "VBN|VBD|JJ",
    "required.": "VBN",
    "requirement": "NN",
    "requirements": "NNS",
    "requires": "VBZ",
    "requiring": "VBG",
    "requisite": "JJ",
    "requisites": "NNS",
    "requisition": "NN|VB",
    "requisitioned": "VBD|VBN",
    "requsting": "VBG",
    "reread": "VB|VBD|VBN",
    "reregulate": "VB",
    "reregulation": "NN",
    "reroofing": "NN",
    "rerouted": "VBN",
    "rerouting": "VBG",
    "rerun": "NN|VB|VBN",
    "rerun-sales": "NNS",
    "reruns": "NNS|VBZ",
    "resale": "NN",
    "resales": "NNS",
    "reschedulable": "JJ",
    "reschedule": "VB",
    "rescheduled": "VBN|VBD",
    "rescheduling": "VBG|NN",
    "rescind": "VB",
    "rescinded": "VBD|VBN",
    "rescinding": "VBG",
    "rescission": "NN",
    "rescissions": "NNS",
    "rescue": "NN|VB",
    "rescued": "VBD|VBN",
    "rescuers": "NNS",
    "rescuing": "VBG",
    "reseachers": "NNS",
    "resealed": "VBN",
    "research": "NN|VB|VBP",
    "research-and-development": "NN|JJ",
    "research-and-production": "JJ",
    "research-based": "JJ",
    "research-heavy": "JJ",
    "research-staff": "NN",
    "researchable": "JJ",
    "researched": "VBN|VBD",
    "researcher": "NN",
    "researchers": "NNS",
    "researches": "VBZ|NNS",
    "researching": "VBG",
    "resell": "VB|VBP|JJ",
    "reseller": "JJR|NN",
    "resellers": "NNS",
    "reselling": "VBG",
    "resells": "VBZ",
    "resemblance": "NN",
    "resemblances": "NNS",
    "resemble": "VB|VBP",
    "resembled": "VBD|VBN",
    "resembles": "VBZ",
    "resembling": "VBG",
    "resent": "VBP|VBD|VBN",
    "resented": "VBD|VBN",
    "resentful": "JJ",
    "resentment": "NN",
    "resents": "VBZ",
    "reserpine": "NN",
    "reservation": "NN",
    "reservations": "NNS",
    "reserve": "NN|JJ|VB|VBP",
    "reserve-building": "NN",
    "reserve-draining": "JJ",
    "reserve...": ":",
    "reserved": "VBN|VBD|JJ",
    "reserves": "NNS|VBZ",
    "reserving": "VBG",
    "reservists": "NNS",
    "reservoir": "NN",
    "reservoirs": "NNS",
    "reset": "NN|VBN|JJ|VB|VBD",
    "resettable": "JJ",
    "resettle": "VB",
    "resettled": "VBN|VBD",
    "resettlement": "NN",
    "resettling": "VBG",
    "resew": "VB",
    "reshape": "VB",
    "reshaped": "VBN|VBD",
    "reshapes": "VBZ",
    "reshaping": "VBG|NN",
    "reshuffle": "NN|VB",
    "reshuffled": "VBD|VBN",
    "reshuffling": "VBG|NN",
    "reshufflings": "NNS",
    "reside": "VB|VBP",
    "resided": "VBN|VBD",
    "residence": "NN",
    "residences": "NNS",
    "residency": "NN",
    "resident": "NN|JJ",
    "residential": "JJ",
    "residential-real-estate": "JJ",
    "residentially": "RB",
    "residents": "NNS",
    "resides": "VBZ",
    "residing": "VBG",
    "residual": "JJ|NN",
    "residuals": "NNS",
    "residue": "NN",
    "residues": "NNS",
    "resifted": "VBN",
    "resign": "VB|VBP",
    "resignation": "NN",
    "resignations": "NNS",
    "resigned": "VBD|VBN|JJ",
    "resignedly": "RB",
    "resigning": "VBG|NN",
    "resigns": "VBZ",
    "resilience": "NN",
    "resiliency": "NN",
    "resilient": "JJ",
    "resiliently": "RB",
    "resin": "NN",
    "resin-saturated": "JJ",
    "resinlike": "JJ",
    "resins": "NNS",
    "resiny": "JJ",
    "resist": "VB|VBP",
    "resistance": "NN|FW",
    "resistances": "NNS",
    "resistant": "JJ|NN",
    "resisted": "VBN|VBD",
    "resisting": "VBG",
    "resistive": "JJ",
    "resistor": "NN",
    "resistors": "NNS",
    "resists": "VBZ",
    "resold": "VBN|VBD|VBP",
    "resolute": "JJ",
    "resolutely": "RB",
    "resolution": "NN",
    "resolutions": "NNS",
    "resolve": "VB|NN",
    "resolved": "VBN|VBD",
    "resolves": "VBZ",
    "resolving": "VBG",
    "resonable": "JJ",
    "resonance": "NN",
    "resonances": "NNS",
    "resonant": "JJ",
    "resonantly": "RB",
    "resonate": "VB",
    "resonated": "VBD|VBN",
    "resonates": "VBZ",
    "resorcinol": "NN|JJ",
    "resort": "NN|VBP|VB",
    "resort-casino": "NN",
    "resorted": "VBN|VBD",
    "resorting": "VBG",
    "resorts": "NNS|VBZ",
    "resounding": "JJ|VBG",
    "resounds": "VBZ",
    "resource": "NN",
    "resource-intensive": "JJ",
    "resource-use": "NN",
    "resource-wasting": "JJ",
    "resourceful": "JJ",
    "resourcefully": "RB",
    "resourcefulness": "NN",
    "resources": "NNS",
    "respect": "NN|VBP|VB",
    "respectability": "NN",
    "respectable": "JJ",
    "respected": "VBN|JJ|VBD",
    "respectful": "JJ",
    "respectfully": "RB",
    "respecting": "VBG",
    "respective": "JJ",
    "respectively": "RB",
    "respects": "VBZ|NNS",
    "respiration": "NN",
    "respiration...": ":",
    "respirators": "NNS",
    "respiratory": "JJ",
    "respite": "NN|VB",
    "resplendent": "JJ",
    "respond": "VB|NN|VBP",
    "responded": "VBD|VBN",
    "respondent": "NN",
    "respondents": "NNS",
    "responding": "VBG",
    "responds": "VBZ",
    "response": "NN",
    "responses": "NNS",
    "responsibilities": "NNS",
    "responsibility": "NN",
    "responsible": "JJ",
    "responsiblilty": "NN",
    "responsibly": "RB",
    "responsive": "JJ",
    "responsively": "RB",
    "responsiveness": "NN",
    "rest": "NN|VBP|VB|RB",
    "rest-room": "NN",
    "restaffed": "VBD",
    "restaged": "VBN",
    "restaging": "VBG",
    "restart": "VB",
    "restarted": "VBN|VBD",
    "restarters": "NNS",
    "restarting": "VBG",
    "restate": "VB",
    "restated": "VBN|VBD|JJ",
    "restatement": "NN",
    "restates": "VBZ",
    "restating": "VBG",
    "restaurant": "NN",
    "restaurant-development": "NN",
    "restaurant-industry": "JJ",
    "restaurants": "NNS",
    "restaurateur": "NN",
    "restaurateurs": "NNS",
    "rested": "VBD|VBN|JJ",
    "restful": "JJ",
    "resting": "VBG",
    "restitution": "NN",
    "restive": "JJ",
    "restively": "RB",
    "restless": "JJ",
    "restlessly": "RB",
    "restlessness": "NN",
    "restock": "VB",
    "restorability": "NN",
    "restoration": "NN",
    "restorative": "JJ",
    "restore": "VB|VBP",
    "restored": "VBN|VBD",
    "restorer": "NN",
    "restorers": "NNS",
    "restores": "VBZ",
    "restoring": "VBG|NN",
    "restrain": "VB",
    "restrained": "JJ|VBN|VBD",
    "restraining": "VBG|JJ|NN",
    "restrains": "VBZ",
    "restraint": "NN",
    "restraints": "NNS",
    "restrict": "VB|VBP|JJ",
    "restricted": "VBN|JJ|VBD",
    "restricted-entry": "JJ",
    "restricting": "VBG|JJ",
    "restriction": "NN",
    "restrictions": "NNS",
    "restrictive": "JJ",
    "restricts": "VBZ",
    "restroom": "NN",
    "restructure": "VB|VBP|NN",
    "restructured": "VBN|VBD|JJ",
    "restructures": "VBZ",
    "restructuring": "NN|VBG|JJ",
    "restructurings": "NNS",
    "rests": "VBZ|NNS",
    "restuarant": "JJ",
    "restudy": "NN",
    "restyled": "VBN|JJ",
    "resublimed": "VBN",
    "resubmit": "VB",
    "resubmitted": "VBD|VBN",
    "result": "NN|VBP|VB",
    "resultant": "JJ|NN",
    "resultants": "NNS",
    "resulted": "VBD|VBN",
    "resulted...": ":",
    "resulting": "VBG|JJ",
    "results": "NNS|VBZ",
    "results-oriented": "JJ",
    "resume": "VB|NN|VBP",
    "resumed": "VBD|VBN",
    "resumes": "VBZ|NNS",
    "resuming": "VBG",
    "resumption": "NN",
    "resurfaced": "VBD|VBN",
    "resurgence": "NN",
    "resurgent": "JJ",
    "resurging": "VBG",
    "resurrect": "VB|VBP",
    "resurrected": "VBD|VBN",
    "resurrecting": "VBG",
    "resurrection": "NN",
    "resurrects": "VBZ",
    "resuscitate": "VB",
    "resuscitated": "VBN|VBD",
    "resuscitating": "VBG",
    "resuscitation": "NN",
    "resuspended": "VBN|VBD",
    "resuspension": "NN",
    "retablos": "FW",
    "retail": "JJ|NN|VB|VBP",
    "retail-banking": "JJ|NN",
    "retail-based": "JJ",
    "retail-brokerage": "JJ",
    "retail-distribution": "NN",
    "retail-sales": "JJ|NNS",
    "retail-sized": "JJ",
    "retail-volume": "NN",
    "retailed": "VBN|VBD",
    "retailer": "NN",
    "retailer-sales": "JJ",
    "retailers": "NNS",
    "retailing": "NN|VBG",
    "retails": "VBZ|NNS",
    "retain": "VB|VBP",
    "retained": "VBD|VBN|JJ",
    "retainer": "NN",
    "retainers": "NNS",
    "retaining": "VBG",
    "retains": "VBZ",
    "retake": "VB",
    "retaking": "VBG",
    "retaliate": "VB",
    "retaliated": "VBD|VBN",
    "retaliating": "VBG",
    "retaliation": "NN",
    "retaliatory": "JJ",
    "retard": "VB|VBP",
    "retardant": "NN",
    "retardants": "NNS",
    "retardation": "NN",
    "retarded": "JJ|NN|VBD|VBN",
    "retarding": "VBG",
    "retargeting": "VBG",
    "retch": "NN|VB",
    "retching": "VBG|NN",
    "retell": "VBP|VB",
    "retelling": "NN|VBG",
    "retention": "NN",
    "retentive": "JJ",
    "retentiveness": "NN",
    "rethink": "VB|NN",
    "rethinking": "VBG",
    "rethought": "JJ|VBD|VBN",
    "reticence": "NN",
    "reticent": "JJ",
    "reticulate": "JJ",
    "retied": "VBD",
    "retina": "NN",
    "retinal": "JJ",
    "retinoblastoma": "NN|FW",
    "retinue": "NN",
    "retire": "VB|VBP",
    "retired": "VBN|JJ|VBD",
    "retiree": "NN",
    "retirees": "NNS",
    "retirement": "NN",
    "retirement-savings": "JJ",
    "retirement-system": "JJ",
    "retirements": "NNS",
    "retires": "VBZ",
    "retiring": "VBG|JJ",
    "retold": "VBD|VBN",
    "retooled": "VBN|VBD",
    "retooling": "VBG|NN",
    "retools": "VBZ",
    "retort": "NN|VB|VBP",
    "retorted": "VBD|VBN",
    "retorts": "NNS|VBZ",
    "retouching": "NN",
    "retrace": "VB",
    "retraced": "VBD|VBN",
    "retracing": "VBG",
    "retract": "VB",
    "retractable": "JJ",
    "retracted": "VBD|VBN|JJ",
    "retracting": "VBG",
    "retraction": "NN",
    "retrain": "VB",
    "retrained": "VBN|VBD",
    "retraining": "VBG|NN",
    "retranslated": "VBN",
    "retread": "NN|VB|VBD|VBN",
    "retreat": "NN|VB",
    "retreated": "VBD|VBN",
    "retreating": "VBG",
    "retreats": "NNS|VBZ",
    "retrench": "VBP",
    "retrenching": "NN|VBG",
    "retrenchment": "NN",
    "retrial": "NN",
    "retrial...": ":",
    "retribution": "NN",
    "retried": "VBN|VBD",
    "retrievable": "JJ",
    "retrieval": "NN",
    "retrieve": "VB|VBP",
    "retrieved": "VBD|VBN",
    "retriever": "NN",
    "retro": "JJ",
    "retroactive": "JJ",
    "retroactively": "RB",
    "retroactivity": "NN",
    "retrofit": "VB|VBD|VBN",
    "retrofitted": "VBN",
    "retrofitting": "NN|VBG",
    "retrogradations": "NNS",
    "retrograde": "JJ|VB",
    "retrogressive": "JJ",
    "retrospect": "NN|VB",
    "retrospective": "NN|JJ",
    "retroviral": "JJ",
    "retrovirus": "NN",
    "retroviruses": "NNS",
    "retrovision": "NN",
    "retry": "VB",
    "return": "NN|VBP|JJ|VB",
    "return-on-savings": "JJ",
    "return-preparer": "NN",
    "return-printing": "JJ",
    "return.": "NN",
    "returned": "VBN|VBD",
    "returning": "VBG",
    "returns": "NNS|VBZ",
    "reunifed": "VBN",
    "reunification": "NN",
    "reunion": "NN",
    "reunion-Halloween": "JJ",
    "reunions": "NNS",
    "reunite": "VB",
    "reunited": "VBN|VBD",
    "reuniting": "VBG",
    "reupholstering": "VBG",
    "reusable": "JJ",
    "reuse": "VB",
    "reused": "VBN|VBD",
    "reusing": "VBG",
    "revaluation": "NN",
    "revalued": "VBN|VBD",
    "revaluing": "NN|VBG",
    "revamp": "VB|NN",
    "revamped": "VBN|VBD|JJ",
    "revamping": "VBG|NN",
    "revamps": "VBZ",
    "reveal": "VB|VBP",
    "revealed": "VBD|JJ|VBN",
    "revealing": "VBG|JJ",
    "reveals": "VBZ",
    "reveille": "NN",
    "revel": "VBP|VB|NN",
    "revelation": "NN",
    "revelations": "NNS",
    "revelatory": "JJ",
    "reveled": "VBD",
    "revelers": "NNS",
    "reveling": "VBG",
    "revellers": "NNS",
    "revelling": "VBG",
    "revellings": "NNS",
    "revelry": "NN",
    "revels": "NNS|VBZ",
    "revenge": "NN|VB",
    "revenge-seeking": "JJ",
    "revenue": "NN",
    "revenue-desperate": "JJ",
    "revenue-generating": "JJ",
    "revenue-law": "JJ|NN",
    "revenue-losing": "JJ",
    "revenue-neutral": "JJ",
    "revenue-producing": "JJ",
    "revenue-raisers": "NNS",
    "revenue-raising": "JJ|NN",
    "revenue-sharing": "JJ",
    "revenuers": "NNS",
    "revenues": "NNS",
    "reverberate": "VB",
    "reverberated": "VBN|VBD",
    "reverberating": "VBG",
    "reverberation": "NN",
    "reverberations": "NNS",
    "revered": "VBN|JJ|VBD",
    "reverence": "NN|VB",
    "reverent": "JJ",
    "reverential": "JJ",
    "reverie": "NN",
    "reversal": "NN",
    "reversals": "NNS",
    "reverse": "VB|JJ|NN|RB|VBP",
    "reverse-engineering": "NN",
    "reverse-reverse": "JJ",
    "reverse-surface": "JJ",
    "reversed": "VBD|JJ|VBN",
    "reverses": "VBZ|NNS",
    "reversibility": "NN",
    "reversible": "JJ",
    "reversing": "VBG|JJ",
    "revert": "VB|VBP",
    "reverted": "VBN|VBD",
    "reverting": "VBG",
    "reverts": "VBZ",
    "revery": "NN",
    "revetments": "NNS",
    "review": "NN|VB|VBP",
    "reviewed": "VBN|VBD",
    "reviewed/designed": "VBN",
    "reviewer": "NN",
    "reviewers": "NNS",
    "reviewing": "VBG|NN",
    "reviews": "NNS|VBZ",
    "reviled": "VBN|JJ|VBD",
    "revise": "VB",
    "revised": "VBN|VBD|JJ",
    "revises": "VBZ",
    "revising": "VBG",
    "revision": "NN",
    "revisionist": "JJ",
    "revisionists": "NNS",
    "revisions": "NNS",
    "revisit": "VB|NN",
    "revisited": "VBD|VBN",
    "revisits": "VBZ",
    "revitalization": "JJ|NN",
    "revitalize": "VB",
    "revitalized": "VBD|VBN",
    "revitalizing": "VBG",
    "revival": "NN",
    "revivalism": "NN",
    "revivals": "NNS",
    "revive": "VB|VBP",
    "revived": "VBN|VBD",
    "revives": "VBZ",
    "revivified": "VBN|VBD",
    "reviving": "VBG|JJ",
    "revocable": "JJ",
    "revocation": "NN",
    "revoke": "VB",
    "revoked": "VBN|VBD",
    "revoking": "VBG",
    "revolt": "NN|VB",
    "revolted": "VBD|VBN",
    "revolting": "JJ|VBG",
    "revoltingly": "RB",
    "revolts": "NNS|VBZ",
    "revolution": "NN",
    "revolutionaries": "NNS",
    "revolutionary": "JJ|NN",
    "revolutionists": "NNS",
    "revolutionize": "VB",
    "revolutionized": "VBD|VBN",
    "revolutionizing": "VBG",
    "revolutions": "NNS",
    "revolve": "VB|VBP",
    "revolved": "VBD|VBN",
    "revolver": "NN",
    "revolves": "VBZ",
    "revolving": "JJ|VBG",
    "revs": "VBZ",
    "revulsion": "NN",
    "revved": "VBN|VBD",
    "reward": "NN|VB|VBP",
    "rewarded": "VBN|VBD",
    "rewarding": "JJ|VBG",
    "reweave": "VB",
    "reworked": "VBN|VBD",
    "reworking": "NN",
    "rewrapped": "NN",
    "rewrite": "VB|NN",
    "rewrites": "VBZ",
    "rewriting": "VBG",
    "rewritten": "VBN",
    "rewrote": "VBD",
    "rewt": "NN",
    "rf": "NN",
    "rhapsodic": "JJ",
    "rhapsodize": "VBP",
    "rhapsodizing": "VBG",
    "rhapsody": "NN",
    "rhenium": "NN",
    "rhetoric": "NN",
    "rhetorical": "JJ",
    "rhetoricians": "NNS",
    "rheum": "NN",
    "rheumatic": "JJ",
    "rheumatism": "NN",
    "rheumatoid": "JJ",
    "rhinestones": "NNS",
    "rhino": "NN",
    "rhinoceros": "NN",
    "rhinos": "NNS",
    "rhinotracheitis": "NN",
    "rhinovirus-receptors": "NNS",
    "rhododendron": "NN",
    "rhu-beb": "NN",
    "rhubarb-like": "JJ",
    "rhyme": "NN|VB",
    "rhymed": "VBD|VBN",
    "rhymes": "VBZ|NNS",
    "rhyming": "VBG",
    "rhythm": "NN",
    "rhythm-and-blues": "NN|NNS",
    "rhythmic": "JJ",
    "rhythmical": "JJ",
    "rhythmically": "RB",
    "rhythms": "NNS",
    "rib": "NN|VB",
    "ribald": "JJ",
    "ribbed": "JJ",
    "ribbies": "NNS",
    "ribbing": "NN",
    "ribbon": "NN",
    "ribbons": "NNS",
    "ribcage": "NN",
    "riboflavin": "NN",
    "ribonucleic": "JJ",
    "ribosomal": "JJ",
    "ribozyme": "NN",
    "ribozymes": "NNS",
    "ribs": "NNS|VBZ",
    "rice": "NN",
    "rice-processing": "JJ",
    "rich": "JJ|NNS",
    "riche": "JJ",
    "richer": "JJR",
    "riches": "NNS|FW",
    "richest": "JJS",
    "richissimos": "NNS",
    "richly": "RB",
    "richness": "NN",
    "rickety": "JJ",
    "ricocheted": "VBD",
    "rid": "JJ|VBN|VBD|RB|VB",
    "riddance": "NN",
    "ridden": "VBN",
    "ridding": "VBG",
    "riddle": "NN|VB",
    "riddled": "JJ|VBN|VBD",
    "riddles": "NNS|VBZ",
    "riddling": "VBG",
    "ride": "NN|VB|VBP",
    "rider": "NN",
    "rider-fashion": "JJ",
    "riders": "NNS",
    "ridership": "NN",
    "rides": "NNS|VBZ",
    "ridge": "NN",
    "ridges": "NNS",
    "ridicule": "NN|VB",
    "ridiculed": "VBN|VBD",
    "ridicules": "VBZ",
    "ridiculing": "VBG",
    "ridiculous": "JJ",
    "ridiculously": "RB",
    "riding": "VBG|JJ|NN",
    "ridings": "NNS",
    "rife": "JJ",
    "riff": "NN|VB",
    "riffing": "VBG",
    "riffle": "VB",
    "riffs": "NNS|VBZ",
    "rifle": "NN|VB",
    "rifle-shotgun": "NN",
    "rifled": "JJ|VBD|VBN",
    "rifleman": "NN",
    "riflemen": "NNS",
    "riflemen-rangers": "NNS",
    "rifles": "NNS|VBZ",
    "rifling": "NN|VBG",
    "rift": "NN",
    "rifts": "NNS",
    "rig": "NN|VBP|VB",
    "rigatoni": "NN",
    "rigged": "VBN|VBD|JJ",
    "rigger": "NN",
    "riggers": "NNS",
    "rigging": "NN|VBG",
    "right-angle": "NN",
    "right-angled": "JJ",
    "right-angling": "NN",
    "right-field": "NN",
    "right-hand": "JJ",
    "right-handed": "JJ",
    "right-hander": "NN",
    "right-of-entry": "NN",
    "right-to-counsel": "JJ",
    "right-to-life": "JJ",
    "right-to-lifers": "NNS",
    "right-to-privacy": "JJ",
    "right-to-work": "JJ",
    "right-wing": "JJ|NN",
    "right-wingers": "NNS",
    "righted": "VBN|VBD",
    "righteous": "JJ",
    "righteousness": "NN",
    "rightfield": "NN",
    "rightful": "JJ",
    "rightfully": "RB",
    "righthander": "NN",
    "rightist": "JJ",
    "rightly": "RB",
    "rightness": "NN",
    "rights": "NNS|VBZ",
    "rights-of-way": "JJ",
    "rightward": "JJ",
    "rigid": "JJ",
    "rigidities": "NNS",
    "rigidity": "NN",
    "rigidly": "RB",
    "rigids": "NNS",
    "rigor": "NN",
    "rigorous": "JJ",
    "rigorously": "RB",
    "rigors": "NNS",
    "rigs": "NNS|VBZ",
    "rigueur": "FW",
    "rile": "VBP|VB",
    "riled": "VBN|VBD",
    "riles": "VBZ",
    "rill": "NN",
    "rim": "NN|VBP",
    "rim-fire": "JJ|NN",
    "rim-fires": "NNS",
    "rime": "NN|VB",
    "rimless": "JJ",
    "rimmed": "JJ|VBD",
    "rims": "NNS",
    "rinds": "NNS",
    "ring": "NN|VB|VBP",
    "ring-around-a-rosy": "NN",
    "ring-around-the-rosie": "NN",
    "ring-labeled": "JJ",
    "ringed": "JJ|VBN",
    "ringer": "NN",
    "ringers": "NNS",
    "ringing": "NN|VBG",
    "ringings": "NNS",
    "ringleader": "NN",
    "ringlets": "NNS",
    "rings": "NNS|VBZ",
    "ringside": "NN",
    "ringsiders": "NNS",
    "rink": "NN",
    "rinse": "NN|VB",
    "rinses": "NNS|VBZ",
    "rinsing": "NN|VBG",
    "riot": "NN|VB",
    "rioted": "VBD|VBN",
    "rioters": "NNS",
    "rioting": "NN|VBG",
    "riotous": "JJ",
    "rip": "VB|NN",
    "rip-off": "NN",
    "rip-roaring": "JJ",
    "ripe": "JJ",
    "ripen": "VBP|VB",
    "ripened": "VBD|VBN",
    "ripening": "VBG|JJ",
    "ripens": "VBZ",
    "ripoff": "NN",
    "ripoffs": "NNS",
    "ripped": "VBN|VBD",
    "ripping": "VBG",
    "ripple": "JJ|NN|VB|VBP",
    "rippled": "VBD|VBN",
    "ripples": "NNS|VBZ",
    "rippling": "VBG",
    "rise": "NN|VBP|VB",
    "rise-perhaps": "RB",
    "risen": "VBN",
    "rises": "NNS|VBZ",
    "risible": "JJ",
    "rising": "VBG|NN|JJ",
    "risk": "NN|VBP|VB",
    "risk-analysis": "NN",
    "risk-averse": "JJ",
    "risk-benefited": "NN",
    "risk-capital": "JJ",
    "risk-fraught": "JJ",
    "risk-free": "JJ",
    "risk-management": "NN",
    "risk-takers": "NNS",
    "risk-taking": "NN",
    "risked": "VBD|VBN",
    "riskier": "JJR|RBR|NN",
    "riskiest": "JJS",
    "riskiness": "NN",
    "risking": "VBG",
    "risky": "JJ",
    "rite": "NN",
    "rites": "NNS",
    "ritiuality": "NN",
    "ritorno": "FW",
    "ritual": "NN",
    "ritualized": "VBN",
    "rituals": "NNS",
    "ritzy": "JJ",
    "rival": "JJ|NN|VB|VBP",
    "rival-bashing": "JJ",
    "rivaled": "VBD",
    "rivaling": "VBG",
    "rivalled": "VBD|VBN",
    "rivalries": "NNS",
    "rivalry": "NN",
    "rivals": "NNS|VBZ",
    "riven": "VBN",
    "river": "NN",
    "riverbank": "NN",
    "riverbanks": "NNS",
    "riverboat": "NN",
    "riverfront": "NN",
    "rivers": "NNS",
    "riverside": "NN",
    "riveted": "VBD|VBN",
    "riveting": "JJ|VBG",
    "rivets": "NNS|VBZ",
    "rivulets": "NNS",
    "roach": "NN",
    "road": "NN",
    "road-building": "NN|JJ",
    "road-circuit": "NN",
    "road-construction": "JJ|NN",
    "road-crossing": "NN",
    "road-map": "NN",
    "road-show": "NN",
    "road-shy": "JJ",
    "roadbed": "NN",
    "roadblock": "NN",
    "roadblocks": "NNS",
    "roadbuilding": "NN",
    "roadhouse": "NN",
    "roadrunner": "NN",
    "roads": "NNS",
    "roadside": "NN|JJ",
    "roadster": "NN",
    "roadway": "NN",
    "roadways": "NNS",
    "roam": "VBP|VB",
    "roamed": "VBD|VBN",
    "roaming": "VBG|NN",
    "roams": "VBZ",
    "roar": "NN|VB",
    "roared": "VBD|VBN",
    "roaring": "NN|VBG|JJ",
    "roaringest": "JJS",
    "roars": "VBZ",
    "roast": "NN|VB|VBN",
    "roasted": "JJ|VBN|VBD",
    "roasters": "NNS",
    "roasts": "NNS|VBZ",
    "rob": "VB|VBP",
    "robbed": "VBN|VBD",
    "robber": "NN",
    "robberies": "NNS",
    "robbers": "NNS",
    "robbery": "NN",
    "robbing": "VBG",
    "robe": "NN|VB",
    "robed": "VBN|VBD",
    "robes": "NNS|VBZ",
    "robin": "NN",
    "robing": "NN|VBG",
    "robot": "NN",
    "robotic": "JJ",
    "robotics": "NNS",
    "robotism": "NN",
    "robots": "NNS",
    "robs": "VBZ",
    "robust": "JJ",
    "robustly": "RB",
    "robustness": "NN",
    "rock": "NN|JJ|VB|VBP",
    "rock-and-roll": "NN",
    "rock-carved": "JJ",
    "rock-hard": "JJ",
    "rock-like": "JJ",
    "rock-ribbed": "JJ",
    "rock-scored": "JJ",
    "rock-steady": "NN",
    "rock-strewn": "NN",
    "rockbound": "JJ",
    "rocked": "VBD|VBN",
    "rocker": "NN",
    "rockers": "NNS",
    "rocket": "NN|VB",
    "rocket-bomb": "NN",
    "rocket-bombs": "NNS",
    "rocket-fuel": "NN",
    "rocket-like": "JJ",
    "rocket-motor": "NN",
    "rocket-propelled": "JJ",
    "rocket-propulsion": "NN",
    "rocketed": "VBD|VBN",
    "rocketing": "VBG",
    "rockets": "NNS|VBZ",
    "rockin": "JJ",
    "rocking": "VBG|NN|JJ",
    "rocklike": "JJ",
    "rocks": "NNS|VBZ",
    "rockstrewn": "NN",
    "rocky": "JJ",
    "rococo": "JJ|NN",
    "rod": "NN",
    "rodder": "NN",
    "rodders": "NNS",
    "rodding": "NN",
    "rode": "VBD",
    "rodent": "NN",
    "rodents": "NNS",
    "rodeo": "NN",
    "rodeos": "NNS",
    "rods": "NNS",
    "roemer": "NN",
    "rogue": "JJ",
    "rogues": "NNS",
    "roi": "FW",
    "roil": "VB",
    "roiled": "VBN|VBD",
    "roiling": "VBG|JJ",
    "role": "NN",
    "role-experiment": "NN",
    "role-experimentation": "NN",
    "role-playing": "NN",
    "roleplayed": "VBN|VBD",
    "roleplaying": "NN|VBG",
    "roles": "NNS",
    "roll": "NN|VB|VBP",
    "roll-call": "JJ|NN",
    "roll-out": "NN",
    "rollback": "NN",
    "rollbacks": "NNS",
    "rolled": "VBN|VBD|JJ",
    "rolled-up": "JJ",
    "roller": "NN",
    "roller-coaster": "NN",
    "rollercoaster": "JJ|NN",
    "rollers": "NNS",
    "rollicking": "JJ|VBG",
    "rollickingly": "RB",
    "rolling": "VBG|JJ|NN",
    "rolling-steel": "NN",
    "rollout": "NN",
    "rollover": "NN",
    "rollovers": "NNS",
    "rolls": "NNS|VBZ",
    "rollup": "NN",
    "roly-poly": "JJ",
    "romance": "NN|VB",
    "romancers": "NNS",
    "romances": "NNS|VBZ",
    "romancing": "VBG|NN",
    "romantic": "JJ|NN",
    "romantically": "RB",
    "romanticism": "NN",
    "romanticize": "VB",
    "romanticized": "VBN|VBD",
    "romanticizing": "NN|VBG",
    "romantick": "JJ",
    "romantics": "NNS",
    "romp": "VBP|NN|VB",
    "romped": "VBD|VBN",
    "romping": "VBG",
    "romps": "NNS|VBZ",
    "roof": "NN",
    "roof-crush": "JJ",
    "roofed": "VBN",
    "roofer": "NN",
    "roofers": "NNS",
    "roofing": "NN",
    "roofs": "NNS",
    "rooftop": "NN",
    "rooftops": "NNS",
    "rooftree": "NN",
    "rook": "NN|VB",
    "rookie": "NN",
    "rookie-of-the-year": "NN",
    "rookies": "NNS",
    "room": "NN|NNP|VB",
    "room-rate": "JJ",
    "roomed": "VBD|VBN",
    "roomette": "NN",
    "roomful": "NN|JJ",
    "roomier": "JJR",
    "roominess": "NN",
    "rooming": "VBG",
    "rooming-house": "NN",
    "roommate": "NN",
    "roommates": "NNS",
    "rooms": "NNS|VBZ",
    "roomy": "JJ",
    "roost": "VB|NN",
    "rooster": "NN",
    "rooster-comb": "NN",
    "roosters": "NNS",
    "roosting": "VBG",
    "root": "NN|VBP|VB",
    "root-canal": "NN",
    "rooted": "VBN|JJ|VBD",
    "rooters": "NNS",
    "rooting": "VBG|NN",
    "rootless": "JJ",
    "roots": "NNS|VBZ",
    "rope": "NN|VB",
    "rope-sight": "NN",
    "roped": "VBD|VBN",
    "ropers": "NNS",
    "ropes": "NNS|VBZ",
    "rosarians": "NNS",
    "rosaries": "NNS",
    "rose": "VBD|VBP|JJ|NN",
    "rose-gold": "NN",
    "rose-of-Sharon": "NN",
    "rose-pink": "JJ",
    "rose-tea": "NN",
    "rosebuds": "NNS",
    "rosebush": "NN",
    "roses": "NNS",
    "rosettes": "NNS",
    "rosier": "RBR|JJR",
    "rosiest": "JJS",
    "rosins": "NNS",
    "roster": "NN",
    "rosters": "NNS",
    "rostrum": "NN",
    "rosy": "JJ",
    "rosy-fingered": "JJ",
    "rot": "NN|VB",
    "rotary": "JJ",
    "rotate": "VB",
    "rotated": "VBD|VBN",
    "rotates": "VBZ",
    "rotating": "VBG|JJ",
    "rotation": "NN",
    "rotational": "JJ",
    "rotationally": "RB",
    "rotations": "NNS",
    "rote": "JJ|NN",
    "rotenone": "NN",
    "rotogravures": "NNS",
    "rotor": "NN",
    "rots": "VBZ",
    "rotted": "VBN|VBD",
    "rotten": "JJ",
    "rotting": "VBG",
    "rotund": "JJ",
    "rotunda": "NN",
    "rotundity": "NN",
    "rouge": "FW|NN",
    "rough": "JJ|RB",
    "rough-and-ready-sounding": "JJ",
    "rough-and-tumble": "JJ",
    "rough-cut": "JJ",
    "rough-hewn": "JJ",
    "rough-housing": "NN",
    "rough-sanded": "JJ",
    "rough-tough": "JJ",
    "roughcast": "NN|VB|VBD|VBN",
    "roughed": "VBD",
    "roughened": "VBN",
    "rougher": "JJR",
    "roughest": "JJS",
    "roughhewn": "JJ",
    "roughish": "JJ",
    "roughly": "RB",
    "roughneck": "NN",
    "roughnecks": "NNS",
    "roughness": "NN",
    "roughshod": "JJ",
    "roulette": "NN",
    "round": "NN|IN|JJ|VBP|RB|VB",
    "round-bottom": "JJ",
    "round-eyed": "JJ",
    "round-faced": "JJ",
    "round-table": "JJ",
    "round-the-clock": "JJ",
    "round-the-world": "JJ",
    "round-tipped": "JJ",
    "round-trip": "JJ|NN",
    "round-tripping": "NN",
    "roundabout": "JJ",
    "rounded": "JJ|VBN|VBD",
    "rounder": "JJR",
    "roundhead": "NN|JJ",
    "roundhouse": "NN",
    "rounding": "VBG|NN",
    "roundly": "RB",
    "roundness": "NN",
    "rounds": "NNS|VBZ",
    "roundtable": "JJ",
    "roundtrip": "NN",
    "roundup": "NN",
    "roundups": "NNS",
    "rouse": "VB",
    "roused": "VBD|VBN|JJ",
    "rousing": "JJ|NN|VBG",
    "roustabout": "NN",
    "roustabouts": "NNS",
    "rout": "NN|VB",
    "route": "NN|VBP|FW|IN|RB",
    "routed": "VBN|VBD",
    "routes": "NNS|VBZ",
    "routine": "JJ|NN",
    "routinely": "RB",
    "routines": "NNS",
    "routing": "VBG|NN",
    "routings": "NNS",
    "rove": "VB",
    "roved": "VBD|VBN",
    "roving": "VBG",
    "rovings": "NNS",
    "row": "NN|VBP",
    "rowdiness": "NN",
    "rowdy": "JJ|NN",
    "rowed": "VBD",
    "rowing": "NN",
    "rows": "NNS",
    "royal": "JJ|NN",
    "royalties": "NNS",
    "royalty": "NN",
    "royalty-free": "JJ",
    "rpm": "NN",
    "rub": "NN|VB|VBP",
    "rubbed": "VBD|VBN",
    "rubber": "NN|VB",
    "rubber-like": "JJ",
    "rubber-necking": "VBG",
    "rubber-stamp": "VB",
    "rubber-stamped": "JJ|VBD|VBN",
    "rubberized": "VBN|VBD",
    "rubberstamp": "NN",
    "rubbery": "JJ",
    "rubbin": "VBG",
    "rubbing": "VBG|NN",
    "rubbish": "JJ|NN",
    "rubble": "NN",
    "rubdowns": "NNS",
    "rubfests": "NNS",
    "rubicund": "JJ",
    "rubies": "NNS",
    "ruble": "NN|FW",
    "ruble/gold": "JJ",
    "rubles": "NNS",
    "rubout": "NN",
    "rubric": "NN",
    "rubs": "VBZ|NNS",
    "ruckus": "NN",
    "rudder": "NN",
    "rudderless": "JJ",
    "ruddiness": "NN",
    "ruddy": "JJ|RB",
    "rude": "JJ",
    "rudely": "RB",
    "rudeness": "NN",
    "rudimentary": "JJ",
    "rudiments": "NNS",
    "rue": "NN|VB",
    "rueful": "JJ",
    "ruefully": "RB",
    "ruefulness": "NN",
    "ruffian": "NN",
    "ruffians": "NNS",
    "ruffle": "VB",
    "ruffled": "VBN|JJ|VBD",
    "ruffles": "VBZ",
    "rug": "NN",
    "rugged": "JJ",
    "ruggedly": "RB",
    "rugs": "NNS",
    "ruh": "FW",
    "ruin": "VB|NN|VBP",
    "ruined": "VBN|JJ|VBD",
    "ruining": "VBG",
    "ruinous": "JJ",
    "rule": "NN|VBP|VB",
    "rule-making": "NN|JJ",
    "rule.": "NN",
    "ruled": "VBD|VBN",
    "ruler": "NN",
    "rulers": "NNS",
    "rules": "NNS|VBZ",
    "ruling": "NN|VBG|JJ",
    "ruling-class": "JJ",
    "ruling-party": "NN",
    "rulings": "NNS",
    "rum": "NN",
    "rum-tum-tum": "JJ",
    "rumble": "VBP|NN|VB|UH",
    "rumbled": "VBD|VBN",
    "rumbles": "VBZ|NNS",
    "rumbling": "VBG",
    "rumblings": "NNS",
    "rumdum": "NN",
    "rumen": "NN",
    "ruminants": "NNS",
    "ruminate": "VB|VBD",
    "ruminated": "VBD|VBN",
    "rumination": "NN",
    "ruminations": "NNS",
    "rummage": "VB",
    "rummaged": "VBD|VBN",
    "rummaging": "JJ|VBG",
    "rummy": "NN",
    "rumor": "NN|VB",
    "rumor-driven": "JJ",
    "rumor-fraught": "JJ",
    "rumor-happy": "JJ",
    "rumored": "VBN|VBD|JJ",
    "rumors": "NNS|VBZ",
    "rump": "NN|JJ",
    "rumpled": "JJ|VBD|VBN",
    "rumpus": "NN",
    "run": "VB|VBD|VBN|VBP|NN",
    "run-down": "JJ",
    "run-from-above": "JJ",
    "run-ins": "NNS|JJ",
    "run-of-the-mill": "JJ",
    "run-of-the-mine": "JJ",
    "run-on": "NN",
    "run-scoring": "JJ",
    "run-up": "NN",
    "run-ups": "NNS",
    "runabout": "NN",
    "runaway": "JJ|VBN|NN",
    "rundown": "NN|JJ",
    "runes": "NNS",
    "rung": "VBN|NN",
    "runing": "VBG",
    "runner": "NN",
    "runner-up": "NN",
    "runners": "NNS",
    "runners-up": "NNS",
    "runnin": "VBG",
    "running": "VBG|NN|JJ|RB",
    "runny": "JJ",
    "runoff": "NN",
    "runs": "VBZ|NNS",
    "runt": "NN",
    "runup": "NN",
    "runups": "NNS",
    "runway": "NN",
    "runways": "NNS",
    "rupee": "NN",
    "rupees": "NNS",
    "rupiah": "NN",
    "rupture": "NN|VB",
    "ruptured": "VBD|VBN|JJ",
    "rupturing": "VBG",
    "rural": "JJ",
    "rural-care": "JJ",
    "ruse": "NN",
    "rush": "NN|VB|VBP",
    "rush-hour": "JJ",
    "rushed": "VBD|VBN|JJ",
    "rushes": "VBZ|NNS",
    "rushing": "VBG|NN",
    "russe": "NN",
    "russet": "JJ",
    "russet-colored": "JJ",
    "rust": "NN|VB",
    "rusted": "VBN|JJ|VBD",
    "rustic": "JJ",
    "rusticated": "VBN",
    "rusting": "JJ|VBG",
    "rustle": "NN|VB",
    "rustled": "VBN|JJ|VBD",
    "rustler": "NN",
    "rustler-hunter": "NN",
    "rustlers": "NNS",
    "rustlin": "NN",
    "rustling": "NN|VBG|JJ",
    "rustlings": "NNS",
    "rusty": "JJ",
    "rut": "NN|VB",
    "rutabaga": "NN",
    "rutabagas": "NNS",
    "ruthenium": "NN",
    "ruthless": "JJ",
    "ruthlessly": "RB",
    "ruthlessness": "NN",
    "ruts": "NNS|VBZ",
    "rutted": "JJ|VBD|VBN",
    "rye": "NN",
    "s": "VBZ|NN|PRP",
    "s-values": "NNS",
    "s.r.l.": "NNP",
    "sabbatical": "NN|JJ",
    "saber": "NN",
    "saber-rattling": "NN|JJ",
    "saber-toothed": "JJ",
    "sabers-along": "IN",
    "sable": "NN",
    "sables": "NNS",
    "sabotage": "NN|VB",
    "sabre": "NN",
    "sabre-rattling": "NN",
    "sac": "NN",
    "sacadolares": "FW",
    "saccharin": "NN",
    "sachems": "NNS",
    "sack": "NN|VB",
    "sacked": "VBD|VBN",
    "sacker": "NN",
    "sackes": "NNS",
    "sacking": "VBG",
    "sackings": "NNS",
    "sackless": "JJ",
    "sacks": "NNS|VBZ",
    "sacral": "JJ",
    "sacrament": "NN",
    "sacraments": "NNS",
    "sacred": "JJ",
    "sacredness": "NN",
    "sacrifice": "VB|NN",
    "sacrificed": "VBN|VBD",
    "sacrifices": "VBZ|NNS",
    "sacrificial": "JJ",
    "sacrificing": "VBG",
    "sacrificium": "FW",
    "sacrilege": "NN",
    "sacrilegious": "JJ",
    "sacrosanct": "JJ",
    "sad": "JJ",
    "saddened": "JJ|VBN|VBD",
    "sadder": "JJR",
    "saddle": "NN|VB",
    "saddlebags": "NNS",
    "saddled": "VBN|VBD|JJ",
    "saddles": "NNS|VBZ",
    "saddling": "VBG",
    "sadism": "NN",
    "sadist": "NN",
    "sadistic": "JJ",
    "sadly": "RB",
    "sadness": "NN",
    "safari": "NN",
    "safaris": "NNS",
    "safe": "JJ|NN",
    "safe-conduct": "NN",
    "safe-cracking": "JJ",
    "safe-deposit": "JJ",
    "safe-driving": "JJ",
    "safe-sounding": "JJ",
    "safeguard": "VB|NN",
    "safeguarded": "VBN|VBD",
    "safeguarding": "VBG",
    "safeguards": "NNS|VBZ",
    "safekeep": "VB",
    "safekeeping": "NN|VBG",
    "safely": "RB",
    "safer": "JJR",
    "safest": "JJS",
    "safeties": "NNS|VBZ",
    "safety": "NN|VB",
    "safety-first": "JJ",
    "safety-related": "JJ",
    "safety-seat": "NN",
    "safety-sensitive": "JJ",
    "saffron": "NN",
    "sag": "VB|NN|VBP",
    "saga": "NN",
    "saga-like": "JJ",
    "sage": "NN|JJ",
    "sagebrush": "NN",
    "sages": "NNS",
    "sagged": "VBD|VBN",
    "sagging": "VBG|JJ|NN",
    "saggy": "JJ",
    "sago": "NN",
    "sags": "NNS|VBZ",
    "sahibs": "NNS",
    "said": "VBD|VBN|JJ",
    "sail": "VB|VBP|NN",
    "sailboat": "NN",
    "sailboats": "NNS",
    "sailed": "VBD|VBN",
    "sailing": "NN|VBG",
    "sailor": "NN",
    "sailorly": "RB",
    "sailors": "NNS",
    "sails": "NNS|VBZ",
    "saint": "NN|VB",
    "sainthood": "NN",
    "saintliness": "NN",
    "saintly": "JJ",
    "saints": "NNS|VBZ",
    "saith": "VBZ",
    "sake": "NN|FW",
    "salable": "JJ",
    "salacious": "JJ",
    "salad": "NN",
    "salads": "NNS",
    "salamander": "NN",
    "salami": "NNS",
    "salaried": "JJ",
    "salaries": "NNS",
    "salary": "NN",
    "salary-pool": "NN",
    "salarymen": "NNS",
    "sale": "NN",
    "sale-lease-back": "JJ",
    "sale-leaseback": "NN",
    "sale-purchase": "NN",
    "sale-purchases": "NNS",
    "sale/leaseback": "NN",
    "sales": "NNS|JJ|VBZ",
    "sales-building": "JJ",
    "sales-conscious": "JJ",
    "sales-incentive": "JJ",
    "sales-loss": "JJ",
    "sales-moving": "JJ",
    "sales-of": "IN",
    "sales-tax": "NN|JJ",
    "sales.": "NNS",
    "sales...": ":",
    "salesgirl": "NN",
    "saleslady": "NN",
    "salesman": "NN",
    "salesmanship": "NN",
    "salesmen": "NNS",
    "salesparson": "NN",
    "salespeople": "NN|NNS",
    "salesperson": "NN",
    "saleswomen": "NNS",
    "salicylate": "NN",
    "salicylates": "NNS",
    "salicylic": "JJ",
    "salient": "JJ",
    "saline": "NN|JJ",
    "salinity": "NN",
    "saliva": "NN",
    "salivary": "JJ",
    "salivate": "VB",
    "sallies": "NNS|VBZ",
    "sallow": "JJ",
    "sally": "VB",
    "sallying": "VBG",
    "salmon": "NN|NNS",
    "salmon-colored": "JJ",
    "salmonella": "NN",
    "salon": "NN",
    "salons": "NNS",
    "saloon": "NN",
    "saloonkeeper": "NN",
    "saloons": "NNS|VBZ",
    "salsa": "NN",
    "salt": "NN|JJ",
    "salt-crusted": "JJ",
    "salt-edged": "JJ",
    "salt-fractionation": "NN",
    "saltbush": "NN",
    "salted": "VBN|VBD|JJ",
    "saltier": "JJR",
    "salting": "VBG|NN",
    "salts": "NNS|VBZ",
    "saltwater": "NN",
    "salty": "JJ",
    "salubrious": "JJ",
    "salutaris": "FW",
    "salutary": "JJ",
    "salutation": "NN",
    "salute": "NN|VB",
    "saluted": "VBD|VBN",
    "salutes": "NNS|VBZ",
    "saluting": "VBG",
    "salvage": "NN|VB",
    "salvaged": "VBN|VBD",
    "salvages": "VBZ",
    "salvaging": "VBG|NN",
    "salvation": "NN",
    "salve": "NN|VB",
    "salves": "NNS|VBZ",
    "salvo": "NN|FW",
    "salvos": "NNS",
    "sambuca": "NN",
    "sambur": "NN",
    "same": "JJ",
    "sameness": "NN",
    "samovar": "FW|NN",
    "samovars": "NNS",
    "sample": "NN|JJ|VB|VBP",
    "sampled": "VBN|VBD",
    "sampler": "NN",
    "samplers": "NNS",
    "samples": "NNS|VBZ",
    "sampling": "NN|VBG",
    "samplings": "NNS",
    "samurai": "NN|FW",
    "sana": "FW",
    "sanatorium": "NN",
    "sanctified": "JJ|VBD|VBN",
    "sanctify": "VB",
    "sanctimonious": "JJ",
    "sanction": "NN|VBP|VB",
    "sanctioned": "VBN|VBD|JJ",
    "sanctioning": "VBG",
    "sanctions": "NNS|VBZ",
    "sanctity": "NN",
    "sanctorum": "FW",
    "sanctuary": "NN",
    "sanctum": "FW",
    "sanctums": "NNS",
    "sand": "NN|VB",
    "sand-mining": "NN",
    "sandals": "NNS",
    "sandalwood": "NN",
    "sandbars": "NNS",
    "sandbox": "NN",
    "sander": "NN",
    "sanding": "NN|VBG",
    "sandpaper": "NN|VB",
    "sands": "NNS|VBZ",
    "sandwich": "NN",
    "sandwich-type": "JJ",
    "sandwiched": "VBN|VBD",
    "sandwiches": "NNS",
    "sandy": "JJ",
    "sandy-haired": "JJ",
    "sane": "JJ",
    "saner": "JJR",
    "sanest": "JJS",
    "sang": "VBD|FW",
    "sang-froid": "FW",
    "sangaree": "NN",
    "sangiovanni": "NNS",
    "sanguine": "JJ|NN",
    "sanguineous": "JJ",
    "sanguineum": "NN",
    "sanhedrin": "NN",
    "sanipractor": "NN",
    "sanitaire": "FW",
    "sanitarium": "NN",
    "sanitary": "JJ",
    "sanitation": "NN",
    "sanitation-control": "JJ",
    "sanitationists": "NNS",
    "sanitize": "VBP",
    "sanitized": "VBN",
    "sanitizing": "NN",
    "sanity": "NN",
    "sank": "VBD",
    "santos": "FW",
    "sap": "VB|NN",
    "sapiens": "JJ",
    "sapling": "NN",
    "saponins": "NNS",
    "sapped": "VBN|VBD",
    "sapping": "VBG",
    "sappy": "JJ",
    "saps": "VBZ",
    "sarakin": "FW",
    "sarcasm": "NN",
    "sarcasms": "NNS",
    "sarcastic": "JJ",
    "sarcastically": "RB",
    "sarcolemmal": "JJ",
    "sarcoma": "NN",
    "sardines": "NNS",
    "sardonic": "JJ",
    "sardonically": "RB",
    "sari": "NN",
    "sarsaparilla": "NN",
    "sash": "NN|VB",
    "sashay": "NN|VB",
    "sashayed": "VBD|VBN",
    "sassafras": "NN",
    "sassing": "NN|VBG",
    "sassy": "JJ",
    "sat": "VBD|VBN",
    "satellite": "NN|JJ",
    "satellite-TV": "JJ",
    "satellite-assembly": "NN",
    "satellite-delivered": "JJ",
    "satellite-dish": "NN",
    "satellite-launch": "JJ",
    "satellite-launching": "JJ|NN",
    "satellite-linked": "JJ",
    "satellite-transmission": "NN",
    "satellites": "NNS",
    "satiate": "VB",
    "satiety": "NN",
    "satin": "NN",
    "satin-covered": "JJ",
    "satire": "NN",
    "satiric": "JJ",
    "satirical": "JJ",
    "satirically": "RB",
    "satirist": "NN",
    "satirizes": "VBZ",
    "satisfaction": "NN",
    "satisfactions": "NNS",
    "satisfactorily": "RB",
    "satisfactory": "JJ",
    "satisfied": "VBN|VBD|JJ",
    "satisfies": "NNS|VBZ",
    "satisfy": "VB|VBP",
    "satisfying": "VBG|JJ",
    "saturate": "VB",
    "saturated": "VBD|VBN|JJ",
    "saturation": "NN",
    "sauce": "NN",
    "saucepan": "NN",
    "saucer": "NN",
    "saucers": "NNS",
    "sauces": "NNS",
    "saucy": "JJ",
    "sauerkraut": "NN",
    "sauna": "NN",
    "saunas": "NNS",
    "saunter": "NN|VB",
    "sausage": "NN",
    "sausage-grinder": "NN",
    "sausage-meat": "NN",
    "sausages": "NNS",
    "saute": "VB|JJ",
    "sauterne": "JJ",
    "savage": "JJ|NN|VB",
    "savaged": "VBD|VBN",
    "savagely": "RB",
    "savagery": "NN",
    "savages": "NNS|VBZ",
    "save": "VB|IN|VBP",
    "save-the-earth": "JJ",
    "save-the-universe": "JJ",
    "save-the-wildlife": "JJ",
    "saved": "VBN|VBD|JJ",
    "saver": "NN",
    "savers": "NNS",
    "savers/investors": "NNS",
    "saves": "VBZ",
    "saving": "VBG|JJ|NN",
    "savings": "NNS",
    "savings-and-loan": "JJ|NN",
    "savings-and-loans": "JJ",
    "savings-deposit": "JJ",
    "savings-type": "JJ",
    "savior": "NN",
    "saviour": "NN",
    "savor": "VB",
    "savored": "VBD|VBN",
    "savoring": "VBG",
    "savors": "NNS|VBZ",
    "savory": "JJ",
    "savvier": "JJR",
    "savviest": "JJS",
    "savvy": "JJ|VB|NN",
    "saw": "VBD|NN|VB",
    "saw-horse": "NN",
    "sawdust": "NN|JJ",
    "sawed-off": "JJ",
    "sawing": "NN|VBG",
    "sawmill": "NN",
    "saws": "NNS|VBZ",
    "sawtimber": "NN",
    "sax": "NN",
    "saxophone": "NN",
    "saxophones": "NNS",
    "saxophonist": "NN",
    "saxophonists": "NNS",
    "say": "VBP|FW|NN|NNP|UH|VB",
    "say-because": "IN",
    "say-great": "JJ",
    "say-so": "NN",
    "say-speak": "NN",
    "say...": ":",
    "sayed": "VBD",
    "sayin": "NN|VBG",
    "saying": "VBG|NN",
    "sayings": "NNS",
    "sayonara": "FW",
    "says": "VBZ|NNS",
    "says.": "VBZ",
    "scab": "NN|VB",
    "scabbard": "NN",
    "scabbed": "VBN|VBD",
    "scabrous": "JJ",
    "scabs": "NNS|VBZ",
    "scads": "NNS",
    "scaffold": "NN",
    "scaffolding": "NN",
    "scaffoldings": "NNS",
    "scairt": "VBN",
    "scalar": "JJ",
    "scalawags": "NNS",
    "scald": "VB",
    "scalded": "VBN|VBD",
    "scalding": "VBG",
    "scale": "NN|VB",
    "scale-down": "JJ",
    "scaled": "VBN|VBD",
    "scaled-back": "JJ",
    "scaled-backed": "JJ",
    "scaled-down": "JJ",
    "scales": "NNS|VBZ",
    "scaling": "VBG|NN",
    "scalloped": "JJ",
    "scallops": "NNS",
    "scalp": "NN",
    "scalpels": "NNS",
    "scalps": "NNS",
    "scam": "NN|VB",
    "scammed": "VBD|VBN",
    "scammers": "NNS",
    "scamper": "VBP|VB",
    "scampering": "VBG",
    "scan": "VB|NN|VBP",
    "scandal": "NN",
    "scandal-plagued": "JJ",
    "scandal-ridden": "JJ",
    "scandal-stench": "NN",
    "scandal-tossed": "JJ",
    "scandal-tripped": "JJ",
    "scandal-wracked": "JJ",
    "scandalized": "VBD|VBN|JJ",
    "scandalizes": "VBZ",
    "scandalizing": "JJ|VBG",
    "scandalous": "JJ",
    "scanned": "VBD|VBN",
    "scanner": "NN",
    "scanners": "NNS",
    "scanning": "VBG|NN",
    "scans": "VBZ|NNS",
    "scant": "JJ|VB",
    "scants": "VBZ",
    "scanty": "JJ",
    "scape": "VB",
    "scapegoat": "NN",
    "scapegoating": "NN",
    "scapulars": "NNS",
    "scar": "NN|VB",
    "scarce": "JJ",
    "scarcely": "RB",
    "scarcely-tapped": "JJ",
    "scarcer": "JJR|NN",
    "scarcest": "JJS",
    "scarcity": "NN",
    "scare": "VB|NN|VBP",
    "scare-tactic": "NN",
    "scarecrowish": "JJ",
    "scared": "VBN|JJ|RB|VBD",
    "scares": "VBZ|NNS",
    "scarf": "NN",
    "scarfing": "VBG",
    "scarify": "VB",
    "scaring": "VBG",
    "scarlet": "JJ",
    "scarred": "VBN|JJ|VBD",
    "scars": "NNS|VBZ",
    "scarves": "NN",
    "scary": "JJ",
    "scathing": "JJ",
    "scathingly": "RB",
    "scatter": "NN|VB",
    "scatterbrained": "JJ",
    "scattered": "VBN|VBD|JJ",
    "scattergun": "NN",
    "scattering": "VBG|JJ",
    "scatters": "VBZ",
    "scattershot": "JJ",
    "scavanged": "VBN",
    "scavenger": "NN",
    "scavengers": "NNS",
    "scavenging": "VBG",
    "scedule": "NN",
    "scenario": "NN",
    "scenarios": "NNS",
    "scene": "NN",
    "sceneries": "NNS",
    "scenery": "NN",
    "scenes": "NNS",
    "scenic": "JJ",
    "scenics": "NNS",
    "scent": "NN|VB",
    "scented": "JJ|VBN|VBD",
    "scents": "NNS|VBZ",
    "sceptical": "JJ",
    "scepticism": "NN",
    "schedule": "NN|VB|VBP",
    "scheduled": "VBN|VBD|JJ",
    "schedules": "NNS|VBZ",
    "scheduling": "NN|VBG",
    "schema": "NN",
    "schemata": "NN",
    "schematic": "JJ",
    "schematically": "RB",
    "scheme": "NN|VB",
    "schemers": "NNS",
    "schemes": "NNS|VBZ",
    "scheming": "JJ|VBG",
    "scherzo": "NN",
    "schillings": "NNS",
    "schism": "NN",
    "schizoid": "JJ",
    "schizophrenia": "NN",
    "schizophrenic": "JJ|NN",
    "schmoozing": "NN|VBG",
    "schmumpered": "VBD",
    "schnapps": "NN",
    "schnooks": "NNS",
    "scholar": "NN",
    "scholar-businessman": "NN",
    "scholar-in-residence": "NN",
    "scholarly": "JJ",
    "scholars": "NNS",
    "scholarship": "NN",
    "scholarships": "NNS",
    "scholastic": "JJ|NN",
    "scholastically": "RB",
    "scholastics": "NNS",
    "school": "NN|VB",
    "school-age": "JJ",
    "school-based": "JJ",
    "school-board": "NN",
    "school-bus": "NN",
    "school-desegregation": "NN",
    "school-district": "NN|JJ",
    "school-financing": "JJ",
    "school-improvement": "JJ|NN",
    "school-leaving": "JJ",
    "school-lunch": "NN",
    "school-research": "JJ",
    "school-sponsored": "JJ",
    "schoolbooks": "NNS",
    "schoolboy": "NN",
    "schoolboys": "NNS",
    "schoolchildren": "NN|VB|NNS",
    "schooldays": "NNS",
    "schooled": "VBN|VBD",
    "schoolers": "NNS",
    "schoolgirl": "NN",
    "schoolgirlish": "JJ",
    "schoolgirls": "NNS",
    "schoolhouse": "NN",
    "schooling": "NN|VBG",
    "schoolmaster": "NN",
    "schoolmate": "NN",
    "schoolmates": "NNS",
    "schoolroom": "NN",
    "schools": "NNS|VBZ",
    "schoolteacher": "NN",
    "schoolteachers": "NNS",
    "schoolwork": "NN",
    "schooner": "NN",
    "sci-fi": "JJ|NN",
    "sciatica": "NN",
    "science": "NN|JJ",
    "science-education": "NN",
    "science-fiction": "NN",
    "science-watchers": "NNS",
    "sciences": "NNS",
    "scientific": "JJ",
    "scientifically": "RB",
    "scientifically-trained": "JJ",
    "scientist": "NN",
    "scientist-consultant": "NN",
    "scientist/traders": "NNS",
    "scientists": "NNS",
    "scimitar": "NN",
    "scimitar-wielding": "JJ",
    "scimitars": "NNS",
    "scintillating": "JJ|VBG",
    "scion": "NN",
    "scions": "NNS",
    "scissoring": "VBG",
    "scissors": "NNS",
    "sclerosis": "NN",
    "sclerotic": "JJ",
    "scoff": "VBP|NN|VB",
    "scoffed": "VBD|VBN",
    "scoffer": "NN",
    "scoffing": "NN|VBG",
    "scofflaws": "NNS",
    "scoffs": "VBZ",
    "scold": "VB",
    "scolded": "VBN|VBD",
    "scolding": "VBG|NN",
    "scolds": "NNS|VBZ",
    "scoop": "NN|VB",
    "scooped": "VBD|VBN",
    "scooping": "VBG",
    "scoops": "VBZ|NNS",
    "scooted": "VBD|VBN",
    "scooter": "NN",
    "scooting": "VBG",
    "scop": "NN",
    "scope": "NN",
    "scoped": "NN",
    "scopes": "NNS",
    "scops": "NNS",
    "scorched": "JJ|VBD|VBN",
    "scorcher": "NN",
    "score": "NN|VB|VBP",
    "score-wise": "JJ",
    "scoreboard": "NN",
    "scoreboards": "NNS",
    "scorecard": "NN",
    "scored": "VBD|JJ|VBN",
    "scorekeepers": "NNS",
    "scorekeeping": "NN",
    "scoreless": "JJ",
    "scorer": "NN",
    "scorers": "NNS",
    "scores": "NNS|VBZ",
    "scoring": "VBG|NN",
    "scorn": "VB|NN|VBP",
    "scorned": "VBN|VBD",
    "scornful": "JJ",
    "scornfully": "RB",
    "scot-free": "JJ",
    "scotch": "NN|VB",
    "scotched": "VBD|VBN",
    "scotches": "NNS",
    "scoundrel": "NN|JJ",
    "scoundrels": "NNS",
    "scour": "VB|VBP",
    "scoured": "VBN|JJ|VBD",
    "scourge": "NN|VB",
    "scourges": "NNS|VBZ",
    "scouring": "VBG|NN",
    "scours": "NNS|VBZ",
    "scout": "NN|VB",
    "scouted": "VBD|VBN",
    "scouting": "VBG",
    "scouts": "NNS|VBZ",
    "scowl": "VBP|VB",
    "scowled": "VBD|VBN",
    "scowling": "NN|VBG",
    "scowls": "VBZ",
    "scraggly": "JJ",
    "scramble": "NN|VBP|VB",
    "scrambled": "VBD|JJ|VBN",
    "scrambles": "NNS|VBZ",
    "scrambling": "VBG",
    "scrap": "VB|NN|JJ",
    "scrapbook": "NN",
    "scrape": "VB|NN|VBP",
    "scraped": "VBD|VBN",
    "scrapes": "NNS|VBZ",
    "scraping": "VBG|NN",
    "scrapped": "VBN|VBD",
    "scrapping": "VBG|NN",
    "scrappy": "JJ",
    "scraps": "NNS|VBZ",
    "scratch": "NN|VB|VBP",
    "scratched": "VBN|VBD|JJ",
    "scratches": "NNS|VBZ",
    "scratchiness": "NN",
    "scratching": "VBG|NN",
    "scratchy": "JJ",
    "scrawl": "NN|VB",
    "scrawled": "VBD|JJ|VBN",
    "scrawny": "JJ",
    "scream": "NN|VB|VBP",
    "screamed": "VBD|VBN",
    "screaming": "VBG|JJ|NN",
    "screech": "NN|VB",
    "screeched": "VBD|VBN",
    "screeches": "NNS|VBZ",
    "screeching": "VBG|JJ",
    "screechy": "JJ",
    "screed": "NN",
    "screen": "NN|VB|VBP",
    "screened": "VBD|VBN",
    "screening": "NN|VBG",
    "screenings": "NNS",
    "screenland": "NN",
    "screenplay": "NN",
    "screens": "NNS|VBZ",
    "screenwriters": "NNS",
    "screw": "NN|VB",
    "screw-loose": "JJ",
    "screwball": "NN|JJ",
    "screwdriver": "NN",
    "screwed": "VBD|VBN",
    "scribble": "VB",
    "scribbled": "VBD|VBN",
    "scribblers": "NNS",
    "scribbles": "VBZ",
    "scribbling": "VBG",
    "scribe": "NN",
    "scribes": "NNS",
    "scribing": "NN",
    "scrim": "NN",
    "scrimmage": "NN",
    "scrimmaged": "VBD",
    "scrimp": "VB",
    "scrimped": "VBD|VBN",
    "scrimping": "VBG",
    "script": "NN",
    "scripts": "NNS",
    "scriptural": "JJ",
    "scripture": "NN",
    "scriptures": "NNS",
    "scriptwriter": "NN",
    "scriptwriters": "NNS",
    "scrivener": "NN",
    "scroll": "NN",
    "scrolls": "NNS",
    "scrounge": "VBP|VB",
    "scrounged": "VBD|VBN",
    "scrounging": "VBG",
    "scrub": "NN|VB|JJ",
    "scrubbed": "VBN|VBD",
    "scrubbers": "NNS",
    "scrubbing": "NN|VBG",
    "scruff": "NN",
    "scrumptious": "JJ",
    "scrupulosity": "NN",
    "scrupulous": "JJ",
    "scrupulously": "RB",
    "scrutin": "FW",
    "scrutinize": "VB|VBP",
    "scrutinized": "VBN|VBD",
    "scrutinizes": "VBZ",
    "scrutinizing": "VBG",
    "scrutiny": "NN",
    "scuba": "NN",
    "scudding": "VBG",
    "scuff": "VB",
    "scuffle": "NN|VB",
    "sculpted": "VBN|VBD",
    "sculptor": "NN",
    "sculptors": "NNS",
    "sculpts": "VBZ",
    "sculptural": "JJ",
    "sculpture": "NN|VB",
    "sculptured": "VBN|JJ|VBD",
    "sculptures": "NNS|VBZ",
    "scurried": "VBD|VBN",
    "scurries": "NNS|VBZ",
    "scurrilous": "JJ",
    "scurry": "VB|NN|VBP",
    "scurrying": "VBG",
    "scurvy": "NN",
    "scuttle": "VB",
    "scuttled": "VBD|VBN|JJ",
    "scuttling": "VBG",
    "se": "FW|IN|NN|PRP",
    "sea": "NN|VB|VBP",
    "sea-beach": "NN",
    "sea-blessed": "JJ",
    "sea-damp": "JJ",
    "sea-food": "NN",
    "sea-horses": "NNS",
    "sea-launched": "JJ",
    "sea-transport": "JJ",
    "sea-turtle-saving": "JJ",
    "sea-village": "NN",
    "seaboard": "NN",
    "seaborne": "JJ",
    "seacoast": "NN",
    "seafarers": "NNS",
    "seafaring": "JJ",
    "seafood": "NN",
    "seagulls": "NNS",
    "seahorse": "NN",
    "seal": "NN|VB|VBP",
    "sealants": "NNS",
    "sealed": "VBN|VBD|JJ",
    "sealift": "NN",
    "sealing": "VBG|NN",
    "seals": "NNS|VBZ",
    "seam": "NN",
    "seaman": "NN",
    "seamanship": "NN",
    "seamen": "NNS",
    "seamier": "JJR",
    "seamless": "JJ",
    "seamlessly": "RB",
    "seams": "NNS",
    "seamstress": "NN",
    "seamy": "JJ",
    "seances": "NNS",
    "seaport": "NN",
    "seaports": "NNS",
    "seaquake": "NN",
    "sear": "VB",
    "search": "NN|VB|VBP",
    "search-and-examination": "JJ",
    "search-and-seizure": "JJ",
    "searched": "VBD|VBN",
    "searcher": "NN",
    "searchers": "NNS",
    "searches": "NNS|VBZ",
    "searching": "VBG|NN",
    "searchingly": "RB",
    "searchings": "NNS",
    "searchlight": "NN",
    "searchlights": "NNS",
    "searing": "JJ|VBG",
    "seas": "NNS|VBZ",
    "seashore": "NN",
    "seashores": "NNS",
    "seaside": "JJ|NN",
    "season": "NN|VB",
    "seasonal": "JJ",
    "seasonality": "NN",
    "seasonally": "RB",
    "seasoned": "JJ|VBN",
    "seasoning": "NN",
    "seasonings": "NNS",
    "seasons": "NNS|VBZ",
    "seat": "NN|VB|VBP",
    "seat-back": "JJ",
    "seat-belt": "NN",
    "seat-for-the-secretary": "JJ",
    "seat-sale": "JJ",
    "seatbelt": "NN",
    "seated": "VBN|VBD|JJ",
    "seating": "NN|VBG",
    "seatrout": "NN",
    "seats": "NNS|VBZ",
    "seawall": "NN",
    "seawater": "NN",
    "seaweed": "NN",
    "sec.": "NN|NNS",
    "secant": "NN",
    "secants": "NNS",
    "secco": "NN|FW",
    "secede": "VB",
    "seceded": "VBN|VBD",
    "seceding": "VBG",
    "secession": "NN",
    "secessionist": "NN",
    "secessionists": "NNS",
    "seclude": "VB",
    "secluded": "VBN|JJ|VBD",
    "seclusion": "NN",
    "second-biggest": "JJ",
    "second-by-second": "JJ",
    "second-class": "JJ",
    "second-consecutive": "JJ",
    "second-deadliest": "JJ",
    "second-degree": "JJ|NN",
    "second-echelon": "JJ",
    "second-floor": "JJ|NN",
    "second-grader": "NN",
    "second-guess": "VB|JJ",
    "second-guessed": "VBN|VBD",
    "second-guessing": "NN|VBG",
    "second-half": "JJ|NN",
    "second-hand": "JJ",
    "second-highest": "JJ|JJS",
    "second-in-command": "NN",
    "second-largest": "JJ|JJS",
    "second-leading": "JJ",
    "second-level": "JJ",
    "second-look": "JJ",
    "second-most-conservative": "JJ",
    "second-order": "JJ",
    "second-place": "JJ",
    "second-quarter": "JJ|NN",
    "second-rate": "JJ",
    "second-round": "JJ",
    "second-stage": "JJ",
    "second-story": "JJ",
    "second-tier": "JJ",
    "second-time": "JJ",
    "second-to-die": "JJ",
    "second-worst": "JJ",
    "second-year": "JJ",
    "secondarily": "RB",
    "secondary": "JJ",
    "secondbiggest": "JJS",
    "secondhand": "JJ",
    "secondly": "RB",
    "seconds": "NNS|VBZ",
    "secrecy": "NN",
    "secret": "JJ|NN",
    "secretarial": "JJ",
    "secretaries": "NNS",
    "secretary": "NN",
    "secretary-general": "JJ|NN",
    "secretary-treasurer": "NN",
    "secreted": "VBN|VBD",
    "secretion": "NN",
    "secretions": "NNS",
    "secretive": "JJ",
    "secretively": "RB",
    "secretly": "RB",
    "secrets": "NNS",
    "sect": "NN",
    "sectarian": "JJ|NN",
    "section": "NN|,|NNP|VB",
    "sectional": "JJ",
    "sectionalized": "JJ",
    "sections": "NNS|VBZ",
    "sector": "NN",
    "sector...": ":",
    "sectorial": "JJ",
    "sectors": "NNS",
    "sects": "NNS",
    "secular": "JJ",
    "secularism": "NN",
    "secularist": "NN",
    "secularists": "NNS",
    "secularized": "VBN|VBD",
    "secure": "VB|JJ|VBP",
    "secured": "VBN|VBD|JJ",
    "securely": "RB",
    "securing": "VBG",
    "securites": "NNS",
    "securities": "NNS",
    "securities-based": "JJ",
    "securities-firm": "NN|JJ",
    "securities-fraud": "NN",
    "securities-industry": "NN|JJ",
    "securities-investment": "JJ",
    "securities-law": "NN|JJ",
    "securities-laws": "NNS",
    "securities-price": "JJ",
    "securities-trading": "JJ|NN",
    "securities-turnover": "JJ",
    "securitiess": "NN",
    "securitization": "NN",
    "security": "NN",
    "security-services": "NN",
    "security-type": "JJ",
    "sed": "VBD",
    "sedan": "NN",
    "sedans": "NNS",
    "sedate": "JJ|VB",
    "sedately": "RB",
    "sedative": "NN",
    "sedentary": "JJ",
    "sediment": "NN",
    "sedimentary": "JJ",
    "sedimentation": "NN",
    "sediments": "NNS",
    "sedition": "NN",
    "seditious": "JJ",
    "seduce": "VB",
    "seduced": "VBN|VBD",
    "seducer": "NN",
    "seduces": "VBZ",
    "seducing": "VBG",
    "seduction": "NN",
    "seductive": "JJ",
    "sedulously": "RB",
    "seduzione": "FW",
    "see": "VB|UH|VBP",
    "see-lective": "JJ",
    "see-through": "JJ",
    "seed": "NN|VBN|VB",
    "seed-bearing": "JJ",
    "seed-capital": "JJ",
    "seed-pods": "NNS",
    "seedbed": "NN",
    "seedcoat": "NN",
    "seedcoats": "NNS",
    "seeded": "VBN|VBD",
    "seedless": "JJ",
    "seedlings": "NNS",
    "seeds": "NNS|VBZ",
    "seedy": "JJ",
    "seein": "VBG",
    "seeing": "VBG",
    "seek": "VB|VBP",
    "seeker": "NN",
    "seekers": "NNS",
    "seekin": "VBG",
    "seeking": "VBG",
    "seekingly": "RB",
    "seeks": "VBZ",
    "seem": "VBP|VB",
    "seemed": "VBD|VBN",
    "seeming": "JJ|VBG",
    "seemingly": "RB",
    "seems": "VBZ",
    "seen": "VBN|VBD|JJ",
    "seep": "VB|VBP",
    "seepage": "NN",
    "seeped": "VBD|VBN",
    "seeping": "VBG",
    "seer": "NN",
    "seers": "NNS",
    "seersucker": "NN",
    "sees": "VBZ",
    "seesaw": "JJ|NN|VB",
    "seesawing": "VBG",
    "seethe": "VB|VBP",
    "seethes": "VBZ",
    "seething": "VBG|JJ",
    "segment": "NN|VBP|VB",
    "segmental": "JJ",
    "segmentation": "NN",
    "segmented": "JJ|VBD|VBN",
    "segmenting": "VBG",
    "segments": "NNS|VBZ",
    "segregate": "VB|VBD",
    "segregated": "VBD|VBN|JJ",
    "segregating": "VBG",
    "segregation": "NN",
    "segregationist": "NN|JJ",
    "segregationists": "NNS",
    "seige": "NN",
    "seisho": "FW",
    "seismic": "JJ",
    "seismograph": "NN",
    "seismographic": "JJ",
    "seismographs": "NNS",
    "seismological": "JJ",
    "seize": "VB|VBP",
    "seized": "VBN|JJ|VBD",
    "seized-property": "JJ",
    "seizes": "VBZ",
    "seizin": "VBG",
    "seizing": "VBG",
    "seizure": "NN",
    "seizures": "NNS",
    "seldom": "RB",
    "seldom-stolen": "JJ",
    "select": "VB|VBP|JJ",
    "selected": "VBN|JJ|VBD",
    "selecting": "VBG|NN",
    "selection": "NN",
    "selection-rejection": "JJ",
    "selections": "NNS",
    "selective": "JJ",
    "selectively": "RB",
    "selectiveness": "NN",
    "selectivity": "NN",
    "selectors": "NNS",
    "selects": "VBZ",
    "self": "NN|PRP",
    "self-absorbed": "JJ",
    "self-acceptance": "NN",
    "self-administration": "NN",
    "self-aggrandisement": "NN",
    "self-aggrandizement": "NN",
    "self-aggrandizing": "JJ",
    "self-analysis": "NN",
    "self-appointed": "JJ|VBN",
    "self-assertion": "NN",
    "self-assertive": "JJ",
    "self-assurance": "NN",
    "self-assured": "JJ",
    "self-awareness": "NN",
    "self-betrayal": "NN",
    "self-censorship": "NN",
    "self-centered": "JJ",
    "self-certainty": "NN",
    "self-chosen": "JJ",
    "self-completion": "NN",
    "self-conceited": "JJ",
    "self-confessed": "JJ",
    "self-confidence": "NN",
    "self-confident": "JJ",
    "self-congratulation": "NN",
    "self-congratulatory": "JJ",
    "self-conscious": "JJ",
    "self-consciously": "RB|JJ",
    "self-consciousness": "NN",
    "self-consistent": "JJ",
    "self-consuming": "JJ",
    "self-contained": "JJ|NN",
    "self-content": "JJ",
    "self-control": "NN",
    "self-correcting": "JJ",
    "self-crimination": "NN",
    "self-critical": "JJ",
    "self-criticism": "NN",
    "self-deceived": "JJ",
    "self-deceiving": "JJ",
    "self-deception": "NN",
    "self-deceptions": "NNS",
    "self-declared": "JJ",
    "self-defeat": "NN",
    "self-defeating": "JJ",
    "self-defense": "NN|JJ",
    "self-definition": "NN",
    "self-deluded": "JJ",
    "self-delusion": "NN",
    "self-deprecating": "JJ",
    "self-deprecation": "NN",
    "self-described": "JJ",
    "self-designated": "JJ",
    "self-destructed": "VBD",
    "self-destruction": "NN",
    "self-destructive": "JJ",
    "self-determination": "NN",
    "self-diagnostic": "JJ",
    "self-dictate": "NN",
    "self-discipline": "NN|JJ",
    "self-discovery": "NN",
    "self-dramatization": "NN",
    "self-effacement": "NN",
    "self-effacing": "JJ",
    "self-employed": "JJ",
    "self-employment": "NN",
    "self-enclosed": "JJ",
    "self-energizing": "JJ",
    "self-enforced": "JJ",
    "self-esteem": "NN",
    "self-evident": "JJ",
    "self-examination": "NN",
    "self-exile": "NN",
    "self-experimentation": "NN",
    "self-explanatory": "JJ",
    "self-expression": "NN",
    "self-extinguishing": "JJ",
    "self-financed": "JJ",
    "self-flagellation": "NN",
    "self-fulfilling": "JJ",
    "self-funding": "NN",
    "self-governing": "JJ",
    "self-government": "NN",
    "self-hatred": "NN",
    "self-help": "NN|NNP|JJ",
    "self-image": "NN",
    "self-images": "NN",
    "self-important": "JJ",
    "self-imposed": "JJ",
    "self-incrimination": "NN",
    "self-indulgence": "NN",
    "self-indulgent": "JJ",
    "self-inflicted": "JJ",
    "self-insurance": "NN",
    "self-insure": "VBP",
    "self-insured": "JJ|VBN",
    "self-interest": "NN|JJ",
    "self-interested": "JJ",
    "self-involved": "JJ",
    "self-judging": "JJ",
    "self-locking": "JJ",
    "self-managing": "JJ",
    "self-mastery": "NN",
    "self-multilation": "NN",
    "self-observation": "NN",
    "self-ordained": "JJ",
    "self-pacification": "NN",
    "self-perceived": "JJ",
    "self-perpetuating": "JJ",
    "self-pity": "NN",
    "self-pitying": "JJ",
    "self-plagiarisms": "NNS",
    "self-policing": "JJ",
    "self-portrait": "NN",
    "self-portraits": "NNS",
    "self-prescribed": "JJ",
    "self-preservation": "NN",
    "self-proclaimed": "JJ",
    "self-professed": "JJ",
    "self-promotion": "NN",
    "self-protection": "NN",
    "self-published": "JJ",
    "self-realized": "JJ",
    "self-redefinition": "NN",
    "self-referential": "JJ",
    "self-reform": "NN",
    "self-regulating": "JJ",
    "self-regulation": "NN",
    "self-regulator": "NN",
    "self-regulatory": "JJ",
    "self-reinsure": "VB",
    "self-reliance": "NN",
    "self-reliant": "JJ",
    "self-respect": "NN",
    "self-respecting": "JJ",
    "self-restraint": "NN",
    "self-righteous": "JJ",
    "self-righteousness": "NN",
    "self-rule": "NN",
    "self-sacrifice": "NN",
    "self-sacrificing": "JJ",
    "self-satisfaction": "NN",
    "self-screening": "JJ",
    "self-scrutiny": "NN",
    "self-seeking": "JJ|NN",
    "self-serve": "NN",
    "self-served": "VBD",
    "self-serving": "JJ",
    "self-splicing": "JJ",
    "self-starters": "NNS",
    "self-starting": "JJ",
    "self-styled": "JJ",
    "self-sufficiency": "NN",
    "self-sufficient": "JJ|NN",
    "self-supporting": "JJ",
    "self-sustaining": "JJ",
    "self-taught": "JJ",
    "self-tender": "JJ",
    "self-tilth": "NN",
    "self-unloading": "JJ",
    "self-victimized": "JJ",
    "self-will": "NN",
    "self-willed": "JJ",
    "selfdamaging": "JJ",
    "selfeffacing": "VBG",
    "selfish": "JJ",
    "selfishness": "NN",
    "selfless": "JJ",
    "selflessness": "NN",
    "sell": "VB|VBP|JJ|NN",
    "sell-off": "NN|NNS",
    "sell-offs": "NNS",
    "sell-order": "JJ",
    "sell-through": "NN",
    "selle": "VB",
    "seller": "NN",
    "seller-financed": "JJ",
    "sellers": "NNS",
    "sellin": "NN",
    "selling": "VBG|NN|JJ",
    "selloff": "NN",
    "selloffs": "NNS",
    "sellout": "NN",
    "sells": "VBZ",
    "selves": "NNS",
    "semantic": "JJ",
    "semantically": "RB",
    "semantics": "NNS",
    "semblance": "NN",
    "semen": "NN",
    "semester": "NN",
    "semesters": "NNS",
    "semi-abstract": "JJ",
    "semi-abstractions": "NNS",
    "semi-ambiguous": "JJ",
    "semi-annual": "JJ",
    "semi-annually": "RB",
    "semi-arid": "JJ",
    "semi-automatic": "JJ",
    "semi-autonomous": "JJ",
    "semi-catatonic": "JJ",
    "semi-celebrities": "NNS",
    "semi-circle": "NN",
    "semi-city": "JJ",
    "semi-conductors": "NNS",
    "semi-conscious": "JJ",
    "semi-controlled": "JJ",
    "semi-finalists": "NNS",
    "semi-finished": "JJ",
    "semi-gelatinous": "JJ",
    "semi-heights": "NNS",
    "semi-independent": "JJ",
    "semi-inflated": "JJ",
    "semi-isolated": "JJ",
    "semi-liquefied": "JJ",
    "semi-literate": "JJ",
    "semi-local": "JJ",
    "semi-major": "JJ",
    "semi-minor": "JJ",
    "semi-nude": "JJ",
    "semi-obscure": "JJ",
    "semi-precious": "JJ",
    "semi-private": "JJ",
    "semi-processed": "JJ",
    "semi-professional": "JJ",
    "semi-professionally": "RB",
    "semi-public": "JJ",
    "semi-retired": "JJ",
    "semi-rigid": "JJ",
    "semi-serious": "JJ",
    "semi-skilled": "JJ",
    "semi-special": "JJ",
    "semi-statist": "JJ",
    "semi-sterile": "JJ",
    "semiannual": "JJ",
    "semiannually": "RB",
    "semiarid": "JJ",
    "semiautomatic": "JJ",
    "semicircular": "JJ",
    "semiconductor": "NN",
    "semiconductor-coating": "NN",
    "semiconductor-depreciation": "JJ",
    "semiconductor-equipment": "NN",
    "semiconductor-manufacturing": "NN",
    "semiconductor-production": "NN",
    "semiconductors": "NNS|VBZ",
    "semidrying": "JJ",
    "semiempirical": "JJ",
    "semifinalists": "NNS",
    "semifinals": "NNS",
    "semifinished": "VBN",
    "semiliterate": "JJ",
    "semimonthly": "JJ|RB",
    "seminal": "JJ",
    "seminar": "NN",
    "seminarian": "NN",
    "seminarians": "NNS",
    "seminars": "NNS",
    "seminary": "NN",
    "semipublic": "JJ",
    "semiquantitative": "JJ",
    "semisecret": "JJ",
    "semitrance": "NN",
    "semitropical": "JJ",
    "semper": "FW",
    "senate": "NN",
    "senator": "NN",
    "senatorial": "JJ",
    "senators": "NNS",
    "send": "VB|VBP",
    "senders": "NNS",
    "sending": "VBG|NN",
    "sends": "VBZ",
    "senile": "JJ",
    "senilis": "NNS",
    "senior": "JJ|NN",
    "senior-debt": "NN",
    "senior-graduate": "NN",
    "senior-level": "JJ",
    "senior-management": "NN",
    "senior-subordinated": "JJ",
    "senioritatis": "FW",
    "seniority": "NN",
    "seniority-list": "NN",
    "seniors": "NNS",
    "senora": "NN",
    "sensation": "NN",
    "sensational": "JJ",
    "sensationalism": "NN",
    "sensationalizing": "VBG",
    "sensations": "NNS",
    "sense": "NN|VBP|VB",
    "sensed": "VBD|VBN|JJ",
    "senseless": "JJ",
    "senselessly": "RB",
    "senses": "NNS|VBZ",
    "sensibilities": "NNS",
    "sensibility": "NN",
    "sensible": "JJ|NN",
    "sensibly": "RB",
    "sensing": "VBG|NN",
    "sensitive": "JJ|NN",
    "sensitive-area": "NN",
    "sensitively": "RB",
    "sensitives": "NNS",
    "sensitivities": "NNS",
    "sensitivity": "NN",
    "sensitize": "VB",
    "sensitized": "VBN|VBD",
    "sensor": "NN",
    "sensors": "NNS",
    "sensory": "JJ",
    "sensual": "JJ",
    "sensuality": "NN",
    "sensuous": "JJ",
    "sent": "VBD|VBN",
    "sentence": "NN|VB",
    "sentence-structure": "JJ",
    "sentenced": "VBN|VBD",
    "sentencing": "NN|VBG|JJ",
    "sentencings": "NNS",
    "sentient": "JJ|NN",
    "sentiment": "NN",
    "sentimental": "JJ",
    "sentimentalists": "NNS",
    "sentimentality": "NN",
    "sentimentalize": "VB",
    "sentiments": "NNS",
    "sentinel": "NN",
    "sentinels": "NNS",
    "sentry": "NN",
    "separable": "JJ",
    "separate": "JJ|VBP|VB",
    "separated": "JJ|VBN|VBD|VBP",
    "separately": "RB",
    "separateness": "NN",
    "separates": "VBZ",
    "separating": "VBG",
    "separation": "NN",
    "separation-of-powers": "JJ",
    "separations": "NNS",
    "separatist": "JJ",
    "separatists": "NNS",
    "separators": "NNS",
    "sepia": "JJ",
    "sepsis": "NN",
    "septa": "NNS",
    "septation": "NN",
    "septic": "JJ|NN",
    "septuagenarian": "NN",
    "septum": "NN",
    "sepulchred": "VBN",
    "seq": "NN",
    "sequel": "NN",
    "sequels": "NNS",
    "sequence": "NN",
    "sequence-tagged": "JJ",
    "sequenced": "VBN",
    "sequences": "NNS",
    "sequester": "NN|VB|VBP",
    "sequestered": "VBN|VBD",
    "sequestering": "NN|VBG",
    "sequestration": "NN",
    "sequined": "JJ",
    "sequins": "NNS",
    "sera": "NNS",
    "seraphim": "NN",
    "serenade": "NN",
    "serenaded": "VBN|VBD",
    "serendipity": "NN",
    "serene": "JJ|NN",
    "serenely": "RB",
    "serenity": "NN",
    "serfs": "NNS",
    "serge": "NN",
    "sergeant": "NN",
    "sergeants": "NNS",
    "serial": "NN|JJ",
    "serialized": "VBN",
    "serials": "NNS",
    "series": "NN|NNS",
    "series-production": "NN",
    "series.": "NN",
    "serious": "JJ",
    "serious-minded": "JJ",
    "seriously": "RB",
    "seriousness": "NN",
    "serloin": "NN",
    "sermon": "NN",
    "sermons": "NNS",
    "sermons/From": "JJ",
    "serological": "JJ",
    "serotonin": "NN",
    "serpent": "NN",
    "serpentine": "JJ",
    "serpents": "NNS",
    "serratus": "NN",
    "serum": "NN",
    "servant": "NN",
    "servants": "NNS",
    "serve": "VB|VBP",
    "serve-the-world": "JJ",
    "served": "VBD|VBN",
    "server": "NN",
    "servers": "NNS",
    "serves": "VBZ",
    "service": "NN|VB|VBP",
    "service-center": "NN",
    "service-connected": "JJ",
    "service-industry": "NN|JJ",
    "service-oriented": "JJ",
    "service-sector": "JJ",
    "service-type": "JJ",
    "serviceable": "JJ",
    "serviced": "VBN|VBD",
    "servicemen": "NNS",
    "servicers": "NNS",
    "services": "NNS|VBZ",
    "services-repair": "NN",
    "servicing": "VBG|NN",
    "serviettes": "NNS",
    "servile": "JJ",
    "serving": "VBG|NN",
    "servings": "NNS",
    "servitors": "NNS",
    "servitude": "NN",
    "servo": "NN|JJ",
    "sesame": "NN",
    "session": "NN",
    "sessions": "NNS",
    "set": "VBN|VBD|VBP|JJ|NN|VB",
    "set-aside": "JJ|NN",
    "set-asides": "NNS",
    "set-up": "NN",
    "setback": "NN",
    "setbacks": "NNS",
    "sets": "NNS|VBZ",
    "setters": "NNS",
    "setting": "VBG|NN",
    "settings": "NNS",
    "settle": "VB|VBP",
    "settled": "VBN|VBD|JJ",
    "settlement": "NN",
    "settlements": "NNS",
    "settler": "NN",
    "settlers": "NNS",
    "settles": "VBZ",
    "settling": "VBG|NN",
    "setup": "NN",
    "setups": "NNS",
    "seven-bedroom": "JJ",
    "seven-concert": "JJ",
    "seven-course": "JJ",
    "seven-day": "JJ",
    "seven-digit": "JJ",
    "seven-eighths": "JJ|NNS",
    "seven-figure": "JJ",
    "seven-fold": "JJ",
    "seven-hit": "JJ",
    "seven-inch": "JJ",
    "seven-inning": "JJ",
    "seven-iron": "NN",
    "seven-member": "JJ",
    "seven-million-ton": "JJ",
    "seven-month": "JJ",
    "seven-month-old": "JJ",
    "seven-point": "JJ",
    "seven-session": "JJ",
    "seven-shot": "JJ",
    "seven-stories": "JJ",
    "seven-story": "JJ",
    "seven-tenths": "NNS",
    "seven-thirty": "RB",
    "seven-unit": "JJ",
    "seven-volume": "JJ",
    "seven-week": "JJ",
    "seven-week-old": "JJ",
    "seven-word": "JJ",
    "seven-year": "JJ",
    "seven-year-old": "JJ",
    "seven-yen": "JJ",
    "sevenday": "JJ",
    "sevenfold": "RB",
    "seventeen-inch": "JJ",
    "seventeen-year-old": "JJ",
    "seventeenth": "JJ",
    "seventeenth-century": "JJ",
    "seventh": "JJ",
    "seventh-biggest": "JJ",
    "seventh-consecutive": "JJ",
    "seventh-inning": "JJ",
    "seventh-largest": "JJ",
    "seventh-most-admired": "JJ",
    "seventies": "NNS",
    "seventy-eight": "JJ",
    "seventy-fifth": "JJ",
    "seventy-five-foot": "JJ",
    "seventy-foot": "JJ",
    "seventy-odd": "JJ",
    "seventy-six": "JJ",
    "seventy-two": "JJ",
    "sever": "VB|VBP",
    "severable": "JJ",
    "several": "JJ|RB",
    "several-year": "JJ",
    "severally": "RB",
    "severalty": "NN",
    "severance": "NN|JJ",
    "severe": "JJ",
    "severe-looking": "JJ",
    "severed": "VBN|VBD",
    "severely": "RB",
    "severest": "JJS",
    "severing": "VBG|NN",
    "severity": "NN",
    "severly": "RB",
    "sevices": "NNS",
    "sew": "VB|VBP",
    "sewage": "NN",
    "sewage-polluted": "JJ",
    "sewage-treatment": "NN",
    "sewed": "VBD|VBN",
    "sewer": "NN",
    "sewer-repair": "JJ",
    "sewerage": "NN",
    "sewers": "NNS",
    "sewing": "NN|VBG",
    "sewing-machine": "NN",
    "sewn": "VBN",
    "sews": "VBZ",
    "sex": "NN|VB",
    "sex-change": "JJ",
    "sex-discrimination": "NN",
    "sex-education": "NN",
    "sex-for-hire": "JJ",
    "sex-manuals": "NNS",
    "sexes": "NNS",
    "sexism": "NN",
    "sexist": "JJ",
    "sexologist": "NN",
    "sexology": "NN",
    "sexpot": "NN",
    "sextet": "NN",
    "sexton": "NN",
    "sexual": "JJ",
    "sexuality": "NN",
    "sexualized": "JJ",
    "sexually": "RB",
    "sexy": "JJ",
    "sforzando": "NN",
    "sh-ts": "NN",
    "sha": "MD",
    "shabbily": "RB",
    "shabby": "JJ",
    "shack": "NN|VB",
    "shack-up": "JJ",
    "shacked": "VBN|VBD",
    "shackle": "VB",
    "shackled": "VBN|VBD",
    "shackles": "NNS|VBZ",
    "shacks": "NNS|VBZ",
    "shad": "NN",
    "shade": "NN|VB",
    "shade-darkened": "JJ",
    "shaded": "JJ|VBN|VBD",
    "shades": "NNS|VBZ",
    "shadier": "JJR",
    "shading": "NN|VBG",
    "shadings": "NNS",
    "shadow": "NN|VB",
    "shadowed": "VBN|JJ|VBD",
    "shadowing": "VBG|NN",
    "shadows": "NNS|VBZ",
    "shadowy": "JJ",
    "shady": "JJ",
    "shaft": "NN|VB",
    "shafts": "NNS|VBZ",
    "shag": "JJ",
    "shaggy": "JJ",
    "shags": "VBZ",
    "shah": "NN",
    "shake": "VB|NN|VBP",
    "shake-up": "NN",
    "shaken": "VBN|JJ",
    "shakeout": "NN",
    "shaker": "NN",
    "shakers": "NNS",
    "shakes": "VBZ|NNS",
    "shakeup": "NN",
    "shakily": "RB",
    "shaking": "VBG|NN",
    "shaky": "JJ",
    "shall": "MD|VB",
    "shallow": "JJ|NN|VB",
    "shallow-water": "NN",
    "shallower": "JJR",
    "shallowness": "NN",
    "shalt": "VB",
    "sham": "NN|JJ|VB",
    "shamanistic": "JJ",
    "shambled": "VBD|VBN",
    "shambles": "NN|VBZ",
    "shambling": "VBG",
    "shame": "NN|VB|UH",
    "shamed": "VBN|VBD",
    "shamefacedly": "RB",
    "shameful": "JJ",
    "shameless": "JJ",
    "shamelessly": "RB",
    "shames": "NNS|VBZ",
    "shampoo": "NN",
    "shampooed": "VBN",
    "shamrock": "NN",
    "shamrocks": "NNS",
    "shams": "NNS|VBZ",
    "shanties": "NNS",
    "shantung-like": "JJ",
    "shanty": "NN",
    "shantytown": "NN",
    "shantytowns": "NNS",
    "shape": "NN|VBP|VB",
    "shape-up": "JJ",
    "shaped": "VBN|VBD|JJ",
    "shapeless": "JJ",
    "shapely": "JJ",
    "shapes": "VBZ|NNS",
    "shaping": "VBG|NN",
    "shards": "NNS",
    "share": "NN|VBP|JJ|VB",
    "share-buying": "NN",
    "share-holders": "NNS",
    "share-price": "JJ",
    "share-purchase": "NN",
    "share-repurchase": "JJ",
    "share-trading": "NN",
    "share...": ":",
    "sharecrop": "NN",
    "sharecropper": "NN",
    "sharecroppers": "NNS",
    "shared": "VBN|JJ|VBD",
    "shareholder": "NN|JJ",
    "shareholder-owned": "JJ",
    "shareholder-payout": "JJ",
    "shareholder-rights": "JJ|NNS",
    "shareholder/management": "NN",
    "shareholders": "NNS",
    "shareholding": "NN",
    "shareholdings": "NNS",
    "shareowners": "NNS",
    "sharers": "NNS",
    "sharing": "VBG|NN",
    "shark": "NN",
    "shark-infested": "JJ",
    "sharks": "NNS",
    "sharkskin": "NN",
    "sharp": "JJ",
    "sharp-focus": "JJ",
    "sharp-jawed": "JJ",
    "sharp-leafed": "JJ",
    "sharp-limbed": "JJ",
    "sharp-rising": "JJ",
    "sharpen": "VB",
    "sharpened": "VBN|VBD",
    "sharpener": "NN",
    "sharpening": "VBG|NN",
    "sharpens": "VBZ",
    "sharper": "JJR|RBR",
    "sharpest": "JJS",
    "sharply": "RB",
    "sharpness": "NN",
    "sharpshooter": "NN",
    "sharpshooters": "NNS",
    "shashlik": "NN",
    "shatter": "VB",
    "shattered": "VBD|VBN|JJ",
    "shattering": "VBG|JJ",
    "shatteringly": "RB",
    "shatterproof": "JJ",
    "shatters": "NNS|VBZ",
    "shave": "VB|VBP|NN",
    "shaved": "VBD|VBN",
    "shaven": "JJ|VBN",
    "shaver": "NN",
    "shavers": "NNS",
    "shaves": "VBZ",
    "shaving": "NN|VBG",
    "shavings": "NNS",
    "shawl": "NN",
    "shawls": "NNS",
    "shea": "NN",
    "sheaf": "NN",
    "shear": "NN|VB",
    "sheared": "VBN|JJ",
    "shearing": "NN|VBG",
    "sheath": "NN",
    "sheathing": "NN",
    "sheaths": "NNS",
    "shed": "VBD|VB|VBN|VBP|NN",
    "shedding": "VBG|NN",
    "sheds": "VBZ|NNS",
    "sheen": "NN",
    "sheep": "NN|NNS",
    "sheep-like": "JJ",
    "sheep-lined": "JJ",
    "sheepe": "NNS",
    "sheepish": "JJ",
    "sheepskin": "NN",
    "sheer": "JJ|NN|VB",
    "sheered": "VBD|VBN",
    "sheet": "NN",
    "sheet-fed": "JJ",
    "sheet-metal": "JJ|NN",
    "sheet-rolling": "VBG",
    "sheeted": "JJ",
    "sheeting": "NN",
    "sheetrock": "NN",
    "sheets": "NNS",
    "sheik": "NN",
    "sheiks": "NNS",
    "shelf": "NN",
    "shelf-life": "NN",
    "shelf-registered": "JJ",
    "shelf-stable": "JJ",
    "shell": "NN|JJ|VB",
    "shell-psychology": "NN",
    "shell-shocked": "JJ",
    "shelled": "VBD|VBN|JJ",
    "shellfire": "NN",
    "shellfish": "NN|NNS",
    "shelling": "VBG|NN",
    "shells": "NNS|VBZ",
    "shellshocked": "VBN|JJ",
    "shelter": "NN|VB",
    "shelter.": "NN",
    "sheltered": "JJ|VBN|VBD",
    "sheltering": "VBG",
    "shelters": "NNS|VBZ",
    "shelve": "VB",
    "shelved": "JJ|VBD|VBN",
    "shelves": "NNS|VBZ",
    "shelving": "NN|VBG",
    "shenanigans": "NNS",
    "shepherd": "NN|VB",
    "shepherded": "VBD|VBN",
    "shepherding": "VBG",
    "shepherds": "NNS|VBZ",
    "sherbet": "NN",
    "sherbet-colored": "JJ",
    "sheriff": "NN",
    "sheriffs": "NNS",
    "sherry": "NN",
    "shewe": "NN",
    "shibboleth": "NN",
    "shibboleths": "NNS",
    "shied": "VBN|VBD",
    "shield": "NN|VB",
    "shielded": "VBD|VBN",
    "shielding": "VBG|NN",
    "shields": "NNS|VBZ",
    "shies": "VBZ",
    "shift": "NN|VB|VBP",
    "shifted": "VBD|VBN",
    "shifters": "NNS",
    "shifting": "VBG|JJ|NN",
    "shiftless": "JJ",
    "shifts": "NNS|VBZ",
    "shifty": "JJ",
    "shill": "NN",
    "shillings": "NNS",
    "shills": "NNS",
    "shim": "VB",
    "shimmer": "NN",
    "shimmered": "VBD",
    "shimmering": "JJ|VBG",
    "shimming": "NN|VBG",
    "shimmy": "VB|VBP",
    "shims": "NNS|VBZ",
    "shin": "NN|VB",
    "shinbone": "NN",
    "shine": "NN|VBP|VB",
    "shines": "VBZ",
    "shingle": "NN",
    "shingles": "NNS",
    "shining": "VBG|JJ",
    "shiningly": "RB",
    "shins": "NNS|VBZ",
    "shiny": "JJ",
    "ship": "NN|VBP|VB",
    "ship-to-surface": "NN",
    "shipboard": "NN|JJ",
    "shipboard-weapons": "NNS",
    "shipbuilder": "NN",
    "shipbuilders": "NNS",
    "shipbuilding": "NN",
    "shipload": "NN",
    "shipmate": "NN",
    "shipmates": "NNS",
    "shipment": "NN",
    "shipments": "NNS",
    "shipowners": "NNS",
    "shipped": "VBN|JJ|VBD",
    "shipper": "NN",
    "shippers": "NNS",
    "shipping": "VBG|NN",
    "shipping-rate": "JJ",
    "ships": "NNS|VBZ",
    "shipsets": "NNS",
    "shipshape": "JJ",
    "shipwreck": "NN",
    "shipwrecked": "JJ",
    "shipyard": "NN",
    "shipyards": "NNS",
    "shirk": "VB",
    "shirked": "VBN|VBD",
    "shirkers": "NNS",
    "shirking": "VBG",
    "shirt": "NN",
    "shirt-pocket": "NN",
    "shirt-sleeved": "JJ",
    "shirtfront": "NN",
    "shirtless": "JJ",
    "shirts": "NNS",
    "shirtsleeve": "NN",
    "shirtwaist": "NN",
    "shish": "NN",
    "shit": "NN|VB|VBD|VBN",
    "shit-sick": "JJ",
    "shiver": "NN|VB",
    "shivered": "VBD|VBN",
    "shivering": "VBG|NN|JJ",
    "shivers": "NNS|VBZ",
    "shivery": "JJ",
    "shmaltzy": "NN",
    "sho": "UH",
    "shoals": "NNS|VBZ",
    "shock": "NN|VB",
    "shock-damping": "JJ",
    "shocked": "VBN|VBD|JJ",
    "shocker": "NN",
    "shocking": "JJ|VBG",
    "shockingly": "RB",
    "shockproof": "JJ",
    "shockwave": "NN",
    "shod": "JJ|VBD|VBN",
    "shoddy": "JJ",
    "shoe": "NN|VB",
    "shoe-horn": "VB",
    "shoe-horned": "VBN|VBD",
    "shoe-string": "NN",
    "shoehorned": "VBN",
    "shoelace": "NN",
    "shoelaces": "NNS",
    "shoemaker": "NN",
    "shoemaking": "VBG",
    "shoes": "NNS|VBZ",
    "shoestring": "NN|JJ",
    "shoestrings": "NNS",
    "shoji": "FW",
    "shone": "VBD|VBN",
    "shoo-in": "NN",
    "shooed": "VBN",
    "shooing": "VBG",
    "shook": "VBD|NN|VBN",
    "shoot": "VB|NN|VBP",
    "shoot-down": "NN",
    "shoot-out": "NN",
    "shooter": "NN",
    "shooters": "NNS",
    "shootin": "VBG",
    "shooting": "VBG|NN",
    "shootings": "NNS",
    "shootout": "NN",
    "shootouts": "NNS",
    "shoots": "NNS|VBZ",
    "shop": "NN|VB|VBP",
    "shop-by-catalog": "JJ",
    "shop-till-you-drop": "JJ",
    "shopkeeper": "NN",
    "shopkeepers": "NNS",
    "shoplifters": "NNS",
    "shoplifting": "NN",
    "shopped": "VBD|VBN",
    "shopper": "NN",
    "shoppers": "NNS",
    "shopping": "NN|JJ|VBG",
    "shopping-center": "NN|JJ",
    "shopping-mall": "NN|JJ",
    "shops": "NNS|VBZ",
    "shopworn": "JJ",
    "shore": "VB|NN|JJ|RB|VBD",
    "shored": "VBN",
    "shoreline": "NN",
    "shorelines": "NNS",
    "shores": "NNS",
    "shoring": "VBG",
    "shorn": "VB|VBN",
    "short": "JJ|NN|RB|VB",
    "short-barrel": "NN",
    "short-changing": "NN|JJ",
    "short-circuited": "VBN|VBD",
    "short-contact": "JJ",
    "short-covering": "NN|JJ",
    "short-cut": "JJ",
    "short-cutting": "JJ",
    "short-dated": "JJ",
    "short-dollar": "JJ|NN",
    "short-haul": "JJ",
    "short-lived": "JJ",
    "short-of-war": "JJ",
    "short-range": "JJ",
    "short-run": "JJ|NN",
    "short-sale": "JJ",
    "short-sell": "VB",
    "short-seller": "NN",
    "short-sellers": "NNS",
    "short-selling": "NN|JJ|VBG",
    "short-skirted": "JJ",
    "short-staffed": "JJ",
    "short-story": "NN",
    "short-term": "JJ|NN|RB|NNP",
    "short-time": "JJ",
    "short-to-medium": "JJ",
    "short-to-medium-range": "JJ",
    "short-wave": "JJ",
    "shortage": "NN",
    "shortcake": "NN",
    "shortchanged": "VBN",
    "shortchanging": "VBG",
    "shortcoming": "NN",
    "shortcomings": "NNS",
    "shortcovering": "NN",
    "shortcut": "NN",
    "shortcuts": "NNS",
    "shorted": "VBN|VBD",
    "shorten": "VB|VBP",
    "shortened": "VBN|JJ|VBD",
    "shortening": "VBG|NN",
    "shorter": "JJR",
    "shorter-tenure": "JJ",
    "shorter-term": "JJR|JJ",
    "shortest": "JJS",
    "shortfall": "NN",
    "shortfalls": "NNS",
    "shorthand": "NN",
    "shorthanded": "JJ",
    "shorting": "VBG|NN",
    "shortlived": "JJ",
    "shortly": "RB",
    "shortner": "NN",
    "shortness": "NN",
    "shorts": "NNS|VBZ",
    "shortsighted": "JJ",
    "shortsightedness": "NN",
    "shortstop": "NN",
    "shortterm": "JJ",
    "shortwings": "NNS",
    "shot": "NN|VBD|VBN",
    "shot-up": "JJ",
    "shotgun": "NN|JJ",
    "shotguns": "NNS",
    "shots": "NNS",
    "shotshells": "NNS",
    "shouders": "NNS",
    "should": "MD|VBD",
    "should-be": "JJ",
    "should...": ":",
    "shouldda": "MD|VB",
    "shoulder": "NN|VBP|RB",
    "shoulder-high": "JJ",
    "shoulder-to-shoulder": "JJ",
    "shouldered": "VBD|VBN",
    "shouldering": "VBG",
    "shoulders": "NNS",
    "shout": "NN|VB|VBP",
    "shouted": "VBD|VBN",
    "shouting": "VBG|NN",
    "shouts": "VBZ|NNS",
    "shove": "VB|NN|VBD",
    "shoved": "VBD|VBN",
    "shovel": "NN",
    "shoveled": "VBD|VBN",
    "shoveling": "VBG",
    "shovels": "NNS",
    "shoves": "VBZ",
    "shoving": "VBG",
    "show": "NN|VB|VBP",
    "show-biz": "NN",
    "show-down": "NN",
    "show-offy": "JJ",
    "show-piece": "JJ",
    "show-stoppers": "NNS",
    "showcase": "NN|JJ",
    "showcases": "NNS",
    "showcasing": "VBG",
    "showdown": "NN",
    "showed": "VBD|VBN",
    "shower": "VB|NN|VBP",
    "showered": "VBN|VBD",
    "showerhead": "NN",
    "showering": "VBG",
    "showers": "NNS|VBZ",
    "showgirls": "NNS",
    "showgrounds": "NNS",
    "showin": "NN",
    "showing": "VBG|NN",
    "showings": "NNS",
    "showman": "NN",
    "showmanship": "NN",
    "showmen": "NNS",
    "shown": "VBN|VBD",
    "showpiece": "NN",
    "showroom": "NN",
    "showrooms": "NNS",
    "shows": "VBZ|NNS",
    "showy": "JJ",
    "shrank": "VBD",
    "shrapnel": "NN",
    "shred": "NN|VB",
    "shredded": "JJ|VBD",
    "shredder": "NN",
    "shredding": "VBG",
    "shreds": "NNS|VBZ",
    "shrewd": "JJ",
    "shrewder": "JJR",
    "shrewdest": "JJS",
    "shrewdly": "RB",
    "shrewish": "JJ",
    "shriek": "NN|VB",
    "shrieked": "VBD|VBN",
    "shrieking": "NN|VBG",
    "shrieks": "NNS|VBZ",
    "shrift": "NN",
    "shrill": "JJ|VB",
    "shrilled": "VBD|VBN",
    "shrilling": "VBG",
    "shrillness": "NN",
    "shrilly": "RB",
    "shrimp": "NN",
    "shrimpers": "NNS",
    "shrimping": "NN",
    "shrine": "NN|VB",
    "shrines": "NNS|VBZ",
    "shrink": "VB|NN",
    "shrinkage": "NN",
    "shrinking": "VBG|NN",
    "shrinks": "VBZ",
    "shrivel": "VB",
    "shriveled": "VBD|VBN|JJ",
    "shroud": "VBP|VB",
    "shrouded": "VBD|VBN",
    "shrouding": "VBG",
    "shrouds": "VBZ",
    "shrub": "NN",
    "shrub-covered": "JJ",
    "shrubbery": "NN",
    "shrubbery-lined": "JJ",
    "shrubs": "NNS",
    "shrug": "VB|NN|VBP",
    "shrugged": "VBD|VBN",
    "shrugging": "VBG",
    "shrugs": "VBZ|NNS",
    "shrunk": "VBN",
    "shrunken": "JJ|VBN",
    "shtik": "NN",
    "shuck": "VB",
    "shucks": "UH|NNS|VBZ",
    "shudder": "VB|VBP",
    "shuddered": "VBD|VBN",
    "shuddering": "VBG|JJ",
    "shudders": "NNS|VBZ",
    "shuddery": "NN",
    "shuffle": "NN|VB|VBP",
    "shuffled": "VBD|VBN",
    "shuffling": "VBG|NN",
    "shuld": "MD",
    "shulde": "MD",
    "shun": "VB|VBP",
    "shunned": "VBD|VBN",
    "shunning": "VBG",
    "shuns": "VBZ",
    "shunt": "NN",
    "shunts": "NNS",
    "shut": "VB|VBN|VBD|JJ|NN",
    "shut-in": "JJ",
    "shut-off": "JJ",
    "shutdown": "NN",
    "shutdowns": "NNS",
    "shute": "VB",
    "shutoff": "NN",
    "shutout": "NN",
    "shuts": "VBZ|NNS",
    "shutter": "NN|VB",
    "shuttered": "VBD|JJ|VBN",
    "shuttering": "VBG",
    "shutters": "NNS|VBZ",
    "shutting": "VBG",
    "shuttle": "NN|JJ",
    "shuttle-busing": "NN",
    "shuttled": "VBN|VBD",
    "shuttles": "NNS|VBZ",
    "shuttling": "VBG",
    "shvartze": "NN",
    "shy": "VB|JJ|NN|RB|VBP",
    "shying": "VBG",
    "shyly": "RB",
    "sibilant": "JJ|NN",
    "sibling": "NN",
    "siblings": "NNS",
    "sic": "RB|FW|VB",
    "sick": "JJ|VB",
    "sick-building": "JJ",
    "sickened": "VBN|VBD|JJ",
    "sickening": "JJ",
    "sicker": "JJR",
    "sickish": "JJ",
    "sickle": "JJ",
    "sickliest": "JJS",
    "sickly": "JJ",
    "sickly-tolerant": "JJ",
    "sickness": "NN",
    "sickroom": "NN",
    "side": "NN|VBP|JJ|RB",
    "side-arm": "NN",
    "side-by-side": "RB",
    "side-conclusions": "NNS",
    "side-crash": "JJ",
    "side-effects": "NNS",
    "side-looking": "JJ",
    "side-rack": "NN",
    "side-step": "VBP",
    "side-stepped": "VBD|VBN",
    "side-stepping": "JJ",
    "sidearms": "NNS",
    "sideboard": "NN",
    "sideboards": "NNS",
    "sidechairs": "NNS",
    "sided": "VBN|VBD",
    "sidekick": "NN",
    "sidelight": "NN",
    "sideline": "NN",
    "sideline-business": "JJ",
    "sidelined": "VBN|JJ",
    "sidelines": "NNS",
    "sidelining": "VBG",
    "sidelong": "JJ",
    "sideman": "NN",
    "sidemen": "NNS",
    "sides": "NNS",
    "sideshow": "NN",
    "sidestep": "VBP|VB",
    "sidestepped": "VBD|VBN",
    "sidestepping": "VBG",
    "sidesteps": "VBZ",
    "sidestreet": "NN",
    "sidetrack": "VB",
    "sidetracked": "VBD|VBN",
    "sidewalk": "NN",
    "sidewalks": "NNS",
    "sideways": "RB|JJ",
    "sidewinder": "NN",
    "sidewise": "RB|JJ",
    "siding": "NN|VBG",
    "sidings": "NNS",
    "sidle": "VB",
    "sidled": "VBD|VBN",
    "sieben": "FW",
    "siege": "NN",
    "sienna": "JJ",
    "siesta": "NN",
    "sieve": "NN|VB",
    "sift": "VB|VBP",
    "sifted": "VBN|VBD",
    "sifting": "NN|VBG",
    "sigh": "NN|VBP|VB|UH",
    "sighed": "VBD|VBN",
    "sighing": "VBG",
    "sighs": "NNS|VBZ",
    "sight": "NN|VB",
    "sight-seeing": "JJ|NN",
    "sighted": "VBN|VBD",
    "sighting": "NN|VBG",
    "sightings": "NNS",
    "sights": "NNS|VBZ",
    "sightseeing": "NN",
    "sightseers": "NNS",
    "sign": "NN|VBP|VB",
    "sign-carrying": "JJ",
    "sign-language": "NN",
    "sign-off": "NN",
    "signal": "NN|VB|VBP",
    "signal-intensity": "NN",
    "signal-processing": "NN|JJ",
    "signal-to-noise": "JJ|NN",
    "signaled": "VBD|VBN",
    "signaling": "VBG|NN",
    "signalizes": "VBZ",
    "signalled": "VBD|VBN",
    "signalling": "VBG",
    "signals": "NNS|VBZ",
    "signatories": "NNS",
    "signatory": "JJ|NN",
    "signature": "NN",
    "signatures": "NNS",
    "signboard": "NN",
    "signboards": "NNS",
    "signed": "VBD|JJ|VBN",
    "signer": "NN",
    "signers": "NNS",
    "significance": "NN",
    "significant": "JJ",
    "significantly": "RB",
    "signified": "VBD|VBN",
    "signifies": "VBZ",
    "signify": "VB",
    "signifying": "VBG",
    "signing": "VBG|NN",
    "signpost": "NN",
    "signposts": "NNS",
    "signs": "NNS|VBZ",
    "sigue": "FW",
    "silence": "NN|VB",
    "silenced": "VBN|VBD",
    "silences": "NNS|VBZ",
    "silencing": "VBG",
    "silent": "JJ",
    "silently": "RB",
    "silhouette": "NN",
    "silhouetted": "VBN|JJ",
    "silhouettes": "NNS",
    "silica": "NN",
    "silica-glass": "NN",
    "silicate": "NN",
    "silicates": "NNS",
    "silicon": "NN",
    "silicone": "NN",
    "silk": "NN",
    "silk-stocking": "JJ",
    "silke": "NN",
    "silken": "JJ",
    "silkily": "RB",
    "silky": "JJ",
    "sill": "NN",
    "sillier": "JJR",
    "silliest": "JJS",
    "silliness": "NN",
    "silly": "JJ|NN|RB",
    "silo": "NN",
    "silos": "NNS",
    "silted": "VBN",
    "silvas": "FW",
    "silver": "NN|JJ|JJR",
    "silver-bearded": "JJ",
    "silver-blue": "JJ",
    "silver-conspiracy": "NN",
    "silver-gray": "JJ",
    "silver-haired": "JJ",
    "silver-painted": "JJ",
    "silversmith": "NN",
    "silverware": "NN",
    "silvery": "JJ",
    "simian": "JJ",
    "similar": "JJ",
    "similar-sized": "JJ",
    "similar-sounding": "JJ",
    "similarities": "NNS",
    "similarity": "NN",
    "similarly": "RB",
    "simile": "NN",
    "similiar": "JJ",
    "similitude": "NN",
    "simmer": "VB|VBP",
    "simmered": "VBN|VBD",
    "simmering": "VBG",
    "simperers": "NNS",
    "simple": "JJ|NN",
    "simple-minded": "JJ",
    "simple-seeming": "JJ",
    "simpler": "JJR|RBR",
    "simples": "NNS",
    "simplest": "JJS",
    "simpleton": "NN",
    "simpliciter": "FW",
    "simplicities": "NNS",
    "simplicitude": "NN",
    "simplicity": "NN",
    "simplification": "NN",
    "simplified": "VBN|JJ|VBD",
    "simplifies": "VBZ",
    "simplify": "VB|VBP",
    "simplifying": "VBG",
    "simplistic": "JJ",
    "simply": "RB|JJ",
    "simulate": "VBP|VB",
    "simulated": "JJ|VBN|VBD",
    "simulates": "VBZ",
    "simulation": "NN",
    "simulations": "NNS",
    "simulator": "NN",
    "simulators": "NNS",
    "simulcasting": "VBG",
    "simultaneous": "JJ",
    "simultaneously": "RB",
    "sin": "NN|VBP|VB",
    "sin-ned": "VB",
    "since": "IN|RB",
    "sincere": "JJ",
    "sincerely": "RB",
    "sincerest": "JJS",
    "sincerity": "NN",
    "sind": "FW",
    "sine": "FW|NN",
    "sinecure": "NN",
    "sinecures": "NNS",
    "sinews": "NNS",
    "sinewy": "JJ",
    "sinful": "JJ",
    "sinfulness": "NN",
    "sing": "VB|VBP",
    "sing-song": "NN",
    "singed": "VBD|VBN",
    "singer": "NN",
    "singers": "NNS",
    "singing": "NN|VBG|JJ",
    "single": "JJ|VBP|NN|RB",
    "single-A": "JJ|NN|NNP",
    "single-A-1": "JJ|NN",
    "single-A-1-plus": "NNP",
    "single-A-2": "JJ|NN|NNP",
    "single-A-3": "JJ|NN|NNP",
    "single-A-minus": "JJ|NN",
    "single-A-plus": "JJ|NNP",
    "single-A2": "JJ",
    "single-B": "JJ|NN|NNP",
    "single-B-3": "JJ|NNP",
    "single-B-minus": "NN|JJ|NNP",
    "single-B-plus": "JJ",
    "single-D": "JJ",
    "single-adjudicator": "JJ",
    "single-barrel": "JJ",
    "single-cell": "JJ",
    "single-class": "JJ",
    "single-copy": "JJ",
    "single-country": "JJ",
    "single-crystal": "NN",
    "single-day": "JJ",
    "single-digit": "JJ|NN",
    "single-domain": "JJ",
    "single-dose": "JJ",
    "single-employer": "JJ|NN",
    "single-engine": "JJ",
    "single-family": "JJ|NN",
    "single-firm": "JJ",
    "single-foot": "JJ|VB",
    "single-handed": "JJ",
    "single-handedly": "RB|JJ",
    "single-home": "JJ",
    "single-issue": "JJ|NN",
    "single-job": "JJ",
    "single-lane": "JJ",
    "single-level": "JJ",
    "single-lot": "JJ",
    "single-malt": "JJ",
    "single-market": "JJ|NN",
    "single-minded": "JJ",
    "single-most-needed": "JJ",
    "single-owner": "JJ",
    "single-parent": "JJ",
    "single-party": "JJ",
    "single-payment": "JJ",
    "single-premium": "JJ",
    "single-room-occupancy": "JJ",
    "single-season": "JJ",
    "single-sentence": "JJ",
    "single-sex": "JJ",
    "single-shot": "JJ",
    "single-spaced": "JJ",
    "single-sponsor": "JJ",
    "single-step": "JJ",
    "single-store": "JJ",
    "single-valued": "JJ",
    "single-warhead": "NN",
    "singled": "VBN|VBD",
    "singlehandedly": "RB",
    "singleness": "NN",
    "singles": "NNS|VBZ",
    "singling": "VBG",
    "singly": "RB",
    "sings": "VBZ",
    "singsonged": "VBD",
    "singular": "JJ|NN",
    "singularity": "NN",
    "singularly": "RB",
    "sinister": "JJ",
    "sink": "VB|VBP|NN",
    "sinkhole": "NN",
    "sinking": "VBG|NN|JJ",
    "sinking-fund": "NN|JJ",
    "sinks": "VBZ",
    "sinkt": "FW",
    "sinless": "JJ",
    "sinned": "VBN|VBD",
    "sinner": "NN",
    "sinners": "NNS",
    "sinners/Who": "NN",
    "sinning": "NN|VBG",
    "sins": "NNS|VBZ",
    "sinuous": "JJ",
    "sinuously": "RB",
    "sinuousness": "NN",
    "sinus": "NN",
    "sinuses": "NNS",
    "sinusoidal": "JJ",
    "sinusoids": "NNS",
    "sip": "NN|VB",
    "siphon": "VB",
    "siphoned": "VBN|VBD",
    "siphoning": "VBG",
    "siphons": "NNS|VBZ",
    "sipped": "VBD|VBN",
    "sippers": "NNS",
    "sipping": "VBG|NN",
    "sir": "NN|UH",
    "sired": "VBN|VBD",
    "siren": "JJ|NN",
    "sirens": "NNS",
    "sirloin": "NN",
    "sister": "NN|JJ",
    "sister-in-law": "NN",
    "sisters": "NNS",
    "sisters-in-law": "NNS",
    "sit": "VB|FW|VBP",
    "sit-down": "JJ",
    "sit-in": "NN|JJ",
    "sit-ins": "NNS",
    "sitcom": "NN",
    "sitcoms": "NNS",
    "site": "NN|VB",
    "site-development": "NN",
    "sites": "NNS|VBZ",
    "siting": "NN|VBG",
    "sits": "VBZ|NNS",
    "sitter": "NN",
    "sitters": "NNS",
    "sitting": "VBG|JJ|NN",
    "sittings": "NNS",
    "situ": "FW",
    "situated": "VBN|VBD",
    "situation": "NN",
    "situations": "NNS",
    "situs": "NN",
    "six-bottle": "JJ",
    "six-cent": "JJ",
    "six-cent-a-share": "JJ",
    "six-count": "JJ",
    "six-county": "JJ",
    "six-cylinder": "JJ",
    "six-day": "JJ",
    "six-dollar": "JJ",
    "six-figure": "JJ",
    "six-fold": "RB",
    "six-foot": "JJ",
    "six-foot-four": "JJ",
    "six-footer": "NN",
    "six-gallon": "JJ",
    "six-game": "JJ",
    "six-hour": "JJ",
    "six-inch": "JJ",
    "six-inch-square": "JJ",
    "six-lane": "JJ",
    "six-man": "JJ",
    "six-mile": "JJ",
    "six-minute": "JJ",
    "six-month": "JJ",
    "six-months": "NNS",
    "six-packs": "NNS",
    "six-person": "JJ",
    "six-point": "JJ",
    "six-shooter": "NN",
    "six-story": "JJ",
    "six-thirty": "JJ",
    "six-time": "JJ",
    "six-ton": "JJ",
    "six-week": "JJ",
    "six-week-long": "JJ",
    "six-week-old": "JJ",
    "six-year": "JJ",
    "six-year-old": "JJ",
    "sixfold": "RB|JJ",
    "sixteen-year-old": "JJ",
    "sixteenth": "JJ",
    "sixth": "JJ|RB",
    "sixth-biggest": "JJ",
    "sixth-grade": "JJ",
    "sixth-largest": "JJ|JJS",
    "sixth-sense": "NN",
    "sixty-day": "JJ",
    "sixty-five-mile": "JJ",
    "sizable": "JJ",
    "size": "NN|VBP",
    "sizeable": "JJ",
    "sized": "VBD|JJ|VBN",
    "sizenine": "JJ",
    "sizes": "NNS|VBZ",
    "sizing": "NN",
    "sizzle": "NN|VB",
    "sizzled": "VBD|VBN",
    "sizzles": "VBZ",
    "sizzling": "VBG|JJ",
    "skate": "VB|VBD|NN",
    "skateboards": "NNS",
    "skates": "NNS",
    "skating": "VBG",
    "skeet": "NN",
    "skein": "NN",
    "skeletal": "JJ",
    "skeleton": "NN|JJ",
    "skeletons": "NNS",
    "skeptic": "NN",
    "skeptical": "JJ",
    "skeptically": "RB",
    "skepticism": "NN",
    "sketch": "NN|VB",
    "sketchbook": "NN",
    "sketched": "VBN|VBD",
    "sketches": "NNS|VBZ",
    "sketchiest": "JJS",
    "sketching": "VBG|NN",
    "sketchy": "JJ",
    "skew": "VB",
    "skewed": "VBN|VBD|JJ",
    "skewer": "NN|VB",
    "ski": "NN|JJ|VB|VBP",
    "ski-industry": "NN",
    "ski-joring": "NN",
    "skid": "VB|NN|VBD",
    "skid-row": "NN",
    "skidded": "VBD|VBN",
    "skidding": "VBG",
    "skiddy": "JJ",
    "skids": "NNS|VBZ",
    "skier": "NN",
    "skiers": "NNS",
    "skies": "NNS|VBZ",
    "skiff": "NN",
    "skiffs": "NNS",
    "skiing": "NN|VBG",
    "skiis": "NNS",
    "skilful": "JJ",
    "skilfully": "RB",
    "skill": "NN",
    "skill-dilution": "JJ",
    "skilled": "JJ|VBN",
    "skilled-nursing": "JJ",
    "skillet": "NN",
    "skillful": "JJ",
    "skillfully": "RB",
    "skillfulness": "NN",
    "skills": "NNS",
    "skim": "VB|VBP|JJ",
    "skim-milk": "NN",
    "skimmed": "VBD|VBN",
    "skimmers": "NNS",
    "skimming": "VBG|NN",
    "skimp": "VB",
    "skimpy": "JJ",
    "skims": "VBZ",
    "skin": "NN|VB",
    "skin-care": "NN|JJ",
    "skin-perceptiveness": "NN",
    "skindive": "VB",
    "skindiving": "VBG",
    "skinfolds": "NNS",
    "skinhead": "NN",
    "skinheads": "NNS",
    "skinless": "JJ",
    "skinnin": "NN",
    "skinning": "NN|VBG",
    "skinny": "JJ",
    "skins": "NNS|VBZ",
    "skip": "VB|VBP",
    "skip-a-month": "JJ",
    "skipped": "VBD|VBN",
    "skipper": "NN|VB",
    "skippering": "VBG",
    "skippers": "NNS|VBZ",
    "skipping": "VBG",
    "skips": "VBZ",
    "skirmish": "NN",
    "skirmished": "VBD|VBN",
    "skirmishers": "NNS",
    "skirmishes": "NNS",
    "skirmishing": "NN|VBG",
    "skirt": "NN|VB|VBP",
    "skirted": "VBN|VBD",
    "skirting": "VBG|JJ",
    "skirts": "VBZ|NNS",
    "skis": "NNS|VBZ",
    "skit": "NN",
    "skits": "NNS",
    "skittish": "JJ",
    "skittishness": "NN",
    "skivvies": "NNS",
    "skouting": "VBG",
    "skulk": "VB",
    "skull": "NN",
    "skull-bashings": "NNS",
    "skullcap": "NN",
    "skulls": "NNS",
    "skunk": "NN|VB",
    "skunks": "NNS|VBZ",
    "sky": "NN|VB",
    "sky-carving": "JJ",
    "sky-high": "JJ",
    "sky-reaching": "JJ",
    "sky-tapping": "JJ",
    "skyjacked": "VBN",
    "skyjackers": "NNS",
    "skylarking": "VBG",
    "skylight": "NN",
    "skylights": "NNS",
    "skyline": "NN",
    "skyrocket": "VB",
    "skyrocketed": "VBN|VBD|JJ",
    "skyrocketing": "VBG",
    "skyscraper": "NN",
    "skyscrapers": "NNS",
    "skyward": "RB",
    "skywave": "NN",
    "sl": "UH",
    "slab": "NN|JJ",
    "slabs": "NNS",
    "slack": "NN|JJ|VB",
    "slacken": "VB",
    "slackened": "VBN|VBD|JJ",
    "slackening": "VBG",
    "slacking": "VBG",
    "slackjawed": "VBN",
    "slacks": "NNS|VBZ",
    "sladang": "NN",
    "slag": "NN",
    "slain": "VBN",
    "slaked": "VBN|JJ|VBD",
    "slam": "NN|VBP|VB",
    "slam-dunk": "VB|NN",
    "slammed": "VBD|VBN",
    "slammer": "NN",
    "slamming": "VBG|JJ",
    "slams": "VBZ",
    "slander": "NN|VB",
    "slanderer": "NN",
    "slanderous": "JJ",
    "slanders": "NNS|VBZ",
    "slang": "NN|VB",
    "slangy-confidential": "JJ",
    "slant": "NN|VB",
    "slant-wise": "JJ",
    "slanted": "VBN|VBD|JJ",
    "slanting": "VBG|JJ",
    "slants": "VBZ|NNS",
    "slap": "NN|VB",
    "slapped": "VBD|VBN",
    "slapping": "NN|VBG|JJ",
    "slaps": "VBZ|NNS",
    "slapstick": "NN|JJ",
    "slash": "VB|NN|VBP",
    "slash-mouthed": "JJ",
    "slashed": "VBD|VBN",
    "slasher": "NN",
    "slashing": "VBG",
    "slat": "NN",
    "slate": "NN|JJ",
    "slated": "VBN|VBD",
    "slats": "NNS",
    "slatted": "JJ",
    "slaughter": "NN|VBP|VB",
    "slaughtered": "VBN|VBD",
    "slaughterhouse": "NN",
    "slaughtering": "VBG",
    "slaughters": "VBZ",
    "slave": "NN",
    "slave-laborers": "NNS",
    "slave-owners": "NNS",
    "slavered": "VBD|VBN",
    "slavery": "NN",
    "slaves": "NNS",
    "slavish": "JJ",
    "slavishly": "RB",
    "slaw": "NN",
    "slaying": "NN|VBG",
    "slayings": "NNS",
    "sleaze": "NN",
    "sleazebag": "NN",
    "sleazy": "JJ",
    "sledding": "NN|VBG",
    "sleek": "JJ|VB",
    "sleek-headed": "JJ",
    "sleep": "VB|NN|VBP",
    "sleep-deprived": "JJ",
    "sleep-disorder": "JJ",
    "sleep-wakefulness": "NN",
    "sleeper": "NN",
    "sleepily": "RB",
    "sleeping": "VBG|NN",
    "sleepless": "JJ",
    "sleeplessly": "RB",
    "sleeplessness": "NN",
    "sleeps": "VBZ",
    "sleepwalk": "NN|VB",
    "sleepwalked": "VBD|VBN",
    "sleepwalker": "NN",
    "sleepwalkers": "NNS",
    "sleepwalking": "VBG|NN",
    "sleepy": "JJ",
    "sleet": "NN",
    "sleeve": "NN",
    "sleeves": "NNS",
    "sleighs": "NNS",
    "sleight": "NN",
    "slender": "JJ|JJR",
    "slender-waisted": "JJ",
    "slenderer": "JJR",
    "slept": "VBD|VBN",
    "sleuth": "NN|VB",
    "sleuthing": "NN|VBG",
    "slew": "NN|VBD",
    "slice": "NN|VB|VBP",
    "sliced": "VBN|VBD",
    "slices": "NNS|VBZ",
    "slicing": "VBG",
    "slick": "JJ|NN|VB",
    "slick-headed": "JJ",
    "slick-talking": "JJ",
    "slicker": "NN",
    "slickers": "NNS",
    "slickly": "RB",
    "slid": "VBD|NNP|VBN",
    "slide": "NN|VBP|VB",
    "slide-lock": "NN",
    "slide-packs": "NNS",
    "slides": "NNS|VBZ",
    "sliding": "VBG|JJ",
    "sliding-rate": "JJ",
    "slight": "JJ|VBP|NN|VB",
    "slighted": "JJ|VBN|VBD",
    "slighter": "JJR",
    "slightest": "JJS",
    "slighting": "VBG",
    "slightly": "RB",
    "slightly-smoking": "JJ",
    "slights": "NNS|VBZ",
    "slighty": "NN",
    "sligthly": "RB",
    "slim": "JJ|VB",
    "slim-waisted": "JJ",
    "slime": "NN",
    "slimed": "VBN",
    "slimly": "RB",
    "slimmed": "VBN|VBD",
    "slimmed-down": "JJ",
    "slimmer": "JJR|RB",
    "slimmer-than-expected": "JJ",
    "slimming": "VBG",
    "slimy": "JJ",
    "sling": "NN|VB",
    "slingers": "NNS",
    "slinging": "VBG",
    "slings": "NNS|VBZ",
    "slingshot": "NN",
    "slinky": "JJ",
    "slip": "NN|VB|VBP",
    "slippage": "NN",
    "slipped": "VBD|VBN",
    "slipper": "NN",
    "slippers": "NNS",
    "slippery": "JJ",
    "slipping": "VBG",
    "slips": "VBZ|NNS",
    "slipshod": "JJ",
    "slipstream": "NN",
    "slit": "NN|VB|VBD|VBN",
    "slithered": "VBD|VBN",
    "slithering": "VBG",
    "slithers": "VBZ",
    "slits": "NNS|VBZ",
    "slitter": "NN",
    "slitters": "NNS",
    "sliver": "NN|VB",
    "sliver-like": "JJ",
    "slivered": "VBN|VBD",
    "slivers": "NNS|VBZ",
    "slivery": "NN",
    "slo-mo": "JJ",
    "slob": "NN",
    "sloe": "NN",
    "sloe-eyed": "JJ",
    "slog": "VB",
    "slogan": "NN",
    "sloganeering": "VBG",
    "slogans": "NNS",
    "slogging": "VBG",
    "slogs": "VBZ",
    "sloop": "NN",
    "slop": "NN|VB",
    "slop-bucket": "NN",
    "slope": "NN|VB",
    "slopes": "NNS|VBZ",
    "sloping": "VBG|JJ",
    "slopped": "VBD|VBN",
    "sloppily": "RB",
    "sloppiness": "NN",
    "slopping": "VBG",
    "sloppy": "JJ",
    "slosh": "VB",
    "sloshed": "VBD|VBN",
    "sloshing": "VBG",
    "slot": "NN",
    "slothful": "JJ",
    "slots": "NNS",
    "slotted": "VBN",
    "slouch": "NN|VB",
    "slouches": "VBZ",
    "slouchy": "JJ",
    "slough": "VB",
    "slovenliness": "NN",
    "slovenly": "JJ",
    "slow": "JJ|VBP|RB|VB",
    "slow-acting": "JJ",
    "slow-baked": "JJ",
    "slow-bouncing": "JJ",
    "slow-building": "JJ",
    "slow-firing": "JJ",
    "slow-growing": "JJ",
    "slow-growth": "NN",
    "slow-motion": "JJ",
    "slow-moving": "JJ",
    "slow-scrambling": "JJ",
    "slow-selling": "JJ",
    "slow-spending": "JJ",
    "slow-startup": "JJ",
    "slowball": "NN",
    "slowdown": "NN",
    "slowdowns": "NNS",
    "slowed": "VBD|VBN",
    "slower": "JJR|RBR",
    "slower-than-anticipated": "JJ",
    "slower-than-expected": "JJ",
    "slowest": "JJS",
    "slowing": "VBG|NN",
    "slowly": "RB",
    "slowly-mending": "JJ",
    "slowness": "NN",
    "slows": "VBZ|NNS",
    "sludge": "NN",
    "sludge-covered": "JJ",
    "slug": "NN|VB",
    "slug-kebab": "NN",
    "slugfest": "NN|JJS",
    "slugged": "VBD|VBN",
    "slugger": "NN",
    "sluggers": "NNS",
    "slugging": "VBG",
    "sluggish": "JJ",
    "sluggishly": "RB",
    "sluggishness": "NN",
    "slugs": "NNS|VBZ",
    "sluice": "NN|VB",
    "sluiced": "VBD|VBN",
    "sluicehouse": "NN",
    "sluices": "NNS|VBZ",
    "sluicing": "VBG",
    "slum": "NN",
    "slumber": "NN|VB",
    "slumbered": "VBD|VBN",
    "slumbering": "VBG",
    "slumlord": "NN",
    "slump": "NN|VBP|VB",
    "slumped": "VBD|VBN",
    "slumping": "VBG|JJ",
    "slumps": "NNS|VBZ",
    "slums": "NNS",
    "slung": "VBD|VBN",
    "slurped": "VBD",
    "slurries": "NNS",
    "slurry": "NN",
    "slurs": "NNS|VBZ",
    "slush": "NN|VB",
    "sly": "JJ",
    "slyly": "RB",
    "slyness": "NN",
    "smack": "VBP|RB|VB|UH",
    "smacked": "VBD|VBN",
    "smacking": "VBG|JJ",
    "smacks": "VBZ",
    "small": "JJ",
    "small-appearing": "JJ",
    "small-arms": "JJ|NNS",
    "small-boat": "NN",
    "small-business": "NN|JJ",
    "small-cap": "JJ",
    "small-capitalization": "JJ",
    "small-car": "NN",
    "small-city": "NN",
    "small-company": "NN|JJ",
    "small-company-stock": "NN",
    "small-denomination": "NN|JJ",
    "small-diameter": "JJ",
    "small-employer": "NN",
    "small-equipment": "NN",
    "small-fry": "JJ",
    "small-game": "JJ|NN",
    "small-incision": "NN",
    "small-investor": "NN",
    "small-lot": "JJ",
    "small-office": "JJ",
    "small-scale": "JJ",
    "small-screen": "JJ",
    "small-stock": "NN|JJ",
    "small-time": "JJ",
    "small-to-medium-sized": "JJ",
    "small-town": "JJ",
    "small...": ":",
    "smaller": "JJR|RBR",
    "smaller-capital": "JJ",
    "smaller-size": "JJ",
    "smaller-than-average": "JJ",
    "smaller-than-expected": "JJ",
    "smallest": "JJS",
    "smallish": "JJ",
    "smallness": "NN",
    "smallpox": "NN",
    "smalltime": "JJ",
    "smarmy": "JJ",
    "smart": "JJ|NN|RB|VB",
    "smarted": "VBD|VBN",
    "smarter": "RBR|JJR",
    "smartest": "JJS",
    "smarting": "VBG",
    "smartly": "RB",
    "smarts": "VBZ",
    "smash": "NN|VB|VBP",
    "smashed": "VBD|JJ|VBN",
    "smashed-out": "JJ",
    "smasher": "NN",
    "smashing": "NN|JJ|VBG",
    "smattering": "NN|VBG",
    "smatterings": "NNS",
    "smear": "NN|VB",
    "smeared": "VBN|JJ|VBD",
    "smell": "NN|VB|VBP",
    "smelled": "VBD|VBN",
    "smelling": "VBG",
    "smells": "VBZ|NNS",
    "smelly": "JJ",
    "smelt": "VBN|VBD",
    "smelter": "NN",
    "smelters": "NNS",
    "smelts": "NNS",
    "smidgen": "NN",
    "smidgins": "NNS",
    "smile": "NN|VB|VBP",
    "smiled": "VBD|VBN",
    "smiling": "VBG|JJ|NN",
    "smilingly": "RB",
    "smirk": "NN|VB",
    "smirked": "VBD|VBN",
    "smithereens": "NNS",
    "smithy": "NN",
    "smitten": "VBN",
    "smock": "NN",
    "smocks": "NNS",
    "smog": "NN",
    "smog-ridden": "JJ",
    "smoggiest": "JJS",
    "smoggy": "JJ|NN",
    "smokable": "JJ",
    "smoke": "NN|VB|VBP",
    "smoke-choked": "JJ",
    "smoke-filled": "JJ",
    "smoke-stained": "JJ",
    "smoked": "VBD|JJ|VBN",
    "smoked-ham": "NN",
    "smokehouse": "NN",
    "smokeless": "JJ",
    "smoker": "NN",
    "smokers": "NNS",
    "smokes": "VBZ",
    "smokescreen": "NN",
    "smokescreens": "NNS",
    "smokestack": "NN",
    "smoking": "NN|VBG",
    "smoking-cessation": "NN",
    "smoking-related": "JJ",
    "smoky": "JJ",
    "smolder": "VBP|VB",
    "smoldered": "VBD|VBN",
    "smoldering": "VBG",
    "smolderingly": "RB",
    "smolders": "VBZ",
    "smooching": "VBG",
    "smooth": "JJ|VB",
    "smooth-speaking": "JJ",
    "smoothbore": "NN",
    "smoothed": "VBN|VBD",
    "smoothed-muscled": "JJ",
    "smoother": "JJR|JJ|RB",
    "smoothest": "JJS",
    "smoothing": "VBG",
    "smoothly": "RB",
    "smoothness": "NN",
    "smorgasbord": "NN",
    "smother": "VB",
    "smothered": "VBN|VBD|JJ",
    "smothering": "VBG",
    "smudge": "NN|VB",
    "smudged": "JJ|VBD|VBN",
    "smug": "JJ",
    "smuggle": "VB",
    "smuggled": "VBN|VBD",
    "smuggler": "NN",
    "smugglers": "NNS",
    "smuggling": "NN|VBG",
    "snack": "NN|VB",
    "snack-food": "NN",
    "snacked": "VBD|VBN",
    "snacks": "NNS|VBZ",
    "snafu": "NN",
    "snafus": "NNS",
    "snag": "NN|VB",
    "snagged": "VBN|VBD",
    "snagging": "VBG",
    "snags": "NNS|VBZ",
    "snail": "NN",
    "snail-like": "JJ",
    "snails": "NNS",
    "snake": "NN",
    "snake-charmer": "NN",
    "snake-like": "JJ",
    "snake-oil": "JJ|NN",
    "snake-rail": "JJ",
    "snaked": "VBD",
    "snakes": "NNS|VBZ",
    "snakestrike": "NN",
    "snaking": "VBG",
    "snap": "VBP|VB|JJ|NN|UH",
    "snap-in": "JJ",
    "snap-on": "JJ",
    "snapback": "NN",
    "snapdragons": "NNS",
    "snapped": "VBD|VBN|JJ",
    "snapper": "NN",
    "snapping": "VBG|NN",
    "snappy": "JJ",
    "snaps": "VBZ",
    "snapshot": "NN",
    "snapshots": "NNS",
    "snare": "VB|NN",
    "snared": "VBN|VBD",
    "snaring": "VBG",
    "snarl": "NN|VB",
    "snarled": "VBD|VBN",
    "snarling": "VBG",
    "snarls": "NNS|VBZ",
    "snatch": "VB|VBP",
    "snatched": "VBD|VBN",
    "snatches": "NNS|VBZ",
    "snatching": "VBG",
    "snazzier": "JJR",
    "snazzy": "JJ",
    "sneak": "VBP|VB|NN",
    "sneaked": "VBD|VBN",
    "sneaker": "NN",
    "sneakers": "NNS",
    "sneaking": "VBG",
    "sneaks": "VBZ",
    "sneaky": "JJ",
    "sneer": "NN",
    "sneered": "VBD",
    "sneering": "VBG",
    "sneers": "VBZ|NNS",
    "sneezed": "VBD|VBN",
    "sneezing": "VBG",
    "snick": "NN|VB",
    "snickered": "VBD",
    "snickers": "NNS",
    "snidely": "RB",
    "sniff": "VB",
    "sniffed": "VBD|VBN",
    "sniffers": "NNS",
    "sniffing": "VBG",
    "sniffs": "VBZ",
    "sniffy": "JJ",
    "sniggered": "VBD",
    "sniggeringly": "RB",
    "snipe": "VB",
    "sniped": "VBD|NN|VBN",
    "sniper": "NN",
    "snipes": "VBZ",
    "sniping": "NN|VBG",
    "snippets": "NNS",
    "snippy": "JJ",
    "snips": "NNS|VBZ",
    "snitched": "VBN|VBD",
    "sniveling": "VBG",
    "snivelings": "NNS",
    "snob": "NN",
    "snob-clannish": "JJ",
    "snobbery": "NN",
    "snobbish": "JJ",
    "snobbishly": "RB",
    "snobs": "NNS",
    "snooker": "NN",
    "snoop": "VB",
    "snooping": "VBG",
    "snooty": "JJ",
    "snoozing": "VBG|NN",
    "snoring": "VBG|NN",
    "snorkle": "NN",
    "snort": "VB|NN",
    "snorted": "VBD|VBN",
    "snorting": "NN|VBG",
    "snorts": "VBZ",
    "snotty": "JJ",
    "snout": "NN",
    "snouts": "NNS",
    "snow": "NN|VB",
    "snow-covered": "JJ",
    "snow-fence": "NN",
    "snow-white": "JJ",
    "snowball": "NN|VB",
    "snowballed": "VBD|VBN",
    "snowballs": "NNS|VBZ",
    "snowbirds": "NNS",
    "snowdrift": "NN",
    "snowed": "VBD|VBN",
    "snowfall": "NN",
    "snowflakes": "NNS",
    "snowing": "VBG",
    "snowman": "NN",
    "snowplow": "NN",
    "snows": "NNS|VBZ",
    "snowstorm": "NN",
    "snowsuit": "NN",
    "snowy": "JJ",
    "snub": "VB",
    "snubbed": "VBD|VBN",
    "snubbing": "VBG|NN",
    "snuck": "VBD|VBN",
    "snuff": "VB|NN|JJ",
    "snuffboxes": "NNS",
    "snuffed": "VBN|VBD",
    "snuffer": "NN",
    "snug": "JJ",
    "snug-fitting": "JJ",
    "snuggled": "VBD|VBN",
    "snugly": "RB",
    "so": "RB|CC|FW|IN",
    "so-called": "JJ|NNP",
    "so-far": "JJ",
    "so-so": "JJ|NN",
    "soak": "VB",
    "soak-the-rich": "JJ",
    "soaked": "VBN|JJ|VBD",
    "soaking": "VBG|JJ|NN|RB",
    "soap": "NN|VB",
    "soapbox": "NN",
    "soaps": "NNS|VBZ",
    "soapsuds": "NNS",
    "soapy": "JJ",
    "soar": "VB|VBP",
    "soared": "VBD|VBN",
    "soaring": "VBG|JJ",
    "soars": "NNS|VBZ",
    "sob": "VB",
    "sob-wallow": "NN",
    "sobbed": "VBD|VBN",
    "sobbing": "VBG",
    "sobbingly": "RB",
    "sober": "JJ",
    "sober-faced": "JJ",
    "sobered": "VBD|VBN",
    "sobering": "JJ|VBG",
    "soberly": "RB",
    "sobriety": "NN",
    "sobriquet": "NN",
    "sobs": "NNS|VBZ",
    "socal": "JJ",
    "socalled": "JJ|VBN",
    "soccer": "NN",
    "sociability": "NN",
    "sociable": "JJ",
    "social": "JJ|NN",
    "social-action": "NN",
    "social-affairs": "NNS",
    "social-class": "JJ",
    "social-climbing": "JJ",
    "social-economic": "JJ",
    "social-issue": "JJ",
    "social-political-economical": "JJ",
    "social-register": "JJ",
    "social-role": "NN",
    "social-security": "NN",
    "social-services": "JJ",
    "social-studies": "NN",
    "social-welfare": "JJ",
    "socialism": "NN",
    "socialist": "JJ|NN",
    "socialistic": "JJ",
    "socialists": "NNS",
    "socialite": "NN",
    "socialites": "NNS",
    "sociality": "NN",
    "socialization": "NN",
    "socialize": "VB",
    "socialized": "VBN|VBD|JJ",
    "socializes": "VBZ",
    "socializing": "VBG",
    "socially": "RB",
    "socially-oriented": "JJ",
    "societal": "JJ",
    "societies": "NNS",
    "society": "NN",
    "society-measured": "VBN",
    "societyonly": "RB",
    "socio-archaeological": "JJ",
    "socio-economic": "JJ|NN",
    "socio-political": "JJ",
    "socio-structural": "JJ",
    "socioeconomic": "JJ",
    "socioeconomically": "RB",
    "sociological": "JJ",
    "sociologically": "RB",
    "sociologist": "NN",
    "sociologists": "NNS",
    "sociology": "NN",
    "sociopath": "NN",
    "sock": "NN|VB",
    "sockdologizing": "VBG",
    "socked": "VBD|VBN",
    "socket": "NN",
    "sockets": "NNS",
    "socking": "VBG",
    "socks": "NNS|VBZ",
    "sod": "NN",
    "soda": "NN",
    "sodas": "NNS",
    "sodden": "JJ",
    "soddenly": "RB",
    "soddies": "NNS",
    "sodium": "NN",
    "sodomy": "NN",
    "sods": "NNS",
    "soe": "NN",
    "sofa": "NN",
    "sofar": "RB",
    "sofas": "NNS",
    "soft": "JJ|NNS|RB",
    "soft-cookie": "NN",
    "soft-currency": "JJ",
    "soft-drink": "NN|JJ",
    "soft-drinks": "NNS",
    "soft-headed": "JJ",
    "soft-hearted": "JJ",
    "soft-heartedness": "NN",
    "soft-landing": "JJ",
    "soft-looking": "JJ",
    "soft-rock": "JJ",
    "soft-shell": "JJ",
    "soft-shoe": "JJ",
    "soft-spoken": "JJ",
    "softball": "NN",
    "softdrink": "NN",
    "soften": "VB",
    "softened": "JJ|VBD|VBN",
    "softener": "NN",
    "softening": "VBG|JJ|NN",
    "softens": "VBZ",
    "softer": "JJR|RB",
    "softest": "JJS",
    "softies": "NNS",
    "softly": "RB",
    "softness": "NN",
    "software": "NN",
    "software-development": "NN|JJ",
    "software-industry": "JJ",
    "software-installation": "NN",
    "softwood": "JJ",
    "softy": "NN",
    "soggier": "NN",
    "soggy": "JJ",
    "sogo-shosha": "NN",
    "soil": "NN|VB",
    "soil-bearing": "JJ",
    "soil-nutrients": "NNS",
    "soil-removal": "JJ",
    "soiled": "VBD|VBN|JJ",
    "soils": "NNS|VBZ",
    "soirees": "NNS",
    "sojourn": "NN",
    "sojourner": "NN",
    "sojourners": "NNS",
    "solace": "NN|VBP|VB",
    "solaced": "VBN|VBD",
    "solar": "JJ",
    "solar-cell": "JJ",
    "solar-corpuscular-radiation": "NN",
    "solar-electromagnetic": "NN",
    "solar-power": "JJ",
    "solar-radiation": "NN",
    "solar-wind": "NN",
    "solarheated": "JJ",
    "sold": "VBN|VBD",
    "sold-out": "JJ",
    "solder": "JJ|VB",
    "soldered": "VBN|VBD",
    "soldering": "JJ|VBG",
    "soldier": "NN",
    "soldier-masters": "NNS",
    "soldiering": "NN",
    "soldierly": "RB",
    "soldiers": "NNS",
    "soldiery": "NN",
    "soldout": "NN",
    "sole": "JJ|NN|VB",
    "solecism": "NN",
    "solemn": "JJ",
    "solemnity": "NN",
    "solemnly": "RB",
    "solenoid": "NN",
    "soles": "NNS|VBZ",
    "solicit": "VB|VBP",
    "solicitation": "NN",
    "solicitations": "NNS",
    "solicited": "VBN|VBD|JJ",
    "soliciting": "VBG",
    "solicitor": "NN",
    "solicitors": "NNS",
    "solicitous": "JJ",
    "solicitousness": "NN",
    "solicits": "VBZ",
    "solicitude": "NN",
    "solid": "JJ|NN|RB",
    "solid-fueled": "JJ",
    "solid-gold": "JJ",
    "solid-muscle": "JJ",
    "solid-state": "JJ",
    "solid-waste": "NN|JJ",
    "solidarity": "NN",
    "solidified": "VBD|VBN",
    "solidifies": "VBZ",
    "solidify": "VBP|VB",
    "solidifying": "VBG",
    "solidity": "NN",
    "solidly": "RB",
    "solids": "NNS",
    "solipsism": "NN",
    "solitary": "JJ|NN",
    "soliticitations": "NNS",
    "solitude": "NN",
    "solitudes": "NNS",
    "solo": "NN|JJ|RB|VB",
    "soloist": "NN",
    "soloists": "NNS",
    "solos": "NNS|VBZ",
    "solstice": "NN",
    "soluble": "JJ",
    "solution": "NN",
    "solution-type": "JJ",
    "solvable": "JJ",
    "solvating": "VBG",
    "solve": "VB|VBP",
    "solved": "VBN|VBD",
    "solvency": "NN",
    "solvent": "JJ|NN",
    "solvents": "NNS",
    "solves": "VBZ",
    "solving": "VBG",
    "soma": "NN",
    "somatic": "JJ",
    "somatostatin": "NN",
    "somber": "JJ",
    "somberly": "RB",
    "sombre": "JJ",
    "some": "DT|NN|RB",
    "some...": ":",
    "somebody": "NN",
    "someday": "RB",
    "somehow": "RB|WRB",
    "someone": "NN",
    "someplace": "RB|NN",
    "somersault": "NN",
    "somersaulting": "JJ|NN",
    "somersaults": "NNS",
    "somethin": "NN",
    "something": "NN",
    "something...": ":",
    "sometime": "RB|JJ",
    "sometimes": "RB",
    "sometimes-aggressive": "JJ",
    "sometimes-exhausting": "JJ",
    "sometimes-necessary": "JJ",
    "sometimes-tawdry": "JJ",
    "somewhat": "RB",
    "somewhat-ambiguous": "JJ",
    "somewhere": "RB|NN",
    "somewheres": "RB",
    "sommelier": "FW",
    "somnambulates": "VBZ",
    "somnambulism": "NN",
    "somnolence": "NN",
    "somnolent": "JJ",
    "sompin": "NN",
    "son": "NN",
    "son-in-law": "NN",
    "son-of-a-bitch": "NN",
    "son-of-exchange": "JJ",
    "sonar": "NN",
    "sonata": "NN",
    "sonatas": "NNS",
    "song": "NN",
    "song-writing": "NN",
    "songbirds": "NNS",
    "songbook": "NN",
    "songful": "JJ",
    "songs": "NNS",
    "songwriters": "NNS",
    "sonic": "JJ",
    "sonnet": "NN",
    "sonnets": "NNS",
    "sonny": "NN",
    "sonny-boy": "NN",
    "sonobuoy": "NN",
    "sonofabitch": "NN",
    "sonogram": "NN",
    "sonorities": "NNS",
    "sonority": "NN",
    "sonorous": "JJ",
    "sons": "NNS",
    "sons-in-law": "NNS",
    "soon": "RB",
    "soon-to-be": "JJ",
    "soon-to-be-sold": "JJ",
    "soon-to-expire": "JJ",
    "sooner": "RBR",
    "soonest": "JJS",
    "sooo": "RB",
    "soot": "NN",
    "soot-stained": "JJ",
    "soothe": "VB",
    "soothed": "VBD|VBN",
    "soothing": "JJ|VBG",
    "soothingly": "RB",
    "soothsayers": "NNS",
    "sooty": "JJ",
    "sop": "NN|VB",
    "sophisticate": "NN|VB",
    "sophisticated": "JJ|VBD|VBN",
    "sophisticates": "NNS|VBZ",
    "sophistication": "NN",
    "sophists": "NNS",
    "sophomore": "NN",
    "sophomores": "NNS",
    "sophomoric": "JJ",
    "soporific": "JJ",
    "sopping": "JJ|VBG",
    "soprano": "NN|JJ",
    "sopranos": "NNS",
    "sops": "NNS|VBZ",
    "sorbed": "VBN",
    "sorcery": "NN",
    "sordid": "JJ",
    "sore": "JJ|NN",
    "sore-ridden": "JJ",
    "soreheads": "NNS",
    "sorely": "RB",
    "sorely-needed": "JJ",
    "soreness": "NN",
    "sores": "NNS",
    "sorest": "JJS",
    "sorghum": "NN",
    "sororities": "NNS",
    "sorority": "NN",
    "sorption": "NN",
    "sorption-desorption": "NN",
    "sorrel": "JJ|NN",
    "sorrier": "JJR",
    "sorriest": "JJS",
    "sorrow": "NN|VB",
    "sorrowful": "JJ",
    "sorrows": "NNS|VBZ",
    "sorry": "JJ|RB|UH",
    "sort": "NN|RB|VB|VBP",
    "sorted": "VBN|VBD",
    "sortie": "NN",
    "sorting": "VBG|NN",
    "sorting-out": "NN",
    "sorts": "NNS|VBZ",
    "sou": "FW",
    "soubriquet": "FW",
    "souffle": "NN",
    "sought": "VBN|VBD|JJ",
    "souk": "NN",
    "soul": "NN",
    "soul-searching": "NN",
    "souled": "JJ",
    "soulful": "JJ",
    "soulfully": "RB",
    "soulless": "JJ",
    "soulmates": "NNS",
    "souls": "NNS",
    "sound": "NN|JJ|RB|VB|VBP|VBZ",
    "sound-alike": "JJ",
    "sound-truck": "JJ",
    "sounded": "VBD|VBN",
    "sounder": "JJR",
    "sounding": "VBG|JJ|NN",
    "soundings": "NNS",
    "soundly": "RB",
    "soundness": "NN",
    "soundproof": "JJ",
    "sounds": "VBZ|NNS",
    "soundtrack": "NN",
    "soup": "NN|VB",
    "soup-to-nuts": "JJ",
    "souped-up": "JJ",
    "soups": "NNS|VBZ",
    "soupy": "JJ",
    "sour": "JJ|VBP|NN|RB|VB",
    "source": "NN",
    "sources": "NNS",
    "sourcing": "VBG|NN",
    "sourdough": "JJ|NN",
    "soured": "JJ|VBD|VBN",
    "souring": "NN|VBG",
    "sourly": "RB",
    "sours": "VBZ",
    "soutane": "NN",
    "south": "RB|JJ|NN",
    "south-central": "JJ",
    "south-eastern": "JJ",
    "south-of-the-border": "JJ",
    "southbound": "JJ",
    "southeast": "NN|RB|JJ",
    "southeastern": "JJ",
    "southerly": "JJ",
    "southern": "JJ",
    "southern-central": "JJ",
    "southernisms": "NNS",
    "southernmost": "JJ",
    "southpaw": "NN",
    "southward": "RB|JJ",
    "southwest": "NN|RB|JJ|JJS",
    "southwestern": "JJ",
    "souvenir": "NN",
    "souvenirs": "NNS",
    "sovereign": "JJ|NN",
    "sovereigns": "NNS",
    "sovereignty": "NN",
    "soviet": "JJ",
    "soviets": "NNS",
    "sow": "VBP|NN|VB",
    "sowbelly": "NN",
    "sowed": "VBD|VBN",
    "sowered": "VBD",
    "sowing": "NN|VBG",
    "sown": "VBN",
    "sows": "VBZ|NNS",
    "soy": "NN",
    "soyaburgers": "NNS",
    "soybean": "NN",
    "soybean-meal": "NN",
    "soybeans": "NNS",
    "sp": "NN",
    "spa": "NN",
    "space": "NN|VB",
    "space-age": "JJ",
    "space-based": "JJ",
    "space-buying": "NN",
    "space-defense": "JJ",
    "space-rocket": "NN",
    "space-science": "NN",
    "space-shuttle": "NN",
    "space-station": "NN|JJ",
    "space-systems": "NNS",
    "space-time": "JJ",
    "space-weapons": "NNS",
    "spaceborn": "JJ",
    "spacecraft": "NN",
    "spaced": "VBN|JJ|VBD",
    "spacer": "NN",
    "spacers": "NNS",
    "spaces": "NNS|VBZ",
    "spaceship": "NN",
    "spaceships": "NNS",
    "spacesuit": "NN",
    "spacesuits": "NNS",
    "spacing": "NN|JJ|VBG",
    "spacings": "NNS",
    "spacious": "JJ",
    "spaciousness": "NN",
    "spackle": "VB",
    "spade": "NN|JJ|VBP",
    "spades": "NNS",
    "spaghetti": "NNS",
    "span": "NN|VB|VBP|VBD",
    "spandex": "NN",
    "spandrels": "NNS",
    "spangle": "NN",
    "spaniel": "NN",
    "spaniel-like": "JJ",
    "spanking": "JJ|NN|VBG",
    "spanned": "VBN|VBD",
    "spanner": "NN",
    "spanning": "VBG",
    "spans": "NNS|VBZ",
    "spare": "JJ|VB|VBP",
    "spare-parts": "JJ|NNS",
    "spared": "VBN|VBD",
    "spares": "NNS|VBZ",
    "sparing": "VBG|JJ",
    "sparingly": "RB",
    "spark": "VB|NN|VBP",
    "sparked": "VBN|VBD",
    "sparking": "VBG",
    "sparkle": "NN|VB",
    "sparkled": "VBD|VBN",
    "sparkles": "VBZ",
    "sparkling": "JJ|RB|VBG",
    "sparkplugs": "NNS",
    "sparks": "VBZ|NNS",
    "sparred": "VBD",
    "sparring": "VBG|NN",
    "sparrow": "NN",
    "sparrows": "NNS",
    "sparse": "JJ",
    "sparsely": "RB",
    "spas": "NNS",
    "spasm": "NN",
    "spasms": "NNS",
    "spat": "VBD|NN|VB|VBN",
    "spate": "NN",
    "spatial": "JJ",
    "spatially": "RB",
    "spats": "NNS",
    "spatter": "NN|VB",
    "spattered": "VBN|VBD|JJ",
    "spatula": "NN",
    "spavined": "JJ",
    "spawn": "VB|VBP",
    "spawned": "VBN|VBD",
    "spawning": "VBG",
    "spawns": "VBZ",
    "speak": "VB|VBP",
    "speak-easy": "NN",
    "speaker": "NN",
    "speakers": "NNS",
    "speakin": "VBG",
    "speaking": "VBG|NN",
    "speaks": "VBZ",
    "spear": "NN|VB",
    "spear-throwing": "JJ",
    "speared": "VBD|VBN",
    "spearhead": "NN|VB",
    "spearheaded": "VBN|VBD",
    "spearheading": "VBG",
    "special": "JJ|NN",
    "special-edition": "JJ",
    "special-interest": "JJ|NN",
    "special-projects": "JJ",
    "special-purpose": "JJ",
    "special-service": "JJ",
    "special-technology": "NN",
    "specialist": "NN|JJ",
    "specialist-credit": "JJ",
    "specialist-firm": "JJ",
    "specialists": "NNS",
    "speciality": "NN",
    "specialization": "NN",
    "specialize": "VB|VBP",
    "specialized": "VBN|JJ|VBD",
    "specialized-engineering": "JJ",
    "specializes": "VBZ",
    "specializing": "VBG",
    "specially": "RB",
    "specially-designated": "JJ",
    "specially-designed": "JJ",
    "specially-trained": "JJ",
    "specials": "NNS",
    "specialties": "NNS",
    "specialty": "NN|JJ",
    "specialty-cheese": "JJ",
    "specialty-chemical": "NN",
    "specialty-chemicals": "NNS",
    "specialty-machinery": "NN",
    "specialty-material": "JJ",
    "specialty-metals": "NNS",
    "specialty-printing": "JJ",
    "specialty-retail": "JJ",
    "specialty-store": "NN",
    "specie": "FW|NN",
    "species": "NNS|NN",
    "species-dependent": "JJ",
    "specific": "JJ|NN",
    "specifically": "RB",
    "specification": "NN",
    "specifications": "NNS",
    "specificity": "NN",
    "specifics": "NNS",
    "specified": "VBN|JJ|VBD",
    "specifies": "VBZ",
    "specify": "VB|VBP",
    "specifying": "VBG",
    "specimen": "NN",
    "specimens": "NNS",
    "specimentalia": "NN",
    "specious": "JJ",
    "speck": "NN",
    "speckled": "JJ|VBD|VBN",
    "speckles": "NNS|VBZ",
    "specks": "NNS",
    "specs": "NNS",
    "spectacle": "NN",
    "spectacles": "NNS",
    "spectacular": "JJ",
    "spectacularly": "RB",
    "spectator": "NN",
    "spectator-type": "JJ",
    "spectators": "NNS",
    "specter": "NN",
    "specters": "NNS",
    "spectra": "NNS",
    "spectral": "JJ",
    "spectrally": "RB",
    "spectre": "NN",
    "spectrometer": "NN",
    "spectrometric": "JJ",
    "spectrophotometer": "NN",
    "spectrophotometric": "JJ",
    "spectroscopy": "NN",
    "spectrum": "NN",
    "speculate": "VB|VBP",
    "speculated": "VBD|VBN",
    "speculates": "VBZ",
    "speculating": "VBG",
    "speculation": "NN",
    "speculations": "NNS",
    "speculative": "JJ",
    "speculative-grade": "JJ",
    "speculatively": "RB",
    "speculator": "NN",
    "speculators": "NNS",
    "sped": "VBN|VBD",
    "speech": "NN",
    "speech-making": "NN",
    "speeches": "NNS",
    "speechless": "JJ",
    "speechlessness": "NN",
    "speechwriters": "NNS",
    "speechwriting": "NN",
    "speed": "NN|VB",
    "speed-up": "JJ",
    "speedboat": "NN",
    "speeded": "VBD|VBN",
    "speeded-up": "JJ",
    "speedier": "JJR",
    "speedily": "RB",
    "speeding": "VBG|JJ|NN",
    "speedometer": "NN",
    "speeds": "NNS|VBZ",
    "speedup": "NN",
    "speedway": "NN",
    "speedy": "JJ",
    "spell": "VB|NN|VBP",
    "spell-binding": "JJ",
    "spellbound": "VBN",
    "spelled": "VBN|VBD",
    "spellers": "NNS",
    "spelling": "VBG|NN",
    "spelling-only": "JJ",
    "spells": "NNS|VBZ",
    "spend": "VB|VBP",
    "spend-now": "JJ",
    "spender": "NN",
    "spenders": "NNS",
    "spending": "NN|VBG|JJ",
    "spends": "VBZ",
    "spendthrifts": "NNS",
    "spent": "VBD|JJ|VBN",
    "sperm": "NN",
    "spew": "VBP|VB",
    "spewed": "VBD|VBN",
    "spewing": "VBG",
    "spewings": "NNS",
    "sphere": "NN",
    "spheres": "NNS",
    "spherical": "JJ",
    "spherules": "NNS",
    "sphynxes": "NNS",
    "spic": "NN",
    "spice": "NN|VBP|VB",
    "spice-laden": "JJ",
    "spiced": "JJ|VBD|VBN",
    "spices": "NNS|VBZ",
    "spicing": "VBG",
    "spicy": "JJ",
    "spider": "NN",
    "spider-leg": "JJ",
    "spiders": "NNS",
    "spidery": "JJ",
    "spied": "VBD|VBN",
    "spiel": "NN|VB",
    "spies": "NNS|VBZ",
    "spiffing": "JJ",
    "spiffy": "JJ",
    "spigots": "NNS",
    "spike": "NN|VB",
    "spike-haired": "JJ",
    "spiked": "JJ|VBN|VBD",
    "spikes": "NNS|VBZ",
    "spill": "NN|VB|VBP",
    "spill-cleanup": "NN",
    "spill-related": "JJ",
    "spilled": "VBD|VBN",
    "spilling": "NN|VBG",
    "spillover": "NN",
    "spills": "VBZ|NNS",
    "spin": "VB|NN",
    "spin-off": "NN|JJ",
    "spinach": "NN",
    "spinal": "JJ|NN",
    "spindle": "NN",
    "spindled": "VBD",
    "spine": "NN",
    "spine-chilling": "JJ",
    "spineless": "JJ",
    "spinnability": "NN",
    "spinneret": "NN",
    "spinning": "JJ|VBG",
    "spinoff": "NN|JJ",
    "spinoffs": "NNS",
    "spins": "VBZ",
    "spinster": "NN",
    "spiral": "NN|VB",
    "spiraled": "VBD",
    "spiraling": "VBG|JJ",
    "spiralis": "NNS",
    "spiralled": "VBD|VBN",
    "spirals": "NNS|VBZ",
    "spire": "NN",
    "spires": "NNS",
    "spirit": "NN|VB",
    "spirit-gum": "NN",
    "spirited": "JJ|VBN",
    "spiritless": "JJ",
    "spirits": "NNS|VBZ",
    "spiritual": "JJ|NN",
    "spirituality": "NN",
    "spiritually": "RB",
    "spirituals": "NNS",
    "spit": "VB|NN|VBD",
    "spite": "NN|VB",
    "spitfire": "NN",
    "spits": "VBZ",
    "spitting": "NN|VBG",
    "spittle": "NN",
    "splash": "NN|VB",
    "splashed": "VBD|VBN",
    "splashes": "VBZ|NNS",
    "splashing": "VBG",
    "splashy": "JJ",
    "splattered": "VBN|VBD",
    "splayed": "VBD|VBN",
    "spleen": "NN",
    "spleen-crushing": "JJ",
    "splendid": "JJ",
    "splendidly": "RB",
    "splendor": "NN",
    "splenetic": "JJ",
    "splice": "NN|VB",
    "spliced": "VBN|VBD",
    "splices": "VBZ",
    "splicing": "VBG",
    "splinter": "NN|VBP|JJ|VB",
    "splintered": "JJ|VBD|VBN",
    "splinters": "NNS|VBZ",
    "splintery": "NN",
    "splints": "NNS",
    "split": "NN|VBN|JJ|VBD|VBP|VB",
    "split-bamboo": "JJ",
    "split-finger": "NN",
    "split-fingered": "JJ",
    "split-level": "JJ",
    "split-up": "NN",
    "splits": "VBZ|NNS",
    "splitting": "NN|VBG|JJ",
    "splotch": "NN",
    "splotched": "JJ",
    "splotches": "NNS",
    "splurge": "NN|VB",
    "spoil": "VB|VBP",
    "spoilables": "NNS",
    "spoilage": "NN",
    "spoiled": "VBD|VBN|JJ",
    "spoiler": "NN",
    "spoiling": "VBG",
    "spoils": "NNS|VBZ",
    "spoke": "VBD|NN",
    "spokeman": "NN",
    "spoken": "VBN|JJ",
    "spokes": "NNS",
    "spokesman": "NN",
    "spokesmen": "NNS",
    "spokesperson": "NN",
    "spokespersons": "NNS",
    "spokeswoman": "NN",
    "spokewoman": "NN",
    "sponge": "NN|VBP|VB",
    "sponged": "VBD|VBN",
    "sponges": "NNS|VBZ",
    "sponging": "NN|VBG",
    "spongy": "JJ",
    "sponsor": "NN|VBP|VB",
    "sponsored": "VBN|VBD",
    "sponsoring": "VBG",
    "sponsors": "NNS|VBZ",
    "sponsorship": "NN",
    "sponsorships": "NNS",
    "spontaneity": "NN",
    "spontaneous": "JJ",
    "spontaneously": "RB",
    "spoof": "NN|VB",
    "spook": "VBP",
    "spooked": "VBN|VBD",
    "spookiest": "JJS",
    "spooks": "NNS",
    "spooky": "JJ",
    "spoon": "NN|VB",
    "spoon-fed": "JJ|VBD|VBN",
    "spoon-feed": "VB",
    "spoonbills": "NNS",
    "spooned": "VBD|VBN",
    "spoonful": "NN",
    "spoonfuls": "NNS",
    "spoons": "NNS|VBZ",
    "sporadic": "JJ",
    "sporadically": "RB",
    "spores": "NNS",
    "sport": "NN|JJ|VBP|VB",
    "sport-utility": "JJ",
    "sported": "VBD|VBN",
    "sportiest": "JJS",
    "sportif": "FW",
    "sportin": "VBG",
    "sporting": "VBG|JJ|NN",
    "sporting-goods": "NNS|JJ",
    "sports": "NNS|VBZ",
    "sports-and-entertainment": "JJ",
    "sports-apparel": "JJ",
    "sports-functions": "NNS",
    "sports-oriented": "JJ",
    "sports-related": "JJ",
    "sportsman": "NN",
    "sportsmanship": "NN",
    "sportsmen": "NNS",
    "sportswear": "NN",
    "sportswriter": "NN",
    "sporty": "JJ",
    "spot": "NN|JJ|VB|VBP",
    "spot-checking": "NN",
    "spot-market": "JJ",
    "spot-news": "NNS",
    "spot-promoted": "NN",
    "spot-television": "JJ",
    "spotchecks": "NNS",
    "spotless": "JJ",
    "spotlight": "NN|VB",
    "spotlighted": "VBN|VBD",
    "spotlighting": "VBG",
    "spotlights": "VBZ",
    "spots": "NNS|VBZ",
    "spots...": ":",
    "spotted": "VBD|VBN|JJ",
    "spotting": "VBG|NN",
    "spotty": "JJ",
    "spousal": "JJ",
    "spousal-notification": "NN",
    "spouse": "NN",
    "spouses": "NNS",
    "spout": "VBP|NN|VB",
    "spouted": "VBD|JJ|VBN",
    "spouting": "VBG",
    "sprained": "VBN|VBD",
    "spraining": "VBG",
    "sprains": "NNS|VBZ",
    "sprang": "VBD",
    "sprawl": "NN|VBP|VB",
    "sprawled": "VBN|VBD|JJ",
    "sprawling": "VBG|JJ",
    "spray": "NN|VB",
    "spray-dried": "JJ",
    "sprayed": "VBN|VBD",
    "spraying": "VBG|NN",
    "sprays": "NNS|VBZ",
    "spread": "NN|VBD|VBN|VBP|JJ|VB",
    "spread-eagled": "VBN|VBD",
    "spread-out": "JJ",
    "spread-sensitive": "JJ",
    "spreader": "NN",
    "spreading": "VBG",
    "spreads": "NNS|VBZ",
    "spreadsheet": "NN",
    "spreadsheets": "NNS",
    "spree": "NN",
    "sprig": "NN",
    "sprightly": "JJ",
    "spring": "NN|VB|VBP",
    "spring-back": "JJ",
    "spring-brake": "NN",
    "spring-early": "JJ",
    "spring-joints": "NN",
    "spring-training": "NN",
    "springboard": "NN",
    "springing": "VBG",
    "springs": "NNS|VBZ",
    "springtime": "NN",
    "sprinkle": "VBP|VB|NN",
    "sprinkled": "VBD|VBN",
    "sprinkler": "NN",
    "sprinklers": "NNS",
    "sprinkles": "VBZ",
    "sprinkling": "NN|VBG",
    "sprint": "NN",
    "sprinted": "VBD",
    "sprinting": "VBG",
    "spritzers": "NNS",
    "sprout": "VB|VBP",
    "sprouted": "VBD|VBN",
    "sprouting": "VBG|NN",
    "sprouts": "NNS|VBZ",
    "spruce": "VB|NN",
    "spruced": "VBN|VBD",
    "sprue": "NN",
    "sprung": "VBN|JJ",
    "spuds": "NNS|VBZ",
    "spume": "NN|VB",
    "spun": "VBN|VBD",
    "spun-off": "JJ",
    "spunky": "NN",
    "spur": "VB|NN|VBP",
    "spur-of-the-moment": "JJ",
    "spurious": "JJ",
    "spurn": "VB|VBP",
    "spurned": "VBD|VBN|JJ",
    "spurning": "VBG",
    "spurns": "VBZ",
    "spurred": "VBN|VBD",
    "spurring": "VBG",
    "spurs": "VBZ|NNS",
    "spurt": "NN|VBP|VB",
    "spurted": "VBN|VBD",
    "spurting": "VBG",
    "spurts": "NNS|VBZ",
    "sputnik": "NN",
    "sputniks": "NNS",
    "sputter": "VBP|VB",
    "sputtered": "VBD|VBN",
    "sputtering": "JJ|VBG",
    "sputters": "VBZ",
    "spy": "NN|VB",
    "spy-chaser": "NN",
    "spy-chasing": "NN",
    "spy-in-training": "NN",
    "spy-plane": "NN",
    "spyglass": "NN",
    "spying": "VBG|NN",
    "sq": "JJ",
    "sq.": "JJ",
    "squabble": "NN|VB",
    "squabbled": "VBD|VBN",
    "squabbles": "NNS|VBZ",
    "squabbling": "NN|VBG",
    "squad": "NN",
    "squadron": "NN",
    "squadrons": "NNS",
    "squadroom": "NN",
    "squads": "NNS",
    "squalid": "JJ",
    "squall": "NN|VB",
    "squalls": "NNS|VBZ",
    "squalor": "NN",
    "squamous": "JJ",
    "squander": "VB",
    "squandered": "VBN|VBD",
    "squandering": "VBG",
    "square": "JJ|NN|RB|VB|VBP",
    "square-built": "JJ",
    "square-foot": "JJ",
    "square-mile": "JJ",
    "squared": "VBN|JJ|VBD",
    "squarefoot": "JJ",
    "squarely": "RB",
    "squares": "NNS|VBZ",
    "squaring": "VBG",
    "squash": "NN|RB|VB",
    "squashed": "JJ|VBN|VBD",
    "squashed-looking": "JJ",
    "squashing": "VBG",
    "squashy": "JJ",
    "squat": "JJ|NN|VB",
    "squatted": "VBN|VBD",
    "squatter": "NN",
    "squatters": "NNS",
    "squatting": "VBG",
    "squaw": "NN",
    "squawk": "VB",
    "squeak": "NN|VB",
    "squeaked": "VBD|VBN",
    "squeaking": "VBG|NN",
    "squeaks": "VBZ",
    "squeaky": "RB|JJ",
    "squeaky-clean": "JJ",
    "squeal": "VB|NN",
    "squealed": "VBD|VBN",
    "squealing": "VBG|NN",
    "squeals": "NNS|VBZ",
    "squeamish": "JJ",
    "squeamishness": "NN",
    "squeegee": "VBP",
    "squeeze": "NN|VBP|VB",
    "squeeze-out": "NN",
    "squeezed": "VBN|VBD",
    "squeezes": "VBZ|NNS",
    "squeezing": "VBG",
    "squelch": "VBP|VB",
    "squelched": "VBN|VBD",
    "squibs": "NNS",
    "squid": "NN",
    "squiggly": "RB",
    "squint": "VBP|VB|JJ",
    "squinted": "VBD|VBN",
    "squinting": "VBG",
    "squire": "NN",
    "squires": "NNS",
    "squirmed": "VBD|VBN",
    "squirming": "VBG",
    "squirms": "VBZ",
    "squirmy": "JJ",
    "squirrel": "NN",
    "squirreled": "VBN",
    "squirreling": "VBG",
    "squirt": "NN|VB",
    "squirted": "VBD|VBN",
    "squirting": "VBG",
    "squished": "VBN|VBD",
    "st": "NN",
    "stab": "NN|VB",
    "stabbed": "VBN|VBD",
    "stabbing": "VBG",
    "stabilities": "NNS",
    "stability": "NN",
    "stabilization": "NN",
    "stabilize": "VB|VBP",
    "stabilized": "VBN|VBD",
    "stabilizer": "NN",
    "stabilizers": "NNS",
    "stabilizes": "VBZ",
    "stabilizing": "VBG",
    "stabilizing-conserving": "JJ",
    "stable": "JJ|NN",
    "stable-garage": "NN",
    "stabled": "VBD",
    "stableman": "NN",
    "stables": "NNS",
    "staccato": "NN|FW",
    "staccatos": "NNS",
    "stack": "VB|NN",
    "stacked": "VBN|VBD",
    "stacker": "NN",
    "stackers": "NNS",
    "stacking": "VBG",
    "stacks": "NNS|VBZ",
    "stadium": "NN",
    "stadiums": "NNS",
    "staf": "NN",
    "staff": "NN|VBP",
    "staff-cutting": "VBG",
    "staff-reduction": "NN|JJ",
    "staff-written": "JJ",
    "staff...": ":",
    "staffed": "VBN",
    "staffer": "NN",
    "staffers": "NNS",
    "staffing": "NN|VBG|JJ",
    "staffs": "NNS|VBZ",
    "stag": "NN|JJ|VB",
    "stage": "NN|VBP|VB",
    "stage-managing": "NN",
    "stage-plays": "NNS",
    "stagecoach": "NN",
    "stagecoaches": "NNS",
    "staged": "VBD|VBN",
    "stagemate": "NN",
    "stager": "NN",
    "stages": "NNS|VBZ",
    "stagewhispers": "VBZ",
    "stagflation": "NN",
    "stagger": "VB",
    "staggered": "JJ|VBD|VBN",
    "staggering": "JJ|VBG",
    "staggeringly": "RB",
    "staginess": "NN",
    "staging": "NN|VBG",
    "stagnant": "JJ",
    "stagnated": "VBD|VBN",
    "stagnating": "VBG",
    "stagnation": "NN",
    "stags": "NNS|VBZ",
    "staid": "JJ|VBN",
    "stain": "VB|NN",
    "stain-resistant": "JJ",
    "stained": "VBN|JJ|VBD",
    "stained-glass": "NN",
    "staining": "NN|VBG",
    "stainless": "JJ",
    "stainless-steel": "JJ",
    "stains": "NNS|VBZ",
    "stair": "NN",
    "stair-step": "JJ",
    "stair-well": "NN",
    "staircase": "NN",
    "staircases": "NNS",
    "stairs": "NNS",
    "stairway": "NN",
    "stairways": "NNS",
    "stairwells": "NNS",
    "stake": "NN|VB|VBP",
    "stake-building": "VBG",
    "stake-holding": "JJ",
    "stake-out": "NN",
    "stakebuilding": "VBG|NN",
    "staked": "VBN|VBD",
    "stakes": "NNS|VBZ",
    "stale": "JJ",
    "stale-cigarette": "NN",
    "stalemate": "NN",
    "stalk": "VBP|VB",
    "stalked": "VBN|VBD|JJ",
    "stalking": "VBG|NN",
    "stalks": "NNS|VBZ",
    "stall": "VB|NN",
    "stalled": "VBN|JJ|VBD",
    "stalling": "VBG",
    "stallion": "NN",
    "stalls": "NNS|VBZ",
    "stalwart": "JJ|NN",
    "stalwarts": "NNS",
    "stamens": "NNS",
    "stamina": "NN",
    "staminate": "JJ",
    "stammered": "VBD|VBN",
    "stamp": "NN|VB",
    "stamped": "VBN|VBD",
    "stampede": "NN|VB|VBP",
    "stampeded": "VBN|VBD",
    "stamping": "VBG|NN",
    "stampings": "NNS",
    "stamps": "NNS|VBZ",
    "stance": "NN",
    "stances": "NNS",
    "stanch": "VB|JJ",
    "stanchest": "JJS",
    "stand": "VBP|VB|NN",
    "stand-alone": "JJ",
    "stand-by": "JJ",
    "stand-in": "NN",
    "stand-ins": "NNS",
    "stand-off": "JJ",
    "stand-still": "JJ",
    "stand-up": "JJ",
    "stand-ups": "NNS",
    "standard": "JJ|NN",
    "standard-bearer": "NN",
    "standard-issue": "JJ",
    "standard-setting": "JJ|NN",
    "standard-weight": "JJ",
    "standardize": "VB",
    "standardized": "JJ|VBN|VBD",
    "standardizing": "VBG",
    "standards": "NNS",
    "standby": "JJ|NN",
    "standbys": "NNS",
    "standeth": "VBP",
    "standin": "NN",
    "standing": "NN|VBG|JJ",
    "standing-room": "NN",
    "standing-room-only": "JJ",
    "standoff": "NN",
    "standout": "NN",
    "standpoint": "NN",
    "stands": "VBZ|NNS",
    "standstill": "JJ|NN",
    "standup": "JJ|NN",
    "stanza-form": "NN",
    "staph": "NN",
    "staphylococcal": "JJ",
    "staphylococcus": "NN",
    "staple": "NN|JJ",
    "staples": "NNS",
    "stapling": "NN|VBG",
    "star": "NN|JJ|VB",
    "starboard": "VB",
    "starch": "NN",
    "starched": "VBN|JJ",
    "starches": "NNS",
    "starchiness": "NN",
    "starchy": "JJ",
    "stardom": "NN",
    "stare": "VBP|VB|FW|NN",
    "stared": "VBD|VBN",
    "stares": "NNS|VBZ",
    "staring": "VBG",
    "stark": "JJ|RB",
    "starker": "JJR",
    "starkly": "RB",
    "starlet": "NN",
    "starlight": "NN|JJ",
    "starre": "NN",
    "starred": "VBD|VBN",
    "starring": "VBG|JJ",
    "starry-eyed": "JJ",
    "stars": "NNS|VBZ",
    "starstruck": "JJ",
    "start": "VB|VBP|NN|RP",
    "start-up": "JJ|NNS|VB",
    "start-ups": "NNS|VBZ",
    "started": "VBD|JJ|VBN",
    "starter": "JJ|NN",
    "starters": "NNS",
    "startin": "VBG",
    "starting": "VBG|JJ|NN",
    "startle": "VB",
    "startled": "VBN|VBD|JJ",
    "startled-horse": "JJ",
    "startling": "JJ|VBG",
    "startlingly": "RB",
    "starts": "VBZ|NNS|VBP",
    "startup": "NN|JJ",
    "startups": "NNS",
    "starvation": "NN",
    "starve": "VB",
    "starved": "VBN|VBD",
    "starving": "VBG|JJ",
    "stash": "VB|NN",
    "stashed": "VBD|VBN",
    "stasis": "NN",
    "stat": "NN",
    "state": "NN|JJ|VB|VBP",
    "state-administered": "JJ",
    "state-appointed": "JJ",
    "state-approved": "JJ",
    "state-building": "NN",
    "state-centered": "JJ",
    "state-chartered": "JJ",
    "state-controlled": "JJ",
    "state-court": "NN",
    "state-directed": "JJ",
    "state-dominated": "JJ",
    "state-federal": "JJ",
    "state-funded": "JJ",
    "state-law": "NN",
    "state-level": "JJ",
    "state-local": "JJ",
    "state-mandated": "JJ",
    "state-of-the-art": "JJ",
    "state-of-the-market": "JJ",
    "state-owned": "JJ",
    "state-plan": "JJ",
    "state-private": "JJ",
    "state-produced": "JJ",
    "state-provided": "JJ",
    "state-registered": "JJ",
    "state-run": "JJ",
    "state-sector": "JJ",
    "state-sponsored": "JJ",
    "state-subsidized": "JJ",
    "state-supervised": "JJ",
    "state-supported": "JJ",
    "state-trading": "JJ",
    "stated": "VBN|JJ|VBD",
    "statehood": "NN",
    "statehooders": "NNS",
    "stateless": "JJ",
    "stately": "JJ",
    "statement": "NN",
    "statements": "NNS",
    "stateroom": "NN",
    "states": "NNS|VBZ",
    "statesman": "NN",
    "statesmanlike": "JJ",
    "statesmanship": "NN",
    "statesmen": "NNS",
    "statewide": "JJ|RB",
    "static": "JJ|NN",
    "stating": "VBG",
    "station": "NN|VB",
    "stationary": "JJ",
    "stationed": "VBN|VBD",
    "stationery": "NN",
    "stationing": "VBG",
    "stationmaster": "NN",
    "stations": "NNS|VBZ",
    "statism": "NN",
    "statist": "JJ",
    "statistic": "NN",
    "statistical": "JJ",
    "statistically": "RB",
    "statistician": "NN",
    "statisticians": "NNS",
    "statistics": "NNS",
    "statistics-keepers": "NNS",
    "stator": "NN",
    "stats": "NNS",
    "statu": "FW",
    "statuary": "NN",
    "statue": "NN",
    "statues": "NNS",
    "statuette": "NN",
    "stature": "NN",
    "status": "NN|FW",
    "status-conscious": "JJ",
    "status-dropout": "NN",
    "status-roles": "NNS",
    "status.": "NN",
    "statuses": "NNS",
    "statute": "NN",
    "statutes": "NNS",
    "statutorily": "RB",
    "statutory": "JJ",
    "staunch": "JJ|VB",
    "staunchest": "JJS",
    "staunchly": "RB",
    "stave": "VB",
    "staved": "VBN|VBD",
    "staves": "VBZ",
    "stay": "VB|VBP|NN",
    "stay-at-home": "JJ",
    "stayed": "VBD|JJ|VBN",
    "staying": "VBG|JJ|NN",
    "stays": "VBZ|NNS",
    "stead": "NN",
    "steadfast": "JJ|RB",
    "steadfastly": "RB",
    "steadfastness": "NN",
    "steadied": "VBD|VBN",
    "steadier": "JJR",
    "steadily": "RB",
    "steadiness": "NN",
    "steady": "JJ|RB|VB",
    "steady-Eddies": "NNS",
    "steady-state": "JJ",
    "steadying": "JJ|VBG",
    "steak": "NN",
    "steakhouse": "NN",
    "steaks": "NNS",
    "steal": "VB|VBP",
    "stealer": "NN",
    "stealin": "VBG",
    "stealing": "VBG|JJ|NN",
    "steals": "VBZ",
    "stealth": "NN",
    "stealthily": "RB",
    "stealthy": "JJ",
    "steam": "NN|VB",
    "steam-baths": "NNS",
    "steam-generating": "NN",
    "steam-generation": "JJ",
    "steamboat": "NN",
    "steamed": "VBN|VBD",
    "steamer": "NN|VB",
    "steamers": "NNS|VBZ",
    "steamier": "JJR",
    "steamily": "RB",
    "steaming": "VBG",
    "steamroller": "NN",
    "steams": "VBZ",
    "steamship": "NN",
    "steamships": "NNS",
    "steed": "NN",
    "steel": "NN|JJ|VB",
    "steel-casting": "JJ",
    "steel-edged": "JJ",
    "steel-exporting": "JJ",
    "steel-flanged": "JJ",
    "steel-gray": "JJ",
    "steel-hulled": "JJ",
    "steel-hungry": "JJ",
    "steel-import": "JJ",
    "steel-ingot": "NN",
    "steel-making": "JJ",
    "steel-quota": "NN",
    "steel-recycling": "JJ",
    "steel-reinforced": "JJ",
    "steel-related": "JJ",
    "steel-rod": "NN",
    "steel-service-center": "NN",
    "steel-stock": "NN",
    "steel-toothed": "JJ",
    "steeled": "VBN|VBD",
    "steelmaker": "NN",
    "steelmakers": "NNS",
    "steelmaking": "NN|VBG",
    "steels": "NNS|VBZ",
    "steelworkers": "NNS",
    "steely": "JJ",
    "steep": "JJ|NN|VB",
    "steeped": "VBN|VBD",
    "steeper": "JJR|NN",
    "steepest": "JJS",
    "steeple": "NN",
    "steeples": "NNS",
    "steeply": "RB",
    "steepness": "NN",
    "steer": "VB|NN|VBP",
    "steered": "VBD|VBN",
    "steering": "NN|JJ|VBG",
    "steers": "VBZ|NNS",
    "stein": "NN",
    "stellar": "JJ",
    "stem": "VB|NN|VBP",
    "stemmed": "VBD|VBN",
    "stemming": "VBG",
    "stems": "VBZ|NNS",
    "stench": "NN",
    "stenography": "NN",
    "stentorian": "JJ",
    "steoreotyped": "JJ",
    "step": "NN|VBP|VB",
    "step-by-step": "JJ",
    "step-father": "NN",
    "step-up": "NN",
    "stepchild": "NN",
    "stepchildren": "NN",
    "stepgrandmother": "NN",
    "stephanotis": "NN",
    "stepladders": "NNS",
    "stepmother": "NN",
    "stepmothers": "NNS",
    "stepped": "VBD|VBN",
    "stepped-up": "JJ",
    "steppes": "NNS",
    "stepping": "VBG|JJ",
    "steppingstone": "NN",
    "steprelationship": "NN",
    "steps": "NNS|VBZ",
    "stepson": "NN",
    "stepwise": "RB|JJ",
    "stereo": "NN|JJ",
    "stereo-sound": "JJ",
    "stereophonic": "JJ",
    "stereos": "NNS",
    "stereotype": "NN|VB",
    "stereotyped": "JJ|VBN|VBD",
    "stereotypes": "NNS|VBZ",
    "stereotypical": "JJ",
    "stereotypically": "RB",
    "sterile": "JJ",
    "steriles": "NNS",
    "sterility": "NN",
    "sterility-assurance": "NN",
    "sterilization": "NN",
    "sterilize": "VB",
    "sterilized": "VBN|VBD",
    "sterilizer": "NN",
    "sterilizing": "VBG",
    "sterios": "NNS",
    "sterling": "NN|JJ",
    "stern": "JJ|NN",
    "stern-to": "RB",
    "sternal": "JJ",
    "sternly": "RB",
    "sterno-cleido": "NN",
    "sterns": "NNS",
    "sternum": "NN",
    "steroid": "JJ",
    "steroid-induced": "JJ",
    "steroids": "NNS",
    "stethoscope": "NN",
    "stevedore": "NN",
    "stew": "NN|VB",
    "steward": "NN",
    "stewardess": "NN",
    "stewardesses": "NNS",
    "stewards": "NNS",
    "stewardship": "NN",
    "stewed": "JJ|VBD|VBN",
    "stews": "NNS|VBZ",
    "stick": "VB|VBP|NN",
    "stick-and-carrot": "NN",
    "sticker": "NN",
    "sticker-shock": "NN",
    "stickers": "NNS",
    "stickier": "JJR",
    "stickiness": "NN",
    "sticking": "VBG|NN|JJ",
    "stickler": "NN",
    "sticklike": "JJ",
    "stickman": "NN",
    "stickpin": "NN",
    "sticks": "VBZ|NNS",
    "sticky": "JJ",
    "sticky-fingered": "JJ",
    "sticle": "VB",
    "stiff": "JJ|NN|VB",
    "stiff-backed": "JJ",
    "stiffed": "VBD|VBN",
    "stiffen": "VB",
    "stiffened": "VBD|VBN",
    "stiffening": "NN|JJ",
    "stiffens": "VBZ",
    "stiffer": "JJR",
    "stiffest": "JJS",
    "stiffing": "VBG",
    "stiffly": "RB|NN",
    "stiffnecked": "JJ",
    "stiffness": "NN",
    "stiffs": "NNS|VBZ",
    "stifle": "VB",
    "stifled": "VBD|VBN",
    "stifles": "VBZ",
    "stifling": "VBG|JJ",
    "stigma": "NN",
    "stigmatizes": "VBZ",
    "stiletto": "NN",
    "still": "RB|JJ|NN|VB",
    "still-building": "JJ",
    "still-commanding": "JJ",
    "still-continuing": "JJ",
    "still-dark": "JJ",
    "still-daylighted": "JJ",
    "still-healthy": "JJ",
    "still-limited": "JJ",
    "still-mammoth": "JJ",
    "still-new": "JJ",
    "still-outstanding": "JJ",
    "still-punishing": "JJ",
    "still-raging": "VBG",
    "still-ravaged": "JJ",
    "still-secret": "JJ",
    "still-ticking": "JJ",
    "still-to-be-named": "JJ",
    "still-uncalculated": "JJ",
    "still-undeveloped": "JJ",
    "still...": ":",
    "stillbirths": "NNS",
    "stillness": "NN",
    "stills": "NNS|VBZ",
    "stilted": "JJ",
    "stilts": "NNS",
    "stimulant": "NN|JJ",
    "stimulants": "NNS",
    "stimulate": "VB|VBP",
    "stimulated": "VBN|VBD",
    "stimulates": "VBZ",
    "stimulating": "VBG|JJ",
    "stimulation": "NN",
    "stimulations": "NNS",
    "stimulative": "JJ",
    "stimulator": "NN",
    "stimulators": "NNS",
    "stimulatory": "JJ",
    "stimuli": "NNS",
    "stimulus": "NN",
    "sting": "NN|VB",
    "stingier": "JJR",
    "stinging": "JJ|NN|VBG",
    "stingrays": "NNS",
    "stings": "NNS|VBZ",
    "stingy": "JJ",
    "stink": "VBP|NN|VB",
    "stinkin": "JJ",
    "stinking": "VBG|JJ",
    "stinkpotters": "NNS",
    "stinks": "VBZ",
    "stint": "NN|VB",
    "stints": "NNS|VBZ",
    "stipends": "NNS",
    "stippled": "JJ|VBD|VBN",
    "stipulate": "VB|VBP|JJ",
    "stipulated": "VBD|VBN",
    "stipulates": "VBZ",
    "stipulation": "NN",
    "stipulations": "NNS",
    "stir": "VB|VBP|NN",
    "stirke": "NN",
    "stirling": "JJ",
    "stirred": "VBD|VBN",
    "stirrin": "VBG",
    "stirring": "VBG|JJ|NN",
    "stirringly": "RB",
    "stirrings": "NNS",
    "stirrup": "NN",
    "stirrup-guard": "NN",
    "stirrups": "NNS",
    "stirs": "VBZ",
    "stirups": "NNS",
    "stitch": "NN|VB",
    "stitched": "VBN|VBD",
    "stitches": "NNS|VBZ",
    "stitching": "NN|VBG",
    "stochastic": "JJ",
    "stock": "NN|VBP|JJ|VB",
    "stock-appreciation": "NN",
    "stock-appreciation-based": "JJ",
    "stock-basket": "NN|JJ",
    "stock-conspiracy": "NN",
    "stock-exchange": "NN",
    "stock-for-debt": "JJ",
    "stock-fraud": "NN",
    "stock-fund": "NN|JJ",
    "stock-holding": "JJ",
    "stock-in-trade": "NN",
    "stock-index": "NN|JJ|NNS",
    "stock-index-futures": "NNS|JJ",
    "stock-investing": "JJ",
    "stock-loan": "NN",
    "stock-manipulation": "NN|JJ",
    "stock-margin": "JJ",
    "stock-market": "NN|JJ",
    "stock-option": "NN|JJ",
    "stock-optioned": "JJ",
    "stock-options": "NNS",
    "stock-ownership": "JJ",
    "stock-pickers": "NNS",
    "stock-picking": "JJ|NN",
    "stock-price": "JJ|NN",
    "stock-purchase": "JJ",
    "stock-quote": "JJ",
    "stock-registration": "NN",
    "stock-related": "JJ",
    "stock-repurchase": "JJ",
    "stock-selection": "JJ",
    "stock-specialist": "JJ",
    "stock-swap": "JJ",
    "stock-taking": "NN",
    "stock-trader": "NN",
    "stock-trading": "NN|JJ",
    "stock-warrant": "NN",
    "stock-watch": "JJ",
    "stockade": "NN",
    "stockbroker": "NN",
    "stockbrokerage": "NN",
    "stockbrokers": "NNS",
    "stockbuilding": "VBG",
    "stocked": "VBN|VBD",
    "stockholder": "NN",
    "stockholder-owned": "JJ",
    "stockholders": "NNS",
    "stockholders...": ":",
    "stockholding": "VBG",
    "stockholdings": "NNS",
    "stocking": "VBG|NN",
    "stockings": "NNS",
    "stockmarket": "NN",
    "stockpickers": "NNS",
    "stockpile": "VB|NN",
    "stockpiled": "VBN|VBD",
    "stockpiles": "NNS|VBZ",
    "stockpiling": "NN|VBG",
    "stockroom": "NN",
    "stocks": "NNS|VBZ|RB",
    "stocks-boosted": "NN",
    "stocks-index": "JJ",
    "stocky": "JJ",
    "stockyards": "NNS",
    "stockynges": "NNS",
    "stodgy": "JJ",
    "stoicaly": "RB",
    "stoicism": "NN",
    "stoke": "VB",
    "stoked": "VBN|VBD|JJ",
    "stoker": "NN",
    "stoking": "VBG",
    "stole": "VBD|NN",
    "stolen": "VBN|JJ",
    "stolid": "JJ",
    "stolid-looking": "JJ",
    "stolidly": "RB",
    "stomach": "NN|VB",
    "stomach-belly": "NN",
    "stomach-churning": "JJ",
    "stomachs": "NNS",
    "stomachwise": "RB",
    "stomack": "NN",
    "stomped": "VBD|VBN",
    "stomping": "VBG|NN",
    "stone": "NN|RB|VB",
    "stone-age": "JJ",
    "stone-blind": "JJ",
    "stone-gray": "JJ",
    "stone-still": "JJ",
    "stoned": "VBN|VBD",
    "stonelike": "JJ",
    "stonemason": "NN",
    "stones": "NNS|VBZ",
    "stonewalled": "VBD",
    "stoneware": "NN",
    "stonework": "NN",
    "stonily": "RB",
    "stony": "JJ",
    "stony-meteorite": "JJ",
    "stood": "VBD|VBN",
    "stooges": "NNS",
    "stool": "NN|VB",
    "stools": "NNS|VBZ",
    "stooooomp": "VB",
    "stoop": "VB|NN|VBP",
    "stooped": "VBD|VBN",
    "stooping": "VBG",
    "stop": "VB|NN|VBP",
    "stop-and-start": "JJ",
    "stop-gap": "JJ",
    "stop-limit": "JJ",
    "stop-loss": "NN|JJ",
    "stop-motion": "JJ|NN",
    "stop-overs": "NNS",
    "stop-payment": "NN",
    "stop-shipment": "JJ",
    "stop-work": "JJ",
    "stopgap": "NN|JJ",
    "stopover": "NN",
    "stopovers": "NNS",
    "stoppage": "NN",
    "stoppages": "NNS",
    "stopped": "VBD|VBN",
    "stopper": "NN",
    "stopping": "VBG|NN",
    "stopping-point": "NN",
    "stops": "VBZ|NNS",
    "stopwatch": "NN",
    "storability": "NN",
    "storage": "NN|JJ",
    "storage-case": "NN",
    "store": "NN|VB|VBP",
    "store-brand": "JJ",
    "store-front": "JJ",
    "store-name": "JJ",
    "store-sales": "NN",
    "stored": "VBD|VBN",
    "stored-up": "JJ",
    "storefront": "NN",
    "storefronts": "NNS",
    "storehouse": "NN",
    "storehouses": "NNS",
    "storekeepers": "NNS",
    "storeroom": "NN",
    "stores": "NNS|VBZ",
    "stores.": "NN",
    "storied": "JJ",
    "stories": "NNS",
    "storing": "VBG|NN",
    "storm": "NN|VB|VBP",
    "storm-damaged": "JJ",
    "stormbound": "JJ",
    "stormed": "VBD|VBN",
    "stormier": "JJR",
    "storming": "VBG",
    "storms": "NNS|VBZ",
    "stormy": "JJ",
    "story": "NN",
    "story-book": "NN",
    "storyline": "NN",
    "storylines": "NNS",
    "storyteller": "NN",
    "storytellers": "NNS",
    "storytelling": "NN",
    "stout": "JJ",
    "stout-hearted": "JJ",
    "stoutly": "RB",
    "stove": "NN",
    "stoves": "NNS",
    "stowaway": "NN",
    "stowed": "VBD|VBN",
    "straddle": "VB",
    "straddled": "VBD|VBN",
    "straddles": "VBZ|NNS",
    "straddling": "VBG",
    "strafe": "VB|FW",
    "strafing": "VBG",
    "straggle": "VBP|VB",
    "straggled": "VBD|VBN",
    "stragglers": "NNS",
    "straggling": "VBG",
    "straight": "JJ|RB",
    "straight-A": "JJ",
    "straight-armed": "VBD",
    "straight-backed": "JJ",
    "straight-from-the-shoulder": "JJ",
    "straight-haired": "JJ",
    "straight-line": "JJ",
    "straight-out": "JJ",
    "straight-talking": "JJ",
    "straightaway": "NN|RB",
    "straighten": "VB",
    "straightened": "VBD|VBN",
    "straighteners": "NNS",
    "straightening": "VBG|NN",
    "straightens": "VBZ",
    "straighter": "RBR|JJR",
    "straightforward": "JJ",
    "straights": "NNS",
    "straightway": "RB",
    "strain": "NN|VB|VBP",
    "strained": "VBN|VBD|JJ",
    "strainers": "NNS",
    "strainin": "VBG",
    "straining": "VBG",
    "strains": "NNS|VBZ",
    "strait": "NN",
    "strait-laced": "JJ",
    "straitjacket": "NN",
    "straitjacketed": "JJ",
    "straits": "NNS",
    "stramonium": "NN",
    "strand": "NN|VB",
    "stranded": "VBN|VBD",
    "stranding": "VBG",
    "strands": "NNS|VBZ",
    "strange": "JJ",
    "strange-sounding": "JJ",
    "strangely": "RB",
    "strangeness": "NN",
    "stranger": "NN|JJR",
    "strangers": "NNS",
    "strangest": "JJS",
    "strangled": "VBN|JJ|VBD",
    "stranglehold": "NN",
    "strangles": "VBZ",
    "strangulation": "NN",
    "strap": "VB|JJ",
    "strapped": "VBN|VBD|JJ",
    "strapping": "JJ|VBG|NN",
    "straps": "NNS|VBZ",
    "strata": "NNS",
    "stratagem": "NN",
    "stratagems": "NNS",
    "strategic": "JJ",
    "strategic-arms": "NN|JJ|NNS",
    "strategic-planning": "JJ",
    "strategic-weapons": "JJ",
    "strategically": "RB",
    "strategicarms": "NNS",
    "strategies": "NNS",
    "strategist": "NN",
    "strategists": "NNS",
    "strategy": "NN",
    "stratification": "NN",
    "stratified": "JJ|VBN|VBD",
    "stratify": "VB",
    "stratosphere": "NN",
    "stratospheric": "JJ",
    "stratum": "NN",
    "straw": "NN|JJ|VB",
    "straw-and-mud": "JJ",
    "straw-colored": "JJ",
    "straw-hat": "JJ",
    "straw-man": "NN",
    "strawberries": "NNS",
    "strawberry": "NN",
    "straws": "NNS|VBZ",
    "stray": "VB|JJ|NN|VBP",
    "strayed": "VBD|VBN",
    "straying": "VBG",
    "strays": "NNS|VBZ",
    "streak": "NN|VBP|VB",
    "streaked": "VBD|VBN",
    "streaking": "VBG",
    "streaks": "NNS|VBZ",
    "stream": "NN|VB",
    "stream-of-consciousness": "NN",
    "streamed": "VBD|VBN",
    "streamer": "NN",
    "streamers": "NNS",
    "streaming": "VBG",
    "streamline": "VB",
    "streamlined": "JJ|VBD|VBN",
    "streamliner": "NN",
    "streamlining": "VBG|NN",
    "streams": "NNS|VBZ",
    "streamside": "NN",
    "street": "NN",
    "street-corner": "JJ",
    "street...": ":",
    "streetcar": "NN",
    "streetcars": "NNS",
    "streetfighter": "NN",
    "streetlight": "NN",
    "streets": "NNS",
    "strenghtening": "VBG",
    "strengtened": "VBN",
    "strength": "NN",
    "strengthen": "VB|VBP",
    "strengthened": "VBD|VBN|JJ",
    "strengthening": "VBG|JJ|NN",
    "strengthens": "VBZ",
    "strengths": "NNS",
    "strenuous": "JJ",
    "strenuously": "RB",
    "streptokinase": "NNP",
    "stress": "NN|VBP|VB",
    "stress-producing": "JJ",
    "stress-provoking": "JJ",
    "stress-related": "JJ",
    "stress-temperature": "JJ",
    "stressed": "VBD|JJ|VBN",
    "stressed-out": "JJ",
    "stresses": "VBZ|NNS",
    "stressful": "JJ",
    "stressing": "VBG",
    "stretch": "NN|VBP|JJ|VB",
    "stretched": "VBN|VBD|JJ",
    "stretcher": "NN",
    "stretchers": "NNS",
    "stretches": "VBZ|NNS",
    "stretching": "VBG|NN",
    "strewn": "VBN",
    "stricken": "JJ|VBN",
    "strict": "JJ",
    "stricter": "JJR",
    "strictest": "JJS",
    "strictly": "RB",
    "strictures": "NNS",
    "stride": "NN|VBP|VB",
    "strident": "JJ",
    "stridently": "RB",
    "strides": "NNS|VBZ",
    "striding": "VBG",
    "strife": "NN",
    "strife-free": "JJ",
    "strike": "NN|VB|VBP",
    "strike-bound": "JJ",
    "strike-force": "NN",
    "strike-outs": "NNS",
    "strikebreakers": "NNS",
    "strikeout": "NN",
    "striking": "JJ|VBG",
    "strikingly": "RB",
    "string": "NN|VB",
    "string-of-pearls": "JJ",
    "stringed": "JJ",
    "stringent": "JJ",
    "stringently": "RB",
    "stringing": "VBG",
    "strings": "NNS|VBZ",
    "stringy": "JJ",
    "strip": "NN|VB|VBP",
    "stripe": "NN",
    "striped": "JJ",
    "stripes": "NNS",
    "stripped": "VBN|JJ|VBD",
    "stripped-down": "JJ",
    "stripper": "NN",
    "strippers": "NNS",
    "stripping": "VBG|NN",
    "strips": "NNS|VBZ",
    "striptease": "NN",
    "strive": "VBP|VB",
    "strived": "VBD",
    "striven": "VBN",
    "strivers": "NNS",
    "strives": "VBZ",
    "striving": "VBG|NN",
    "strivings": "NNS",
    "strobe": "NN",
    "strode": "VBD",
    "stroke": "NN|VB",
    "stroked": "VBD|VBN",
    "strokes": "NNS|VBZ",
    "stroking": "NN|VBG",
    "stroll": "VB|NN|VBP",
    "strolled": "VBD|VBN",
    "strollers": "NNS",
    "strolling": "VBG",
    "strolls": "VBZ",
    "strong": "JJ|RB",
    "strong-arm": "JJ",
    "strong-jawed": "JJ",
    "strong-made": "JJ",
    "strong-willed": "JJ",
    "stronger": "JJR|RBR",
    "stronger-than-expected": "JJ",
    "strongest": "JJS",
    "stronghold": "NN",
    "strongholds": "NNS",
    "strongly": "RB",
    "strongman": "NN",
    "strongrooms": "NNS",
    "strophe": "NN",
    "stropped": "VBD",
    "stropping": "VBG",
    "strove": "VBD",
    "struck": "VBD|VBN",
    "structively": "RB",
    "structural": "JJ",
    "structural-adjustment": "JJ|NN",
    "structurally": "RB",
    "structure": "NN|VB",
    "structured": "VBN|JJ|VBD",
    "structures": "NNS|VBZ",
    "structuring": "VBG|NN",
    "struggle": "NN|VBP|VB",
    "struggled": "VBD|VBN",
    "struggling": "VBG|JJ",
    "strumming": "VBG",
    "strung": "VBN|VBD",
    "strut": "NN|VB",
    "strutted": "VBD|VBN",
    "strutting": "VBG|JJ",
    "strychnine": "NN",
    "stub": "NN|VB",
    "stubbed": "VBN|VBD",
    "stubble": "JJ|NN",
    "stubborn": "JJ",
    "stubbornly": "RB",
    "stubbornness": "NN",
    "stubby": "JJ",
    "stubs": "NNS|VBZ",
    "stucco": "NN",
    "stuck": "VBN|VBD|JJ",
    "stuck-up": "JJ",
    "stud": "NN|VB",
    "studded": "VBN|VBD",
    "student": "NN",
    "student-athlete": "NN",
    "student-athletes": "NNS",
    "student-directed": "JJ",
    "student-led": "JJ",
    "student-loan": "JJ|NN",
    "student-physicists": "NNS",
    "student-test": "JJ",
    "studentled": "VBN",
    "students": "NNS",
    "studied": "VBN|VBD|JJ",
    "studies": "NNS|VBZ",
    "studio": "NN|JJ",
    "studio-quality": "JJ|NN",
    "studios": "NNS",
    "studious": "JJ",
    "studiously": "RB",
    "studiousness": "NN",
    "studs": "NNS|VBZ",
    "study": "NN|VBP|VB",
    "study-plan": "NN",
    "studying": "VBG|NN",
    "stuff": "NN|VB|VBP",
    "stuffed": "VBD|VBN|JJ",
    "stuffing": "VBG|NN",
    "stuffy": "JJ",
    "stuggles": "VBZ",
    "stultifying": "JJ|VBG",
    "stumble": "VB|VBP|NN",
    "stumbled": "VBD|VBN",
    "stumbles": "VBZ|NNS",
    "stumbling": "VBG|JJ|NN",
    "stumbling-block": "NN",
    "stump": "NN|VB",
    "stumpage": "NN",
    "stumped": "VBN|VBD",
    "stumping": "NN|VBG",
    "stumps": "NNS|VBZ",
    "stumpy": "JJ",
    "stung": "VBN|VBD",
    "stunk": "VBD|VBN",
    "stunned": "VBD|VBN|JJ",
    "stunning": "JJ",
    "stunningly": "RB",
    "stunt": "NN|VB",
    "stunted": "VBN|VBD",
    "stunts": "NNS|VBZ",
    "stupefying": "JJ|VBG",
    "stupefyingly": "RB",
    "stupendous": "JJ",
    "stupendously": "RB",
    "stupid": "JJ",
    "stupidest": "JJS",
    "stupidities": "NNS",
    "stupidity": "NN",
    "stupidly": "RB",
    "stupor": "NN",
    "sturdiest": "JJS",
    "sturdily": "RB",
    "sturdy": "JJ",
    "sturgeon": "NN",
    "stutter": "NN|VB",
    "style": "NN|VB",
    "style-cramper": "NN",
    "styled": "VBN|VBD|JJ",
    "stylemark": "NN",
    "styles": "NNS|VBZ",
    "styling": "NN|VBG",
    "stylish": "JJ",
    "stylishly": "RB",
    "stylist": "NN",
    "stylistic": "JJ",
    "stylistically": "RB",
    "stylization": "NN",
    "stylized": "JJ|VBN",
    "stymie": "VB",
    "stymied": "VBN|JJ|VBD",
    "styrene": "NN",
    "styrenes": "NNS",
    "styryl-lithium": "NN",
    "suability": "NN",
    "suable": "JJ",
    "suave": "JJ",
    "suavity": "NN",
    "sub": "NN|FW|VB",
    "sub-Christian": "JJ",
    "sub-Saharan": "JJ|NNP",
    "sub-assemblies": "NNS",
    "sub-assembly": "NN",
    "sub-chiefdom": "NN",
    "sub-chiefs": "NN",
    "sub-conscious-level": "NN",
    "sub-freezing": "JJ",
    "sub-group": "NN",
    "sub-headlines": "NNS",
    "sub-human": "JJ",
    "sub-interval": "NN",
    "sub-markets": "NNS",
    "sub-minimum": "JJ",
    "sub-segments": "NNS",
    "sub-station": "JJ|NN",
    "sub-surface": "NN",
    "sub-tests": "NNS",
    "sub-therapeutic": "JJ",
    "sub-underwriters": "NNS",
    "sub-underwriting": "VBG",
    "sub-zero": "JJ",
    "subaltern": "NN",
    "subatomic": "JJ",
    "subbing": "VBG",
    "subcommitee": "NN",
    "subcommittee": "NN",
    "subcommittees": "NNS",
    "subcompact": "NN|JJ",
    "subcompacts": "NNS",
    "subconferences": "NNS",
    "subconscious": "NN|JJ",
    "subconsciously": "RB",
    "subcontinent": "NN",
    "subcontract": "VB|JJ|NN",
    "subcontracting": "NN|JJ|VBG",
    "subcontractor": "NN",
    "subcontractors": "NNS",
    "subcontracts": "NNS|VBZ",
    "subdirector": "NN",
    "subdivision": "NN",
    "subdivisions": "NNS",
    "subdue": "VB",
    "subdued": "VBN|JJ|VBD",
    "subdues": "VBZ",
    "subduing": "VBG",
    "subfigures": "NNS",
    "subgross": "JJ",
    "subgroups": "NNS",
    "subhumanity": "NN",
    "subindustry": "NN",
    "subject": "JJ|NN|VB",
    "subjected": "VBN|VBD",
    "subjecting": "VBG",
    "subjective": "JJ",
    "subjectively": "RB",
    "subjectivist": "NN",
    "subjectivists": "NNS",
    "subjectivity": "NN",
    "subjects": "NNS|VBZ",
    "subjugate": "VB",
    "subjugated": "JJ|VBD|VBN",
    "subjugating": "VBG",
    "subjugation": "NN",
    "sublease": "NN",
    "sublet": "VB|VBN|VBD",
    "sublicense": "NN",
    "sublimate": "NN|VB",
    "sublime": "JJ|NN|VB",
    "sublimed": "VBN|VBD",
    "subliminal": "JJ",
    "subliterary": "JJ",
    "sublunary": "JJ",
    "submachine": "JJ",
    "submarine": "NN|JJ",
    "submarine-ball": "NN",
    "submarine-based": "JJ",
    "submarine-launched": "JJ",
    "submariners": "NNS",
    "submarines": "NNS",
    "submerge": "VB",
    "submerged": "VBN|JJ|VBD",
    "submerging": "VBG",
    "subminimum": "JJ|NN",
    "submission": "NN",
    "submissions": "NNS",
    "submissive": "JJ",
    "submit": "VB|VBP",
    "submits": "VBZ",
    "submitted": "VBN|VBD",
    "submitting": "VBG|NN",
    "submucosa": "NN",
    "subnational": "JJ",
    "subnormal": "JJ",
    "suborbital": "JJ",
    "subordinate": "JJ|NN|VB",
    "subordinated": "JJ|VBN|VBD",
    "subordinates": "NNS|VBZ",
    "subordinator": "NN",
    "subpar": "JJ",
    "subparagraph": "NN",
    "subparts": "NNS",
    "subpenaed": "VBN",
    "subpenas": "NNS",
    "subplots": "NNS",
    "subpoena": "NN|FW|VB",
    "subpoenaed": "VBN|VBD",
    "subpoenas": "NNS|VBZ",
    "subrogation": "NN",
    "subroutine": "NN",
    "subroutines": "NNS",
    "subs": "NNS|VBZ",
    "subscribe": "VB|VBP",
    "subscribed": "VBN|VBD|JJ",
    "subscriber": "NN",
    "subscribers": "NNS",
    "subscribes": "VBZ",
    "subscribing": "VBG",
    "subscription": "NN|JJ",
    "subscriptions": "NNS",
    "subscripts": "NNS",
    "subsection": "NN",
    "subsections": "NNS",
    "subsedies": "NNS",
    "subsequent": "JJ",
    "subsequently": "RB",
    "subservience": "NN",
    "subservient": "JJ",
    "subset": "NN",
    "subsidary": "JJ",
    "subside": "VB|VBP",
    "subsided": "VBN|VBD",
    "subsidence": "NN",
    "subsides": "NNS|VBZ",
    "subsidiaries": "NNS",
    "subsidiarity": "NN",
    "subsidiary": "NN|JJ",
    "subsidies": "NNS",
    "subsiding": "VBG",
    "subsidization": "NN",
    "subsidize": "VB|VBP",
    "subsidized": "JJ|VBN|VBD",
    "subsidizes": "VBZ",
    "subsidizing": "VBG",
    "subsidy": "NN",
    "subsist": "VB",
    "subsistence": "NN",
    "subsistent": "JJ",
    "subskill": "NN",
    "subskills": "NNS",
    "subsoil": "NN",
    "subspace": "NN",
    "subspaces": "NNS",
    "subspecies": "NNS",
    "substance": "NN",
    "substance-abusing": "JJ",
    "substances": "NNS",
    "substandard": "JJ",
    "substantial": "JJ",
    "substantially": "RB",
    "substantiate": "VB",
    "substantiated": "JJ|VBD|VBN",
    "substantiates": "VBZ",
    "substantiation": "NN",
    "substantive": "JJ|NN",
    "substantively": "RB",
    "substations": "NNS",
    "substerilization": "NN",
    "substitute": "NN|JJ|VB|VBP",
    "substituted": "VBN|JJ|VBD",
    "substitutes": "NNS|VBZ",
    "substituting": "VBG",
    "substitution": "NN",
    "substitutionary": "JJ",
    "substitutions": "NNS",
    "substracting": "VBG",
    "substrate": "NN",
    "substrates": "NNS",
    "substratum": "NN",
    "substructure": "NN",
    "subsumed": "VBN|VBD",
    "subsurface": "JJ",
    "subsystem": "NN",
    "subsystems": "NNS",
    "subtended": "JJ|VBD|VBN",
    "subtends": "VBZ",
    "subterfuge": "NN",
    "subterfuges": "NNS",
    "subterranean": "JJ",
    "subtilis": "NNS",
    "subtitle": "NN",
    "subtitled": "VBN",
    "subtitles": "NNS",
    "subtle": "JJ",
    "subtler": "JJR|NN",
    "subtleties": "NNS",
    "subtlety": "NN",
    "subtly": "RB",
    "subtract": "VB|VBP",
    "subtracted": "VBN|VBD",
    "subtracting": "VBG",
    "subtraction": "NN",
    "subtype": "NN",
    "subtypes": "NNS",
    "suburb": "NN",
    "suburban": "JJ",
    "suburbanite": "JJ|NN",
    "suburbanites": "NNS",
    "suburbanized": "VBN",
    "suburbia": "NN",
    "suburbs": "NNS",
    "subversion": "NN",
    "subversive": "JJ",
    "subversives": "NNS",
    "subvert": "VB|VBP",
    "subverted": "VBN|VBD",
    "subverting": "VBG",
    "subverts": "VBZ",
    "subway": "NN",
    "subways": "NNS",
    "subzero": "JJ",
    "succeed": "VB|VBP",
    "succeeded": "VBN|VBD",
    "succeeding": "VBG|JJ|NN",
    "succeeds": "VBZ",
    "succesful": "JJ",
    "success": "NN",
    "success-oriented": "JJ",
    "success...": ":",
    "successes": "NNS",
    "successful": "JJ",
    "successfully": "RB",
    "succession": "NN",
    "successive": "JJ",
    "successively": "RB",
    "successor": "NN",
    "successor-designate": "JJ",
    "successors": "NNS",
    "successors-in-spirit": "NNS",
    "successorship": "NN",
    "succinct": "JJ",
    "succinctly": "RB",
    "succor": "NN|VB",
    "succulent": "JJ",
    "succumb": "VB",
    "succumbed": "VBN|VBD",
    "succumbing": "VBG",
    "succumbs": "VBZ",
    "sucess": "NN",
    "such": "JJ|PDT",
    "suck": "VB|NN|VBP",
    "sucked": "VBD|VBN",
    "sucker": "NN",
    "sucker-rolling": "JJ",
    "suckered": "VBN",
    "suckers": "NNS",
    "sucking": "VBG|NN",
    "sucks": "VBZ",
    "suction": "NN",
    "sudden": "JJ",
    "sudden-end": "JJ",
    "suddenly": "RB",
    "suddenness": "NN",
    "suds": "NNS|VB",
    "sudsing": "NN|VBG",
    "sue": "VB|VBP",
    "sued": "VBD|VBN",
    "suede": "NN",
    "sues": "VBZ",
    "suey": "NN",
    "suffer": "VB|VBP",
    "sufferd": "VBN",
    "suffered": "VBD|VBN",
    "sufferer": "NN",
    "sufferers": "NNS",
    "suffering": "VBG|JJ|NN",
    "sufferings": "NNS",
    "suffers": "VBZ",
    "suffice": "VB|VBP",
    "sufficed": "VBD|VBN",
    "sufficent": "JJ",
    "sufficiency": "NN",
    "sufficient": "JJ",
    "sufficiently": "RB",
    "suffix": "NN",
    "suffixand": "NN",
    "suffixes": "NNS",
    "suffocate": "VB",
    "suffocated": "VBN|VBD",
    "suffocating": "VBG|JJ",
    "suffocation": "NN",
    "suffrage": "NN",
    "suffragettes": "NNS",
    "suffuse": "VB",
    "suffused": "VBD|VBN",
    "sugar": "NN|VB",
    "sugar-cane": "JJ|NN",
    "sugar-coated": "JJ",
    "sugar-growing": "JJ|NN",
    "sugar-producing": "JJ",
    "sugar-subsidy": "NN",
    "sugar-using": "JJ",
    "sugarcane": "NN",
    "sugared": "JJ|VBN|VBD",
    "sugars": "NNS|VBZ",
    "sugary": "JJ",
    "suggest": "VBP|VB",
    "suggested": "VBD|VBN|JJ",
    "suggestibility": "NN",
    "suggesting": "VBG",
    "suggestion": "NN",
    "suggestions": "NNS",
    "suggestions...": ":",
    "suggestive": "JJ",
    "suggests": "VBZ",
    "suhthuhn": "JJ",
    "suicidal": "JJ",
    "suicide": "NN",
    "suicides": "NNS",
    "suing": "VBG",
    "suit": "NN|VBP|RB|VB",
    "suit-and-tie": "JJ",
    "suitability": "NN",
    "suitable": "JJ",
    "suitably": "RB",
    "suitably-loaded": "JJ",
    "suitcase": "NN",
    "suitcase-sized": "JJ",
    "suitcases": "NNS",
    "suite": "NN|FW",
    "suited": "VBN|VBD",
    "suites": "NNS",
    "suitor": "NN",
    "suitors": "NNS",
    "suits": "NNS|VBZ",
    "suject": "JJ",
    "sulfide": "NN",
    "sulfur": "NN|VB",
    "sulfur-dioxide": "NN",
    "sulfuric": "JJ",
    "sulfurous": "JJ",
    "sulked": "VBD|VBN",
    "sulkily": "RB",
    "sulking": "VBG",
    "sulks": "NNS|VBZ",
    "sulky": "JJ|NN",
    "sullen": "JJ",
    "sullenly": "RB",
    "sullying": "VBG",
    "sulphur": "NN|VB",
    "sulphured": "VBN|VBD",
    "sulphurous": "JJ",
    "sultan": "NN",
    "sultans": "NNS",
    "sultry": "JJ",
    "sum": "NN|VB",
    "sumac": "NN",
    "summaries": "NNS",
    "summarily": "RB",
    "summarization": "NN",
    "summarize": "VB",
    "summarized": "VBD|VBN",
    "summarizes": "VBZ",
    "summarizing": "VBG",
    "summary": "NN|JJ",
    "summate": "NN|VB",
    "summation": "NN",
    "summed": "VBD|VBN",
    "summer": "NN|JJ",
    "summer-holiday": "JJ",
    "summer-long": "JJ",
    "summer-winter": "JJ",
    "summers": "NNS",
    "summertime": "NN",
    "summing": "VBG",
    "summit": "NN|JJ|VB",
    "summiteers": "NNS",
    "summitry": "NN",
    "summits": "NNS|VBZ",
    "summon": "VB",
    "summoned": "VBN|VBD",
    "summoning": "VBG",
    "summons": "NN|VBZ",
    "summonses": "NNS",
    "sumptuous": "JJ",
    "sums": "NNS|VBZ",
    "sun": "NN|VB",
    "sun-baked": "JJ",
    "sun-bleached": "JJ",
    "sun-browned": "JJ",
    "sun-burned": "JJ",
    "sun-drenched": "JJ",
    "sun-inflamed": "JJ",
    "sun-kissed": "JJ",
    "sun-parched": "JJ",
    "sun-suit": "NN",
    "sun-tan": "JJ",
    "sun-tanned": "JJ",
    "sun-warmed": "JJ",
    "sunbaked": "JJ",
    "sunbleached": "VBN",
    "sunbonnet": "NN",
    "sunbonnets": "NNS",
    "sunburn": "NN|VB",
    "sunburnt": "JJ|VBD|VBN",
    "sunder": "VB",
    "sundials": "NNS",
    "sundown": "NN",
    "sundry": "JJ",
    "sunflower": "NN",
    "sunflowers": "NNS",
    "sung": "VBN",
    "sunglasses": "NNS|NN",
    "sunk": "VBN|VBD",
    "sunken": "JJ",
    "sunlight": "NN",
    "sunnier": "JJR",
    "sunning": "VBG",
    "sunny": "JJ",
    "sunrise": "NN",
    "sunroof": "NN",
    "suns": "NNS|VBZ",
    "sunset": "NN|VB|VBD|VBN|JJ",
    "sunsets": "NNS|VBZ",
    "sunshades": "NNS",
    "sunshield": "NN",
    "sunshine": "NN|JJ",
    "sunshiny": "JJ",
    "sunspot": "NN",
    "sunt": "FW",
    "suntan": "NN",
    "sup": "VB|UH",
    "super": "JJ|FW",
    "super-Herculean": "JJ",
    "super-absorbent": "JJ",
    "super-charged": "JJ",
    "super-charger": "NN",
    "super-city": "NN",
    "super-condamine": "NN",
    "super-empirical": "JJ",
    "super-exciting": "JJ",
    "super-expensive": "JJ",
    "super-experiment": "NN",
    "super-fast": "JJ",
    "super-headache": "NN",
    "super-high": "JJ",
    "super-imposed": "VBN",
    "super-majority": "JJ|NN",
    "super-regional": "JJ",
    "super-regionals": "NNS",
    "super-regulator": "NN",
    "super-rich": "JJ",
    "super-secret": "JJ",
    "super-spy": "NN",
    "super-status": "JJ",
    "super-strict": "JJ",
    "super-string": "JJ",
    "super-user": "NN",
    "superagent": "NN",
    "superb": "JJ",
    "superbly": "RB",
    "supercede": "VBP",
    "superceded": "VBD|VBN",
    "supercharged": "JJ|VBD|VBN",
    "supercharger": "NN",
    "supercilious": "JJ",
    "supercollider": "NN",
    "supercolliding": "VBG",
    "supercomputer": "NN",
    "supercomputers": "NNS",
    "superconcentrated": "JJ",
    "superconcentrates": "NNS",
    "superconductivity": "NN",
    "superconductor": "NN",
    "superconductors": "NNS",
    "supercritical": "JJ",
    "superefficient": "JJ",
    "superego": "NN",
    "superfast": "JJ",
    "superficial": "JJ",
    "superficiality": "NN",
    "superficially": "RB",
    "superfluous": "JJ",
    "supergiants": "NNS",
    "superhighway": "NN",
    "superhighways": "NNS",
    "superhuman": "JJ",
    "superieure": "NN",
    "superimpose": "VB|VBP",
    "superimposed": "VBN|JJ|VBD",
    "superimposes": "VBZ",
    "superimposing": "VBG",
    "superintend": "VB",
    "superintendent": "NN",
    "superintendents": "NNS",
    "superior": "JJ|NN",
    "superiority": "NN",
    "superiors": "NNS",
    "superlative": "JJ",
    "superlatives": "NNS",
    "superlunary": "JJ",
    "supermachine": "NN",
    "supermainframe": "NN",
    "supermarket": "NN",
    "supermarket-refrigeration": "NN",
    "supermarkets": "NNS",
    "supernatant": "JJ",
    "supernatural": "JJ|NN",
    "supernaturalism": "NN|JJ",
    "supernormal": "JJ",
    "superposition": "NN",
    "superpower": "NN",
    "superpowers": "NNS",
    "superpremiums": "NNS",
    "superregional": "JJ",
    "supersafe": "NN",
    "supersede": "VB",
    "superseded": "VBD|VBN",
    "supersedes": "VBZ",
    "supersensitive": "JJ",
    "supersonic": "JJ",
    "superstar": "NN",
    "superstars": "NNS",
    "superstate": "NN",
    "superstition": "NN",
    "superstitions": "NNS",
    "superstitious": "JJ",
    "superstores": "NNS",
    "superstrong": "JJ",
    "superstructure": "NN",
    "supertanker": "NN",
    "supertankers": "NNS",
    "supertitles": "NNS",
    "supervened": "VBN",
    "supervise": "VB|VBP",
    "supervised": "JJ|VBD|VBN",
    "supervises": "VBZ",
    "supervising": "VBG",
    "supervision": "NN",
    "supervisor": "NN",
    "supervisors": "NNS",
    "supervisory": "JJ",
    "supervote": "NN",
    "supervoting": "JJ",
    "supine": "NN",
    "supinely": "RB",
    "supper": "NN",
    "suppers": "NNS",
    "supplant": "VB",
    "supplanted": "VBN|VBD",
    "supplanting": "VBG",
    "supple": "JJ",
    "supplement": "NN|VBP|VB",
    "supplemental": "JJ",
    "supplementary": "JJ|NN",
    "supplemented": "VBN|VBD",
    "supplementing": "VBG",
    "supplements": "NNS|VBZ",
    "suppleness": "NN",
    "supplicating": "VBG",
    "supplied": "VBN|VBD",
    "supplier": "NN",
    "suppliers": "NNS",
    "supplies": "NNS|VBZ",
    "supply": "NN|VBP|VB",
    "supply-and-demand": "NN",
    "supply-demand": "JJ|NN",
    "supply-driven": "JJ",
    "supply-side": "JJ|NN",
    "supply-sider": "NN",
    "supply/demand": "NN",
    "supplying": "VBG",
    "support": "NN|VB|VBP",
    "supportable": "JJ",
    "supported": "VBN|JJ|VBD",
    "supporter": "NN",
    "supporting": "VBG|JJ",
    "supportive": "JJ",
    "supports": "VBZ|NNS",
    "suppose": "VBP|VB",
    "supposed": "VBN|JJ|VBD",
    "supposedly": "RB",
    "supposes": "VBZ",
    "supposing": "VBG",
    "suppositions": "NNS",
    "suppository": "NN",
    "suppress": "VB|VBP",
    "suppressant": "NN",
    "suppressants": "NNS",
    "suppressed": "VBN|JJ|VBD",
    "suppresses": "VBZ",
    "suppressing": "VBG",
    "suppression": "NN",
    "suppressor": "NN",
    "suppressors": "NNS",
    "supra": "RB",
    "supra-personal": "JJ",
    "supranational": "JJ",
    "supranationalism": "NN",
    "supraventricular": "JJ",
    "supremacy": "NN",
    "supreme": "NN|JJ",
    "supremely": "RB",
    "supression": "NN",
    "supressor": "NN",
    "suprise": "NN",
    "sur": "FW",
    "surcease": "NN",
    "surcharge": "NN|VB",
    "surcharges": "NNS|VBZ",
    "sure-enough": "JJ",
    "sure-fire": "JJ",
    "sure-sure": "NN",
    "surefire": "JJ",
    "surely": "RB",
    "surest": "JJS",
    "surf": "NN|VBP|VB",
    "surface": "NN|VB|VBP",
    "surface-active": "JJ",
    "surface-analyzer": "NN",
    "surface-declaring": "JJ",
    "surface-to-air": "JJ",
    "surfaced": "VBD|VBN",
    "surfaceness": "NN",
    "surfaces": "NNS|VBZ",
    "surfacing": "VBG",
    "surfactant": "NN",
    "surfactants": "NNS",
    "surfboard": "NN|VB",
    "surfeit": "NN|VBP|VB",
    "surfeited": "VBN|VBD",
    "surfers": "NNS",
    "surfing": "NN|VBG",
    "surge": "NN|VB",
    "surged": "VBD|VBN",
    "surgeon": "NN",
    "surgeons": "NNS",
    "surgeries": "NNS",
    "surgery": "NN",
    "surges": "VBZ|NNS",
    "surgical": "JJ",
    "surgical-abortion": "JJ",
    "surgically": "RB",
    "surgicenters": "NNS",
    "surging": "VBG|JJ",
    "surimi": "FW",
    "surly": "JJ",
    "surmise": "VB",
    "surmised": "VBD|VBN",
    "surmises": "NNS|VBZ",
    "surmount": "VB",
    "surmounted": "VBD|VBN",
    "surmounting": "VBG",
    "surname": "NN",
    "surpass": "VB|VBP",
    "surpassed": "VBN|VBD",
    "surpasses": "VBZ",
    "surpassing": "VBG|RB",
    "surplus": "NN|JJ",
    "surpluses": "NNS",
    "surprise": "NN|JJ|RB|VB",
    "surprise-filled": "JJ",
    "surprise...": ":",
    "surprised": "VBN|VBD|JJ",
    "surprises": "NNS|VBZ",
    "surprising": "JJ|VBG",
    "surprisingly": "RB",
    "surreal": "JJ",
    "surrealism": "NN",
    "surrealist": "JJ",
    "surrealistic": "JJ",
    "surrealists": "NNS",
    "surrender": "VB|NN|VBP",
    "surrendered": "VBD|VBN",
    "surrendering": "VBG",
    "surreptitious": "JJ",
    "surreptitiously": "RB",
    "surreys": "NNS",
    "surrogacy": "NN",
    "surrogate": "JJ|NN",
    "surrogates": "NNS",
    "surround": "VBP|VB",
    "surrounded": "VBN|VBD|JJ",
    "surrounding": "VBG|JJ|NN",
    "surroundings": "NNS",
    "surrounds": "VBZ",
    "surtax": "NN",
    "surtaxes": "NNS",
    "surtout": "NN",
    "surveillance": "NN",
    "survey": "NN|VB|VBP",
    "survey-type": "JJ",
    "surveyed": "VBN|VBD",
    "surveying": "VBG|NN",
    "surveyor": "NN",
    "surveys": "NNS|VBZ",
    "survivability": "NN",
    "survivable": "JJ",
    "survival": "NN",
    "survivalist": "NN",
    "survivalists": "NNS",
    "survivals": "NNS",
    "survive": "VB|VBP",
    "survived": "VBD|VBN",
    "survives": "VBZ",
    "surviving": "VBG",
    "survivor": "NN",
    "survivors": "NNS",
    "susceptibilities": "NNS",
    "susceptibility": "NN",
    "susceptible": "JJ|NN",
    "susceptors": "NNS",
    "sushi": "NN|FW",
    "suspect": "VBP|JJ|NN|VB",
    "suspected": "VBN|VBD|JJ",
    "suspecting": "VBG",
    "suspects": "VBZ|NNS",
    "suspend": "VB|VBP",
    "suspended": "VBN|JJ|VBD",
    "suspender": "NN",
    "suspender-clad": "JJ",
    "suspenders": "NNS",
    "suspending": "VBG",
    "suspends": "VBZ",
    "suspense": "NN",
    "suspenseful": "JJ",
    "suspension": "NN",
    "suspensions": "NNS",
    "suspensor": "NN",
    "suspicion": "NN",
    "suspicions": "NNS",
    "suspicions...": ":",
    "suspicious": "JJ",
    "suspiciously": "RB",
    "sustain": "VB|VBP",
    "sustainability": "NN",
    "sustainable": "JJ",
    "sustained": "VBN|VBD|JJ",
    "sustaining": "VBG",
    "sustains": "VBZ",
    "sustenance": "NN",
    "suttee": "NN",
    "suture": "NN",
    "sutures": "NNS",
    "suvivors": "NNS",
    "suzerain": "NN",
    "suzerainty": "NN",
    "svelte": "JJ",
    "svelte-looking": "JJ",
    "swab": "VB",
    "swabbed": "VBD|VBN",
    "swagger": "NN|VB",
    "swaggered": "VBD|VBN",
    "swaggering": "VBG",
    "swallow": "VB|NN|VBP",
    "swallowed": "VBN|VBD",
    "swallowing": "VBG",
    "swallows": "NNS|VBZ",
    "swam": "VBD",
    "swami": "NNS",
    "swamp": "VB|NN",
    "swamped": "VBN|VBD",
    "swamping": "VBG",
    "swamps": "NNS|VBZ",
    "swampy": "JJ",
    "swan": "NN|VB",
    "swank": "JJ|VB",
    "swankier": "JJR",
    "swanky": "JJ",
    "swanlike": "JJ",
    "swans": "NNS|VBZ",
    "swap": "NN|VBP|VB",
    "swapped": "VBN|VBD",
    "swapping": "VBG|NN",
    "swaps": "NNS|VBZ",
    "swarm": "NN|VB",
    "swarmed": "VBD|VBN",
    "swarming": "VBG",
    "swarms": "NNS|VBZ",
    "swart": "JJ",
    "swarthy": "JJ",
    "swashbuckling": "JJ",
    "swastika": "NN",
    "swat": "NN",
    "swatches": "NNS",
    "swath": "NN",
    "swathe": "NN|VB",
    "swathed": "VBN|VBD",
    "swathings": "NNS",
    "sway": "VB|VBP|NN",
    "sway-backed": "JJ",
    "swayed": "VBN|VBD",
    "swaying": "VBG|NN",
    "swear": "VB|VBP",
    "swearing": "NN|VBG",
    "swearing-in": "NN",
    "swearinge": "VBG",
    "swears": "VBZ",
    "sweat": "NN|VBD|VBP|VB|VBN",
    "sweat-saturated": "JJ",
    "sweat-soaked": "JJ",
    "sweat-suits": "NNS",
    "sweatband": "NN",
    "sweated": "VBN|VBD",
    "sweater": "NN",
    "sweaters": "NNS",
    "sweathruna": "FW",
    "sweating": "NN|VBG|JJ",
    "sweats": "NNS|VBZ",
    "sweatshirt": "NN",
    "sweatshirts": "NNS",
    "sweatshop": "NN",
    "sweatshops": "NNS",
    "sweatsuit": "NN",
    "sweaty": "JJ",
    "sweep": "NN|VB",
    "sweepers": "NNS",
    "sweeping": "JJ|VBG|NN",
    "sweepingly": "RB",
    "sweepings": "NNS",
    "sweeps": "NNS|VBZ",
    "sweepstakes": "NN|NNS",
    "sweet": "JJ",
    "sweet-clover": "NN",
    "sweet-faced": "JJ",
    "sweet-natured": "JJ",
    "sweet-shrub": "NN",
    "sweet-smelling": "JJ",
    "sweet-sounding": "JJ",
    "sweet-sour": "JJ",
    "sweet-throated": "JJ",
    "sweet-tongued": "JJ",
    "sweeten": "VB",
    "sweetened": "VBN|VBD|JJ",
    "sweetener": "NN",
    "sweeteners": "NNS",
    "sweetening": "NN|VBG",
    "sweetens": "VBZ",
    "sweeter": "JJR",
    "sweetest": "JJS",
    "sweetest-tasting": "JJ",
    "sweetheart": "NN|JJ",
    "sweetheart-secretary": "NN",
    "sweethearts": "NNS",
    "sweetish": "JJ",
    "sweetly": "RB",
    "sweetness": "NN",
    "sweetpeas": "NNS",
    "sweets": "NNS",
    "swell": "VB|VBP|JJ|NN",
    "swelled": "VBD|VBN|JJ",
    "swelling": "VBG|JJ|NN",
    "swellings": "NNS",
    "swells": "NNS|VBZ",
    "sweltering": "JJ",
    "swept": "VBD|JJ|VBN",
    "swerve": "VBP|NN|VB",
    "swerved": "VBD|VBN",
    "swerving": "VBG",
    "swift": "JJ|NN|RB",
    "swift-footed": "JJ",
    "swift-striding": "JJ",
    "swiftest": "JJS",
    "swiftly": "RB",
    "swiftness": "NN",
    "swig": "NN|VB",
    "swim": "VBP|VB|NN",
    "swimmer": "NN",
    "swimmers": "NNS",
    "swimming": "NN|VBG|JJ",
    "swims": "VBZ",
    "swimsuit": "NN",
    "swimsuits": "NNS",
    "swindled": "VBN|VBD",
    "swindlers": "NNS",
    "swindling": "VBG",
    "swine": "NNS",
    "swing": "NN|VBP|JJ|VB",
    "swinger": "NN",
    "swingin": "NN|VBG",
    "swinging": "VBG|JJ",
    "swings": "NNS|VBZ",
    "swingy": "JJ",
    "swipe": "NN|VB",
    "swiped": "VBD|VBN",
    "swipes": "VBZ",
    "swiping": "VBG",
    "swirl": "NN|VB",
    "swirled": "VBD|VBN",
    "swirling": "VBG",
    "swirls": "NNS|VBZ",
    "swished": "VBD|VBN",
    "switch": "VB|NN|VBP",
    "switch-hitter": "NN",
    "switchblade": "NN",
    "switchboard": "NN",
    "switched": "VBD|VBN|JJ",
    "switchers": "NNS",
    "switches": "NNS|VBZ",
    "switchgear": "NN",
    "switching": "VBG|NN",
    "swivel": "JJ|NN|VB",
    "swiveling": "VBG",
    "swollen": "JJ|VBN",
    "swollen-looking": "JJ",
    "swoon": "NN|VB",
    "swooning": "NN|VBG|JJ",
    "swoons": "NNS|VBZ",
    "swoop": "NN|VB",
    "swooped": "VBD|VBN",
    "swooping": "VBG",
    "swoops": "NN|VBZ",
    "sword": "NN",
    "sworde": "NN",
    "swordfish": "NN",
    "swords": "NNS",
    "swore": "VBD",
    "sworn": "VBN|JJ",
    "swum": "VBN",
    "swung": "VBD|VBN",
    "sycamore": "NN",
    "sycophantic": "JJ",
    "sycophantically": "RB",
    "sycophantishness": "NN",
    "sycophants": "NNS",
    "syllabicity": "NN",
    "syllable": "NN",
    "syllables": "NNS",
    "sylvan": "JJ",
    "symbiotic": "JJ",
    "symbol": "NN",
    "symbolic": "JJ",
    "symbolic-sounding": "JJ",
    "symbolical": "JJ",
    "symbolically": "RB",
    "symbolism": "NN",
    "symbolists": "NNS",
    "symbolize": "VB|VBP",
    "symbolized": "VBN|VBD",
    "symbolizes": "VBZ",
    "symbolizing": "VBG",
    "symbols": "NNS",
    "symmetric": "JJ",
    "symmetrical": "JJ",
    "symmetrically": "RB",
    "symmetry": "NN",
    "sympathetic": "JJ",
    "sympathetically": "RB",
    "sympathies": "NNS",
    "sympathique": "FW",
    "sympathize": "VBP|VB|JJ",
    "sympathized": "VBD|VBN",
    "sympathizers": "NNS",
    "sympathizing": "VBG",
    "sympathy": "NN",
    "sympathy...": ":",
    "symphonic": "JJ",
    "symphonies": "NNS",
    "symphony": "NN",
    "symposium": "NN",
    "symposiums": "NNS",
    "symptom": "NN",
    "symptom-free": "JJ",
    "symptomatic": "JJ",
    "symptomless": "JJ",
    "symptoms": "NNS",
    "synagogue": "NN",
    "synagogues": "NNS",
    "synapses": "NNS",
    "sync": "NN|VB",
    "synce": "IN",
    "synchotron": "JJ",
    "synchronism": "NN",
    "synchronize": "VBP|VB",
    "synchronized": "VBN|JJ|VBD",
    "synchronizers": "NNS",
    "synchronous": "JJ",
    "synchrony": "NN",
    "syndciated": "VBN",
    "syndicate": "NN|VB|VBD",
    "syndicated": "VBN|VBD|JJ",
    "syndicates": "NNS",
    "syndicating": "VBG",
    "syndication": "NN",
    "syndications": "NNS",
    "syndicator": "NN",
    "syndicators": "NNS",
    "syndrome": "NN",
    "synergies": "NNS",
    "synergism": "NN",
    "synergistic": "JJ",
    "synergy": "NN",
    "syngeries": "NNS",
    "synonym": "NN",
    "synonymous": "JJ",
    "synonyms": "NNS",
    "synonymy": "NN",
    "synopsis": "NN",
    "syntactic": "JJ",
    "syntactical": "JJ",
    "syntactically": "RB",
    "syntax": "NN",
    "synthesis": "NN",
    "synthesised": "VBN",
    "synthesize": "VB",
    "synthesized": "VBN|VBD",
    "synthesizer": "NN",
    "synthesizers": "NNS",
    "synthesizes": "VBZ",
    "synthesizine": "NN",
    "synthetic": "JJ|NN",
    "synthetic-diamond": "NN",
    "synthetic-leather": "JJ",
    "synthetical": "JJ",
    "synthetics": "NNS",
    "syringa": "NN",
    "syringe": "NN",
    "syringes": "NNS",
    "syrup": "NN",
    "syrups": "NNS",
    "syrupy": "JJ",
    "system": "NN",
    "system-management": "NN",
    "system-specific": "JJ",
    "systematic": "JJ",
    "systematically": "RB",
    "systematically-simple": "JJ",
    "systematization": "NN",
    "systematized": "VBN|VBD",
    "systematizing": "VBG",
    "systemic": "JJ",
    "systemization": "NN",
    "systems": "NNS",
    "systems-integration": "NN",
    "systems-strategies": "NNS",
    "systemwide": "JJ",
    "t": "NN",
    "t-tau": "NN",
    "tab": "NN",
    "tab-lifter": "NN",
    "tabac": "NN",
    "tabacs": "NNS",
    "tabbed": "VBD",
    "tabby": "JJ|NN",
    "tabernacles": "NNS",
    "table": "NN|VB",
    "table-tennis": "NN",
    "table-top": "JJ",
    "tableau": "NN",
    "tablecloths": "NNS",
    "tabled": "VBN|VBD",
    "tableland": "NN",
    "tablemodel": "NN",
    "tables": "NNS|VBZ",
    "tablespoon": "NN",
    "tablespoonful": "NN|JJ",
    "tablespoonfuls": "NNS",
    "tablespoons": "NNS",
    "tablet": "NN",
    "tablet-shattering": "JJ",
    "tablets": "NNS",
    "tableware": "NN",
    "tabling": "VBG|JJ|NN",
    "tabloid": "JJ|NN",
    "tabloid-style": "JJ",
    "tabloids": "NNS",
    "taboo": "NN|JJ|VB",
    "taboos": "NNS|VBZ",
    "tabs": "NNS",
    "tabula": "NN",
    "tabulate": "VB",
    "tabulated": "VBN|JJ|VBD",
    "tabulation": "NN",
    "tabulations": "NNS",
    "tachyarrhythmia": "NN",
    "tachycardia": "NN",
    "tacit": "JJ",
    "tacitly": "RB",
    "tack": "NN|VB|VBP",
    "tack-solder": "VB",
    "tacked": "VBD|VBN",
    "tacked-down": "JJ",
    "tackiest": "JJS",
    "tacking": "VBG",
    "tackle": "VB|VBP|NN",
    "tackled": "VBN|VBD",
    "tackles": "VBZ|NNS",
    "tackling": "VBG",
    "tacks": "NNS|VBZ",
    "tacky": "JJ",
    "tacos": "NNS",
    "tact": "NN",
    "tactful": "JJ",
    "tactic": "NN",
    "tactical": "JJ",
    "tactically": "RB",
    "tacticians": "NNS",
    "tactics": "NNS",
    "tactile": "JJ",
    "tactlessness": "NN",
    "tactual": "JJ",
    "tactually": "RB",
    "tad": "NN|RB",
    "tadpoles": "NNS",
    "tae": "FW",
    "taffeta": "NN",
    "taffy": "JJ",
    "taffycolored": "VBN",
    "tag": "NN|VB",
    "tag-team": "JJ",
    "tagged": "VBN|VBD|JJ",
    "tagging": "VBG",
    "tagline": "NN",
    "tags": "NNS|VBZ",
    "tagua": "NN",
    "tail": "NN|JJ|VB",
    "tailback": "NN",
    "tailgate": "NN",
    "tailin": "NN",
    "tailing": "VBG",
    "tailor": "VB|NN",
    "tailor-made": "JJ",
    "tailor-make": "VB",
    "tailored": "VBN|JJ|VBD",
    "tailoring": "VBG|NN",
    "tailpipe": "NN",
    "tailpipe-emission": "JJ|NN",
    "tailpipe-emissions": "NNS|JJ",
    "tails": "NNS|VBZ",
    "tailspin": "NN",
    "taint": "NN|VBP|VB",
    "tainted": "VBN|VBD|JJ",
    "tainted-meat": "NN",
    "take": "VB|NN|VBP",
    "take-away": "JJ",
    "take-home": "JJ",
    "take-it-or-leave": "JJ",
    "take-off": "NN",
    "take-or-pay": "JJ",
    "take-out": "NN",
    "take-up": "JJ",
    "takeaways": "NNS",
    "takeing": "VBG",
    "taken": "VBN|VBG",
    "takeoff": "NN",
    "takeoff-warning": "JJ",
    "takeoffs": "NNS",
    "takeout": "NN",
    "takeover": "NN",
    "takeover-defense": "JJ",
    "takeover-driven": "JJ",
    "takeover-proof": "JJ",
    "takeover-related": "JJ",
    "takeover-stock": "JJ|NN",
    "takeover-threat": "NN",
    "takeovers": "NNS",
    "taker": "NN",
    "takers": "NNS",
    "takes": "VBZ",
    "taketh": "VB",
    "takin": "VBG",
    "taking": "VBG|NN",
    "takings": "NNS",
    "takover": "NN",
    "tale": "NN",
    "talent": "NN",
    "talented": "JJ",
    "talents": "NNS",
    "tales": "NNS",
    "talismanic": "JJ",
    "talk": "NN|VB|VBP",
    "talk-aboutiveness": "NN",
    "talk-format": "NN",
    "talk-show": "NN|JJ",
    "talkative": "JJ",
    "talked": "VBD|VBN",
    "talker": "NN",
    "talkfest": "NN",
    "talkin": "VBG|NN",
    "talking": "VBG|NN",
    "talks": "NNS|VBZ",
    "talks-including": "JJ",
    "talky": "JJ",
    "tall": "JJ",
    "tall-growing": "JJ",
    "tall-masted": "JJ",
    "tall-oil": "JJ",
    "tall-tale": "NN",
    "taller": "JJR|RBR",
    "tallest": "JJS",
    "tallied": "VBD|VBN",
    "tallies": "NNS|VBZ",
    "tallow": "NN",
    "tally": "NN|VBP|VB",
    "tallyho": "NN",
    "tallying": "VBG",
    "talons": "NNS",
    "tam": "FW",
    "tamale": "NN",
    "tambourine": "NN",
    "tame": "JJ|VB",
    "tamer": "JJR",
    "taming": "VBG",
    "tamp": "VB",
    "tamper": "VB",
    "tamper-proof": "JJ",
    "tamper-resistant": "JJ",
    "tampered": "VBD|VBN",
    "tampering": "VBG|NN",
    "tampers": "NNS|VBZ",
    "tampons": "NNS",
    "tan": "JJ|NN|VB",
    "tandem": "NN|JJ",
    "tandem-seat": "JJ",
    "tandem-trainer": "NN",
    "tang": "NN",
    "tangency": "NN",
    "tangent": "JJ|NN",
    "tangential": "JJ",
    "tangents": "NNS",
    "tangere": "JJ",
    "tangible": "JJ",
    "tangibly": "RB",
    "tangle": "VBP|NN|VB",
    "tangled": "VBN|JJ|VBD",
    "tango": "NN",
    "tangoed": "VBD",
    "tangos": "NNS",
    "tangy": "JJ",
    "tank": "NN|VB",
    "tank-related": "JJ",
    "tanked": "VBN|VBD|JJ",
    "tanker": "NN",
    "tankers": "NNS",
    "tanking": "VBG",
    "tanks": "NNS|VBZ",
    "tanned": "VBN|JJ",
    "tannin": "NN",
    "tanning": "NN",
    "tans": "NNS|VBZ",
    "tansy": "NN",
    "tantalized": "VBN|VBD",
    "tantalizing": "VBG|JJ",
    "tantalizingly": "RB",
    "tantamount": "JJ",
    "tantrum": "NN",
    "tantrums": "NNS",
    "tap": "VB|NN|VBP",
    "tap-tap": "NN",
    "tapdance": "NN|VB",
    "tape": "NN|VB|VBP",
    "tape-delay": "NN",
    "tape-product": "NN",
    "tape-recorded": "JJ|VBD",
    "taped": "VBN|JJ|VBD",
    "taper": "VB|NN",
    "tapered": "JJ|VBN|VBD",
    "tapering": "VBG",
    "tapers": "NNS|VBZ",
    "tapes": "NNS|VBZ",
    "tapestries": "NNS",
    "tapestry": "NN",
    "taping": "NN|VBG",
    "tapings": "NNS",
    "tapioca": "NN",
    "tapis": "NN",
    "tapped": "VBN|VBD",
    "tappet": "NN",
    "tappets": "NNS",
    "tapping": "VBG|NN",
    "taps": "NNS|VBZ",
    "tar": "NN",
    "tar-soaked": "JJ",
    "taragon": "NN",
    "tarantara": "NN",
    "tardiness": "NN",
    "tardy": "JJ",
    "target": "NN|VBP|VB",
    "target-hunting": "JJ",
    "target-language": "NN",
    "targeted": "VBN|VBD|JJ",
    "targeting": "VBG|NN",
    "targets": "NNS|VBZ",
    "tariff": "NN",
    "tariff-cutting": "NN",
    "tariff-free": "JJ",
    "tariff-reduction": "NN",
    "tariffs": "NNS|NNPS",
    "tarmac": "NN",
    "tarnish": "VB",
    "tarnished": "VBN|JJ|VBD",
    "tarpapered": "JJ",
    "tarpaulin": "NN",
    "tarpaulins": "NNS",
    "tarpon": "NN",
    "tarred": "VBD|VBN",
    "tarry": "VB|JJ",
    "tart": "JJ|NN",
    "tartan": "NN",
    "tartan-patterned": "JJ",
    "tartans": "NNS",
    "tartare": "NN",
    "tartly": "RB",
    "task": "NN|VB",
    "task-force": "NN",
    "taskmaster": "NN",
    "tasks": "NNS|VBZ",
    "tassel": "NN",
    "tassels": "NNS",
    "taste": "NN|VB|VBP",
    "tasted": "VBD|VBN",
    "tasteful": "JJ",
    "tastefully": "RB",
    "tasteless": "JJ",
    "tastes": "NNS|VBZ",
    "tastier": "JJR",
    "tasting": "NN|VBG",
    "tasty": "JJ",
    "tat": "VB",
    "tattered": "JJ|VBN",
    "tatters": "NNS",
    "tattle-tale": "NN",
    "tattoo": "NN",
    "tattooed": "VBN",
    "taught": "VBD|VBN",
    "taunt": "NN|VB",
    "taunted": "VBD|VBN",
    "taunting": "VBG|NN",
    "tauntingly": "RB",
    "taunts": "NNS|VBZ",
    "taut": "JJ|RB",
    "taut-nerved": "JJ",
    "tavern": "NN",
    "taverns": "NNS",
    "tawdry": "JJ",
    "tawny": "JJ",
    "tax": "NN|VB|VBP",
    "tax-accounting": "NN",
    "tax-advantaged": "JJ",
    "tax-aided": "JJ",
    "tax-and-budget": "JJ",
    "tax-and-spend": "JJ",
    "tax-and-spending": "JJ",
    "tax-anticipation": "JJ|NN",
    "tax-avoidance": "JJ|NN",
    "tax-backed": "JJ",
    "tax-based": "JJ",
    "tax-collecting": "JJ",
    "tax-collection": "JJ|NN",
    "tax-compliance": "NN",
    "tax-credit": "NN",
    "tax-cut": "JJ|NN",
    "tax-deductible": "JJ",
    "tax-deductions": "NNS",
    "tax-deferred": "JJ",
    "tax-department": "JJ",
    "tax-driven": "JJ",
    "tax-evasion": "NN",
    "tax-exempt": "JJ",
    "tax-exemption": "NN",
    "tax-exempts": "NNS",
    "tax-fraud": "NN",
    "tax-free": "JJ",
    "tax-free.": "JJ",
    "tax-freedom": "NN",
    "tax-give-away": "JJ",
    "tax-haven": "JJ|NN",
    "tax-law": "NN|JJ",
    "tax-loss": "JJ|NN",
    "tax-overhaul": "JJ|NN",
    "tax-paying": "JJ",
    "tax-payment": "NN",
    "tax-policy": "NN",
    "tax-preparation": "NN",
    "tax-rate": "JJ|NN",
    "tax-reducing": "VBG",
    "tax-reduction": "NN",
    "tax-reform": "JJ|NN",
    "tax-revenue": "NN",
    "tax-revision": "JJ",
    "tax-shelter": "JJ|NN",
    "tax-sheltered": "JJ",
    "tax-software": "NN",
    "tax-supported": "JJ",
    "tax-understatement": "JJ",
    "tax-uniformity": "NN",
    "tax-writers": "NNS",
    "tax-writing": "JJ",
    "taxable": "JJ",
    "taxable-equivalent": "JJ",
    "taxable-fund": "JJ",
    "taxation": "NN",
    "taxed": "VBN|JJ|VBD",
    "taxes": "NNS|VBZ",
    "taxfree": "JJ",
    "taxi": "NN|VB",
    "taxi-ways": "NNS",
    "taxicab": "NN",
    "taxidermist": "NN",
    "taxied": "VBD|VBN",
    "taxiing": "VBG",
    "taxing": "VBG|JJ|NN",
    "taxis": "NNS|VBZ",
    "taxlow": "NN",
    "taxpayer": "NN",
    "taxpayer-related": "JJ",
    "taxpayers": "NNS",
    "taxpaying": "JJ",
    "tea": "NN",
    "tea-drinking": "NN",
    "tea-leaf": "NN",
    "teabag": "NN",
    "teacart": "NN",
    "teach": "VB|VBP",
    "teacher": "NN",
    "teacher-cadet": "JJ",
    "teacher-employee": "NN",
    "teachers": "NNS",
    "teaches": "VBZ",
    "teaching": "NN|VBG",
    "teachings": "NNS",
    "teahouse": "NN",
    "teahouses": "NNS",
    "teakettle": "NN",
    "teakwood": "NN",
    "team": "NN|VB|VBP|VBZ",
    "team-management": "NN",
    "team-mate": "NN",
    "teamed": "VBD|VBN",
    "teaming": "VBG",
    "teammate": "NN",
    "teammates": "NNS",
    "teams": "NNS|VBZ",
    "teamster": "NN",
    "teamsters": "NNS",
    "teamwork": "NN",
    "teapot": "NN",
    "tear": "VB|VBP|NN",
    "tear-filled": "JJ",
    "tear-jerkers": "NNS",
    "tear-jerking": "JJ",
    "tear-soaked": "JJ",
    "teardrop": "NN",
    "tearfully": "RB",
    "tearing": "VBG",
    "teary-eyed": "JJ",
    "teas": "NNS",
    "tease": "VB|NN|VBP",
    "teased": "VBN|VBD",
    "teaser": "NN",
    "teasers": "NNS",
    "teasing": "JJ|NN|VBG",
    "teaspoon": "NN",
    "teaspoonful": "JJ|NN",
    "teaspoonfuls": "NNS",
    "teaspoons": "NNS",
    "teats": "NNS",
    "tebuthiuron": "NN",
    "tech": "NN",
    "technical": "JJ",
    "technical-ladder": "JJ",
    "technical-services": "NNS",
    "technicalities": "NNS",
    "technicality": "NN",
    "technically": "RB",
    "technician": "NN",
    "technicians": "NNS",
    "technique": "NN",
    "techniques": "NNS",
    "techno-managerial": "JJ",
    "technocratic": "JJ",
    "technocrats": "NNS",
    "technological": "JJ",
    "technologically": "RB",
    "technologically-improved": "JJ",
    "technologies": "NNS|JJ",
    "technologist": "NN",
    "technology": "NN",
    "technology-based": "JJ",
    "technology-licensing": "JJ",
    "technology-related": "JJ",
    "technology-transfer": "NN",
    "technolology": "NN",
    "technophiliac": "JJ",
    "tecum": "FW",
    "teddy": "NN",
    "teddy-bear": "NN",
    "tedious": "JJ",
    "tediously": "RB",
    "tedium": "NN",
    "tee": "NN|VBP|VB",
    "teed": "VBD|VBN",
    "teemed": "VBD|VBN",
    "teeming": "VBG",
    "teems": "VBZ",
    "teen": "JJ|NN",
    "teen-age": "JJ",
    "teen-ager": "NN",
    "teen-agers": "NNS",
    "teenage": "JJ",
    "teenager": "NN",
    "teenagers": "NNS",
    "teens": "NNS",
    "teensy": "JJ",
    "teetered": "VBD|VBN",
    "teetering": "VBG|JJ",
    "teeth": "NNS|RP",
    "teething": "VBG",
    "teetotaler": "NN",
    "tektite": "NN",
    "tektites": "NNS",
    "tele-processing": "JJ",
    "telecast": "NN|VB|VBD|VBN",
    "telecines": "NNS",
    "telecom": "NN",
    "telecommunication": "NN",
    "telecommunications": "NNS|JJ|NN",
    "teleconferences": "NNS",
    "telecopier": "NN",
    "telefax": "NN|VB",
    "telegram": "NN",
    "telegrams": "NNS|VBZ",
    "telegraph": "VBP|NN|VB",
    "telegraphed": "VBD|VBN",
    "telegrapher": "NN",
    "telegraphers": "NNS",
    "telegraphic": "JJ",
    "telegraphic-transfer": "JJ",
    "telegraphing": "VBG",
    "telegraphy": "NN",
    "telemarketers": "NNS",
    "telemarketing": "NN",
    "teleological": "JJ",
    "teleology": "NN",
    "telepathic": "JJ",
    "telepathically": "RB",
    "telepathy": "NN",
    "telephone": "NN|VB",
    "telephone-access": "JJ",
    "telephone-booth": "NN",
    "telephone-call": "NN",
    "telephone-company": "NN",
    "telephone-information": "NN",
    "telephone-marketing": "JJ",
    "telephone-network": "JJ",
    "telephoned": "VBD|VBN",
    "telephones": "NNS|VBZ",
    "telephoning": "VBG|NN",
    "telescope": "NN|VB|VBN",
    "telescoped": "VBN|VBD",
    "telescopes": "NNS|VBZ",
    "telescopic": "JJ",
    "telescoping": "NN|VBG",
    "telesystems": "NNS",
    "teletype": "NN",
    "televangelism": "NN",
    "televised": "VBN|JJ",
    "televising": "NN",
    "television": "NN",
    "television-related": "JJ",
    "television-viewing": "NN",
    "televisions": "NNS",
    "televison": "NN",
    "televison-record": "NN",
    "telex": "NN",
    "telexes": "NNS",
    "tell": "VB|VBP",
    "tell-all": "JJ",
    "tell-tale": "NN|JJ",
    "tell...": ":",
    "teller": "NN",
    "tellers": "NNS",
    "telling": "VBG|JJ|NN",
    "tellingly": "RB",
    "tells": "VBZ",
    "telltale": "JJ|NN",
    "telomeric": "JJ",
    "temblor": "NN",
    "temblor-prone": "JJ",
    "temblors": "NNS",
    "temerity": "NN",
    "tempeh": "NN",
    "temper": "NN|VB",
    "tempera": "NN",
    "temperament": "NN",
    "temperamental": "JJ",
    "temperaments": "NNS",
    "temperance": "NN",
    "temperate": "JJ",
    "temperately": "RB",
    "temperature": "NN",
    "temperatures": "NNS",
    "tempered": "VBN|VBD",
    "tempering": "VBG",
    "tempers": "NNS|VBZ",
    "tempest": "NN",
    "tempestuous": "JJ",
    "template": "NN",
    "temple": "NN",
    "temples": "NNS",
    "tempo": "NN",
    "temporal": "JJ|NN",
    "temporally": "RB",
    "temporarily": "RB",
    "temporary": "JJ",
    "temporary-help": "JJ|NN",
    "tempore": "NN",
    "temporize": "VB",
    "temporized": "VBD|VBN",
    "temporizing": "VBG",
    "tempos": "NNS",
    "temps": "NNS",
    "tempt": "VBP|VB",
    "temptation": "NN",
    "temptations": "NNS",
    "tempted": "VBD|VBN",
    "tempting": "JJ|VBG",
    "temptingly": "RB",
    "tempts": "VBZ",
    "ten-by-ten-mile": "JJ",
    "ten-concert": "JJ",
    "ten-day": "JJ",
    "ten-foot": "JJ",
    "ten-gallon": "JJ",
    "ten-hour": "JJ",
    "ten-minute": "JJ",
    "ten-month": "JJ",
    "ten-year": "JJ",
    "tenable": "JJ",
    "tenacious": "JJ",
    "tenaciously": "RB",
    "tenacity": "NN",
    "tenancy": "NN",
    "tenant": "NN",
    "tenants": "NNS",
    "tend": "VBP|VB",
    "tended": "VBD|VBN|JJ",
    "tendencies": "NNS",
    "tendency": "NN",
    "tendentious": "JJ",
    "tender": "NN|VBP|JJ|VB",
    "tender-offer": "JJ",
    "tendered": "VBN|JJ|VBD",
    "tenderfoot": "NN",
    "tendering": "VBG|NN",
    "tenderly": "RB",
    "tenderness": "NN",
    "tenders": "NNS|VBZ",
    "tending": "VBG|NN",
    "tendons": "NNS",
    "tends": "VBZ",
    "tenebrous": "JJ",
    "tenement": "NN",
    "tenements": "NNS",
    "tenet": "NN",
    "tenets": "NNS",
    "tenfold": "RB|JJ",
    "tennis": "NN",
    "tenor": "NN",
    "tenors": "NNS",
    "tens": "NNS",
    "tense": "JJ|NN|VB",
    "tensed": "VBD|VBN",
    "tensely": "RB",
    "tenses": "NNS|VBZ",
    "tensile": "JJ",
    "tension": "NN",
    "tensional": "JJ",
    "tensioning": "VBG",
    "tensionless": "JJ",
    "tensions": "NNS",
    "tenspot": "NN",
    "tent": "NN|VB",
    "tentacle": "NN",
    "tentacles": "NNS",
    "tentative": "JJ|NN",
    "tentatively": "RB",
    "tenterhooks": "NNS",
    "tenth": "NN|JJ",
    "tenths": "NNS",
    "tenting": "NN|VBG",
    "tents": "NNS|VBZ",
    "tenuous": "JJ",
    "tenuously": "RB",
    "tenure": "NN",
    "tepees": "NNS",
    "tepid": "JJ",
    "tequila": "NN",
    "teratologies": "NNS",
    "term": "NN|VB|VBP",
    "term-end": "JJ",
    "termed": "VBD|VBN",
    "terminal": "NN|JJ",
    "terminals": "NNS",
    "terminate": "VB|VBP",
    "terminated": "VBD|VBN",
    "terminates": "VBZ",
    "terminating": "VBG",
    "termination": "NN",
    "terminations": "NNS",
    "terming": "VBG",
    "termini": "NNS",
    "terminology": "NN",
    "terminus": "NN",
    "termites": "NNS",
    "terms": "NNS|VBZ",
    "ternational": "JJ",
    "terra": "NN|FW",
    "terra-cotta-colored": "JJ",
    "terrace": "NN|VB",
    "terraced": "VBN|VBD",
    "terraces": "NNS|VBZ",
    "terrain": "NN",
    "terrain-marring": "JJ",
    "terrains": "NNS",
    "terram": "FW",
    "terrazzo": "NN",
    "terrestial": "JJ",
    "terrestrial": "JJ",
    "terrestrially": "RB",
    "terrible": "JJ",
    "terribly": "RB",
    "terrier": "NN",
    "terriers": "NNS",
    "terrific": "JJ",
    "terrified": "VBN|JJ|VBD",
    "terrifies": "VBZ",
    "terrify": "VB",
    "terrifying": "JJ|VBG",
    "terrine": "NN",
    "territoire": "FW",
    "territorial": "JJ|NN",
    "territories": "NNS",
    "territory": "NN",
    "terror": "NN",
    "terror-filled": "JJ",
    "terror-stricken": "JJ",
    "terrorism": "NN",
    "terrorist": "JJ|NN",
    "terroristic": "JJ",
    "terrorists": "NNS",
    "terrorize": "VB",
    "terrorized": "VBN|VBD",
    "terrorizing": "VBG",
    "terrors": "NNS",
    "terry": "NN",
    "terry-cloth": "NN",
    "ters": "NNS",
    "terse": "JJ",
    "tersely": "RB",
    "tertian": "JJ",
    "tertiary": "JJ",
    "test": "NN|VBP|VB",
    "test-coaching": "JJ",
    "test-drive": "VBP|VB",
    "test-fired": "VBN",
    "test-like": "JJ",
    "test-market": "NN",
    "test-marketed": "VBD|VBN|JJ",
    "test-marketing": "NN|VBG|JJ",
    "test-practice": "JJ",
    "test-prep": "JJ",
    "test-preparation": "JJ",
    "test-run": "NN",
    "test-tube": "NN",
    "testament": "NN",
    "testaments": "NNS",
    "tested": "VBN|VBD|JJ",
    "tester": "NN",
    "testers": "NNS",
    "testicle": "NN",
    "testified": "VBD|VBN",
    "testifies": "VBZ",
    "testify": "VB|VBP",
    "testifying": "VBG",
    "testily": "RB",
    "testimonial": "JJ|NN",
    "testimonials": "NNS",
    "testimony": "NN",
    "testing": "NN|VBG",
    "testings": "NNS",
    "testosterone": "NN",
    "tests": "NNS|VBZ",
    "testy": "JJ",
    "tetanus": "NN",
    "tete-a-tete": "NN",
    "tethered": "JJ|VBN|VBD",
    "tethers": "NNS",
    "tetrachloride": "NN",
    "tetragonal": "JJ",
    "tetrahalides": "NNS",
    "tetrasodium": "NN",
    "teutonic": "JJ",
    "text": "NN",
    "text-form": "NN",
    "text-lookup": "NN",
    "text-ordered": "JJ",
    "textbook": "NN",
    "textbooks": "NNS",
    "textile": "NN|JJ",
    "textile-exporting": "JJ",
    "textile-importing": "NN",
    "textile-producing": "JJ",
    "textile-related": "JJ",
    "textile-trade": "JJ",
    "textiles": "NNS",
    "texts": "NNS",
    "textual": "JJ",
    "texture": "NN",
    "textured": "JJ",
    "textures": "NNS",
    "th": "DT|NN",
    "thallium": "NN",
    "than": "IN|RB|RBR",
    "than...": ":",
    "thank": "VB|VBP",
    "thanked": "VBD|VBN",
    "thankful": "JJ",
    "thankfully": "RB",
    "thankfulness": "NN",
    "thanking": "VBG",
    "thankless": "JJ",
    "thanksgiving": "NN",
    "thar": "RB",
    "that": "IN|DT|NN|RB|RP|UH|WP|VBP|WDT",
    "that...": ":",
    "thatched-roof": "JJ",
    "thatches": "NNS",
    "thatt": "IN",
    "thaw": "NN|VB",
    "thawed": "VBN|VBD",
    "thawing": "VBG",
    "thaws": "NNS|VBZ",
    "the": "DT|VBD|VBP|NN|IN|JJ|NNP|PDT",
    "the...": ":",
    "theaf": "NN",
    "theare": "NN",
    "thease": "NN",
    "theater": "NN",
    "theater-exhibition": "NN",
    "theater-going": "NN",
    "theatergoer": "NN",
    "theatergoers": "NNS",
    "theatergoing": "JJ",
    "theaters": "NNS|VBD",
    "theatre": "FW|NN",
    "theatregoer": "NN",
    "theatres": "NNS",
    "theatrical": "JJ|NN",
    "theatricality": "NN",
    "theatrically": "RB",
    "theatricals": "NNS",
    "thee": "PRP",
    "thees": "DT",
    "thefin": "VBG",
    "theft": "NN",
    "thefts": "NNS",
    "thei": "PRP",
    "their": "PRP$",
    "theircompany": "NN",
    "theirs": "PRP|JJ",
    "theistic": "JJ",
    "thematic": "JJ",
    "theme": "NN",
    "theme-park": "NN",
    "themed": "VBN",
    "themes": "NNS",
    "themselves": "PRP",
    "then": "RB|IN|JJ",
    "then-21": "JJ",
    "then-52": "JJ",
    "then-Air": "JJ|NNP|NP",
    "then-City": "JJ",
    "then-GOP": "NNP",
    "then-Minister": "JJ",
    "then-Secretary": "NNP",
    "then-Socialist": "JJ",
    "then-Speaker": "JJ",
    "then-Treasury": "JJ|NNP",
    "then-Vice": "NNP|JJ",
    "then-biggest": "JJ",
    "then-chairman": "NN",
    "then-client": "NN",
    "then-current": "JJ",
    "then-dress": "JJ",
    "then-husband": "NN",
    "then-market": "JJ",
    "then-minister": "NN",
    "then-moribund": "JJ",
    "then-owner": "JJ",
    "then-pending": "JJ",
    "then-president": "JJ",
    "then-prevailing": "JJ",
    "then-rampant": "JJ",
    "then-senior": "JJ",
    "thence": "RB",
    "thenceforth": "CC",
    "theocracy": "NN",
    "theologian": "NN",
    "theologian-philosophers": "NN",
    "theologians": "NNS",
    "theological": "JJ",
    "theology": "NN",
    "theophylline": "NN",
    "theopylline": "NN",
    "theorem": "NN",
    "theoretical": "JJ",
    "theoretically": "RB",
    "theoreticians": "NNS",
    "theories": "NNS",
    "theories...": ":",
    "theorist": "NN",
    "theorists": "NNS",
    "theoriticians": "NNS",
    "theorize": "VBP|VB",
    "theorized": "VBD|VBN",
    "theorizing": "NN|VBG",
    "theory": "NN",
    "theory-and": "NN",
    "theory-teaching": "VBG",
    "ther": "RB|EX|JJR|PRP$",
    "therapeutic": "JJ|NN",
    "therapies": "NNS",
    "therapist": "NN",
    "therapists": "NNS",
    "therapy": "NN",
    "there": "EX|RB|UH",
    "thereabouts": "RB",
    "thereafter": "RB",
    "thereby": "RB",
    "therefor": "RB",
    "therefore": "RB|CC",
    "therefores": "NNS",
    "therefrom": "RB",
    "therein": "RB",
    "thereof": "RB",
    "thereon": "RB",
    "thereto": "RB",
    "theretofore": "RB",
    "thereunder": "RB",
    "thereupon": "RB",
    "therewith": "RB",
    "thermal": "JJ",
    "thermally": "RB",
    "thermistor": "NN",
    "thermocouple": "NN",
    "thermocouples": "NNS",
    "thermodynamic": "JJ",
    "thermodynamically": "RB",
    "thermodynamics": "NNS",
    "thermoelectric": "JJ",
    "thermoformed": "VBN",
    "thermoforming": "JJ",
    "thermometer": "NN",
    "thermometers": "NNS",
    "thermometric": "JJ",
    "thermometry": "NN",
    "thermonuclear": "JJ",
    "thermopile": "NN",
    "thermoplastic": "JJ",
    "thermos": "NN",
    "thermostat": "NN",
    "thermostated": "VBN",
    "thermostatics": "NNS",
    "thermostats": "NNS",
    "thesaurus": "NN",
    "these": "DT",
    "theses": "NNS",
    "thesis": "NN",
    "thespian": "JJ",
    "thespians": "NNS",
    "thet": "DT|NN|VB",
    "thiamin": "NN",
    "thick": "JJ|NN|RB",
    "thick-skulled": "JJ",
    "thick-walled": "JJ",
    "thicken": "VB",
    "thickened": "VBN|VBD",
    "thickeners": "NNS",
    "thickening": "VBG",
    "thickens": "VBZ",
    "thicker": "JJR|RB|RBR",
    "thickest": "JJS",
    "thicket": "NN",
    "thickets": "NNS",
    "thickly": "RB",
    "thickness": "NN",
    "thicknesses": "NNS",
    "thief": "NN",
    "thieves": "NNS|VBZ",
    "thievin": "VBG",
    "thieving": "VBG|JJ|NN",
    "thigh": "NN",
    "thigh-bone": "NN",
    "thighs": "NNS",
    "thiihng": "NN",
    "thills": "NNS",
    "thimble": "NN",
    "thimble-sized": "JJ",
    "thin": "JJ|RB|VB",
    "thin-lipped": "JJ",
    "thin-margin": "JJ",
    "thin-slab": "JJ",
    "thin-soled": "JJ",
    "thin-tired": "JJ",
    "thin-walled": "JJ",
    "thine": "JJ",
    "thing": "NN|VBG",
    "things": "NNS",
    "think": "VBP|NN|VB",
    "think-alike": "JJ",
    "think-tank": "NN",
    "think-tanks": "JJ",
    "thinke": "VBZ",
    "thinker": "NN",
    "thinkers": "NNS",
    "thinkin": "VBG|NN",
    "thinking": "VBG|NN|JJ",
    "thinks": "VBZ",
    "thinly": "RB",
    "thinned": "VBN|VBD",
    "thinner": "JJR|NN",
    "thinners": "NNS",
    "thinness": "NN",
    "thinnest": "JJS",
    "thinning": "VBG",
    "thiocyanate-perchlorate-fluoro": "NN",
    "thiouracil": "NN",
    "third-biggest": "JJ",
    "third-class": "JJ",
    "third-consecutive": "JJ",
    "third-dimensional": "JJ",
    "third-dimensionality": "NN",
    "third-floor": "JJ",
    "third-generation": "JJ",
    "third-grade": "NN",
    "third-highest": "JJS|JJ",
    "third-inning": "NN",
    "third-largest": "JJ",
    "third-leading": "JJ",
    "third-party": "JJ",
    "third-period": "JJ",
    "third-place": "JJ",
    "third-quarter": "JJ|NN",
    "third-ranked": "JJ",
    "third-ranking": "JJ",
    "third-rate": "JJ",
    "third-round": "JJ",
    "third-selling": "JJ",
    "third-shift": "JJ",
    "third-story": "JJ",
    "third-straight": "JJ",
    "third-tier": "JJ",
    "third-worst": "JJ",
    "third-year": "JJ",
    "thirdquarter": "NN|JJ",
    "thirds": "NNS",
    "thirst": "NN|VB",
    "thirsted": "VBN|VBD",
    "thirsty": "JJ",
    "thirteen-year-old": "JJ",
    "thirteenth": "JJ|NN",
    "thirteenth-century": "JJ",
    "thirties": "NNS",
    "thirtieth": "JJ",
    "thirty-caliber": "JJ",
    "thirty-eighth": "JJ",
    "thirty-foot": "JJ",
    "thirty-fourth": "JJ",
    "thirty-mile": "JJ",
    "thirty-sixth": "JJ",
    "thirty-year": "JJ",
    "thirtysomething": "NN|NNP|JJ",
    "this": "DT|RB|PDT",
    "this....": ":",
    "thistles": "NNS",
    "thither": "RB",
    "tho": "NN",
    "tholins": "NNS",
    "thomp": "NN",
    "thong": "NN",
    "thoriated": "VBN",
    "thorn": "NN",
    "thorns": "NNS",
    "thorny": "JJ",
    "thorough": "JJ",
    "thoroughbred": "JJ|NN",
    "thoroughbreds": "NNS",
    "thoroughfare": "NN",
    "thoroughfares": "NNS",
    "thoroughgoing": "JJ",
    "thoroughly": "RB",
    "thoroughness": "NN",
    "those": "DT",
    "thou": "PRP",
    "though": "IN|RB|VBD",
    "thought": "VBD|NN|VBN",
    "thought-out": "JJ",
    "thoughtful": "JJ",
    "thoughtfully": "RB",
    "thoughtfulness": "NN",
    "thoughtless": "JJ",
    "thoughtlessly": "RB",
    "thoughtprovoking": "JJ",
    "thoughts": "NNS",
    "thousand-fold": "JJ",
    "thousand-legged": "JJ",
    "thousand-person": "JJ",
    "thousandth": "JJ",
    "thousandths": "NNS",
    "thout": "VBD",
    "thrall": "NN",
    "thrash": "VB",
    "thrashed": "VBD|VBN",
    "thrashing": "NN|VBG",
    "thread": "NN|VB",
    "threadbare": "JJ",
    "threaded": "VBN|VBD",
    "threading": "VBG",
    "threads": "NNS|VBZ",
    "threat": "NN",
    "threaten": "VB|VBP",
    "threatened": "VBN|VBD|JJ",
    "threatening": "VBG|JJ",
    "threateningly": "RB",
    "threatens": "VBZ",
    "three-and-a-half": "JJ",
    "three-axis": "JJ",
    "three-bedroom": "JJ",
    "three-body": "JJ",
    "three-boiler": "JJ",
    "three-building": "JJ",
    "three-button": "JJ",
    "three-cornered": "JJ",
    "three-day": "JJ",
    "three-day-old": "JJ",
    "three-dice": "JJ",
    "three-digit": "JJ",
    "three-dimensional": "JJ",
    "three-dimensionality": "NN",
    "three-dimentional": "JJ",
    "three-door": "JJ",
    "three-family": "JJ",
    "three-fifths": "JJ",
    "three-fold": "JJ",
    "three-foot": "JJ",
    "three-foot-wide": "JJ",
    "three-fourths": "JJ|NNS",
    "three-front": "JJ",
    "three-game": "JJ",
    "three-hour": "JJ",
    "three-hour-long": "JJ",
    "three-hour-show": "NN",
    "three-hundred-foot": "JJ",
    "three-inch": "JJ",
    "three-inch-long": "JJ",
    "three-inch-wide": "JJ",
    "three-inning": "JJ",
    "three-judge": "JJ",
    "three-lawyer": "JJ",
    "three-man": "JJ",
    "three-masted": "JJ",
    "three-member": "JJ",
    "three-men-and-a-helper": "JJ",
    "three-meter-high": "JJ",
    "three-mile": "JJ",
    "three-minute": "JJ",
    "three-month": "JJ",
    "three-month-old": "JJ",
    "three-night": "JJ",
    "three-page": "JJ",
    "three-panel": "JJ",
    "three-part": "JJ",
    "three-party": "JJ",
    "three-piece": "JJ",
    "three-point": "JJ",
    "three-power": "JJ",
    "three-quarter": "JJ",
    "three-quarters": "NNS",
    "three-room": "JJ",
    "three-round": "JJ",
    "three-row": "JJ",
    "three-run": "JJ",
    "three-second": "JJ",
    "three-sectioned": "JJ",
    "three-sentence": "JJ",
    "three-sevenths": "NNS",
    "three-snake": "JJ",
    "three-spoked": "JJ",
    "three-stage": "JJ",
    "three-step": "JJ|NN",
    "three-story": "JJ",
    "three-times": "JJ",
    "three-to-five": "JJ",
    "three-to-five-page": "JJ",
    "three-to-five-year": "JJ",
    "three-to-five-year-olds": "NNS",
    "three-ton": "JJ",
    "three-way": "JJ",
    "three-week": "JJ",
    "three-week-old": "JJ",
    "three-wood": "JJ",
    "three-year": "JJ",
    "three-year-old": "JJ|NN",
    "threefold": "RB|JJ",
    "threehour": "JJ",
    "threemonth": "JJ",
    "threes": "NNS",
    "threes-fulfilled": "NN",
    "threesome": "NN",
    "threetranche": "JJ",
    "threshed": "VBD|VBN",
    "threshhold": "NN",
    "threshing": "NN|VBG",
    "threshold": "NN",
    "thresholds": "NNS",
    "threw": "VBD",
    "thrice": "RB",
    "thrice-monthly": "JJ",
    "thrift": "NN",
    "thrift-accounting": "NN",
    "thrift-bailout": "JJ|NN",
    "thrift-fraud": "JJ|NN",
    "thrift-holding": "JJ",
    "thrift-industry": "NN|JJ",
    "thrift-institution": "NN",
    "thrift-insurance": "NN",
    "thrift-like": "JJ",
    "thrift-overhaul": "NN",
    "thrift-related": "JJ",
    "thrift-rescue": "JJ|NN",
    "thrift-resolution": "NN",
    "thriftiness": "NN",
    "thrifts": "NNS",
    "thrifty": "JJ",
    "thrill": "NN|VB",
    "thrilled": "VBN|JJ|VBD",
    "thriller": "NN",
    "thrillers": "NNS",
    "thrilling": "JJ|VBG",
    "thrills": "VBZ|NNS",
    "thrips": "NN",
    "thrive": "VBP|VB",
    "thrived": "VBD|VBN",
    "thrives": "VBZ",
    "thriving": "VBG|JJ",
    "throat": "NN",
    "throats": "NNS",
    "throaty": "JJ",
    "throbbed": "VBD|VBN",
    "throbbing": "VBG|NN",
    "throes": "NNS",
    "thrombi": "NNS",
    "thrombosed": "VBN",
    "thrombosis": "NN",
    "throne": "NN|VB",
    "thrones": "NNS|VBZ",
    "throng": "NN|VBP|VB",
    "throngs": "NNS|VBZ",
    "throttle": "NN|VB",
    "throttled": "VBN|VBD",
    "throttling": "VBG",
    "through": "IN|JJ|RB|RP",
    "throughout": "IN|RB",
    "throughput": "NN",
    "throw": "VB|VBP|NN",
    "throw-away": "JJ",
    "throw-rug": "NN",
    "throwaway": "JJ",
    "throwback": "NN",
    "throwed": "VBD",
    "thrower": "NN",
    "throwers": "NNS",
    "throwin": "VBG|NN",
    "throwing": "VBG|NN",
    "thrown": "VBN",
    "throws": "VBZ",
    "thru": "NN|IN",
    "thrumming": "VBG",
    "thrust": "NN|VBD|VBN|VB",
    "thrust-to-weight": "JJ",
    "thrusting": "VBG|NN",
    "thrusts": "NNS|VBZ",
    "thruway": "NN",
    "thruways": "RB",
    "thud": "NN|VB",
    "thudding": "VBG",
    "thuds": "NNS|VBZ",
    "thug": "NN",
    "thugs": "NNS",
    "thum": "PRP",
    "thumb": "NN|VB",
    "thumb-sucking": "NN",
    "thumbed": "VBD|VBN",
    "thumbing": "VBG",
    "thumbnail": "NN",
    "thumbs": "NNS|VBZ",
    "thumbs-down": "NN",
    "thump": "NN|VB",
    "thump-thump": "NN",
    "thumped": "VBD|VBN",
    "thumping": "VBG|NN",
    "thunder": "NN|VB|VBP",
    "thunder-purple": "JJ",
    "thunderclaps": "NNS",
    "thundered": "VBD|VBN",
    "thundering": "VBG|JJ",
    "thunderous": "JJ",
    "thunders": "VBZ",
    "thunderstorm": "NN",
    "thunderstorms": "NNS",
    "thunderstruck": "JJ",
    "thunk": "NN",
    "thuringiensis": "FW",
    "thus": "RB",
    "thwack": "NN|VB",
    "thwart": "VB|NN|RB",
    "thwarted": "VBN|VBD",
    "thwarting": "VBG",
    "thwump": "NN",
    "thy": "JJ|PRP$",
    "thynke": "VBP",
    "thyratron": "NN",
    "thyroglobulin": "NN",
    "thyroid": "NN",
    "thyroid-stimulating": "JJ|NN",
    "thyroidal": "JJ",
    "thyroids": "NNS",
    "thyronine": "NN",
    "thyrotoxic": "JJ",
    "thyrotrophic": "JJ",
    "thyrotrophin": "NN",
    "thyroxine": "NN",
    "thyroxine-binding": "JJ",
    "tibialis": "NNS",
    "tick": "VB|NN",
    "ticked": "VBN|VBD|JJ",
    "ticker": "NN",
    "tickertape": "NN",
    "ticket": "NN|VB",
    "ticket-transfer": "NN",
    "ticket-writing": "NN",
    "ticketed": "VBN",
    "ticketing": "VBG",
    "tickets": "NNS|VBZ",
    "ticking": "VBG",
    "ticklebrush": "NN",
    "tickled": "VBD|VBN",
    "ticklish": "JJ",
    "ticks": "NNS|VBZ",
    "tidal": "JJ",
    "tidbit": "NN",
    "tidbits": "NNS",
    "tide": "NN|VB",
    "tidelands": "NNS",
    "tides": "NNS|VBZ",
    "tidewater": "NN",
    "tidied": "VBD|VBN",
    "tidily": "RB",
    "tidiness": "NN",
    "tidings": "NNS",
    "tidy": "JJ|VB",
    "tidying": "VBG",
    "tie": "VB|NN|VBP",
    "tie-breaker": "NN",
    "tie-breaking": "JJ",
    "tie-in": "NN|JJ",
    "tie-ins": "NNS",
    "tie-up": "NN",
    "tie-ups": "NNS",
    "tied": "VBN|JJ|VBD",
    "tiefes": "FW",
    "tier": "NN",
    "tiered": "JJ",
    "tiering": "NN",
    "tiers": "NNS",
    "ties": "NNS|VBZ",
    "tiff": "NN",
    "tiffs": "NNS",
    "tiger": "NN",
    "tiger-paw": "NN",
    "tigers": "NNS",
    "tight": "JJ|RB",
    "tight-fisted": "JJ",
    "tight-fistedness": "NN",
    "tight-lipped": "JJ",
    "tight-turn": "JJ",
    "tighten": "VB|VBP",
    "tightened": "VBD|VBN",
    "tightener": "NN",
    "tightening": "VBG|JJ|NN",
    "tightens": "VBZ",
    "tighter": "JJR|RBR",
    "tightest": "JJS|RBS",
    "tightest-fitting": "JJS",
    "tightfisted": "JJ",
    "tightly": "RB",
    "tightness": "NN",
    "tightrope": "NN",
    "tigress": "NN",
    "tile": "NN",
    "tile-roofed": "JJ",
    "tiled": "JJ|VBN",
    "tiles": "NNS",
    "till": "IN|VB",
    "tilled": "JJ|VBD|VBN",
    "tiller": "NN|VB",
    "tilling": "VBG",
    "tilt": "VB|NN|JJ",
    "tilt-rotor": "JJ",
    "tilt-top": "JJ",
    "tilted": "JJ|VBD|VBN",
    "tilth": "NN",
    "tilting": "VBG",
    "tilts": "VBZ",
    "timber": "NN|VB",
    "timber-dependent": "JJ",
    "timber-state": "JJ",
    "timbered": "JJ|VBD|VBN",
    "timberland": "NN",
    "timberlands": "NNS",
    "timbers": "NNS|VBZ",
    "timbre": "NN",
    "time": "NN|VB",
    "time-&-motion": "JJ",
    "time-cast": "JJ",
    "time-consuming": "JJ",
    "time-delay": "JJ",
    "time-honored": "JJ",
    "time-hotels": "NNS",
    "time-limited": "JJ",
    "time-line": "NN",
    "time-on-the-job": "JJ",
    "time-poor": "JJ",
    "time-proven": "JJ",
    "time-sensitive": "JJ",
    "time-servers": "NNS",
    "time-share": "JJ",
    "time-shares": "NNS",
    "time-span": "NN",
    "time-strapped": "JJ",
    "time-table": "NN",
    "time-temperature": "JJ|NN",
    "time-tested": "JJ",
    "time-zone": "JJ",
    "timed": "VBN|VBD|JJ",
    "timeless": "JJ",
    "timelier": "JJR",
    "timeliness": "NN",
    "timely": "JJ|RB",
    "timeouts": "NNS",
    "timepiece": "NN",
    "timer": "NN",
    "timers": "NNS",
    "times": "NNS|VBZ|CC|RB",
    "timetable": "NN",
    "timetables": "NNS",
    "timeworn": "JJ",
    "timid": "JJ",
    "timidity": "NN",
    "timidly": "RB",
    "timing": "NN|VBG",
    "timorous": "JJ",
    "timpani": "NNS",
    "tin": "NN|VB",
    "tin-roofed": "JJ",
    "tincture": "NN|VB",
    "tinder": "NN",
    "tines": "NNS",
    "tinged": "VBN|VBD",
    "tinges": "NNS|VBZ",
    "tingling": "VBG|NN",
    "tinier": "NN",
    "tiniest": "JJS",
    "tinker": "VB",
    "tinkered": "VBN|VBD",
    "tinkering": "VBG|NN",
    "tinkers": "NNS|VBZ",
    "tinkled": "VBD|VBN",
    "tinkling": "VBG",
    "tinning": "VBG",
    "tinny": "JJ|NN",
    "tinplated": "VBN",
    "tins": "NNS|VBZ",
    "tinsel": "NN",
    "tint": "VBP|NN|VB",
    "tintable": "JJ",
    "tinted": "VBN|JJ|VBD",
    "tinting": "NN|VBG",
    "tinting-film": "NN",
    "tints": "NNS|VBZ",
    "tintype": "NN",
    "tiny": "JJ",
    "tip": "NN|VB|VBP",
    "tip-off": "NN",
    "tip-toe": "NN",
    "tipoff": "NN",
    "tipped": "VBD|VBN",
    "tippee": "NN",
    "tipper": "NN",
    "tipping": "VBG|NN",
    "tipple": "VBP|VB",
    "tippling": "JJ|VBG",
    "tips": "NNS|VBZ",
    "tipsters": "NNS",
    "tipsy": "JJ",
    "tiptoe": "VB",
    "tiptoed": "VBD|VBN",
    "tiptoeing": "VBG",
    "tirade": "NN",
    "tirades": "NNS",
    "tire": "NN|VBP|VB",
    "tire-industry": "NN",
    "tire-kickers": "NNS",
    "tire-maker": "NN",
    "tire-makers": "NNS",
    "tire-making": "JJ|NN",
    "tire-patching": "JJ",
    "tired": "JJ|VBN|VBD",
    "tiredly": "RB",
    "tiredness": "NN",
    "tireless": "JJ",
    "tirelessly": "RB",
    "tiremaker": "NN",
    "tires": "NNS|VBZ",
    "tiresome": "JJ",
    "tiring": "VBG",
    "tissue": "NN|VB",
    "tissue-transplant": "JJ",
    "tissue.": "NN",
    "tissues": "NNS|VBZ",
    "titanate": "NN",
    "titanic": "JJ",
    "titanium": "NN",
    "titans": "NNS",
    "titer": "NN",
    "titers": "NNS",
    "tithes": "NNS",
    "titian-haired": "JJ",
    "titillating": "VBG",
    "title": "NN|VB",
    "title-holder": "NN",
    "title-insurance": "JJ|NN",
    "titled": "VBN|JJ|VBD",
    "titles": "NNS|VBZ",
    "titration": "NN",
    "titre": "FW",
    "titter": "NN|VBP",
    "titters": "NNS",
    "titular": "JJ",
    "to": "TO|RB",
    "to-and-fro": "RB",
    "to-day": "NN|JJ|RB",
    "to-do": "NN",
    "to-morrow": "RB",
    "to-the-death": "NN",
    "to...": ":",
    "toad": "NN",
    "toadies": "NNS|VBZ",
    "toady": "NN|VB",
    "toadying": "JJ|VBG",
    "toadyism": "NN",
    "toast": "NN|VB",
    "toasted": "VBD|VBN",
    "toasted-nut": "NN",
    "toaster": "NN",
    "toasting": "VBG",
    "tobacco": "NN",
    "tobacco-ad": "JJ",
    "tobacco-growing": "JJ",
    "tobacco-industry": "NN",
    "tobacco-juice": "NN",
    "tobacco-product": "JJ",
    "toccata": "NN",
    "toconsolidated": "VBN",
    "today": "NN|JJ|RB",
    "toddler": "NN",
    "toddlers": "NNS",
    "tode": "VBN",
    "toe": "NN|VB",
    "toe-tips": "NNS",
    "toehold": "NN",
    "toeholds": "NNS",
    "toenails": "NNS|VBZ",
    "toes": "NNS|VBZ",
    "toffee": "NN",
    "tofu": "NN",
    "toga": "NN",
    "together": "RB|IN|RP",
    "togetherness": "NN",
    "togs": "NNS|VBZ",
    "toil": "VBP|NN|VB",
    "toiled": "VBD|VBN",
    "toilet": "NN",
    "toiletries": "NNS",
    "toilets": "NNS",
    "toiling": "NN|VBG",
    "toilsome": "JJ",
    "token": "JJ|NN",
    "tokenish": "JJ",
    "tokens": "NNS",
    "told": "VBD|VBN",
    "tole": "NN|VBD",
    "tolerable": "JJ",
    "tolerance": "NN",
    "tolerant": "JJ",
    "tolerate": "VB|VBP",
    "tolerated": "VBN|VBD",
    "tolerates": "VBZ",
    "tolerating": "VBG|JJ",
    "toleration": "NN",
    "toll": "NN|VB",
    "toll-free": "JJ",
    "toll-rate": "JJ",
    "toll-road": "NN",
    "toll-tele-phone": "JJ",
    "tolled": "VBN|VBD",
    "tollgate": "NN",
    "tollhouse": "NN",
    "tolls": "NNS|VBZ",
    "tollways": "RB",
    "tolylene": "NN",
    "tomato": "NN",
    "tomato-red": "NN",
    "tomatoes": "NNS",
    "tomb": "NN",
    "tomblike": "JJ",
    "tombs": "NNS",
    "tombstone": "NN",
    "tombstones": "NNS",
    "tomes": "NNS",
    "tomography": "NN",
    "tomorrow": "NN|JJ|RB",
    "tomorrow,will": "NN",
    "ton": "NN",
    "ton-mile": "JJ",
    "ton-per-year": "JJ",
    "tonal": "JJ",
    "tonalities": "NNS",
    "tonally": "RB",
    "tone": "NN|VB",
    "tone-generating": "JJ",
    "toned": "VBN|VBD",
    "toned-down": "JJ",
    "toneless": "JJ",
    "toner": "NN",
    "tones": "NNS|VBZ",
    "tongs": "NNS",
    "tongue": "NN",
    "tongue-in-cheek": "JJ|RB",
    "tongue-lashing": "NN",
    "tongue-thrusting": "NN",
    "tongue-tied": "JJ",
    "tongue-twister": "NN",
    "tongued": "VBD|JJ",
    "tongues": "NNS",
    "tonic": "NN",
    "tonics": "NNS",
    "toniest": "JJS",
    "tonight": "NN|RB",
    "tonnage": "NN",
    "tonnages": "NNS",
    "tons": "NNS",
    "tonsil": "NN",
    "tonsils": "NNS",
    "tony": "JJ",
    "too": "RB",
    "too-expensive": "JJ",
    "too-hearty": "JJ",
    "too-large": "JJ",
    "too-naked": "JJ",
    "too-rapid": "JJ",
    "too-shiny": "JJ",
    "too-simple-to-be-true": "JJ",
    "took": "VBD",
    "tooke": "VBD",
    "tool": "NN|VB",
    "tool-and-die": "JJ",
    "tool-kit": "NN",
    "tooling": "NN|VBG",
    "toolmaker": "NN",
    "tools": "NNS|VBZ",
    "tooted": "VBD|VBN",
    "tooth": "NN|RB",
    "tooth-paste": "NN",
    "tooth-straightening": "NN",
    "toothbrush": "NN",
    "toothbrushes": "NNS",
    "toothless": "JJ",
    "toothpaste": "NN",
    "toothpastes": "NNS",
    "tootles": "VBZ",
    "tootley-toot-tootled": "VBN",
    "top": "JJ|NN|VBP|RB|VB",
    "top-10": "JJ",
    "top-drawer": "NN|JJ",
    "top-flight": "JJ",
    "top-four": "JJ",
    "top-grade": "JJ",
    "top-heavy": "JJ",
    "top-level": "JJ",
    "top-loaders": "NNS",
    "top-management": "JJ|NN",
    "top-notch": "JJ",
    "top-of-the-line": "JJ",
    "top-performing": "JJ",
    "top-priority": "JJ",
    "top-quality": "JJ",
    "top-ranked": "JJ",
    "top-ranking": "JJ",
    "top-rated": "JJ",
    "top-secret": "JJ",
    "top-selling": "JJ",
    "top-tang": "JJ|NN",
    "top-tier": "JJ",
    "top-to-bottom": "JJ",
    "top-yielding": "JJ",
    "top...": ":",
    "topaz": "NN",
    "topcoat": "NN",
    "topcoats": "NNS",
    "topgallant": "NN",
    "topgrade": "JJ",
    "topiary": "JJ",
    "topic": "NN",
    "topical": "JJ",
    "topicality": "NN",
    "topics": "NNS",
    "topless": "JJ",
    "topmost": "JJ",
    "topnotch": "JJ",
    "topof-the-line": "JJ",
    "topographic": "JJ",
    "topography": "NN",
    "topped": "VBD|VBN",
    "topper": "NN",
    "topping": "VBG|NN",
    "toppings": "NNS",
    "topple": "VB",
    "toppled": "VBD|VBN",
    "toppling": "VBG",
    "topsoil": "NN",
    "topsy-turvy": "RB|JJ",
    "torch": "NN",
    "torch-lit": "JJ",
    "torchbearer": "NN",
    "torched": "VBD|VBN",
    "torches": "NNS",
    "tore": "VBD|VBN",
    "torment": "VB|NN",
    "tormented": "VBN|JJ|VBD",
    "tormenters": "NNS",
    "tormenting": "VBG",
    "tormentors": "NNS",
    "torments": "VBZ|NNS",
    "torn": "VBN|JJ",
    "tornado": "NN",
    "tornadoes": "NNS",
    "torpedo": "VB|NN",
    "torpedoed": "VBN|VBD",
    "torpedoes": "NNS|VBZ",
    "torpedoing": "VBG",
    "torpid": "JJ",
    "torpor": "NN",
    "torque": "NN",
    "torquer": "NN",
    "torquers": "NNS",
    "torrent": "NN|JJ",
    "torrents": "NNS",
    "torrid": "JJ",
    "torsion": "NN",
    "torso": "NN",
    "torso-defining": "JJ",
    "torsos": "NNS",
    "tort": "NN",
    "tortillas": "NNS",
    "tortoise": "NN",
    "tortoises": "NNS",
    "torts": "NNS",
    "tortuous": "JJ",
    "torture": "VBP|NN|VB",
    "tortured": "JJ|VBN|VBD",
    "tos": "NNS",
    "toss": "VB|NN|VBP",
    "tossed": "VBD|VBN|JJ",
    "tossers": "NNS",
    "tosses": "NNS|VBZ",
    "tossing": "VBG|NN",
    "tot": "NN|VB",
    "total": "JJ|NN|VB|VBP",
    "total-ban": "NN",
    "total-cost": "JJ",
    "totaled": "VBD|VBN|VBP",
    "totaling": "VBG",
    "totalistic": "JJ",
    "totalitarian": "JJ",
    "totalitarianism": "NN",
    "totality": "NN",
    "totalled": "VBD|VBN|JJ",
    "totalling": "VBG",
    "totally": "RB",
    "totals": "NNS|VBZ",
    "tote": "VB|NNP",
    "toted": "VBN|VBD",
    "totem": "NN",
    "totemic": "JJ",
    "toting": "VBG",
    "toto": "FW",
    "totted": "VBN",
    "totter": "VB",
    "tottering": "VBG|JJ",
    "touch": "NN|RB|VB|VBP",
    "touch-screen": "JJ",
    "touch-starved": "JJ",
    "touch-tone": "JJ",
    "touchdown": "NN",
    "touchdowns": "NNS",
    "touched": "VBN|VBD",
    "touches": "NNS|VBZ",
    "touching": "VBG|JJ|NN",
    "touchstone": "NN",
    "touchstones": "NNS",
    "touchy": "JJ",
    "tough": "JJ|RB|VB",
    "tough-looking": "JJ",
    "tough-minded": "JJ",
    "tough-talking": "NN",
    "toughen": "VB",
    "toughened": "VBD|VBN",
    "toughening": "VBG",
    "toughens": "VBZ",
    "tougher": "JJR|RBR",
    "toughest": "JJS",
    "toughest-ever": "JJS",
    "toughest-guy-in-the-old-days": "JJ",
    "toughing": "VBG",
    "toughness": "NN",
    "toughs": "NNS|VBZ",
    "tour": "NN|FW|VB",
    "tour/theme": "NN",
    "toured": "VBD|VBN",
    "touring": "VBG|JJ|NN",
    "tourism": "NN",
    "tourist": "NN",
    "tourist-advertising": "NN",
    "tourist-delivery": "JJ",
    "tourists": "NNS",
    "tournament": "NN",
    "tournaments": "NNS",
    "tourney": "NN",
    "tours": "NNS|VBZ",
    "toursists": "NNS",
    "tousled": "VBN|JJ|VBD",
    "tout": "VB|FW|NN",
    "touted": "VBD|VBN",
    "touting": "VBG",
    "touts": "VBZ",
    "tow": "NN|RB",
    "toward": "IN",
    "towardes": "IN",
    "towards": "IN",
    "towboats": "NNS",
    "towed": "VBD|VBN",
    "towel": "NN",
    "toweling": "NN",
    "towels": "NNS",
    "tower": "NN|VB",
    "towering": "JJ|VBG",
    "towers": "NNS|VBZ",
    "town": "NN",
    "town-house": "NN|JJ",
    "town-watching": "JJ",
    "towne": "NN",
    "townhouse": "NN",
    "townhouses": "NNS",
    "towns": "NNS",
    "township": "NN",
    "townships": "NNS",
    "townsman": "NN",
    "townsmen": "NNS",
    "townspeople": "NN",
    "tows": "NNS",
    "toxic": "JJ|NN",
    "toxic-waste": "NN",
    "toxic-waste-dump": "JJ",
    "toxicant": "NN",
    "toxicity": "NN",
    "toxicologist": "NN",
    "toxicologists": "NNS",
    "toxicology": "NN",
    "toxics": "NNS",
    "toxin": "NN",
    "toxins": "NNS",
    "toy": "NN|JJ|VB",
    "toy-making": "JJ",
    "toy-market": "NN",
    "toy-store": "NN",
    "toying": "VBG",
    "toymakers": "NNS",
    "toys": "NNS|VBZ",
    "trace": "VB|NN|JJ",
    "traceable": "JJ",
    "traced": "VBD|VBN",
    "tracers": "NNS",
    "tracery": "NN",
    "traces": "NNS|VBZ",
    "trachea": "NN",
    "tracing": "VBG|JJ|NN",
    "tracings": "NNS",
    "track": "NN|VBP|VB",
    "track-signal": "JJ",
    "trackage": "NN",
    "tracked": "VBN|VBD|JJ",
    "tracking": "VBG|NN",
    "trackless": "JJ",
    "tracks": "VBZ|NNS",
    "tract": "NN",
    "tractor": "NN",
    "tractor-semitrailer": "NN",
    "tractor-trailer": "NN",
    "tractors": "NNS",
    "tracts": "NNS",
    "trade": "NN|VBP|VB",
    "trade-ad": "NN",
    "trade-allocating": "NN",
    "trade-clearing": "JJ",
    "trade-deficit": "NN",
    "trade-distorting": "JJ",
    "trade-ethnic": "JJ",
    "trade-group": "NN",
    "trade-in": "NN",
    "trade-liberalizing": "JJ",
    "trade-magazine": "JJ",
    "trade-mark": "NN",
    "trade-off": "NN",
    "trade-offs": "NNS",
    "trade-preparatory": "NN",
    "trade-processing": "NN",
    "trade-school": "NN",
    "trade-union": "NN|JJ",
    "trade-up": "JJ",
    "tradeable": "JJ",
    "traded": "VBN|VBD|JJ",
    "tradedistorting": "JJ",
    "trademark": "NN|VB",
    "trademarks": "NNS|VBZ",
    "tradeoff": "NN",
    "tradeoffs": "NNS",
    "trader": "NN",
    "traders": "NNS",
    "trades": "NNS|VBZ",
    "tradesmen": "NNS",
    "trading": "NN|VBG|JJ",
    "trading-a": "NN",
    "trading-account": "JJ",
    "trading-company": "NN",
    "trading-fraud": "NN",
    "trading-house": "JJ",
    "trading-oriented": "JJ",
    "trading-related": "JJ",
    "trading-room": "NN",
    "tradition": "NN",
    "tradition-bound": "JJ",
    "tradition-minded": "JJ",
    "traditional": "JJ",
    "traditionalism": "NN",
    "traditionalist": "NN|JJ",
    "traditionalistic": "JJ",
    "traditionalists": "NNS",
    "traditionalized": "VBN",
    "traditionally": "RB",
    "traditionnel": "FW",
    "traditions": "NNS",
    "traduce": "VB",
    "traduced": "VBN|VBD",
    "traffic": "NN",
    "traffic-control": "NN",
    "traffic-safety": "NN",
    "traffic-systems": "NNS",
    "trafficked": "VBD",
    "trafficker": "NN",
    "traffickers": "NNS",
    "trafficking": "NN|VBG",
    "tragedians": "NNS",
    "tragedies": "NNS",
    "tragedy": "NN",
    "tragi-comic": "JJ",
    "tragic": "JJ|NN",
    "tragically": "RB",
    "tragicomic": "JJ|NN",
    "trail": "NN|VBP|VB",
    "trail-blazing": "JJ",
    "trail-setters": "NNS",
    "trail-worn": "JJ",
    "trailblazing": "VBG",
    "trailed": "VBD|VBN",
    "trailer": "NN",
    "trailers": "NNS",
    "trailing": "VBG",
    "trails": "NNS|VBZ",
    "train": "NN|VB|VBP",
    "trained": "VBN|VBD|JJ",
    "traineeships": "NNS",
    "trainer": "NN",
    "trainers": "NNS",
    "training": "NN|VBG|JJ",
    "training-wage": "JJ",
    "training.": "NN",
    "trainman": "NN",
    "trains": "NNS|VBZ",
    "traipse": "VB",
    "traipsing": "VBG",
    "trait": "NN",
    "traitor": "NN",
    "traitorous": "JJ",
    "traitors": "NNS",
    "traits": "NNS",
    "trajectory": "NN",
    "trammel": "VB",
    "tramp": "NN|JJ|VB",
    "tramped": "VBD|VBN",
    "tramping": "VBG",
    "trample": "VB",
    "trampled": "VBN|VBD|JJ",
    "tramples": "VBZ",
    "trampling": "VBG|NN",
    "tramps": "VBZ",
    "tramway": "NN",
    "trance": "NN|VB",
    "trances": "NNS|VBZ",
    "tranche": "NN|FW",
    "tranquil": "JJ",
    "tranquility": "NN",
    "tranquilizer": "NN",
    "tranquilizers": "NNS",
    "tranquilizing": "JJ|VBG",
    "tranquillity": "NN",
    "trans-Atlantic": "JJ|NNP",
    "trans-Canadian": "JJ",
    "trans-Pacific": "JJ",
    "trans-Panama": "JJ",
    "trans-illuminated": "JJ",
    "trans-illumination": "NN",
    "trans-lingually": "RB",
    "trans-political": "JJ",
    "transact": "VB",
    "transacted": "VBN|VBD",
    "transacting": "VBG",
    "transaction": "NN",
    "transaction-entry": "NN",
    "transactions": "NNS",
    "transactionstructuring": "NN",
    "transaminase": "NN",
    "transatlantic": "NN|JJ",
    "transbay": "JJ",
    "transborder": "JJ",
    "transcend": "VBP|VB",
    "transcendant": "JJ",
    "transcended": "VBD|VBN",
    "transcendence": "NN",
    "transcendent": "JJ",
    "transcendental": "JJ",
    "transcending": "VBG",
    "transcends": "VBZ",
    "transcontinental": "JJ",
    "transcribe": "VBP|VB",
    "transcribed": "VBN|JJ|VBD",
    "transcript": "NN",
    "transcription": "NN",
    "transcripts": "NNS",
    "transcultural": "JJ",
    "transducer": "NN",
    "transducers": "NNS",
    "transduction": "NN",
    "transfer": "VB|NN|VBP",
    "transfer-pricing": "JJ",
    "transfer-tax": "NN",
    "transferable": "JJ",
    "transfered": "VBN",
    "transferee": "NN",
    "transference": "NN",
    "transfering": "VBG",
    "transferor": "NN",
    "transferors": "NNS",
    "transferrable": "JJ",
    "transferral": "JJ",
    "transferred": "VBN|VBD|JJ",
    "transferring": "VBG",
    "transfers": "NNS|VBZ",
    "transfixing": "VBG",
    "transform": "VB|VBP",
    "transformation": "NN",
    "transformed": "VBN|JJ|VBD",
    "transformer": "NN",
    "transformers": "NNS",
    "transforming": "VBG",
    "transforms": "VBZ",
    "transfused": "VBN|VBD",
    "transfusion": "NN",
    "transfusions": "NNS",
    "transgenic": "JJ",
    "transgressed": "VBD|VBN",
    "transgression": "NN",
    "transience": "NN",
    "transient": "JJ",
    "transients": "NNS",
    "transistor": "NN",
    "transistor-radio-sized": "JJ",
    "transistors": "NNS",
    "transit": "NN|JJ",
    "transit-association": "NN",
    "transition": "NN",
    "transitional": "JJ",
    "transitions": "NNS",
    "transitory": "JJ",
    "translate": "VB|VBP",
    "translated": "VBN|VBD",
    "translates": "VBZ",
    "translating": "VBG|NN",
    "translation": "NN",
    "translations": "NNS",
    "translator": "NN",
    "translatorfor": "NN|IN",
    "translators": "NNS",
    "translucence": "NN",
    "translucency": "NN",
    "translucent": "JJ",
    "transluscent": "JJ",
    "transmissible": "JJ",
    "transmission": "NN",
    "transmission-product": "NN",
    "transmissions": "NNS",
    "transmit": "VB|VBP",
    "transmits": "VBZ",
    "transmittable": "JJ",
    "transmitted": "VBD|VBN|JJ",
    "transmitter": "NN",
    "transmitters": "NNS",
    "transmitting": "VBG|NN",
    "transmogrified": "VBN|VBD",
    "transmutation": "NN",
    "transmuted": "VBN|VBD",
    "transnational": "JJ",
    "transoceanic": "JJ",
    "transom": "NN",
    "transoms": "NNS",
    "transparencies": "NNS",
    "transparency": "NN",
    "transparent": "JJ|NN",
    "transparent...": ":",
    "transparently": "RB",
    "transpirating": "VBG",
    "transpiration": "NN",
    "transpired": "VBN|VBD",
    "transpiring": "VBG",
    "transplant": "NN|VBP|VB",
    "transplantable": "JJ",
    "transplantation": "NN",
    "transplanted": "VBN|JJ|VBD",
    "transplanting": "VBG",
    "transplants": "NNS|VBZ",
    "transponder": "NN",
    "transport": "NN|VBP|VB",
    "transportable": "JJ",
    "transportation": "NN",
    "transportation-cost": "JJ",
    "transportation-equipment": "NN",
    "transportation-services": "JJ",
    "transportation-where": "WRB|NN",
    "transported": "VBN|VBD",
    "transporter": "NN",
    "transporters": "NNS",
    "transporting": "VBG|NN",
    "transports": "VBZ|NNS",
    "transposed": "VBN|VBD",
    "transposition": "NN",
    "transshipment": "NN",
    "transversally": "RB",
    "transverse": "JJ|NN",
    "transversely": "RB",
    "transversus": "NN",
    "transvestites": "NNS",
    "transvestitism": "NN",
    "trap": "NN|VB",
    "trapdoor": "NN",
    "trapdoors": "NNS",
    "trapeze": "NN",
    "trapezoid": "NN",
    "trapped": "VBN|VBD|JJ",
    "trapper": "NN",
    "trapping": "VBG|NN",
    "trappings": "NNS",
    "traps": "NNS|VBZ",
    "trash": "NN|VB",
    "trash-bag": "NN",
    "trashed": "VBN|VBD",
    "trashing": "NN|VBG",
    "trauma": "NN",
    "traumas": "NNS",
    "traumatic": "JJ",
    "traumatized": "VBN|VBD",
    "travail": "NN|VB",
    "travails": "NNS|VBZ",
    "travel": "NN|VBP|VB",
    "travel-agency": "NN",
    "travel-leisure": "JJ",
    "travel-management": "NN",
    "travel-related": "JJ",
    "travel-service": "NN",
    "travel-services": "NNS",
    "traveled": "VBD|JJ|VBN",
    "traveler": "NN",
    "travelers": "NNS",
    "travelin": "VBG",
    "traveling": "VBG|NN",
    "travelled": "JJ|VBD|VBN",
    "traveller": "NN",
    "travellers": "NNS",
    "travelling": "VBG",
    "travelogue": "NN",
    "travelogue-like": "JJ",
    "travelogues": "NNS",
    "travelrestrictions": "NNS",
    "travels": "VBZ|NNS",
    "traverse": "VB|JJ",
    "traversed": "VBN|VBD",
    "traversing": "VBG",
    "travesty": "NN|VB",
    "trawl": "NN",
    "trawler": "NN",
    "tray": "NN",
    "trays": "NNS",
    "trazadone": "NN",
    "treacheries": "NNS",
    "treacherous": "JJ",
    "treachery": "NN",
    "tread": "VB|NN",
    "treading": "VBG",
    "treadmill": "NN",
    "treadmills": "NNS",
    "treads": "VBZ",
    "treament": "NN",
    "treason": "NN",
    "treasonous": "JJ",
    "treasure": "NN|VBP|VB",
    "treasure-trove": "NN",
    "treasured": "JJ|VBN|VBD",
    "treasurer": "NN",
    "treasurers": "NNS",
    "treasuries": "NNS",
    "treasury": "NN",
    "treasury-management": "NN",
    "treat": "VB|VBP|NN",
    "treatable": "JJ",
    "treated": "VBN|VBD|JJ",
    "treaties": "NNS",
    "treating": "VBG",
    "treatise": "NN",
    "treatises": "NNS",
    "treatment": "NN",
    "treatments": "NNS",
    "treats": "VBZ|NNS",
    "treaty": "NN",
    "treaty-making": "NN",
    "treaty-negotiating": "JJ",
    "treble": "JJ|NN|VB",
    "trebled": "VBN|VBD",
    "tree": "NN|VB",
    "tree-clumps": "NNS",
    "tree-farming": "JJ",
    "tree-huggers": "NNS",
    "tree-lined": "JJ",
    "tree-planting": "NN",
    "tree-shaded": "JJ",
    "treehouse": "NN",
    "treeless": "JJ",
    "treelike": "JJ",
    "trees": "NNS|VBZ",
    "treetops": "NNS",
    "trek": "NN|VB|VBP",
    "trekked": "VBD",
    "treks": "VBZ",
    "trellises": "NNS",
    "tremble": "VB|NN",
    "trembled": "VBD|VBN",
    "trembles": "VBZ",
    "trembling": "VBG|JJ",
    "tremblor": "NN",
    "tremendous": "JJ",
    "tremendously": "RB",
    "tremolo": "NN",
    "tremor": "NN|VB",
    "tremors": "NNS|VBZ",
    "tremulous": "JJ",
    "tremulously": "RB",
    "trench": "NN|VB",
    "trenchant": "JJ",
    "trenchermen": "NNS",
    "trenches": "NNS|VBZ",
    "trend": "NN|VB",
    "trend-followers": "NNS",
    "trend-following": "JJ|NN",
    "trend-setter": "NN",
    "trend-setters": "NNS",
    "trend-setting": "JJ",
    "trend-spotter": "NN",
    "trended": "VBN|VBD",
    "trendier": "JJR",
    "trendiest": "JJS",
    "trending": "VBG",
    "trends": "NNS|VBZ",
    "trendsetter": "NN",
    "trendy": "JJ",
    "trepidation": "NN",
    "trespass": "NN|VBP|VB",
    "trespassed": "VBN|VBD",
    "trespasses": "NNS|VBZ",
    "trespassing": "NN|VBG",
    "tresses": "NNS",
    "trestle": "NN",
    "trestles": "NNS",
    "tri-colored": "JJ",
    "tri-iodothyronine": "NN",
    "tri-jet": "NN",
    "tri-motor": "NN",
    "tri-state": "JJ",
    "triable": "JJ",
    "triad": "NN|JJ",
    "triage": "NN",
    "trial": "NN|VB|JJ",
    "trial-book": "JJ",
    "trials": "NNS|VBZ",
    "triamcinolone": "NN",
    "triangle": "NN",
    "triangles": "NNS",
    "triangular": "JJ",
    "tribal": "JJ",
    "tribe": "NN",
    "tribes": "NNS",
    "tribesmen": "NNS",
    "tribulation": "NN",
    "tribunal": "NN",
    "tribunals": "NNS",
    "tribute": "NN",
    "tributes": "NNS",
    "trichloroacetic": "JJ",
    "trichloroethylene": "NN",
    "trick": "NN|VB",
    "trick...": ":",
    "tricked": "VBN|VBD",
    "trickery": "NN",
    "trickier": "JJR",
    "trickiest": "JJS",
    "trickle": "VB|NN|VBP",
    "trickled": "VBN|VBD",
    "trickling": "VBG",
    "tricks": "NNS|VBZ",
    "trickster": "NN",
    "tricky": "JJ",
    "tricolor": "JJ",
    "tried": "VBD|JJ|VBN",
    "triennial": "NN",
    "tries": "VBZ|NNS",
    "trifle": "RB|NN|JJ|VB",
    "trifled": "VBN|VBD",
    "trifling": "JJ|VBG",
    "trigger": "NN|VB|VBP",
    "trigger-happy": "JJ",
    "triggered": "VBD|VBN|JJ",
    "triggering": "VBG",
    "triggers": "VBZ|NNS",
    "triglycerides": "NNS",
    "trigonal": "JJ",
    "trijets": "NNS",
    "trilateral": "JJ",
    "trill": "NN|VB",
    "trilled": "VBD|VBN",
    "trillion-dollar": "JJ",
    "trillion-plus": "NN",
    "trillions": "NNS",
    "trills": "NNS|VBZ",
    "trilogy": "NN",
    "trim": "VB|JJ|NN",
    "trimester": "NN",
    "trimesters": "NNS",
    "trimmed": "VBD|VBN|RBR|JJ",
    "trimmer": "JJR",
    "trimming": "VBG|NN",
    "trimmings": "NNS",
    "trims": "VBZ|NNS",
    "trinket": "NN",
    "trinkets": "NNS",
    "trio": "NN",
    "triol": "NN",
    "trip": "NN|VB",
    "trip-hammer": "NN",
    "tripartite": "JJ",
    "tripe": "NN",
    "triphenylarsine": "NN",
    "triphenylphosphine": "NN",
    "triphenylstibine": "NN",
    "triphosphopyridine": "JJ",
    "triphosphorous": "JJ",
    "triple": "JJ|NN|RB|VB",
    "triple-A": "JJ|NNP",
    "triple-A-rated": "JJ|VBN",
    "triple-B": "JJ",
    "triple-B-minus": "NNP|JJ",
    "triple-B-plus": "JJ|NNP",
    "triple-C": "NN|JJ|NNP",
    "triple-Crated": "JJ",
    "triple-a": "JJ",
    "triple-checked": "VBD",
    "triple-crown": "JJ",
    "triple-digit": "JJ",
    "triple-sealed": "JJ",
    "triple-tank": "JJ",
    "triple-witching": "JJ",
    "tripled": "VBN|VBD",
    "triples": "NNS|VBZ",
    "triplet": "NN",
    "triplets": "NNS",
    "triplication": "NN",
    "tripling": "VBG",
    "tripod": "NN",
    "tripods": "NNS",
    "tripolyphosphate": "NN",
    "tripped": "VBN|VBD",
    "trippin": "NN",
    "tripping": "VBG",
    "trips": "NNS|VBZ",
    "triptych": "NN",
    "tris": "NNS",
    "triservice": "NN",
    "triskaidekaphobia": "NN",
    "trisodium": "NN",
    "tristate": "JJ",
    "trite": "JJ",
    "tritium": "NN",
    "triumph": "NN|VB",
    "triumphant": "JJ",
    "triumphantly": "RB",
    "triumphed": "VBD|VBN",
    "triumphs": "NNS|VBZ",
    "triumvirate": "NN",
    "trivia": "NNS",
    "trivial": "JJ|NN",
    "triviality": "NN",
    "trivialize": "VB",
    "trivializing": "VBG",
    "trobles": "NNS",
    "trod": "VBN|VBD",
    "trodden": "JJ|VBN",
    "trodding": "VBG",
    "troika": "NN",
    "trolley": "NN",
    "trollop": "NN",
    "trolls": "NNS",
    "trombone": "NN",
    "trombones": "NNS",
    "trombonist": "NN",
    "troop": "NN|VBP|VB",
    "trooper": "NN",
    "troopers": "NNS",
    "trooping": "VBG",
    "troops": "NNS|VBZ",
    "troopship": "NN",
    "troopships": "NNS",
    "trop": "FW",
    "trophies": "NNS",
    "tropho": "JJ",
    "trophy": "NN",
    "tropical": "JJ|NN",
    "tropical-fruit": "NN",
    "tropics": "NNS",
    "tropocollagen": "NN",
    "trot": "NN|VB",
    "trotted": "VBN|VBD",
    "trotter": "NN",
    "troubie": "NN",
    "trouble": "NN|VBD|VBP|JJ|VB",
    "trouble-free": "JJ",
    "trouble-shooter": "NN",
    "trouble-shooting": "NN",
    "troubled": "JJ|VBD|VBN",
    "troublemakers": "NNS",
    "troubleshooter": "NN",
    "troublesome": "JJ",
    "troubling": "JJ|VBG",
    "trough": "NN",
    "troughed": "VBD",
    "troughs": "NNS",
    "trounced": "VBD|VBN",
    "trouncing": "NN|VBG",
    "troup": "NN",
    "troupe": "NN",
    "troupes": "NNS",
    "trouser": "NN",
    "trousers": "NNS",
    "trousers-pockets": "NNS",
    "trout": "NNS|NN",
    "trove": "NN",
    "trowel": "NN",
    "truant": "JJ",
    "truce": "NN",
    "truck": "NN|VB|VBP",
    "truck-bed": "NN",
    "truck-building": "JJ|NN",
    "truck-fleet": "JJ",
    "truck-maker": "NN",
    "truck-manufacturing": "JJ",
    "truck-parts": "NNS",
    "truck-refrigeration": "NN",
    "truck-rental": "JJ",
    "truck-sales": "NNS",
    "truckdriver": "NN",
    "trucked": "VBN|VBD",
    "trucker": "NN",
    "truckers": "NNS",
    "trucking": "NN|VBG",
    "truckloads": "NNS",
    "trucks": "NNS|VBZ",
    "truculence": "NN",
    "truculent": "JJ",
    "trudge": "NN|VB",
    "trudged": "VBD|VBN",
    "trudging": "VBG",
    "true": "JJ",
    "true-false": "JJ",
    "truer": "JJR",
    "truest": "JJS",
    "truism": "NN",
    "truley": "RB",
    "truly": "RB",
    "trump": "NN|VB",
    "trumped-up": "JJ",
    "trumpet": "NN|VBP",
    "trumpeted": "VBD|VBN",
    "trumpeter": "NN",
    "trumpeting": "VBG",
    "trumpets": "VBZ|NNS",
    "trumps": "NNS|VBZ",
    "truncated": "VBN|JJ",
    "truncheons": "NNS",
    "trundle": "NN|VBP",
    "trundled": "VBD|VBN",
    "trundles": "VBZ",
    "trundling": "VBG",
    "trunk": "NN|JJ",
    "trunks": "NNS",
    "trussed-up": "JJ",
    "trusses": "NNS",
    "trust": "NN|VBP|VB",
    "trust..": "NN",
    "trusted": "VBD|VBN|JJ",
    "trustee": "NN",
    "trustees": "NNS",
    "trusteeship": "NN",
    "trusteth": "VBP|NN",
    "trustfully": "RB",
    "trusting": "JJ|VBG",
    "trustingly": "RB",
    "trusts": "NNS|VBZ",
    "trustworthy": "JJ",
    "truth": "NN",
    "truth-in-lending": "NN",
    "truth-packed": "NN",
    "truth-revealing": "JJ",
    "truthful": "JJ",
    "truthfully": "RB",
    "truthfulness": "NN",
    "truths": "NNS",
    "try": "VB|VBP|NN",
    "tryin": "NN|VBG",
    "trying": "VBG|JJ|NN",
    "tryouts": "NNS",
    "tryst": "NN",
    "tsh": "NN",
    "tsk": "UH",
    "tsunami": "NN|NNS",
    "tsunami-warning": "JJ",
    "tt": "NN",
    "tub": "NN",
    "tuba": "NN",
    "tube": "NN",
    "tube-nosed": "JJ",
    "tubercular": "JJ",
    "tuberculosis": "NN",
    "tubers": "NNS",
    "tubes": "NNS",
    "tubing": "NN|,",
    "tubs": "NNS",
    "tubular": "JJ",
    "tubules": "NNS",
    "tuck": "VB|VBP",
    "tucked": "VBN|VBD",
    "tucking": "VBG",
    "tufts": "NNS",
    "tug": "NN|VB",
    "tug-of-war": "NN",
    "tugboat": "NN",
    "tugged": "VBD|VBN",
    "tugging": "VBG",
    "tuition": "NN",
    "tuitions": "NNS",
    "tularemia": "NN",
    "tulip": "NN",
    "tulip-shaped": "JJ",
    "tulips": "NNS",
    "tulle": "NN",
    "tultul": "FW",
    "tumble": "NN|VB",
    "tumbled": "VBD|VBN|JJ",
    "tumbledown": "JJ",
    "tumbler": "NN",
    "tumbles": "VBZ|NNS",
    "tumbleweed": "NN",
    "tumbling": "VBG|NN",
    "tumbrels": "NNS",
    "tumefaciens": "NN",
    "tummy": "NN",
    "tumor": "NN",
    "tumor-necrosis": "JJ",
    "tumor-suppressing": "JJ",
    "tumor-suppressor": "JJ",
    "tumor-suppressors": "NNS",
    "tumors": "NNS",
    "tumours": "NNS",
    "tumult": "NN",
    "tumultuous": "JJ",
    "tuna": "NN",
    "tundra": "NN",
    "tune": "NN|VB|VBP",
    "tune-belly": "NN",
    "tune-in": "JJ",
    "tuned": "VBN|JJ|VBD",
    "tuneful": "JJ",
    "tunefulness": "NN",
    "tunelessly": "RB",
    "tunes": "NNS|VBZ",
    "tung": "NN",
    "tungsten": "NN",
    "tunic": "NN",
    "tuning": "VBG|NN",
    "tunnel": "NN|VBP|VB",
    "tunneled": "VBD",
    "tunnels": "NNS|VBZ",
    "turban": "NN",
    "turbans": "NNS",
    "turbinates": "NNS",
    "turbine": "NN|JJ",
    "turbine-engine": "JJ",
    "turbine-generators": "NNS",
    "turbines": "NNS",
    "turbo": "NN",
    "turbo-charged": "JJ",
    "turbofan": "NN",
    "turbogenerator": "NN",
    "turboprop": "NN",
    "turboprops": "NNS",
    "turbulence": "NN",
    "turbulent": "JJ",
    "turf": "NN|JJ",
    "turf-care": "JJ|NN",
    "turf-hungry": "JJ",
    "turgid": "JJ",
    "turkey": "NN|JJ",
    "turkeys": "NNS",
    "turmoil": "NN",
    "turmoils": "NNS",
    "turn": "VB|NN|RB|VBP",
    "turn-of-the-century": "JJ",
    "turn-ons": "NNS",
    "turn-out": "JJ",
    "turnabout": "NN",
    "turnaround": "NN",
    "turnaround/takeover": "JJR",
    "turnarounds": "NNS",
    "turne": "VB",
    "turned": "VBD|VBN",
    "turned-up": "JJ",
    "turnery": "NN",
    "turning": "VBG|JJ|NN",
    "turnings": "NNS",
    "turnips": "NNS",
    "turnkey": "NN",
    "turnoff": "NN",
    "turnout": "NN",
    "turnouts": "NNS",
    "turnover": "NN",
    "turnpike": "NN",
    "turnpikes": "NNS",
    "turns": "VBZ|NNS",
    "turntable": "NN",
    "turpentine": "NN",
    "turquoise": "NN|JJ",
    "turret": "NN|JJ",
    "turrets": "NNS",
    "turtle": "NN|VB",
    "turtle-neck": "JJ",
    "turtlebacks": "NNS",
    "turtleneck": "NN",
    "turtles": "NNS|VBZ",
    "tusk": "NN|VB",
    "tusks": "NNS|VBZ",
    "tussle": "NN|VB",
    "tussled": "VBD|VBN",
    "tutelage": "NN",
    "tutor": "NN|VB",
    "tutored": "VBN|VBD",
    "tutorials": "NNS",
    "tutoring": "VBG|NN",
    "tutors": "NNS|VBZ",
    "tuxedo": "NN",
    "tuxedo-rental": "JJ",
    "tuxedoed": "JJ",
    "tuxedos": "NNS",
    "tv": "NN",
    "tva": "NN",
    "twaddle": "NN|VB",
    "twang": "NN",
    "twangy": "JJ",
    "tweaked": "VBD|VBN",
    "tweaking": "NN|VBG",
    "tweed": "NN",
    "tweeds": "NNS",
    "tweedy": "JJ",
    "tweety-bird": "JJ",
    "tweezed": "VBN",
    "tweezers": "NNS",
    "twelfth": "JJ",
    "twelve-hour": "JJ",
    "twelve-year": "JJ",
    "twelve-year-old": "JJ",
    "twelvefold": "JJ",
    "twenties": "NNS",
    "twentieth": "JJ",
    "twentieth-century": "JJ|NN",
    "twenty-dollar": "JJ",
    "twenty-eighth": "JJ",
    "twenty-fifth": "JJ",
    "twenty-first": "JJ",
    "twenty-first-century": "JJ",
    "twenty-five-dollar": "JJ",
    "twenty-five-year-old": "JJ",
    "twenty-mile": "JJ",
    "twenty-nine-foot-wide": "JJ",
    "twenty-page": "JJ",
    "twenty-year": "JJ",
    "twice": "RB|JJ",
    "twice-a-day": "JJ",
    "twice-a-year": "JJ",
    "twice-around": "JJ",
    "twice-daily": "JJ",
    "twice-extended": "JJ",
    "twice-monthly": "JJ",
    "twice-yearly": "JJ",
    "twiddled": "VBD|VBN",
    "twiddling": "VBG",
    "twigged": "VBD",
    "twiggy-looking": "JJ",
    "twigs": "NNS",
    "twilight": "NN",
    "twin": "JJ|NN|VB",
    "twin-blade": "JJ",
    "twin-deficit": "NN",
    "twin-engine": "JJ",
    "twin-engined": "JJ",
    "twin-jet": "NN",
    "twin-jets": "NN|NNS",
    "twin-line": "JJ",
    "twin-rotor": "JJ",
    "twindam": "NN",
    "twine": "NN|VB",
    "twined": "VBD|VBN",
    "twinge": "NN|VB",
    "twinges": "NNS|VBZ",
    "twinjets": "NNS",
    "twinkle": "NN|VB",
    "twinkling": "VBG|NN",
    "twinned": "VBN|VBD",
    "twins": "NNS|VBZ",
    "twirled": "JJ|VBD|VBN",
    "twirler": "NN",
    "twirling": "VBG|NN",
    "twirlingly": "RB",
    "twirls": "VBZ",
    "twirly": "JJ",
    "twise": "RB",
    "twist": "NN|VBP|VB",
    "twisted": "JJ|VBN|VBD",
    "twister": "NN",
    "twister-coners": "NNS",
    "twisting": "VBG|NN",
    "twists": "NNS|VBZ",
    "twisty": "JJ",
    "twitch": "VB|NN",
    "twitched": "VBD|VBN",
    "twitching": "VBG",
    "twittered": "VBD|VBN",
    "twittering": "VBG",
    "two-and-a-half": "JJ",
    "two-and-a-half-mile": "JJ",
    "two-bedroom": "JJ",
    "two-billion-Australian-dollar": "JJ",
    "two-bit": "JJ",
    "two-bits": "NNS",
    "two-burner": "JJ",
    "two-button": "JJ",
    "two-by-four": "NN",
    "two-by-fours": "NNS",
    "two-career": "JJ",
    "two-class": "JJ",
    "two-color": "JJ",
    "two-colored": "JJ",
    "two-component": "JJ",
    "two-day": "JJ",
    "two-day-old": "JJ",
    "two-digit": "JJ",
    "two-dimensional": "JJ",
    "two-disc": "JJ",
    "two-door": "JJ|NN",
    "two-dozen": "JJ",
    "two-drug": "JJ",
    "two-edged": "JJ",
    "two-engine": "JJ",
    "two-evening": "JJ",
    "two-family": "JJ",
    "two-fisted": "JJ",
    "two-floor": "JJ",
    "two-fold": "JJ",
    "two-foot": "JJ",
    "two-for-one": "JJ",
    "two-game": "NN",
    "two-hit": "JJ",
    "two-hour": "JJ",
    "two-hundredths": "NNS",
    "two-inch": "JJ",
    "two-inch-square": "JJ",
    "two-inches": "NNS",
    "two-income": "NN|JJ",
    "two-lane": "JJ",
    "two-letter": "JJ",
    "two-line": "JJ",
    "two-mark": "JJ",
    "two-mile": "JJ",
    "two-minute": "JJ",
    "two-month": "JJ",
    "two-nosed": "JJ",
    "two-note": "JJ",
    "two-page": "JJ",
    "two-parent": "JJ",
    "two-part": "JJ",
    "two-party": "JJ",
    "two-percentage-point": "JJ",
    "two-product": "JJ",
    "two-pronged": "JJ",
    "two-record": "JJ",
    "two-room": "JJ",
    "two-round": "JJ",
    "two-run": "JJ",
    "two-season": "JJ",
    "two-seat": "JJ",
    "two-seater": "JJ",
    "two-seaters": "JJ|NNS",
    "two-sevenths": "NNS",
    "two-step": "JJ",
    "two-story": "JJ",
    "two-stroke": "JJ",
    "two-syllable": "JJ",
    "two-system": "JJ",
    "two-tail": "JJ",
    "two-term": "JJ",
    "two-thirds": "NNS|JJ|RB",
    "two-tier": "JJ",
    "two-tiered": "JJ",
    "two-time": "JJ",
    "two-time-losers": "JJ",
    "two-timed": "VBN",
    "two-timing": "JJ",
    "two-to-three": "JJ",
    "two-tone": "JJ",
    "two-track": "JJ",
    "two-valued": "JJ",
    "two-way": "JJ",
    "two-week": "JJ",
    "two-weeks": "JJ",
    "two-wheel": "JJ",
    "two-wheel-drive": "JJ",
    "two-year": "JJ",
    "two-year-long": "JJ",
    "two-year-old": "JJ|NN",
    "two...": ":",
    "twofold": "JJ|RB",
    "twopoint": "NN",
    "twos": "NNS",
    "twosome": "NN",
    "twothirds": "NNS",
    "twotiered": "JJ",
    "twotiming": "VBG",
    "tycoon": "NN",
    "tycoons": "NNS",
    "tying": "VBG",
    "tyke": "NN",
    "tyme": "NN",
    "type": "NN|VB",
    "typecast": "VB|VBD|VBN",
    "typecasting": "VBG",
    "typed": "VBN|JJ|VBD",
    "typefaces": "NNS",
    "types": "NNS|VBZ",
    "typescript": "NN",
    "typesetters": "NNS",
    "typesetting": "NN|VBG",
    "typewriter": "NN",
    "typewriters": "NNS",
    "typewriting": "NN|VBG",
    "typewritten": "JJ|VBN",
    "typhoid": "NN",
    "typhoon": "NN",
    "typhoons": "NNS",
    "typhus": "NN",
    "typical": "JJ",
    "typicality": "NN",
    "typically": "RB",
    "typically...": ":",
    "typified": "VBD|VBN",
    "typifies": "VBZ",
    "typify": "VBP|VB",
    "typifying": "VBG",
    "typing": "NN|VBG",
    "typist": "NN",
    "typists": "NNS",
    "typographic": "JJ",
    "typographical": "JJ",
    "typography": "NN",
    "typology": "NN",
    "tyrannical": "JJ",
    "tyrannis": "FW",
    "tyrannize": "VB",
    "tyranny": "NN",
    "tyrant": "NN",
    "tyrants": "NNS",
    "tyrosine": "NN",
    "u": "PRP|NN",
    "u.": "NN",
    "ubiquitous": "JJ",
    "ubiquitousness": "NN",
    "ubiquity": "NN",
    "udders": "NNS",
    "udon": "FW",
    "ugh": "UH",
    "uglier": "JJR",
    "ugliness": "NN",
    "ugly": "JJ",
    "uh": "UH",
    "uh-huh": "UH",
    "uh-uh": "UH",
    "uhhu": "UH",
    "ulcer": "NN",
    "ulcerated": "JJ",
    "ulcerations": "NNS",
    "ulcerative": "JJ",
    "ulcers": "NNS",
    "ultimate": "JJ",
    "ultimately": "RB",
    "ultimatum": "NN",
    "ultimatums": "NNS",
    "ultra": "JJ",
    "ultra-efficient": "JJ",
    "ultra-fast": "JJ",
    "ultra-high-speed": "JJ",
    "ultra-liberal": "JJ",
    "ultra-low-tar": "JJ",
    "ultra-modern": "JJ",
    "ultra-pasteurized": "JJ",
    "ultra-right": "JJ",
    "ultra-safe": "JJ",
    "ultra-thin": "JJ",
    "ultra-violet": "JJ|NN",
    "ultracentrifugally": "RB",
    "ultracentrifugation": "NN",
    "ultracentrifuge": "NN",
    "ultramarine": "NN",
    "ultramodern": "JJ",
    "ultrasonic": "JJ",
    "ultrasonically": "RB",
    "ultrasonics": "NNS",
    "ultrasound": "NN",
    "ultravehement": "JJ",
    "ultraviolet": "NN|JJ",
    "um": "FW|UH|PRP",
    "umber": "JJ|NN",
    "umbrage": "NN",
    "umbrella": "NN",
    "umbrellas": "NNS",
    "umpire": "NN|VB",
    "umpteenth": "JJ",
    "un": "FW|NN",
    "un-American": "JJ",
    "un-Christian": "JJ",
    "un-English": "NNP",
    "un-Swiss": "JJ",
    "un-Westernizable": "JJ",
    "un-advertisers": "NNS",
    "un-advertising": "NN",
    "un-aided": "JJ",
    "unMcGuanean": "JJ",
    "unabashed": "JJ",
    "unabated": "JJ",
    "unabatingly": "RB",
    "unable-to-locate": "JJ",
    "unabridged": "JJ",
    "unabsorbed": "JJ",
    "unacceptable": "JJ",
    "unacceptably": "RB",
    "unaccommodating": "JJ",
    "unaccompanied": "JJ",
    "unaccountable": "JJ",
    "unaccountably": "RB",
    "unaccounted": "JJ",
    "unaccustomed": "JJ",
    "unachievable": "JJ",
    "unachieved": "VBN",
    "unacknowledged": "JJ",
    "unacquainted": "VBN",
    "unaddressed": "JJ",
    "unadited": "JJ|VBN",
    "unadjusted": "JJ",
    "unadorned": "JJ",
    "unadulterated": "JJ",
    "unaffected": "JJ",
    "unaffiliated": "JJ",
    "unaffordable": "JJ",
    "unafraid": "JJ",
    "unaggressive": "JJ",
    "unagi": "FW",
    "unaided": "JJ",
    "unalienable": "JJ",
    "unallocable": "JJ",
    "unalloyed": "JJ",
    "unalluring": "JJ",
    "unalterable": "JJ",
    "unaltered": "JJ",
    "unambiguity": "NN",
    "unambiguous": "JJ",
    "unambiguously": "RB",
    "unamended": "JJ",
    "unamortized": "JJ",
    "unamused": "VBN",
    "unamusing": "JJ",
    "unanalyzed": "JJ",
    "unanimity": "NN",
    "unanimous": "JJ",
    "unanimously": "RB",
    "unannounced": "JJ",
    "unanswerable": "JJ",
    "unanswered": "JJ",
    "unanticipated": "JJ",
    "unapologetic": "JJ",
    "unappealing": "JJ|VBG",
    "unappeasable": "JJ",
    "unappeasably": "RB",
    "unappreciated": "JJ",
    "unapproved": "JJ",
    "unarmed": "JJ|VBD|VBN",
    "unashamedly": "RB",
    "unasked": "JJ",
    "unassailable": "JJ",
    "unassisted": "JJ",
    "unassuming": "JJ",
    "unasterisked": "JJ",
    "unattached": "JJ|VBN",
    "unattainable": "JJ|NN",
    "unattended": "JJ",
    "unattractive": "JJ",
    "unaudited": "JJ",
    "unauthentic": "JJ",
    "unauthorized": "JJ",
    "unavailability": "NN",
    "unavailable": "JJ",
    "unavailing": "JJ",
    "unavoidable": "JJ",
    "unavoidably": "RB",
    "unaware": "JJ|RB",
    "unawareness": "NN",
    "unawares": "RB",
    "unbalance": "NN|VB",
    "unbalanced": "JJ|VBN|VBD",
    "unbanning": "VBG|NN",
    "unbearable": "JJ",
    "unbearably": "RB",
    "unbeknownst": "JJ",
    "unbelievable": "JJ",
    "unbelievably": "RB",
    "unbelieving": "JJ",
    "unbent": "JJ|VBD|VBN",
    "unbiased": "JJ",
    "unbidden": "JJ",
    "unbleached": "JJ",
    "unblemished": "JJ",
    "unblinking": "JJ",
    "unblinkingly": "RB",
    "unblock": "VB",
    "unblushing": "JJ",
    "unborn": "JJ|NN",
    "unbound": "JJ|VBN|VBD",
    "unbounded": "JJ",
    "unbreakable": "JJ",
    "unbridled": "JJ",
    "unbroken": "JJ",
    "unbundle": "VB",
    "unbundled": "VBN|VBD",
    "unburdened": "JJ",
    "unburned": "JJ",
    "uncalled": "JJ",
    "uncannily": "RB",
    "uncanny": "JJ",
    "uncap": "VB",
    "uncaring": "JJ",
    "uncataloged": "VBN",
    "uncaused": "JJ",
    "unceasing": "JJ",
    "unceasingly": "RB",
    "uncensored": "JJ",
    "unceremoniously": "RB",
    "uncertain": "JJ|RB",
    "uncertainly": "RB",
    "uncertainties": "NNS",
    "uncertainty": "NN",
    "uncertified": "JJ",
    "unchallenged": "JJ",
    "unchangeable": "JJ",
    "unchanged": "JJ",
    "unchangedat": "JJ",
    "unchanging": "JJ",
    "uncharacteristic": "JJ",
    "uncharacteristically": "RB",
    "uncharged": "JJ",
    "uncharted": "JJ",
    "unchecked": "JJ",
    "unchlorinated": "VBN",
    "unchristian": "JJ",
    "uncircumcision": "NN",
    "uncivil": "JJ",
    "unclaimed": "JJ",
    "unclasping": "VBG",
    "unclassified": "JJ",
    "uncle": "NN",
    "unclean": "JJ",
    "unclear": "JJ",
    "unclenched": "VBN",
    "uncles": "NNS",
    "unclothed": "JJ",
    "unclouded": "JJ",
    "uncluttered": "JJ|VBD|VBN",
    "unco-operative": "JJ",
    "uncoached": "JJ",
    "uncoated": "JJ",
    "uncoiling": "VBG",
    "uncollaborated": "JJ",
    "uncollectable": "JJ",
    "uncolored": "JJ",
    "uncombable": "JJ",
    "uncombed": "JJ|VBN",
    "uncomfortable": "JJ",
    "uncomfortably": "RB",
    "uncomforted": "JJ",
    "uncommitted": "JJ",
    "uncommon": "JJ|RB",
    "uncommonly": "RB",
    "uncommunicative": "JJ",
    "uncompensated": "JJ",
    "uncompetitive": "JJ",
    "uncomplaining": "JJ",
    "uncomplainingly": "RB",
    "uncomplicated": "JJ",
    "uncompromising": "JJ",
    "unconcealed": "VBN",
    "unconcern": "NN",
    "unconcerned": "JJ",
    "unconcernedly": "RB",
    "unconditional": "JJ",
    "unconditionally": "RB",
    "unconditioned": "JJ",
    "unconfirmed": "JJ",
    "uncongenial": "JJ",
    "unconnected": "JJ",
    "unconquerable": "JJ",
    "unconscionable": "JJ",
    "unconscious": "JJ|NN",
    "unconsciously": "RB",
    "unconsolidated": "JJ|VBD|VBN",
    "unconstitutional": "JJ",
    "unconstitutionally": "RB",
    "uncontested": "JJ",
    "uncontrollable": "JJ",
    "uncontrollably": "RB",
    "uncontrolled": "JJ",
    "unconventional": "JJ",
    "unconvinced": "JJ",
    "unconvincing": "JJ",
    "uncooperative": "JJ",
    "uncorked": "VBD|VBN",
    "uncorrected": "JJ",
    "uncounted": "JJ",
    "uncountered": "JJ",
    "uncourageous": "JJ",
    "uncousinly": "JJ",
    "uncouth": "JJ",
    "uncover": "VB",
    "uncovered": "VBN|VBD|JJ",
    "uncovering": "VBG",
    "uncreative": "JJ",
    "uncritical": "JJ",
    "uncritically": "RB",
    "unction": "NN",
    "uncurled": "VBD",
    "uncut": "JJ",
    "und": "FW|NN",
    "undamaged": "JJ",
    "undated": "JJ",
    "undaunted": "JJ",
    "undecided": "JJ",
    "undecideds": "NNS",
    "undeclared": "JJ",
    "undecorated": "JJ",
    "undedicated": "VBN",
    "undefeated": "JJ",
    "undefined": "JJ",
    "undelivered": "JJ",
    "undemocratic": "JJ",
    "undeniable": "JJ",
    "undeniably": "RB",
    "undependable": "JJ",
    "undepicted": "JJ|VBN",
    "under": "IN|JJ|RB|RP",
    "under-35": "JJ",
    "under-50": "JJ",
    "under-50s": "NNS",
    "under-achievement": "NN",
    "under-achievers": "NNS",
    "under-depreciated": "NN",
    "under-developed": "JJ",
    "under-funded": "JJ",
    "under-inclusion": "NN",
    "under-owned": "JJ",
    "under-performing": "JJ",
    "under-reported": "JJ",
    "under-represented": "JJ",
    "under-researched": "JJ",
    "under-secretary": "NN",
    "under-serviced": "JJ",
    "under-the-table": "JJ",
    "under-three-years": "JJ",
    "underachiever": "NN",
    "underachievers": "NNS",
    "underage": "JJ",
    "underappreciated": "JJ",
    "underarm": "NN",
    "underbedding": "NN",
    "underbelly": "NN",
    "underbracing": "NN",
    "underbrush": "NN",
    "undercapitalization": "NN",
    "undercapitalized": "JJ",
    "underclass": "NNS",
    "underclassman": "NN",
    "underclothes": "NNS",
    "undercover": "JJ",
    "undercurrent": "NN",
    "undercut": "JJ|VB|NN|VBD|VBN|VBP",
    "undercuts": "VBZ",
    "undercutting": "VBG",
    "underdeveloped": "JJ",
    "underdog": "NN",
    "underdressed": "JJ",
    "undereducated": "JJ",
    "underemployed": "JJ",
    "underemployment": "NN",
    "underenforces": "VBZ",
    "underestimate": "VB",
    "underestimated": "VBN|VBD",
    "underestimates": "VBZ",
    "underestimation": "NN",
    "underfoot": "RB",
    "underfunded": "VBN|JJ",
    "undergarment": "NN",
    "undergirded": "VBD",
    "undergirding": "NN",
    "undergo": "VBP|VB",
    "undergoes": "VBZ",
    "undergoing": "VBG",
    "undergone": "VBN",
    "undergrads": "NNS",
    "undergraduate": "NN|JJ|NNP",
    "undergraduates": "NNS",
    "underground": "JJ|NN|RB",
    "underground-storage": "NN",
    "undergrowth": "NN",
    "underhanded": "JJ",
    "underhandedness": "NN",
    "underinvestigated": "JJ",
    "underlay": "VBP|VBD",
    "underlie": "VB|VBP",
    "underlies": "VBZ",
    "underline": "VB",
    "underlined": "VBD|VBN",
    "underlines": "VBZ",
    "underling": "NN",
    "underlings": "NNS",
    "underlining": "VBG|NN",
    "underlying": "VBG|JJ",
    "undermine": "VB|VBP",
    "undermined": "VBN|VBD|JJ",
    "undermines": "VBZ",
    "undermining": "VBG",
    "underneath": "IN|NN",
    "underpaid": "JJ|VBD|VBN",
    "underperform": "VB|JJ",
    "underperformance": "NN",
    "underperformed": "VBN|VBD",
    "underperformers": "NNS",
    "underperforming": "VBG|JJ",
    "underperforms": "VBZ",
    "underpin": "VB",
    "underpinned": "VBN|VBD",
    "underpinning": "NN|VBG",
    "underpinnings": "NNS",
    "underpins": "VBZ",
    "underplayed": "VBN",
    "underprepared": "JJ",
    "underpriced": "JJ|VBN|VBD",
    "underpricing": "VBG",
    "underprivileged": "JJ",
    "underrate": "VB",
    "underrated": "VBN|VBD",
    "underreacting": "VBG",
    "underreported": "VBN",
    "underrepresented": "VBN",
    "underscore": "VBP|NN|VB",
    "underscored": "VBD|VBN",
    "underscores": "VBZ",
    "underscoring": "VBG",
    "undersea": "JJ",
    "undersecretary": "NN",
    "underselling": "VBG",
    "underserved": "JJ",
    "undershirt": "NN",
    "underside": "NN",
    "undersize": "JJ",
    "undersized": "VBN|JJ",
    "undersold": "NN|VBD|VBN",
    "understaffs": "VBZ",
    "understand": "VB|VBP",
    "understand/adopt": "VB",
    "understandable": "JJ",
    "understandably": "RB",
    "understanded": "VBN",
    "understanding": "NN|VBG|JJ",
    "understandingly": "RB",
    "understandings": "NNS",
    "understands": "VBZ",
    "understate": "VBP|VB",
    "understated": "VBN|VBD|JJ",
    "understatement": "NN",
    "understates": "VBZ",
    "understating": "VBG",
    "understood": "VBD|VBN",
    "understructure": "NN",
    "understudied": "VBD|VBN",
    "undersubscription": "NN",
    "undertake": "VB",
    "undertaken": "VBN",
    "undertaker": "NN",
    "undertakes": "VBZ",
    "undertaking": "VBG|NN",
    "undertakings": "NNS",
    "undertone": "NN",
    "undertones": "NNS",
    "undertook": "VBD",
    "undertow": "NN",
    "underused": "VBN",
    "underutilization": "NN",
    "underutilized": "VBN",
    "undervalued": "VBN|VBD|JJ",
    "undervaluing": "VBG",
    "underwater": "JJ|NN|RB",
    "underway": "RB|JJ",
    "underwear": "NN",
    "underweighted": "VBN",
    "underwent": "VBD",
    "underwhelmed": "VBN",
    "underwiters": "NNS",
    "underworked": "JJ",
    "underworld": "NN",
    "underwrite": "VB|VBP",
    "underwriter": "NN",
    "underwriters": "NNS|,",
    "underwrites": "VBZ",
    "underwriting": "NN|VBG",
    "underwritings": "NNS",
    "underwritten": "VBN|JJ|NN",
    "underwrote": "VBD|NN|VBP",
    "undeserved": "JJ",
    "undesirable": "JJ|NN",
    "undesirably": "RB",
    "undetectable": "JJ",
    "undetected": "JJ",
    "undetermined": "JJ",
    "undeveloped": "JJ",
    "undid": "VBD",
    "undifferentiated": "JJ",
    "undigested": "JJ",
    "undiluted": "JJ",
    "undiminished": "JJ",
    "undimmed": "VBN",
    "undiplomatic": "JJ",
    "undisciplined": "JJ",
    "undisclosed": "JJ",
    "undisguised": "JJ",
    "undisputed": "JJ",
    "undisrupted": "JJ",
    "undistinguished": "JJ",
    "undisturbed": "JJ",
    "undiversifiable": "JJ",
    "undiversified": "JJ|VBN",
    "undivided": "JJ",
    "undo": "VB",
    "undoing": "NN|VBG",
    "undone": "VBN|JJ",
    "undoubtedly": "RB",
    "undrawn": "NN",
    "undreamed": "VBN|JJ",
    "undreamt": "VBN",
    "undress": "NN|VB",
    "undressed": "VBD|VBN",
    "undressing": "VBG|NN",
    "undrinkable": "JJ",
    "undue": "JJ",
    "undulate": "VB|VBP",
    "undulated": "VBD|VBN",
    "undulating": "JJ|VBG",
    "unduly": "RB",
    "undying": "JJ",
    "une": "FW",
    "unearned": "JJ",
    "unearth": "VB",
    "unearthed": "VBD|VBN",
    "unearthing": "VBG",
    "unearthly": "JJ",
    "unease": "NN",
    "uneasily": "RB",
    "uneasiness": "NN",
    "uneasy": "JJ",
    "uneconomic": "JJ",
    "uneconomical": "JJ",
    "unedifying": "JJ",
    "uneducated": "JJ",
    "unelected": "JJ",
    "unemotional": "JJ",
    "unemployed": "JJ",
    "unemployment": "NN",
    "unencumbered": "JJ",
    "unending": "JJ",
    "unendurable": "JJ",
    "unenforceable": "JJ",
    "unenforcible": "JJ",
    "unenlightened": "JJ",
    "unenthusiastic": "JJ",
    "unenticing": "JJ",
    "unenunciated": "JJ",
    "unenviable": "JJ",
    "unenvied": "JJ",
    "unequal": "JJ",
    "unequaled": "JJ",
    "unequalled": "JJ",
    "unequally": "RB",
    "unequivocal": "JJ",
    "unequivocally": "RB",
    "unerring": "JJ",
    "unerringly": "RB",
    "unescorted": "JJ",
    "unethical": "JJ",
    "unethically": "RB",
    "uneven": "JJ",
    "unevenly": "RB",
    "uneventful": "JJ",
    "uneventfully": "RB",
    "unexamined": "JJ",
    "unexciting": "JJ",
    "unexecuted": "VBN",
    "unexercised": "JJ",
    "unexpected": "JJ",
    "unexpectedly": "RB",
    "unexpended": "JJ|VBN",
    "unexplainable": "JJ",
    "unexplained": "JJ",
    "unexplored": "JJ",
    "unfailing": "JJ",
    "unfailingly": "RB",
    "unfair": "JJ",
    "unfair-trade": "JJ",
    "unfairly": "RB",
    "unfairness": "NN",
    "unfaithful": "JJ",
    "unfaltering": "VBG",
    "unfalteringly": "RB",
    "unfamiliar": "JJ",
    "unfamiliarity": "NN",
    "unfashionable": "JJ",
    "unfastened": "VBD",
    "unfathomable": "JJ",
    "unfavorable": "JJ",
    "unfavorably": "RB",
    "unfazed": "JJ|VBN",
    "unfeasible": "JJ",
    "unfelt": "JJ",
    "unfenced": "JJ",
    "unfertile": "JJ",
    "unfertilized": "VBN|JJ",
    "unfetter": "VB",
    "unfettered": "JJ|VBN|VBD",
    "unfilled": "JJ",
    "unfinished": "JJ",
    "unfired": "VBN",
    "unfit": "JJ|NN|VB",
    "unfitting": "JJ|VBG",
    "unfixed": "JJ|VBD",
    "unflagging": "JJ",
    "unflaggingly": "RB",
    "unflaky": "JJ",
    "unflappable": "JJ",
    "unflattering": "JJ",
    "unflatteringly": "RB",
    "unfleshed": "VBN",
    "unflinching": "JJ",
    "unfocused": "JJ",
    "unfocussed": "VBN",
    "unfold": "VB|VBP",
    "unfolded": "VBD|VBN",
    "unfolding": "VBG|JJ",
    "unfoldment": "NN",
    "unfolds": "VBZ",
    "unforeseen": "JJ",
    "unforethought": "JJ",
    "unforgettable": "JJ",
    "unforgivable": "JJ",
    "unforgiving": "JJ",
    "unformed": "JJ",
    "unforseen": "JJ|NN",
    "unfortunate": "JJ|NN",
    "unfortunately": "RB",
    "unfortunates": "NNS",
    "unfounded": "JJ",
    "unfree": "JJ",
    "unfriendly": "JJ",
    "unfrocking": "NN",
    "unfrosted": "VBN",
    "unfrozen": "JJ|VBN",
    "unfulfilled": "JJ",
    "unfunded": "JJ",
    "unfunnily": "RB",
    "unfunny": "JJ",
    "unfurled": "VBN|VBD",
    "ungainly": "JJ",
    "ungallant": "JJ",
    "ungentlemanly": "JJ",
    "unglamorous": "JJ",
    "unglued": "JJ",
    "ungodly": "JJ",
    "ungovernable": "JJ",
    "ungoverned": "JJ",
    "ungracious": "JJ",
    "ungrateful": "JJ",
    "ungratified": "JJ",
    "unguaranteed": "JJ",
    "unguided": "JJ",
    "unhappiest": "JJS",
    "unhappily": "RB",
    "unhappiness": "NN",
    "unhappy": "JJ",
    "unharmed": "JJ",
    "unharmonious": "JJ",
    "unhealed": "JJ",
    "unhealthily": "RB",
    "unhealthy": "JJ",
    "unheard": "JJ",
    "unheard-of": "JJ",
    "unheated": "JJ",
    "unhedged": "VBN",
    "unheeded": "JJ",
    "unheeding": "VBG",
    "unhelpful": "JJ",
    "unhelpfully": "RB",
    "unheralded": "JJ",
    "unheroic": "JJ",
    "unhesitant": "JJ",
    "unhesitatingly": "RB",
    "unhindered": "JJ",
    "unhinged": "VBN|VBD",
    "unhip": "JJ",
    "unhitched": "VBD|VBN",
    "unhocked": "VBN",
    "unholy": "JJ",
    "unhook": "VB",
    "unhurried": "JJ",
    "unhurriedly": "RB",
    "unhurt": "JJ",
    "unhusked": "VBN",
    "uni-directional": "JJ",
    "unicorns": "NNS",
    "unicycle": "NN",
    "unidentifiable": "JJ",
    "unidentified": "JJ",
    "unidirectional": "JJ",
    "unification": "NN",
    "unificationists": "NNS",
    "unifications": "NNS",
    "unified": "JJ|VBD|VBN",
    "unifier": "NN",
    "unifies": "VBZ",
    "uniform": "NN|JJ",
    "uniformed": "JJ",
    "uniformity": "NN",
    "uniformly": "RB",
    "uniforms": "NNS",
    "unify": "VB",
    "unifying": "JJ|VBG",
    "unilateral": "JJ",
    "unilateralism": "NN",
    "unilateralist": "JJ",
    "unilateralists": "NNS",
    "unilaterally": "RB",
    "unimaginable": "JJ",
    "unimaginative": "JJ",
    "unimpaired": "JJ",
    "unimpassioned": "JJ",
    "unimpeachable": "JJ",
    "unimpeachably": "RB",
    "unimpeded": "JJ",
    "unimportant": "JJ",
    "unimposing": "JJ",
    "unimpressed": "JJ",
    "unimpressive": "JJ",
    "unimproved": "JJ",
    "unincorporated": "JJ",
    "unindicted": "JJ",
    "uninfected": "JJ",
    "uninfluenced": "VBN",
    "uninformative": "JJ",
    "uninformed": "JJ",
    "uninhabitable": "JJ",
    "uninhabited": "JJ",
    "uninhibited": "JJ",
    "uninitiate": "NN",
    "uninitiated": "JJ",
    "uninjectable": "JJ",
    "uninjured": "JJ",
    "uninominal": "JJ",
    "uninspected": "JJ",
    "uninspired": "JJ",
    "uninsurable": "JJ",
    "uninsured": "JJ",
    "unintelligible": "JJ",
    "unintended": "JJ",
    "unintentional": "JJ",
    "unintentionally": "RB",
    "uninterested": "JJ",
    "uninteresting": "JJ",
    "uninterruptable": "JJ",
    "uninterrupted": "JJ",
    "uninterruptedly": "RB",
    "uninterruptible": "JJ",
    "uninvited": "JJ",
    "uninviting": "JJ",
    "uninvolved": "JJ",
    "union": "NN|JJ",
    "union-bidder": "NN",
    "union-busting": "JJ",
    "union-company": "JJ",
    "union-industry": "NN",
    "union-management": "JJ",
    "union-owned": "JJ",
    "union-represented": "JJ",
    "union-sponsored": "JJ",
    "unionist": "NN",
    "unionists": "NNS",
    "unionized": "VBD|JJ|VBN",
    "unions": "NNS",
    "unique": "JJ|NN",
    "unique-ingrown-screwedup": "JJ",
    "uniqueness": "NN",
    "uniramous": "JJ",
    "unison": "NN",
    "unissued": "JJ",
    "unit": "NN",
    "unit-labor": "JJ",
    "unit-making": "VBG",
    "unit-price": "NN",
    "unitary": "JJ",
    "unite": "VB|VBP",
    "united": "VBN|VBD|JJ",
    "unites": "VBZ",
    "unitholders": "NNS",
    "unities": "NNS",
    "uniting": "VBG",
    "unitized": "VBN",
    "units": "NNS",
    "units-Texas": "NNP",
    "unity": "NN",
    "univalent": "JJ",
    "universal": "JJ",
    "universalistic": "JJ",
    "universality": "NN",
    "universalization": "NN",
    "universalize": "VBP",
    "universally": "RB",
    "universals": "NNS",
    "universe": "NN",
    "universe-shaking": "JJ",
    "universities": "NNS",
    "university": "NN",
    "university-based": "JJ",
    "university-educated": "JJ",
    "university-funded": "JJ",
    "university-trained": "JJ",
    "university-wide": "JJ",
    "unjacketed": "JJ",
    "unjust": "JJ",
    "unjustifiable": "JJ",
    "unjustifiably": "RB",
    "unjustified": "JJ",
    "unjustly": "RB",
    "unk-unks": "NNS",
    "unkempt": "JJ",
    "unkind": "JJ",
    "unknowable": "JJ",
    "unknowing": "JJ",
    "unknowingly": "RB",
    "unknown": "JJ|NN",
    "unknowns": "NNS",
    "unlabeled": "JJ",
    "unlaced": "VBD|VBN",
    "unlacing": "VBG",
    "unlamented": "JJ",
    "unlashed": "VBD",
    "unlatch": "VB",
    "unlaundered": "VBN",
    "unlawful": "JJ",
    "unlawfully": "RB",
    "unleaded": "JJ",
    "unleash": "VBP|VB",
    "unleashed": "VBD|VBN",
    "unleashes": "VBZ",
    "unleashing": "VBG|NN",
    "unleavened": "JJ",
    "unless": "IN",
    "unleveled": "VBN",
    "unlicensed": "JJ",
    "unlimited": "JJ",
    "unlined": "JJ",
    "unlinked": "JJ",
    "unlisted": "JJ|VBN",
    "unlit": "NN",
    "unliterary": "JJ",
    "unload": "VB|VBP",
    "unloaded": "JJ|VBN|VBD",
    "unloading": "VBG|NN",
    "unloads": "VBZ",
    "unlock": "VBP|VB",
    "unlocked": "VBD|VBN|JJ",
    "unlocking": "VBG",
    "unlocks": "VBZ",
    "unlovable": "JJ",
    "unlovely": "JJ",
    "unluckily": "RB",
    "unlucky": "JJ",
    "unmagnified": "JJ",
    "unmalicious": "JJ",
    "unmanageable": "JJ",
    "unmanageably": "RB",
    "unmanaged": "JJ",
    "unmanned": "JJ",
    "unmarked": "JJ",
    "unmarketable": "JJ",
    "unmarried": "JJ|VBN",
    "unmasculine": "JJ",
    "unmask": "VB",
    "unmasked": "VBN|VBD|JJ",
    "unmasks": "VBZ",
    "unmatched": "JJ",
    "unmated": "VBN",
    "unmaterialized": "VBN",
    "unmeasurable": "JJ",
    "unmelodic": "JJ",
    "unmentioned": "VBN",
    "unmeritorious": "JJ",
    "unmeshed": "JJ",
    "unmet": "JJ",
    "unmethodical": "JJ",
    "unmiked": "VBN",
    "unmindful": "JJ",
    "unmistakable": "JJ",
    "unmistakably": "RB",
    "unmixed": "VBN",
    "unmodified": "JJ",
    "unmolested": "JJ",
    "unmotivated": "JJ",
    "unmoved": "JJ",
    "unmurmuring": "JJ",
    "unnameable": "JJ",
    "unnamed": "JJ",
    "unnatural": "JJ",
    "unnaturally": "RB",
    "unnaturalness": "NN",
    "unnavigable": "JJ",
    "unnecessarily": "RB",
    "unnecessary": "JJ",
    "unneeded": "JJ",
    "unnerved": "VBD|JJ|VBN",
    "unnerving": "VBG|JJ",
    "unnnt": "NN",
    "unnoticed": "JJ",
    "unnourished": "JJ",
    "unnumbered": "JJ",
    "unobserved": "JJ",
    "unobtainable": "JJ",
    "unobtrusive": "JJ",
    "unobtrusively": "RB",
    "unobvious": "JJ",
    "unoccupied": "JJ",
    "unofficial": "JJ",
    "unofficially": "RB",
    "unopened": "JJ",
    "unopposable": "JJ",
    "unopposed": "JJ",
    "unorganized": "JJ",
    "unoriginal": "JJ",
    "unoriginals": "NNS",
    "unorthodox": "JJ",
    "unpack": "VB",
    "unpacked": "JJ|VBD|VBN",
    "unpacking": "VBG",
    "unpadded": "JJ",
    "unpaid": "JJ",
    "unpaintable": "JJ",
    "unpaired": "VBN",
    "unpalatable": "JJ",
    "unparalleled": "JJ",
    "unpartisan": "JJ",
    "unpatriotic": "JJ",
    "unpatronizing": "VBG",
    "unpaved": "JJ",
    "unpeace": "NN",
    "unpegged": "JJ",
    "unperceived": "VBN",
    "unperformed": "JJ",
    "unperturbed": "JJ",
    "unphysical": "JJ",
    "unpicturesque": "JJ",
    "unplagued": "VBN",
    "unplanned": "JJ",
    "unpleasant": "JJ",
    "unpleasantly": "RB",
    "unpleasantness": "NN",
    "unpleased": "VBN",
    "unplowed": "JJ",
    "unplug": "VB",
    "unplumbed": "JJ",
    "unpolarizing": "VBG",
    "unpolished": "JJ",
    "unpolitical": "JJ",
    "unpopular": "JJ",
    "unpopularity": "NN",
    "unprecedented": "JJ",
    "unprecedentedly": "RB",
    "unpredictability": "NN",
    "unpredictable": "JJ",
    "unpredictably": "RB",
    "unpremeditated": "JJ",
    "unprepared": "JJ",
    "unpretentious": "JJ",
    "unproblematic": "JJ",
    "unprocurable": "JJ",
    "unproductive": "JJ",
    "unprofessional": "JJ",
    "unprofitable": "JJ",
    "unpromising": "JJ",
    "unprotected": "JJ",
    "unprovable": "JJ",
    "unproved": "JJ",
    "unproven": "JJ",
    "unprovocative": "JJ",
    "unpublicized": "JJ",
    "unpublishable": "JJ",
    "unpublished": "JJ",
    "unpunctured": "JJ",
    "unpunished": "JJ",
    "unqualified": "JJ",
    "unqualifiedly": "RB",
    "unquenched": "VBN",
    "unquestionable": "JJ",
    "unquestionably": "RB",
    "unquestioned": "JJ",
    "unquestioningly": "RB",
    "unquiet": "JJ",
    "unravel": "VB|VBP",
    "unraveled": "VBN|JJ|VBD",
    "unraveling": "NN|VBG",
    "unread": "JJ",
    "unreadable": "JJ",
    "unready": "JJ",
    "unreal": "JJ",
    "unrealism": "NN",
    "unrealistic": "JJ",
    "unrealistically": "RB",
    "unreality": "NN",
    "unrealized": "JJ",
    "unreason": "NN",
    "unreasonable": "JJ",
    "unreasonably": "RB",
    "unreasoning": "JJ",
    "unreassuringly": "RB",
    "unrecognizable": "JJ",
    "unrecognized": "JJ",
    "unreconstructed": "JJ",
    "unrecoverable": "JJ",
    "unredeemed": "JJ",
    "unreeling": "VBG",
    "unreflective": "JJ",
    "unrefrigerated": "JJ",
    "unregisterd": "JJ",
    "unregistered": "JJ",
    "unregulated": "JJ",
    "unrehearsed": "JJ",
    "unreimbursed": "VBN",
    "unreinforced": "JJ",
    "unrelated": "JJ",
    "unreleasable": "JJ",
    "unreleased": "JJ",
    "unrelenting": "JJ",
    "unreliability": "NN",
    "unreliable": "JJ",
    "unrelieved": "JJ",
    "unremitting": "JJ",
    "unremittingly": "RB",
    "unrepentant": "JJ",
    "unreported": "JJ",
    "unrequited": "JJ",
    "unreservedly": "RB",
    "unresolved": "JJ",
    "unresponsive": "JJ",
    "unrest": "NN",
    "unrestrained": "JJ",
    "unrestricted": "JJ",
    "unrestrictedly": "RB",
    "unretouched": "JJ",
    "unrevealing": "VBG",
    "unrewarding": "JJ",
    "unrifled": "JJ",
    "unripe": "JJ",
    "unrivaled": "JJ",
    "unroll": "VBP|VB",
    "unrolled": "JJ|VBD|VBN",
    "unrolls": "VBZ",
    "unromantic": "JJ",
    "unruffled": "JJ",
    "unruly": "JJ",
    "unsaddling": "VBG",
    "unsafe": "JJ",
    "unsaid": "JJ",
    "unsaleable": "JJ",
    "unsalted": "JJ",
    "unsanctioned": "JJ",
    "unsatisfactorily": "RB",
    "unsatisfactory": "JJ",
    "unsatisfied": "JJ",
    "unsatisfying": "JJ",
    "unsaturated": "JJ",
    "unsavory": "JJ",
    "unscathed": "JJ",
    "unscented": "VBN",
    "unscheduled": "JJ",
    "unscientific": "JJ",
    "unscramble": "VB",
    "unscrew": "VB",
    "unscrewed": "VBD|VBN",
    "unscripted": "JJ",
    "unscrupulous": "JJ",
    "unseal": "VB",
    "unsealed": "VBN|JJ|VBD",
    "unsealing": "NN|VBG",
    "unseasonable": "JJ",
    "unseat": "VB",
    "unseated": "JJ|VBD|VBN",
    "unseating": "VBG",
    "unsecured": "JJ",
    "unsee": "VBN",
    "unseemly": "JJ",
    "unseen": "JJ",
    "unself-conscious": "JJ",
    "unselfconsciousness": "NN",
    "unselfish": "JJ",
    "unselfishly": "RB",
    "unsentimental": "JJ",
    "unserious": "JJ",
    "unserviceable": "JJ",
    "unservile": "JJ",
    "unsettled": "JJ|VBD|VBN",
    "unsettlement": "NN",
    "unsettling": "JJ|VBG",
    "unshackled": "JJ",
    "unshakable": "JJ",
    "unshakeable": "JJ",
    "unsharpened": "VBN",
    "unshaved": "JJ",
    "unshaven": "JJ",
    "unsheathe": "VB",
    "unsheathing": "VBG",
    "unshed": "JJ",
    "unshelled": "VBN",
    "unsheltered": "JJ",
    "unshielded": "VBN",
    "unshirted": "JJ",
    "unsightly": "JJ",
    "unsigned": "JJ",
    "unskilled": "JJ",
    "unsloped": "JJ",
    "unsmiling": "JJ",
    "unsmilingly": "RB",
    "unsold": "JJ",
    "unsolder": "VB",
    "unsolicited": "JJ",
    "unsolved": "JJ",
    "unsophisticated": "JJ",
    "unsound": "JJ",
    "unspeakable": "JJ",
    "unspecified": "JJ",
    "unspectacular": "JJ",
    "unspent": "JJ",
    "unspoiled": "JJ",
    "unspoken": "JJ",
    "unsprayed": "VBN",
    "unstable": "JJ",
    "unstained": "JJ",
    "unstanched": "VBN",
    "unstapled": "JJ",
    "unstaring": "VBG",
    "unstated": "JJ",
    "unsteadily": "RB",
    "unsteadiness": "NN",
    "unsteady": "JJ|VB",
    "unstilted": "JJ",
    "unstimulated": "JJ",
    "unstinting": "JJ|VBG",
    "unstoppable": "JJ",
    "unstressed": "JJ",
    "unstructured": "JJ",
    "unstrung": "JJ|VBD|VBN",
    "unstuck": "JJ|VBD|VBN",
    "unstuffy": "VB",
    "unstylish": "JJ",
    "unsubordinated": "JJ",
    "unsubsidized": "JJ",
    "unsubstantiated": "JJ",
    "unsubtle": "JJ",
    "unsuccessful": "JJ",
    "unsuccessfully": "RB",
    "unsuitability": "NN",
    "unsuitable": "JJ",
    "unsuitably": "RB",
    "unsuited": "VBN",
    "unsung": "JJ",
    "unsupportable": "JJ",
    "unsupported": "JJ",
    "unsure": "JJ",
    "unsurmountable": "JJ",
    "unsurpassed": "JJ",
    "unsurprised": "JJ",
    "unsurprising": "JJ|VBG",
    "unsuspected": "JJ",
    "unsuspecting": "JJ",
    "unsustainable": "JJ",
    "unswagged": "JJ",
    "unswaggering": "JJ",
    "unswerving": "JJ",
    "unsympathetic": "JJ",
    "untamed": "JJ",
    "untapped": "JJ",
    "untarnished": "JJ",
    "unteach": "VB",
    "untellable": "JJ",
    "untenable": "JJ",
    "untenanted": "JJ",
    "untenured": "VBN",
    "untested": "JJ",
    "unthaw": "VB",
    "unthematic": "JJ",
    "unthinkable": "JJ|NN",
    "unthinking": "JJ",
    "unthinkingly": "RB",
    "unthreatening": "JJ",
    "untidiness": "NN",
    "untidy": "JJ",
    "untie": "VB",
    "untied": "VBD|VBN",
    "until": "IN",
    "until...": ":",
    "untimely": "JJ",
    "unto": "IN|RP",
    "untold": "JJ",
    "untouchable": "JJ",
    "untouched": "JJ",
    "untoward": "JJ",
    "untracked": "JJ",
    "untradeable": "JJ",
    "untraditional": "JJ",
    "untrained": "JJ",
    "untrammeled": "VBN|JJ",
    "untreated": "JJ",
    "untried": "JJ",
    "untrue": "JJ",
    "untrue...": ":",
    "untrustworthiness": "NN",
    "untrustworthy": "JJ",
    "untruth": "NN",
    "unturned": "JJ",
    "unusable": "JJ",
    "unusally": "RB",
    "unused": "JJ",
    "unusual": "JJ",
    "unusually": "RB",
    "unutterably": "RB",
    "unuttered": "JJ",
    "unvarying": "VBG",
    "unvaryingly": "RB",
    "unveil": "VB",
    "unveiled": "VBD|JJ|VBN",
    "unveiling": "VBG|NN",
    "unveils": "VBZ",
    "unventilated": "VBN",
    "unverifiable": "JJ",
    "unviable": "JJ",
    "unvisited": "VBN",
    "unwaivering": "VBG",
    "unwanted": "JJ",
    "unwarrantable": "JJ",
    "unwarranted": "JJ",
    "unwary": "JJ",
    "unwashed": "JJ",
    "unwavering": "VBG",
    "unwaveringly": "RB",
    "unwed": "JJ",
    "unwelcome": "JJ",
    "unwholesome": "JJ",
    "unwieldy": "JJ",
    "unwilling": "JJ",
    "unwillingly": "RB",
    "unwillingness": "NN",
    "unwind": "VB",
    "unwinding": "VBG|NN",
    "unwire": "VB",
    "unwired": "VBD|VBN",
    "unwise": "JJ",
    "unwisely": "RB",
    "unwitting": "JJ",
    "unwittingly": "RB",
    "unwomanly": "RB",
    "unworkable": "JJ",
    "unworn": "JJ",
    "unworthy": "NN|JJ",
    "unwounded": "JJ",
    "unwraps": "VBZ",
    "unwrinkled": "JJ",
    "unwritten": "JJ",
    "unyielding": "JJ",
    "up": "RP|IN|JJ|RB|VB|NNP|,|RBR",
    "up-and-coming": "JJ",
    "up-front": "JJ",
    "up-jutting": "JJ",
    "up-market": "JJ",
    "up-or-down": "JJ",
    "up-pp": "RP",
    "up-scale": "JJ",
    "up-tight": "JJ",
    "up-to-date": "JJ",
    "up.": "RB",
    "up...": ":",
    "upbeat": "JJ|NN|RB",
    "upbringing": "NN",
    "upcoming": "JJ",
    "upcountry": "JJ",
    "update": "VB|VBP|NN|VBD",
    "updated": "VBN|JJ",
    "updates": "NNS|VBZ",
    "updating": "VBG|NN",
    "upended": "JJ",
    "upfield": "RB",
    "upgrade": "VB|JJ|NN",
    "upgraded": "VBN|VBD|JJ",
    "upgrades": "NNS|VBZ",
    "upgrading": "VBG|NN",
    "upgradings": "NNS",
    "upheaval": "NN",
    "upheavals": "NNS",
    "upheld": "VBD|VBN",
    "uphill": "JJ|RB",
    "uphold": "VB|VBP",
    "upholders": "NNS",
    "upholding": "VBG",
    "upholds": "VBZ",
    "upholstered": "VBN",
    "upholstery": "NN",
    "upkeep": "NN",
    "upland": "JJ|RB",
    "uplands": "NNS",
    "uplift": "NN|VB",
    "uplifting": "JJ|VBG",
    "upmarket": "JJ",
    "upon": "IN|RB|RP",
    "upped": "VBD|VBN",
    "upper": "JJ|JJR|RB",
    "upper-class": "JJ",
    "upper-crust": "JJ",
    "upper-deck": "JJ",
    "upper-echelon": "JJ",
    "upper-house": "NN|JJ",
    "upper-income": "NN|JJ",
    "upper-level": "JJ",
    "upper-lower": "JJ",
    "upper-management": "NN",
    "upper-medium": "JJ",
    "upper-middle": "JJ",
    "upper-middle-class": "JJ",
    "upper-middle-income": "JJ|NN",
    "upperclassmen": "NNS",
    "uppercut": "NN",
    "uppermost": "JJS|RB",
    "uppon": "IN|NN",
    "upraised": "VBN|VBD",
    "upright": "RB|JJ",
    "uprising": "NN|VBG",
    "uprisings": "NNS",
    "upriver": "JJ",
    "uproar": "NN",
    "uproariously": "RB",
    "uproot": "VB",
    "uprooted": "VBD|VBN|JJ",
    "ups": "NNS|VBZ",
    "ups-and-downs": "NNS",
    "upscale": "JJ|NN|RB",
    "upset": "VBN|NN|VBD|VBP|JJ|VB",
    "upsetting": "VBG|JJ|NN",
    "upshot": "NN",
    "upshots": "NNS",
    "upside": "RB|JJ|NN",
    "upstaged": "VBN|VBD",
    "upstairs": "NN|RB|JJ",
    "upstanding": "JJ",
    "upstart": "NN|JJ",
    "upstarts": "NNS",
    "upstate": "JJ|RB",
    "upstream": "RB|JJ",
    "upsurge": "NN",
    "upswing": "NN",
    "uptake": "NN",
    "uptempo": "JJ",
    "uptick": "NN|JJ|VB",
    "uptight": "JJ",
    "uptown": "NN|JJ",
    "uptrend": "NN",
    "upturn": "NN",
    "upturned": "JJ",
    "upturns": "NNS",
    "upward": "RB|JJ",
    "upward-mobile": "JJ",
    "upwardly": "RB",
    "upwards": "RB|NNS",
    "uranium": "NN",
    "uranium-mining": "NN",
    "uranium-recovery": "JJ",
    "uranium-waste": "JJ",
    "uranyl": "NN",
    "urban": "JJ",
    "urban-development": "NN",
    "urban-fringe": "JJ",
    "urbane": "JJ",
    "urbanism": "NN",
    "urbanization": "NN",
    "urbanized": "VBN|JJ",
    "urea": "NN",
    "uremia": "NN",
    "urethane": "NN",
    "urethanes": "NNS",
    "urethra": "NN",
    "urge": "VB|VBP|NN",
    "urged": "VBD|VBN",
    "urgencies": "NNS",
    "urgency": "NN",
    "urgent": "JJ",
    "urgently": "RB",
    "urges": "VBZ|NNS",
    "urging": "VBG|NN",
    "urgings": "NNS",
    "urinals": "NNS",
    "urinary": "JJ",
    "urinary-tract": "NN",
    "urine": "NN",
    "urn": "NN",
    "urns": "NNS",
    "us...": ":",
    "usability": "NN",
    "usable": "JJ",
    "usage": "NN",
    "usages": "NNS",
    "use": "NN|VB|VBP",
    "useable": "JJ",
    "used": "VBN|VBD|JJ",
    "used-car": "JJ|NN",
    "used-equipment": "NN",
    "useful": "JJ",
    "usefully": "RB",
    "usefulness": "NN",
    "useless": "JJ",
    "uselessly": "RB",
    "uselessness": "NN",
    "user": "NN",
    "user-inviting": "JJ",
    "userfriendly": "JJ",
    "users": "NNS",
    "uses": "VBZ|NNS",
    "usher": "NN|VBP|VB",
    "ushered": "VBD|VBN",
    "ushering": "VBG",
    "ushers": "NNS|VBZ",
    "using": "VBG",
    "ussr": "NN",
    "usual": "JJ|RB",
    "usually": "RB",
    "usurious": "JJ",
    "usurp": "VB",
    "usurpation": "NN",
    "usurped": "VBN|VBD",
    "usurping": "VBG",
    "ususal": "JJ",
    "utensils": "NNS",
    "utero": "NN",
    "uterus": "NN",
    "utilitarian": "JJ",
    "utilities": "NNS",
    "utility": "NN|JJ",
    "utility-cost": "NN",
    "utilization": "NN",
    "utilize": "VB|VBP",
    "utilized": "VBN|VBD",
    "utilizes": "VBZ",
    "utilizing": "VBG",
    "utmost": "JJ|NN",
    "utmosts": "NNS",
    "utopia": "NN",
    "utopian": "JJ|NN",
    "utopianism": "NN",
    "utopians": "NNS",
    "utopias": "NNS",
    "utter": "JJ|VBP|VB",
    "utterance": "NN",
    "utterances": "NNS",
    "uttered": "VBD|VBN",
    "uttering": "VBG",
    "utterly": "RB",
    "uttermost": "JJ",
    "uttuh": "VB",
    "v-senv5": "NNP",
    "v.": "CC|IN|NN",
    "v.B.": "NNP",
    "v.d": "NNP",
    "v.w.": "NN",
    "vacancies": "NNS",
    "vacancy": "NN",
    "vacanices": "NNS",
    "vacant": "JJ",
    "vacate": "VB",
    "vacated": "VBN|VBD",
    "vacating": "VBG",
    "vacation": "NN|VBP|VB",
    "vacationed": "VBD|VBN",
    "vacationer": "NN",
    "vacationers": "NNS",
    "vacationing": "VBG|NN",
    "vacationland": "NN",
    "vacations": "NNS|VBZ",
    "vaccinating": "VBG",
    "vaccination": "NN",
    "vaccine": "NN",
    "vaccine-related": "JJ",
    "vaccine-vendor": "JJ",
    "vaccines": "NNS",
    "vaccinia": "NN",
    "vacillate": "VB",
    "vacillated": "VBD|VBN",
    "vacillation": "NN",
    "vacuolated": "VBN",
    "vacuolization": "NN",
    "vacuous": "JJ",
    "vacuum": "NN|JJ|VB|VBP",
    "vacuum-formed": "JJ",
    "vacuum-packed": "JJ",
    "vacuum-tube": "JJ",
    "vacuumed": "VBD|VBN",
    "vacuuming": "VBG|NN",
    "vade": "FW",
    "vagabond": "NN|VB",
    "vagabondage": "NN",
    "vagabonds": "NNS|VBZ",
    "vagaries": "NNS",
    "vagina": "NN",
    "vaginal": "JJ",
    "vagrant": "JJ",
    "vague": "JJ",
    "vaguely": "RB",
    "vaguely-imagined": "JJ",
    "vagueness": "NN",
    "vaguer": "JJR",
    "vaguest": "JJS",
    "vain": "JJ|RB",
    "vainly": "RB",
    "valet": "NN",
    "valeur": "FW",
    "valewe": "NN",
    "valiant": "JJ",
    "valiantly": "RB",
    "valid": "JJ",
    "validate": "VB",
    "validated": "VBN|VBD",
    "validating": "VBG",
    "validation": "NN",
    "validity": "NN",
    "validly": "RB",
    "valley": "NN",
    "valleys": "NNS",
    "valor": "NN",
    "valuable": "JJ",
    "valuation": "NN",
    "valuations": "NNS",
    "value": "NN|VBP|VB",
    "value-added": "JJ",
    "value-assessment": "NN",
    "value-boosting": "JJ",
    "value-investing": "JJ",
    "value-judgments": "NNS",
    "value-orientations": "NNS",
    "value-oriented": "JJ",
    "value-problems": "NNS",
    "value-story": "JJ",
    "value-system": "NN",
    "valued": "VBN|JJ|VBD",
    "valueless": "JJ",
    "values": "NNS|VBZ",
    "valuing": "VBG",
    "valve": "NN",
    "valves": "NNS",
    "vampire": "NN",
    "vampires": "NNS",
    "vampirism": "NN",
    "van": "NNP",
    "vandalism": "NN",
    "vandalized": "VBD|VBN",
    "vandals": "NNS",
    "vane": "NN",
    "vanguard": "NN",
    "vanilla": "NN|JJ",
    "vanish": "VBP|VB",
    "vanished": "VBN|VBD",
    "vanishes": "VBZ",
    "vanishing": "VBG",
    "vanities": "NNS",
    "vanity": "NN",
    "vanquish": "VB",
    "vans": "NNS",
    "vantage": "NN",
    "vantage-points": "NNS",
    "vapor": "NN",
    "vapor-pressure": "NN",
    "vaporization": "NN",
    "vapors": "NNS",
    "vaquero": "NN",
    "var.": "NN",
    "variability": "NN",
    "variable": "NN|JJ",
    "variable-rate": "JJ",
    "variable-speed": "JJ",
    "variables": "NNS",
    "variance": "NN",
    "variances": "NNS",
    "variant": "NN|JJ",
    "variants": "NNS",
    "variation": "NN",
    "variations": "NNS",
    "varicolored": "JJ",
    "varied": "VBN|VBD|JJ",
    "variegated": "JJ|VBD|VBN",
    "varies": "VBZ",
    "varieties": "NNS",
    "variety": "NN",
    "various": "JJ",
    "various-sized": "JJ",
    "variously": "RB",
    "varitinted": "JJ",
    "varityping": "NN",
    "varmint": "NN",
    "varnish": "NN|VB",
    "varnishes": "NNS|VBZ",
    "vary": "VBP|VB",
    "varying": "VBG|JJ",
    "vasa": "NN",
    "vascular": "JJ",
    "vascular-lesion": "NN",
    "vase": "NN",
    "vases": "NNS",
    "vasodilator": "NN",
    "vasorum": "NN",
    "vassal": "NN",
    "vassals": "NNS",
    "vast": "JJ",
    "vaster": "JJR",
    "vastly": "RB",
    "vats": "NNS",
    "vaudeville": "NN",
    "vault": "NN|VB",
    "vaulted": "VBD|VBN",
    "vaulting": "JJ|NN|VBG",
    "vaults": "NNS|VBZ",
    "vaunted": "JJ|VBN|VBD",
    "veal": "NN",
    "vector": "NN",
    "vectors": "NNS",
    "veer": "VB",
    "veered": "VBD|VBN",
    "veering": "VBG|JJ",
    "veers": "VBZ",
    "vegetable": "NN",
    "vegetable-protein": "NN",
    "vegetables": "NNS",
    "vegetarian": "JJ",
    "vegetarians": "NNS",
    "vegetation": "NN",
    "vegetative": "JJ",
    "vehemence": "NN",
    "vehement": "JJ",
    "vehemently": "RB",
    "vehicle": "NN",
    "vehicle-loan": "JJ",
    "vehicle-making": "JJ",
    "vehicle-marketing": "JJ",
    "vehicle-production": "JJ",
    "vehicle-suspension": "NN",
    "vehicles": "NNS",
    "vehicular": "JJ",
    "veil": "NN|VB",
    "veiled": "VBN|JJ|VBD",
    "veiling": "NN|VBG",
    "veils": "NNS|VBZ",
    "vein": "NN",
    "veined": "JJ",
    "veining": "NN|VBG",
    "veins": "NNS",
    "veldt": "NN",
    "vellum": "JJ",
    "velociter": "FW",
    "velocities": "NNS",
    "velocity": "NN",
    "velour": "NN",
    "velours": "NN",
    "velvet": "NN",
    "velveteen": "NN",
    "velvety": "JJ",
    "venal": "JJ",
    "vendetta": "NN",
    "vending": "VBG|NN|JJ",
    "vendor": "NN",
    "vendors": "NNS",
    "veneer": "NN",
    "venerable": "JJ|NN",
    "venerable-but-much-derided": "JJ",
    "venerated": "VBN|VBD",
    "veneration": "NN",
    "venereal": "JJ",
    "vengeance": "NN",
    "venison": "NN",
    "venom": "NN",
    "venomous": "JJ",
    "vent": "VB|NN",
    "vented": "VBD|VBN|JJ",
    "ventilated": "VBD|VBN|JJ",
    "ventilates": "VBZ",
    "ventilating": "NN|VBG",
    "ventilation": "NN",
    "ventilator": "NN",
    "ventricle": "NN",
    "ventricles": "NNS",
    "ventricular": "JJ",
    "vents": "NNS|VBZ",
    "venture": "NN|VBP|JJ|VB",
    "venture-capital": "JJ|NN",
    "ventured": "VBD|VBN",
    "venturers": "NNS",
    "ventures": "NNS|VBZ",
    "venturesome": "JJ",
    "venturing": "VBG",
    "venue": "NN",
    "venues": "NNS",
    "veracious": "JJ",
    "veracity": "NN",
    "veranda": "NN",
    "verandah": "NN",
    "verandas": "NNS",
    "verb": "NN",
    "verbal": "JJ",
    "verbally": "RB",
    "verbatim": "JJ|RB",
    "verbenas": "NNS",
    "verbiage": "NN",
    "verboten": "FW",
    "verbs": "NNS",
    "verdant": "JJ",
    "verdict": "NN",
    "verge": "NN",
    "verged": "VBD",
    "veridical": "JJ",
    "verie": "RB",
    "verifiable": "JJ",
    "verifiably": "RB",
    "verification": "NN",
    "verified": "VBN|VBD",
    "verifier": "NN",
    "verifiers": "NNS",
    "verify": "VB|VBP",
    "verifying": "VBG|JJ",
    "verisimilitude": "NN",
    "veritable": "JJ",
    "verities": "NNS",
    "verity": "NN",
    "vermeil": "JJ",
    "vermilion": "JJ|NN",
    "vernacular": "NN|JJ",
    "vernal": "JJ",
    "vernier": "NN",
    "versa": "RB|FW",
    "versatile": "JJ",
    "versatility": "NN",
    "verse": "NN|VB",
    "versed": "VBN|VBD|JJ",
    "verses": "NNS|VBZ",
    "version": "NN",
    "versions": "NNS",
    "verso": "NN",
    "verstrichen": "FW",
    "versus": "CC|IN|FW",
    "vertebrae": "NNS",
    "vertebral": "JJ",
    "vertebrate": "JJ",
    "vertebrates": "NNS",
    "vertex": "NN",
    "vertical": "JJ|NN",
    "vertical-restraint": "JJ",
    "vertical-restraints": "NNS",
    "vertical-takeoff-and-landing": "JJ",
    "vertically": "RB",
    "vertigo": "NN",
    "verve": "NN",
    "very": "RB|JJ",
    "very-highly": "JJ",
    "vesicular": "JJ",
    "vessel": "NN",
    "vessels": "NNS",
    "vest": "NN|VB",
    "vested": "JJ|VBN|VBD",
    "vestibule": "NN",
    "vestibules": "NNS",
    "vestige": "NN",
    "vestiges": "NNS",
    "vesting": "VBG",
    "vestments": "NNS",
    "vests": "NNS|VBZ",
    "vet": "NN",
    "veteran": "NN|JJ",
    "veterans": "NNS",
    "veterinarian": "NN",
    "veterinarians": "NNS",
    "veterinary": "JJ",
    "veto": "NN|VB",
    "veto-proof": "JJ",
    "vetoed": "VBD|VBN",
    "vetoes": "NNS|VBZ",
    "vetoing": "VBG",
    "vetted": "VBN",
    "vex": "VBP|VB",
    "vexatious": "JJ",
    "vexed": "VBN|JJ|VBD",
    "vexes": "VBZ",
    "vexing": "JJ|VBG",
    "via": "IN",
    "viability": "NN",
    "viable": "JJ",
    "viaduct": "NN",
    "viaducts": "NNS",
    "vial": "NN",
    "vibes": "NNS",
    "vibrancy": "NN",
    "vibrant": "JJ",
    "vibrate": "VB",
    "vibrated": "VBD|VBN",
    "vibrating": "VBG",
    "vibration": "NN",
    "vibration-control": "JJ",
    "vibrations": "NNS",
    "vibrato": "NN",
    "vibratory": "JJ",
    "vibrionic": "JJ",
    "vicar": "NN",
    "vicarious": "JJ",
    "vicariously": "RB",
    "vicars": "NNS",
    "vice": "NN|FW|JJ|RB",
    "vice-chairman": "NN",
    "vice-chancellor": "NN",
    "vice-president": "NN",
    "vice-presidents": "NNS",
    "vice-regent": "JJ",
    "vicelike": "JJ",
    "vices": "NNS",
    "vicinity": "NN",
    "vicious": "JJ",
    "viciously": "RB",
    "viciousness": "NN",
    "vicissitudes": "NNS",
    "vicitims": "NNS",
    "victim": "NN",
    "victimize": "VBP|VB",
    "victimized": "VBN|JJ|VBD",
    "victimizes": "VBZ",
    "victimless": "JJ",
    "victor": "NN",
    "victories": "NNS",
    "victorious": "JJ",
    "victoriously": "RB",
    "victory": "NN",
    "victuals": "NNS",
    "vide": "FW",
    "video": "NN|JJ",
    "video-cassette": "JJ|NN",
    "video-distribution": "NN",
    "video-game": "NN",
    "video-rental": "JJ",
    "video-store": "NN",
    "video-viewing": "JJ",
    "videocam": "NN",
    "videocameras": "NNS",
    "videocasette": "NN",
    "videocassette": "NN",
    "videocassettes": "NNS",
    "videoconferencing": "NN",
    "videodiscs": "NNS",
    "videodisk": "NN",
    "videodisks": "NNS",
    "videos": "NNS",
    "videotape": "NN|VB",
    "videotaped": "VBN|VBD",
    "videotapes": "NNS|VBZ",
    "videotex": "NN",
    "videotext": "NN",
    "vie": "VBP|VB",
    "vied": "VBD|VBN",
    "vielleicht": "FW",
    "vies": "VBZ",
    "view": "NN|VBP|VB",
    "viewed": "VBN|VBD",
    "viewer": "NN",
    "viewers": "NNS",
    "viewership": "NN",
    "viewing": "VBG|NN",
    "viewings": "NNS",
    "viewless": "JJ",
    "viewpoint": "NN",
    "viewpoints": "NNS",
    "views": "NNS|VBZ",
    "vigil": "NN",
    "vigilance": "NN",
    "vigilant": "JJ",
    "vigilantism": "NN",
    "vignette": "NN",
    "vignettes": "NNS",
    "vigor": "NN",
    "vigorous": "JJ",
    "vigorously": "RB",
    "vile": "JJ",
    "vilification": "NN",
    "vilified": "VBN|VBD",
    "vilifies": "VBZ",
    "vilifying": "VBG",
    "villa": "NN",
    "village": "NN",
    "villager": "NN",
    "villagers": "NNS",
    "villages": "NNS",
    "villain": "NN",
    "villainous": "JJ",
    "villains": "NNS",
    "villas": "NNS",
    "vincit": "FW",
    "vindicate": "VB",
    "vindicated": "VBN|VBD",
    "vindication": "NN",
    "vindictive": "JJ",
    "vine": "NN",
    "vine-crisscrossed": "JJ",
    "vine-embowered": "JJ",
    "vine-shaded": "JJ",
    "vinegar": "NN",
    "vines": "NNS",
    "vineyard": "NN",
    "vineyards": "NNS",
    "vintage": "NN|JJ",
    "vintages": "NNS",
    "vintner": "NN",
    "vintners": "NNS",
    "vinyl": "NN|JJ",
    "vinyl-laminated": "JJ",
    "vinyl-products": "NNS",
    "vioiln": "NN",
    "violate": "VB|VBP|JJ",
    "violated": "VBD|VBN",
    "violates": "VBZ",
    "violating": "VBG",
    "violation": "NN",
    "violations": "NNS",
    "violator": "NN",
    "violators": "NNS",
    "violence": "NN",
    "violent": "JJ",
    "violently": "RB",
    "violet": "NN",
    "violets": "NNS",
    "violin": "NN",
    "violinist": "NN",
    "violinists": "NNS",
    "violins": "NNS",
    "vipers": "NNS",
    "viral": "JJ",
    "virgin": "JJ|NN",
    "virginity": "NN",
    "virgins": "NNS",
    "virile": "JJ",
    "virility": "NN",
    "virologist": "NN",
    "virtual": "JJ",
    "virtually": "RB|IN|JJ",
    "virtue": "NN",
    "virtues": "NNS",
    "virtuosi": "NNS",
    "virtuosity": "NN",
    "virtuoso": "JJ|NN",
    "virtuosos": "NNS",
    "virtuous": "JJ",
    "virulence": "NN",
    "virulent": "JJ",
    "virus": "NN",
    "virus-boosting": "JJ",
    "virus-free": "JJ",
    "viruses": "NNS",
    "virutally": "RB",
    "vis": "FW",
    "vis-a-vis": "FW|IN|NN",
    "visa": "NN",
    "visa-free": "JJ",
    "visage": "NN",
    "visages": "NNS",
    "visas": "NNS",
    "viscera": "NNS",
    "visceral": "JJ",
    "viscoelastic": "JJ",
    "viscoelasticity": "NN",
    "viscometer": "NN",
    "viscosity": "NN",
    "viscous": "JJ",
    "vise": "NN",
    "viselike": "JJ",
    "visibility": "NN",
    "visible": "JJ",
    "visibly": "RB",
    "vision": "NN",
    "visionaries": "NNS",
    "visionary": "JJ",
    "visit": "NN|VB|VBP",
    "visitation": "NN",
    "visitations": "NNS",
    "visited": "VBD|VBN",
    "visiting": "VBG|JJ",
    "visitor": "NN",
    "visitors": "NNS",
    "visits": "NNS|VBZ",
    "visrhanik": "FW",
    "vista": "NN",
    "vistas": "NNS",
    "vistors": "NNS",
    "visual": "JJ",
    "visualization": "NN",
    "visualizations": "NNS",
    "visualize": "VB",
    "visualized": "VBD|VBN",
    "visualizes": "VBZ",
    "visually": "RB",
    "visuals": "NNS",
    "vitae": "NN",
    "vital": "JJ",
    "vitality": "NN",
    "vitally": "RB",
    "vitals": "NNS",
    "vitamin": "NN",
    "vitamin-and-iron": "JJ",
    "vitamins": "NNS",
    "vitiate": "VB",
    "vitiated": "VBN|VBD",
    "vitiates": "VBZ",
    "vitreous-china": "NN",
    "vitriol": "NN",
    "vitriolic": "JJ",
    "vitro": "NN|FW",
    "viva": "FW|NN",
    "vivacious": "JJ",
    "vivacity": "NN",
    "vivid": "JJ",
    "vividly": "RB",
    "vividness": "NN",
    "vivified": "VBN|VBD",
    "vivify": "VB",
    "vivo": "NN|FW",
    "vivre": "FW",
    "viz.": "NN",
    "vocabularies": "NNS",
    "vocabulary": "NN",
    "vocal": "JJ|NN",
    "vocalic": "JJ",
    "vocalism": "NN",
    "vocalist": "NN",
    "vocalists": "NNS",
    "vocalization": "NN",
    "vocalize": "VB",
    "vocally": "RB",
    "vocals": "NNS",
    "vocation": "NN",
    "vocational": "JJ",
    "vocational-advancement": "JJ",
    "vocationally": "RB",
    "voce": "NN",
    "vociferous": "JJ",
    "vociferously": "RB",
    "vociferousness": "NN",
    "vodka": "NN",
    "vodkas": "NNS",
    "vogue": "NN",
    "voice": "NN|VBP|VB",
    "voice-activated": "JJ",
    "voice-altering": "JJ",
    "voice-mail": "NN",
    "voice-over": "JJ",
    "voice-processing": "JJ",
    "voice-recognition": "NN",
    "voice-response": "NN",
    "voiced": "VBN|VBD|JJ",
    "voiceless": "JJ",
    "voices": "NNS|VBZ",
    "voicing": "VBG",
    "void": "VB|NN|JJ",
    "voided": "VBN|VBD",
    "voids": "VBZ",
    "voir": "FW",
    "volatile": "JJ",
    "volatility": "NN",
    "volatilization": "NN",
    "volcanic": "JJ",
    "volcano": "NN",
    "volcanoes": "NNS",
    "volcanos": "NNS",
    "volens": "FW",
    "volition": "NN",
    "volley": "NN",
    "volley-ball": "NN",
    "volleyball": "NN",
    "voltage": "NN",
    "voltages": "NNS",
    "voltaic": "JJ",
    "voltmeter": "NN",
    "volts": "NNS",
    "voluble": "JJ",
    "volubly": "RB",
    "volume": "NN",
    "volume-based": "JJ",
    "volume-decliner": "JJ",
    "volume-wine": "JJ",
    "volumes": "NNS",
    "volumetric": "JJ",
    "volumetrically": "RB",
    "voluminous": "JJ",
    "voluntarily": "RB",
    "voluntarism": "NN",
    "voluntary": "JJ",
    "voluntary-control": "JJ",
    "volunteer": "NN|VB|JJR|VBP",
    "volunteered": "VBD|VBN",
    "volunteering": "VBG|NN",
    "volunteerism": "NN",
    "volunteers": "NNS|VBZ",
    "voluptuous": "JJ",
    "vomica": "NN",
    "vomit": "VBP|VB",
    "vomited": "VBD|VBN",
    "vomiting": "NN|VBG",
    "von": "NNP",
    "voodoo": "NN",
    "vopos": "FW",
    "voracious": "JJ",
    "voraciously": "RB",
    "vortex": "NN",
    "vos": "FW",
    "vote": "NN|VB|VBP",
    "vote-begging": "NN",
    "vote-diluting": "JJ",
    "vote-getter": "NN",
    "vote-getters": "NNS",
    "vote-loser": "NN",
    "voted": "VBD|VBN",
    "voter": "NN",
    "voter-approved": "JJ",
    "voter-registration": "JJ",
    "voters": "NNS",
    "votes": "NNS|VBZ",
    "voting": "NN|JJ|VBG",
    "votive": "JJ",
    "voucher": "NN",
    "vouchers": "NNS",
    "vouching": "VBG",
    "vouchsafes": "VBZ",
    "voulez": "FW",
    "voume": "NN",
    "vous": "FW",
    "vow": "NN|VBP|VB",
    "vowed": "VBD|VBN",
    "vowel": "NN|JJ",
    "vowels": "NNS",
    "vowing": "VBG",
    "vows": "VBZ|NNS",
    "voyage": "NN|FW|VB",
    "voyager": "NN",
    "voyages": "NNS|VBZ",
    "voyageurs": "NNS",
    "voyeurism": "NN",
    "vp": "NN",
    "vrai": "FW",
    "vs": "NNP|IN",
    "vs.": "FW|IN|CC|JJ|NN",
    "vu": "NN",
    "vue": "FW|NN",
    "vuhranduh": "NN",
    "vulcanized": "VBN",
    "vulgar": "JJ",
    "vulnerabilities": "NNS",
    "vulnerability": "NN",
    "vulnerable": "JJ",
    "vulpine": "JJ",
    "vulture": "NN",
    "vulture-like": "JJ",
    "vultures": "NNS",
    "vying": "VBG",
    "w": "IN",
    "w-i-d-e": "NN",
    "w.": "JJ",
    "wacky": "JJ",
    "wad": "NN|VB",
    "wad-working": "NN",
    "wadded": "VBD|VBN",
    "waddlers": "NNS",
    "waddles": "VBZ",
    "wade": "VB",
    "waded": "VBD|VBN",
    "wads": "NNS|VBZ",
    "wafer": "NN",
    "wafers": "NNS",
    "waffle": "NN|VB",
    "waffle-pattern": "NN",
    "waffled": "VBN|VBD",
    "waffles": "NNS|VBZ",
    "waffling": "VBG|JJ|NN",
    "waft": "VB",
    "wafting": "VBG",
    "wag": "NN|VBP|VB",
    "wage": "NN|VB",
    "wage-discrimination": "NN",
    "wage-earning": "JJ",
    "wage-floor": "JJ",
    "wage-price": "JJ",
    "wage-rate": "JJ",
    "wage-rates": "NNS",
    "wage-setter": "NN",
    "waged": "VBD|VBN",
    "wager": "NN|VB",
    "wagering": "NN|VBG",
    "wagers": "NNS|VBZ",
    "wages": "NNS|VBZ",
    "wagged": "VBD|VBN",
    "wagging": "VBG",
    "waggishly": "RB",
    "waggled": "VBD|VBN",
    "waggling": "VBG",
    "waging": "VBG",
    "wagon": "NN",
    "wagons": "NNS",
    "wags": "NNS|VBZ",
    "wahtahm": "NN",
    "waif": "NN",
    "wail": "VB|NN",
    "wailed": "VBD|VBN",
    "wailing": "VBG|NN",
    "wails": "NNS|VBZ",
    "wainscoted": "JJ",
    "waist": "NN",
    "waist-length": "JJ",
    "waistcoat": "NN",
    "waists": "NNS",
    "wait": "VB|VBP|NN",
    "wait-and-see": "JJ",
    "waited": "VBD|VBN",
    "waiter": "NN",
    "waiters": "NNS",
    "waitin": "NN",
    "waiting": "VBG|NN|JJ",
    "waitress": "NN|VB",
    "waitresses": "NNS|VBZ",
    "waits": "VBZ",
    "waive": "VB",
    "waived": "VBN|VBD",
    "waiver": "NN",
    "waivered": "VBN",
    "waivers": "NNS",
    "waives": "VBZ",
    "waiving": "VBG",
    "wake": "NN|VBP|VB",
    "waked": "VBD|VBN",
    "wakeful": "JJ",
    "wakefulness": "NN",
    "wakened": "VBN",
    "wakening": "VBG",
    "wakes": "VBZ",
    "waking": "VBG|JJ",
    "wales": "NNS",
    "walk": "VB|VBP|NN",
    "walk-in": "JJ",
    "walk-on": "NN|JJ",
    "walk-through": "JJ",
    "walk-to": "JJ",
    "walk-up": "NN",
    "walk-way": "NN",
    "walked": "VBD|VBN",
    "walker": "NN",
    "walkers": "NNS",
    "walkie-talkie": "NN",
    "walkie-talkies": "NNS",
    "walkin": "VBG",
    "walking": "VBG|NN|JJ",
    "walkout": "NN",
    "walkover": "NN",
    "walks": "VBZ|NNS",
    "walkway": "NN",
    "walkways": "NNS",
    "wall": "NN|VBP|VB",
    "wall-flowers": "NNS",
    "wall-paneling": "JJ",
    "wall-stabilized": "JJ",
    "wall-switch": "NN",
    "wall-to-wall": "JJ",
    "wallboard": "NN",
    "wallcoverings": "NNS",
    "walled": "JJ|VBN|VBD",
    "wallet": "NN",
    "wallets": "NNS",
    "wallflower": "NN",
    "wallop": "NN|VB",
    "walloped": "VBD",
    "walloping": "NN|JJ",
    "wallops": "VBZ",
    "wallow": "VB",
    "wallowed": "VBD|VBN",
    "wallowing": "VBG",
    "wallpaper": "NN|VB",
    "wallpapers": "NNS|VBZ",
    "walls": "NNS|VBZ",
    "walnut": "NN",
    "walnuts": "NNS",
    "walrus": "NN",
    "walruses": "NNS",
    "waltz": "NN|VB",
    "waltzing": "VBG",
    "wan": "JJ",
    "wand": "NN",
    "wander": "VB|VBP",
    "wandered": "VBD|VBN",
    "wanderer": "NN",
    "wanderers": "NNS",
    "wandering": "VBG",
    "wanderings": "NNS",
    "wanders": "VBZ",
    "wane": "VBP|VB|NN",
    "waned": "VBD|VBN",
    "wanes": "VBZ|NNS",
    "wangled": "VBD|VBN",
    "waning": "VBG",
    "wanna": "VB|VBP",
    "want": "VBP|NN|VB",
    "wanta": "VB",
    "wanted": "VBD|JJ|VBN",
    "wanting": "VBG",
    "wanting-to-be-alone": "JJ",
    "wanton": "JJ|VB",
    "wants": "VBZ|NNS",
    "war": "NN|NNP|VB",
    "war-damaged": "JJ",
    "war-dirty": "JJ",
    "war-like": "JJ",
    "war-rationed": "JJ",
    "war-ridden": "JJ",
    "war-time": "JJ",
    "war-torn": "JJ",
    "warbler": "NN",
    "warbling": "VBG",
    "warchest": "NN",
    "ward": "VB|NN",
    "ward-heelers": "NNS",
    "ward-personnel": "NNS",
    "warded": "VBN|VBD",
    "warden": "NN",
    "wardens": "NNS",
    "wardrobe": "NN",
    "wardrobes": "NNS",
    "wardroom": "NN",
    "wards": "NNS|VBZ",
    "ware": "NN|VB",
    "warehouse": "NN|VB",
    "warehouse-club": "NN",
    "warehouse-management": "NN",
    "warehouse-type": "NN",
    "warehouseman": "NN",
    "warehouses": "NNS|VBZ",
    "warehousing": "NN|VBG",
    "wares": "NNS|VBZ",
    "warfare": "NN",
    "warfront": "NN",
    "warhead": "NN",
    "warheads": "NNS",
    "warily": "RB",
    "wariness": "NN",
    "warless": "JJ",
    "warlike": "JJ",
    "warlords": "NNS",
    "warm": "JJ|VB",
    "warm-blooded": "JJ",
    "warm-hearted": "JJ",
    "warm-red": "JJ",
    "warm-toned": "JJ",
    "warm-up": "NN",
    "warm-ups": "NNS",
    "warm-weather": "JJ",
    "warmed": "VBN|VBD",
    "warmed-over": "IN",
    "warmer": "JJR|RBR",
    "warmhearted": "JJ",
    "warmheartedness": "NN",
    "warming": "NN|VBG",
    "warmish": "JJ",
    "warmly": "RB",
    "warms": "VBZ",
    "warmth": "NN",
    "warmup": "NN",
    "warn": "VBP|VB",
    "warn-your-enemy": "JJ",
    "warned": "VBD|VBN",
    "warning": "NN|VBG",
    "warning-signals": "NN",
    "warningly": "RB",
    "warns": "VBZ",
    "warp": "NN|VB",
    "warped": "JJ|VBN|VBD",
    "warping": "VBG|NN",
    "warrant": "NN|VBP|VB",
    "warranted": "VBN|JJ|VBD",
    "warranties": "NNS",
    "warrantless": "JJ",
    "warrants": "NNS|VBZ",
    "warranty": "NN",
    "warred": "VBD",
    "warren": "NN",
    "warrent": "JJ",
    "warring": "VBG",
    "warrior": "NN",
    "warriors": "NNS",
    "wars": "NNS|VBZ",
    "warship": "NN",
    "warships": "NNS",
    "wart": "NN|NNS",
    "wart-hog": "NN",
    "wartime": "NN",
    "wartorn": "NN",
    "warts": "NNS",
    "warty": "JJ",
    "wary": "JJ",
    "warys": "NNS",
    "was": "VBD|:",
    "wash": "VB|NN|VBP|JJ",
    "wash-outs": "NNS",
    "wash-up": "JJ",
    "washable": "JJ",
    "washbasin": "NN",
    "washboard": "NN",
    "washbowl": "NN",
    "washed": "VBN|VBD|JJ",
    "washed-out": "JJ",
    "washer": "NN",
    "washes": "NNS|VBZ",
    "washing": "VBG|NN",
    "washings": "NNS",
    "washload": "NN",
    "washouts": "NNS",
    "wasp": "NN",
    "waspish": "JJ",
    "waspishly": "RB",
    "wassail": "NN|VB",
    "waste": "NN|VBP|JJ|VB",
    "waste-disposal": "JJ|NN",
    "waste-energy": "NN",
    "waste-management": "JJ|NN",
    "waste-storage": "NN",
    "waste-to-energy": "JJ|NN",
    "waste-treatment": "NN",
    "waste-water": "NN",
    "wastebasket": "NN",
    "wasted": "VBN|VBD|JJ",
    "wasteful": "JJ",
    "wasteful-racist-savagery": "NN",
    "wasteland": "NN",
    "wastepaper": "NN",
    "wastes": "NNS|VBZ",
    "wastewater": "NN",
    "wasting": "NN|VBG|JJ",
    "wastrel": "NN",
    "watch": "VB|JJ|NN|VBP",
    "watch-spring": "JJ",
    "watchdog": "NN|JJ",
    "watchdogs": "NNS",
    "watched": "VBN|VBD|JJ",
    "watcher": "NN",
    "watchers": "NNS",
    "watches": "NNS|VBZ",
    "watchful": "JJ",
    "watching": "VBG|NN",
    "watchings": "NNS",
    "watchmaker": "NN",
    "watchman": "NN",
    "watchmen": "NNS",
    "watchtowers": "NNS",
    "watchword": "NN",
    "water": "NN|VB|JJ",
    "water-authority": "NN",
    "water-balance": "NN",
    "water-borne": "JJ",
    "water-cooled": "JJ",
    "water-deficient": "JJ",
    "water-filled": "JJ",
    "water-holding": "JJ",
    "water-line": "NN",
    "water-pollution": "NN",
    "water-proof": "JJ",
    "water-purification": "NN",
    "water-purity": "NN",
    "water-reactor": "JJ",
    "water-ski": "NN",
    "water-soluble": "JJ",
    "water-submersion": "JJ",
    "water-tank": "NN",
    "water-treatment": "JJ|NN",
    "water-use": "NN",
    "water-washed": "VBN",
    "watercolor": "NN",
    "watercolorist": "NN",
    "watercolorists": "NNS",
    "watercolors": "NNS",
    "watered": "VBD|VBN",
    "watered-down": "JJ",
    "waterfall": "NN",
    "waterfalls": "NNS",
    "waterflows": "NNS",
    "waterfront": "NN",
    "watering": "NN|VBG",
    "waterline": "NN",
    "waterlogged": "JJ",
    "watermelon": "NN",
    "waterproof": "NN|JJ",
    "waterproofing": "NN",
    "waters": "NNS|VBZ",
    "watershed": "JJ|NN",
    "watersheds": "NNS",
    "waterside": "NN",
    "waterskiing": "NN",
    "waterway": "NN",
    "waterways": "NNS",
    "waterworks": "NN|NNS",
    "watery": "JJ",
    "watt": "NN",
    "wattles": "NNS",
    "watts": "NNS",
    "wave": "NN|VB|VBP",
    "wave-length": "NN",
    "wave-particle": "NN",
    "wave-setting": "JJ",
    "wave-travel": "JJ",
    "waved": "VBD|VBN|JJ",
    "wavelength": "NN",
    "wavelengths": "NNS",
    "waver": "VBP|NN|VB",
    "wavered": "VBD|VBN",
    "wavering": "VBG|NN",
    "wavers": "NNS|VBZ",
    "waves": "NNS|VBZ",
    "waving": "VBG|NN",
    "wavy": "JJ",
    "wavy-haired": "JJ",
    "wax": "NN|VB",
    "waxed": "VBN|VBD|JJ",
    "waxen": "JJ",
    "waxing": "NN|VBG",
    "waxy": "JJ",
    "way": "NN|RB",
    "way-out": "JJ",
    "waylaid": "VBN|VBD",
    "waypoint": "NN",
    "ways": "NNS",
    "wayside": "NN",
    "wayward": "JJ",
    "wayward-looking": "JJ",
    "we-Japanese": "JJ",
    "weak": "JJ",
    "weak-kneed": "JJ",
    "weak...": ":",
    "weaken": "VB|VBP",
    "weakened": "VBN|JJ|VBD",
    "weakening": "VBG|JJ|NN",
    "weakens": "VBZ",
    "weaker": "JJR|RBR",
    "weaker-performing": "JJ",
    "weaker-than-expected": "JJ",
    "weakest": "JJS",
    "weakling": "NN",
    "weakly": "RB",
    "weakness": "NN",
    "weaknesses": "NNS",
    "weakwilled": "JJ",
    "wealth": "NN",
    "wealthier": "JJR",
    "wealthiest": "JJS",
    "wealthy": "JJ|NNS",
    "wean": "VB",
    "weaned": "VBN|VBD",
    "weaning": "VBG",
    "weapon": "NN",
    "weaponry": "NN",
    "weapons": "NNS",
    "weapons-acquisition": "NN",
    "weapons-control": "JJ",
    "weapons-grade": "JJ",
    "weapons-modernization": "JJ",
    "weapons-plant": "JJ",
    "weapons-systems": "NNS",
    "weaponsmaking": "NN",
    "wear": "VB|JJ|NN|VBP",
    "wearied": "VBD|VBN",
    "wearily": "RB",
    "wearin": "VBG",
    "weariness": "NN",
    "wearing": "VBG",
    "wearisome": "JJ",
    "wears": "VBZ",
    "weary": "JJ|VB",
    "wearying": "VBG",
    "weasel": "NN",
    "weasel-worded": "JJ",
    "weasling": "VBG",
    "weather": "NN|VB|VBP",
    "weather-related": "JJ",
    "weather-resistant": "JJ",
    "weather-royal": "JJ",
    "weatherbeaten": "JJ",
    "weathering": "NN|VBG",
    "weatherman": "NN",
    "weatherproof": "JJ",
    "weatherstrip": "VB",
    "weave": "VB|NN",
    "weavers": "NNS",
    "weaves": "NNS|VBZ",
    "weaving": "VBG|NN",
    "web": "NN|JJ|VB",
    "web-printing": "JJ",
    "webs": "NNS|VBZ",
    "wed": "VBN|VB|VBD",
    "wedded": "VBN|JJ",
    "wedding": "NN|VBG",
    "weddings": "NNS",
    "wedge": "NN|VB",
    "wedge-nosed": "JJ",
    "wedge-shaped": "JJ",
    "wedged": "VBN|VBD",
    "wedging": "VBG",
    "wedlock": "NN",
    "weds": "VBZ",
    "wee": "JJ|PRP|VB",
    "weed": "NN|VB|VBD|VBN",
    "weed-killing": "JJ",
    "weeded": "VBN",
    "weeding": "VBG",
    "weeds": "NNS",
    "week": "NN",
    "week-end": "NN",
    "week-ends": "NNS",
    "week-long": "JJ",
    "week-old": "JJ",
    "week-one": "JJ",
    "week-to-week": "JJ",
    "weekday": "NN|JJ",
    "weekdays": "NNS|RB",
    "weeked": "NN",
    "weekend": "NN",
    "weekends": "NNS",
    "weeklies": "NNS",
    "weeklong": "JJ|NN",
    "weekly": "JJ|RB|NN",
    "weekly-average": "JJ|NN",
    "weeknight": "NN",
    "weeknights": "NNS",
    "weeks": "NNS",
    "weep": "NN|VB",
    "weepers": "NNS",
    "weeping": "VBG|NN",
    "weevil": "NN",
    "weevils": "NNS",
    "wei": "NNS",
    "weigh": "VB|VBP",
    "weighed": "VBD|VBN",
    "weighing": "VBG|NN",
    "weighs": "VBZ",
    "weight": "NN|VB",
    "weight-control": "JJ",
    "weight-height": "NN",
    "weight-training": "NN",
    "weighted": "JJ|VBD|VBN",
    "weighting": "NN|VBG",
    "weightings": "NNS",
    "weightlessness": "NN",
    "weights": "NNS|VBZ",
    "weighty": "JJ",
    "weir": "NN",
    "weird": "JJ|NN",
    "weirdest": "JJS",
    "weirdly": "RB",
    "weirdo": "NN",
    "weirdy": "NN",
    "weirs": "NNS",
    "welcome": "JJ|NN|VB|VBP",
    "welcomed": "VBD|VBN",
    "welcomes": "VBZ",
    "welcoming": "VBG|NN|JJ",
    "weld": "VB|NN",
    "welded": "VBN|VBD",
    "welding": "NN|VBG",
    "welfare": "NN",
    "welfare-state": "JJ",
    "well": "RB|VBP|JJ|NN|UH|VB",
    "well-adjusted": "JJ",
    "well-administered": "JJ",
    "well-advised": "JJ",
    "well-armed": "JJ",
    "well-baby": "JJ",
    "well-balanced": "JJ",
    "well-behaved": "JJ",
    "well-being": "NN|JJ",
    "well-born": "JJ",
    "well-bound": "JJ",
    "well-braced": "JJ",
    "well-bred": "JJ",
    "well-brushed": "JJ",
    "well-capitalized": "JJ",
    "well-cared": "JJ",
    "well-cared-for": "JJ",
    "well-cemented": "JJ",
    "well-chronicled": "JJ",
    "well-connected": "JJ",
    "well-cut": "JJ",
    "well-defined": "JJ",
    "well-deserved": "JJ",
    "well-designed": "JJ",
    "well-developed": "JJ",
    "well-diversified": "JJ",
    "well-documented": "JJ",
    "well-dressed": "JJ",
    "well-drilled": "JJ",
    "well-educated": "JJ",
    "well-endowed": "JJ",
    "well-entrenched": "JJ",
    "well-equipped": "JJ",
    "well-established": "JJ",
    "well-experienced": "JJ",
    "well-fed": "JJ",
    "well-financed": "JJ",
    "well-fitted": "JJ",
    "well-fleshed": "JJ",
    "well-fortified": "JJ",
    "well-founded": "JJ",
    "well-grooved": "JJ",
    "well-guarded": "JJ",
    "well-heeled": "JJ",
    "well-hit": "JJ",
    "well-house": "JJ",
    "well-illustrated": "JJ",
    "well-informed": "JJ",
    "well-intended": "JJ",
    "well-intentioned": "JJ",
    "well-kept": "JJ",
    "well-known": "JJ|NN",
    "well-lighted": "JJ",
    "well-made": "JJ",
    "well-managed": "JJ",
    "well-mannered": "JJ",
    "well-meaning": "JJ",
    "well-modulated": "JJ",
    "well-molded": "JJ",
    "well-nigh": "RB",
    "well-off": "JJ",
    "well-operated": "JJ",
    "well-organized": "JJ",
    "well-oriented": "JJ",
    "well-paid": "JJ",
    "well-paying": "JJ",
    "well-placed": "JJ",
    "well-planned": "JJ",
    "well-played": "JJ",
    "well-polished": "JJ",
    "well-populated": "JJ",
    "well-positioned": "JJ",
    "well-prepared": "JJ",
    "well-publicized": "JJ",
    "well-read": "JJ",
    "well-received": "JJ",
    "well-regarded": "JJ",
    "well-regulated": "JJ",
    "well-rehearsed": "JJ",
    "well-respected": "JJ",
    "well-rounded": "JJ",
    "well-ruled": "JJ",
    "well-run": "JJ",
    "well-served": "JJ",
    "well-servicing": "JJ",
    "well-set": "JJ",
    "well-springs": "JJ",
    "well-stated": "JJ|VBN",
    "well-stocked": "JJ",
    "well-structured": "JJ",
    "well-stuffed": "JJ",
    "well-suited": "JJ",
    "well-tailored": "JJ",
    "well-to-do": "JJ|NN",
    "well-trained": "JJ",
    "well-trampled": "JJ",
    "well-traveled": "JJ",
    "well-turned-out": "JJ",
    "well-understood": "JJ",
    "well-versed": "JJ",
    "well-wedged": "JJ",
    "well-wishers": "NNS",
    "well-wishing": "NN",
    "well-worn": "JJ",
    "well-written": "JJ",
    "wellbeing": "NN",
    "welled": "VBD|VBN",
    "wellhead": "NN",
    "welling": "VBG",
    "wellknown": "JJ|NN",
    "wellness": "NN",
    "wellplaced": "JJ",
    "wellrun": "JJ",
    "wells": "NNS|VBZ",
    "wellspring": "NN",
    "welter": "NN|VB",
    "welts": "NNS|VBZ",
    "went": "VBD|VBN",
    "wept": "VBD|VBN",
    "were": "VBD",
    "werewolves": "NNS",
    "west": "NN|JJ|RB|JJS",
    "west-central": "JJ",
    "west-to-east": "RB",
    "westbound": "JJ",
    "westerly": "JJ|RB",
    "western": "JJ",
    "western-style": "JJ",
    "westward": "RB|JJ|NN",
    "westwards": "NNS",
    "wet": "JJ|NN|VBD|VBP|VB|VBN",
    "wetlands": "NNS",
    "wetly": "RB",
    "wetness": "NN",
    "wets": "NNS|VBZ",
    "wetting": "VBG|NN|JJ",
    "whack": "VB|NN",
    "whacked": "VBD|VBN",
    "whacker": "NN",
    "whacking": "VBG",
    "whacky": "JJ",
    "whaddya": "WP",
    "whale": "NN",
    "whales": "NNS",
    "whalesized": "JJ",
    "whaling": "NN",
    "whammo": "UH",
    "whammy": "NN",
    "wharf": "NN|VB",
    "wharves": "NNS",
    "what": "WP|WDT|IN|UH",
    "what-nots": "NNS",
    "what-will-T": "WP|MD|NP",
    "whatever": "WDT|RB|WP|UH",
    "whatsoever": "RB|WP",
    "wheare": "WRB",
    "wheat": "NN|JJ",
    "wheat-germ": "NN",
    "wheat-growing": "JJ",
    "wheedled": "VBN|VBD",
    "wheel": "NN|VBP|VB",
    "wheel-loader": "JJ",
    "wheel-making": "JJ",
    "wheelbase": "NN",
    "wheelbases": "NNS",
    "wheelchair": "NN",
    "wheeled": "VBN|VBD|JJ",
    "wheeler-dealers": "NNS",
    "wheeling": "NN|VBG",
    "wheellike": "JJ",
    "wheels": "NNS|VBZ",
    "wheezed": "VBD",
    "wheezes": "NNS",
    "wheezing": "VBG|JJ",
    "whelk": "NN",
    "when": "WRB|IN|UH",
    "when-issued": "JJ|VBN",
    "whence": "WRB",
    "whenever": "WRB",
    "wher": "WRB",
    "where": "WRB",
    "whereabouts": "NN|NNS",
    "whereas": "IN",
    "whereby": "WRB",
    "whereever": "WRB",
    "wherefores": "NNS",
    "wherein": "WRB",
    "whereof": "RB|WRB",
    "whereon": "NN",
    "whereupon": "IN",
    "wherever": "WRB",
    "wherewith": "VB",
    "wherewithal": "JJ|NN",
    "whether": "IN|CC",
    "whetted": "VBN|VBD",
    "which": "WDT|WP",
    "which...": ":",
    "whichever": "WDT",
    "whichever-the-hell": "JJ",
    "whiff": "NN|VB",
    "while": "IN|JJ|NN|RB|VB",
    "whim": "NN",
    "whimper": "NN|VB",
    "whimpering": "VBG",
    "whimpers": "NNS|VBZ",
    "whims": "NNS",
    "whimsical": "JJ",
    "whimsically": "RB",
    "whimsy": "NN",
    "whine": "NN|VB",
    "whined": "VBD|VBN",
    "whiner": "NN",
    "whiners": "NNS",
    "whining": "VBG",
    "whinnied": "VBD",
    "whinny": "NN",
    "whip": "NN|VB",
    "whipcracking": "NN",
    "whiplash": "NN",
    "whiplashes": "NNS",
    "whipped": "VBN|VBD|JJ",
    "whipping": "VBG|JJ|NN",
    "whipping-boys": "NNS",
    "whippings": "NNS",
    "whips": "VBZ|NNS",
    "whipsaw": "VB|JJ|NN",
    "whipsawed": "VBN|VBD",
    "whipsawing": "NN|VBG",
    "whir": "NN|VB",
    "whirl": "NN|VB|VBP",
    "whirled": "VBD|VBN",
    "whirling": "JJ|VBG|NN",
    "whirlpool": "NN|VB",
    "whirlwind": "JJ|NN",
    "whirlwinds": "NNS",
    "whirred": "VBD|VBN",
    "whirring": "VBG",
    "whisked": "VBN|VBD",
    "whiskered": "JJ|VBD|VBN",
    "whiskers": "NNS|VBZ",
    "whiskery": "JJ",
    "whiskey": "NN",
    "whiskey-baritoned": "JJ",
    "whiskies": "NNS",
    "whisking": "VBG",
    "whisks": "VBZ",
    "whisky": "NN",
    "whisky-on-the-rocks": "NN",
    "whisper": "NN|VB",
    "whispered": "VBN|VBD|JJ",
    "whispering": "VBG|NN",
    "whisperings": "NNS",
    "whispers": "NNS|VBZ",
    "whistle": "VBP|NN|VB",
    "whistle-blower": "NN",
    "whistle-blowers": "NNS",
    "whistle-stop": "JJ",
    "whistleblower": "NN",
    "whistled": "VBN|VBD",
    "whistles": "NNS|VBZ",
    "whistling": "VBG",
    "whit": "NN",
    "white": "JJ|NN|VB",
    "white-bearded": "JJ",
    "white-clad": "JJ",
    "white-coated": "JJ",
    "white-collar": "JJ",
    "white-collar-defense": "JJ",
    "white-columned": "JJ",
    "white-dominated": "JJ",
    "white-haired": "JJ",
    "white-knight": "NN",
    "white-majority": "JJ",
    "white-minority": "JJ",
    "white-shoe": "JJ",
    "white-spirit": "NN",
    "white-spirits": "JJ",
    "white-squire": "NN",
    "white-stucco": "JJ",
    "white-suited": "JJ",
    "white-topped": "JJ",
    "white-walled": "JJ",
    "white-washed": "JJ",
    "white-water": "NN",
    "whitecollar": "JJ",
    "whiteface": "JJ|NN",
    "whitehaired": "JJ",
    "whitely": "RB",
    "whitened": "JJ|VBD|VBN",
    "whiteness": "NN",
    "whitening": "VBG",
    "whitens": "VBZ",
    "whites": "NNS|VBZ",
    "whitetail": "NN",
    "whitewalled": "JJ",
    "whitewash": "NN",
    "whitewashed": "VBN",
    "whitewashing": "VBG",
    "whitish": "JJ",
    "whittle": "VBP|VB",
    "whittled": "VBN|VBD",
    "whittling": "VBG",
    "whiz": "NN|UH|VB",
    "whiz-bang": "UH",
    "whizzed": "VBD|VBN",
    "whizzes": "NNS|VBZ",
    "whizzing": "VBG",
    "who": "WP|NN",
    "who...": ":",
    "whodunnit": "UH",
    "whodunnit-style": "JJ",
    "whoe": "WP",
    "whoever": "WP",
    "whole": "JJ|NN|RP",
    "whole-bank": "JJ",
    "whole-egg": "JJ",
    "whole-heartedly": "RB",
    "whole-house": "JJ",
    "whole-milk": "NN",
    "whole-wheat": "JJ",
    "whole-word": "JJ",
    "wholehearted": "JJ",
    "wholeheartedly": "RB",
    "wholeness": "NN",
    "wholes": "NNS",
    "wholesale": "JJ|NN",
    "wholesale-price": "JJ",
    "wholesale-sized": "JJ",
    "wholesale-store": "JJ",
    "wholesaler": "NN",
    "wholesalers": "NNS",
    "wholesaling": "VBG|NN",
    "wholesome": "JJ",
    "wholewheat": "JJ",
    "wholly": "RB",
    "wholly-owned": "JJ",
    "whom": "WP",
    "whooosh": "JJ",
    "whoop": "NN|VB",
    "whooped": "VBD|VBN",
    "whooper": "NN",
    "whooping": "JJ|VBG",
    "whoops": "VBZ|UH",
    "whoosh": "VBP|NN",
    "whoppers": "NNS",
    "whopping": "JJ|VBG",
    "whore": "NN",
    "whores": "NNS",
    "whoring": "NN",
    "whorls": "NNS",
    "whose": "WP$",
    "whosoever": "WP",
    "whupped": "VBD",
    "why": "WRB|UH",
    "whyfores": "NNS",
    "wick": "NN",
    "wicked": "JJ",
    "wickedly": "RB",
    "wickedness": "NN",
    "wicker": "NN",
    "wicket": "NN",
    "wickets": "NNS",
    "wide": "JJ|RB",
    "wide-awake": "JJ",
    "wide-body": "JJ",
    "wide-cut": "JJ",
    "wide-door": "JJ",
    "wide-eyed": "JJ",
    "wide-grip": "JJ",
    "wide-open": "JJ",
    "wide-ranging": "JJ",
    "wide-scale": "JJ",
    "wide-shouldered": "JJ",
    "wide-sweeping": "JJ",
    "wide-winged": "JJ",
    "widegrip": "JJ",
    "widely": "RB",
    "widen": "VB|VBP|JJ",
    "widened": "VBD|VBN",
    "widening": "NN|VBG|JJ",
    "widens": "VBZ",
    "wider": "JJR|RBR",
    "wider-body": "JJR",
    "wider-than-expected": "JJ",
    "wider-than-normal": "JJ",
    "widespread": "JJ",
    "widest": "JJS",
    "widget": "NN",
    "widgets": "NNS",
    "widow": "NN",
    "widowed": "VBN|JJ",
    "widower": "NN",
    "widowers": "NNS",
    "widowhood": "NN",
    "widows": "NNS",
    "width": "NN",
    "widths": "NNS",
    "widthwise": "RB",
    "wiederum": "FW",
    "wield": "VB|VBP",
    "wielded": "VBN|VBD",
    "wielder": "NN",
    "wielding": "VBG",
    "wields": "VBZ",
    "wieners": "NNS",
    "wife": "NN",
    "wife-to-be": "NN",
    "wife/mother": "NN",
    "wifely": "JJ",
    "wig": "NN",
    "wiggier": "JJR",
    "wiggle": "VBP|NN|JJ|VB",
    "wiggled": "VBD|VBN",
    "wiggling": "VBG",
    "wigmaker": "NN",
    "wigmakers": "NNS",
    "wignapping": "NN",
    "wigs": "NNS",
    "wil": "MD",
    "wild": "JJ|RB",
    "wild-eyed": "JJ",
    "wild-sounding": "JJ",
    "wildcat": "NN|JJ",
    "wildcatter": "NN",
    "wilderness": "NN",
    "wildest": "JJS",
    "wildflowers": "NNS",
    "wildlife": "NN",
    "wildlife-related": "JJ",
    "wildly": "RB",
    "wildness": "NN",
    "wiles": "NNS",
    "wilfully": "RB",
    "will": "MD|VBP|NN|RB|VB",
    "will-to-power": "NN",
    "willed": "VBD|VBN",
    "willful": "JJ",
    "willfully": "RB",
    "william": "NN",
    "willies": "NNS",
    "willing": "JJ|VBG",
    "willinge": "JJ",
    "willingess": "NN",
    "willingly": "RB",
    "willingness": "NN",
    "willling": "VBG",
    "willow": "NN",
    "willow-lined": "JJ",
    "willowy": "JJ",
    "willpower": "NN",
    "wills": "NNS|VBZ",
    "willy": "RB",
    "willy-nilly": "RB|JJ",
    "willya": "MD",
    "wilt": "MD|NN|VB",
    "wilted": "JJ|VBN|VBD",
    "wilting": "VBG",
    "wily": "JJ",
    "wimp": "VB|NN",
    "wimping": "VBG",
    "win": "VB|NN|VBP",
    "win-win": "NN|JJ",
    "wince": "NN|VB",
    "winced": "VBD|VBN",
    "winches": "NNS",
    "wincing": "VBG",
    "wind": "NN|VBP|VB",
    "wind-and-water": "JJ",
    "wind-blown": "JJ",
    "wind-driven": "JJ",
    "wind-swept": "JJ",
    "wind-velocity": "NN",
    "windbag": "NN",
    "windbreaks": "NNS",
    "winded": "JJ|VBN",
    "winder": "NN",
    "winders": "NNS",
    "windfall": "NN",
    "windfalls": "NNS",
    "winding": "VBG|JJ|NN",
    "winding-clothes": "NNS",
    "windless": "JJ",
    "windmill": "NN",
    "window": "NN",
    "window-film": "NN",
    "window-shopping": "NN",
    "window-washing": "NN",
    "windowless": "JJ",
    "windowpane": "NN",
    "windowpanes": "NNS",
    "windows": "NNS",
    "winds": "NNS|VBZ",
    "windshield": "NN",
    "windshields": "NNS",
    "windstorm": "NN",
    "windswept": "JJ",
    "windup": "NN",
    "windy": "JJ",
    "wine": "NN|JJ",
    "wine-buying": "JJ",
    "wine-dark": "JJ",
    "wine-making": "NN|JJ",
    "wined": "VBD",
    "winehead": "NN",
    "wineries": "NNS",
    "winery": "NN",
    "wines": "NNS",
    "wing": "NN|VBP|VB",
    "wing-shooting": "NN",
    "wing-tip": "JJ",
    "wingbeat": "NN",
    "winged": "VBD|VBN|JJ",
    "winger": "NN",
    "winging": "VBG",
    "wingman": "NN",
    "wings": "NNS|VBZ",
    "wink": "NN|VB",
    "winked": "VBD|VBN",
    "winking": "VBG",
    "winless": "JJ",
    "winner": "NN",
    "winners": "NNS",
    "winning": "VBG|JJ|NN",
    "winningest": "JJS",
    "winnings": "NNS",
    "winnow": "VB",
    "winnowing": "NN|VBG",
    "winos": "NNS",
    "wins": "VBZ|NNS",
    "winsome": "JJ",
    "winter": "NN|VB",
    "wintered": "VBN|VBD",
    "wintering": "VBG",
    "winters": "NNS|VBZ",
    "wintertime": "NN",
    "wintry": "JJ",
    "wipe": "VB|VBP",
    "wiped": "VBN|VBD",
    "wipeout": "NN",
    "wipes": "VBZ",
    "wiping": "VBG",
    "wire": "NN|VB",
    "wire-fraud": "NN",
    "wire-haired": "JJ",
    "wire-tapping": "NN",
    "wired": "VBN|VBD",
    "wireless": "JJ",
    "wireline": "JJ",
    "wires": "NNS|VBZ",
    "wiretap": "NN|VB",
    "wiretapping": "NN|VBG",
    "wiretaps": "NNS|VBZ",
    "wiring": "NN|VBG",
    "wiry": "JJ",
    "wisdom": "NN",
    "wise": "JJ",
    "wisecrack": "NN",
    "wisecracked": "VBD",
    "wisecracks": "NNS",
    "wisely": "RB",
    "wisenheimer": "NN",
    "wiser": "JJR|RBR",
    "wisest": "JJS",
    "wish": "VBP|NN|VB",
    "wish-list": "NN",
    "wish-lists": "NNS",
    "wished": "VBN|VBD",
    "wisher": "NN",
    "wishes": "VBZ|NNS",
    "wishes..": "NN",
    "wishful": "JJ",
    "wishing": "VBG|NN",
    "wishy-washy": "JJ",
    "wishywashy": "NN",
    "wisp": "NN",
    "wisps": "NNS",
    "wispy": "JJ",
    "wistful": "JJ",
    "wistfully": "RB",
    "wit": "NN",
    "witch": "NN|VB",
    "witchcraft": "NN",
    "witches": "NNS|VBZ",
    "witching": "NN|JJ|VBG",
    "witchy": "JJ",
    "with": "IN|JJ|RB|RP",
    "with-but-after": "JJ",
    "with-it": "JJ",
    "witha": "NN",
    "withal": "IN",
    "withdraw": "VB|VBP",
    "withdrawal": "NN",
    "withdrawals": "NNS",
    "withdrawing": "VBG|NN",
    "withdrawn": "VBN",
    "withdraws": "VBZ",
    "withdrew": "VBD",
    "wither": "VBP|VB",
    "withered": "JJ|VBN|VBD",
    "withering": "VBG|JJ",
    "withes": "NNS",
    "withheld": "VBN|VBD",
    "withhold": "VB|VBP",
    "withholding": "NN|VBG",
    "withholding-tax": "JJ",
    "withholdings": "NNS",
    "withholds": "VBZ",
    "within": "IN|RB",
    "withing": "IN",
    "withstand": "VB|VBP",
    "withstanding": "VBG",
    "withstands": "VBZ",
    "withstood": "VBD|VBN",
    "witness": "NN|VB",
    "witnessed": "VBN|VBD",
    "witnesses": "NNS|VBZ",
    "witnessing": "VBG",
    "wits": "NNS",
    "wittily": "RB",
    "wittiness": "NN",
    "wittingly": "RB",
    "witty": "JJ",
    "wive": "NNS",
    "wives": "NNS",
    "wizard": "NN",
    "wizards": "NNS",
    "wo": "MD",
    "wobble": "VB|NN",
    "wobbled": "VBD|VBN",
    "wobbling": "VBG",
    "wobbly": "JJ",
    "wod": "MD",
    "woe": "NN",
    "woebegone": "JJ",
    "woeful": "JJ",
    "woefully": "RB",
    "woes": "NNS|VBZ",
    "wohaw": "NN",
    "wohaws": "NNS",
    "wohd": "NN",
    "woke": "VBD",
    "woken": "VBN",
    "wold": "MD",
    "wolde": "MD",
    "wolf": "NN",
    "wolfishly": "RB",
    "wolves": "NNS",
    "woman": "NN|VB",
    "womanhood": "NN",
    "womanizing": "VBG",
    "womanly": "JJ",
    "womb": "NN",
    "womb-leasing": "NN",
    "womb-to-tomb": "JJ",
    "wombs": "NNS",
    "women": "NNS",
    "women-owned": "JJ",
    "women-trodden": "JJ",
    "won": "VBD|NN|NNS|VBN",
    "won-lost": "JJ",
    "wonder": "VBP|NN|JJ|JJR|VB",
    "wonder-working": "JJ",
    "wonderbars": "NNS",
    "wondered": "VBD|VBN",
    "wonderful": "JJ",
    "wonderfully": "RB",
    "wonderfulness": "NN",
    "wondering": "VBG|NN",
    "wonderingly": "RB",
    "wonderland": "NN",
    "wonderment": "NN",
    "wonders": "VBZ|NNS",
    "wondrous": "JJ",
    "wondrously": "RB",
    "wonduh": "VB",
    "wont": "JJ",
    "woo": "VB|VBP",
    "wood": "NN",
    "wood-and-brass": "NN",
    "wood-burning": "JJ",
    "wood-chip": "NN",
    "wood-encased": "JJ",
    "wood-grain": "JJ",
    "wood-grained": "JJ",
    "wood-oil": "NN",
    "wood-paneled": "JJ",
    "wood-processing": "JJ",
    "wood-product": "NN",
    "wood-products": "NNS",
    "wood-treating": "JJ",
    "woodcarver": "NN",
    "woodchucks": "NNS",
    "woodcutters": "NNS",
    "wooded": "JJ",
    "wooden": "JJ",
    "wooden-leg": "NN",
    "woodgraining": "NN",
    "woodland": "JJ",
    "woodlots": "NNS",
    "woodpecker": "NN",
    "woods": "NNS",
    "woodshed": "NN",
    "woodsmoke": "NN",
    "woodsy": "JJ",
    "woodwind": "NN",
    "woodwork": "NN",
    "woodworking": "NN",
    "woodworm": "NN",
    "woodworms": "NNS",
    "wooed": "VBN|VBD",
    "woof": "NN",
    "wooing": "VBG|NN",
    "wool": "NN",
    "woolen": "JJ",
    "woolens": "NNS",
    "woolgather": "VB",
    "woolly": "JJ",
    "woolly-headed": "JJ",
    "woolly-minded": "JJ",
    "woolworkers": "NNS",
    "woomera": "NN",
    "wooooosh": "NN",
    "woos": "VBZ",
    "woozy": "JJ",
    "wop": "VB",
    "wops": "VBZ",
    "word": "NN|UH",
    "word-for-word": "JJ",
    "word-games": "NNS",
    "word-of-mouth": "NN",
    "word-processing": "NN|NNS",
    "word-weary": "JJ",
    "worded": "VBN|JJ|VBD",
    "wording": "NN",
    "wordlessly": "RB",
    "wordplay": "NN",
    "words": "NNS",
    "wordy": "JJ",
    "wore": "VBD",
    "work": "NN|VB|VBP",
    "work-a-day": "JJ",
    "work-force": "NN",
    "work-in-progress": "NN",
    "work-out": "JJ|NN",
    "work-paralysis": "NN",
    "work-release": "NN",
    "work-rule": "NN|JJ",
    "work-satisfaction": "NN",
    "work-space": "NN",
    "work-station": "NN",
    "work-study": "JJ|NN",
    "work-success": "NN",
    "work-weary": "JJ",
    "workability": "NN",
    "workable": "JJ",
    "workaholic": "NN|JJ",
    "workbench": "NN",
    "workbenches": "NNS",
    "workbooks": "NNS",
    "workday": "NN",
    "workdays": "NNS",
    "worked": "VBD|VBN",
    "worked-out": "JJ",
    "worker": "NN",
    "worker-compensation": "NN",
    "worker-owned": "JJ",
    "worker-safety": "NN",
    "worker-years": "NNS",
    "workers": "NNS",
    "workforce": "NN",
    "workhorse": "NN",
    "workin": "VBG",
    "working": "VBG|JJ|NN",
    "working-capital": "JJ|NN",
    "working-class": "JJ|NN",
    "working-day": "JJ",
    "working-girl": "NN",
    "workingmen": "NNS",
    "workings": "NNS",
    "workload": "NN",
    "workman": "NN",
    "workmanlike": "JJ",
    "workmanship": "NN",
    "workmen": "NNS",
    "workout": "NN",
    "workouts": "NNS",
    "workplace": "NN|JJ",
    "workplaces": "NNS",
    "workroom": "NN",
    "works": "VBZ|NNS",
    "worksheet": "NN",
    "worksheets": "NNS",
    "workshop": "NN",
    "workshops": "NNS",
    "workstation": "NN",
    "workstations": "NNS",
    "worktable": "NN",
    "workweek": "NN",
    "workweeks": "NNS",
    "world": "NN|RB",
    "world-affairs": "NNS",
    "world-amid": "IN",
    "world-at-large": "NN",
    "world-class": "JJ",
    "world-commerce": "JJ",
    "world-currency": "NN",
    "world-famous": "JJ|NN",
    "world-freight": "NN",
    "world-ignoring": "JJ",
    "world-leading": "JJ",
    "world-oriented": "JJ",
    "world-renowned": "JJ",
    "world-scale": "JJ",
    "world-shaking": "JJ",
    "world-shattering": "JJ",
    "world-view": "NN",
    "world-weary": "JJ",
    "world-wide": "JJ|RB",
    "worldly": "JJ",
    "worlds": "NNS",
    "worldwide": "JJ|RB",
    "worm": "NN|VB",
    "worms": "NNS|VBZ",
    "wormwood": "NN",
    "wormy": "JJ",
    "worn": "JJ|VBN",
    "worn-faced": "JJ",
    "worn-out": "JJ",
    "wornout": "NN",
    "worried": "VBN|VBD|JJ",
    "worriedly": "RB",
    "worriers": "NNS",
    "worries": "NNS|VBZ",
    "worrisome": "JJ",
    "worry": "VBP|VB|NN",
    "worry-free": "JJ",
    "worryin": "VBG",
    "worrying": "VBG|JJ",
    "worse": "JJR|RBR",
    "worse-than-expected": "JJ",
    "worsen": "VB",
    "worsened": "VBN|VBD",
    "worsening": "VBG|JJ|NN",
    "worsens": "VBZ",
    "worship": "NN|VB|VBP",
    "worshiped": "VBN",
    "worshipful": "JJ",
    "worshiping": "VBG",
    "worshipped": "NN|VBD|VBN",
    "worshipper": "NN",
    "worshippers": "NNS",
    "worshipping": "VBG",
    "worst": "JJS|RBS|VB",
    "worst-case": "JJ",
    "worst-hit": "JJ",
    "worst-marked": "JJ",
    "worst-performing": "JJ",
    "worsted": "JJ|NN|VBD|VBN",
    "wort": "NN",
    "worth": "JJ|IN|NN|RB|VBN|VBP",
    "worth-waiting-for": "JJ",
    "worth-while": "JJ",
    "worthier": "JJR",
    "worthiest": "JJS",
    "worthiness": "NN",
    "worthless": "JJ",
    "worthlessness": "NN",
    "worthwhile": "JJ",
    "worthwile": "VB",
    "worthy": "JJ",
    "would": "MD|VBD",
    "would-be": "JJ|NN",
    "woulda": "MD",
    "wouldbe": "JJ",
    "wound": "VBD|NN|VBN",
    "wounded": "VBN|JJ",
    "wounding": "VBG",
    "wounds": "NNS",
    "wove": "VBD",
    "woven": "VBN|JJ",
    "woven-root": "JJ",
    "wowed": "VBD",
    "wows": "VBZ",
    "wrack": "VBP|NN",
    "wracked": "VBN|VBD",
    "wracking": "VBG",
    "wraith-like": "JJ",
    "wrangled": "VBD|VBN",
    "wrangler": "NN",
    "wranglers": "NNS",
    "wrangling": "VBG|NN",
    "wrap": "NN|VB|VBP",
    "wrap-around": "JJ",
    "wrap-up": "JJ",
    "wrapped": "VBD|VBN",
    "wrapper": "NN",
    "wrappers": "NNS",
    "wrappin": "VBG",
    "wrapping": "VBG|NN",
    "wraps": "VBZ|NNS",
    "wrath": "NN",
    "wrathful": "JJ",
    "wreak": "VB",
    "wreaked": "VBD|VBN",
    "wreaking": "VBG",
    "wreath": "NN",
    "wreathed": "VBN|VBD",
    "wreaths": "NNS",
    "wreck": "NN|VB",
    "wreckage": "NN",
    "wrecked": "VBD|JJ|VBN",
    "wrecker": "NN",
    "wrecking": "VBG",
    "wrecks": "NNS|VBZ",
    "wree": "NN",
    "wrench": "NN|VB",
    "wrenched": "VBN|VBD",
    "wrenches": "NNS|VBZ",
    "wrenching": "JJ|VBG",
    "wrest": "VB",
    "wrested": "VBN|VBD",
    "wrestle": "VB",
    "wrestler": "NN",
    "wrestlers": "NNS",
    "wrestles": "VBZ|NNS",
    "wrestling": "VBG|NN",
    "wrestlings": "NNS",
    "wretch": "NN",
    "wretched": "JJ",
    "wretchedness": "NN",
    "wriggled": "VBD|VBN",
    "wriggling": "VBG",
    "wring": "VB",
    "wringing": "VBG",
    "wrings": "VBZ",
    "wrinkle": "NN|VB",
    "wrinkle-fighting": "JJ",
    "wrinkled": "JJ|VBD|VBN",
    "wrinkles": "NNS|VBZ",
    "wrinkling": "VBG",
    "wrist": "NN",
    "wrists": "NNS",
    "wristwatch": "NN",
    "wristwatches": "NNS",
    "writ": "NN|VBN",
    "write": "VB|VBP",
    "write-down": "NN|VB",
    "write-downs": "NNS|VBZ",
    "write-in": "NN",
    "write-off": "NN",
    "write-offs": "NNS",
    "writedown": "NN",
    "writedowns": "NNS",
    "writeoff": "NN",
    "writeoffs": "NNS",
    "writer": "NN",
    "writer-turned-painter": "NN",
    "writer/producers": "NNS",
    "writers": "NNS",
    "writes": "VBZ",
    "writhe": "NN|VB",
    "writhed": "VBD|VBN",
    "writhing": "VBG|JJ|NN",
    "writing": "VBG|NN",
    "writing-instruments": "JJ",
    "writing-like": "JJ",
    "writings": "NNS",
    "writs": "NNS",
    "written": "VBN|JJ",
    "wrondgoing": "NN",
    "wrong": "JJ|NN|RB",
    "wrong-headed": "JJ",
    "wrong-o": "NN",
    "wrong-way": "JJ",
    "wrongdoer": "NN",
    "wrongdoers": "NNS",
    "wrongdoing": "NN",
    "wronged": "VBN|JJ",
    "wrongful": "JJ",
    "wrongfully": "RB",
    "wrongly": "RB",
    "wrongness": "NN",
    "wrongs": "NNS",
    "wrote": "VBD",
    "wrought": "VBD|VBN|JJ",
    "wrought-iron": "JJ",
    "wrung": "VB|VBD|VBN",
    "wry": "JJ",
    "wry-faced": "JJ",
    "wryly": "RB",
    "wryness": "NN",
    "wt": "NN",
    "wth": "IN",
    "wtih": "NN",
    "wuh": "VBP",
    "wus": "RB",
    "wynne": "VB",
    "x": "SYM|NN",
    "x-Includes": "VBZ",
    "x-There": "EX|LS",
    "x-Year-to-date": "JJ",
    "x-ray": "NN",
    "x-rays": "NN|NNS",
    "xenon": "NN",
    "xenophobia": "NN",
    "xenophobic": "JJ",
    "xxxx": "NN",
    "xylem": "NN",
    "xylene": "NN",
    "xylophones": "NNS",
    "y": "NNP",
    "ya": "PRP|NN|UH",
    "yacht": "NN",
    "yachtel": "NN",
    "yachtels": "NNS",
    "yachters": "NNS",
    "yachting": "NN",
    "yachts": "NNS",
    "yachtsman": "NN",
    "yachtsmen": "NNS",
    "yahoos": "NNS",
    "yakking": "VBG",
    "yaks": "NNS|VBZ",
    "yank": "VB|NN",
    "yanked": "VBN|VBD",
    "yanking": "VBG",
    "yapping": "VBG",
    "yard": "NN",
    "yard-line": "NN",
    "yardage": "NN",
    "yards": "NNS",
    "yardstick": "NN",
    "yardwork": "NN",
    "yarn": "NN",
    "yarns": "NNS",
    "yassuhs": "UH",
    "yawl": "NN|VB",
    "yawn": "NN|VB",
    "yawning": "VBG|JJ",
    "yawns": "NNS|VBZ",
    "yaws": "NNS|VBZ",
    "yb": "NN",
    "yc": "NN",
    "yd.": "NN",
    "ye": "PRP|SYM|NN",
    "yea": "NN|UH",
    "yeah": "UH|NN",
    "year": "NN|JJ",
    "year-ago": "JJ",
    "year-before": "JJ",
    "year-earlier": "JJ|NN",
    "year-end": "NN|JJ|RB",
    "year-long": "JJ",
    "year-old": "JJ",
    "year-on-year": "JJ",
    "year-over-year": "JJ",
    "year-round": "JJ|RB",
    "year-to-date": "JJ|NN",
    "year-to-year": "JJ",
    "year...": ":",
    "yearago": "JJ",
    "yearall": "NN",
    "yearbook": "NN",
    "yearbooks": "NNS",
    "yeard": "VBN",
    "yearearlier": "JJ",
    "yearend": "NN",
    "yearling": "JJ",
    "yearlings": "NNS",
    "yearlong": "JJ",
    "yearly": "JJ|RB",
    "yearn": "NN|VB|VBP",
    "yearned": "VBD|VBN",
    "yearning": "NN|VBG",
    "yearningly": "RB",
    "yearnings": "NNS",
    "years": "NNS",
    "years...": ":",
    "yearthat": "NN",
    "yeast": "NN",
    "yeasts": "NNS",
    "yell": "NN|VB",
    "yelled": "VBD|VBN",
    "yeller": "JJ",
    "yellerish": "JJ",
    "yellin": "NN",
    "yelling": "VBG|NN",
    "yellow": "JJ|NN|VB",
    "yellow-bellied": "JJ",
    "yellow-brown": "JJ",
    "yellow-dwarf": "JJ|NN",
    "yellow-gray": "JJ",
    "yellow-green": "JJ",
    "yellowed": "VBN|VBD",
    "yellowing": "VBG",
    "yellowish": "JJ",
    "yellows": "NNS|VBZ",
    "yells": "VBZ",
    "yelp": "NN|VB",
    "yelped": "VBD|VBN",
    "yelping": "VBG",
    "yelps": "NNS|VBZ",
    "yen": "NNS|NN|VB",
    "yen-bond": "JJ",
    "yen-denominated": "JJ",
    "yen-support": "JJ",
    "yenta": "NN",
    "yesteday": "NN",
    "yesterday": "NN|RB",
    "yesteryear": "NN",
    "yet": "RB|CC",
    "yet-another": "JJ",
    "yet-to-be-formed": "JJ",
    "yet-unnamed": "JJ",
    "yet...": ":",
    "yeterday": "NN",
    "yf": "NN",
    "yff": "IN",
    "yg": "NN",
    "yg-globulin": "NN",
    "yield": "VB|VBP|JJ|NN",
    "yield-hungry": "JJ",
    "yield-maintenance": "NN",
    "yield-management": "NN",
    "yielded": "VBD|VBN",
    "yielding": "VBG|JJ|NN",
    "yielding-mediterranian-woman": "JJ",
    "yields": "NNS|VBZ",
    "yip": "NN|VB",
    "yj": "NN",
    "yl": "NN",
    "ym": "NN",
    "ymg": "NN",
    "yo": "UH",
    "yo-yo": "NN",
    "yodel": "NN|VB",
    "yodeling": "VBG",
    "yoga": "NN",
    "yogurt": "NN",
    "yogurts": "NNS",
    "yoke": "NN|VB",
    "yokel": "NN",
    "yokels": "NNS",
    "yolk": "NN",
    "yon": "RB",
    "yonder": "NN",
    "yongst": "JJS",
    "yore": "PRP$|NN|RB",
    "yori": "FW",
    "you-know": "NN",
    "you-know-what": "NN",
    "young": "JJ|NN|NNS",
    "young-skewing": "JJ",
    "younger": "JJR",
    "youngest": "JJS",
    "youngish": "JJ",
    "youngster": "NN",
    "youngsters": "NNS",
    "younguh": "JJR",
    "your": "PRP$|PRP|VBP",
    "your...": ":",
    "yours": "PRP|JJ",
    "yourself": "PRP",
    "yourselves": "PRP",
    "youth": "NN",
    "youthful": "JJ",
    "youths": "NNS",
    "yow": "NN|PRP|UH",
    "yp": "NN",
    "yr": "NN",
    "yrs": "NNS",
    "yrs.": "NNS",
    "ys": "VBZ",
    "yt": "NN",
    "yttrium-containing": "JJ",
    "yuan": "NN|NNS",
    "yucca": "NN",
    "yuh": "PRP",
    "yuk": "NN|UH",
    "yukked": "VBD",
    "yuletide": "NN",
    "yummy": "JJ|NN|UH",
    "yuppie": "NN",
    "yuppies": "NNS",
    "yuse": "NN",
    "yyyy": "NN",
    "z-Not": "RB",
    "zaiteku": "FW",
    "zany": "JJ",
    "zap": "VB|VBP|UH",
    "zapped": "VBD|VBN",
    "zappers": "NNS",
    "zapping": "VBG|NN",
    "zeal": "NN",
    "zealot": "NN",
    "zealous": "JJ",
    "zealously": "RB",
    "zebra": "NN",
    "zenith": "NN",
    "zero-coupon": "JJ|NN",
    "zero-gravity": "JJ",
    "zero-inflation": "NN",
    "zero-magnitude": "NN",
    "zero-sum": "JJ",
    "zeroed": "VBN",
    "zeroing": "VBG",
    "zeros": "NNS",
    "zest": "NN|VB",
    "zestfully": "RB",
    "zg": "NN",
    "zig-zag": "VBP",
    "zigzagging": "VBG",
    "zigzags": "NNS|VBZ",
    "zilch": "NN|JJ",
    "zillions": "NNS",
    "zim": "UH",
    "zinc": "NN|VB",
    "zinc-consuming": "JJ",
    "zinc-strip": "JJ",
    "zinc-sulphide": "NN",
    "zing": "NNP",
    "zip": "NN|VBP",
    "zip-code": "NN",
    "zipped": "VBD",
    "zipper": "NN",
    "zippers": "NNS",
    "zippo": "NN",
    "zirconate": "NN",
    "zitless": "JJ",
    "zlotys": "NNS",
    "zodiacal": "JJ",
    "zombie": "NN",
    "zombies": "NNS",
    "zone": "NN|VB",
    "zoned": "VBN|VBD",
    "zones": "NNS|VBZ",
    "zoning": "VBG|NN",
    "zoo": "NN",
    "zookeeper": "NN",
    "zoologist": "NN",
    "zoology": "NN",
    "zoom": "VB",
    "zoomed": "VBN|VBD",
    "zooming": "VBG",
    "zooms": "VBZ",
    "zoooop": "NN",
    "zoot": "NN",
    "zorrillas": "NNS",
    "zotl": "NN",
    "zotls": "NNS",
    "zounds": "UH",
    "zq": "NN",
    "zu": "FW",
    "zur": "FW",
    "😠": "EM",
    "😧": "EM",
    "😲": "EM",
    "😊": "EM",
    "😰": "EM",
    "😖": "EM",
    "😕": "EM",
    "😢": "EM",
    "😿": "EM",
    "😞": "EM",
    "😥": "EM",
    "😵": "EM",
    "😑": "EM",
    "😨": "EM",
    "😳": "EM",
    "😦": "EM",
    "😬": "EM",
    "😁": "EM",
    "😀": "EM",
    "😍": "EM",
    "😻": "EM",
    "😯": "EM",
    "👿": "EM",
    "😇": "EM",
    "😂": "EM",
    "😹": "EM",
    "😗": "EM",
    "😽": "EM",
    "😚": "EM",
    "😘": "EM",
    "😙": "EM",
    "😆": "EM",
    "😷": "EM",
    "😐": "EM",
    "😶": "EM",
    "😮": "EM",
    "😔": "EM",
    "😣": "EM",
    "😾": "EM",
    "😡": "EM",
    "😌": "EM",
    "😱": "EM",
    "🙀": "EM",
    "😴": "EM",
    "😪": "EM",
    "😄": "EM",
    "😸": "EM",
    "😃": "EM",
    "😺": "EM",
    "😈": "EM",
    "😏": "EM",
    "😼": "EM",
    "😭": "EM",
    "😛": "EM",
    "😝": "EM",
    "😜": "EM",
    "😎": "EM",
    "😓": "EM",
    "😅": "EM",
    "😫": "EM",
    "😤": "EM",
    "😒": "EM",
    "😩": "EM",
    "😉": "EM",
    "😟": "EM",
    "😋": "EM",
    ">(": "EM",
    ">[": "EM",
    ">-(": "EM",
    ">-[": "EM",
    ">=(": "EM",
    ">=[": "EM",
    ">=-(": "EM",
    ">=-[": "EM",
    "-/": "EM",
    "=/": "EM",
    "=-/": "EM",
    "-(": "EM",
    "-[": "EM",
    "-|": "EM",
    "'(": "EM",
    "'[": "EM",
    "'|": "EM",
    "'-(": "EM",
    "'-[": "EM",
    "'-|": "EM",
    "=(": "EM",
    "=[": "EM",
    "=|": "EM",
    "=-(": "EM",
    "=-[": "EM",
    "=-|": "EM",
    "='(": "EM",
    "='[": "EM",
    "='|": "EM",
    "='-(": "EM",
    "='-[": "EM",
    "='-|": "EM",
    "](": "EM",
    "][": "EM",
    "]-(": "EM",
    "]-[": "EM",
    "]=(": "EM",
    "]=[": "EM",
    "]=-(": "EM",
    "]=-[": "EM",
    "o)": "EM",
    "o]": "EM",
    "oD": "EM",
    "o-)": "EM",
    "o-]": "EM",
    "o-D": "EM",
    "o=)": "EM",
    "o=]": "EM",
    "o=D": "EM",
    "o=-)": "EM",
    "o=-]": "EM",
    "o=-D": "EM",
    "O)": "EM",
    "O]": "EM",
    "OD": "EM",
    "O-)": "EM",
    "O-]": "EM",
    "O-D": "EM",
    "O=)": "EM",
    "O=]": "EM",
    "O=D": "EM",
    "O=-)": "EM",
    "O=-]": "EM",
    "O=-D": "EM",
    "0)": "EM",
    "0]": "EM",
    "0D": "EM",
    "0-)": "EM",
    "0-]": "EM",
    "0-D": "EM",
    "0=)": "EM",
    "0=]": "EM",
    "0=D": "EM",
    "0=-)": "EM",
    "0=-]": "EM",
    "0=-D": "EM",
    "-)": "EM",
    "-]": "EM",
    "-D": "EM",
    "')": "EM",
    "']": "EM",
    "'D": "EM",
    "'-)": "EM",
    "'-]": "EM",
    "'-D": "EM",
    "=)": "EM",
    "=]": "EM",
    "=D": "EM",
    "=-)": "EM",
    "=-]": "EM",
    "=-D": "EM",
    "=')": "EM",
    "=']": "EM",
    "='D": "EM",
    "='-)": "EM",
    "='-]": "EM",
    "='-D": "EM",
    "-*": "EM",
    "=*": "EM",
    "=-*": "EM",
    "x)": "EM",
    "x]": "EM",
    "xD": "EM",
    "x-)": "EM",
    "x-]": "EM",
    "x-D": "EM",
    "X)": "EM",
    "X]": "EM",
    "X-)": "EM",
    "X-]": "EM",
    "X-D": "EM",
    "-o": "EM",
    "-O": "EM",
    "-0": "EM",
    "=o": "EM",
    "=O": "EM",
    "=0": "EM",
    "=-o": "EM",
    "=-O": "EM",
    "=-0": "EM",
    "-@": "EM",
    "=@": "EM",
    "=-@": "EM",
    "])": "EM",
    "]]": "EM",
    "]D": "EM",
    "]-)": "EM",
    "]-]": "EM",
    "]-D": "EM",
    "]=)": "EM",
    "]=]": "EM",
    "]=D": "EM",
    "]=-)": "EM",
    "]=-]": "EM",
    "]=-D": "EM",
    "-p": "EM",
    "-P": "EM",
    "-d": "EM",
    "=p": "EM",
    "=P": "EM",
    "=d": "EM",
    "=-p": "EM",
    "=-P": "EM",
    "=-d": "EM",
    "xP": "EM",
    "x-p": "EM",
    "x-P": "EM",
    "x-d": "EM",
    "Xp": "EM",
    "Xd": "EM",
    "X-p": "EM",
    "X-P": "EM",
    "X-d": "EM",
    ";p": "EM",
    ";P": "EM",
    ";d": "EM",
    ";-p": "EM",
    ";-P": "EM",
    ";-d": "EM",
    "8)": "EM",
    "8]": "EM",
    "8D": "EM",
    "8-)": "EM",
    "8-]": "EM",
    "8-D": "EM",
    "B)": "EM",
    "B]": "EM",
    "B-)": "EM",
    "B-]": "EM",
    "B-D": "EM",
    "'=(": "EM",
    "'=[": "EM",
    "'=-(": "EM",
    "'=-[": "EM",
    "'=)": "EM",
    "'=]": "EM",
    "'=D": "EM",
    "'=-)": "EM",
    "'=-]": "EM",
    "'=-D": "EM",
    "-$": "EM",
    "-s": "EM",
    "-z": "EM",
    "-S": "EM",
    "-Z": "EM",
    "=$": "EM",
    "=s": "EM",
    "=z": "EM",
    "=S": "EM",
    "=Z": "EM",
    "=-$": "EM",
    "=-s": "EM",
    "=-z": "EM",
    "=-S": "EM",
    "=-Z": "EM",
    ":)": "EM",
    ":]": "EM",
    ":[": "EM",
    ":(": "EM",
    ":|": "EM",
    ":/": "EM",
    ":d": "EM",
    ":s": "EM",
    ":o": "EM",
    ":-)": "EM",
    ":-(": "EM",
    ":-|": "EM",
    ":-/": "EM",
    ":-d": "EM",
    ":-p": "EM",
    "^^": "EM",
    ";)": "EM",
    ";]": "EM",
    ";D": "EM",
    ";-)": "EM",
    ";-]": "EM",
    ";-D": "EM",
    "<3": "EM",
    "wtf": "UH",
    "brb": "UH",
    "btw": "UH",
    "b4n": "UH",
    "bcnu": "UH",
    "bff": "UH",
    "cya": "UH",
    "dbeyr": "UH",
    "ily": "UH",
    "lmao": "UH",
    "lol": "UH",
    "np": "UH",
    "oic": "UH",
    "omg": "UH",
    "rotflmao": "UH",
    "stby": "UH",
    "swak": "UH",
    "tfh": "UH",
    "rtm": "UH",
    "rtfm": "UH",
    "ttyl": "UH",
    "tyvm": "UH",
    "wywh": "UH",
    "xoxo": "UH",
    "gah": "UH",
    "yuck": "UH",
    "ew": "UH",
    "eww": "UH",
    "ewww": "UH",
    "abductions": "NNS",
    "abhors": "NNS|VBZ",
    "absolves": "NNS|VBZ",
    "acquits": "NNS|VBZ",
    "acquitting": "VBG",
    "admonish": "VBP|VB",
    "agog": "NN",
    "agonise": "VBP|VB",
    "agonised": "VBD|VBN",
    "agonises": "VBZ",
    "agonising": "VBG",
    "alarmists": "NNS",
    "amazes": "VB|VBZ",
    "apeshit": "NNP",
    "apologise": "VBP|VB|NN",
    "appeases": "VBZ",
    "ashame": "VBP",
    "assfucking": "VBG",
    "asshole": "JJ",
    "axed": "VBD",
    "badass": "JJ",
    "bamboozle": "VBP|VB",
    "bankster": "JJ",
    "benefitted": "VBD|VBN",
    "bereave": "VBP|VB",
    "blah": "UH",
    "blesses": "VBZ",
    "bummer": "JJ",
    "calms": "VBZ",
    "chagrined": "VBD",
    "charmless": "JJ",
    "chastise": "VBP|VB",
    "chastising": "VBG",
    "cheerless": "JJ",
    "chokes": "VBZ",
    "clueless": "JJ",
    "cocksucker": "NN",
    "cocksuckers": "NNS",
    "collide": "VBP|VB",
    "collides": "VBZ",
    "conflictive": "JJ",
    "congrats": "NNS",
    "consolable": "JJ",
    "contagions": "NNS",
    "contestable": "JJ",
    "controversially": "RB",
    "crazier": "JJR",
    "craziest": "JJS",
    "cunt": "NN",
    "daredevil": "NN",
    "degrades": "VBZ",
    "dehumanizes": "VBZ",
    "dehumanizing": "VBG",
    "deject": "VB",
    "dejected": "VBD|VBN",
    "dejecting": "VBG",
    "dejects": "VBZ",
    "denier": "NN",
    "deniers": "NNS",
    "derails": "VBP|VBZ",
    "derides": "VBZ",
    "deriding": "VBG",
    "dick": "NN",
    "dickhead": "NN",
    "diffident": "NN",
    "dipshit": "NN",
    "direful": "NN",
    "discarding": "VBG",
    "discards": "VBZ",
    "disconsolate": "VB|VBD",
    "disconsolation": "NN",
    "disguising": "VBG",
    "disparages": "VBZ",
    "disputing": "VBG",
    "disregards": "VBZ",
    "disrespected": "VBP|VBD|VBN",
    "distracts": "VBZ",
    "distrustful": "JJ",
    "dodgy": "JJ",
    "dolorous": "JJ",
    "douche": "JJ",
    "douchebag": "JJ",
    "douchebaggery": "NN",
    "downhearted": "VBD",
    "droopy": "JJ",
    "dumbass": "JJ",
    "dupe": "JJ|VB",
    "eery": "JJ",
    "embarrasses": "VBZ",
    "enlightens": "VBZ",
    "enrages": "VBZ",
    "enraging": "VBG",
    "enrapture": "VB",
    "enslaves": "VBZ",
    "envies": "VBZ",
    "envying": "VBG",
    "eviction": "NN",
    "exaggerates": "VBZ",
    "exhilarates": "VBZ",
    "exonerates": "VBZ",
    "expels": "VBZ",
    "fag": "JJ|VB",
    "faggot": "NN|VB",
    "faggots": "NNS|VBZ",
    "fainthearted": "VBD",
    "fatiguing": "VBG",
    "favorited": "VBD",
    "fidgety": "NN",
    "fraudster": "NN",
    "fraudsters": "NNS",
    "fraudulence": "NN",
    "frikin": "JJ",
    "ftw": "UH",
    "fucked": "VBD|VBN",
    "fucker": "NN",
    "fuckers": "NNS",
    "fuckface": "JJ",
    "fuckhead": "JJ",
    "fucking": "VBG",
    "fucktard": "JJ",
    "fud": "VB",
    "fuked": "VB",
    "fuking": "VBG",
    "gallantly": "JJ",
    "greenwash": "VB",
    "greenwasher": "NN",
    "greenwashers": "VBZ",
    "greenwashing": "VBG",
    "haha": "UH",
    "hahaha": "UH",
    "hahahah": "UH",
    "haplessness": "NN",
    "heartbroken": "JJ",
    "heavyhearted": "JJ",
    "hoax": "NN|VB",
    "honouring": "VBG",
    "wanker": "JJ",
    "winwin": "JJ",
    "woohoo": "UH",
    "wooo": "UH",
    "woow": "UH",
    "wow": "UH",
    "wowow": "UH",
    "wowww": "UH",
    "yeees": "UH",
    "yucky": "JJ",
    "cold_sweat": "UH",
    "crying_cat_face": "UH",
    "disappointed_relieved": "UH",
    "dizzy_face": "UH",
    "grimacing": "UH|VBG",
    "heart_eyes": "UH",
    "heart_eyes_cat": "UH",
    "imp": "JJ",
    "joy_cat": "UH",
    "kissing_cat": "UH",
    "kissing_closed_eyes": "UH",
    "kissing_heart": "UH",
    "kissing_smiling_eyes": "UH",
    "neutral_face": "UH",
    "no_mouth": "UH",
    "open_mouth": "UH",
    "pouting_cat": "UH",
    "scream_cat": "UH",
    "smile_cat": "UH",
    "smiley": "UH",
    "smiley_cat": "UH",
    "smiling_imp": "UH",
    "smirk_cat": "UH",
    "stuck_out_tongue": "UH",
    "stuck_out_tongue_closed_eyes": "UH",
    "stuck_out_tongue_winking_eye": "UH",
    "sweat_smile": "UH",
    "tired_face": "UH",
    "yum": "UH",
    "Yr.": "NN",
    "aminometha": "NN",
    "errors": "NNS",
    "doubts": "NNS|VBZ",
    "congratulations": "NNS|UH",
    "disasters": "NNS",
    "jewels": "NNS|VBZ",
    "abuses": "NNS|VBZ",
    "hugs": "NNS|VBZ",
    "Show": "NNP|NN|VB",
    "interests": "NNS|VBZ",
    "nuts": "NNS|JJ|UH",
    "disputes": "NNS|VBZ",
    "thanks": "NNS|VBZ|VB|UH",
    "shares": "NNS|NN|VBZ",
    "advantages": "NNS|VBZ",
    "aggressions": "NNS",
    "greetings": "NNS",
    "fools": "NNS|VBZ",
    "visions": "NNS|VBZ",
    "smiles": "NNS|VBZ",
    "battles": "NNS|VBZ",
    "limits": "NNS|VBP|VBZ",
    "accidents": "NNS",
    "troubles": "NNS|VBZ",
    "fatalities": "NNS",
    "strikers": "NNS",
    "-ism": "NN",
    "riots": "NNS|VBZ",
    "antiSony": "JJ",
    "censors": "NNS|VBZ",
    "**": "SYM|NN",
    "```": "NN|VB",
    "jokes": "NNS|VBZ",
    "amusements": "NNS",
    "adventures": "NNS|VBZ",
    "antiCommunist": "JJ",
    "supporters": "NNS",
    "hides": "NNS|VBZ",
    "cheers": "NNS|VBZ|UH",
    "scams": "NNS|VBZ",
    "victims": "NNS",
    "burdens": "NNS|VBZ",
    "blocks": "NNS|VBZ",
    "shortages": "NNS",
    "frauds": "NNS",
    "cuts": "NNS|VBZ|NN",
    "matters": "NNS|VBZ",
    "cheaters": "NNS",
    "dBASE": "NNP",
    "defects": "NNS|VBZ",
    "yielding-Mediterranian-woman": "JJ",
    "warnings": "NNS",
    "bitches": "NNS|VBZ",
    "damages": "NNS|VBZ",
    "enemies": "NNS",
    "lovelies": "NNS",
    "perpetrators": "NNS",
    "screws": "NNS|VBZ",
    "treasures": "NNS|VBZ",
    "nerves": "NNS|VBZ",
    "lunatics": "NNS",
    "intrigues": "NNS|VBZ",
    "]": ")",
    "criminals": "NNS",
    "stressors": "NNS",
    "strikes": "NNS|VBZ",
    "polluters": "NNS",
    "solutions": "NNS",
    "walkouts": "NNS",
    "risks": "NNS|VBZ",
    "problems": "NNS",
    "[": "(",
    "tears": "NNS|VBZ",
    "disruptions": "NNS",
    "prospects": "NNS",
    "arrests": "NNS|VBZ",
    "poisons": "NNS|VBZ",
    "kudos": "NNS",
    "%CHG": "NN",
    "murders": "NNS|VBZ",
    "critics": "NNS",
    "failures": "NNS",
    "assets": "NNS",
    "benefits": "NNS|VBZ",
    "atCrcial": "NNP",
    "verdicts": "NNS",
    "conflicts": "NNS|VBZ",
    "shocks": "NNS|VBZ",
    "ruins": "NNS|VBZ",
    "consents": "NNS|VBZ",
    "tortures": "NNS|VBZ",
    "engages": "VBZ|NNS|VBN",
    "deCordova": "NNP",
    "charges": "NNS|VBZ",
    "raptures": "NNS",
    "exploits": "NNS|VBZ",
    "bioTechnology": "NNP",
    "backs": "VBZ|NNS",
    "-ing": "JJ",
    "stabs": "NNS|VBZ",
    "fascists": "NNS",
    "occupation-as": "NN|IN",
    "attractions": "NNS",
    "skeptics": "NNS",
    "liars": "NNS",
    "threats": "NNS|VBZ",
    "absentees": "NNS",
    "distresses": "NNS|VBZ",
    "struggles": "VBZ|NNS",
    "beauties": "NNS",
    "tops": "NNS|VBZ",
    "boycotts": "NNS|VBZ",
    "collisions": "NNS",
    "scapegoats": "NNS",
    "demands": "NNS|VBZ",
    "margin-the": "NN|DT",
    "protests": "NNS|VBZ",
    "tits": "NNS",
    "escapes": "NNS|VBZ",
    "marvels": "NNS|VBZ",
    "]*": "NN|DT|JJ|RB|UH|NNP|NNS|POS|,|VBG|VBP",
    "insults": "NNS|VBZ",
    "screams": "VBZ|NNS",
    "opportunities": "NNS",
    "defenders": "NNS",
    "foreclosures": "NNS",
    "abilities": "NNS",
    "boosts": "VBZ|NNS",
    "cries": "VBZ|NNS",
    "lawsuits": "NNS",
    "haters": "NNS",
    "slashes": "NNS|VBZ",
    "panics": "NNS|VBZ",
    "bastards": "NNS",
    "assassinations": "NNS",
    "favorites": "NNS",
    "illnesses": "NNS",
    "haunts": "NNS|VBZ",
    "upsets": "NNS|VBZ",
    "dreams": "NNS|VBZ",
    "accusations": "NNS",
    "awards": "NNS|VBZ",
    "masterpieces": "NNS",
    "disappointments": "NNS",
    "``...": ":",
    "mistakes": "NNS|VBZ",
    "chances": "NNS|VBZ",
    "racists": "NNS",
    "rewards": "NNS|VBZ",
    "fatigues": "NNS|VBZ",
    "scandals": "NNS",
    "rescues": "VBZ|NNS",
    "diGenova": "NNP",
    "fakes": "NNS|VBZ",
    "explorations": "NNS",
    "prisoners": "NNS",
    "heroes": "NNS",
    "attacks": "NNS|VBZ",
    "sentences": "NNS|VBZ",
    "comforts": "NNS|VBZ",
    "***": "SYM",
    "obstacles": "NNS",
    "pardons": "NNS|VBZ",
    "felonies": "NNS",
    "grants": "NNS|VBZ",
    "deWindt": "NNP",
    "funerals": "NNS",
    "gains": "NNS|NN|VBZ",
    "protesters": "NNS",
    "practise": "VB",
    "sadden": "VB",
    "satirise": "VB",
    "oversell": "VB",
    "particularise": "VB",
    "specialise": "VB",
    "demoralise": "VB",
    "emphasise": "VB",
    "repulse": "VB",
    "memorise": "VB",
    "signalise": "VB",
    "institutionalise": "VB",
    "harmonise": "VB",
    "localise": "VB",
    "stigmatise": "VB",
    "memorialise": "VB",
    "immortalise": "VB",
    "severalise": "VB",
    "labialise": "VB",
    "recognise": "VB",
    "modernise": "VB",
    "uprise": "VB",
    "civilise": "VB",
    "cognise": "VB",
    "disembowel": "VB",
    "organise": "VB",
    "realise": "VB",
    "crystallise": "VB",
    "crystalise": "VB",
    "naturalise": "VB",
    "domesticise": "VB",
    "psychoanalyse": "VB",
    "utilise": "VB",
    "summarise": "VB",
    "circularise": "VB",
    "dramatise": "VB",
    "aggrandise": "VB",
    "publicise": "VB",
    "upraise": "VB",
    "apprise": "VB",
    "externalise": "VB",
    "visualise": "VB",
    "melanise": "VB",
    "equalise": "VB",
    "hale": "VB",
    "licence": "VB|NN",
    "channelise": "VB",
    "deputise": "VB",
    "materialise": "VB",
    "canonise": "VB",
    "previse": "VB",
    "rationalise": "VB",
    "authorise": "VB",
    "fertilise": "VB",
    "prise": "VB",
    "disembarrass": "VB",
    "plagiarise": "VB",
    "initialise": "VB",
    "immobilise": "VB",
    "vocalise": "VB",
    "sympathise": "VB",
    "empathise": "VB",
    "cauterise": "VB",
    "energise": "VB",
    "scrutinise": "VB",
    "ostracise": "VB",
    "patronise": "VB",
    "formalise": "VB",
    "galvanise": "VB",
    "scandalise": "VB",
    "equilibrise": "VB",
    "counterpoise": "VB",
    "stabilise": "VB",
    "sterilise": "VB",
    "desexualise": "VB",
    "swindle": "VB",
    "scud": "VB",
    "traumatise": "VB",
    "finalise": "VB",
    "tenderise": "VB",
    "victimise": "VB",
    "gormandise": "VB",
    "neutralise": "VB",
    "incommode": "VB",
    "tantalise": "VB",
    "verbalise": "VB",
    "deoxidise": "VB",
    "tranquillise": "VB",
    "canalise": "VB",
    "enthral": "VB",
    "lionise": "VB",
    "centralise": "VB",
    "characterise": "VB",
    "mobilise": "VB",
    "focalise": "VB",
    "colorise": "VB",
    "colourise": "VB",
    "conceptualise": "VB",
    "unionise": "VB",
    "hybridise": "VB",
    "aromatise": "VB",
    "odourise": "VB",
    "customise": "VB",
    "anathemise": "VB",
    "economise": "VB",
    "pulverise": "VB",
    "regularise": "VB",
    "disenable": "VB",
    "dj": "VB",
    "animise": "VB",
    "reprise": "VB",
    "fantasise": "VB",
    "liquidise": "VB",
    "revolutionise": "VB",
    "liaise": "VB",
    "symbolise": "VB",
    "epitomise": "VB",
    "theorise": "VB",
    "hypothesise": "VB",
    "ptyalise": "VB",
    "legalise": "VB",
    "decriminalise": "VB",
    "legitimise": "VB",
    "legitimatise": "VB",
    "commercialise": "VB",
    "minimise": "VB",
    "pussyfoot": "VB",
    "atomise": "VB",
    "disesteem": "VB",
    "antagonise": "VB",
    "optimise": "VB",
    "powderise": "VB",
    "penalise": "VB",
    "actualise": "VB",
    "agnise": "VB",
    "rubberise": "VB",
    "solarise": "VB",
    "synchronise": "VB",
    "contemporise": "VB",
    "tabularise": "VB",
    "jeopardise": "VB",
    "poetise": "VB",
    "idolise": "VB",
    "hyperbolise": "VB",
    "bowdlerise": "VB",
    "loathe": "VB",
    "apostatise": "VB",
    "phlebotomise": "VB",
    "eulogise": "VB",
    "misestimate": "VB",
    "familiarise": "VB",
    "anathematise": "VB",
    "terrorise": "VB",
    "demilitarise": "VB",
    "extemporise": "VB",
    "pauperise": "VB",
    "misbehave": "VB",
    "mesmerise": "VB",
    "magnetise": "VB",
    "decolorise": "VB",
    "decolourise": "VB",
    "discolourise": "VB",
    "discolorise": "VB",
    "vitalise": "VB",
    "subsidise": "VB",
    "itemise": "VB",
    "disenchant": "VB",
    "twitter": "VB",
    "generalise": "VB",
    "popularise": "VB",
    "vulgarise": "VB",
    "monopolise": "VB",
    "disencumber": "VB",
    "vaporise": "VB",
    "immunise": "VB",
    "anatomise": "VB",
    "secularise": "VB",
    "baptise": "VB",
    "personalise": "VB",
    "individualise": "VB",
    "systematise": "VB",
    "systemise": "VB",
    "dogmatise": "VB",
    "tyrannise": "VB",
    "misadvise": "VB",
    "hypnotise": "VB",
    "affranchise": "VB",
    "enfranchise": "VB",
    "disembroil": "VB",
    "disenfranchise": "VB",
    "disfranchise": "VB",
    "colonise": "VB",
    "disorganise": "VB",
    "fraternise": "VB",
    "sentimentalise": "VB",
    "sentimentise": "VB",
    "solemnise": "VB",
    "humanise": "VB",
    "christianise": "VB",
    "barbarise": "VB",
    "sermonise": "VB",
    "moralise": "VB",
    "criminalise": "VB",
    "illegalise": "VB",
    "catechise": "VB",
    "demasculinise": "VB",
    "eternise": "VB",
    "eternalise": "VB",
    "pressurise": "VB",
    "exteriorise": "VB",
    "slenderise": "VB",
    "vowelise": "VB",
    "normalise": "VB",
    "renormalise": "VB",
    "revitalise": "VB",
    "sledgehammer": "VB",
    "fictionalise": "VB",
    "depressurise": "VB",
    "capsulise": "VB",
    "baa": "VB",
    "subtilise": "VB",
    "spiritualise": "VB",
    "sodomise": "VB",
    "gore-tex": "NN",
    "iron-on": "NN",
    "kevlar": "NN",
    "microfiber": "NN",
    "polar fleece": "NN",
    "smartwool": "NN",
    "space blanket": "NN",
    "barre granite": "NN",
    "cold porcelain": "NN",
    "equilibrium gel": "NN",
    "faux bois": "NN",
    "ferrocement": "NN",
    "fimo": "NN",
    "hepatizon": "NN",
    "kato polyclay": "NN",
    "metal clay": "NN",
    "microcrystalline wax": "NN",
    "milliput": "NN",
    "modelling clay": "NN",
    "pagodite": "NN",
    "papier-mâché": "NN",
    "plasticine": "NN",
    "plastilina": "NN",
    "play-doh": "NN",
    "polymer clay": "NN",
    "roman concrete": "NN",
    "rtv silicone": "NN",
    "salt ceramic": "NN",
    "salt dough": "NN",
    "sculpey": "NN",
    "silicone rubber": "NN",
    "soapstone": "NN",
    "stone sculpture": "NN",
    "sugru": "NN",
    "terracotta": "NN",
    "tuckahoe marble": "NN",
    "vegetable ivory": "NN",
    "wax carving": "NN",
    "weathering steel": "NN",
    "westchester marble": "NN",
    "bakelite": "NN",
    "nalgene": "NN",
    "styrofoam": "NN",
    "tupperware": "NN",
    "actinium": "NN",
    "aluminium": "NN",
    "americium": "NN",
    "berkelium": "NN",
    "bismuth": "NN",
    "bohrium": "NN",
    "californium": "NN",
    "cerium": "NN",
    "cesium": "NN",
    "curium": "NN",
    "darmstadtium": "NN",
    "dubnium": "NN",
    "dysprosium": "NN",
    "einsteinium": "NN",
    "erbium": "NN",
    "europium": "NN",
    "fermium": "NN",
    "francium": "NN",
    "gadolinium": "NN",
    "hafnium": "NN",
    "hassium": "NN",
    "holmium": "NN",
    "lawrencium": "NN",
    "lutetium": "NN",
    "meitnerium": "NN",
    "mendelevium": "NN",
    "molybdenum": "NN",
    "neodymium": "NN",
    "neptunium": "NN",
    "niobium": "NN",
    "nobelium": "NN",
    "polonium": "NN",
    "praseodymium": "NN",
    "promethium": "NN",
    "protactinium": "NN",
    "radium": "NN",
    "rhodium": "NN",
    "roentgenium": "NN",
    "rubidium": "NN",
    "rutherfordium": "NN",
    "samarium": "NN",
    "scandium": "NN",
    "seaborgium": "NN",
    "strontium": "NN",
    "tantalum": "NN",
    "technetium": "NN",
    "terbium": "NN",
    "thorium": "NN",
    "thulium": "NN",
    "ununbium": "NN",
    "ununhexium": "NN",
    "ununpentium": "NN",
    "ununquadium": "NN",
    "ununtrium": "NN",
    "vanadium": "NN",
    "ytterbium": "NN",
    "yttrium": "NN",
    "zirconium": "NN",
    "actinolite": "NN",
    "adamite": "NN",
    "aegerine": "NN",
    "afghanite": "NN",
    "agardite": "NN",
    "agate": "NN",
    "ajoite": "NN",
    "albite": "NN",
    "alexandrite": "NN",
    "almandine": "NN",
    "alunite": "NN",
    "amazonite": "NN",
    "amethyst": "NN",
    "ametrine": "NN",
    "ammolite": "NN",
    "analcime": "NN",
    "anatase": "NN",
    "andalusite": "NN",
    "andesine": "NN",
    "andradite": "NN",
    "anglesite": "NN",
    "anhydrite": "NN",
    "ankerite": "NN",
    "annabergite": "NN",
    "anthophyllite": "NN",
    "antigorite": "NN",
    "antlerite": "NN",
    "anyolite": "NN",
    "apache tears": "NN",
    "apophyllite": "NN",
    "aragonite": "NN",
    "astrophyllite": "NN",
    "atacamite": "NN",
    "augite": "NN",
    "aurichalcite": "NN",
    "austinite": "NN",
    "aventurine": "NN",
    "axinite": "NN",
    "azurite": "NN",
    "barite": "NN",
    "baryte": "NN",
    "bauxite": "NN",
    "bayldonite": "NN",
    "benitoite": "NN",
    "beryl": "NN",
    "beudantite": "NN",
    "biotite": "NN",
    "bixbite": "NN",
    "blue amber": "NN",
    "boleite": "NN",
    "boracite": "NN",
    "bornite": "NN",
    "botallackite": "NN",
    "botryogen": "NN",
    "bowenite": "NN",
    "brazilianite": "NN",
    "brochantite": "NN",
    "bronzite": "NN",
    "brookite": "NN",
    "brucite": "NN",
    "bubblegram": "NN",
    "bytownite": "NN",
    "cacoxenite": "NN",
    "calcite": "NN",
    "caledonite": "NN",
    "californite": "NN",
    "carletonite": "NN",
    "carminite": "NN",
    "carnallite": "NN",
    "carnelian": "NN",
    "cassiterite": "NN",
    "castorite": "NN",
    "cavansite": "NN",
    "celestine": "NN",
    "celestite": "NN",
    "cerussite": "NN",
    "ceylonite": "NN",
    "chalcedony": "NN",
    "chalcopyrite": "NN",
    "chambersite": "NN",
    "charoite": "NN",
    "chlorastrolite": "NN",
    "chloromelanite": "NN",
    "chondrodite": "NN",
    "chrysoberyl": "NN",
    "chrysocolla": "NN",
    "cinnabar": "NN",
    "citrine": "NN",
    "clinochlore": "NN",
    "clinohumite": "NN",
    "clinozoisite": "NN",
    "clintonite": "NN",
    "conichalcite": "NN",
    "copal": "NN",
    "cordierite": "NN",
    "corundum": "NN",
    "creedite": "NN",
    "cummingtonite": "NN",
    "cuprite": "NN",
    "cymophane": "NN",
    "danburite": "NN",
    "datolite": "NN",
    "diaboleite": "NN",
    "diaspore": "NN",
    "diopside": "NN",
    "dioptase": "NN",
    "dolomite": "NN",
    "dravite": "NN",
    "druzy": "NN",
    "dumortierite": "NN",
    "eilat stone": "NN",
    "ekanite": "NN",
    "elaeolite": "NN",
    "elbaite": "NN",
    "enstatite": "NN",
    "epidosite": "NN",
    "epidote": "NN",
    "erythrite": "NN",
    "esperite": "NN",
    "fayalite": "NN",
    "feldspar": "NN",
    "ferroaxinite": "NN",
    "fluorapatite": "NN",
    "fluorapophyllite": "NN",
    "fluorite": "NN",
    "forsterite": "NN",
    "garnierite": "NN",
    "gibbsite": "NN",
    "glaucophane": "NN",
    "goethite": "NN",
    "goshenite": "NN",
    "grandidierite": "NN",
    "grossular": "NN",
    "halite": "NN",
    "hambergite": "NN",
    "hanksite": "NN",
    "hardystonite": "NN",
    "hauyne": "NN",
    "helenite": "NN",
    "heliodor": "NN",
    "hematite": "NN",
    "hemimorphite": "NN",
    "hessonite": "NN",
    "hibonite": "NN",
    "hiddenite": "NN",
    "humite": "NN",
    "iddingsite": "NN",
    "idocrase": "NN",
    "iolite": "NN",
    "jacinth": "NN",
    "jadeite": "NN",
    "jarosite": "NN",
    "jasper": "NN",
    "jeremejevite": "NN",
    "kainite": "NN",
    "kidney ore": "NN",
    "kimberlite": "NN",
    "kornerupine": "NN",
    "kunzite": "NN",
    "kutnohorite": "NN",
    "kyanite": "NN",
    "labradorite": "NN",
    "lammerite": "NN",
    "langbeinite": "NN",
    "langite": "NN",
    "lapis lazuli": "NN",
    "larimar": "NN",
    "lawsonite": "NN",
    "lazurite": "NN",
    "leadhillite": "NN",
    "lechatelierite": "NN",
    "legrandite": "NN",
    "lepidolite": "NN",
    "leucophanite": "NN",
    "linarite": "NN",
    "londonite": "NN",
    "magnesioaxinite": "NN",
    "magnesite": "NN",
    "malachite": "NN",
    "manganaxinite": "NN",
    "manganoan calcite": "NN",
    "maw sit sit": "NN",
    "melanterite": "NN",
    "mendipite": "NN",
    "metal-coated crystals": "NN",
    "milky quartz": "NN",
    "mimetite": "NN",
    "moissanite": "NN",
    "mookaite": "NN",
    "moonstone": "NN",
    "morganite": "NN",
    "muscovite": "NN",
    "musgravite": "NN",
    "nacre": "NN",
    "natrophilite": "NN",
    "nepheline": "NN",
    "nephrite": "NN",
    "nimite": "NN",
    "normandite": "NN",
    "olenite": "NN",
    "olivenite": "NN",
    "olivine": "NN",
    "olivinite": "NN",
    "opal": "NN",
    "orthoclase": "NN",
    "pallasite": "NN",
    "pantellerite": "NN",
    "papagoite": "NN",
    "pargasite": "NN",
    "pectolite": "NN",
    "peridot": "NN",
    "peridotite": "NN",
    "petalite": "NN",
    "petoskey stone": "NN",
    "pezzottaite": "NN",
    "pharmacosiderite": "NN",
    "phlogopite": "NN",
    "phosgenite": "NN",
    "pietersite": "NN",
    "pimelite": "NN",
    "plancheite": "NN",
    "plumbogummite": "NN",
    "pollucite": "NN",
    "polyhalite": "NN",
    "posnjakite": "NN",
    "poudretteite": "NN",
    "prasiolite": "NN",
    "prehnite": "NN",
    "proustite": "NN",
    "pumpellyite": "NN",
    "purpurite": "NN",
    "pyrite": "NN",
    "pyromorphite": "NN",
    "pyrope": "NN",
    "pyrrhotite": "NN",
    "raspite": "NN",
    "rhodizite": "NN",
    "rhodochrosite": "NN",
    "riebeckite": "NN",
    "rosasite": "NN",
    "rose quartz": "NN",
    "rossmanite": "NN",
    "rubellite": "NN",
    "ruby": "NN",
    "rutile": "NN",
    "sapphire": "NN",
    "sardonyx": "NN",
    "scapolite": "NN",
    "scheelite": "NN",
    "schorlomite": "NN",
    "scolecite": "NN",
    "scorodite": "NN",
    "selenite": "NN",
    "seraphinite": "NN",
    "serendibite": "NN",
    "serpentite": "NN",
    "shattuckite": "NN",
    "shigaite": "NN",
    "siderite": "NN",
    "smithsonite": "NN",
    "smoky quartz": "NN",
    "sodalite": "NN",
    "spessartine": "NN",
    "spessartite": "NN",
    "sphene": "NN",
    "spherocobaltite": "NN",
    "spinel": "NN",
    "spodumene": "NN",
    "steatite": "NN",
    "stichtite": "NN",
    "stilbite": "NN",
    "stishovite": "NN",
    "stolzite": "NN",
    "strengite": "NN",
    "sugilite": "NN",
    "sunstone": "NN",
    "susannite": "NN",
    "sylvite": "NN",
    "synthetic alexandrite": "NN",
    "synthetic beryl": "NN",
    "synthetic corundum": "NN",
    "synthetic cubic zirconia": "NN",
    "synthetic diamond": "NN",
    "synthetic moissanite": "NN",
    "synthetic opal": "NN",
    "synthetic quartz": "NN",
    "synthetic spinel": "NN",
    "synthetic turquoise": "NN",
    "sérandite": "NN",
    "taaffeite": "NN",
    "tactite": "NN",
    "talc": "NN",
    "tantalite": "NN",
    "tanzanite": "NN",
    "thomsonite": "NN",
    "thulite": "NN",
    "tiger's-eye": "NN",
    "tinaksite": "NN",
    "tinzenite": "NN",
    "titanite": "NN",
    "tourmaline": "NN",
    "tremolite": "NN",
    "trinitite": "NN",
    "tsavorite": "NN",
    "tschermakite": "NN",
    "tugtupite": "NN",
    "tusionite": "NN",
    "tyrolite": "NN",
    "unakite": "NN",
    "uvarovite": "NN",
    "vanadinite": "NN",
    "variscite": "NN",
    "vauxite": "NN",
    "vermiculite": "NN",
    "vesuvianite": "NN",
    "villiaumite": "NN",
    "wakefieldite": "NN",
    "wavellite": "NN",
    "weloganite": "NN",
    "wolfenite": "NN",
    "xenotime": "NN",
    "yttrium aluminium garnet": "NN",
    "zektzerite": "NN",
    "zeolite": "NN",
    "zincite": "NN",
    "zinnwaldite": "NN",
    "zircon": "NN",
    "zoisite": "NN",
    "boron fiber": "NN",
    "carding": "NN|VBG",
    "cellulose fiber": "NN",
    "codilla": "NN",
    "desizing": "NN",
    "fibril": "NN",
    "forbon": "NN",
    "leatheroid": "NN",
    "lenzing, grimsby": "NN",
    "mercerised cotton": "NN",
    "microfibril": "NN",
    "nanofiber": "NN",
    "natural fiber": "NN",
    "noil": "NN",
    "rolag": "NN",
    "sea silk": "NN",
    "setralit": "NN",
    "stainless steel fiber": "NN",
    "teased wool": "NN",
    "vulcanized fibre": "NN",
    "watap": "NN",
    "wood wool": "NN",
    "zari": "NN",
    "aertex": "NN",
    "airdura": "NN",
    "airguard": "NN",
    "alpaca": "NN",
    "argyle": "NN",
    "baize": "NN",
    "ballistic nylon": "NN",
    "ban-lon": "NN",
    "barathea": "NN",
    "barkcloth": "NN",
    "batiste": "NN",
    "bedford cord": "NN",
    "bengaline silk": "NN",
    "beta cloth": "NN",
    "bizarre silk": "NN",
    "bobbinet": "NN",
    "boiled wool": "NN",
    "bombazine": "NN",
    "brilliantine": "NN",
    "broadcloth": "NN",
    "buckram": "NN",
    "bunting": "NN|VBG",
    "c-change": "NN",
    "cambric": "NN",
    "camlet": "NN",
    "capilene": "NN",
    "carbon fiber": "NN",
    "cedar bark": "NN",
    "challis": "NN",
    "chambray": "NN",
    "char cloth": "NN",
    "charmeuse": "NN",
    "charvet": "NN",
    "chiffon": "NN",
    "chiné": "NN",
    "chino": "NN",
    "cloqué": "NN",
    "cloth of gold": "NN",
    "coir": "NN",
    "conductive": "NN",
    "coolmax": "NN",
    "cordura": "NN",
    "coutil": "NN",
    "crêpe": "NN",
    "cretonne": "NN",
    "crimplene": "NN",
    "damask": "NN",
    "darlexx": "NN",
    "denim": "NN",
    "dimity": "NN",
    "donegal tweed": "NN",
    "dornix": "NN",
    "dowlas": "NN",
    "drugget": "NN",
    "e-textiles": "NN",
    "eolienne": "NN",
    "fishnet": "NN",
    "foulard": "NN",
    "fustian": "NN",
    "gannex": "NN",
    "gazar": "NN",
    "georgette": "NN",
    "ghalamkar": "NN",
    "grenadine": "NN",
    "grenfell cloth": "NN",
    "grosgrain": "NN",
    "habutai": "NN",
    "haircloth": "NN",
    "harris tweed": "NN",
    "hemp": "NN",
    "himroo": "NN",
    "hodden": "NN",
    "houndstooth": "NN",
    "irish linen": "NN",
    "jamdani": "NN",
    "kente cloth": "NN",
    "kerseymere": "NN",
    "khādī": "NN",
    "khaki drill": "NN",
    "lamé": "NN",
    "lampas": "NN",
    "linsey-woolsey": "NN",
    "loden": "NN",
    "longcloth": "NN",
    "lumalive": "NN",
    "machine knitting": "NN",
    "madapolam": "NN",
    "madras": "NN",
    "milliskin": "NN",
    "mockado": "NN",
    "mohair": "NN",
    "moleskin": "NN",
    "moquette": "NN",
    "muslin": "NN",
    "nainsook": "NN",
    "nankeen": "NN",
    "needlerun net": "NN",
    "ninon": "NN",
    "oilskin": "NN",
    "olefin": "NN",
    "organza": "NN",
    "osnaburg": "NN",
    "ottoman": "NN",
    "oxford": "NN",
    "paduasoy": "NN",
    "paisley": "NN",
    "pashmina": "NN",
    "percale": "NN",
    "pin stripes": "NN",
    "piña": "NN",
    "pongee": "NN",
    "rakematiz": "NN",
    "ramie": "NN",
    "rayadillo": "NN",
    "rinzu": "NN",
    "ripstop": "NN",
    "russell cord": "NN",
    "saga nishiki": "NN",
    "samite": "NN",
    "sateen": "NN",
    "saye": "NN",
    "shot silk": "NN",
    "shweshwe": "NN",
    "silnylon": "NN",
    "sisal": "NN",
    "songket": "NN",
    "spider silk": "NN",
    "stub-tex": "NN",
    "sympatex": "NN",
    "tais": "NN",
    "tattersall": "NN",
    "terrycloth": "NN",
    "toile": "NN",
    "tucuyo": "NN",
    "twill": "NN",
    "ultrasuede": "NN",
    "vegetable flannel": "NN",
    "velours du kasaï": "NN",
    "ventile": "NN",
    "vinyl coated polyester": "NN",
    "viyella": "NN",
    "voile": "NN",
    "wadmal": "NN",
    "whipcord": "NN",
    "wigan": "NN",
    "windstopper": "NN",
    "zephyr": "NN",
    "zibeline": "NN",
    "zorbeez": "NN",
    "aberdeen granite": "NN",
    "ancaster stone": "NN",
    "anorthosite": "NN",
    "banktop": "NN",
    "barnack rag": "NN",
    "bearl": "NN",
    "beer stone": "NN",
    "blaxter": "NN",
    "brownstone": "NN",
    "burdur beige marble": "NN",
    "caen stone": "NN",
    "catcastle": "NN",
    "charnockite": "NN",
    "clipsham stone": "NN",
    "clunch": "NN",
    "comblanchien": "NN",
    "corallian limestone": "NN",
    "corncockle": "NN",
    "côte d'or": "NN",
    "cotswold stone": "NN",
    "czaple": "NN",
    "dębnik": "NN",
    "diabase": "NN",
    "diorite": "NN",
    "dunhouse blue": "NN",
    "dunhouse buff": "NN",
    "elazig cherry marble": "NN",
    "emprador": "NN",
    "flaggy limestone": "NN",
    "forest marble": "NN",
    "frosterley marble": "NN",
    "gabbro": "NN",
    "gneiss": "NN",
    "granodiorite": "NN",
    "hall dale": "NN",
    "haslingden flag": "NN",
    "heavitree stone": "NN",
    "jerusalem stone": "NN",
    "ketton stone": "NN",
    "kielce": "NN",
    "kośmin": "NN",
    "larvikite": "NN",
    "locharbriggs": "NN",
    "magnesian limestone": "NN",
    "marmara": "NN",
    "monzonite": "NN",
    "mugla white": "NN",
    "nasławice": "NN",
    "noche travertine": "NN",
    "oolitic limestone": "NN",
    "peperino": "NN",
    "pierre d'euville": "NN",
    "pierre de jaumont": "NN",
    "pietra serena": "NN",
    "portland admiralty roach": "NN",
    "portland bowers basebed": "NN",
    "portland bowers lynham whitbed": "NN",
    "portland bowers saunders whitbed": "NN",
    "portland grove whitbed": "NN",
    "portland hard blue": "NN",
    "portland independent basebed": "NN",
    "portland independent bottom whitbed": "NN",
    "portland independent top whitbed": "NN",
    "portland new independent whitbed": "NN",
    "portland stone": "NN",
    "portoro buono": "NN",
    "przedborowa": "NN",
    "purbeck marble": "NN",
    "quartzite": "NN",
    "radków": "NN",
    "sandstone": "NN",
    "serpentinite": "NN",
    "skała": "NN",
    "skiddaw slate": "NN",
    "stromatolites": "NN",
    "strzegom": "NN",
    "strzelin": "NN",
    "syenite": "NN",
    "szczytna": "NN",
    "tezontle": "NN",
    "travertine": "NN",
    "tuffeau stone": "NN",
    "verde antico": "NN",
    "welsh slate": "NN",
    "yorkstone": "NN",
    "graphene": "NN",
    "carbon nanotube": "NN",
    "gypsum board": "NN",
    "ceramic tile": "NN",
    "glass brick": "NN",
    "terra cotta": "NN",
    "cinder block": "NN",
    "urbanite": "NN",
    "rebar": "NN",
    "wire rope": "NN",
    "dimensional lumber": "NN",
    "shiplap": "NN",
    "oriented strand board": "NN",
    "parallel strand lumber": "NN",
    "glue-laminate": "NN",
    "plastic laminate": "NN",
    "rammed earth": "NN",
    "glass wool": "NN",
    "glass fiber": "NN",
    "amniotic fluid": "NN",
    "aqueous humour": "NN",
    "vitreous humour": "NN",
    "blood serum": "NN",
    "cerebrospinal fluid": "NN",
    "cerumen": "NN",
    "earwax": "NN",
    "chyle": "NN",
    "chyme": "NN",
    "endolymph": "NN",
    "perilymph": "NN",
    "gastric acid": "NN",
    "gastric juice": "NN",
    "pericardial fluid": "NN",
    "peritoneal fluid": "NN",
    "pleural fluid": "NN",
    "pus": "NN",
    "sebum": "NN",
    "sputum": "NN",
    "synovial fluid": "NN",
    "chlorofibre": "NN",
    "fibre": "NN",
    "fibre-glass": "NN",
    "kelvar": "NN",
    "polyamide": "NN",
    "vinyls": "NN",
    "viscose": "NN",
    "bell pepper": "NN",
    "bilberry": "NN",
    "blackcurrant": "NN",
    "blood orange": "NN",
    "boysenberry": "NN",
    "breadfruit": "NN",
    "canary melon": "NN",
    "cherimoya": "NN",
    "chili pepper": "NN",
    "clementine": "NN",
    "cloudberry": "NN",
    "cranberry": "NN",
    "damson": "NN",
    "dragonfruit": "NN",
    "durian": "NN",
    "eggplant": "NN",
    "elderberry": "NN",
    "feijoa": "NN",
    "goji berry": "NN",
    "guava": "NN",
    "honeydew": "NN",
    "huckleberry": "NN",
    "jackfruit": "NN",
    "jambul": "NN",
    "jujube": "NN",
    "kiwi fruit": "NN",
    "kumquat": "NN",
    "loquat": "NN",
    "lychee": "NN",
    "mandarine": "NN",
    "mango": "NN",
    "mulberry": "NN",
    "nectarine": "NN",
    "pamelo": "NN",
    "papaya": "NN",
    "passionfruit": "NN",
    "persimmon": "NN",
    "physalis": "NN",
    "pomegranate": "NN",
    "pomelo": "NN",
    "purple mangosteen": "NN",
    "rambutan": "NN",
    "redcurrant": "NN",
    "rock melon": "NN",
    "salal berry": "NN",
    "satsuma": "NN",
    "star fruit": "NN",
    "tamarillo": "NN",
    "tangerine": "NN",
    "ugli fruit": "NN",
    "acorn squash": "NN",
    "alfalfa sprout": "NN",
    "amaranth": "NN",
    "arugula": "NN",
    "aubergine": "NN",
    "azuki bean": "NN",
    "banana squash": "NN",
    "bean sprout": "NN",
    "black bean": "NN",
    "black-eyed pea": "NN",
    "bok choy": "NN",
    "borlotti bean": "NN",
    "broad beans": "NN",
    "broccoflower": "NN",
    "brussels sprout": "NN",
    "butternut squash": "NN",
    "calabrese": "NN",
    "cayenne pepper": "NN",
    "celeriac": "NN",
    "chamomile": "NN",
    "chard": "NN",
    "chayote": "NN",
    "chickpea": "NN",
    "cilantro": "NN",
    "collard green": "NN",
    "corn salad": "NN",
    "courgette": "NN",
    "daikon": "NN",
    "delicata": "NN",
    "endive": "NN",
    "fiddlehead": "NN",
    "frisee": "NN",
    "gem squash": "NN",
    "green bean": "NN",
    "green pepper": "NN",
    "habanero": "NN",
    "herbs and spice": "NN",
    "hubbard squash": "NN",
    "jerusalem artichoke": "NN",
    "jicama": "NN",
    "kidney bean": "NN",
    "kohlrabi": "NN",
    "leek ": "NN",
    "lemon grass": "NN",
    "lima bean": "NN",
    "mamey": "NN",
    "mangetout": "NN",
    "mung bean": "NN",
    "mustard green": "NN",
    "navy bean": "NN",
    "new zealand spinach": "NN",
    "nopale": "NN",
    "okra": "NN",
    "oregano": "NN",
    "parsnip": "NN",
    "patty pan": "NN",
    "pinto bean": "NN",
    "radicchio": "NN",
    "rhubarb": "NN",
    "rosemary": "NN",
    "runner bean": "NN",
    "scallion": "NN",
    "shallot": "NN",
    "skirret": "NN",
    "snap pea": "NN",
    "soy bean": "NN",
    "spaghetti squash": "NN",
    "squash ": "NN",
    "sweet potato": "NN",
    "tabasco pepper": "NN",
    "taro": "NN",
    "tat soi": "NN",
    "thyme": "NN",
    "topinambur": "NN",
    "turnip": "NN",
    "wasabi": "NN",
    "water chestnut": "NN",
    "watercress": "NN",
    "white radish": "NN",
    "yam": "NN",
    "zucchini": "NN",
    "alanine": "NN",
    "argnine": "NN",
    "asparaginine": "NN",
    "aspartic": "NN",
    "carnitine": "NN",
    "citruline": "NN",
    "cysteine": "NN",
    "cystine": "NN",
    "gaba": "NN",
    "glutamine": "NN",
    "glycine": "NN",
    "histidine": "NN",
    "isoleucine": "NN",
    "leucine": "NN",
    "lysine": "NN",
    "methionine": "NN",
    "ornithine": "NN",
    "phenylalanine": "NN",
    "proline": "NN",
    "pyroglutamate": "NN",
    "serine": "NN",
    "taurine": "NN",
    "threonine": "NN",
    "tryptophan": "NN",
    "valine": "NN",
    "antimony": "NN",
    "astatine": "NN",
    "boron": "NN",
    "bromine": "NN",
    "caesium": "NN",
    "copernicium": "NN",
    "krypton": "NN",
    "selenium": "NN",
    "tellurium": "NN",
    "ununoctium": "NN",
    "ununseptium": "NN",
    "radishes": "NN",
    "mashed potatoes": "NN",
    "boiled potatoes": "NN",
    "chicken salad": "NN",
    "vanilla ice cream": "NN",
    "lettuce salad": "NN",
    "lobster salad": "NN",
    "string beans": "NN",
    "apple pie": "NN",
    "american cheese": "NN",
    "green peas": "NN",
    "assorted cakes": "NN",
    "apollinaris": "NN",
    "french fried potatoes": "NN",
    "potato salad": "NN",
    "baked potatoes": "NN",
    "stewed prunes": "NN",
    "roquefort": "NN",
    "roast beef": "NN",
    "chocolate ice cream": "NN",
    "stewed tomatoes": "NN",
    "sliced tomatoes": "NN",
    "lima beans": "NN",
    "camembert": "NN",
    "roquefort cheese": "NN",
    "cucumbers": "NN",
    "ice cream": "NN",
    "edam cheese": "NN",
    "little neck clams": "NN",
    "swiss cheese": "NN",
    "demi tasse": "NN",
    "tomato juice": "NN",
    "cream cheese": "NN",
    "assorted cake": "NN",
    "raisins": "NN",
    "sirloin steak": "NN",
    "blue points": "NN",
    "cup custard": "NN",
    "petits fours": "NN",
    "ripe olives": "NN",
    "demi-tasse": "NN",
    "french peas": "NN",
    "buttermilk": "NN",
    "tomato salad": "NN",
    "biscuit tortoni": "NN",
    "boiled rice": "NN",
    "kaffee": "NN",
    "iced tea": "NN",
    "corned beef": "NN",
    "succotash": "NN",
    "charlotte russe": "NN",
    "lobster cocktail": "NN",
    "cucumber salad": "NN",
    "salted almonds": "NN",
    "benedictine": "NN",
    "brussels sprouts": "NN",
    "romaine salad": "NN",
    "lyonnaise potatoes": "NN",
    "dry toast": "NN",
    "grape fruit": "NN",
    "apple sauce": "NN",
    "camembert cheese": "NN",
    "bread and butter": "NN",
    "queen olives": "NN",
    "little necks": "NN",
    "chow chow": "NN",
    "cold roast beef": "NN",
    "milk toast": "NN",
    "macaroons": "NN",
    "lettuce and tomato salad": "NN",
    "fried egg plant": "NN",
    "shrimp cocktail": "NN",
    "club sandwich": "NN",
    "chicken sandwich": "NN",
    "broiled ham": "NN",
    "baked apple": "NN",
    "ham sandwich": "NN",
    "strawberry ice cream": "NN",
    "mutton chops": "NN",
    "lamb chops": "NN",
    "corned beef hash": "NN",
    "creme de menthe": "NN",
    "cafe noir": "NN",
    "french pastry": "NN",
    "sweet pickles": "NN",
    "cold ham": "NN",
    "mince pie": "NN",
    "coffee ice cream": "NN",
    "roman punch": "NN",
    "smoked salmon": "NN",
    "peach melba": "NN",
    "welsh rarebit": "NN",
    "fruit salad": "NN",
    "shrimp salad": "NN",
    "stewed corn": "NN",
    "tenderloin steak": "NN",
    "ham and eggs": "NN",
    "scrambled eggs": "NN",
    "fried potatoes": "NN",
    "pumpkin pie": "NN",
    "orange juice": "NN",
    "fried eggs": "NN",
    "iced coffee": "NN",
    "white rock": "NN",
    "rice pudding": "NN",
    "boiled eggs": "NN",
    "escarole salad": "NN",
    "baked apple with cream": "NN",
    "cherrystones": "NN",
    "chicory salad": "NN",
    "peach pie": "NN",
    "cafe parfait": "NN",
    "half grapefruit": "NN",
    "buttered toast": "NN",
    "green olives": "NN",
    "sanka": "NN",
    "neapolitan ice cream": "NN",
    "edam": "NN",
    "squab": "NN",
    "figs": "NN",
    "turkish coffee": "NN",
    "cream toast": "NN",
    "clam chowder": "NN",
    "nesselrode pudding": "NN",
    "blue point oysters": "NN",
    "gorgonzola": "NN",
    "new string beans": "NN",
    "bacon and eggs": "NN",
    "stuffed olives": "NN",
    "combination salad": "NN",
    "tongue sandwich": "NN",
    "oyster cocktail": "NN",
    "ginger ale": "NN",
    "orange marmalade": "NN",
    "sliced cucumbers": "NN",
    "cape cods": "NN",
    "anchovies": "NN",
    "cold slaw": "NN",
    "gruyere": "NN",
    "neufchatel": "NN",
    "orange water ice": "NN",
    "cocktail sauce": "NN",
    "oyster stew": "NN",
    "liqueurs": "NN",
    "postum": "NN",
    "lemon water ice": "NN",
    "hominy": "NN",
    "pound cake": "NN",
    "fried sweet potatoes": "NN",
    "saratoga chips": "NN",
    "celery salad": "NN",
    "cherrystone clams": "NN",
    "new peas": "NN",
    "golden buck": "NN",
    "grapefruit juice": "NN",
    "chicken broth": "NN",
    "gorgonzola cheese": "NN",
    "waldorf salad": "NN",
    "plums": "NN",
    "pork chops": "NN",
    "fruit cocktail": "NN",
    "sweet potatoes": "NN",
    "french coffee": "NN",
    "salted nuts": "NN",
    "pickled beets": "NN",
    "creamed spinach": "NN",
    "saute potatoes": "NN",
    "radis": "NN",
    "small steak": "NN",
    "hot rolls": "NN",
    "meringue glacee": "NN",
    "johannis": "NN",
    "cold corned beef": "NN",
    "russian dressing": "NN",
    "chiffonade salad": "NN",
    "anisette": "NN",
    "mashed turnips": "NN",
    "pontet canet": "NN",
    "clam broth": "NN",
    "liederkranz cheese": "NN",
    "green apple pie": "NN",
    "french dressing": "NN",
    "calf's liver and bacon": "NN",
    "virginia ham": "NN",
    "new lima beans": "NN",
    "brie cheese": "NN",
    "candied sweet potatoes": "NN",
    "sardine sandwich": "NN",
    "neufchatel cheese": "NN",
    "lynnhavens": "NN",
    "green corn": "NN",
    "amontillado": "NN",
    "watercress salad": "NN",
    "crab flake cocktail": "NN",
    "malaga grapes": "NN",
    "poached eggs on toast": "NN",
    "buckwheat cakes": "NN",
    "shirred eggs": "NN",
    "raspberry water ice": "NN",
    "roast chicken": "NN",
    "lady fingers": "NN",
    "squab chicken": "NN",
    "plover": "NN",
    "macaroni au gratin": "NN",
    "strawberries and cream": "NN",
    "st. julien": "NN",
    "niersteiner": "NN",
    "manhattan": "NN",
    "pineapple juice": "NN",
    "tomato juice cocktail": "NN",
    "potatoes au gratin": "NN",
    "congress water": "NN",
    "currant jelly": "NN",
    "graham bread": "NN",
    "fresh fruit": "NN",
    "green turtle soup": "NN",
    "salt mackerel": "NN",
    "chartreuse": "NN",
    "chow-chow": "NN",
    "beluga caviar": "NN",
    "stuffed celery": "NN",
    "curacao": "NN",
    "dill pickles": "NN",
    "pickled walnuts": "NN",
    "mixed grill": "NN",
    "plain omelette": "NN",
    "tomato soup": "NN",
    "mallard duck": "NN",
    "roast mutton": "NN",
    "baked sweet potatoes": "NN",
    "kummel": "NN",
    "new green peas": "NN",
    "ceylon tea": "NN",
    "clam juice cocktail": "NN",
    "vermouth": "NN",
    "pommard": "NN",
    "biscuit glace": "NN",
    "broiled bacon": "NN",
    "hamburger steak": "NN",
    "hashed browned potatoes": "NN",
    "cottage cheese": "NN",
    "english breakfast tea": "NN",
    "fruchte": "NN",
    "endive salad": "NN",
    "cotuits": "NN",
    "clam juice": "NN",
    "cold tongue": "NN",
    "romaine": "NN",
    "boiled onions": "NN",
    "filet mignon": "NN",
    "prime ribs of beef": "NN",
    "french string beans": "NN",
    "prime ribs of beef au jus": "NN",
    "mayonnaise dressing": "NN",
    "custard pie": "NN",
    "hearts of celery": "NN",
    "french bread": "NN",
    "mixed pickles": "NN",
    "baked idaho potato": "NN",
    "roast beef sandwich": "NN",
    "swiss cheese sandwich": "NN",
    "julienne potatoes": "NN",
    "fried oysters": "NN",
    "mixed ice cream": "NN",
    "spring lamb, mint sauce": "NN",
    "danish pastry": "NN",
    "lemon ice": "NN",
    "oolong tea": "NN",
    "corn muffins": "NN",
    "stilton cheese": "NN",
    "sauternes": "NN",
    "kase": "NN",
    "anchovy salad": "NN",
    "spring lamb": "NN",
    "baked potato": "NN",
    "cape cod oysters": "NN",
    "sliced fresh pineapple": "NN",
    "raisin cake": "NN",
    "strawberry short cake": "NN",
    "honey dew melon": "NN",
    "kaffee hag": "NN",
    "poached eggs": "NN",
    "hashed brown potatoes": "NN",
    "moet & chandon, white seal": "NN",
    "corn bread": "NN",
    "oyster bay asparagus": "NN",
    "fromage": "NN",
    "fancy cakes": "NN",
    "escarole": "NN",
    "horlick's malted milk": "NN",
    "pistache ice cream": "NN",
    "clam cocktail": "NN",
    "guava jelly": "NN",
    "medoc": "NN",
    "boiled sweet potatoes": "NN",
    "chilled tomato juice": "NN",
    "fresh fruit salad": "NN",
    "pommery sec": "NN",
    "fruit cake": "NN",
    "baked apples": "NN",
    "eggs to order": "NN",
    "fried ham": "NN",
    "toasted crackers": "NN",
    "corned beef sandwich": "NN",
    "poussin": "NN",
    "tom collins": "NN",
    "stilton": "NN",
    "royal squab": "NN",
    "haut sauternes": "NN",
    "celeri     ": "NN",
    "porterhouse steak": "NN",
    "apollinaris water": "NN",
    "stuffed tomatoes": "NN",
    "coffee with cream": "NN",
    "vegetable soup": "NN",
    "clam fritters": "NN",
    "fresh shrimp cocktail": "NN",
    "roquefort dressing": "NN",
    "preserved figs": "NN",
    "salade": "NN",
    "chablis": "NN",
    "stuffed mangoes": "NN",
    "kirschwasser": "NN",
    "omelette, plain": "NN",
    "dubonnet": "NN",
    "laubenheimer": "NN",
    "corned beef and cabbage": "NN",
    "bermuda potatoes": "NN",
    "whiskey sour": "NN",
    "sauerkraut juice": "NN",
    "hearts of lettuce": "NN",
    "roast turkey": "NN",
    "sliced oranges": "NN",
    "broiled chicken": "NN",
    "smoked beef": "NN",
    "sliced pineapple": "NN",
    "instant postum": "NN",
    "boiled ham": "NN",
    "strawberry shortcake": "NN",
    "gruyere cheese": "NN",
    "chicory": "NN",
    "fresh milk": "NN",
    "english mutton chop": "NN",
    "potatoes, french fried": "NN",
    "meringue glace": "NN",
    "wine jelly": "NN",
    "stewed rhubarb": "NN",
    "liebfraumilch": "NN",
    "buttered beets": "NN",
    "tokay grapes": "NN",
    "cream of tomato soup": "NN",
    "scotch woodcock": "NN",
    "mock turtle soup": "NN",
    "chambertin": "NN",
    "stuffed tomato": "NN",
    "apricots": "NN",
    "plain omelet": "NN",
    "hochheimer": "NN",
    "sponge cake": "NN",
    "pousse cafe": "NN",
    "potatoes, boiled": "NN",
    "table celery": "NN",
    "broiled fresh mushrooms": "NN",
    "fresh strawberries": "NN",
    "marmelade": "NN",
    "yorkshire buck": "NN",
    "hot roast beef sandwich": "NN",
    "canadian club": "NN",
    "petite marmite": "NN",
    "canadian cheese": "NN",
    "pie a la mode": "NN",
    "boiled new potatoes": "NN",
    "huitres": "NN",
    "friandises": "NN",
    "kippered herring": "NN",
    "lemon meringue pie": "NN",
    "au gratin potatoes": "NN",
    "bel paese cheese": "NN",
    "lobster a la newburg": "NN",
    "daiquiri": "NN",
    "thousand island dressing": "NN",
    "saratoga potatoes": "NN",
    "spanish omelette": "NN",
    "grand marnier": "NN",
    "pistachio ice cream": "NN",
    "liederkranz": "NN",
    "broiled spring chicken": "NN",
    "petit fours": "NN",
    "seltzer": "NN",
    "cointreau": "NN",
    "pickled lamb's tongue": "NN",
    "hot chocolate": "NN",
    "salat": "NN",
    "hafergrutze": "NN",
    "sirloin steak with mushrooms": "NN",
    "radieschen": "NN",
    "spaghetti au gratin": "NN",
    "ices in souvenir": "NN",
    "green tea": "NN",
    "creme de cacao": "NN",
    "potatoes, mashed": "NN",
    "stuffed green peppers": "NN",
    "mixed nuts": "NN",
    "budweiser": "NN",
    "imported swiss cheese": "NN",
    "potatoes, lyonnaise": "NN",
    "peach ice cream": "NN",
    "sliced orange": "NN",
    "rice cakes": "NN",
    "potatoes parisienne": "NN",
    "french rolls": "NN",
    "broiled bluefish": "NN",
    "bouillon": "NN",
    "shredded wheat": "NN",
    "consomme julienne": "NN",
    "tangerines": "NN",
    "apricot brandy": "NN",
    "boston brown bread": "NN",
    "grapefruit supreme": "NN",
    "pickled onions": "NN",
    "hearts of lettuce salad": "NN",
    "orange pekoe tea": "NN",
    "sanka coffee": "NN",
    "rhubarb pie": "NN",
    "assorted cold cuts": "NN",
    "sliced bananas": "NN",
    "cheese sandwich": "NN",
    "spinach with egg": "NN",
    "fancy ices": "NN",
    "red leg partridge": "NN",
    "pork and beans": "NN",
    "orange sherbet": "NN",
    "chocolate parfait": "NN",
    "haut sauterne": "NN",
    "apricot water ice": "NN",
    "cranberry sauce": "NN",
    "canape of anchovies": "NN",
    "chicken consomme": "NN",
    "german pancake": "NN",
    "tapioca pudding": "NN",
    "apricot pie": "NN",
    "bar-le-duc": "NN",
    "chartreuse, yellow": "NN",
    "roast lamb": "NN",
    "gin fizz": "NN",
    "cheese cake": "NN",
    "cauliflower au gratin": "NN",
    "chocolate eclairs": "NN",
    "extra sirloin steak": "NN",
    "philadelphia cream cheese": "NN",
    "cocoanut pie": "NN",
    "cherry pie": "NN",
    "english pheasant": "NN",
    "wheat cakes": "NN",
    "dipped toast": "NN",
    "bismarck herring": "NN",
    "ham omelet": "NN",
    "assorted cheese": "NN",
    "cheddar cheese": "NN",
    "codfish cakes": "NN",
    "american cheese sandwich": "NN",
    "fresh vegetable salad": "NN",
    "raspberry sherbet": "NN",
    "martini cocktail": "NN",
    "boston baked beans": "NN",
    "dutch cheese": "NN",
    "halibut steak": "NN",
    "ruddy duck": "NN",
    "milk, per glass": "NN",
    "carciofini": "NN",
    "nachtisch": "NN",
    "pate de foie gras": "NN",
    "eggs, fried": "NN",
    "sliced peaches": "NN",
    "celeri": "NN",
    "preserved peaches": "NN",
    "tenderloin steak with mushrooms": "NN",
    "fruit in season": "NN",
    "roastbeef": "NN",
    "baked beans": "NN",
    "bluepoints": "NN",
    "potatoes lyonnaise": "NN",
    "caviar, special importation": "NN",
    "fried hominy": "NN",
    "lemon sherbet": "NN",
    "dandelion salad": "NN",
    "lemon soda": "NN",
    "lobster newburg": "NN",
    "port salut": "NN",
    "extra special heavy cream": "NN",
    "breakfast bacon": "NN",
    "egg plant": "NN",
    "omelet, plain": "NN",
    "rudesheimer": "NN",
    "rye bread": "NN",
    "leberwurst": "NN",
    "manhattan cocktail": "NN",
    "fresh string beans": "NN",
    "fried clams": "NN",
    "cole slaw": "NN",
    "ox tongue": "NN",
    "chocolate eclair": "NN",
    "sardellen": "NN",
    "cheese and crackers": "NN",
    "corn fritters": "NN",
    "french asparagus": "NN",
    "spanish olives": "NN",
    "potatoes, baked": "NN",
    "potato croquettes": "NN",
    "caramel custard": "NN",
    "crabmeat cocktail": "NN",
    "clam stew ": "NN",
    "asparagus tips": "NN",
    "orange ice": "NN",
    "chicken salad sandwich": "NN",
    "mixed green salad": "NN",
    "fried oyster crabs": "NN",
    "potatoes hashed in cream": "NN",
    "poland water": "NN",
    "chef's salad": "NN",
    "apfelsinen": "NN",
    "baked alaska": "NN",
    "sliced chicken": "NN",
    "apple juice": "NN",
    "coupe of fresh strawberries, favorite": "NN",
    "lyon sausage": "NN",
    "russian caviar": "NN",
    "fresh strawberry ice cream": "NN",
    "cold chicken": "NN",
    "champagne cocktail": "NN",
    "haricots verts": "NN",
    "grape nuts": "NN",
    "blueberry pie": "NN",
    "eclair": "NN",
    "preserved skinless figs": "NN",
    "supreme of fruit, astor": "NN",
    "julienne": "NN",
    "stewed pears": "NN",
    "onion soup au gratin": "NN",
    "obst": "NN",
    "soft shell crabs": "NN",
    "crackers and milk": "NN",
    "assorted fruit": "NN",
    "stinger": "NN",
    "lettuce and tomato": "NN",
    "saucisson de lyon": "NN",
    "westphalã­an ham": "NN",
    "raspberries": "NN",
    "caviar sandwich": "NN",
    "cold turkey": "NN",
    "crab meat cocktail": "NN",
    "pot of tea": "NN",
    "spaghetti italienne": "NN",
    "heart of lettuce salad": "NN",
    "oyster patties": "NN",
    "french toast": "NN",
    "old fashioned": "NN",
    "melon in season": "NN",
    "alligator pear salad": "NN",
    "anchovis": "NN",
    "cook's imperial": "NN",
    "zeltinger": "NN",
    "amandes salees": "NN",
    "port du salut": "NN",
    "bent's water crackers": "NN",
    "side car": "NN",
    "eggs, boiled": "NN",
    "chianti": "NN",
    "eggs, scrambled": "NN",
    "peach short cake": "NN",
    "nuts and raisins": "NN",
    "fried soft shell crabs": "NN",
    "stewed potatoes": "NN",
    "terrapin": "NN",
    "frische milch": "NN",
    "mumm's extra dry": "NN",
    "compot": "NN",
    "marinated herring": "NN",
    "coffee, pot": "NN",
    "clear green turtle soup": "NN",
    "chicken okra soup": "NN",
    "bacardi cocktail": "NN",
    "california orange": "NN",
    "macon": "NN",
    "neapolitan": "NN",
    "figs in syrup": "NN",
    "stuffed figs and dates": "NN",
    "oatmeal porridge": "NN",
    "mixed salad": "NN",
    "cheese omelette": "NN",
    "strawberry jam": "NN",
    "fried scallops": "NN",
    "sliced bananas and cream": "NN",
    "irish stew": "NN",
    "cafe turc": "NN",
    "oyster fry": "NN",
    "fancy ice cream": "NN",
    "fresh mackerel": "NN",
    "vienna bread": "NN",
    "grape juice": "NN",
    "clysmic": "NN",
    "brawn": "NN",
    "brook trout": "NN",
    "fried onions": "NN",
    "fresh strawberries and cream": "NN",
    "bologna sausage": "NN",
    "assorted nuts": "NN",
    "pear \"au feu d'enfer\"": "NN",
    "chicken (half)": "NN",
    "clear green turtle": "NN",
    "rockaways": "NN",
    "fried bacon": "NN",
    "blackberries": "NN",
    "coca cola": "NN",
    "young onions": "NN",
    "club soda": "NN",
    "ribs of beef ": "NN",
    "roast lamb, mint sauce": "NN",
    "graham rolls": "NN",
    "new potatoes": "NN",
    "squab chicken (half)": "NN",
    "old tom gin": "NN",
    "concombres": "NN",
    "steamed rice": "NN",
    "drambuie": "NN",
    "whitebait": "NN",
    "consomme vermicelli": "NN",
    "crab meat salad": "NN",
    "india relish": "NN",
    "gebackene kartoffeln": "NN",
    "rice and milk": "NN",
    "lobster, newburg": "NN",
    "fresh asparagus": "NN",
    "sparkling moselle": "NN",
    "lettuce and tomato sandwich": "NN",
    "curried chicken with rice": "NN",
    "gin rickey": "NN",
    "head cheese": "NN",
    "cold lamb": "NN",
    "hot mince pie": "NN",
    "assorted fresh fruit": "NN",
    "soup du jour": "NN",
    "scotch grouse": "NN",
    "cold rice pudding": "NN",
    "porterhouse steak with mushrooms": "NN",
    "pear melba": "NN",
    "brandy peaches": "NN",
    "plain lemonade": "NN",
    "roast turkey, cranberry sauce": "NN",
    "sherry flip": "NN",
    "mangoes": "NN",
    "salade de saison": "NN",
    "raspberry jam": "NN",
    "fresh fruit cocktail": "NN",
    "fish cakes": "NN",
    "claret punch": "NN",
    "westphalia ham": "NN",
    "lettuce and tomatoes": "NN",
    "lamb, mint sauce": "NN",
    "guinness' stout": "NN",
    "rolls and butter": "NN",
    "fried smelts": "NN",
    "tea, pot": "NN",
    "maple syrup": "NN",
    "macedoine salad": "NN",
    "canvas-back duck": "NN",
    "sirloin steak with onions": "NN",
    "coffee, per pot": "NN",
    "smoked beef tongue": "NN",
    "tutti frutti ice cream": "NN",
    "pim-olas": "NN",
    "strawberries with cream": "NN",
    "corn cakes": "NN",
    "ham omelette": "NN",
    "chocolade": "NN",
    "spanish omelet": "NN",
    "sloe gin": "NN",
    "red-head duck": "NN",
    "glass of milk": "NN",
    "sliced bananas with cream": "NN",
    "vermouth, italian": "NN",
    "canape of caviar": "NN",
    "julienne soup": "NN",
    "eggs, shirred": "NN",
    "salmon salad": "NN",
    "broiled squab": "NN",
    "vienna rolls": "NN",
    "chartreuse, green": "NN",
    "silver fizz": "NN",
    "crab salad": "NN",
    "pickled oysters": "NN",
    "alligator pear": "NN",
    "caviar canape": "NN",
    "pont l'eveque cheese": "NN",
    "prune juice": "NN",
    "mock turtle": "NN",
    "new asparagus": "NN",
    "gervais": "NN",
    "tea, per pot": "NN",
    "potatoes julienne": "NN",
    "gumbo": "NN",
    "malted milk": "NN",
    "chicken soup": "NN",
    "capon": "NN",
    "beef consomme": "NN",
    "corn flakes": "NN",
    "crabflake cocktail": "NN",
    "assorted hors d'oeuvres": "NN",
    "ribs of prime beef": "NN",
    "beef tongue": "NN",
    "cream, per glass": "NN",
    "stewed oysters": "NN",
    "finnan haddie": "NN",
    "sloe gin fizz": "NN",
    "american coffee": "NN",
    "liver and bacon": "NN",
    "fresh mushrooms": "NN",
    "lemon pie": "NN",
    "cold consomme": "NN",
    "chocolate sundae": "NN",
    "consomme en tasse": "NN",
    "dill pickle": "NN",
    "port du salut cheese": "NN",
    "pink lady": "NN",
    "broiled chicken (half)": "NN",
    "country sausage": "NN",
    "potatoes, saratoga": "NN",
    "graham wafers": "NN",
    "broiled oysters": "NN",
    "gekochte kartoffeln": "NN",
    "stewed strawberries": "NN",
    "baked apples with cream": "NN",
    "st. estephe": "NN",
    "liver sausage": "NN",
    "boston cream pie": "NN",
    "spring onions": "NN",
    "lamb chop": "NN",
    "potatoes o'brien": "NN",
    "tomato broth": "NN",
    "moet & chandon": "NN",
    "veuve clicquot, yellow label": "NN",
    "roast potatoes": "NN",
    "fruits in season": "NN",
    "boned capon": "NN",
    "spring chicken": "NN",
    "cauliflower, polonaise": "NN",
    "milchreis": "NN",
    "caviar on toast": "NN",
    "rostbraten": "NN",
    "chateau yquem": "NN",
    "spring turkey": "NN",
    "new beets": "NN",
    "lemon ice cream": "NN",
    "crullers": "NN",
    "jamaica rum": "NN",
    "potatoes, fried": "NN",
    "water crackers": "NN",
    "petits pois": "NN",
    "chocolate layer cake": "NN",
    "apple fritters": "NN",
    "pineapple water ice": "NN",
    "schweizer kã¤se": "NN",
    "french sardines": "NN",
    "fresh fruit cup": "NN",
    "long island duckling": "NN",
    "boiled onions, cream sauce": "NN",
    "hamburg steak": "NN",
    "margaux": "NN",
    "beaune": "NN",
    "golden plover": "NN",
    "french vanilla ice cream": "NN",
    "ruinart brut": "NN",
    "lamb chops (2)": "NN",
    "old tom": "NN",
    "strained honey": "NN",
    "tomato omelette": "NN",
    "vegetable salad": "NN",
    "pineapple cheese": "NN",
    "china tea": "NN",
    "linden tea": "NN",
    "german fried potatoes": "NN",
    "blackberry brandy": "NN",
    "aeromodelling": "NN",
    "backgammon": "NN",
    "bobsledding": "NN",
    "canoeing": "NN",
    "caravaning": "NN",
    "carrom": "NN",
    "charades": "NN",
    "croquet": "NN",
    "decathlon": "NN",
    "fantan": "NN",
    "frisbees": "NN",
    "javelin": "NN",
    "judo": "NN",
    "jujitsu": "NN",
    "karate": "NN",
    "kendo": "NN",
    "lacrosse": "NN",
    "netball": "NN",
    "reversi": "NN",
    "rugby": "NN",
    "skateboarding": "NN",
    "snorkeling": "NN",
    "solitaire": "NN",
    "spelunking": "NN|VBG",
    "tombola": "NN",
    "trampoline": "NN",
    "trekking": "NN",
    "windsurfing": "NN",
    "aardvark": "NN",
    "canary": "NN",
    "capybara": "NN",
    "chimpanzee": "NN",
    "chinchilla": "NN",
    "chipmunk": "NN",
    "cougar": "NN",
    "dromedary": "NN",
    "ewe": "NN",
    "finch": "NN",
    "gila monster": "NN",
    "giraffe": "NN",
    "gnu": "NN",
    "gopher": "NN",
    "grizzly bear": "NN",
    "ground hog": "NN",
    "guinea pig": "NN",
    "hamster": "NN",
    "hedgehog": "NN",
    "hippopotamus": "NN",
    "hyena": "NN",
    "ibex": "NN",
    "impala": "NN",
    "jackal": "NN",
    "jaguar": "NN",
    "koala": "NN",
    "lemur": "NN",
    "leopard": "NN",
    "llama": "NN",
    "lynx": "NN",
    "mandrill": "NN",
    "marmoset": "NN",
    "mongoose": "NN",
    "moose": "NN",
    "mountain goat": "NN",
    "muskrat": "NN",
    "mustang": "NN",
    "mynah bird": "NN",
    "opossum": "NN",
    "orangutan": "NN",
    "oryx": "NN",
    "panda": "NN",
    "panther": "NN",
    "parrot": "NN",
    "platypus": "NN",
    "polar bear": "NN",
    "prairie dog": "NN",
    "puma": "NN",
    "reindeer": "NN",
    "shrew": "NN",
    "silver fox": "NN",
    "sloth": "NN",
    "tapir": "NN",
    "warthog": "NN",
    "wolverine": "NN",
    "wombat": "NN",
    "woodchuck": "NN",
    "mousedeer": "NN",
    "ostritch": "NN",
    "kangnasaurus": "NN",
    "lophostropheus": "NN",
    "spinophorosaurus": "NN",
    "epachthosaurus": "NN",
    "coelurosauria": "NN",
    "lycorhinus": "NN",
    "adasaurus": "NN",
    "draconyx": "NN",
    "ceratops": "NN",
    "lagerpeton": "NN",
    "qiaowanlong": "NN",
    "rhynchosaur": "NN",
    "ningyuansaurus": "NN",
    "palaeolimnornis": "NN",
    "anabisetia": "NN",
    "talarurus": "NN",
    "sphenodontia": "NN",
    "tianyulong": "NN",
    "aepisaurus": "NN",
    "neuquenraptor": "NN",
    "galesaurus": "NN",
    "pachysuchus": "NN",
    "auroraceratops": "NN",
    "hecatasaurus": "NN",
    "barapasaurus": "NN",
    "asiatosaurus": "NN",
    "daanosaurus": "NN",
    "luoyanggia": "NN",
    "eobrontosaurus": "NN",
    "wellnhoferia": "NN",
    "zuolong": "NN",
    "tenchisaurus": "NN",
    "centrosaurus": "NN",
    "falcarius": "NN",
    "ojoraptorsaurus": "NN",
    "lufengocephalus": "NN",
    "vulcanodon": "NN",
    "mollusc": "NN",
    "shunosaurus": "NN",
    "empaterias": "NN",
    "issasaurus": "NN",
    "jiangxisaurus": "NN",
    "laplatasaurus": "NN",
    "aublysodon": "NN",
    "embasaurus": "NN",
    "blikanasaurus": "NN",
    "bonapartenykus": "NN",
    "asiamericana": "NN",
    "arizonasaurus": "NN",
    "cryptoraptor": "NN",
    "morosaurus": "NN",
    "mapusaurus": "NN",
    "buitreraptor": "NN",
    "gravitholus": "NN",
    "vitakrisaurus": "NN",
    "nurosaurus": "NN",
    "cetiosauriscus": "NN",
    "kukufeldia": "NN",
    "propanoplosaurus": "NN",
    "suchoprion": "NN",
    "umarsaurus": "NN",
    "likhoelesaurus": "NN",
    "dasygnathoides": "NN",
    "dubreuillosaurus": "NN",
    "shenzhouraptor": "NN",
    "atrociraptor": "NN",
    "amurosaurus": "NN",
    "latirhinus": "NN",
    "albisaurus": "NN",
    "zupaysaurus": "NN",
    "venenosaurus": "NN",
    "syrmosaurus": "NN",
    "arkharavia": "NN",
    "yueosaurus": "NN",
    "tianchungosaurus": "NN",
    "dyslocosaurus": "NN",
    "sinraptor": "NN",
    "owenodon": "NN",
    "pelycosaur": "NN",
    "duriavenator": "NN",
    "haplocheirus": "NN",
    "epidendrosaurus": "NN",
    "nyasasaurus": "NN",
    "tawasaurus": "NN",
    "lisboasaurus": "NN",
    "ahshislepelta": "NN",
    "magnirostris": "NN",
    "psittacosaurus": "NN",
    "orodromeus": "NN",
    "ostafrikasaurus": "NN",
    "nemegtomaia": "NN",
    "dracorex": "NN",
    "ovoraptor": "NN",
    "amazonsaurus": "NN",
    "leyesaurus": "NN",
    "dollodon": "NN",
    "cryptosaurus": "NN",
    "coahuilaceratops": "NN",
    "variraptor": "NN",
    "panamericansaurus": "NN",
    "nodocephalosaurus": "NN",
    "nasutoceratops": "NN",
    "prosaurolophus": "NN",
    "jingshanosaurus": "NN",
    "teleocrater": "NN",
    "tribelesodon": "NN",
    "mochlodon": "NN",
    "eohadrosaurus": "NN",
    "comanchesaurus": "NN",
    "limnornis": "NN",
    "gigantspinosaurus": "NN",
    "oxalaia": "NN",
    "wuerhosaurus": "NN",
    "mtapaiasaurus": "NN",
    "longisquama": "NN",
    "velocisaurus": "NN",
    "aorun": "NN",
    "sinopliosaurus": "NN",
    "gigantosaurus": "NN",
    "sphenospondylus": "NN",
    "dinotyrannus": "NN",
    "rhabdodon": "NN",
    "kritosaurus": "NN",
    "lamplughsaura": "NN",
    "notohypsilophodon": "NN",
    "tsagantegia": "NN",
    "brontoraptor": "NN",
    "argyrosaurus": "NN",
    "lambeosaurus": "NN",
    "heterosaurus": "NN",
    "tazoudasaurus": "NN",
    "valdoraptor": "NN",
    "microhadrosaurus": "NN",
    "pycnonemosaurus": "NN",
    "manidens": "NN",
    "coelophysis": "NN",
    "hulsanpes": "NN",
    "losillasaurus": "NN",
    "polacanthoides": "NN",
    "lanzhousaurus": "NN",
    "walgettosuchus": "NN",
    "sauroniops": "NN",
    "magulodon": "NN",
    "pneumatoraptor": "NN",
    "altispinax": "NN",
    "alnashetri": "NN",
    "hoplitosaurus": "NN",
    "rahiolisaurus": "NN",
    "luanpingosaurus": "NN",
    "abrosaurus": "NN",
    "palaeosaurus": "NN",
    "iguanoides": "NN",
    "abydosaurus": "NN",
    "riodevasaurus": "NN",
    "stormbergia": "NN",
    "bihariosaurus": "NN",
    "yuanmousaurus": "NN",
    "sphenosuchus": "NN",
    "dashanpusaurus": "NN",
    "crocodilia": "NN",
    "enigmosaurus": "NN",
    "montanoceratops": "NN",
    "frenguellisaurus": "NN",
    "segnosaurus": "NN",
    "kryptops": "NN",
    "labocania": "NN",
    "sinocalliopteryx": "NN",
    "dromiceiomimus": "NN",
    "isisaurus": "NN",
    "archaeornithoides": "NN",
    "deinonychus": "NN",
    "allosaurus": "NN",
    "stephanosaurus": "NN",
    "sinornithoides": "NN",
    "incisivosaurus": "NN",
    "ornitholestes": "NN",
    "ankylosaurus": "NN",
    "plateosaurus": "NN",
    "shidaisaurus": "NN",
    "platyceratops": "NN",
    "agnosphitys": "NN",
    "changdusaurus": "NN",
    "nothosaur": "NN",
    "orthogoniosaurus": "NN",
    "titanoceratops": "NN",
    "dysganus": "NN",
    "lamaceratops": "NN",
    "helioceratops": "NN",
    "nanyangosaurus": "NN",
    "khaan": "NN",
    "cryptodraco": "NN",
    "chasmosaurus": "NN",
    "rileyasuchus": "NN",
    "aeolosaurus": "NN",
    "yizhousaurus": "NN",
    "echinodon": "NN",
    "omnivoropteryx": "NN",
    "lengosaurus": "NN",
    "megadactylus": "NN",
    "mamenchisaurus": "NN",
    "notoceratops": "NN",
    "pachysaurus": "NN",
    "tianzhenosaurus": "NN",
    "zhuchengceratops": "NN",
    "tyreophorus": "NN",
    "nedcolbertia": "NN",
    "shixinggia": "NN",
    "jeholosaurus": "NN",
    "ornithosuchus": "NN",
    "veterupristisaurus": "NN",
    "rayososaurus": "NN",
    "velafrons": "NN",
    "lapparentosaurus": "NN",
    "seismosaurus": "NN",
    "tsuchikurasaurus": "NN",
    "styracosaurus": "NN",
    "dilophosaurus": "NN",
    "gasparinisaura": "NN",
    "xiaotingia": "NN",
    "dromaeosaurus": "NN",
    "scansoriopteryx": "NN",
    "eurolimnornis": "NN",
    "proterosuchid": "NN",
    "nipponosaurus": "NN",
    "brachiosaurus": "NN",
    "vitaridrinda": "NN",
    "mantellodon": "NN",
    "sphaerotholus": "NN",
    "shuosaurus": "NN",
    "koutalisaurus": "NN",
    "cardiodon": "NN",
    "yixianosaurus": "NN",
    "jurassosaurus": "NN",
    "jiutaisaurus": "NN",
    "gryphognathus": "NN",
    "archaeornithomimus": "NN",
    "griphornis": "NN",
    "szechuanosaurus": "NN",
    "pneumatoarthrus": "NN",
    "basutodon": "NN",
    "aletopelta": "NN",
    "tendaguria": "NN",
    "riojasaurus": "NN",
    "creosaurus": "NN",
    "harpymimus": "NN",
    "huaxiagnathus": "NN",
    "carnotaurus": "NN",
    "beipiaosaurus": "NN",
    "teratophoneus": "NN",
    "cedarosaurus": "NN",
    "omosaurus": "NN",
    "wyleyia": "NN",
    "aachenosaurus": "NN",
    "atlantosaurus": "NN",
    "bilbeyhallorum": "NN",
    "balochisaurus": "NN",
    "ouranosaurus": "NN",
    "fukuititan": "NN",
    "sarcolestes": "NN",
    "alocodon": "NN",
    "amphisaurus": "NN",
    "lametasaurus": "NN",
    "raptorex": "NN",
    "sinosaurus": "NN",
    "doratodon": "NN",
    "ankistrodon": "NN",
    "chuanjiesaurus": "NN",
    "parasaurolophus": "NN",
    "albertonykus": "NN",
    "efraasia": "NN",
    "alaskacephale": "NN",
    "torilion": "NN",
    "rapator": "NN",
    "sauroplites": "NN",
    "thecocoelurus": "NN",
    "lirainosaurus": "NN",
    "xixiasaurus": "NN",
    "conchoraptor": "NN",
    "paralititan": "NN",
    "arcusaurus": "NN",
    "becklespinax": "NN",
    "thecodontosaurus": "NN",
    "taveirosaurus": "NN",
    "daemonosaurus": "NN",
    "suuwassea": "NN",
    "albertosaurus": "NN",
    "nouerosaurus": "NN",
    "marshosaurus": "NN",
    "xuanhuasaurus": "NN",
    "algoasaurus": "NN",
    "capitalsaurus": "NN",
    "xenoposeidon": "NN",
    "cryolophosaurus": "NN",
    "gobipteryx": "NN",
    "stereosaurus": "NN",
    "nemegtia": "NN",
    "proyandusaurus": "NN",
    "thyreophora": "NN",
    "xiaosaurus": "NN",
    "tatankaceratops": "NN",
    "hanwulosaurus": "NN",
    "gryphoceratops": "NN",
    "linheraptor": "NN",
    "ornithomimoides": "NN",
    "edmontonia": "NN",
    "aerosteon": "NN",
    "ninghsiasaurus": "NN",
    "prenoceratops": "NN",
    "vagaceratops": "NN",
    "sinucerasaurus": "NN",
    "hongshanosaurus": "NN",
    "hexinlusaurus": "NN",
    "indosuchus": "NN",
    "moshisaurus": "NN",
    "alashansaurus": "NN",
    "berberosaurus": "NN",
    "elaltitan": "NN",
    "marisaurus": "NN",
    "rhoetosaurus": "NN",
    "tatankacephalus": "NN",
    "bienosaurus": "NN",
    "dracopelta": "NN",
    "chiayusaurus": "NN",
    "pseudosuchia": "NN",
    "sarcosaurus": "NN",
    "shuvuuia": "NN",
    "unaysaurus": "NN",
    "amtosaurus": "NN",
    "nqwebasaurus": "NN",
    "claorhynchus": "NN",
    "prolacertiform": "NN",
    "honghesaurus": "NN",
    "ugrosaurus": "NN",
    "aegyptosaurus": "NN",
    "gallimimus": "NN",
    "clasmodosaurus": "NN",
    "hypacrosaurus": "NN",
    "caenagnathus": "NN",
    "velocipes": "NN",
    "lessemsaurus": "NN",
    "agrosaurus": "NN",
    "paronychodon": "NN",
    "maleevosaurus": "NN",
    "leipsanosaurus": "NN",
    "clevelanotyrannus": "NN",
    "dynamosaurus": "NN",
    "megacervixosaurus": "NN",
    "protohadros": "NN",
    "polyonax": "NN",
    "daxiatitan": "NN",
    "spondylosoma": "NN",
    "ichthyovenator": "NN",
    "demandasaurus": "NN",
    "dimodosaurus": "NN",
    "torvosaurus": "NN",
    "gwyneddosaurus": "NN",
    "cystosaurus": "NN",
    "irritator": "NN",
    "zanclodon": "NN",
    "rugops": "NN",
    "ignavusaurus": "NN",
    "chinshakiangosaurus": "NN",
    "zhejiangosaurus": "NN",
    "pachyrhinosaurus": "NN",
    "stenotholus": "NN",
    "iuticosaurus": "NN",
    "tyrannotitan": "NN",
    "xixianykus": "NN",
    "palaeopteryx": "NN",
    "vitakridrinda": "NN",
    "planicoxa": "NN",
    "jianchangosaurus": "NN",
    "sinovenator": "NN",
    "ohmdenosaurus": "NN",
    "protecovasaurus": "NN",
    "eoceratops": "NN",
    "laevisuchus": "NN",
    "cumnoria": "NN",
    "ratchasimasaurus": "NN",
    "elaphrosaurus": "NN",
    "dracovenator": "NN",
    "abelisaurus": "NN",
    "sangonghesaurus": "NN",
    "austrocheirus": "NN",
    "calamosaurus": "NN",
    "vectensia": "NN",
    "elosaurus": "NN",
    "termatosaurus": "NN",
    "pleuropeltus": "NN",
    "chubutisaurus": "NN",
    "macrophalangia": "NN",
    "futalongkosaurus": "NN",
    "acristavus": "NN",
    "wintonotitan": "NN",
    "diclonius": "NN",
    "nanosaurus": "NN",
    "tonganosaurus": "NN",
    "tarascosaurus": "NN",
    "amphicoelicaudia": "NN",
    "achillesaurus": "NN",
    "delapparentia": "NN",
    "argentinosaurus": "NN",
    "sulaimansaurus": "NN",
    "koparion": "NN",
    "brachytrachelopan": "NN",
    "bakesaurus": "NN",
    "rahona": "NN",
    "oryctodromeus": "NN",
    "campylodon": "NN",
    "stygivenator": "NN",
    "wangonisaurus": "NN",
    "genyodectes": "NN",
    "acrocanthosaurus": "NN",
    "danubiosaurus": "NN",
    "deltadromeus": "NN",
    "rileya": "NN",
    "borealosaurus": "NN",
    "rioarribasaurus": "NN",
    "gondwanatitan": "NN",
    "lophorhothon": "NN",
    "talenkauen": "NN",
    "diracodon": "NN",
    "nanshiungosaurus": "NN",
    "bradycneme": "NN",
    "ferganocephale": "NN",
    "cheneosaurus": "NN",
    "wulagasaurus": "NN",
    "tanystrosuchus": "NN",
    "comahuesaurus": "NN",
    "actiosaurus": "NN",
    "jiangjunmiaosaurus": "NN",
    "xinjiangovenator": "NN",
    "gadolosaurus": "NN",
    "clarencea": "NN",
    "avemetatarsalia": "NN",
    "dakotadon": "NN",
    "diapsid": "NN",
    "albinykus": "NN",
    "pectinodon": "NN",
    "protorosaurus": "NN",
    "ginnareemimus": "NN",
    "doryphorosaurus": "NN",
    "dalianraptor": "NN",
    "megapnosaurus": "NN",
    "scelidosaurus": "NN",
    "metriorhynchid": "NN",
    "piatnitzkysaurus": "NN",
    "haplocanthosaurus": "NN",
    "phytosaur": "NN",
    "manospondylus": "NN",
    "gansutitan": "NN",
    "neovenator": "NN",
    "brasileosaurus": "NN",
    "judiceratops": "NN",
    "khetranisaurus": "NN",
    "proceratosaurus": "NN",
    "zatomus": "NN",
    "ceratosaurus": "NN",
    "unescoceratops": "NN",
    "telmatosaurus": "NN",
    "segisaurus": "NN",
    "pachyspondylus": "NN",
    "caseosaurus": "NN",
    "ultrasauros": "NN",
    "dongbeititan": "NN",
    "galvesaurus": "NN",
    "crocodylomorph": "NN",
    "ephoenosaurus": "NN",
    "crosbysaurus": "NN",
    "coelosaurus": "NN",
    "unenlagia": "NN",
    "strenusaurus": "NN",
    "concavenator": "NN",
    "fukuiraptor": "NN",
    "camarasaurus": "NN",
    "iliosuchus": "NN",
    "huayangosaurus": "NN",
    "kileskus": "NN",
    "clepsysaurus": "NN",
    "richardoestesia": "NN",
    "sphenosaurus": "NN",
    "scutellosaurus": "NN",
    "garudimimus": "NN",
    "hexing": "NN|VBG",
    "nanningosaurus": "NN",
    "sonorasaurus": "NN",
    "pradhania": "NN",
    "orosaurus": "NN",
    "andesaurus": "NN",
    "genusaurus": "NN",
    "huxleysaurus": "NN",
    "elopteryx": "NN",
    "alectrosaurus": "NN",
    "tecovasaurus": "NN",
    "parksosaurus": "NN",
    "paranthodon": "NN",
    "airakoraptor": "NN",
    "jobaria": "NN",
    "ichabodcraniosaurus": "NN",
    "muyelensaurus": "NN",
    "sacisaurus": "NN",
    "deinodon": "NN",
    "patricosaurus": "NN",
    "maleevus": "NN",
    "tylocephale": "NN",
    "sugiyamasaurus": "NN",
    "nodosaurus": "NN",
    "aliwalia": "NN",
    "kerberosaurus": "NN",
    "kazaklambia": "NN",
    "eolambia": "NN",
    "dongyangosaurus": "NN",
    "citipati": "NN",
    "euskelosaurus": "NN",
    "trigonosaurus": "NN",
    "epidexipteryx": "NN",
    "dolichosuchus": "NN",
    "walkeria": "NN",
    "labrosaurus": "NN",
    "condorraptor": "NN",
    "tichosteus": "NN",
    "uberabatitan": "NN",
    "magnosaurus": "NN",
    "janenschia": "NN",
    "anasazisaurus": "NN",
    "macrogryphosaurus": "NN",
    "erliansaurus": "NN",
    "ornithotarsus": "NN",
    "bayosaurus": "NN",
    "santanaraptor": "NN",
    "zhuchengtyrannus": "NN",
    "lukousaurus": "NN",
    "sauroposeidon": "NN",
    "ampelosaurus": "NN",
    "pampadromaeus": "NN",
    "erectopus": "NN",
    "glyptodontopelta": "NN",
    "leaellynasaura": "NN",
    "magyarosaurus": "NN",
    "postosuchus": "NN",
    "szechuanoraptor": "NN",
    "yubasaurus": "NN",
    "brachyrophus": "NN",
    "cionodon": "NN",
    "sellacoxa": "NN",
    "elachistosuchus": "NN",
    "shuvosaurus": "NN",
    "sauraechmodon": "NN",
    "microdontosaurus": "NN",
    "carcharodontosaurus": "NN",
    "brachylophosaurus": "NN",
    "theropoda": "NN",
    "tapinocephalus": "NN",
    "changchunsaurus": "NN",
    "cladeiodon": "NN",
    "pareiasaurus": "NN",
    "heishansaurus": "NN",
    "aristosuchus": "NN",
    "protiguanodon": "NN",
    "brohisaurus": "NN",
    "eupodosaurus": "NN",
    "datousaurus": "NN",
    "giraffatitan": "NN",
    "jaklapallisaurus": "NN",
    "tugulusaurus": "NN",
    "compsognathus": "NN",
    "ilokelesia": "NN",
    "revueltoraptor": "NN",
    "tuojiangosaurus": "NN",
    "huaxiasaurus": "NN",
    "palaeocursornis": "NN",
    "onychosaurus": "NN",
    "ceratonykus": "NN",
    "amargatitanis": "NN",
    "albalophosaurus": "NN",
    "byronosaurus": "NN",
    "cryptovolans": "NN",
    "shenzhousaurus": "NN",
    "rapetosaurus": "NN",
    "altirhinus": "NN",
    "sanjuansaurus": "NN",
    "dysalotosaurus": "NN",
    "archaeopteryx": "NN",
    "liliensternus": "NN",
    "beelemodon": "NN",
    "xuanhuaceratops": "NN",
    "protrachodon": "NN",
    "caenagnathasia": "NN",
    "willinakaqe": "NN",
    "atacamatitan": "NN",
    "lourinhanosaurus": "NN",
    "yaverlandia": "NN",
    "ligomasaurus": "NN",
    "suchomimus": "NN",
    "brasilotitan": "NN",
    "jenghizkhan": "NN",
    "aggiosaurus": "NN",
    "elrhazosaurus": "NN",
    "yingshanosaurus": "NN",
    "australovenator": "NN",
    "ichthyornis": "NN",
    "valdosaurus": "NN",
    "yuanmouraptor": "NN",
    "prolacertiformes": "NN",
    "tarchia": "NN",
    "hesperosaurus": "NN",
    "azendohsaurus": "NN",
    "eucentrosaurus": "NN",
    "scipionyx": "NN",
    "petrobrasaurus": "NN",
    "hudiesaurus": "NN",
    "sinornithosaurus": "NN",
    "shuangmiaosaurus": "NN",
    "tianchisaurus": "NN",
    "araucanoraptor": "NN",
    "poposaurus": "NN",
    "pararhabdodon": "NN",
    "osmakasaurus": "NN",
    "siamotyrannus": "NN",
    "galveosaurus": "NN",
    "yangchuanosaurus": "NN",
    "microcephale": "NN",
    "mirischia": "NN",
    "probactrosaurus": "NN",
    "yunxiansaurus": "NN",
    "enantiornithine": "NN",
    "cedrorestes": "NN",
    "chaoyangsaurus": "NN",
    "loricatosaurus": "NN",
    "stygimoloch": "NN",
    "venaticosuchus": "NN",
    "gorgosaurus": "NN",
    "anchiornis": "NN",
    "ischisaurus": "NN",
    "bactrosaurus": "NN",
    "quilmesaurus": "NN",
    "fukuisaurus": "NN",
    "stegosaurus": "NN",
    "griphosaurus": "NN",
    "graciliceratops": "NN",
    "oligosaurus": "NN",
    "baotianmansaurus": "NN",
    "eocursor": "NN",
    "macelognathus": "NN",
    "arctosaurus": "NN",
    "streptospondylus": "NN",
    "texasetes": "NN",
    "dianchungosaurus": "NN",
    "nomingia": "NN",
    "sinornithomimus": "NN",
    "hierosaurus": "NN",
    "abdallahsaurus": "NN",
    "jaxartosaurus": "NN",
    "sanchusaurus": "NN",
    "tarbosaurus": "NN",
    "sinocoelurus": "NN",
    "timimus": "NN",
    "herrerasaurus": "NN",
    "giganotosaurus": "NN",
    "tsaagan": "NN",
    "anthracothere": "NN",
    "yezosaurus": "NN",
    "chihuahuasaurus": "NN",
    "cathartesaura": "NN",
    "domeykosaurus": "NN",
    "loncosaurus": "NN",
    "archaeoceratops": "NN",
    "udanoceratops": "NN",
    "gojirasaurus": "NN",
    "dongyangopelta": "NN",
    "duriatitan": "NN",
    "chondrosteus": "NN",
    "arkanosaurus": "NN",
    "lusotitan": "NN",
    "diceratus": "NN",
    "nuoersaurus": "NN",
    "wadhurstia": "NN",
    "sauropelta": "NN",
    "ultrasaurus": "NN",
    "indosaurus": "NN",
    "kotasaurus": "NN",
    "urbacodon": "NN",
    "zhongyuansaurus": "NN",
    "tanystropheus": "NN",
    "mifunesaurus": "NN",
    "pegomastax": "NN",
    "gobititan": "NN",
    "lusitanosaurus": "NN",
    "caulodon": "NN",
    "baryonyx": "NN",
    "tataouinea": "NN",
    "longosaurus": "NN",
    "pareiasaur": "NN",
    "leshansaurus": "NN",
    "machairasaurus": "NN",
    "colossosaurus": "NN",
    "arstanosaurus": "NN",
    "wakinosaurus": "NN",
    "lanasaurus": "NN",
    "dryosaurus": "NN",
    "sterrholophus": "NN",
    "dachungosaurus": "NN",
    "chialingosaurus": "NN",
    "jiangjunosaurus": "NN",
    "klamelisaurus": "NN",
    "rauisuchia": "NN",
    "caudipteryx": "NN",
    "jinfengopteryx": "NN",
    "leptoceratops": "NN",
    "sinotyrannus": "NN",
    "poekilopleuron": "NN",
    "gobisaurus": "NN",
    "angaturama": "NN",
    "pterosaur": "NN",
    "aetonyx": "NN",
    "angolatitan": "NN",
    "tanius": "NN",
    "therizinosaurus": "NN",
    "tastavinsaurus": "NN",
    "lancangosaurus": "NN",
    "dinheirosaurus": "NN",
    "brachypodosaurus": "NN",
    "gobiceratops": "NN",
    "fruitadens": "NN",
    "monkonosaurus": "NN",
    "spinostropheus": "NN",
    "cristatusaurus": "NN",
    "bolong": "NN",
    "rebbachisaurus": "NN",
    "monolophosaurus": "NN",
    "alioramus": "NN",
    "hypsirophus": "NN",
    "olorotitan": "NN",
    "euoplocephalus": "NN",
    "juravenator": "NN",
    "euhelopus": "NN",
    "epanterias": "NN",
    "lancanjiangosaurus": "NN",
    "xianshanosaurus": "NN",
    "ekrixinatosaurus": "NN",
    "achillobator": "NN",
    "hesperonychus": "NN",
    "pachysauriscus": "NN",
    "ruyangosaurus": "NN",
    "gongbusaurus": "NN",
    "teratosaurus": "NN",
    "ruehleia": "NN",
    "yaleosaurus": "NN",
    "canardia": "NN",
    "brachyceratops": "NN",
    "pantydraco": "NN",
    "afrovenator": "NN",
    "mendozasaurus": "NN",
    "pedopenna": "NN",
    "blasisaurus": "NN",
    "astrodon": "NN",
    "mandschurosaurus": "NN",
    "drusilasaura": "NN",
    "libycosaurus": "NN",
    "eucamerotus": "NN",
    "tonouchisaurus": "NN",
    "didanodon": "NN",
    "proplanicoxa": "NN",
    "kentrurosaurus": "NN",
    "trinisaura": "NN",
    "fusuisaurus": "NN",
    "kentrosaurus": "NN",
    "eocarcharia": "NN",
    "albertaceratops": "NN",
    "rutellum": "NN",
    "saltasaurus": "NN",
    "majungatholus": "NN",
    "mussaurus": "NN",
    "zigongosaurus": "NN",
    "euacanthus": "NN",
    "craspedodon": "NN",
    "ingenia": "NN",
    "priodontognathus": "NN",
    "rubeosaurus": "NN",
    "gyposaurus": "NN",
    "utahraptor": "NN",
    "pukyongosaurus": "NN",
    "coelurosaur": "NN",
    "silvisaurus": "NN",
    "troodon": "NN",
    "jixiangornis": "NN",
    "pawpawsaurus": "NN",
    "oohkotokia": "NN",
    "hadrosauravus": "NN",
    "shaochilong": "NN",
    "ponerosteus": "NN",
    "ischyrosaurus": "NN",
    "hadrosaurus": "NN",
    "gryposaurus": "NN",
    "spinops": "NN",
    "peloroplites": "NN",
    "daspletosaurus": "NN",
    "dravidosaurus": "NN",
    "hagryphus": "NN",
    "sphenosuchia": "NN",
    "ligabueino": "NN",
    "mymoorapelta": "NN",
    "tatisaurus": "NN",
    "trimucrodon": "NN",
    "cathetosaurus": "NN",
    "teinurosaurus": "NN",
    "antetonitrus": "NN",
    "rajasaurus": "NN",
    "fabrosaurus": "NN",
    "angloposeidon": "NN",
    "levnesovia": "NN",
    "mongolosaurus": "NN",
    "asiaceratops": "NN",
    "avipes": "NN",
    "turiasaurus": "NN",
    "eucnemesaurus": "NN",
    "otogosaurus": "NN",
    "martharaptor": "NN",
    "tsintaosaurus": "NN",
    "hypsilophodon": "NN",
    "gigantoscelus": "NN",
    "palaeosauriscus": "NN",
    "hironosaurus": "NN",
    "paludititan": "NN",
    "anatosaurus": "NN",
    "kaatedocus": "NN",
    "linhevenator": "NN",
    "pellegrinisaurus": "NN",
    "sanpasaurus": "NN",
    "lapampasaurus": "NN",
    "inosaurus": "NN",
    "eomamenchisaurus": "NN",
    "liassaurus": "NN",
    "jinzhousaurus": "NN",
    "equijubus": "NN",
    "dryptosaurus": "NN",
    "nopcsaspondylus": "NN",
    "changtusaurus": "NN",
    "tapuiasaurus": "NN",
    "diabloceratops": "NN",
    "dakosaurus": "NN",
    "chassternbergia": "NN",
    "limaysaurus": "NN",
    "huaxiaosaurus": "NN",
    "minotaurasaurus": "NN",
    "uteodon": "NN",
    "micropachycephalosaurus": "NN",
    "avisaurus": "NN",
    "siamodon": "NN",
    "ornithomerus": "NN",
    "eodromaeus": "NN",
    "turanoceratops": "NN",
    "nambalia": "NN",
    "cruxicheiros": "NN",
    "riojasuchus": "NN",
    "stokesosaurus": "NN",
    "amygdalodon": "NN",
    "linhenykus": "NN",
    "heterodontosaurus": "NN",
    "dromicosaurus": "NN",
    "bahariasaurus": "NN",
    "xiongguanlong": "NN",
    "jeyawati": "NN",
    "polyodontosaurus": "NN",
    "morinosaurus": "NN",
    "campylodoniscus": "NN",
    "aralosaurus": "NN",
    "pentaceratops": "NN",
    "squalodon": "NN",
    "saurornitholestes": "NN",
    "yandusaurus": "NN",
    "bruhathkayosaurus": "NN",
    "kinnareemimus": "NN",
    "tornieria": "NN",
    "scaphonyx": "NN",
    "barosaurus": "NN",
    "titanosaurus": "NN",
    "volkheimeria": "NN",
    "brontomerus": "NN",
    "megalosaurus": "NN",
    "rhopalodon": "NN",
    "huanghetitan": "NN",
    "ngexisaurus": "NN",
    "jiangshanosaurus": "NN",
    "archosaur": "NN",
    "sciurumimus": "NN",
    "histriasaurus": "NN",
    "spinosaurus": "NN",
    "eoraptor": "NN",
    "phaedrolosaurus": "NN",
    "betasuchus": "NN",
    "belodon": "NN",
    "bagaraatan": "NN",
    "protognathus": "NN",
    "marmarospondylus": "NN",
    "darwinsaurus": "NN",
    "apatodon": "NN",
    "eotyrannus": "NN",
    "struthiomimus": "NN",
    "pelecanimimus": "NN",
    "gideonmantellia": "NN",
    "appalachiosaurus": "NN",
    "edmontosaurus": "NN",
    "acracanthus": "NN",
    "machimosaurus": "NN",
    "razanandrongobe": "NN",
    "uintasaurus": "NN",
    "magnapaulia": "NN",
    "moabosaurus": "NN",
    "ojoceratops": "NN",
    "yaxartosaurus": "NN",
    "macroscelosaurus": "NN",
    "aniksosaurus": "NN",
    "guanlong": "NN",
    "futabasaurus": "NN",
    "proceratops": "NN",
    "xuwulong": "NN",
    "ricardoestesia": "NN",
    "symphyrophus": "NN",
    "pleurocoelus": "NN",
    "damalasaurus": "NN",
    "naashoibitosaurus": "NN",
    "panphagia": "NN",
    "graciliraptor": "NN",
    "ornithoides": "NN",
    "futalognkosaurus": "NN",
    "pachycephalosaurus": "NN",
    "plesiosaur": "NN",
    "astrophocaudia": "NN",
    "gilmoreosaurus": "NN",
    "diamantinasaurus": "NN",
    "eucercosaurus": "NN",
    "gavinosaurus": "NN",
    "suchosaurus": "NN",
    "eugongbusaurus": "NN",
    "camelotia": "NN",
    "shanxia": "NN",
    "antarctopelta": "NN",
    "traukutitan": "NN",
    "saurornithoides": "NN",
    "hippodraco": "NN",
    "nteregosaurus": "NN",
    "sauropodus": "NN",
    "coelurosauravus": "NN",
    "stereocephalus": "NN",
    "adeopapposaurus": "NN",
    "ctenosauriscid": "NN",
    "paraiguanodon": "NN",
    "eosinopteryx": "NN",
    "archaeornis": "NN",
    "bambiraptor": "NN",
    "isanosaurus": "NN",
    "stegosaurides": "NN",
    "avaceratops": "NN",
    "gannansaurus": "NN",
    "triceratops": "NN",
    "paluxysaurus": "NN",
    "denversaurus": "NN",
    "bathygnathus": "NN",
    "katsuyamasaurus": "NN",
    "barsboldia": "NN",
    "mojoceratops": "NN",
    "eucoelophysis": "NN",
    "microraptor": "NN",
    "calamospondylus": "NN",
    "fusinasus": "NN",
    "agathaumas": "NN",
    "protoceratops": "NN",
    "eustreptospondylus": "NN",
    "macrurosaurus": "NN",
    "atlascopcosaurus": "NN",
    "claosaurus": "NN",
    "avicephala": "NN",
    "tochisaurus": "NN",
    "protognathosaurus": "NN",
    "kakuru": "NN",
    "neuquensaurus": "NN",
    "chilantaisaurus": "NN",
    "chindesaurus": "NN",
    "parvicursor": "NN",
    "phuwiangosaurus": "NN",
    "saltriosaurus": "NN",
    "edmarka": "NN",
    "chingkankousaurus": "NN",
    "bicentenaria": "NN",
    "kemkemia": "NN",
    "microceratus": "NN",
    "chaoyangosaurus": "NN",
    "atlasaurus": "NN",
    "eotriceratops": "NN",
    "neimongosaurus": "NN",
    "unicerosaurus": "NN",
    "qinlingosaurus": "NN",
    "laosaurus": "NN",
    "craterosaurus": "NN",
    "dacentrurus": "NN",
    "geminiraptor": "NN",
    "erlikosaurus": "NN",
    "bonitasaura": "NN",
    "arrhinoceratops": "NN",
    "triassolestes": "NN",
    "hisanohamasaurus": "NN",
    "oplosaurus": "NN",
    "supersaurus": "NN",
    "achelousaurus": "NN",
    "rinconsaurus": "NN",
    "serendipaceratops": "NN",
    "eoabelisaurus": "NN",
    "dystrophaeus": "NN",
    "thotobolosaurus": "NN",
    "blancocerosaurus": "NN",
    "cetiosaurus": "NN",
    "roccosaurus": "NN",
    "chondrosteosaurus": "NN",
    "fulengia": "NN",
    "mohammadisaurus": "NN",
    "halticosaurus": "NN",
    "lancangjiangosaurus": "NN",
    "teyuwasu": "NN",
    "breviceratops": "NN",
    "rhodanosaurus": "NN",
    "metriacanthosaurus": "NN",
    "overosaurus": "NN",
    "newtonsaurus": "NN",
    "gracilisuchus": "NN",
    "pseudolagosuchus": "NN",
    "sellosaurus": "NN",
    "ajkaceratops": "NN",
    "lufengosaurus": "NN",
    "yamaceratops": "NN",
    "bagaceratops": "NN",
    "apatosaurus": "NN",
    "khateranisaurus": "NN",
    "batyrosaurus": "NN",
    "cinizasaurus": "NN",
    "tanycolagreus": "NN",
    "bainoceratops": "NN",
    "silesaurid": "NN",
    "byranjaffia": "NN",
    "shamosaurus": "NN",
    "austrosaurus": "NN",
    "amtocephale": "NN",
    "cylindricodon": "NN",
    "huabeisaurus": "NN",
    "regnosaurus": "NN",
    "callovosaurus": "NN",
    "heptasteornis": "NN",
    "gryponyx": "NN",
    "tylosteus": "NN",
    "gargoyleosaurus": "NN",
    "kundurosaurus": "NN",
    "mononykus": "NN",
    "secernosaurus": "NN",
    "puertasaurus": "NN",
    "bellusaurus": "NN",
    "archosauriform": "NN",
    "qiupalong": "NN",
    "alamosaurus": "NN",
    "dystylosaurus": "NN",
    "tethyshadros": "NN",
    "selimanosaurus": "NN",
    "albertadromeus": "NN",
    "karongasaurus": "NN",
    "kaijiangosaurus": "NN",
    "microvenator": "NN",
    "amphicoelias": "NN",
    "eshanosaurus": "NN",
    "salimosaurus": "NN",
    "avimimus": "NN",
    "elvisaurus": "NN",
    "bonatitan": "NN",
    "procheneosaurus": "NN",
    "tetragonosaurus": "NN",
    "oshanosaurus": "NN",
    "jurapteryx": "NN",
    "paleosaurus": "NN",
    "dinosauromorph": "NN",
    "plateosauravus": "NN",
    "hungarosaurus": "NN",
    "chromogisaurus": "NN",
    "anoplosaurus": "NN",
    "amargasaurus": "NN",
    "merosaurus": "NN",
    "alwalkeria": "NN",
    "macrodontophion": "NN",
    "shanshanosaurus": "NN",
    "gongxianosaurus": "NN",
    "vectisaurus": "NN",
    "kitadanisaurus": "NN",
    "agustinia": "NN",
    "sulaimanisaurus": "NN",
    "thescelosaurus": "NN",
    "zephyrosaurus": "NN",
    "arenysaurus": "NN",
    "patagosaurus": "NN",
    "laornis": "NN",
    "protoavis": "NN",
    "tenantosaurus": "NN",
    "yinlong": "NN",
    "bravoceratops": "NN",
    "saurophaganax": "NN",
    "coeluroides": "NN",
    "seitaad": "NN",
    "trialestes": "NN",
    "glishades": "NN",
    "cedarpelta": "NN",
    "rinchenia": "NN",
    "lesothosaurus": "NN",
    "dromaeosaur": "NN",
    "nuoerosaurus": "NN",
    "hallopus": "NN",
    "yanornis": "NN",
    "tomodon": "NN",
    "juratyrant": "NN",
    "shanyangosaurus": "NN",
    "deuterosaurus": "NN",
    "coelurus": "NN",
    "zizhongosaurus": "NN",
    "hypselospinus": "NN",
    "austroraptor": "NN",
    "brachytaenius": "NN",
    "orcomimus": "NN",
    "acrotholus": "NN",
    "chirostenotes": "NN",
    "emausaurus": "NN",
    "nigersaurus": "NN",
    "animantarx": "NN",
    "luanchuanraptor": "NN",
    "zuniceratops": "NN",
    "wannanosaurus": "NN",
    "abrictosaurus": "NN",
    "heyuannia": "NN",
    "synapsid": "NN",
    "struthiosaurus": "NN",
    "yunnanosaurus": "NN",
    "noasaurus": "NN",
    "tyrannosaurid": "NN",
    "yibinosaurus": "NN",
    "thespesius": "NN",
    "priconodon": "NN",
    "marasuchus": "NN",
    "anchisaurus": "NN",
    "iguanacolossus": "NN",
    "patagonykus": "NN",
    "haplocanthus": "NN",
    "corythosaurus": "NN",
    "limusaurus": "NN",
    "coloradisaurus": "NN",
    "similicaudipteryx": "NN",
    "leptospondylus": "NN",
    "aviatyrannis": "NN",
    "hortalotarsus": "NN",
    "tienshanosaurus": "NN",
    "pamparaptor": "NN",
    "peishansaurus": "NN",
    "succinodon": "NN",
    "dinosaurus": "NN",
    "rachitrema": "NN",
    "dachongosaurus": "NN",
    "therapsida": "NN",
    "saurolophus": "NN",
    "pekinosaurus": "NN",
    "skorpiovenator": "NN",
    "microsaurops": "NN",
    "ammosaurus": "NN",
    "ichthyosaur": "NN",
    "antarctosaurus": "NN",
    "liaoningosaurus": "NN",
    "nothronychus": "NN",
    "spinosuchus": "NN",
    "iguanosaurus": "NN",
    "anchiceratops": "NN",
    "orkoraptor": "NN",
    "microcoelus": "NN",
    "xuanhanosaurus": "NN",
    "geranosaurus": "NN",
    "goyocephale": "NN",
    "ankylosauria": "NN",
    "dahalokely": "NN",
    "daptosaurus": "NN",
    "loricosaurus": "NN",
    "australodocus": "NN",
    "pterospondylus": "NN",
    "gigantoraptor": "NN",
    "hylaeosaurus": "NN",
    "caudocoelus": "NN",
    "opisthocoelicaudia": "NN",
    "rhadinosaurus": "NN",
    "ligabuesaurus": "NN",
    "aragosaurus": "NN",
    "rocasaurus": "NN",
    "parrosaurus": "NN",
    "sahaliyania": "NN",
    "agilisaurus": "NN",
    "orthomerus": "NN",
    "penelopognathus": "NN",
    "liaoceratops": "NN",
    "dyoplosaurus": "NN",
    "stenonychosaurus": "NN",
    "walkersaurus": "NN",
    "narambuenatitan": "NN",
    "pitekunsaurus": "NN",
    "camarillasaurus": "NN",
    "procolophonid": "NN",
    "epichirostenotes": "NN",
    "beishanlong": "NN",
    "gasosaurus": "NN",
    "coronosaurus": "NN",
    "zapalasaurus": "NN",
    "sauraechinodon": "NN",
    "glacialisaurus": "NN",
    "therapsid": "NN",
    "gravisaurus": "NN",
    "lewisuchus": "NN",
    "jainosaurus": "NN",
    "centemodon": "NN",
    "arkansaurus": "NN",
    "einiosaurus": "NN",
    "palaeoscincus": "NN",
    "cerasinops": "NN",
    "microceratops": "NN",
    "pteropelyx": "NN",
    "sigilmassasaurus": "NN",
    "staurikosaurus": "NN",
    "pyroraptor": "NN",
    "ornithodesmus": "NN",
    "asylosaurus": "NN",
    "anodontosaurus": "NN",
    "siluosaurus": "NN",
    "carnosauria": "NN",
    "qantassaurus": "NN",
    "ornithomimus": "NN",
    "dinodocus": "NN",
    "chuxiongosaurus": "NN",
    "anserimimus": "NN",
    "camptonotus": "NN",
    "lagosuchus": "NN",
    "anatotitan": "NN",
    "dryptosauroides": "NN",
    "silesaurus": "NN",
    "pachysaurops": "NN",
    "saichania": "NN",
    "procerosaurus": "NN",
    "lucianosaurus": "NN",
    "koreasaurus": "NN",
    "lurdusaurus": "NN",
    "piveteausaurus": "NN",
    "jeholornis": "NN",
    "angulomastacator": "NN",
    "hoplosaurus": "NN",
    "saltopus": "NN",
    "shanag": "NN",
    "homalocephale": "NN",
    "torosaurus": "NN",
    "fenestrosaurus": "NN",
    "jubbulpuria": "NN",
    "mtotosaurus": "NN",
    "nemegtosaurus": "NN",
    "maiasaura": "NN",
    "yutyrannus": "NN",
    "ozraptor": "NN",
    "lariosaurus": "NN",
    "bugenasaura": "NN",
    "ornatotholus": "NN",
    "aardonyx": "NN",
    "herbstosaurus": "NN",
    "tianyuraptor": "NN",
    "diplodocus": "NN",
    "kosmoceratops": "NN",
    "muttaburrasaurus": "NN",
    "kagasaurus": "NN",
    "atsinganosaurus": "NN",
    "massospondylus": "NN",
    "utahceratops": "NN",
    "nanotyrannus": "NN",
    "qingxiusaurus": "NN",
    "avalonianus": "NN",
    "erketu": "NN",
    "fulgurotherium": "NN",
    "kayentavenator": "NN",
    "protarchaeopteryx": "NN",
    "chungkingosaurus": "NN",
    "krzyzanowskisaurus": "NN",
    "yimenosaurus": "NN",
    "aurornis": "NN",
    "ganzhousaurus": "NN",
    "pinacosaurus": "NN",
    "archosauromorph": "NN",
    "niobrarasaurus": "NN",
    "melanorosaurus": "NN",
    "baurutitan": "NN",
    "elmisaurus": "NN",
    "euronychodon": "NN",
    "tehuelchesaurus": "NN",
    "sinusonasus": "NN",
    "omeisaurus": "NN",
    "agujaceratops": "NN",
    "aucasaurus": "NN",
    "wulatelong": "NN",
    "stegopelta": "NN",
    "europasaurus": "NN",
    "alxasaurus": "NN",
    "stegosauroides": "NN",
    "tangvayosaurus": "NN",
    "pliosaur": "NN",
    "unquillosaurus": "NN",
    "xixiposaurus": "NN",
    "ornithopsis": "NN",
    "crataeomus": "NN",
    "madsenius": "NN",
    "diplotomodon": "NN",
    "kulceratops": "NN",
    "adamantisaurus": "NN",
    "nyororosaurus": "NN",
    "monoclonius": "NN",
    "kuszholia": "NN",
    "jintasaurus": "NN",
    "camptosaurus": "NN",
    "masiakasaurus": "NN",
    "parhabdodon": "NN",
    "prodeinodon": "NN",
    "saurophagus": "NN",
    "alvarezsaurus": "NN",
    "mantellisaurus": "NN",
    "aristosaurus": "NN",
    "suzhousaurus": "NN",
    "limnosaurus": "NN",
    "dromaeosauroides": "NN",
    "augustia": "NN",
    "spinosaurid": "NN",
    "othnielia": "NN",
    "thecospondylus": "NN",
    "cetacea": "NN",
    "medusaceratops": "NN",
    "zalmoxes": "NN",
    "koreaceratops": "NN",
    "syngonosaurus": "NN",
    "dicraeosaurus": "NN",
    "xenoceratops": "NN",
    "scleromochlus": "NN",
    "deinocheirus": "NN",
    "chuandongocoelurus": "NN",
    "itemirus": "NN",
    "phyllodon": "NN",
    "megaraptor": "NN",
    "philovenator": "NN",
    "ferganasaurus": "NN",
    "pelorosaurus": "NN",
    "nebulasaurus": "NN",
    "barilium": "NN",
    "nedoceratops": "NN",
    "acanthopholis": "NN",
    "nuthetes": "NN",
    "panoplosaurus": "NN",
    "quaesitosaurus": "NN",
    "archaeoraptor": "NN",
    "charonosaurus": "NN",
    "eureodon": "NN",
    "hanssuesia": "NN",
    "guaibasaurus": "NN",
    "camposaurus": "NN",
    "hylosaurus": "NN",
    "zapsalis": "NN",
    "bistahieversor": "NN",
    "erlicosaurus": "NN",
    "procompsognathus": "NN",
    "hypselosaurus": "NN",
    "prenocephale": "NN",
    "malarguesaurus": "NN",
    "tenontosaurus": "NN",
    "kittysaurus": "NN",
    "iguanodon": "NN",
    "palaeoctonus": "NN",
    "trachodon": "NN",
    "wyomingraptor": "NN",
    "huehuecanauhtlus": "NN",
    "theiophytalia": "NN",
    "nectosaurus": "NN",
    "scolosaurus": "NN",
    "pisanosaurus": "NN",
    "kunmingosaurus": "NN",
    "liubangosaurus": "NN",
    "malawisaurus": "NN",
    "pakisaurus": "NN",
    "carnosaur": "NN",
    "leonerasaurus": "NN",
    "oviraptor": "NN",
    "texacephale": "NN",
    "shantungosaurus": "NN",
    "zhuchengosaurus": "NN",
    "gripposaurus": "NN",
    "polacanthus": "NN",
    "xenotarsosaurus": "NN",
    "dinosauriform": "NN",
    "hypsibema": "NN",
    "podokesaurus": "NN",
    "sonidosaurus": "NN",
    "colepiocephale": "NN",
    "kelmayisaurus": "NN",
    "crichtonsaurus": "NN",
    "stegoceras": "NN",
    "borogovia": "NN",
    "lourinhasaurus": "NN",
    "picrodon": "NN",
    "mononychus": "NN",
    "bothriospondylus": "NN",
    "siamosaurus": "NN",
    "technosaurus": "NN",
    "theropod": "NN",
    "neosodon": "NN",
    "velociraptor": "NN",
    "eolosaurus": "NN",
    "archaeovolans": "NN",
    "chebsaurus": "NN",
    "compsosuchus": "NN",
    "othnielosaurus": "NN",
    "banji": "NN",
    "proiguanodon": "NN",
    "rahonavis": "NN",
    "majungasaurus": "NN",
    "nanotyrannosaurus": "NN",
    "bissektipelta": "NN",
    "revueltosaurus": "NN",
    "lexovisaurus": "NN",
    "antrodemus": "NN",
    "hikanodon": "NN",
    "tyrannosaurus": "NN",
    "barrosasaurus": "NN",
    "sinoceratops": "NN",
    "megadontosaurus": "NN",
    "sinosauropteryx": "NN",
    "heilongjiangosaurus": "NN",
    "maxakalisaurus": "NN",
    "jensenosaurus": "NN",
    "dandakosaurus": "NN",
    "therosaurus": "NN",
    "sarahsaurus": "NN",
    "hypselorhachis": "NN",
    "archaeodontosaurus": "NN",
    "gresslyosaurus": "NN",
    "stenopelix": "NN",
    "aaliyah": "NNP",
    "aaron": "NNP",
    "abby": "NNP",
    "abigail": "NNP",
    "abraham": "NNP",
    "adam": "NNP",
    "addison": "NNP",
    "adrian": "NNP",
    "adriana": "NNP",
    "adrianna": "NNP",
    "aidan": "NNP",
    "aiden": "NNP",
    "alan": "NNP",
    "alana": "NNP",
    "alejandro": "NNP",
    "alex": "NNP",
    "alexa": "NNP",
    "alexander": "NNP",
    "alexandra": "NNP",
    "alexandria": "NNP",
    "alexia": "NNP",
    "alexis": "NNP",
    "alicia": "NNP",
    "allison": "NNP",
    "alondra": "NNP",
    "alyssa": "NNP",
    "amanda": "NNP",
    "amelia": "NNP",
    "amy": "NNP",
    "ana": "NNP",
    "andrea": "NNP",
    "andres": "NNP",
    "andrew": "NNP",
    "angela": "NNP",
    "angelina": "NNP",
    "anna": "NNP",
    "anthony": "NNP",
    "antonio": "NNP",
    "ariana": "NNP",
    "arianna": "NNP",
    "ashley": "NNP",
    "ashlyn": "NNP",
    "ashton": "NNP",
    "aubrey": "NNP",
    "audrey": "NNP",
    "austin": "NNP",
    "ava": "NNP",
    "avery": "NNP",
    "ayden": "NNP",
    "bailey": "NNP",
    "benjamin": "NNP",
    "bianca": "NNP",
    "blake": "NNP",
    "braden": "NNP",
    "bradley": "NNP",
    "brady": "NNP",
    "brandon": "NNP",
    "brayden": "NNP",
    "breanna": "NNP",
    "brendan": "NNP",
    "brian": "NNP",
    "briana": "NNP",
    "brianna": "NNP",
    "brittany": "NNP",
    "brody": "NNP",
    "brooke": "NNP",
    "brooklyn": "NNP",
    "bryan": "NNP",
    "bryce": "NNP",
    "bryson": "NNP",
    "caden": "NNP",
    "caitlin": "NNP",
    "caitlyn": "NNP",
    "caleb": "NNP",
    "cameron": "NNP",
    "camila": "NNP",
    "carlos": "NNP",
    "caroline": "NNP",
    "carson": "NNP",
    "carter": "NNP",
    "cassandra": "NNP",
    "cassidy": "NNP",
    "catherine": "NNP",
    "cesar": "NNP",
    "charles": "NNP",
    "chelsea": "NNP",
    "cheyenne": "NNP",
    "chloe": "NNP",
    "christian": "NNP",
    "christina": "NNP",
    "christopher": "NNP",
    "claire": "NNP",
    "cody": "NNP",
    "colby": "NNP",
    "colin": "NNP",
    "collin": "NNP",
    "colton": "NNP",
    "conner": "NNP",
    "connor": "NNP",
    "cooper": "NNP",
    "courtney": "NNP",
    "cristian": "NNP",
    "dakota": "NNP",
    "dalton": "NNP",
    "damian": "NNP",
    "daniel": "NNP",
    "daniela": "NNP",
    "danielle": "NNP",
    "david": "NNP",
    "delaney": "NNP",
    "derek": "NNP",
    "devin": "NNP",
    "devon": "NNP",
    "diana": "NNP",
    "diego": "NNP",
    "dominic": "NNP",
    "donovan": "NNP",
    "dylan": "NNP",
    "edgar": "NNP",
    "eduardo": "NNP",
    "edward": "NNP",
    "edwin": "NNP",
    "eli": "NNP",
    "elias": "NNP",
    "elijah": "NNP",
    "elizabeth": "NNP",
    "ella": "NNP",
    "ellie": "NNP",
    "emily": "NNP",
    "emma": "NNP",
    "emmanuel": "NNP",
    "eric": "NNP",
    "erica": "NNP",
    "erick": "NNP",
    "erik": "NNP",
    "erin": "NNP",
    "ethan": "NNP",
    "evan": "NNP",
    "evelyn": "NNP",
    "fernando": "NNP",
    "francisco": "NNP",
    "gabriel": "NNP",
    "gabriela": "NNP",
    "gabriella": "NNP",
    "gabrielle": "NNP",
    "garrett": "NNP",
    "gavin": "NNP",
    "george": "NNP",
    "gianna": "NNP",
    "giovanni": "NNP",
    "giselle": "NNP",
    "gracie": "NNP",
    "gregory": "NNP",
    "hailey": "NNP",
    "haley": "NNP",
    "hannah": "NNP",
    "hayden": "NNP",
    "henry": "NNP",
    "ian": "NNP",
    "isaac": "NNP",
    "isabel": "NNP",
    "isabella": "NNP",
    "isabelle": "NNP",
    "isaiah": "NNP",
    "ivan": "NNP",
    "jackson": "NNP",
    "jacob": "NNP",
    "jacqueline": "NNP",
    "jada": "NNP",
    "jaden": "NNP",
    "jake": "NNP",
    "jalen": "NNP",
    "james": "NNP",
    "jared": "NNP|VBD|VBN",
    "jasmin": "NNP",
    "jason": "NNP",
    "javier": "NNP",
    "jayden": "NNP",
    "jayla": "NNP",
    "jazmin": "NNP",
    "jeffrey": "NNP",
    "jenna": "NNP",
    "jennifer": "NNP",
    "jeremiah": "NNP",
    "jeremy": "NNP",
    "jesse": "NNP",
    "jessica": "NNP",
    "jesus": "NNP",
    "jillian": "NNP",
    "jocelyn": "NNP",
    "joel": "NNP",
    "johnathan": "NNP",
    "jonah": "NNP",
    "jonathan": "NNP",
    "jordan": "NNP",
    "jordyn": "NNP",
    "jorge": "NNP",
    "jose": "NNP",
    "joseph": "NNP",
    "joshua": "NNP",
    "josiah": "NNP",
    "juan": "NNP",
    "julia": "NNP",
    "julian": "NNP",
    "juliana": "NNP",
    "justin": "NNP",
    "kaden": "NNP",
    "kaitlyn": "NNP",
    "kaleb": "NNP",
    "karen": "NNP",
    "karina": "NNP",
    "kate": "NNP",
    "katelyn": "NNP",
    "katherine": "NNP",
    "kathryn": "NNP",
    "katie": "NNP",
    "kayla": "NNP",
    "kaylee": "NNP",
    "kelsey": "NNP",
    "kendall": "NNP",
    "kennedy": "NNP",
    "kenneth": "NNP",
    "kevin": "NNP",
    "kiara": "NNP",
    "kimberly": "NNP",
    "kyle": "NNP",
    "kylee": "NNP",
    "kylie": "NNP",
    "landon": "NNP",
    "laura": "NNP",
    "lauren": "NNP",
    "layla": "NNP",
    "leah": "NNP",
    "leonardo": "NNP",
    "leslie": "NNP",
    "levi": "NNP",
    "liam": "NNP",
    "liliana": "NNP",
    "lillian": "NNP",
    "lilly": "NNP",
    "lindsey": "NNP",
    "logan": "NNP",
    "lucas": "NNP",
    "luis": "NNP",
    "luke": "NNP",
    "lydia": "NNP",
    "mackenzie": "NNP",
    "madeline": "NNP",
    "madelyn": "NNP",
    "madison": "NNP",
    "makayla": "NNP",
    "makenzie": "NNP",
    "malachi": "NNP",
    "manuel": "NNP",
    "marco": "NNP",
    "marcus": "NNP",
    "margaret": "NNP",
    "mariah": "NNP",
    "mario": "NNP",
    "marissa": "NNP",
    "martin": "NNP",
    "mary": "NNP",
    "matthew": "NNP",
    "maxwell": "NNP",
    "mckenzie": "NNP",
    "megan": "NNP",
    "melanie": "NNP",
    "melissa": "NNP",
    "mia": "NNP",
    "micah": "NNP",
    "michael": "NNP",
    "michelle": "NNP",
    "miguel": "NNP",
    "mikayla": "NNP",
    "miranda": "NNP",
    "molly": "NNP",
    "morgan": "NNP",
    "mya": "NNP",
    "naomi": "NNP",
    "natalia": "NNP",
    "natalie": "NNP",
    "nathan": "NNP",
    "nathaniel": "NNP",
    "nevaeh": "NNP",
    "nicholas": "NNP",
    "nicolas": "NNP",
    "nicole": "NNP",
    "noah": "NNP",
    "nolan": "NNP",
    "oliver": "NNP",
    "olivia": "NNP",
    "omar": "NNP",
    "oscar": "NNP",
    "owen": "NNP",
    "paige": "NNP",
    "parker": "NNP",
    "patrick": "NNP",
    "paul": "NNP",
    "payton": "NNP",
    "peyton": "NNP",
    "preston": "NNP",
    "rachel": "NNP",
    "raymond": "NNP",
    "reagan": "NNP",
    "rebecca": "NNP",
    "ricardo": "NNP",
    "richard": "NNP",
    "riley": "NNP",
    "robert": "NNP",
    "ryan": "NNP",
    "rylee": "NNP",
    "sabrina": "NNP",
    "sadie": "NNP",
    "samantha": "NNP",
    "samuel": "NNP",
    "sara": "NNP",
    "sarah": "NNP",
    "savannah": "NNP",
    "sean": "NNP",
    "sebastian": "NNP",
    "sergio": "NNP",
    "seth": "NNP",
    "shane": "NNP",
    "shawn": "NNP",
    "shelby": "NNP",
    "sierra": "NNP",
    "skylar": "NNP",
    "sofia": "NNP",
    "sophia": "NNP",
    "sophie": "NNP",
    "spencer": "NNP",
    "stephanie": "NNP",
    "stephen": "NNP",
    "steven": "NNP",
    "sydney": "NNP",
    "tanner": "NNP",
    "taylor": "NNP",
    "thomas": "NNP",
    "tiffany": "NNP",
    "timothy": "NNP",
    "travis": "NNP",
    "trenton": "NNP",
    "trevor": "NNP",
    "trinity": "NNP",
    "tristan": "NNP",
    "tyler": "NNP",
    "valeria": "NNP",
    "valerie": "NNP",
    "vanessa": "NNP",
    "veronica": "NNP",
    "victoria": "NNP",
    "vincent": "NNP",
    "wesley": "NNP",
    "wyatt": "NNP",
    "xavier": "NNP",
    "zachary": "NNP",
    "zoe": "NNP",
    "zoey": "NNP",
    "jan": "NNP",
    "bjørn": "NNP",
    "lars": "NNP",
    "kjell": "NNP",
    "knut": "NNP",
    "svein": "NNP",
    "arne": "NNP",
    "geir": "NNP",
    "hans": "NNP",
    "morten": "NNP",
    "tor": "NNP",
    "terje": "NNP",
    "andreas": "NNP",
    "anders": "NNP",
    "rune": "NNP",
    "trond": "NNP",
    "kristian": "NNP",
    "marius": "NNP",
    "jon": "NNP",
    "magnus": "NNP",
    "stian": "NNP",
    "tom": "NNP",
    "olav": "NNP",
    "henrik": "NNP",
    "harald": "NNP",
    "espen": "NNP",
    "fredrik": "NNP",
    "øyvind": "NNP",
    "jonas": "NNP",
    "eirik": "NNP",
    "gunnar": "NNP",
    "rolf": "NNP",
    "leif": "NNP",
    "nils": "NNP",
    "håkon": "NNP",
    "helge": "NNP",
    "einar": "NNP",
    "steinar": "NNP",
    "frode": "NNP",
    "øystein": "NNP",
    "jørgen": "NNP",
    "mathias": "NNP",
    "kjetil": "NNP",
    "petter": "NNP",
    "arild": "NNP",
    "emil": "NNP",
    "kristoffer": "NNP",
    "johan": "NNP",
    "dag": "NNP",
    "stig": "NNP",
    "kåre": "NNP",
    "vidar": "NNP",
    "ola": "NNP",
    "tommy": "NNP",
    "pål": "NNP",
    "håvard": "NNP",
    "ivar": "NNP",
    "sondre": "NNP",
    "sverre": "NNP",
    "karl": "NNP",
    "magne": "NNP",
    "simen": "NNP",
    "eivind": "NNP",
    "tobias": "NNP",
    "egil": "NNP",
    "vegard": "NNP",
    "kim": "NNP",
    "johannes": "NNP",
    "jens": "NNP",
    "alf": "NNP",
    "thor": "NNP",
    "roy": "NNP",
    "sindre": "NNP",
    "markus": "NNP",
    "sigurd": "NNP",
    "torbjørn": "NNP",
    "joakim": "NNP",
    "aleksander": "NNP",
    "erlend": "NNP",
    "erling": "NNP",
    "asbjørn": "NNP",
    "jarle": "NNP",
    "andre": "NNP",
    "reidar": "NNP",
    "jostein": "NNP",
    "ove": "NNP",
    "jørn": "NNP",
    "ronny": "NNP",
    "atle": "NNP",
    "arvid": "NNP",
    "lasse": "NNP",
    "bjarne": "NNP",
    "jakob": "NNP",
    "henning": "NNP",
    "trygve": "NNP",
    "simon": "NNP",
    "inge": "NNP",
    "kai": "NNP",
    "bjørnar": "NNP",
    "christoffer": "NNP",
    "oddvar": "NNP",
    "isak": "NNP",
    "johnny": "NNP",
    "ragnar": "NNP",
    "arve": "NNP",
    "mads": "NNP",
    "oskar": "NNP",
    "mohammad": "NNP",
    "aksel": "NNP",
    "åge": "NNP",
    "sven": "NNP",
    "torstein": "NNP",
    "herman": "NNP",
    "carl": "NNP",
    "audun": "NNP",
    "peder": "NNP",
    "glenn": "NNP",
    "øivind": "NNP",
    "bård": "NNP",
    "steffen": "NNP",
    "joachim": "NNP",
    "nikolai": "NNP",
    "ståle": "NNP",
    "ørjan": "NNP",
    "kurt": "NNP",
    "runar": "NNP",
    "torgeir": "NNP",
    "filip": "NNP",
    "ali": "NNP",
    "vetle": "NNP",
    "leon": "NNP",
    "arnt": "NNP",
    "roald": "NNP",
    "kasper": "NNP",
    "mikkel": "NNP",
    "truls": "NNP",
    "sigmund": "NNP",
    "ruben": "NNP",
    "trym": "NNP",
    "mohamed": "NNP",
    "tomas": "NNP",
    "halvor": "NNP",
    "bernt": "NNP",
    "lukas": "NNP",
    "tormod": "NNP",
    "piotr": "NNP",
    "christer": "NNP",
    "birger": "NNP",
    "theodor": "NNP",
    "krzysztof": "NNP",
    "endre": "NNP",
    "tomasz": "NNP",
    "jesper": "NNP",
    "sivert": "NNP",
    "mikael": "NNP",
    "jonny": "NNP",
    "arnfinn": "NNP",
    "edvard": "NNP",
    "dagfinn": "NNP",
    "nicolai": "NNP",
    "cato": "NNP",
    "brage": "NNP",
    "philip": "NNP",
    "haakon": "NNP",
    "magnar": "NNP",
    "oddbjørn": "NNP",
    "odin": "NNP",
    "ketil": "NNP",
    "iver": "NNP",
    "dennis": "NNP",
    "ahmed": "NNP",
    "mohammed": "NNP",
    "kent": "NNP",
    "amund": "NNP",
    "ulf": "NNP",
    "yngve": "NNP",
    "georg": "NNP",
    "olaf": "NNP",
    "dan": "NNP",
    "pawel": "NNP",
    "jo": "NNP",
    "eskil": "NNP",
    "marcin": "NNP",
    "viktor": "NNP",
    "ulrik": "NNP",
    "preben": "NNP",
    "anton": "NNP",
    "bjarte": "NNP",
    "åsmund": "NNP",
    "stefan": "NNP",
    "gustav": "NNP",
    "niklas": "NNP",
    "bendik": "NNP",
    "gaute": "NNP",
    "felix": "NNP",
    "sigbjørn": "NNP",
    "andrzej": "NNP",
    "leo": "NNP",
    "alfred": "NNP",
    "otto": "NNP",
    "børge": "NNP",
    "ludvig": "NNP",
    "leander": "NNP",
    "ingar": "NNP",
    "casper": "NNP",
    "grzegorz": "NNP",
    "asle": "NNP",
    "theo": "NNP",
    "michal": "NNP",
    "aron": "NNP",
    "karsten": "NNP",
    "marek": "NNP",
    "ottar": "NNP",
    "lukasz": "NNP",
    "fred": "NNP",
    "sveinung": "NNP",
    "bengt": "NNP",
    "vebjørn": "NNP",
    "axel": "NNP",
    "snorre": "NNP",
    "rasmus": "NNP",
    "sten": "NNP",
    "muhammad": "NNP",
    "tord": "NNP",
    "jarl": "NNP",
    "mariusz": "NNP",
    "sigve": "NNP",
    "jim": "NNP",
    "hallvard": "NNP",
    "vegar": "NNP",
    "albert": "NNP",
    "edvin": "NNP",
    "dariusz": "NNP",
    "linus": "NNP",
    "matheo": "NNP",
    "ernst": "NNP",
    "remi": "NNP",
    "chris": "NNP",
    "thorbjørn": "NNP",
    "halvard": "NNP",
    "viggo": "NNP",
    "aage": "NNP",
    "oddmund": "NNP",
    "joar": "NNP",
    "hugo": "NNP",
    "idar": "NNP",
    "gard": "NNP",
    "arthur": "NNP",
    "gjermund": "NNP",
    "aslak": "NNP",
    "didrik": "NNP",
    "sjur": "NNP",
    "thore": "NNP",
    "ibrahim": "NNP",
    "birk": "NNP",
    "rafal": "NNP",
    "torleif": "NNP",
    "matias": "NNP",
    "ingvar": "NNP",
    "tim": "NNP",
    "artur": "NNP",
    "freddy": "NNP",
    "kjartan": "NNP",
    "konrad": "NNP",
    "gisle": "NNP",
    "hassan": "NNP",
    "leiv": "NNP",
    "jacek": "NNP",
    "svenn": "NNP",
    "asgeir": "NNP",
    "gøran": "NNP",
    "wojciech": "NNP",
    "fabian": "NNP",
    "ahmad": "NNP",
    "jone": "NNP",
    "teodor": "NNP",
    "torfinn": "NNP",
    "arnstein": "NNP",
    "jan-erik": "NNP",
    "jakub": "NNP",
    "ronald": "NNP",
    "kolbjørn": "NNP",
    "ludvik": "NNP",
    "jaroslaw": "NNP",
    "børre": "NNP",
    "heine": "NNP",
    "ådne": "NNP",
    "øistein": "NNP",
    "mustafa": "NNP",
    "gudmund": "NNP",
    "slawomir": "NNP",
    "brede": "NNP",
    "zbigniew": "NNP",
    "maciej": "NNP",
    "jonatan": "NNP",
    "paal": "NNP",
    "hallgeir": "NNP",
    "tarjei": "NNP",
    "vemund": "NNP",
    "kyrre": "NNP",
    "svend": "NNP",
    "viljar": "NNP",
    "torjus": "NNP",
    "arnold": "NNP",
    "agnar": "NNP",
    "mikal": "NNP",
    "amir": "NNP",
    "abdul": "NNP",
    "yngvar": "NNP",
    "kay": "NNP",
    "mateusz": "NNP",
    "rene": "NNP",
    "jøran": "NNP",
    "erland": "NNP",
    "wilhelm": "NNP",
    "klaus": "NNP",
    "kamil": "NNP",
    "bo": "NNP",
    "nicolay": "NNP",
    "miroslaw": "NNP",
    "kristen": "NNP",
    "thorleif": "NNP",
    "roman": "NNP",
    "karstein": "NNP",
    "nicklas": "NNP",
    "krister": "NNP",
    "abdirahman": "NNP",
    "patrik": "NNP",
    "oddgeir": "NNP",
    "eilif": "NNP",
    "przemyslaw": "NNP",
    "stanislaw": "NNP",
    "mattis": "NNP",
    "dawid": "NNP",
    "phillip": "NNP",
    "hermann": "NNP",
    "bernhard": "NNP",
    "janusz": "NNP",
    "werner": "NNP",
    "sturla": "NNP",
    "guttorm": "NNP",
    "tage": "NNP",
    "brynjar": "NNP",
    "arkadiusz": "NNP",
    "ingvald": "NNP",
    "ismail": "NNP",
    "allan": "NNP",
    "arnulf": "NNP",
    "syver": "NNP",
    "mindaugas": "NNP",
    "torgrim": "NNP",
    "niels": "NNP",
    "torkel": "NNP",
    "abdi": "NNP",
    "njål": "NNP",
    "eldar": "NNP",
    "josef": "NNP",
    "darius": "NNP",
    "ragnvald": "NNP",
    "waldemar": "NNP",
    "jahn": "NNP",
    "olai": "NNP",
    "toralf": "NNP",
    "edmund": "NNP",
    "mohamad": "NNP",
    "abdullahi": "NNP",
    "norvald": "NNP",
    "walter": "NNP",
    "leonard": "NNP",
    "carsten": "NNP",
    "jerzy": "NNP",
    "bastian": "NNP",
    "hussein": "NNP",
    "khalid": "NNP",
    "kaare": "NNP",
    "rolv": "NNP",
    "emrik": "NNP",
    "karol": "NNP",
    "abdullah": "NNP",
    "ingolf": "NNP",
    "andrius": "NNP",
    "emilian": "NNP",
    "frederik": "NNP",
    "tron": "NNP",
    "claus": "NNP",
    "hamza": "NNP",
    "bartosz": "NNP",
    "ferdinand": "NNP",
    "rudi": "NNP",
    "julius": "NNP",
    "scott": "NNP",
    "jozef": "NNP",
    "jørund": "NNP",
    "adnan": "NNP",
    "ben": "NNP",
    "lennart": "NNP",
    "rikard": "NNP",
    "hjalmar": "NNP",
    "malvin": "NNP",
    "håvar": "NNP",
    "ryszard": "NNP",
    "fritz": "NNP",
    "sølve": "NNP",
    "stephan": "NNP",
    "lars-erik": "NNP",
    "radoslaw": "NNP",
    "søren": "NNP",
    "osman": "NNP",
    "mehmet": "NNP",
    "igor": "NNP",
    "patryk": "NNP",
    "kacper": "NNP",
    "hilmar": "NNP",
    "bror": "NNP",
    "torje": "NNP",
    "thorstein": "NNP",
    "arian": "NNP",
    "elling": "NNP",
    "yusuf": "NNP",
    "hasan": "NNP",
    "jann": "NNP",
    "olve": "NNP",
    "alvin": "NNP",
    "mattias": "NNP",
    "milan": "NNP",
    "syed": "NNP",
    "bogdan": "NNP",
    "torben": "NNP",
    "niclas": "NNP",
    "torleiv": "NNP",
    "torger": "NNP",
    "marian": "NNP",
    "vladimir": "NNP",
    "wieslaw": "NNP",
    "szymon": "NNP",
    "dominik": "NNP",
    "samir": "NNP",
    "villy": "NNP",
    "marcel": "NNP",
    "ole-martin": "NNP",
    "eskild": "NNP",
    "leszek": "NNP",
    "hermod": "NNP",
    "nikolas": "NNP",
    "fridtjof": "NNP",
    "wiggo": "NNP",
    "gerhard": "NNP",
    "thorvald": "NNP",
    "bartlomiej": "NNP",
    "jean": "NNP",
    "mantas": "NNP",
    "sture": "NNP",
    "remy": "NNP",
    "arturas": "NNP",
    "eyvind": "NNP",
    "esben": "NNP",
    "maximilian": "NNP",
    "baard": "NNP",
    "elliot": "NNP",
    "bilal": "NNP",
    "krystian": "NNP",
    "denis": "NNP",
    "johann": "NNP",
    "tadeusz": "NNP",
    "mons": "NNP",
    "eigil": "NNP",
    "steve": "NNP",
    "mahmoud": "NNP",
    "ørnulf": "NNP",
    "loke": "NNP",
    "sam": "NNP",
    "imre": "NNP",
    "joacim": "NNP",
    "lauritz": "NNP",
    "saulius": "NNP",
    "hogne": "NNP",
    "oddvin": "NNP",
    "hans-petter": "NNP",
    "mahamed": "NNP",
    "ingebrigt": "NNP",
    "luca": "NNP",
    "ingve": "NNP",
    "eilert": "NNP",
    "vytautas": "NNP",
    "gunvald": "NNP",
    "martinus": "NNP",
    "kaj": "NNP",
    "torkil": "NNP",
    "ronnie": "NNP",
    "abel": "NNP",
    "rudolf": "NNP",
    "ole-kristian": "NNP",
    "marko": "NNP",
    "alv": "NNP",
    "rino": "NNP",
    "holger": "NNP",
    "ansgar": "NNP",
    "isac": "NNP",
    "kim-andre": "NNP",
    "arunas": "NNP",
    "janis": "NNP",
    "eystein": "NNP",
    "thanh": "NNP",
    "hamid": "NNP",
    "severin": "NNP",
    "haldor": "NNP",
    "kestutis": "NNP",
    "laurits": "NNP",
    "jamal": "NNP",
    "nerijus": "NNP",
    "rafael": "NNP",
    "amin": "NNP",
    "cornelius": "NNP",
    "nikolay": "NNP",
    "ahmet": "NNP",
    "flemming": "NNP",
    "tarald": "NNP",
    "aasmund": "NNP",
    "torvald": "NNP",
    "fredrick": "NNP",
    "donatas": "NNP",
    "tom-erik": "NNP",
    "sami": "NNP",
    "muhammed": "NNP",
    "imran": "NNP",
    "milian": "NNP",
    "tonny": "NNP",
    "aleksandar": "NNP",
    "wiktor": "NNP",
    "gjert": "NNP",
    "yonas": "NNP",
    "emanuel": "NNP",
    "svein-erik": "NNP",
    "yasin": "NNP",
    "egidijus": "NNP",
    "gorm": "NNP",
    "jeppe": "NNP",
    "melvin": "NNP",
    "hallstein": "NNP",
    "pedro": "NNP",
    "torkild": "NNP",
    "edin": "NNP",
    "emre": "NNP",
    "kennet": "NNP",
    "narve": "NNP",
    "osvald": "NNP",
    "halfdan": "NNP",
    "ireneusz": "NNP",
    "jarand": "NNP",
    "linas": "NNP",
    "andrei": "NNP",
    "skjalg": "NNP",
    "audrius": "NNP",
    "balder": "NNP",
    "per-arne": "NNP",
    "benny": "NNP",
    "mehdi": "NNP",
    "tor-erik": "NNP",
    "bjørn-erik": "NNP",
    "brynjulf": "NNP",
    "matthias": "NNP",
    "conrad": "NNP",
    "reza": "NNP",
    "marvin": "NNP",
    "sylwester": "NNP",
    "emir": "NNP",
    "jardar": "NNP",
    "anas": "NNP",
    "henryk": "NNP",
    "yousef": "NNP",
    "ailo": "NNP",
    "kazimierz": "NNP",
    "arman": "NNP",
    "borgar": "NNP",
    "kato": "NNP",
    "minh": "NNP",
    "normann": "NNP",
    "sigvald": "NNP",
    "noa": "NNP",
    "pavel": "NNP",
    "paulius": "NNP",
    "jomar": "NNP",
    "bertil": "NNP",
    "helmer": "NNP",
    "troy": "NNP",
    "karim": "NNP",
    "annar": "NNP",
    "frits": "NNP",
    "khaled": "NNP",
    "antoni": "NNP",
    "dani": "NNP",
    "gudbrand": "NNP",
    "hauk": "NNP",
    "kornelius": "NNP",
    "luka": "NNP",
    "jonn": "NNP",
    "norbert": "NNP",
    "caspian": "NNP",
    "tor-arne": "NNP",
    "vaidas": "NNP",
    "asmund": "NNP",
    "sigfred": "NNP",
    "teo": "NNP",
    "hubert": "NNP",
    "roland": "NNP",
    "dainius": "NNP",
    "rolandas": "NNP",
    "abbas": "NNP",
    "bruno": "NNP",
    "ramunas": "NNP",
    "tadas": "NNP",
    "ole-christian": "NNP",
    "bjørge": "NNP",
    "gintaras": "NNP",
    "mathis": "NNP",
    "mahad": "NNP",
    "ted": "NNP",
    "goran": "NNP",
    "ari": "NNP",
    "giedrius": "NNP",
    "deividas": "NNP",
    "ingmar": "NNP",
    "mateo": "NNP",
    "torodd": "NNP",
    "nikola": "NNP",
    "ole-petter": "NNP",
    "samson": "NNP",
    "armin": "NNP",
    "mika": "NNP",
    "zakaria": "NNP",
    "lorentz": "NNP",
    "jørg": "NNP",
    "matteo": "NNP",
    "frithjof": "NNP",
    "evald": "NNP",
    "valentin": "NNP",
    "claes": "NNP",
    "ivo": "NNP",
    "aleksandr": "NNP",
    "aurimas": "NNP",
    "boguslaw": "NNP",
    "eddie": "NNP",
    "andrej": "NNP",
    "roberto": "NNP",
    "silas": "NNP",
    "amanuel": "NNP",
    "oddleif": "NNP",
    "miroslav": "NNP",
    "ilyas": "NNP",
    "rainer": "NNP",
    "vilhelm": "NNP",
    "liban": "NNP",
    "abdulkadir": "NNP",
    "gert": "NNP",
    "lyder": "NNP",
    "mike": "NNP",
    "gediminas": "NNP",
    "mostafa": "NNP",
    "marc": "NNP",
    "ralf": "NNP",
    "usman": "NNP",
    "andris": "NNP",
    "mahdi": "NNP",
    "per-erik": "NNP",
    "alexandru": "NNP",
    "frans": "NNP",
    "kenny": "NNP",
    "danny": "NNP",
    "martinius": "NNP",
    "sigvart": "NNP",
    "ole-jørgen": "NNP",
    "thormod": "NNP",
    "bernard": "NNP",
    "noel": "NNP",
    "steffan": "NNP",
    "tellef": "NNP",
    "aleksandrs": "NNP",
    "lavrans": "NNP",
    "tønnes": "NNP",
    "widar": "NNP",
    "dawit": "NNP",
    "haavard": "NNP",
    "aryan": "NNP",
    "emilio": "NNP",
    "falk": "NNP",
    "seyed": "NNP",
    "toni": "NNP",
    "zdzislaw": "NNP",
    "esten": "NNP",
    "olivier": "NNP",
    "robertas": "NNP",
    "anne": "NNP",
    "inger": "NNP",
    "kari": "NNP",
    "marit": "NNP",
    "ingrid": "NNP",
    "liv": "NNP",
    "ida": "NNP",
    "hilde": "NNP",
    "berit": "NNP",
    "nina": "NNP",
    "marianne": "NNP",
    "astrid": "NNP",
    "elisabeth": "NNP",
    "bjørg": "NNP",
    "kristin": "NNP",
    "randi": "NNP",
    "solveig": "NNP",
    "bente": "NNP",
    "heidi": "NNP",
    "silje": "NNP",
    "hanne": "NNP",
    "linda": "NNP",
    "anita": "NNP",
    "elin": "NNP",
    "tove": "NNP",
    "wenche": "NNP",
    "gerd": "NNP",
    "camilla": "NNP",
    "ragnhild": "NNP",
    "ellen": "NNP",
    "hege": "NNP",
    "karin": "NNP",
    "ann": "NNP",
    "julie": "NNP",
    "mona": "NNP",
    "marie": "NNP",
    "monica": "NNP",
    "aud": "NNP",
    "kristine": "NNP",
    "laila": "NNP",
    "turid": "NNP",
    "stine": "NNP",
    "helene": "NNP",
    "mari": "NNP",
    "åse": "NNP",
    "jorunn": "NNP",
    "reidun": "NNP",
    "sissel": "NNP",
    "thea": "NNP",
    "lene": "NNP",
    "malin": "NNP",
    "mette": "NNP",
    "trine": "NNP",
    "emilie": "NNP",
    "nora": "NNP",
    "grethe": "NNP",
    "unni": "NNP",
    "gunn": "NNP",
    "grete": "NNP",
    "anette": "NNP",
    "linn": "NNP",
    "siri": "NNP",
    "cecilie": "NNP",
    "marte": "NNP",
    "irene": "NNP",
    "kirsten": "NNP",
    "ruth": "NNP",
    "gro": "NNP",
    "sofie": "NNP",
    "kjersti": "NNP",
    "britt": "NNP",
    "vilde": "NNP",
    "janne": "NNP",
    "ingeborg": "NNP",
    "siv": "NNP",
    "karoline": "NNP",
    "martine": "NNP",
    "sigrid": "NNP",
    "amalie": "NNP",
    "jenny": "NNP",
    "elise": "NNP",
    "frida": "NNP",
    "tonje": "NNP",
    "hanna": "NNP",
    "rita": "NNP",
    "cathrine": "NNP",
    "torill": "NNP",
    "maren": "NNP",
    "lena": "NNP",
    "synnøve": "NNP",
    "therese": "NNP",
    "ingvild": "NNP",
    "vigdis": "NNP",
    "brit": "NNP",
    "sandra": "NNP",
    "ingunn": "NNP",
    "signe": "NNP",
    "lisbeth": "NNP",
    "bodil": "NNP",
    "christine": "NNP",
    "oda": "NNP",
    "marthe": "NNP",
    "tina": "NNP",
    "merete": "NNP",
    "lisa": "NNP",
    "trude": "NNP",
    "henriette": "NNP",
    "vibeke": "NNP",
    "johanne": "NNP",
    "hedda": "NNP",
    "maja": "NNP",
    "tuva": "NNP",
    "katrine": "NNP",
    "mathilde": "NNP",
    "marita": "NNP",
    "beate": "NNP",
    "torunn": "NNP",
    "kristina": "NNP",
    "kirsti": "NNP",
    "linnea": "NNP",
    "susanne": "NNP",
    "sonja": "NNP",
    "eline": "NNP",
    "gunvor": "NNP",
    "sunniva": "NNP",
    "ane": "NNP",
    "gry": "NNP",
    "kine": "NNP",
    "guro": "NNP",
    "toril": "NNP",
    "renate": "NNP",
    "aina": "NNP",
    "jeanette": "NNP",
    "aurora": "NNP",
    "pernille": "NNP",
    "synne": "NNP",
    "monika": "NNP",
    "kaja": "NNP",
    "mina": "NNP",
    "solfrid": "NNP",
    "helga": "NNP",
    "aase": "NNP",
    "rigmor": "NNP",
    "aslaug": "NNP",
    "sølvi": "NNP",
    "ingebjørg": "NNP",
    "anja": "NNP",
    "gunhild": "NNP",
    "selma": "NNP",
    "celine": "NNP",
    "elsa": "NNP",
    "birgit": "NNP",
    "pia": "NNP",
    "agnes": "NNP",
    "margit": "NNP",
    "mariann": "NNP",
    "ina": "NNP",
    "tiril": "NNP",
    "kathrine": "NNP",
    "åshild": "NNP",
    "lill": "NNP",
    "olaug": "NNP",
    "anne-lise": "NNP",
    "jorun": "NNP",
    "miriam": "NNP",
    "iselin": "NNP",
    "magnhild": "NNP",
    "inga": "NNP",
    "gudrun": "NNP",
    "margrethe": "NNP",
    "marta": "NNP",
    "helen": "NNP",
    "olga": "NNP",
    "rikke": "NNP",
    "benedicte": "NNP",
    "lina": "NNP",
    "sigrun": "NNP",
    "eirin": "NNP",
    "helle": "NNP",
    "birgitte": "NNP",
    "anniken": "NNP",
    "torhild": "NNP",
    "malene": "NNP",
    "evy": "NNP",
    "karianne": "NNP",
    "carina": "NNP",
    "erna": "NNP",
    "merethe": "NNP",
    "johanna": "NNP",
    "annette": "NNP",
    "ellinor": "NNP",
    "jane": "NNP",
    "edith": "NNP",
    "martha": "NNP",
    "svanhild": "NNP",
    "sidsel": "NNP",
    "edel": "NNP",
    "guri": "NNP",
    "klara": "NNP",
    "kamilla": "NNP",
    "ada": "NNP",
    "maiken": "NNP",
    "tine": "NNP",
    "dina": "NNP",
    "mathea": "NNP",
    "anny": "NNP",
    "vera": "NNP",
    "elena": "NNP",
    "borghild": "NNP",
    "ine": "NNP",
    "helena": "NNP",
    "siw": "NNP",
    "målfrid": "NNP",
    "rebekka": "NNP",
    "ronja": "NNP",
    "tordis": "NNP",
    "astri": "NNP",
    "madeleine": "NNP",
    "jannicke": "NNP",
    "marion": "NNP",
    "nathalie": "NNP",
    "kjellaug": "NNP",
    "ann-kristin": "NNP",
    "brita": "NNP",
    "torild": "NNP",
    "hildegunn": "NNP",
    "ester": "NNP",
    "greta": "NNP",
    "oddny": "NNP",
    "yvonne": "NNP",
    "tora": "NNP",
    "madelen": "NNP",
    "hjørdis": "NNP",
    "josefine": "NNP",
    "eldbjørg": "NNP",
    "celina": "NNP",
    "lotte": "NNP",
    "vivian": "NNP",
    "mille": "NNP",
    "judith": "NNP",
    "dagny": "NNP",
    "lea": "NNP",
    "gina": "NNP",
    "katarzyna": "NNP",
    "frøydis": "NNP",
    "oddrun": "NNP",
    "louise": "NNP",
    "andrine": "NNP",
    "oddbjørg": "NNP",
    "iris": "NNP",
    "rakel": "NNP",
    "magdalena": "NNP",
    "agnieszka": "NNP",
    "henny": "NNP",
    "aleksandra": "NNP",
    "stina": "NNP",
    "veronika": "NNP",
    "haldis": "NNP",
    "isabell": "NNP",
    "solbjørg": "NNP",
    "benedikte": "NNP",
    "ranveig": "NNP",
    "ragna": "NNP",
    "alice": "NNP",
    "arnhild": "NNP",
    "mie": "NNP",
    "ylva": "NNP",
    "borgny": "NNP",
    "tanja": "NNP",
    "unn": "NNP",
    "viktoria": "NNP",
    "oline": "NNP",
    "anne-marie": "NNP",
    "petra": "NNP",
    "inger-lise": "NNP",
    "erika": "NNP",
    "margrete": "NNP",
    "fatima": "NNP",
    "ingjerd": "NNP",
    "alva": "NNP",
    "annie": "NNP",
    "sanna": "NNP",
    "asbjørg": "NNP",
    "hildur": "NNP",
    "oddveig": "NNP",
    "erle": "NNP",
    "esther": "NNP",
    "joanna": "NNP",
    "sylvi": "NNP",
    "matilde": "NNP",
    "nadia": "NNP",
    "emilia": "NNP",
    "mariell": "NNP",
    "margot": "NNP",
    "sylvia": "NNP",
    "torbjørg": "NNP",
    "gunnhild": "NNP",
    "may-britt": "NNP",
    "iben": "NNP",
    "rannveig": "NNP",
    "barbro": "NNP",
    "amina": "NNP",
    "iren": "NNP",
    "hedvig": "NNP",
    "nelly": "NNP",
    "margareth": "NNP",
    "malgorzata": "NNP",
    "anine": "NNP",
    "marlene": "NNP",
    "christin": "NNP",
    "annika": "NNP",
    "karolina": "NNP",
    "runa": "NNP",
    "kaia": "NNP",
    "gjertrud": "NNP",
    "audhild": "NNP",
    "katarina": "NNP",
    "vivi": "NNP",
    "alina": "NNP",
    "alfhild": "NNP",
    "milla": "NNP",
    "thi": "NNP",
    "cornelia": "NNP",
    "vanja": "NNP",
    "gøril": "NNP",
    "stella": "NNP",
    "jorid": "NNP",
    "elida": "NNP",
    "barbara": "NNP",
    "irina": "NNP",
    "adele": "NNP",
    "paula": "NNP",
    "annbjørg": "NNP",
    "elisabet": "NNP",
    "ewa": "NNP",
    "nancy": "NNP",
    "karine": "NNP",
    "marielle": "NNP",
    "ingvill": "NNP",
    "tomine": "NNP",
    "tilde": "NNP",
    "sigrunn": "NNP",
    "norunn": "NNP",
    "regine": "NNP",
    "elina": "NNP",
    "lovise": "NNP",
    "connie": "NNP",
    "hermine": "NNP",
    "rønnaug": "NNP",
    "jeanett": "NNP",
    "mali": "NNP",
    "asta": "NNP",
    "maia": "NNP",
    "lisbet": "NNP",
    "susann": "NNP",
    "venke": "NNP",
    "eira": "NNP",
    "elvira": "NNP",
    "sanne": "NNP",
    "anne-grethe": "NNP",
    "cecilia": "NNP",
    "maryam": "NNP",
    "carmen": "NNP",
    "mira": "NNP",
    "thale": "NNP",
    "elisa": "NNP",
    "ulla": "NNP",
    "julianne": "NNP",
    "oddlaug": "NNP",
    "herdis": "NNP",
    "lykke": "NNP",
    "linea": "NNP",
    "mariam": "NNP",
    "aisha": "NNP",
    "signy": "NNP",
    "terese": "NNP",
    "hilda": "NNP",
    "elna": "NNP",
    "mildrid": "NNP",
    "gerda": "NNP",
    "susan": "NNP",
    "katharina": "NNP",
    "bettina": "NNP",
    "birthe": "NNP",
    "kristi": "NNP",
    "zahra": "NNP",
    "beata": "NNP",
    "harriet": "NNP",
    "margunn": "NNP",
    "birte": "NNP",
    "paulina": "NNP",
    "luna": "NNP",
    "svetlana": "NNP",
    "beathe": "NNP",
    "una": "NNP",
    "liss": "NNP",
    "åsta": "NNP",
    "ann-mari": "NNP",
    "jannike": "NNP",
    "dagrun": "NNP",
    "vilma": "NNP",
    "renata": "NNP",
    "åsa": "NNP",
    "bergljot": "NNP",
    "arna": "NNP",
    "dagmar": "NNP",
    "torun": "NNP",
    "åsne": "NNP",
    "ulrikke": "NNP",
    "brynhild": "NNP",
    "kjerstin": "NNP",
    "idun": "NNP",
    "jolanta": "NNP",
    "christel": "NNP",
    "ingun": "NNP",
    "embla": "NNP",
    "tatiana": "NNP",
    "vilja": "NNP",
    "anneli": "NNP",
    "fride": "NNP",
    "nanna": "NNP",
    "sylwia": "NNP",
    "valborg": "NNP",
    "aida": "NNP",
    "dorota": "NNP",
    "sina": "NNP",
    "veslemøy": "NNP",
    "brith": "NNP",
    "justyna": "NNP",
    "alida": "NNP",
    "torgunn": "NNP",
    "ebba": "NNP",
    "frøya": "NNP",
    "anne-karin": "NNP",
    "eileen": "NNP",
    "gitte": "NNP",
    "gunnvor": "NNP",
    "inger-johanne": "NNP",
    "nicoline": "NNP",
    "janicke": "NNP",
    "yasmin": "NNP",
    "ann-karin": "NNP",
    "gretha": "NNP",
    "agnete": "NNP",
    "halldis": "NNP",
    "reidunn": "NNP",
    "claudia": "NNP",
    "annlaug": "NNP",
    "kristiane": "NNP",
    "ann-helen": "NNP",
    "patricia": "NNP",
    "silja": "NNP",
    "pauline": "NNP",
    "filippa": "NNP",
    "elly": "NNP",
    "lilja": "NNP",
    "emine": "NNP",
    "lilli": "NNP",
    "synøve": "NNP",
    "kaisa": "NNP",
    "katrin": "NNP",
    "sol": "NNP",
    "anett": "NNP",
    "kari-anne": "NNP",
    "solvor": "NNP",
    "catharina": "NNP",
    "jill": "NNP",
    "ingfrid": "NNP",
    "silvia": "NNP",
    "iwona": "NNP",
    "leonora": "NNP",
    "lotta": "NNP",
    "nikoline": "NNP",
    "alvhild": "NNP",
    "doris": "NNP",
    "elzbieta": "NNP",
    "maj": "NNP",
    "samira": "NNP",
    "alise": "NNP",
    "valentina": "NNP",
    "ingerid": "NNP",
    "anni": "NNP",
    "simone": "NNP",
    "katja": "NNP",
    "marlen": "NNP",
    "elen": "NNP",
    "kerstin": "NNP",
    "mirjam": "NNP",
    "ågot": "NNP",
    "eldrid": "NNP",
    "kjellrun": "NNP",
    "anne-britt": "NNP",
    "ramona": "NNP",
    "irmelin": "NNP",
    "kjellfrid": "NNP",
    "agata": "NNP",
    "tara": "NNP",
    "wiktoria": "NNP",
    "izabela": "NNP",
    "kajsa": "NNP",
    "ann-christin": "NNP",
    "hennie": "NNP",
    "jelena": "NNP",
    "martina": "NNP",
    "anne-grete": "NNP",
    "juliane": "NNP",
    "catrine": "NNP",
    "fatma": "NNP",
    "clara": "NNP",
    "ingelin": "NNP",
    "irma": "NNP",
    "fadumo": "NNP",
    "christiane": "NNP",
    "aneta": "NNP",
    "teresa": "NNP",
    "agnethe": "NNP",
    "betty": "NNP",
    "lin": "NNP",
    "iman": "NNP",
    "dorthe": "NNP",
    "maud": "NNP",
    "snefrid": "NNP",
    "ewelina": "NNP",
    "sonia": "NNP",
    "kamila": "NNP",
    "magda": "NNP",
    "solvår": "NNP",
    "angelika": "NNP",
    "annelise": "NNP",
    "vibecke": "NNP",
    "patrycja": "NNP",
    "leila": "NNP",
    "sigfrid": "NNP",
    "wilma": "NNP",
    "melina": "NNP",
    "jofrid": "NNP",
    "anlaug": "NNP",
    "tatjana": "NNP",
    "turi": "NNP",
    "elfrid": "NNP",
    "ingri": "NNP",
    "janet": "NNP",
    "idunn": "NNP",
    "gunnlaug": "NNP",
    "magny": "NNP",
    "regina": "NNP",
    "jana": "NNP",
    "eivor": "NNP",
    "juni": "NNP",
    "wenke": "NNP",
    "josephine": "NNP",
    "edle": "NNP",
    "simona": "NNP",
    "salma": "NNP",
    "alicja": "NNP",
    "amal": "NNP",
    "cristina": "NNP",
    "katinka": "NNP",
    "gudny": "NNP",
    "gyda": "NNP",
    "thelma": "NNP",
    "bertine": "NNP",
    "kornelia": "NNP",
    "thora": "NNP",
    "anne-berit": "NNP",
    "zuzanna": "NNP",
    "emmy": "NNP",
    "milena": "NNP",
    "rosa": "NNP",
    "anne-mette": "NNP",
    "fredrikke": "NNP",
    "edna": "NNP",
    "herborg": "NNP",
    "vårin": "NNP",
    "liva": "NNP",
    "solrun": "NNP",
    "sahra": "NNP",
    "tyra": "NNP",
    "alvilde": "NNP",
    "leona": "NNP",
    "lara": "NNP",
    "susanna": "NNP",
    "khadija": "NNP",
    "selina": "NNP",
    "tamara": "NNP",
    "belinda": "NNP",
    "åslaug": "NNP",
    "ailin": "NNP",
    "anne-mari": "NNP",
    "ariel": "NNP",
    "siril": "NNP",
    "suzanne": "NNP",
    "hana": "NNP",
    "zainab": "NNP",
    "beatrice": "NNP",
    "elinor": "NNP",
    "rebecka": "NNP",
    "daria": "NNP",
    "ilona": "NNP",
    "klaudia": "NNP",
    "anbjørg": "NNP",
    "kathe": "NNP",
    "trine-lise": "NNP",
    "gudveig": "NNP",
    "magni": "NNP",
    "ninni": "NNP",
    "sabine": "NNP",
    "viktorija": "NNP",
    "gunnbjørg": "NNP",
    "mari-ann": "NNP",
    "amira": "NNP",
    "evelina": "NNP",
    "othilie": "NNP",
    "ines": "NNP",
    "mariel": "NNP",
    "anastasia": "NNP",
    "jennie": "NNP",
    "cathrin": "NNP",
    "marija": "NNP",
    "aashild": "NNP",
    "norah": "NNP",
    "møyfrid": "NNP",
    "aasta": "NNP",
    "oliwia": "NNP",
    "matilda": "NNP",
    "olea": "NNP",
    "agathe": "NNP",
    "martyna": "NNP",
    "peggy": "NNP",
    "vida": "NNP",
    "anne-sofie": "NNP",
    "muna": "NNP",
    "venche": "NNP",
    "dorthea": "NNP",
    "inger-marie": "NNP",
    "noor": "NNP",
    "irena": "NNP",
    "viola": "NNP",
    "kinga": "NNP",
    "felicia": "NNP",
    "henrikke": "NNP",
    "marzena": "NNP",
    "renathe": "NNP",
    "magna": "NNP",
    "ayse": "NNP",
    "ekaterina": "NNP",
    "edyta": "NNP",
    "ayan": "NNP",
    "renee": "NNP",
    "vilje": "NNP",
    "dominika": "NNP",
    "emelie": "NNP",
    "jurgita": "NNP",
    "maryan": "NNP",
    "anne-marit": "NNP",
    "bertha": "NNP",
    "galina": "NNP",
    "margun": "NNP",
    "halima": "NNP",
    "lilian": "NNP",
    "weronika": "NNP",
    "aagot": "NNP",
    "hild": "NNP",
    "hulda": "NNP",
    "elbjørg": "NNP",
    "judit": "NNP",
    "fiona": "NNP",
    "alette": "NNP",
    "carolina": "NNP",
    "lidia": "NNP",
    "tanya": "NNP",
    "ieva": "NNP",
    "sabina": "NNP",
    "solgunn": "NNP",
    "else-marie": "NNP",
    "yngvild": "NNP",
    "marthine": "NNP",
    "daniella": "NNP",
    "gabriele": "NNP",
    "natasha": "NNP",
    "ragne": "NNP",
    "betina": "NNP",
    "fatemeh": "NNP",
    "frid": "NNP",
    "edita": "NNP",
    "gunda": "NNP",
    "elsie": "NNP",
    "naima": "NNP",
    "theresa": "NNP",
    "thuy": "NNP",
    "benthe": "NNP",
    "carla": "NNP",
    "hanan": "NNP",
    "madelene": "NNP",
    "malena": "NNP",
    "sadia": "NNP",
    "karla": "NNP",
    "leni": "NNP",
    "nadja": "NNP",
    "egle": "NNP",
    "lindis": "NNP",
    "ngoc": "NNP",
    "wigdis": "NNP",
    "norma": "NNP",
    "carine": "NNP",
    "emina": "NNP",
    "kathinka": "NNP",
    "amelie": "NNP",
    "cindy": "NNP",
    "may-liss": "NNP",
    "daiva": "NNP",
    "inghild": "NNP",
    "nadine": "NNP",
    "asha": "NNP",
    "margarita": "NNP",
    "ingvil": "NNP",
    "janita": "NNP",
    "oksana": "NNP",
    "ragni": "NNP",
    "saba": "NNP",
    "lucia": "NNP",
    "desiree": "NNP",
    "hatice": "NNP",
    "kathrin": "NNP",
    "lajla": "NNP",
    "berta": "NNP",
    "danuta": "NNP",
    "ayla": "NNP",
    "gloria": "NNP",
    "urszula": "NNP",
    "wendy": "NNP",
    "eliza": "NNP",
    "tia": "NNP",
    "birgitta": "NNP",
    "anne-lene": "NNP",
    "melinda": "NNP",
    "ruta": "NNP",
    "tirill": "NNP",
    "asma": "NNP",
    "audny": "NNP",
    "rina": "NNP",
    "thordis": "NNP",
    "alisa": "NNP",
    "anisa": "NNP",
    "mai-britt": "NNP",
    "mary-ann": "NNP",
    "isa": "NNP",
    "mariana": "NNP",
    "serina": "NNP",
    "zara": "NNP",
    "agne": "NNP",
    "amna": "NNP",
    "bergliot": "NNP",
    "bozena": "NNP",
    "vår": "NNP",
    "krystyna": "NNP",
    "leyla": "NNP",
    "cicilie": "NNP",
    "ivana": "NNP",
    "olena": "NNP",
    "zofia": "NNP",
    "gunlaug": "NNP",
    "grazyna": "NNP",
    "liz": "NNP",
    "wanja": "NNP",
    "leikny": "NNP",
    "cesilie": "NNP",
    "seline": "NNP",
    "joan": "NNP",
    "phuong": "NNP",
    "anne-kristin": "NNP",
    "hafsa": "NNP",
    "jasmina": "NNP",
    "kristel": "NNP",
    "mila": "NNP",
    "emely": "NNP",
    "wencke": "NNP",
    "bushra": "NNP",
    "michaela": "NNP",
    "violeta": "NNP",
    "edda": "NNP",
    "aileen": "NNP",
    "anne-kari": "NNP",
    "bergit": "NNP",
    "alba": "NNP",
    "janniche": "NNP",
    "adelen": "NNP",
    "eilen": "NNP",
    "jamila": "NNP",
    "britta": "NNP",
    "jette": "NNP",
    "anne-brit": "NNP",
    "birgith": "NNP",
    "dagfrid": "NNP",
    "dalia": "NNP",
    "gine": "NNP",
    "najma": "NNP",
    "eirill": "NNP",
    "maylen": "NNP",
    "eilin": "NNP",
    "eiril": "NNP",
    "sumaya": "NNP",
    "aed": "VBD|VBN",
    "aing": "VBG",
    "abandonned": "VBD|VBN",
    "abandonning": "VBG",
    "absents": "VBZ",
    "absenting": "VBG",
    "annes": "VBZ",
    "anned": "VBD|VBN",
    "anning": "VBG",
    "annihilates": "VBZ",
    "annihilated": "VBD|VBN",
    "annihilating": "VBG",
    "atones": "VBZ",
    "atoned": "VBD|VBN",
    "atoning": "VBG",
    "attentioned": "VBD|VBN",
    "attentioning": "VBG",
    "bewares": "VBZ",
    "bewared": "VBD|VBN",
    "bewaring": "VBG",
    "backstitches": "VBZ",
    "backstitched": "VBD|VBN",
    "backstitching": "VBG",
    "balkanizes": "VBZ",
    "balkanizing": "VBG",
    "beholding": "VBG",
    "bencheds": "VBZ",
    "bencheded": "VBD|VBN",
    "bencheding": "VBG",
    "benefitting": "VBG",
    "bevelled": "VBD|VBN",
    "bevelling": "VBG",
    "broils": "VBZ",
    "buber-thinks": "VBZ",
    "buber-thought": "VBD|VBN",
    "buber-thinking": "VBG",
    "buries": "VBZ",
    "coped": "VBD",
    "center-punches": "VBZ",
    "center-punched": "VBD|VBN",
    "center-punching": "VBG",
    "cf.s": "VBZ",
    "cf.ed": "VBD|VBN",
    "cf.ing": "VBG",
    "chin-uses": "VBZ",
    "chin-used": "VBD|VBN",
    "chin-using": "VBG",
    "chucks": "VBZ",
    "citicorps": "VBZ",
    "citicorped": "VBD|VBN",
    "citicorping": "VBG",
    "comends": "VBZ",
    "comended": "VBD|VBN",
    "comending": "VBG",
    "compaqs": "VBZ",
    "compaqed": "VBD|VBN",
    "compaqing": "VBG",
    "dammits": "VBZ",
    "dammitted": "VBD|VBN",
    "dammitting": "VBG",
    "damns": "VBZ",
    "darns": "VBZ",
    "darning": "VBG",
    "dec.s": "VBZ",
    "dec.ed": "VBD|VBN",
    "dec.ing": "VBG",
    "defrosts": "VBZ",
    "defrosted": "VBD|VBN",
    "defrosting": "VBG",
    "defuses": "VBZ",
    "defusing": "VBG",
    "discontinues": "VBZ",
    "diversifies": "VBZ",
    "donoghues": "VBZ",
    "donoghued": "VBD|VBN",
    "donoghuing": "VBG",
    "draw-files": "VBZ",
    "draw-filed": "VBD|VBN",
    "draw-filing": "VBG",
    "educates": "VBZ",
    "erring": "VBG",
    "excusing": "VBG",
    "figgers": "VBZ",
    "figgering": "VBG",
    "fleishers": "VBZ",
    "fleishered": "VBD|VBN",
    "fleishering": "VBG",
    "forgives": "VBZ",
    "forted": "VBD|VBN",
    "forting": "VBG",
    "fusss": "VBZ",
    "fussed": "VBD|VBN",
    "gits": "VBZ",
    "gitted": "VBD|VBN",
    "gitting": "VBG",
    "gothams": "VBZ",
    "gothammed": "VBD|VBN",
    "gothamming": "VBG",
    "gottas": "VBZ",
    "gottaed": "VBD|VBN",
    "gottaing": "VBG",
    "gouges": "VBZ",
    "heeding": "VBG",
    "hoeed": "VBD|VBN",
    "hoeing": "VBG",
    "hes": "VBZ",
    "hed": "VBD|VBN",
    "hing": "VBG",
    "inspects": "VBZ",
    "installs": "VBZ",
    "insulates": "VBZ",
    "intercedes": "VBZ",
    "interceding": "VBG",
    "inventoried": "VBD|VBN",
    "inventorying": "VBG",
    "itched": "VBD|VBN",
    "j/nnp.a.s": "VBZ",
    "j/nnp.a.ed": "VBD|VBN",
    "j/nnp.a.ing": "VBG",
    "jan.s": "VBZ",
    "jan.ed": "VBD|VBN",
    "jan.ing": "VBG",
    "kneads": "VBZ",
    "knits": "VBZ",
    "leant": "VBD|VBN",
    "learnt": "VBD|VBN",
    "lemmes": "VBZ",
    "lemmed": "VBD|VBN",
    "lemming": "VBG",
    "leningrads": "VBZ",
    "leningradded": "VBD|VBN",
    "leningradding": "VBG",
    "limitted": "VBD|VBN",
    "limitting": "VBG",
    "lookits": "VBZ",
    "lookitted": "VBD|VBN",
    "lookitting": "VBG",
    "lookies": "VBZ",
    "lookied": "VBD|VBN",
    "lookying": "VBG",
    "lording": "VBG",
    "mcdonalds": "VBZ",
    "mcdonalded": "VBD|VBN",
    "mcdonalding": "VBG",
    "methuselahs": "VBZ",
    "methuselahed": "VBD|VBN",
    "methuselahing": "VBG",
    "minding": "VBG",
    "neverminds": "VBZ",
    "neverminded": "VBD|VBN",
    "neverminding": "VBG",
    "niois": "VBZ",
    "niowas": "VBD",
    "niobeen": "VBN",
    "niobeing": "VBG",
    "no.s": "VBZ",
    "no.ed": "VBD|VBN",
    "no.ing": "VBG",
    "normalizes": "VBZ",
    "northrops": "VBZ",
    "northropped": "VBD|VBN",
    "northropping": "VBG",
    "nov.s": "VBZ",
    "nov.ed": "VBD|VBN",
    "nov.ing": "VBG",
    "orkems": "VBZ",
    "orkemmed": "VBD|VBN",
    "orkemming": "VBG",
    "p&gs": "VBZ",
    "p&ged": "VBD|VBN",
    "p&ging": "VBG",
    "p*/nnp&gs": "VBZ",
    "p*/nnp&ged": "VBD|VBN",
    "p*/nnp&ging": "VBG",
    "pacifying": "VBG",
    "paddled": "VBD|VBN",
    "paddling": "VBG",
    "painewebbers": "VBZ",
    "painewebbered": "VBD|VBN",
    "painewebbering": "VBG",
    "panhandles": "VBZ",
    "panhandled": "VBD|VBN",
    "panhandling": "VBG",
    "pardoning": "VBG",
    "pencilled": "VBD|VBN",
    "pencilling": "VBG",
    "pierces": "VBZ",
    "pities": "VBZ",
    "pitying": "VBG",
    "planked": "VBD|VBN",
    "poached": "VBD|VBN",
    "privatizes": "VBZ",
    "psalms": "VBZ",
    "psalmed": "VBD|VBN",
    "psalming": "VBG",
    "rids": "VBZ",
    "recesses": "VBZ",
    "recessing": "VBG",
    "reckonned": "VBD|VBN",
    "reckonning": "VBG",
    "reconsiders": "VBZ",
    "recoups": "VBZ",
    "reenacts": "VBZ",
    "reenacted": "VBD|VBN",
    "reenacting": "VBG",
    "refills": "VBZ",
    "refilling": "VBG",
    "reproached": "VBD|VBN",
    "reproaching": "VBG",
    "restudies": "VBZ",
    "restudied": "VBD|VBN",
    "restudying": "VBG",
    "retraces": "VBZ",
    "roasting": "VBG",
    "scriis": "VBZ",
    "scriwas": "VBD",
    "scribeen": "VBN",
    "scribeing": "VBG",
    "scrubs": "VBZ",
    "sears": "VBZ",
    "seared": "VBD|VBN",
    "secures": "VBZ",
    "shaming": "VBG",
    "shippins": "VBZ",
    "shippinned": "VBD|VBN",
    "shippinning": "VBG",
    "shu-tts": "VBZ",
    "shu-tted": "VBD|VBN",
    "shu-tting": "VBG",
    "simmers": "VBZ",
    "soaks": "VBZ",
    "solders": "VBZ",
    "spears": "VBZ",
    "spearing": "VBG",
    "staking": "VBG",
    "starves": "VBZ",
    "stratfords": "VBZ",
    "stratforded": "VBD|VBN",
    "stratfording": "VBG",
    "streetspeaks": "VBZ",
    "streetspoke": "VBD",
    "streetspoken": "VBN",
    "streetspeaking": "VBG",
    "struts": "VBZ",
    "suffices": "VBZ",
    "sufficing": "VBG",
    "surrenders": "VBZ",
    "tack-solders": "VBZ",
    "tack-soldered": "VBD|VBN",
    "tack-soldering": "VBG",
    "tandies": "VBZ",
    "tandied": "VBD|VBN",
    "tandying": "VBG",
    "thes": "VBZ",
    "thed": "VBD|VBN",
    "trashes": "VBZ",
    "trim-your-own-frankss": "VBZ",
    "trim-your-own-franksed": "VBD|VBN",
    "trim-your-own-franksing": "VBG",
    "visualizing": "VBG",
    "wannas": "VBZ",
    "wannaed": "VBD|VBN",
    "wannaing": "VBG",
    "weakenned": "VBD|VBN",
    "weakenning": "VBG",
    "weeps": "VBZ",
    "widenned": "VBD|VBN",
    "widenning": "VBG",
    "wrangles": "VBZ",
    "abdicates": "VBZ",
    "abdicated": "VBD|VBN",
    "abdicating": "VBG",
    "abhored": "VBD|VBN",
    "abhoring": "VBG",
    "abolishes": "VBZ",
    "aborts": "VBZ",
    "abrogeats": "VBZ",
    "abrogeaten": "VBN",
    "abrogeating": "VBG",
    "absorbedthes": "VBZ",
    "absorbedthed": "VBD|VBN",
    "absorbedthing": "VBG",
    "abstains": "VBZ",
    "accedes": "VBZ",
    "acceding": "VBG",
    "accentuating": "VBG",
    "accessing": "VBG",
    "acclaiming": "VBG",
    "accomodeats": "VBZ",
    "accomodeaten": "VBN",
    "accomodeating": "VBG",
    "acquaints": "VBZ",
    "acquainting": "VBG",
    "acquiesces": "VBZ",
    "acquiescing": "VBG",
    "acquited": "VBD|VBN",
    "acquiting": "VBG",
    "actioned": "VBD|VBN",
    "actioning": "VBG",
    "activates": "VBZ",
    "actuates": "VBZ",
    "actuating": "VBG",
    "ad-libs": "VBZ",
    "ad-libed": "VBD|VBN",
    "ad-libing": "VBG",
    "addicting": "VBG|JJ",
    "adduces": "VBZ",
    "adduced": "VBD|VBN",
    "adducing": "VBG",
    "adjudicates": "VBZ",
    "adjudicated": "VBD|VBN",
    "adjudicating": "VBG",
    "administrates": "VBZ",
    "administrated": "VBD|VBN",
    "administrating": "VBG",
    "adorning": "VBG",
    "adulterates": "VBZ",
    "adulterating": "VBG",
    "advantaged": "VBD|VBN",
    "advantaging": "VBG",
    "adventured": "VBD|VBN",
    "adverts": "VBZ",
    "adverted": "VBD|VBN",
    "adverting": "VBG",
    "aerating": "VBG",
    "affixs": "VBZ",
    "affixing": "VBG",
    "affronts": "VBZ",
    "agglomerates": "VBZ",
    "agglomerated": "VBD|VBN",
    "agglomerating": "VBG",
    "aggregated": "VBD|VBN",
    "aggregating": "VBG",
    "agitates": "VBZ",
    "agree.s": "VBZ",
    "agree.ed": "VBD|VBN",
    "agree.ing": "VBG",
    "airred": "VBD|VBN",
    "airring": "VBG",
    "airlifts": "VBZ",
    "aliened": "VBD|VBN",
    "aliening": "VBG",
    "alights": "VBZ",
    "alit": "VBD|VBN",
    "alighting": "VBG",
    "aligns": "VBZ",
    "aligning": "VBG",
    "allays": "VBZ",
    "alleviated": "VBD|VBN",
    "allots": "VBZ",
    "alloyed": "VBD|VBN",
    "alloying": "VBG",
    "allures": "VBZ",
    "allured": "VBD|VBN",
    "amalgamates": "VBZ",
    "amalgamating": "VBG",
    "ambles": "VBZ",
    "ambuscades": "VBZ",
    "ambuscaded": "VBD|VBN",
    "ambuscading": "VBG",
    "ambushes": "VBZ",
    "ambushing": "VBG",
    "amends": "VBZ",
    "amortizes": "VBZ",
    "amuses": "VBZ",
    "angled": "VBD|VBN",
    "anguishes": "VBZ",
    "anguishing": "VBG",
    "animating": "VBG",
    "annexs": "VBZ",
    "annexing": "VBG",
    "anoints": "VBZ",
    "anointed": "VBD|VBN",
    "ansuhs": "VBZ",
    "ansuhed": "VBD|VBN",
    "ansuhing": "VBG",
    "antagonizes": "VBZ",
    "antagonized": "VBD|VBN",
    "antagonizing": "VBG",
    "antes": "VBZ",
    "anted": "VBD|VBN",
    "anting": "VBG",
    "anticed": "VBD|VBN",
    "anticing": "VBG",
    "antiqued": "VBD|VBN",
    "antiquing": "VBG",
    "criticises": "VBZ",
    "criticised": "VBD|VBN",
    "misreports": "VBZ",
    "misreported": "VBD|VBN",
    "misreporting": "VBG",
    "favourites": "VBZ",
    "favouriting": "VBG",
    "misclassifies": "VBZ",
    "misclassifying": "VBG",
    "mispricings": "VBZ",
    "mispricinged": "VBD|VBN",
    "mispricinging": "VBG",
    "abashes": "VBZ",
    "abashing": "VBG",
    "assorts": "VBZ",
    "assorting": "VBG",
    "astonishes": "VBZ",
    "brays": "VBZ",
    "brayed": "VBD|VBN",
    "colours": "VBZ",
    "colouring": "VBG",
    "consecrates": "VBZ",
    "consecrated": "VBD|VBN",
    "consecrating": "VBG",
    "consorts": "VBZ",
    "contemns": "VBZ",
    "contemned": "VBD|VBN",
    "contemning": "VBG",
    "coos": "VBZ",
    "cooed": "VBD|VBN",
    "disuses": "VBZ",
    "disusing": "VBG",
    "downloads": "VBZ",
    "downloaded": "VBD|VBN",
    "downloading": "VBG",
    "fizzed": "VBD|VBN",
    "fizzing": "VBG",
    "forlore": "VBD",
    "forlesing": "VBG",
    "fulfils": "VBZ",
    "gainsays": "VBZ",
    "gainsaid": "VBD|VBN",
    "gainsaying": "VBG",
    "googles": "VBZ",
    "googled": "VBD|VBN",
    "googling": "VBG",
    "hewing": "VBG",
    "horrifies": "VBZ",
    "hypnotizes": "VBZ",
    "hypnotizing": "VBG",
    "idealizes": "VBZ",
    "idealizing": "VBG",
    "ill-treats": "VBZ",
    "ill-treated": "VBD|VBN",
    "ill-treating": "VBG",
    "immerses": "VBZ",
    "immersing": "VBG",
    "immolates": "VBZ",
    "immolated": "VBD|VBN",
    "immolating": "VBG",
    "immures": "VBZ",
    "immured": "VBD|VBN",
    "immuring": "VBG",
    "impeaches": "VBZ",
    "impeaching": "VBG",
    "impends": "VBZ",
    "impended": "VBD|VBN",
    "implodes": "VBZ",
    "imploded": "VBD|VBN",
    "imploding": "VBG",
    "inaugurates": "VBZ",
    "inculcates": "VBZ",
    "inculcating": "VBG",
    "indents": "VBZ",
    "indented": "VBD|VBN",
    "indenting": "VBG",
    "inflects": "VBZ",
    "inhales": "VBZ",
    "inhaled": "VBD|VBN",
    "inscribes": "VBZ",
    "inscribing": "VBG",
    "lades": "VBZ",
    "laded": "VBD",
    "lading": "VBG",
    "leers": "VBZ",
    "moos": "VBZ",
    "moults": "VBZ",
    "moulted": "VBD|VBN",
    "moulting": "VBG",
    "opined": "VBD|VBN",
    "oppressing": "VBG",
    "rewinds": "VBZ",
    "rewound": "VBD|VBN",
    "rewinding": "VBG",
    "saponifies": "VBZ",
    "saponified": "VBD|VBN",
    "saponifying": "VBG",
    "sasses": "VBZ",
    "sassed": "VBD|VBN",
    "sates": "VBZ",
    "sated": "VBD|VBN",
    "sating": "VBG",
    "scabbles": "VBZ",
    "scabbled": "VBD|VBN",
    "scabbling": "VBG",
    "scarps": "VBZ",
    "scarped": "VBD|VBN",
    "scarping": "VBG",
    "scats": "VBZ",
    "scatted": "VBD|VBN",
    "scatting": "VBG",
    "scorches": "VBZ",
    "scorching": "VBG",
    "slays": "VBZ",
    "slinks": "VBZ",
    "slunk": "VBD|VBN",
    "slinking": "VBG",
    "smites": "VBZ",
    "smote": "VBD",
    "smiting": "VBG",
    "sneezes": "VBZ",
    "strews": "VBZ",
    "strewed": "VBD",
    "strewing": "VBG",
    "swots": "VBZ",
    "swotted": "VBD|VBN",
    "swotting": "VBG",
    "typesets": "VBZ",
    "waylays": "VBZ",
    "waylaying": "VBG",
    "wends": "VBZ",
    "wending": "VBG",
    "backslides": "VBZ",
    "backslid": "VBD|VBN",
    "backsliding": "VBG",
    "crossbreeds": "VBZ",
    "crossbred": "VBD|VBN",
    "crossbreeding": "VBG",
    "hand-feeds": "VBZ",
    "hand-fed": "VBD|VBN",
    "hand-feeding": "VBG",
    "handwrites": "VBZ",
    "handwrote": "VBD",
    "inbreeds": "VBZ",
    "inbred": "VBD|VBN",
    "interbreeds": "VBZ",
    "interbred": "VBD|VBN",
    "interweaves": "VBZ",
    "interweaved": "VBD|VBN",
    "interwinds": "VBZ",
    "interwound": "VBD|VBN",
    "interwinding": "VBG",
    "jerry-builds": "VBZ",
    "jerry-built": "VBD|VBN",
    "jerry-building": "VBG",
    "lip-reads": "VBZ",
    "lip-reading": "VBG",
    "miscasts": "VBZ",
    "miscasting": "VBG",
    "misdeals": "VBZ",
    "misdealt": "VBD|VBN",
    "misdealing": "VBG",
    "misdos": "VBZ",
    "misdid": "VBD",
    "misdone": "VBN",
    "misdoing": "VBG",
    "mishears": "VBZ",
    "misheard": "VBD|VBN",
    "mishearing": "VBG",
    "mislays": "VBZ",
    "mislaying": "VBG",
    "mislearns": "VBZ",
    "mislearnt": "VBD|VBN",
    "mislearning": "VBG",
    "missets": "VBZ",
    "missetting": "VBG",
    "misspeaks": "VBZ",
    "misspoke": "VBD",
    "misspoken": "VBN",
    "misspeaking": "VBG",
    "misspells": "VBZ",
    "misspelt": "VBD|VBN",
    "misspelling": "VBG",
    "misspends": "VBZ",
    "misspending": "VBG",
    "misteaches": "VBZ",
    "mistaught": "VBD|VBN",
    "misteaching": "VBG",
    "miswrites": "VBZ",
    "miswrote": "VBD",
    "miswriting": "VBG",
    "outbreeds": "VBZ",
    "outbred": "VBD|VBN",
    "outbreeding": "VBG",
    "outdraws": "VBZ",
    "outdrawn": "VBN",
    "outdrawing": "VBG",
    "outdrinks": "VBZ",
    "outdrank": "VBD",
    "outdrunk": "VBN",
    "outdrinking": "VBG",
    "outdrives": "VBZ",
    "outdrove": "VBD",
    "outdriven": "VBN",
    "outdriving": "VBG",
    "outfights": "VBZ",
    "outfighting": "VBG",
    "outleaps": "VBZ",
    "outleapt": "VBD|VBN",
    "outleaping": "VBG",
    "outlies": "VBZ",
    "outlied": "VBD|VBN",
    "outrides": "VBZ",
    "outrode": "VBD",
    "outridden": "VBN",
    "outriding": "VBG",
    "outshoots": "VBZ",
    "outshot": "VBD|VBN",
    "outshooting": "VBG",
    "outsings": "VBZ",
    "outsang": "VBD",
    "outsung": "VBN",
    "outsinging": "VBG",
    "outsits": "VBZ",
    "outsat": "VBD|VBN",
    "outsitting": "VBG",
    "outsleeps": "VBZ",
    "outslept": "VBD|VBN",
    "outsleeping": "VBG",
    "outsmells": "VBZ",
    "outsmelt": "VBD|VBN",
    "outsmelling": "VBG",
    "outspeaks": "VBZ",
    "outspoke": "VBD",
    "outspeaking": "VBG",
    "outspeeds": "VBZ",
    "outsped": "VBD|VBN",
    "outspeeding": "VBG",
    "outswears": "VBZ",
    "outswore": "VBD",
    "outsworn": "VBN",
    "outswearing": "VBG",
    "outswims": "VBZ",
    "outswam": "VBD",
    "outswum": "VBN",
    "outswimming": "VBG",
    "outthinks": "VBZ",
    "outthought": "VBD|VBN",
    "outthinking": "VBG",
    "outthrows": "VBZ",
    "outthrew": "VBD",
    "outthrown": "VBN",
    "outthrowing": "VBG",
    "outwrites": "VBZ",
    "outwrote": "VBD",
    "outwritten": "VBN",
    "outwriting": "VBG",
    "overbreeds": "VBZ",
    "overbred": "VBD|VBN",
    "overbreeding": "VBG",
    "overbuilds": "VBZ",
    "overbuys": "VBZ",
    "overbuying": "VBG",
    "overdos": "VBZ",
    "overdid": "VBD",
    "overdrinks": "VBZ",
    "overdrank": "VBD",
    "overdrunk": "VBN",
    "overdrinking": "VBG",
    "oversews": "VBZ",
    "oversewed": "VBD|VBN",
    "oversewing": "VBG",
    "overshooting": "VBG",
    "oversleeps": "VBZ",
    "overslept": "VBD|VBN",
    "oversleeping": "VBG",
    "overspeaks": "VBZ",
    "overspoke": "VBD",
    "overspoken": "VBN",
    "overspeaking": "VBG",
    "overspends": "VBZ",
    "overspent": "VBD|VBN",
    "overspills": "VBZ",
    "overspilt": "VBD|VBN",
    "overspilling": "VBG",
    "overthinks": "VBZ",
    "overthought": "VBD|VBN",
    "overthinking": "VBG",
    "overwinds": "VBZ",
    "overwound": "VBD|VBN",
    "overwinding": "VBG",
    "overwrites": "VBZ",
    "overwrote": "VBD",
    "overwriting": "VBG",
    "prebuilds": "VBZ",
    "prebuilt": "VBD|VBN",
    "prebuilding": "VBG",
    "predos": "VBZ",
    "predid": "VBD",
    "predone": "VBN",
    "predoing": "VBG",
    "premakes": "VBZ",
    "premade": "VBD|VBN",
    "premaking": "VBG",
    "presells": "VBZ",
    "presold": "VBD|VBN",
    "preselling": "VBG",
    "preshrinks": "VBZ",
    "preshrank": "VBD",
    "preshrunk": "VBN",
    "preshrinking": "VBG",
    "quick-freezes": "VBZ",
    "quick-froze": "VBD",
    "quick-freezing": "VBG",
    "reawakes": "VBZ",
    "reawoke": "VBD",
    "reawaking": "VBG",
    "rebids": "VBZ",
    "rebiding": "VBG",
    "rebinds": "VBZ",
    "rebinding": "VBG",
    "rebroadcasts": "VBZ",
    "rebroadcasted": "VBD|VBN",
    "rebroadcasting": "VBG",
    "redeals": "VBZ",
    "redealt": "VBD|VBN",
    "redealing": "VBG",
    "refits": "VBZ",
    "refitted": "VBD|VBN",
    "regrinds": "VBZ",
    "regrinding": "VBG",
    "regrows": "VBZ",
    "regrew": "VBD",
    "regrown": "VBN",
    "regrowing": "VBG",
    "rehangs": "VBZ",
    "rehung": "VBD|VBN",
    "rehanging": "VBG",
    "reknits": "VBZ",
    "reknitting": "VBG",
    "relearnt": "VBD|VBN",
    "relearning": "VBG",
    "relights": "VBZ",
    "relighted": "VBD|VBN",
    "relighting": "VBG",
    "resends": "VBZ",
    "resending": "VBG",
    "reteaches": "VBZ",
    "retaught": "VBD|VBN",
    "reteaching": "VBG",
    "retears": "VBZ",
    "retore": "VBD",
    "retorn": "VBN",
    "retearing": "VBG",
    "rewakes": "VBZ",
    "rewaked": "VBD|VBN",
    "rewaking": "VBG",
    "rewears": "VBZ",
    "rewore": "VBD",
    "reworn": "VBN",
    "rewearing": "VBG",
    "reweds": "VBZ",
    "rewedded": "VBD|VBN",
    "reweding": "VBG",
    "rewets": "VBZ",
    "rewetted": "VBD|VBN",
    "rewetting": "VBG",
    "rewins": "VBZ",
    "rewon": "VBD|VBN",
    "rewinning": "VBG",
    "sand-casts": "VBZ",
    "sand-casting": "VBG",
    "sight-reads": "VBZ",
    "sight-reading": "VBG",
    "test-flies": "VBZ",
    "test-flew": "VBD",
    "test-flown": "VBN",
    "test-flying": "VBG",
    "typewrites": "VBZ",
    "typewrote": "VBD",
    "unbends": "VBZ",
    "unbending": "VBG",
    "unbinds": "VBZ",
    "unbinding": "VBG",
    "unclothes": "VBZ",
    "unclad": "VBD|VBN",
    "unclothing": "VBG",
    "underbids": "VBZ",
    "underbiding": "VBG",
    "underfeeds": "VBZ",
    "underfed": "VBD|VBN",
    "underfeeding": "VBG",
    "undersells": "VBZ",
    "underspends": "VBZ",
    "underspent": "VBD|VBN",
    "underspending": "VBG",
    "unfreezes": "VBZ",
    "unfroze": "VBD",
    "unfreezing": "VBG",
    "unhangs": "VBZ",
    "unhung": "VBD|VBN",
    "unhanging": "VBG",
    "unhides": "VBZ",
    "unhid": "VBD",
    "unhidden": "VBN",
    "unhiding": "VBG",
    "unknits": "VBZ",
    "unknitting": "VBG",
    "unlearns": "VBZ",
    "unlearnt": "VBD|VBN",
    "unlearning": "VBG",
    "unsews": "VBZ",
    "unsewed": "VBD|VBN",
    "unsewing": "VBG",
    "unslings": "VBZ",
    "unslung": "VBD|VBN",
    "unslinging": "VBG",
    "unspins": "VBZ",
    "unspun": "VBD|VBN",
    "unspinning": "VBG",
    "unsticks": "VBZ",
    "unsticking": "VBG",
    "unstrings": "VBZ",
    "unstringing": "VBG",
    "unweaves": "VBZ",
    "unweaved": "VBD|VBN",
    "unweaving": "VBG",
    "whets": "VBZ",
    "whetting": "VBG",
    "babysits": "VBZ",
    "babysat": "VBD|VBN",
    "babysitting": "VBG",
    "engrosses": "VBZ",
    "pilfers": "VBZ",
    "pilfered": "VBD|VBN",
    "purloins": "VBZ",
    "purloining": "VBG",
    "snarfs": "VBZ",
    "snarfed": "VBD|VBN",
    "snarfing": "VBG",
    "filchs": "VBZ",
    "filching": "VBG",
    "nobbles": "VBZ",
    "nobbled": "VBD|VBN",
    "nobbling": "VBG",
    "limns": "VBZ",
    "limned": "VBD|VBN",
    "limning": "VBG",
    "adumbrates": "VBZ",
    "adumbrated": "VBD|VBN",
    "adumbrating": "VBG",
    "clapperclaws": "VBZ",
    "clapperclawed": "VBD|VBN",
    "clapperclawing": "VBG",
    "blackguards": "VBZ",
    "blackguarded": "VBD|VBN",
    "blackguarding": "VBG",
    "ill-uses": "VBZ",
    "ill-used": "VBD|VBN",
    "ill-using": "VBG",
    "delimitates": "VBZ",
    "delimitated": "VBD|VBN",
    "delimitating": "VBG",
    "particularizes": "VBZ",
    "particularized": "VBD|VBN",
    "particularizing": "VBG",
    "quaffs": "VBZ",
    "quaffed": "VBD|VBN",
    "quaffing": "VBG",
    "misapplies": "VBZ",
    "convolutes": "VBZ",
    "convoluting": "VBG",
    "wricks": "VBZ",
    "wricked": "VBD|VBN",
    "wricking": "VBG",
    "ricks": "VBZ",
    "ricked": "VBD|VBN",
    "ricking": "VBG",
    "debauches": "VBZ",
    "debauched": "VBD|VBN",
    "debauching": "VBG",
    "debases": "VBZ",
    "debased": "VBD|VBN",
    "depraves": "VBZ",
    "depraving": "VBG",
    "misdirects": "VBZ",
    "misdirected": "VBD|VBN",
    "misdirecting": "VBG",
    "punctuates": "VBZ",
    "punctuating": "VBG",
    "deforms": "VBZ",
    "deforming": "VBG",
    "wriggles": "VBZ",
    "plaits": "VBZ",
    "plaited": "VBD|VBN",
    "plaiting": "VBG",
    "pleaches": "VBZ",
    "pleached": "VBD|VBN",
    "pleaching": "VBG",
    "eddies": "VBZ",
    "eddied": "VBD|VBN",
    "eddying": "VBG",
    "purls": "VBZ",
    "kinks": "VBZ",
    "kinking": "VBG",
    "sullies": "VBZ",
    "sullied": "VBD|VBN",
    "larns": "VBZ",
    "larned": "VBD|VBN",
    "larning": "VBG",
    "adjudges": "VBZ",
    "cumbers": "VBZ",
    "cumbered": "VBD|VBN",
    "cumbering": "VBG",
    "harbours": "VBZ",
    "harboured": "VBD|VBN",
    "harbouring": "VBG",
    "clasps": "VBZ",
    "predated": "VBD|VBN",
    "predating": "VBG",
    "conduces": "VBZ",
    "conduced": "VBD|VBN",
    "conducing": "VBG",
    "bungs": "VBZ",
    "bunged": "VBD|VBN",
    "bunging": "VBG",
    "asterisked": "VBD|VBN",
    "asterisking": "VBG",
    "foreshortens": "VBZ",
    "abbreviates": "VBZ",
    "abbreviating": "VBG",
    "constricts": "VBZ",
    "signalized": "VBD|VBN",
    "signalizing": "VBG",
    "cyphers": "VBZ",
    "cyphered": "VBD|VBN",
    "cyphering": "VBG",
    "outwears": "VBZ",
    "outweared": "VBD|VBN",
    "outwearing": "VBG",
    "recrudesces": "VBZ",
    "recrudesced": "VBD|VBN",
    "recrudescing": "VBG",
    "roleplays": "VBZ",
    "playacts": "VBZ",
    "playacted": "VBD|VBN",
    "playacting": "VBG",
    "cogitates": "VBZ",
    "cogitated": "VBD|VBN",
    "cogitating": "VBG",
    "cerebrates": "VBZ",
    "cerebrating": "VBG",
    "feigns": "VBZ",
    "chinks": "VBZ",
    "chinking": "VBG",
    "chequers": "VBZ",
    "chequered": "VBD|VBN",
    "chequering": "VBG",
    "guttles": "VBZ",
    "guttled": "VBD|VBN",
    "guttling": "VBG",
    "ravens": "VBZ",
    "ravenned": "VBD|VBN",
    "ravenning": "VBG",
    "devolves": "VBZ",
    "devolved": "VBD|VBN",
    "devolving": "VBG",
    "reelects": "VBZ",
    "reelecting": "VBG",
    "ripostes": "VBZ",
    "riposted": "VBD|VBN",
    "riposting": "VBG",
    "retroverts": "VBZ",
    "retroverted": "VBD|VBN",
    "retroverting": "VBG",
    "spellbinds": "VBZ",
    "spellbinded": "VBD|VBN",
    "spellbinding": "VBG",
    "befitted": "VBD|VBN",
    "beseems": "VBZ",
    "beseemed": "VBD|VBN",
    "beseeming": "VBG",
    "nocks": "VBZ",
    "nocked": "VBD|VBN",
    "nocking": "VBG",
    "enamours": "VBZ",
    "enamoured": "VBD|VBN",
    "enamouring": "VBG",
    "becharms": "VBZ",
    "becharmed": "VBD|VBN",
    "becharming": "VBG",
    "enamors": "VBZ",
    "enamoring": "VBG",
    "captivates": "VBZ",
    "bewitches": "VBZ",
    "commoves": "VBZ",
    "commoved": "VBD|VBN",
    "commoving": "VBG",
    "institutionalizes": "VBZ",
    "institutionalizing": "VBG",
    "alines": "VBZ",
    "alined": "VBD|VBN",
    "alining": "VBG",
    "ordinated": "VBD|VBN",
    "ordinating": "VBG",
    "incriminates": "VBZ",
    "incriminated": "VBD|VBN",
    "criminates": "VBZ",
    "criminated": "VBD|VBN",
    "criminating": "VBG",
    "countersinks": "VBZ",
    "countersinked": "VBD|VBN",
    "countersinking": "VBG",
    "pocks": "VBZ",
    "pocked": "VBD|VBN",
    "pocking": "VBG",
    "stigmatized": "VBD|VBN",
    "stigmatizing": "VBG",
    "memorializes": "VBZ",
    "memorializing": "VBG",
    "immortalizes": "VBZ",
    "immortalizing": "VBG",
    "secerns": "VBZ",
    "secerned": "VBD|VBN",
    "secerning": "VBG",
    "secernates": "VBZ",
    "secernated": "VBD|VBN",
    "secernating": "VBG",
    "severalizes": "VBZ",
    "severalized": "VBD|VBN",
    "severalizing": "VBG",
    "labializes": "VBZ",
    "labialized": "VBD|VBN",
    "labializing": "VBG",
    "intromits": "VBZ",
    "intromitted": "VBD|VBN",
    "intromitting": "VBG",
    "monishes": "VBZ",
    "monished": "VBD|VBN",
    "monishing": "VBG",
    "deplumes": "VBZ",
    "deplumed": "VBD|VBN",
    "depluming": "VBG",
    "deplumates": "VBZ",
    "deplumated": "VBD|VBN",
    "deplumating": "VBG",
    "displumes": "VBZ",
    "displumed": "VBD|VBN",
    "displuming": "VBG",
    "plunks": "VBZ",
    "tweaks": "VBZ",
    "spangs": "VBZ",
    "spanged": "VBD|VBN",
    "spanging": "VBG",
    "didders": "VBZ",
    "diddered": "VBD|VBN",
    "diddering": "VBG",
    "enthroned": "VBD|VBN",
    "enthroning": "VBG",
    "intrusts": "VBZ",
    "intrusted": "VBD|VBN",
    "intrusting": "VBG",
    "burthens": "VBZ",
    "burthenned": "VBD|VBN",
    "burthenning": "VBG",
    "dissembles": "VBZ",
    "dissembled": "VBD|VBN",
    "explicates": "VBZ",
    "explicated": "VBD|VBN",
    "explicating": "VBG",
    "sires": "VBZ",
    "siring": "VBG",
    "mystifies": "VBZ",
    "mystifying": "VBG",
    "flummoxs": "VBZ",
    "flummoxed": "VBD|VBN",
    "flummoxing": "VBG",
    "stupefies": "VBZ",
    "stupefied": "VBD|VBN",
    "nonpluss": "VBZ",
    "nonplused": "VBD|VBN",
    "nonplusing": "VBG",
    "dumbfounds": "VBZ",
    "dumbfounding": "VBG",
    "scrams": "VBZ",
    "scrammed": "VBD|VBN",
    "scramming": "VBG",
    "urinates": "VBZ",
    "urinated": "VBD|VBN",
    "urinating": "VBG",
    "piddles": "VBZ",
    "piddled": "VBD|VBN",
    "micturates": "VBZ",
    "micturated": "VBD|VBN",
    "micturating": "VBG",
    "pees": "VBZ",
    "peeing": "VBG",
    "inducts": "VBZ",
    "inducting": "VBG",
    "maturates": "VBZ",
    "maturated": "VBD|VBN",
    "maturating": "VBG",
    "annotates": "VBZ",
    "annotating": "VBG",
    "acidifies": "VBZ",
    "acidifying": "VBG",
    "acidulates": "VBZ",
    "acidulated": "VBD|VBN",
    "acidulating": "VBG",
    "acetifies": "VBZ",
    "acetified": "VBD|VBN",
    "acetifying": "VBG",
    "rarifies": "VBZ",
    "rarifying": "VBG",
    "cognizes": "VBZ",
    "cognized": "VBD|VBN",
    "cognizing": "VBG",
    "suppurates": "VBZ",
    "suppurated": "VBD|VBN",
    "suppurating": "VBG",
    "senesces": "VBZ",
    "senesced": "VBD|VBN",
    "senescing": "VBG",
    "forgathers": "VBZ",
    "forgathered": "VBD|VBN",
    "forgathering": "VBG",
    "foregathers": "VBZ",
    "foregathered": "VBD|VBN",
    "foregathering": "VBG",
    "intermits": "VBZ",
    "intermitted": "VBD|VBN",
    "intermitting": "VBG",
    "demotes": "VBZ",
    "demoting": "VBG",
    "relegates": "VBZ",
    "disunites": "VBZ",
    "disuniting": "VBG",
    "deadens": "VBZ",
    "deadenned": "VBD|VBN",
    "deadenning": "VBG",
    "miscarries": "VBZ",
    "miscarrying": "VBG",
    "unwrapped": "VBD|VBN|JJ",
    "unwrapping": "VBG",
    "ameliorates": "VBZ",
    "ameliorated": "VBD|VBN",
    "ameliorating": "VBG",
    "meliorates": "VBZ",
    "meliorated": "VBD|VBN",
    "meliorating": "VBG",
    "transgresses": "VBZ",
    "infracts": "VBZ",
    "infracted": "VBD|VBN",
    "infracting": "VBG",
    "oversteps": "VBZ",
    "oversteped": "VBD|VBN",
    "oversteping": "VBG",
    "huffs": "VBZ",
    "huffing": "VBG",
    "chuffs": "VBZ",
    "chuffed": "VBD|VBN",
    "accosts": "VBZ",
    "snitches": "VBZ",
    "snitching": "VBG",
    "thieved": "VBD|VBN",
    "gloms": "VBZ",
    "glomming": "VBG",
    "defecates": "VBZ",
    "defecating": "VBG",
    "brandmarks": "VBZ",
    "brandmarked": "VBD|VBN",
    "brandmarking": "VBG",
    "crystalizes": "VBZ",
    "crystalized": "VBD|VBN",
    "crystalizing": "VBG",
    "elucidates": "VBZ",
    "elucidating": "VBG",
    "domesticated": "VBD|VBN",
    "domesticating": "VBG",
    "naturalizes": "VBZ",
    "naturalizing": "VBG",
    "domesticizes": "VBZ",
    "domesticized": "VBD|VBN",
    "domesticizing": "VBG",
    "analysing": "VBG",
    "psychoanalyzes": "VBZ",
    "psychoanalyzed": "VBD|VBN",
    "psychoanalyzing": "VBG",
    "habituates": "VBZ",
    "habituated": "VBD|VBN",
    "habituating": "VBG",
    "overworks": "VBZ",
    "overcompensates": "VBZ",
    "overcompensated": "VBD|VBN",
    "overcompensating": "VBG",
    "enshrouded": "VBD|VBN",
    "transposes": "VBZ",
    "transposing": "VBG",
    "overlies": "VBZ",
    "overlied": "VBD|VBN",
    "coronates": "VBZ",
    "coronated": "VBD|VBN",
    "coronating": "VBG",
    "grizzles": "VBZ",
    "grizzling": "VBG",
    "cloys": "VBZ",
    "cloyed": "VBD|VBN",
    "swags": "VBZ",
    "swagged": "VBD|VBN",
    "swagging": "VBG",
    "circularizes": "VBZ",
    "circularized": "VBD|VBN",
    "circularizing": "VBG",
    "overspreads": "VBZ",
    "overspreaded": "VBD|VBN",
    "overspreading": "VBG",
    "conjoins": "VBZ",
    "conjoining": "VBG",
    "aggrandizes": "VBZ",
    "aggrandized": "VBD|VBN",
    "broiders": "VBZ",
    "broidered": "VBD|VBN",
    "broidering": "VBG",
    "supercharges": "VBZ",
    "supercharging": "VBG",
    "educes": "VBZ",
    "educed": "VBD|VBN",
    "educing": "VBG",
    "advertizes": "VBZ",
    "advertized": "VBD|VBN",
    "advertizing": "VBG",
    "leavens": "VBZ",
    "leavenned": "VBD|VBN",
    "leavenning": "VBG",
    "apprizes": "VBZ",
    "apprized": "VBD|VBN",
    "apprizing": "VBG",
    "redes": "VBZ",
    "reded": "VBD|VBN",
    "reding": "VBG",
    "externalizes": "VBZ",
    "externalized": "VBD|VBN",
    "externalizing": "VBG",
    "enumerates": "VBZ",
    "enumerating": "VBG",
    "numerates": "VBZ",
    "numerated": "VBD|VBN",
    "numerating": "VBG",
    "inculpates": "VBZ",
    "inculpated": "VBD|VBN",
    "inculpating": "VBG",
    "scarpers": "VBZ",
    "scarpered": "VBD|VBN",
    "scarpering": "VBG",
    "lams": "VBZ",
    "blackens": "VBZ",
    "blackenned": "VBD|VBN",
    "blackenning": "VBG",
    "melanizes": "VBZ",
    "melanized": "VBD|VBN",
    "melanizing": "VBG",
    "jibed": "VBD|VBN",
    "jibing": "VBG",
    "copulates": "VBZ",
    "copulated": "VBD|VBN",
    "copulating": "VBG",
    "geminates": "VBZ",
    "geminated": "VBD|VBN",
    "geminating": "VBG",
    "lapidates": "VBZ",
    "lapidated": "VBD|VBN",
    "lapidating": "VBG",
    "wangles": "VBZ",
    "wangling": "VBG",
    "finagles": "VBZ",
    "nauseates": "VBZ",
    "nauseating": "VBG",
    "sickens": "VBZ",
    "sickenned": "VBD|VBN",
    "sickenning": "VBG",
    "auspicates": "VBZ",
    "auspicated": "VBD|VBN",
    "auspicating": "VBG",
    "prognosticates": "VBZ",
    "prognosticated": "VBD|VBN",
    "prognosticating": "VBG",
    "betokens": "VBZ",
    "betokenned": "VBD|VBN",
    "betokenning": "VBG",
    "prefigures": "VBZ",
    "prefigured": "VBD|VBN",
    "prefiguring": "VBG",
    "unlooses": "VBZ",
    "unloosed": "VBD|VBN",
    "unloosing": "VBG",
    "unloosens": "VBZ",
    "unloosenned": "VBD|VBN",
    "unloosenning": "VBG",
    "secretes": "VBZ",
    "secreting": "VBG",
    "tuckers": "VBZ",
    "tuckered": "VBD|VBN",
    "tuckering": "VBG",
    "splatters": "VBZ",
    "splattering": "VBG",
    "appals": "VBZ",
    "dispirits": "VBZ",
    "dispiritted": "VBD|VBN",
    "dispiritting": "VBG",
    "lours": "VBZ",
    "loured": "VBD|VBN",
    "louring": "VBG",
    "conks": "VBZ",
    "conked": "VBD|VBN",
    "conking": "VBG",
    "commixs": "VBZ",
    "commixed": "VBD|VBN",
    "commixing": "VBG",
    "conflates": "VBZ",
    "conflated": "VBD|VBN",
    "conflating": "VBG",
    "commingles": "VBZ",
    "commingling": "VBG",
    "immixs": "VBZ",
    "immixed": "VBD|VBN",
    "immixing": "VBG",
    "intermixs": "VBZ",
    "intermixing": "VBG",
    "immingles": "VBZ",
    "immingled": "VBD|VBN",
    "immingling": "VBG",
    "spays": "VBZ",
    "spayed": "VBD|VBN",
    "spaying": "VBG",
    "castrates": "VBZ",
    "castrated": "VBD|VBN",
    "castrating": "VBG",
    "interpolates": "VBZ",
    "interpolating": "VBG",
    "channelizes": "VBZ",
    "channelized": "VBD|VBN",
    "channelizing": "VBG",
    "swops": "VBZ",
    "swopped": "VBD|VBN",
    "swopping": "VBG",
    "deputizes": "VBZ",
    "deputizing": "VBG",
    "understudies": "VBZ",
    "understudying": "VBG",
    "counterchanges": "VBZ",
    "counterchanged": "VBD|VBN",
    "counterchanging": "VBG",
    "remediates": "VBZ",
    "remediated": "VBD|VBN",
    "remediating": "VBG",
    "righting": "VBG",
    "remunerates": "VBZ",
    "remunerating": "VBG",
    "objurgates": "VBZ",
    "objurgated": "VBD|VBN",
    "objurgating": "VBG",
    "chastens": "VBZ",
    "chastening": "VBG",
    "finetunes": "VBZ",
    "finetuned": "VBD|VBN",
    "smoothens": "VBZ",
    "smoothenned": "VBD|VBN",
    "smoothenning": "VBG",
    "valuates": "VBZ",
    "valuated": "VBD|VBN",
    "valuating": "VBG",
    "mensurates": "VBZ",
    "mensurated": "VBD|VBN",
    "mensurating": "VBG",
    "coifs": "VBZ",
    "coifed": "VBD|VBN",
    "coifing": "VBG",
    "coiffes": "VBZ",
    "coiffing": "VBG",
    "enclothes": "VBZ",
    "enclothed": "VBD|VBN",
    "enclothing": "VBG",
    "toged": "VBD|VBN",
    "toging": "VBG",
    "habilitates": "VBZ",
    "habilitated": "VBD|VBN",
    "habilitating": "VBG",
    "minifies": "VBZ",
    "minified": "VBD|VBN",
    "haps": "VBZ",
    "happed": "VBD|VBN",
    "happing": "VBG",
    "bechances": "VBZ",
    "bechanced": "VBD|VBN",
    "bechancing": "VBG",
    "canonizes": "VBZ",
    "canonizing": "VBG",
    "enshrines": "VBZ",
    "enshrining": "VBG",
    "slenderizes": "VBZ",
    "slenderized": "VBD|VBN",
    "slenderizing": "VBG",
    "mongers": "VBZ",
    "mongered": "VBD|VBN",
    "mongering": "VBG",
    "vends": "VBZ",
    "vended": "VBD|VBN",
    "annunciates": "VBZ",
    "annunciating": "VBG",
    "forebodes": "VBZ",
    "foreboded": "VBD|VBN",
    "foreknows": "VBZ",
    "foreknowed": "VBD|VBN",
    "foreknowing": "VBG",
    "enquires": "VBZ",
    "enquiring": "VBG",
    "antiquates": "VBZ",
    "antiquating": "VBG",
    "snipped": "VBD|VBN",
    "snipping": "VBG",
    "preens": "VBZ",
    "preened": "VBD|VBN",
    "primps": "VBZ",
    "primped": "VBD|VBN",
    "overdresses": "VBZ",
    "overdressing": "VBG",
    "prinks": "VBZ",
    "prinked": "VBD|VBN",
    "prinking": "VBG",
    "overclothes": "VBZ",
    "overclothed": "VBD|VBN",
    "overclothing": "VBG",
    "enkindles": "VBZ",
    "enkindled": "VBD|VBN",
    "enkindling": "VBG",
    "inspirits": "VBZ",
    "inspiritted": "VBD|VBN",
    "inspiritting": "VBG",
    "egests": "VBZ",
    "egested": "VBD|VBN",
    "egesting": "VBG",
    "evanesces": "VBZ",
    "evanesced": "VBD|VBN",
    "evanescing": "VBG",
    "intercommunicates": "VBZ",
    "intercommunicated": "VBD|VBN",
    "intercommunicating": "VBG",
    "crumples": "VBZ",
    "crumpling": "VBG",
    "fertilizes": "VBZ",
    "fecundates": "VBZ",
    "fecundated": "VBD|VBN",
    "fecundating": "VBG",
    "instals": "VBZ",
    "instaled": "VBD|VBN",
    "instaling": "VBG",
    "shews": "VBZ",
    "shewed": "VBD|VBN",
    "shewing": "VBG",
    "revalues": "VBZ",
    "savours": "VBZ",
    "savoured": "VBD|VBN",
    "savouring": "VBG",
    "jimmies": "VBZ",
    "jimmying": "VBG",
    "obtruded": "VBD|VBN",
    "obtruding": "VBG",
    "irrupts": "VBZ",
    "irrupted": "VBD|VBN",
    "irrupting": "VBG",
    "despoils": "VBZ",
    "reaves": "VBZ",
    "reaved": "VBD|VBN",
    "reaving": "VBG",
    "coldcocks": "VBZ",
    "coldcocked": "VBD|VBN",
    "coldcocking": "VBG",
    "bedights": "VBZ",
    "bedighted": "VBD|VBN",
    "bedighting": "VBG",
    "bedecks": "VBZ",
    "bedecked": "VBD|VBN",
    "bedecking": "VBG",
    "transfixs": "VBZ",
    "transfixed": "VBD|VBN",
    "impales": "VBZ",
    "empales": "VBZ",
    "empaled": "VBD|VBN",
    "empaling": "VBG",
    "posits": "VBZ",
    "positted": "VBD|VBN",
    "positting": "VBG",
    "assoils": "VBZ",
    "assoiled": "VBD|VBN",
    "assoiling": "VBG",
    "exculpates": "VBZ",
    "exculpated": "VBD|VBN",
    "exculpating": "VBG",
    "scrunches": "VBZ",
    "scrunched": "VBD|VBN",
    "scrunching": "VBG",
    "incinerates": "VBZ",
    "incinerated": "VBD|VBN",
    "incinerating": "VBG",
    "combusts": "VBZ",
    "combusted": "VBD|VBN",
    "combusting": "VBG",
    "pretermits": "VBZ",
    "pretermitted": "VBD|VBN",
    "pretermitting": "VBG",
    "overleaps": "VBZ",
    "overleaped": "VBD|VBN",
    "overleaping": "VBG",
    "molts": "VBZ",
    "molted": "VBD|VBN",
    "exuviates": "VBZ",
    "exuviated": "VBD|VBN",
    "exuviating": "VBG",
    "face-lifts": "VBZ",
    "face-lifted": "VBD|VBN",
    "annuls": "VBZ",
    "annulling": "VBG",
    "countermands": "VBZ",
    "countermanded": "VBD|VBN",
    "countermanding": "VBG",
    "ramifies": "VBZ",
    "ramified": "VBD|VBN",
    "ramifying": "VBG",
    "furcates": "VBZ",
    "furcated": "VBD|VBN",
    "furcating": "VBG",
    "armours": "VBZ",
    "armoured": "VBD|VBN",
    "armouring": "VBG",
    "complexifies": "VBZ",
    "complexified": "VBD|VBN",
    "complexifying": "VBG",
    "aggresses": "VBZ",
    "aggressed": "VBD|VBN",
    "aggressing": "VBG",
    "trounces": "VBZ",
    "initializes": "VBZ",
    "initialized": "VBD|VBN",
    "initializing": "VBG",
    "outsmarts": "VBZ",
    "outsmarting": "VBG",
    "pulsates": "VBZ",
    "throbs": "VBZ",
    "ticktocks": "VBZ",
    "ticktocked": "VBD|VBN",
    "ticktocking": "VBG",
    "ticktacks": "VBZ",
    "ticktacked": "VBD|VBN",
    "ticktacking": "VBG",
    "reticks": "VBZ",
    "reticked": "VBD|VBN",
    "reticking": "VBG",
    "thrums": "VBZ",
    "thrummed": "VBD|VBN",
    "swishes": "VBZ",
    "swishing": "VBG",
    "swoshes": "VBZ",
    "swoshed": "VBD|VBN",
    "swoshing": "VBG",
    "swooshes": "VBZ",
    "swooshed": "VBD|VBN",
    "swooshing": "VBG",
    "hitchhikes": "VBZ",
    "hitchhiked": "VBD|VBN",
    "hitchhiking": "VBG",
    "gimps": "VBZ",
    "gimped": "VBD|VBN",
    "gimping": "VBG",
    "whelms": "VBZ",
    "whelmed": "VBD|VBN",
    "whelming": "VBG",
    "kiboshes": "VBZ",
    "kiboshed": "VBD|VBN",
    "kiboshing": "VBG",
    "immobilizes": "VBZ",
    "immobilizing": "VBG",
    "circumnavigates": "VBZ",
    "circumnavigated": "VBD|VBN",
    "circumnavigating": "VBG",
    "barricados": "VBZ",
    "barricadoed": "VBD|VBN",
    "barricadoing": "VBG",
    "enounces": "VBZ",
    "enounced": "VBD|VBN",
    "enouncing": "VBG",
    "ravishes": "VBZ",
    "ravished": "VBD|VBN",
    "ravishing": "VBG",
    "dishonours": "VBZ",
    "dishonoured": "VBD|VBN",
    "tincts": "VBZ",
    "tincted": "VBD|VBN",
    "tincting": "VBG",
    "tinging": "VBG",
    "avows": "VBZ",
    "avowing": "VBG",
    "avers": "VBZ",
    "avered": "VBD|VBN",
    "avering": "VBG",
    "asseverates": "VBZ",
    "asseverated": "VBD|VBN",
    "asseverating": "VBG",
    "importunes": "VBZ",
    "importuned": "VBD|VBN",
    "importuning": "VBG",
    "deputes": "VBZ",
    "deputed": "VBD|VBN",
    "deputing": "VBG",
    "redacts": "VBZ",
    "redacted": "VBD|VBN",
    "redacting": "VBG",
    "indues": "VBZ",
    "indued": "VBD|VBN",
    "induing": "VBG",
    "endues": "VBZ",
    "endued": "VBD|VBN",
    "enduing": "VBG",
    "entraps": "VBZ",
    "entrapped": "VBD|VBN",
    "entrapping": "VBG",
    "consociates": "VBZ",
    "consociated": "VBD|VBN",
    "consociating": "VBG",
    "colligates": "VBZ",
    "colligated": "VBD|VBN",
    "colligating": "VBG",
    "premisses": "VBZ",
    "premissed": "VBD|VBN",
    "premissing": "VBG",
    "antecedes": "VBZ",
    "anteceded": "VBD|VBN",
    "anteceding": "VBG",
    "antedates": "VBZ",
    "antedated": "VBD|VBN",
    "antedating": "VBG",
    "foredates": "VBZ",
    "foredated": "VBD|VBN",
    "foredating": "VBG",
    "vouches": "VBZ",
    "vouched": "VBD|VBN",
    "rollicks": "VBZ",
    "rollicked": "VBD|VBN",
    "skylarks": "VBZ",
    "skylarked": "VBD|VBN",
    "disports": "VBZ",
    "disported": "VBD|VBN",
    "disporting": "VBG",
    "gambols": "VBZ",
    "gambolled": "VBD|VBN",
    "gambolling": "VBG",
    "frisks": "VBZ",
    "frisked": "VBD|VBN",
    "frisking": "VBG",
    "constipates": "VBZ",
    "constipated": "VBD|VBN",
    "constipating": "VBG",
    "congests": "VBZ",
    "congesting": "VBG",
    "wakens": "VBZ",
    "wakenned": "VBD|VBN",
    "wakenning": "VBG",
    "clacks": "VBZ",
    "clacked": "VBD|VBN",
    "clacking": "VBG",
    "piffles": "VBZ",
    "piffled": "VBD|VBN",
    "piffling": "VBG",
    "palavers": "VBZ",
    "palavered": "VBD|VBN",
    "palavering": "VBG",
    "prates": "VBZ",
    "prated": "VBD|VBN",
    "prating": "VBG",
    "tittle-tattles": "VBZ",
    "tittle-tattled": "VBD|VBN",
    "tittle-tattling": "VBG",
    "maunders": "VBZ",
    "maundered": "VBD|VBN",
    "maundering": "VBG",
    "blabbing": "VBG",
    "gibbers": "VBZ",
    "gibbered": "VBD|VBN",
    "gibbering": "VBG",
    "tattles": "VBZ",
    "tattled": "VBD|VBN",
    "tattling": "VBG",
    "blabbers": "VBZ",
    "blabbered": "VBD|VBN",
    "blabbering": "VBG",
    "condescends": "VBZ",
    "condescended": "VBD|VBN",
    "deigns": "VBZ",
    "deigning": "VBG",
    "debars": "VBZ",
    "debared": "VBD|VBN",
    "debaring": "VBG",
    "forefends": "VBZ",
    "forefended": "VBD|VBN",
    "forefending": "VBG",
    "forfends": "VBZ",
    "forfended": "VBD|VBN",
    "forfending": "VBG",
    "ostracizes": "VBZ",
    "ostracizing": "VBG",
    "blackballs": "VBZ",
    "blackballing": "VBG",
    "mangles": "VBZ",
    "mangling": "VBG",
    "begrimes": "VBZ",
    "begrimed": "VBD|VBN",
    "begriming": "VBG",
    "collies": "VBZ",
    "collied": "VBD|VBN",
    "collying": "VBG",
    "bemires": "VBZ",
    "bemired": "VBD|VBN",
    "bemiring": "VBG",
    "featherbeds": "VBZ",
    "featherbeded": "VBD|VBN",
    "featherbeding": "VBG",
    "cossets": "VBZ",
    "cossetted": "VBD|VBN",
    "cossetting": "VBG",
    "cockers": "VBZ",
    "cockered": "VBD|VBN",
    "cockering": "VBG",
    "indorses": "VBZ",
    "indorsing": "VBG",
    "free-bases": "VBZ",
    "free-based": "VBD|VBN",
    "free-basing": "VBG",
    "rootles": "VBZ",
    "rootled": "VBD|VBN",
    "rootling": "VBG",
    "equilibrates": "VBZ",
    "equilibrating": "VBG",
    "equilibrizes": "VBZ",
    "equilibrized": "VBD|VBN",
    "equilibrizing": "VBG",
    "counterposes": "VBZ",
    "counterposed": "VBD|VBN",
    "counterposing": "VBG",
    "fructifies": "VBZ",
    "fructified": "VBD|VBN",
    "fructifying": "VBG",
    "environned": "VBD|VBN",
    "environning": "VBG",
    "resounded": "VBD|VBN",
    "adjures": "VBZ",
    "adjured": "VBD|VBN",
    "adjuring": "VBG",
    "hollos": "VBZ",
    "holloed": "VBD|VBN",
    "holloing": "VBG",
    "destines": "VBZ",
    "destining": "VBG",
    "engrafts": "VBZ",
    "engrafted": "VBD|VBN",
    "engrafting": "VBG",
    "embeds": "VBZ",
    "embeded": "VBD|VBN",
    "embeding": "VBG",
    "imbeds": "VBZ",
    "imbeded": "VBD|VBN",
    "imbeding": "VBG",
    "situates": "VBZ",
    "situating": "VBG",
    "desexs": "VBZ",
    "desexed": "VBD|VBN",
    "desexing": "VBG",
    "unsexs": "VBZ",
    "unsexed": "VBD|VBN",
    "unsexing": "VBG",
    "desexualizes": "VBZ",
    "desexualized": "VBD|VBN",
    "desexualizing": "VBG",
    "fixates": "VBZ",
    "fixating": "VBG",
    "palisaded": "VBD|VBN",
    "palisading": "VBG",
    "beleaguers": "VBZ",
    "beleaguering": "VBG",
    "strangling": "VBG",
    "muffles": "VBZ",
    "muffling": "VBG",
    "asphyxiates": "VBZ",
    "asphyxiated": "VBD|VBN",
    "asphyxiating": "VBG",
    "spudded": "VBD|VBN",
    "spudding": "VBG",
    "pullulates": "VBZ",
    "pullulated": "VBD|VBN",
    "pullulating": "VBG",
    "bourgeons": "VBZ",
    "bourgeoned": "VBD|VBN",
    "bourgeoning": "VBG",
    "knaps": "VBZ",
    "knapped": "VBD|VBN",
    "knapping": "VBG",
    "scoots": "VBZ",
    "strickles": "VBZ",
    "strickled": "VBD|VBN",
    "strickling": "VBG",
    "denudates": "VBZ",
    "denudated": "VBD|VBN",
    "denudating": "VBG",
    "quetches": "VBZ",
    "quetched": "VBD|VBN",
    "quetching": "VBG",
    "kvetches": "VBZ",
    "kvetched": "VBD|VBN",
    "kvetching": "VBG",
    "entwines": "VBZ",
    "entwining": "VBG",
    "puckers": "VBZ",
    "rumples": "VBZ",
    "rumpling": "VBG",
    "cockled": "VBD|VBN",
    "cockling": "VBG",
    "rucks": "VBZ",
    "rucked": "VBD|VBN",
    "rucking": "VBG",
    "traumatizes": "VBZ",
    "traumatizing": "VBG",
    "finalizes": "VBZ",
    "ensconces": "VBZ",
    "ensconcing": "VBG",
    "spread-eagles": "VBZ",
    "spread-eagling": "VBG",
    "spreadeagles": "VBZ",
    "spreadeagled": "VBD|VBN",
    "spreadeagling": "VBG",
    "aggroups": "VBZ",
    "aggrouped": "VBD|VBN",
    "aggrouping": "VBG",
    "drubs": "VBZ",
    "skitters": "VBZ",
    "skittered": "VBD|VBN",
    "skittering": "VBG",
    "pelted": "VBD|VBN",
    "contravenes": "VBZ",
    "contravening": "VBG",
    "clambers": "VBZ",
    "shinnies": "VBZ",
    "shinnied": "VBD|VBN",
    "shinnying": "VBG",
    "repugns": "VBZ",
    "repugned": "VBD|VBN",
    "repugning": "VBG",
    "argufies": "VBZ",
    "argufied": "VBD|VBN",
    "argufying": "VBG",
    "altercates": "VBZ",
    "altercated": "VBD|VBN",
    "altercating": "VBG",
    "jampacks": "VBZ",
    "jampacked": "VBD|VBN",
    "jampacking": "VBG",
    "razes": "VBZ",
    "rases": "VBZ",
    "rased": "VBD|VBN",
    "rasing": "VBG",
    "ruckles": "VBZ",
    "ruckled": "VBD|VBN",
    "ruckling": "VBG",
    "crinkled": "VBD|VBN",
    "crinkling": "VBG",
    "bellyaches": "VBZ",
    "bellyached": "VBD|VBN",
    "gazumps": "VBZ",
    "gazumped": "VBD|VBN",
    "gazumping": "VBG",
    "embosses": "VBZ",
    "embossing": "VBG",
    "stomps": "VBZ",
    "tenderizes": "VBZ",
    "tenderized": "VBD|VBN",
    "tenderizing": "VBG",
    "terrasses": "VBZ",
    "terrassed": "VBD|VBN",
    "terrassing": "VBG",
    "perturbs": "VBZ",
    "perturbing": "VBG",
    "unhinges": "VBZ",
    "unhinging": "VBG",
    "carks": "VBZ",
    "carked": "VBD|VBN",
    "carking": "VBG",
    "deranges": "VBZ",
    "deranging": "VBG",
    "constellates": "VBZ",
    "constellated": "VBD|VBN",
    "constellating": "VBG",
    "outmatches": "VBZ",
    "outmatching": "VBG",
    "outgos": "VBZ",
    "outgoed": "VBD|VBN",
    "predetermines": "VBZ",
    "predetermining": "VBG",
    "overtops": "VBZ",
    "overtoped": "VBD|VBN",
    "overtoping": "VBG",
    "protracts": "VBZ",
    "protracting": "VBG",
    "exserts": "VBZ",
    "exserted": "VBD|VBN",
    "exserting": "VBG",
    "birdwatches": "VBZ",
    "birdwatched": "VBD|VBN",
    "birdwatching": "VBG",
    "abducts": "VBZ",
    "abducting": "VBG",
    "descries": "VBZ",
    "descried": "VBD|VBN",
    "descrying": "VBG",
    "espies": "VBZ",
    "espied": "VBD|VBN",
    "espying": "VBG",
    "repoints": "VBZ",
    "repointed": "VBD|VBN",
    "repointing": "VBG",
    "smutchs": "VBZ",
    "smutched": "VBD|VBN",
    "smutching": "VBG",
    "luffs": "VBZ",
    "luffed": "VBD|VBN",
    "luffing": "VBG",
    "manoeuvers": "VBZ",
    "manoeuvered": "VBD|VBN",
    "manoeuvering": "VBG",
    "manoeuvres": "VBZ",
    "manoeuvred": "VBD|VBN",
    "manoeuvring": "VBG",
    "orients": "VBZ",
    "orientates": "VBZ",
    "orientated": "VBD|VBN",
    "orientating": "VBG",
    "backbites": "VBZ",
    "backbited": "VBD|VBN",
    "backbiting": "VBG",
    "defaced": "VBD|VBN|JJ",
    "disfigures": "VBZ",
    "disfiguring": "VBG",
    "goldbricks": "VBZ",
    "goldbricked": "VBD|VBN",
    "goldbricking": "VBG",
    "mulcts": "VBZ",
    "mulcted": "VBD|VBN",
    "mulcting": "VBG",
    "hornswoggles": "VBZ",
    "hornswoggled": "VBD|VBN",
    "hornswoggling": "VBG",
    "prickles": "VBZ",
    "prickled": "VBD|VBN",
    "prickling": "VBG",
    "plats": "VBZ",
    "platting": "VBG",
    "outdistances": "VBZ",
    "pillories": "VBZ",
    "crucifies": "VBZ",
    "dosses": "VBZ",
    "dossed": "VBD|VBN",
    "dossing": "VBG",
    "clangors": "VBZ",
    "clangored": "VBD|VBN",
    "clangoring": "VBG",
    "hallows": "VBZ",
    "hallowing": "VBG",
    "winkles": "VBZ",
    "winkled": "VBD|VBN",
    "winkling": "VBG",
    "nictitates": "VBZ",
    "nictitated": "VBD|VBN",
    "nictitating": "VBG",
    "nictates": "VBZ",
    "nictated": "VBD|VBN",
    "nictating": "VBG",
    "ostentates": "VBZ",
    "ostentated": "VBD|VBN",
    "ostentating": "VBG",
    "extravasates": "VBZ",
    "extravasated": "VBD|VBN",
    "extravasating": "VBG",
    "conflagrates": "VBZ",
    "conflagrated": "VBD|VBN",
    "conflagrating": "VBG",
    "obturates": "VBZ",
    "obturated": "VBD|VBN",
    "obturating": "VBG",
    "occludes": "VBZ",
    "occluding": "VBG",
    "stymies": "VBZ",
    "stymying": "VBG",
    "ingurgitates": "VBZ",
    "ingurgitated": "VBD|VBN",
    "ingurgitating": "VBG",
    "overindulges": "VBZ",
    "overindulging": "VBG",
    "engluts": "VBZ",
    "englutted": "VBD|VBN",
    "englutting": "VBG",
    "engorges": "VBZ",
    "engorging": "VBG",
    "overgorges": "VBZ",
    "overgorged": "VBD|VBN",
    "overgorging": "VBG",
    "gormandizes": "VBZ",
    "gormandized": "VBD|VBN",
    "gormandizing": "VBG",
    "gourmandizes": "VBZ",
    "gourmandized": "VBD|VBN",
    "gourmandizing": "VBG",
    "hurtles": "VBZ",
    "swashes": "VBZ",
    "swashed": "VBD|VBN",
    "swashing": "VBG",
    "vaunts": "VBZ",
    "vaunting": "VBG",
    "fellates": "VBZ",
    "fellated": "VBD|VBN",
    "fellating": "VBG",
    "emaciates": "VBZ",
    "emaciating": "VBG",
    "macerates": "VBZ",
    "macerated": "VBD|VBN",
    "macerating": "VBG",
    "botchs": "VBZ",
    "botching": "VBG",
    "bodges": "VBZ",
    "bodged": "VBD|VBN",
    "bodging": "VBG",
    "flubs": "VBZ",
    "flubbing": "VBG",
    "bungles": "VBZ",
    "bollixs": "VBZ",
    "bollixed": "VBD|VBN",
    "bollixing": "VBG",
    "bollockss": "VBZ",
    "bollocksed": "VBD|VBN",
    "bollocksing": "VBG",
    "bobbled": "VBD|VBN",
    "bobbling": "VBG",
    "mishandles": "VBZ",
    "breastfeeds": "VBZ",
    "breastfeeded": "VBD|VBN",
    "breastfeeding": "VBG",
    "suckles": "VBZ",
    "suckled": "VBD|VBN",
    "suckling": "VBG",
    "stuns": "VBZ",
    "stuned": "VBD|VBN",
    "stuning": "VBG",
    "bedazes": "VBZ",
    "bedazed": "VBD|VBN",
    "bedazing": "VBG",
    "bedazzles": "VBZ",
    "bedazzling": "VBG",
    "countervails": "VBZ",
    "countervailed": "VBD|VBN",
    "curtsies": "VBZ",
    "curtsied": "VBD|VBN",
    "curtsying": "VBG",
    "bobs": "VBZ",
    "curtseys": "VBZ",
    "curtseying": "VBG",
    "bobsleds": "VBZ",
    "bobsleded": "VBD|VBN",
    "bobsleding": "VBG",
    "moils": "VBZ",
    "moiled": "VBD|VBN",
    "moiling": "VBG",
    "absconds": "VBZ",
    "absconded": "VBD|VBN",
    "absconding": "VBG",
    "absquatulates": "VBZ",
    "absquatulated": "VBD|VBN",
    "absquatulating": "VBG",
    "decamps": "VBZ",
    "decamping": "VBG",
    "hyphenned": "VBD|VBN",
    "hyphenning": "VBG",
    "debones": "VBZ",
    "deboned": "VBD|VBN",
    "deboning": "VBG",
    "fetters": "VBZ",
    "fettering": "VBG",
    "pinions": "VBZ",
    "pinioning": "VBG",
    "hyphenates": "VBZ",
    "hyphenating": "VBG",
    "reboots": "VBZ",
    "rebooted": "VBD|VBN",
    "rebooting": "VBG",
    "abuts": "VBZ",
    "abutted": "VBD|VBN",
    "abutting": "VBG",
    "resiles": "VBZ",
    "resiled": "VBD|VBN",
    "resiling": "VBG",
    "ricochets": "VBZ",
    "ricochetted": "VBD|VBN",
    "ricochetting": "VBG",
    "circumscribes": "VBZ",
    "squinches": "VBZ",
    "squinched": "VBD|VBN",
    "squinching": "VBG",
    "funked": "VBD|VBN",
    "funking": "VBG",
    "quails": "VBZ",
    "quailed": "VBD|VBN",
    "disobliges": "VBZ",
    "disobliged": "VBD|VBN",
    "disobliging": "VBG",
    "discommodes": "VBZ",
    "discommoded": "VBD|VBN",
    "discommoding": "VBG",
    "ailed": "VBD|VBN",
    "narks": "VBZ",
    "narked": "VBD|VBN",
    "narking": "VBG",
    "nettles": "VBZ",
    "nettling": "VBG",
    "niggles": "VBZ",
    "niggled": "VBD|VBN",
    "niggling": "VBG",
    "jumpstarts": "VBZ",
    "jumpstarted": "VBD|VBN",
    "jumpstarting": "VBG",
    "perforates": "VBZ",
    "perforating": "VBG",
    "overprotects": "VBZ",
    "overprotecting": "VBG",
    "bickers": "VBZ",
    "pothers": "VBZ",
    "pothered": "VBD|VBN",
    "pothering": "VBG",
    "imbues": "VBZ",
    "imbuing": "VBG",
    "pettifogs": "VBZ",
    "pettifogged": "VBD|VBN",
    "pettifogging": "VBG",
    "brabbles": "VBZ",
    "brabbled": "VBD|VBN",
    "brabbling": "VBG",
    "regorges": "VBZ",
    "regorged": "VBD|VBN",
    "regorging": "VBG",
    "barfs": "VBZ",
    "barfed": "VBD|VBN",
    "barfing": "VBG",
    "spues": "VBZ",
    "spued": "VBD|VBN",
    "spuing": "VBG",
    "upchucks": "VBZ",
    "upchucked": "VBD|VBN",
    "upchucking": "VBG",
    "regurgitates": "VBZ",
    "wreathes": "VBZ",
    "wreathing": "VBG",
    "handbuilds": "VBZ",
    "handbuilded": "VBD|VBN",
    "handbuilding": "VBG",
    "hand-builds": "VBZ",
    "hand-builded": "VBD|VBN",
    "hand-building": "VBG",
    "percolates": "VBZ",
    "percolated": "VBD|VBN",
    "percolating": "VBG",
    "egresses": "VBZ",
    "egressed": "VBD|VBN",
    "egressing": "VBG",
    "dilapidates": "VBZ",
    "dilapidating": "VBG",
    "dissevers": "VBZ",
    "dissevered": "VBD|VBN",
    "dissevering": "VBG",
    "desecrating": "VBG",
    "unhallows": "VBZ",
    "unhallowed": "VBD|VBN",
    "unhallowing": "VBG",
    "deconsecrates": "VBZ",
    "deconsecrated": "VBD|VBN",
    "deconsecrating": "VBG",
    "respires": "VBZ",
    "respired": "VBD|VBN",
    "respiring": "VBG",
    "suspires": "VBZ",
    "suspired": "VBD|VBN",
    "suspiring": "VBG",
    "misidentifies": "VBZ",
    "misidentified": "VBD|VBN",
    "misidentifying": "VBG",
    "embrowns": "VBZ",
    "embrowned": "VBD|VBN",
    "embrowning": "VBG",
    "mizzles": "VBZ",
    "mizzled": "VBD|VBN",
    "mizzling": "VBG",
    "genuflects": "VBZ",
    "genuflected": "VBD|VBN",
    "genuflecting": "VBG",
    "scrabbles": "VBZ",
    "scrabbled": "VBD|VBN",
    "scrabbling": "VBG",
    "burps": "VBZ",
    "burped": "VBD|VBN",
    "eructs": "VBZ",
    "eructed": "VBD|VBN",
    "eructing": "VBG",
    "guggles": "VBZ",
    "guggled": "VBD|VBN",
    "guggling": "VBG",
    "burbled": "VBD|VBN",
    "burbling": "VBG",
    "burnishes": "VBZ",
    "furbishes": "VBZ",
    "furbished": "VBD|VBN",
    "badgers": "VBZ",
    "razzes": "VBZ",
    "razzed": "VBD|VBN",
    "razzing": "VBG",
    "tantalizes": "VBZ",
    "twits": "VBZ",
    "twitted": "VBD|VBN",
    "twitting": "VBG",
    "gelds": "VBZ",
    "gelded": "VBD|VBN",
    "blue-pencils": "VBZ",
    "blue-pencilled": "VBD|VBN",
    "blue-pencilling": "VBG",
    "slues": "VBZ",
    "slued": "VBD|VBN",
    "sluing": "VBG",
    "tippytoes": "VBZ",
    "tippytoeed": "VBD|VBN",
    "tippytoeing": "VBG",
    "entombs": "VBZ",
    "entombing": "VBG",
    "inhumes": "VBZ",
    "inhumed": "VBD|VBN",
    "inhuming": "VBG",
    "rives": "VBZ",
    "rived": "VBD|VBN",
    "riving": "VBG",
    "verbalizes": "VBZ",
    "verbalized": "VBD|VBN",
    "verbalizing": "VBG",
    "evinces": "VBZ",
    "evincing": "VBG",
    "bombinates": "VBZ",
    "bombinated": "VBD|VBN",
    "bombinating": "VBG",
    "bombilates": "VBZ",
    "bombilated": "VBD|VBN",
    "bombilating": "VBG",
    "remodels": "VBZ",
    "remodelled": "VBD|VBN",
    "remodelling": "VBG",
    "restitutes": "VBZ",
    "restituted": "VBD|VBN",
    "restituting": "VBG",
    "yawed": "VBD|VBN",
    "yawing": "VBG",
    "deoxidizes": "VBZ",
    "deoxidized": "VBD|VBN",
    "deoxidizing": "VBG",
    "tranquilizes": "VBZ",
    "tranquilized": "VBD|VBN",
    "tranquillizes": "VBZ",
    "tranquillized": "VBD|VBN",
    "tranquillizing": "VBG",
    "quietens": "VBZ",
    "quietened": "VBD|VBN",
    "quietening": "VBG",
    "becalms": "VBZ",
    "becalming": "VBG",
    "canalizes": "VBZ",
    "canalized": "VBD|VBN",
    "canalizing": "VBG",
    "effaced": "VBD|VBN",
    "effacing": "VBG",
    "sugarcoats": "VBZ",
    "sugarcoated": "VBD|VBN",
    "sugarcoating": "VBG",
    "souses": "VBZ",
    "soused": "VBD|VBN",
    "sousing": "VBG",
    "waggles": "VBZ",
    "promulgates": "VBZ",
    "locomotes": "VBZ",
    "locomoted": "VBD|VBN",
    "locomoting": "VBG",
    "jaunted": "VBD|VBN",
    "jaunting": "VBG",
    "befools": "VBZ",
    "befooled": "VBD|VBN",
    "befooling": "VBG",
    "sculpting": "VBG",
    "tautens": "VBZ",
    "tautened": "VBD|VBN",
    "tautening": "VBG",
    "enthralls": "VBZ",
    "drivels": "VBZ",
    "drivelled": "VBD|VBN",
    "drivelling": "VBG",
    "drools": "VBZ",
    "slabbers": "VBZ",
    "slabbered": "VBD|VBN",
    "slabbering": "VBG",
    "slavers": "VBZ",
    "slavering": "VBG",
    "slobbers": "VBZ",
    "slobbered": "VBD|VBN",
    "slobbering": "VBG",
    "encases": "VBZ",
    "incases": "VBZ",
    "incased": "VBD|VBN",
    "incasing": "VBG",
    "yarn-dyes": "VBZ",
    "yarn-dyeed": "VBD|VBN",
    "yarn-dyeing": "VBG",
    "ingrains": "VBZ",
    "ingraining": "VBG",
    "reconnoitres": "VBZ",
    "reconnoitred": "VBD|VBN",
    "reconnoitring": "VBG",
    "embroils": "VBZ",
    "embroiling": "VBG",
    "crawfishes": "VBZ",
    "crawfished": "VBD|VBN",
    "crawfishing": "VBG",
    "sequestrates": "VBZ",
    "sequestrated": "VBD|VBN",
    "sequestrating": "VBG",
    "unsays": "VBZ",
    "unsayed": "VBD|VBN",
    "unsaying": "VBG",
    "spelunks": "VBZ",
    "spelunked": "VBD|VBN",
    "lionizes": "VBZ",
    "lionizing": "VBG",
    "rivetted": "VBD|VBN",
    "rivetting": "VBG",
    "overmasters": "VBZ",
    "overmastered": "VBD|VBN",
    "overmastering": "VBG",
    "submerses": "VBZ",
    "submersed": "VBD|VBN",
    "submersing": "VBG",
    "judders": "VBZ",
    "juddered": "VBD|VBN",
    "juddering": "VBG",
    "lolls": "VBZ",
    "lolled": "VBD|VBN",
    "chouses": "VBZ",
    "choused": "VBD|VBN",
    "chousing": "VBG",
    "chicanes": "VBZ",
    "chicaned": "VBD|VBN",
    "chicaning": "VBG",
    "heartens": "VBZ",
    "emboldens": "VBZ",
    "emboldenned": "VBD|VBN",
    "emboldenning": "VBG",
    "masticates": "VBZ",
    "masticated": "VBD|VBN",
    "masticating": "VBG",
    "manducates": "VBZ",
    "manducated": "VBD|VBN",
    "manducating": "VBG",
    "chivies": "VBZ",
    "chivied": "VBD|VBN",
    "chivvies": "VBZ",
    "chivvied": "VBD|VBN",
    "chivvying": "VBG",
    "chevies": "VBZ",
    "chevied": "VBD|VBN",
    "chevying": "VBG",
    "chevvies": "VBZ",
    "chevvied": "VBD|VBN",
    "chevvying": "VBG",
    "anneals": "VBZ",
    "annealed": "VBD|VBN",
    "annealing": "VBG",
    "mooches": "VBZ",
    "mooched": "VBD|VBN",
    "mooching": "VBG",
    "nicks": "VBZ",
    "nicking": "VBG",
    "fuddles": "VBZ",
    "fuddled": "VBD|VBN",
    "fuddling": "VBG",
    "discombobulates": "VBZ",
    "discombobulated": "VBD|VBN",
    "discombobulating": "VBG",
    "obnubilates": "VBZ",
    "obnubilated": "VBD|VBN",
    "obnubilating": "VBG",
    "bemuses": "VBZ",
    "bemusing": "VBG",
    "ingrafts": "VBZ",
    "ingrafted": "VBD|VBN",
    "ingrafting": "VBG",
    "convalesces": "VBZ",
    "convalesced": "VBD|VBN",
    "forbeared": "VBD|VBN",
    "forbearing": "VBG",
    "permutes": "VBZ",
    "permuted": "VBD|VBN",
    "permuting": "VBG",
    "collocates": "VBZ",
    "collocated": "VBD|VBN",
    "collocating": "VBG",
    "footslogs": "VBZ",
    "footslogged": "VBD|VBN",
    "footslogging": "VBG",
    "oppugns": "VBZ",
    "oppugned": "VBD|VBN",
    "oppugning": "VBG",
    "reddens": "VBZ",
    "reddenned": "VBD|VBN",
    "reddenning": "VBG",
    "abduces": "VBZ",
    "abduced": "VBD|VBN",
    "abducing": "VBG",
    "laves": "VBZ",
    "laved": "VBD|VBN",
    "laving": "VBG",
    "scavenges": "VBZ",
    "scavenged": "VBD|VBN",
    "housecleans": "VBZ",
    "housecleaned": "VBD|VBN",
    "netts": "VBZ",
    "unclutters": "VBZ",
    "uncluttering": "VBG",
    "tinkles": "VBZ",
    "tinks": "VBZ",
    "tinked": "VBD|VBN",
    "tinking": "VBG",
    "clinks": "VBZ",
    "clinking": "VBG",
    "focalizes": "VBZ",
    "focalized": "VBD|VBN",
    "focalizing": "VBG",
    "yaked": "VBD|VBN",
    "yaking": "VBG",
    "mottles": "VBZ",
    "mottling": "VBG",
    "dapples": "VBZ",
    "dappling": "VBG",
    "befogs": "VBZ",
    "befogging": "VBG",
    "beclouds": "VBZ",
    "beclouded": "VBD|VBN",
    "beclouding": "VBG",
    "bedims": "VBZ",
    "bedimmed": "VBD|VBN",
    "bedimming": "VBG",
    "overclouds": "VBZ",
    "overclouded": "VBD|VBN",
    "overclouding": "VBG",
    "clews": "VBZ",
    "clewed": "VBD|VBN",
    "clewing": "VBG",
    "ennobles": "VBZ",
    "ennobled": "VBD|VBN",
    "ennobling": "VBG",
    "tittups": "VBZ",
    "tittuped": "VBD|VBN",
    "tittuping": "VBG",
    "prances": "VBZ",
    "pranced": "VBD|VBN",
    "enciphers": "VBZ",
    "enciphering": "VBG",
    "encrypts": "VBZ",
    "encrypted": "VBD|VBN",
    "tweets": "VBZ",
    "tweeted": "VBD|VBN",
    "tweeting": "VBG",
    "vellicates": "VBZ",
    "vellicated": "VBD|VBN",
    "vellicating": "VBG",
    "stagnates": "VBZ",
    "excepts": "VBZ",
    "excepted": "VBD|VBN",
    "emblazons": "VBZ",
    "emblazonned": "VBD|VBN",
    "emblazonning": "VBG",
    "colorizes": "VBZ",
    "colorized": "VBD|VBN",
    "colorizing": "VBG",
    "colourizes": "VBZ",
    "colourized": "VBD|VBN",
    "colourizing": "VBG",
    "discoloring": "VBG",
    "discolours": "VBZ",
    "discoloured": "VBD|VBN",
    "discolouring": "VBG",
    "befouls": "VBZ",
    "befouling": "VBG",
    "maculates": "VBZ",
    "maculated": "VBD|VBN",
    "maculating": "VBG",
    "entangles": "VBZ",
    "entangling": "VBG",
    "swills": "VBZ",
    "swilled": "VBD|VBN",
    "swilling": "VBG",
    "spirts": "VBZ",
    "spirted": "VBD|VBN",
    "spirting": "VBG",
    "crapes": "VBZ",
    "craped": "VBD|VBN",
    "craping": "VBG",
    "frizzles": "VBZ",
    "frizzes": "VBZ",
    "frizzed": "VBD|VBN",
    "frizzing": "VBG",
    "basks": "VBZ",
    "decants": "VBZ",
    "whops": "VBZ",
    "whopped": "VBD|VBN",
    "whaps": "VBZ",
    "whapped": "VBD|VBN",
    "whapping": "VBG",
    "bonks": "VBZ",
    "bonked": "VBD|VBN",
    "bonking": "VBG",
    "excogitates": "VBZ",
    "excogitated": "VBD|VBN",
    "excogitating": "VBG",
    "indites": "VBZ",
    "indited": "VBD|VBN",
    "inditing": "VBG",
    "gestates": "VBZ",
    "gestated": "VBD|VBN",
    "gestating": "VBG",
    "conceptualizes": "VBZ",
    "conceptualized": "VBD|VBN",
    "confabulates": "VBZ",
    "confabulating": "VBG",
    "confabs": "VBZ",
    "confabbed": "VBD|VBN",
    "confabbing": "VBG",
    "finks": "VBZ",
    "finked": "VBD|VBN",
    "finking": "VBG",
    "surveils": "VBZ",
    "surveiled": "VBD|VBN",
    "surveiling": "VBG",
    "reforges": "VBZ",
    "reforged": "VBD|VBN",
    "reforging": "VBG",
    "remolds": "VBZ",
    "remolded": "VBD|VBN",
    "remoulds": "VBZ",
    "remoulded": "VBD|VBN",
    "remoulding": "VBG",
    "squishes": "VBZ",
    "squishing": "VBG",
    "sploshes": "VBZ",
    "sploshed": "VBD|VBN",
    "sploshing": "VBG",
    "constringes": "VBZ",
    "constringed": "VBD|VBN",
    "constringing": "VBG",
    "speciates": "VBZ",
    "speciated": "VBD|VBN",
    "speciating": "VBG",
    "betroths": "VBZ",
    "betrothing": "VBG",
    "affiances": "VBZ",
    "affiancing": "VBG",
    "machinates": "VBZ",
    "machinated": "VBD|VBN",
    "machinating": "VBG",
    "unionizes": "VBZ",
    "unionizing": "VBG",
    "reduplicates": "VBZ",
    "reduplicated": "VBD|VBN",
    "reduplicating": "VBG",
    "retroflexs": "VBZ",
    "retroflexed": "VBD|VBN",
    "retroflexing": "VBG",
    "baulks": "VBZ",
    "baulked": "VBD|VBN",
    "baulking": "VBG",
    "jibs": "VBZ",
    "abnegates": "VBZ",
    "abnegated": "VBD|VBN",
    "abnegating": "VBG",
    "dethaws": "VBZ",
    "dethawed": "VBD|VBN",
    "dethawing": "VBG",
    "hotfoots": "VBZ",
    "hotfooted": "VBD|VBN",
    "hotfooting": "VBG",
    "hies": "VBZ",
    "hied": "VBD|VBN",
    "hying": "VBG",
    "festinates": "VBZ",
    "festinated": "VBD|VBN",
    "festinating": "VBG",
    "dawdles": "VBZ",
    "hybridizes": "VBZ",
    "hybridized": "VBD|VBN",
    "hybridizing": "VBG",
    "yammers": "VBZ",
    "yammered": "VBD|VBN",
    "yammering": "VBG",
    "yawps": "VBZ",
    "yawped": "VBD|VBN",
    "yawping": "VBG",
    "screaks": "VBZ",
    "screaked": "VBD|VBN",
    "screaking": "VBG",
    "skreaks": "VBZ",
    "skreaked": "VBD|VBN",
    "skreaking": "VBG",
    "overawes": "VBZ",
    "overawed": "VBD|VBN",
    "overawing": "VBG",
    "truckles": "VBZ",
    "truckled": "VBD|VBN",
    "truckling": "VBG",
    "bootlicks": "VBZ",
    "bootlicked": "VBD|VBN",
    "bootlicking": "VBG",
    "kotows": "VBZ",
    "kotowed": "VBD|VBN",
    "kotowing": "VBG",
    "excruciates": "VBZ",
    "excruciated": "VBD|VBN",
    "accredits": "VBZ",
    "accreditted": "VBD|VBN",
    "accreditting": "VBG",
    "weight-lifts": "VBZ",
    "weight-lifted": "VBD|VBN",
    "weight-lifting": "VBG",
    "weightlifts": "VBZ",
    "weightlifted": "VBD|VBN",
    "weightlifting": "VBG",
    "librates": "VBZ",
    "librated": "VBD|VBN",
    "librating": "VBG",
    "benumbs": "VBZ",
    "benumbed": "VBD|VBN",
    "benumbing": "VBG",
    "lauds": "VBZ",
    "lauding": "VBG",
    "extoled": "VBD|VBN",
    "extoling": "VBG",
    "predicating": "VBG",
    "transfuses": "VBZ",
    "transfusing": "VBG",
    "menstruates": "VBZ",
    "menstruated": "VBD|VBN",
    "menstruating": "VBG",
    "interlocks": "VBZ",
    "interlocked": "VBD|VBN",
    "interlaces": "VBZ",
    "gapes": "VBZ",
    "aromatizes": "VBZ",
    "aromatized": "VBD|VBN",
    "aromatizing": "VBG",
    "odorizes": "VBZ",
    "odorized": "VBD|VBN",
    "odorizing": "VBG",
    "customizes": "VBZ",
    "customizing": "VBG",
    "beshrews": "VBZ",
    "beshrewed": "VBD|VBN",
    "beshrewing": "VBG",
    "bedamns": "VBZ",
    "bedamned": "VBD|VBN",
    "bedamning": "VBG",
    "anathemizes": "VBZ",
    "anathemized": "VBD|VBN",
    "anathemizing": "VBG",
    "imprecated": "VBD|VBN",
    "imprecating": "VBG",
    "maledicts": "VBZ",
    "maledicted": "VBD|VBN",
    "maledicting": "VBG",
    "cusss": "VBZ",
    "cussed": "VBD|VBN",
    "cussing": "VBG",
    "blasphemes": "VBZ",
    "blaspheming": "VBG",
    "deafens": "VBZ",
    "deafenned": "VBD|VBN",
    "deafenning": "VBG",
    "excommunicates": "VBZ",
    "excommunicating": "VBG",
    "unchurches": "VBZ",
    "unchurched": "VBD|VBN",
    "unchurching": "VBG",
    "flumps": "VBZ",
    "flumped": "VBD|VBN",
    "flumping": "VBG",
    "plonks": "VBZ",
    "plonked": "VBD|VBN",
    "plonking": "VBG",
    "plops": "VBZ",
    "plopping": "VBG",
    "gladdens": "VBZ",
    "gladdenned": "VBD|VBN",
    "gladdenning": "VBG",
    "purveys": "VBZ",
    "purveyed": "VBD|VBN",
    "purveying": "VBG",
    "destructs": "VBZ",
    "destructed": "VBD|VBN",
    "destructing": "VBG",
    "impersonating": "VBG",
    "exuberates": "VBZ",
    "exuberated": "VBD|VBN",
    "exuberating": "VBG",
    "exulting": "VBG|JJ",
    "jubilates": "VBZ",
    "jubilated": "VBD|VBN",
    "jubilating": "VBG",
    "decrypts": "VBZ",
    "decrypted": "VBD|VBN",
    "decrypting": "VBG",
    "mortifies": "VBZ",
    "mortified": "VBD|VBN",
    "mortifying": "VBG",
    "abases": "VBZ",
    "abased": "VBD|VBN",
    "abasing": "VBG",
    "personates": "VBZ",
    "personated": "VBD|VBN",
    "personating": "VBG",
    "disaccords": "VBZ",
    "disaccorded": "VBD|VBN",
    "disaccording": "VBG",
    "drudges": "VBZ",
    "drudged": "VBD|VBN",
    "drudging": "VBG",
    "slured": "VBD|VBN",
    "sluring": "VBG",
    "blears": "VBZ",
    "bleared": "VBD|VBN",
    "blearing": "VBG",
    "regularizes": "VBZ",
    "regularized": "VBD|VBN",
    "regularizing": "VBG",
    "concenters": "VBZ",
    "concentered": "VBD|VBN",
    "concentering": "VBG",
    "concentres": "VBZ",
    "concentred": "VBD|VBN",
    "concentring": "VBG",
    "incapacitates": "VBZ",
    "vaporizes": "VBZ",
    "vaporized": "VBD|VBN",
    "vaporizing": "VBG",
    "aviates": "VBZ",
    "aviated": "VBD|VBN",
    "aviating": "VBG",
    "harrows": "VBZ",
    "scuppers": "VBZ",
    "scuppered": "VBD|VBN",
    "scuppering": "VBG",
    "defames": "VBZ",
    "defaming": "VBG",
    "smirches": "VBZ",
    "smirched": "VBD|VBN",
    "smirching": "VBG",
    "asperses": "VBZ",
    "aspersed": "VBD|VBN",
    "aspersing": "VBG",
    "calumniates": "VBZ",
    "calumniating": "VBG",
    "daubs": "VBZ",
    "daubing": "VBG",
    "disjoints": "VBZ",
    "disjointing": "VBG",
    "palpates": "VBZ",
    "palpated": "VBD|VBN",
    "palpating": "VBG",
    "fagots": "VBZ",
    "fagotted": "VBD|VBN",
    "fagotting": "VBG",
    "enfeebles": "VBZ",
    "enfeebled": "VBD|VBN",
    "enfeebling": "VBG",
    "debilitates": "VBZ",
    "reanimates": "VBZ",
    "reanimated": "VBD|VBN",
    "reanimating": "VBG",
    "revivifies": "VBZ",
    "revivifying": "VBG",
    "obsessing": "VBG",
    "dredging": "VBG",
    "freewheels": "VBZ",
    "freewheeled": "VBD|VBN",
    "topes": "VBZ",
    "toped": "VBD|VBN",
    "toping": "VBG",
    "stargazes": "VBZ",
    "stargazed": "VBD|VBN",
    "stargazing": "VBG",
    "underprices": "VBZ",
    "e-mails": "VBZ",
    "e-mailed": "VBD|VBN",
    "e-mailing": "VBG",
    "emails": "VBZ",
    "emailed": "VBD|VBN",
    "emailing": "VBG",
    "netmails": "VBZ",
    "netmailed": "VBD|VBN",
    "netmailing": "VBG",
    "livens": "VBZ",
    "livenned": "VBD|VBN",
    "livenning": "VBG",
    "animizes": "VBZ",
    "animizing": "VBG",
    "ingeminates": "VBZ",
    "ingeminated": "VBD|VBN",
    "ingeminating": "VBG",
    "iterates": "VBZ",
    "iterated": "VBD|VBN",
    "iterating": "VBG",
    "occults": "VBZ",
    "occulted": "VBD|VBN",
    "occulting": "VBG",
    "crispens": "VBZ",
    "crispenned": "VBD|VBN",
    "crispenning": "VBG",
    "inundates": "VBZ",
    "divagates": "VBZ",
    "divagated": "VBD|VBN",
    "divagating": "VBG",
    "lucubrates": "VBZ",
    "lucubrated": "VBD|VBN",
    "lucubrating": "VBG",
    "expatiates": "VBZ",
    "expatiated": "VBD|VBN",
    "expatiating": "VBG",
    "exposits": "VBZ",
    "expositted": "VBD|VBN",
    "expositting": "VBG",
    "expounds": "VBZ",
    "undercoats": "VBZ",
    "undercoated": "VBD|VBN",
    "undercoating": "VBG",
    "decimates": "VBZ",
    "jacklights": "VBZ",
    "jacklighted": "VBD|VBN",
    "jacklighting": "VBG",
    "reprizes": "VBZ",
    "reprized": "VBD|VBN",
    "reprizing": "VBG",
    "inseminates": "VBZ",
    "inseminated": "VBD|VBN",
    "inseminating": "VBG",
    "ululates": "VBZ",
    "ululated": "VBD|VBN",
    "ululating": "VBG",
    "yaups": "VBZ",
    "yauped": "VBD|VBN",
    "yauping": "VBG",
    "wrawls": "VBZ",
    "wrawled": "VBD|VBN",
    "wrawling": "VBG",
    "yowls": "VBZ",
    "yowled": "VBD|VBN",
    "yowling": "VBG",
    "quiesces": "VBZ",
    "quiesced": "VBD|VBN",
    "quiescing": "VBG",
    "checkmates": "VBZ",
    "checkmated": "VBD|VBN",
    "checkmating": "VBG",
    "enrols": "VBZ",
    "infixs": "VBZ",
    "infixed": "VBD|VBN",
    "infixing": "VBG",
    "incloses": "VBZ",
    "inclosing": "VBG",
    "gesticulates": "VBZ",
    "narrates": "VBZ",
    "narrating": "VBG",
    "purees": "VBZ",
    "pureed": "VBD|VBN",
    "pureeing": "VBG",
    "filtrates": "VBZ",
    "filtrated": "VBD|VBN",
    "filtrating": "VBG",
    "contorts": "VBZ",
    "contorting": "VBG",
    "reveres": "VBZ",
    "revering": "VBG",
    "venerates": "VBZ",
    "venerating": "VBG",
    "fledges": "VBZ",
    "fledged": "VBD|VBN",
    "matt-ups": "VBZ",
    "matt-upped": "VBD|VBN",
    "matt-upping": "VBG",
    "flavours": "VBZ",
    "flavoured": "VBD|VBN",
    "flavouring": "VBG",
    "liquifies": "VBZ",
    "liquifying": "VBG",
    "liquidizes": "VBZ",
    "liquidized": "VBD|VBN",
    "liquidizing": "VBG",
    "effervesces": "VBZ",
    "effervesced": "VBD|VBN",
    "effervescing": "VBG",
    "flitters": "VBZ",
    "flittered": "VBD|VBN",
    "flittering": "VBG",
    "postdates": "VBZ",
    "postdated": "VBD|VBN",
    "postdating": "VBG",
    "afforests": "VBZ",
    "afforested": "VBD|VBN",
    "afforesting": "VBG",
    "interdicts": "VBZ",
    "interdicted": "VBD|VBN",
    "nixs": "VBZ",
    "nixing": "VBG",
    "bushwhacks": "VBZ",
    "bushwhacking": "VBG",
    "fobs": "VBZ",
    "fobbed": "VBD|VBN",
    "fobbing": "VBG",
    "shanghais": "VBZ",
    "shanghaied": "VBD|VBN",
    "shanghaiing": "VBG",
    "glowers": "VBZ",
    "sandbags": "VBZ",
    "sandbagged": "VBD|VBN",
    "sandbagging": "VBG",
    "unbraces": "VBZ",
    "unbraced": "VBD|VBN",
    "unbracing": "VBG",
    "unlaces": "VBZ",
    "unstrains": "VBZ",
    "unstrained": "VBD|VBN",
    "unstraining": "VBG",
    "unlaxes": "VBZ",
    "unlaxed": "VBD|VBN",
    "unlaxing": "VBG",
    "decompresses": "VBZ",
    "decompressed": "VBD|VBN",
    "decompressing": "VBG",
    "intoning": "VBG",
    "lenifies": "VBZ",
    "lenified": "VBD|VBN",
    "lenifying": "VBG",
    "gruntles": "VBZ",
    "gruntled": "VBD|VBN",
    "gruntling": "VBG",
    "ghostwrites": "VBZ",
    "ghostwrited": "VBD|VBN",
    "ghostwriting": "VBG",
    "bejewels": "VBZ",
    "bejewelled": "VBD|VBN",
    "bejewelling": "VBG",
    "granulates": "VBZ",
    "granulated": "VBD|VBN",
    "granulating": "VBG",
    "regales": "VBZ",
    "regaling": "VBG",
    "overacts": "VBZ",
    "overacted": "VBD|VBN",
    "overacting": "VBG",
    "overplays": "VBZ",
    "overplaying": "VBG",
    "connives": "VBZ",
    "connived": "VBD|VBN",
    "conniving": "VBG",
    "reheels": "VBZ",
    "reheeled": "VBD|VBN",
    "reheeling": "VBG",
    "interposes": "VBZ",
    "dubbing": "VBG",
    "domiciliates": "VBZ",
    "domiciliated": "VBD|VBN",
    "domiciliating": "VBG",
    "caparisons": "VBZ",
    "caparisonned": "VBD|VBN",
    "caparisonning": "VBG",
    "bardes": "VBZ",
    "barded": "VBD|VBN",
    "barding": "VBG",
    "famishes": "VBZ",
    "famished": "VBD|VBN",
    "famishing": "VBG",
    "straitens": "VBZ",
    "straitened": "VBD|VBN",
    "straitening": "VBG",
    "ideates": "VBZ",
    "ideated": "VBD|VBN",
    "ideating": "VBG",
    "instrumentates": "VBZ",
    "instrumentated": "VBD|VBN",
    "instrumentating": "VBG",
    "gaols": "VBZ",
    "gaoled": "VBD|VBN",
    "gaoling": "VBG",
    "remands": "VBZ",
    "yacks": "VBZ",
    "yacked": "VBD|VBN",
    "yacking": "VBG",
    "hypothecates": "VBZ",
    "hypothecated": "VBD|VBN",
    "hypothecating": "VBG",
    "joshes": "VBZ",
    "joshed": "VBD|VBN",
    "joshing": "VBG",
    "nutrifies": "VBZ",
    "nutrified": "VBD|VBN",
    "nutrifying": "VBG",
    "aliments": "VBZ",
    "alimented": "VBD|VBN",
    "alimenting": "VBG",
    "snogs": "VBZ",
    "snogged": "VBD|VBN",
    "snogging": "VBG",
    "osculates": "VBZ",
    "osculated": "VBD|VBN",
    "osculating": "VBG",
    "ptyalizes": "VBZ",
    "ptyalized": "VBD|VBN",
    "ptyalizing": "VBG",
    "sparges": "VBZ",
    "sparged": "VBD|VBN",
    "sparging": "VBG",
    "besprinkles": "VBZ",
    "besprinkled": "VBD|VBN",
    "besprinkling": "VBG",
    "swobs": "VBZ",
    "swobbed": "VBD|VBN",
    "swobbing": "VBG",
    "intertwines": "VBZ",
    "enlaces": "VBZ",
    "enlaced": "VBD|VBN",
    "enlacing": "VBG",
    "decriminalizes": "VBZ",
    "decriminalizing": "VBG",
    "legitimatizes": "VBZ",
    "legitimatized": "VBD|VBN",
    "legitimatizing": "VBG",
    "illumes": "VBZ",
    "illumed": "VBD|VBN",
    "illuming": "VBG",
    "unhorses": "VBZ",
    "unhorsed": "VBD|VBN",
    "unhorsing": "VBG",
    "scintillates": "VBZ",
    "scintillated": "VBD|VBN",
    "coruscates": "VBZ",
    "coruscated": "VBD|VBN",
    "coruscating": "VBG",
    "birdlimes": "VBZ",
    "birdlimed": "VBD|VBN",
    "birdliming": "VBG",
    "pleating": "VBG",
    "short-circuits": "VBZ",
    "short-circuiting": "VBG",
    "buttonholed": "VBD|VBN",
    "buttonholing": "VBG",
    "enmeshes": "VBZ",
    "enmeshing": "VBG",
    "ensnarls": "VBZ",
    "ensnarling": "VBG",
    "hankers": "VBZ",
    "hankering": "VBG",
    "slakes": "VBZ",
    "slaking": "VBG",
    "loiters": "VBZ",
    "loitered": "VBD|VBN",
    "footles": "VBZ",
    "footled": "VBD|VBN",
    "footling": "VBG",
    "lollygags": "VBZ",
    "lollygagged": "VBD|VBN",
    "lollygagging": "VBG",
    "lallygags": "VBZ",
    "lallygagged": "VBD|VBN",
    "lallygagging": "VBG",
    "maddens": "VBZ",
    "maddenned": "VBD|VBN",
    "maddenning": "VBG",
    "deflowers": "VBZ",
    "deflowered": "VBD|VBN",
    "deflowering": "VBG",
    "medicates": "VBZ",
    "medicated": "VBD|VBN",
    "medicating": "VBG",
    "nuked": "VBD|VBN",
    "nuking": "VBG",
    "comminutes": "VBZ",
    "comminuted": "VBD|VBN",
    "comminuting": "VBG",
    "mimes": "VBZ",
    "mimed": "VBD|VBN",
    "miming": "VBG",
    "cranches": "VBZ",
    "cranched": "VBD|VBN",
    "cranching": "VBG",
    "craunches": "VBZ",
    "craunched": "VBD|VBN",
    "craunching": "VBG",
    "scranches": "VBZ",
    "scranched": "VBD|VBN",
    "scranching": "VBG",
    "scraunches": "VBZ",
    "scraunched": "VBD|VBN",
    "scraunching": "VBG",
    "confections": "VBZ",
    "confectioned": "VBD|VBN",
    "confectioning": "VBG",
    "confects": "VBZ",
    "confected": "VBD|VBN",
    "confecting": "VBG",
    "comfits": "VBZ",
    "comfitted": "VBD|VBN",
    "comfitting": "VBG",
    "invigilates": "VBZ",
    "invigilated": "VBD|VBN",
    "invigilating": "VBG",
    "blacklegs": "VBZ",
    "blacklegged": "VBD|VBN",
    "blacklegging": "VBG",
    "gnarls": "VBZ",
    "gnarling": "VBG",
    "mussitates": "VBZ",
    "mussitated": "VBD|VBN",
    "mussitating": "VBG",
    "dislocates": "VBZ",
    "dislocating": "VBG",
    "luxates": "VBZ",
    "luxated": "VBD|VBN",
    "luxating": "VBG",
    "splays": "VBZ",
    "splaying": "VBG",
    "disinvests": "VBZ",
    "disinvested": "VBD|VBN",
    "disinvesting": "VBG",
    "grouches": "VBZ",
    "grouched": "VBD|VBN",
    "grouching": "VBG",
    "neighboured": "VBD|VBN",
    "neighbouring": "VBG",
    "negociates": "VBZ",
    "negociated": "VBD|VBN",
    "negociating": "VBG",
    "cuddles": "VBZ",
    "cuddling": "VBG",
    "snuggles": "VBZ",
    "snuggling": "VBG",
    "nestles": "VBZ",
    "nuzzles": "VBZ",
    "nuzzling": "VBG",
    "atom-bombs": "VBZ",
    "atom-bombed": "VBD|VBN",
    "atom-bombing": "VBG",
    "atomizes": "VBZ",
    "atomized": "VBD|VBN",
    "atomizing": "VBG",
    "inuncts": "VBZ",
    "inuncted": "VBD|VBN",
    "inuncting": "VBG",
    "aneles": "VBZ",
    "aneled": "VBD|VBN",
    "aneling": "VBG",
    "embrocates": "VBZ",
    "embrocated": "VBD|VBN",
    "embrocating": "VBG",
    "controverts": "VBZ",
    "controverted": "VBD|VBN",
    "controverting": "VBG",
    "countermines": "VBZ",
    "countermined": "VBD|VBN",
    "countermining": "VBG",
    "counterchecks": "VBZ",
    "counterchecked": "VBD|VBN",
    "counterchecking": "VBG",
    "foliates": "VBZ",
    "foliated": "VBD|VBN",
    "foliating": "VBG",
    "paginates": "VBZ",
    "paginating": "VBG",
    "blanches": "VBZ",
    "blanched": "VBD|VBN",
    "blenches": "VBZ",
    "blenched": "VBD|VBN",
    "blenching": "VBG",
    "empanels": "VBZ",
    "empanelled": "VBD|VBN",
    "empanelling": "VBG",
    "impanels": "VBZ",
    "impanelled": "VBD|VBN",
    "impanelling": "VBG",
    "collimates": "VBZ",
    "collimating": "VBG",
    "variegates": "VBZ",
    "variegating": "VBG",
    "discases": "VBZ",
    "discased": "VBD|VBN",
    "discasing": "VBG",
    "uncases": "VBZ",
    "uncased": "VBD|VBN",
    "uncasing": "VBG",
    "impoverishes": "VBZ",
    "impoverishing": "VBG",
    "farrows": "VBZ",
    "farrowed": "VBD|VBN",
    "farrowing": "VBG",
    "envenoms": "VBZ",
    "envenommed": "VBD|VBN",
    "envenomming": "VBG",
    "skreighs": "VBZ",
    "skreighed": "VBD|VBN",
    "skreighing": "VBG",
    "pollards": "VBZ",
    "pollarded": "VBD|VBN",
    "pollarding": "VBG",
    "powderizes": "VBZ",
    "powderized": "VBD|VBN",
    "powderizing": "VBG",
    "crumps": "VBZ",
    "crumped": "VBD|VBN",
    "crumping": "VBG",
    "empurples": "VBZ",
    "empurpled": "VBD|VBN",
    "empurpling": "VBG",
    "purpurates": "VBZ",
    "purpurated": "VBD|VBN",
    "purpurating": "VBG",
    "cantoned": "VBD|VBN",
    "cantoning": "VBG",
    "foreswears": "VBZ",
    "foresweared": "VBD|VBN",
    "foreswearing": "VBG",
    "reviles": "VBZ",
    "reviling": "VBG",
    "vituperates": "VBZ",
    "vituperated": "VBD|VBN",
    "vituperating": "VBG",
    "recumbs": "VBZ",
    "recumbed": "VBD|VBN",
    "recumbing": "VBG",
    "reclines": "VBZ",
    "reclined": "VBD|VBN",
    "irradiates": "VBZ",
    "irradiating": "VBG",
    "actualizes": "VBZ",
    "actualized": "VBD|VBN",
    "actualizing": "VBG",
    "agnizes": "VBZ",
    "agnized": "VBD|VBN",
    "agnizing": "VBG",
    "edifies": "VBZ",
    "freshens": "VBZ",
    "freshenned": "VBD|VBN",
    "freshenning": "VBG",
    "refreshens": "VBZ",
    "refreshenned": "VBD|VBN",
    "refreshenning": "VBG",
    "cross-files": "VBZ",
    "cross-filed": "VBD|VBN",
    "cross-filing": "VBG",
    "reenforces": "VBZ",
    "reenforced": "VBD|VBN",
    "reenforcing": "VBG",
    "birls": "VBZ",
    "birled": "VBD|VBN",
    "birling": "VBG",
    "interrelates": "VBZ",
    "interrelating": "VBG",
    "reloads": "VBZ",
    "reloading": "VBG",
    "palliates": "VBZ",
    "palliated": "VBD|VBN",
    "palliating": "VBG",
    "unbosoms": "VBZ",
    "unbosommed": "VBD|VBN",
    "unbosomming": "VBG",
    "grieves": "VBZ",
    "aggrieves": "VBZ",
    "aggrieving": "VBG",
    "reincarnates": "VBZ",
    "reincarnating": "VBG",
    "transmigrates": "VBZ",
    "transmigrated": "VBD|VBN",
    "transmigrating": "VBG",
    "twiddles": "VBZ",
    "readapts": "VBZ",
    "readapted": "VBD|VBN",
    "re-starts": "VBZ",
    "re-started": "VBD|VBN",
    "re-starting": "VBG",
    "carouses": "VBZ",
    "caroused": "VBD|VBN",
    "roisters": "VBZ",
    "roistered": "VBD|VBN",
    "roistering": "VBG",
    "rubberizes": "VBZ",
    "rubberizing": "VBG",
    "rumours": "VBZ",
    "rumoured": "VBD|VBN",
    "rumouring": "VBG",
    "bruits": "VBZ",
    "bruiting": "VBG",
    "wheedles": "VBZ",
    "wheedling": "VBG",
    "sweet-talks": "VBZ",
    "sweet-talked": "VBD|VBN",
    "sweet-talking": "VBG",
    "retrogresses": "VBZ",
    "retrogressed": "VBD|VBN",
    "retrogressing": "VBG",
    "affrights": "VBZ",
    "affrighted": "VBD|VBN",
    "affrighting": "VBG",
    "descales": "VBZ",
    "descaled": "VBD|VBN",
    "descaling": "VBG",
    "prehends": "VBZ",
    "prehended": "VBD|VBN",
    "prehending": "VBG",
    "recidivates": "VBZ",
    "recidivated": "VBD|VBN",
    "recidivating": "VBG",
    "bewrays": "VBZ",
    "bewrayed": "VBD|VBN",
    "bewraying": "VBG",
    "attaints": "VBZ",
    "attainted": "VBD|VBN",
    "attainting": "VBG",
    "pandered": "VBD|VBN",
    "cozens": "VBZ",
    "cozenned": "VBD|VBN",
    "cozenning": "VBG",
    "snivels": "VBZ",
    "snivelled": "VBD|VBN",
    "snivelling": "VBG",
    "sniffles": "VBZ",
    "sniffled": "VBD|VBN",
    "sniffling": "VBG",
    "blubs": "VBZ",
    "blubbed": "VBD|VBN",
    "blubbing": "VBG",
    "snuffles": "VBZ",
    "snuffled": "VBD|VBN",
    "snuffling": "VBG",
    "warbles": "VBZ",
    "warbled": "VBD|VBN",
    "vamooses": "VBZ",
    "vamoosed": "VBD|VBN",
    "vamoosing": "VBG",
    "baby-sits": "VBZ",
    "baby-sitted": "VBD|VBN",
    "baby-sitting": "VBG",
    "cold-shoulders": "VBZ",
    "cold-shouldered": "VBD|VBN",
    "cold-shouldering": "VBG",
    "kips": "VBZ",
    "kipped": "VBD|VBN",
    "kipping": "VBG",
    "inebriates": "VBZ",
    "inebriated": "VBD|VBN",
    "inebriating": "VBG",
    "intoxicates": "VBZ",
    "drenches": "VBZ",
    "drenched": "VBD|VBN",
    "dowses": "VBZ",
    "dowsed": "VBD|VBN",
    "dowsing": "VBG",
    "hoodwinks": "VBZ",
    "hoodwinking": "VBG",
    "resoles": "VBZ",
    "resoled": "VBD|VBN",
    "resoling": "VBG",
    "sailplanes": "VBZ",
    "sailplaned": "VBD|VBN",
    "sailplaning": "VBG",
    "spanks": "VBZ",
    "spanked": "VBD|VBN",
    "larrups": "VBZ",
    "larrupped": "VBD|VBN",
    "larrupping": "VBG",
    "smooches": "VBZ",
    "smooched": "VBD|VBN",
    "descants": "VBZ",
    "descanted": "VBD|VBN",
    "descanting": "VBG",
    "elates": "VBZ",
    "elating": "VBG",
    "fumigates": "VBZ",
    "fumigated": "VBD|VBN",
    "fumigating": "VBG",
    "fillets": "VBZ",
    "filletted": "VBD|VBN",
    "filletting": "VBG",
    "neatens": "VBZ",
    "neatened": "VBD|VBN",
    "neatening": "VBG",
    "imbrues": "VBZ",
    "imbrued": "VBD|VBN",
    "welted": "VBD|VBN",
    "welting": "VBG",
    "insolates": "VBZ",
    "insolated": "VBD|VBN",
    "insolating": "VBG",
    "solarizes": "VBZ",
    "solarized": "VBD|VBN",
    "solarizing": "VBG",
    "sunbathes": "VBZ",
    "sunbathed": "VBD|VBN",
    "sunbathing": "VBG",
    "saccharifies": "VBZ",
    "saccharified": "VBD|VBN",
    "saccharifying": "VBG",
    "zigzagged": "VBD|VBN",
    "scends": "VBZ",
    "scended": "VBD|VBN",
    "scending": "VBG",
    "channel-surfs": "VBZ",
    "channel-surfed": "VBD|VBN",
    "channel-surfing": "VBG",
    "intumesces": "VBZ",
    "intumesced": "VBD|VBN",
    "intumescing": "VBG",
    "tumefies": "VBZ",
    "tumefied": "VBD|VBN",
    "tumefying": "VBG",
    "tumesces": "VBZ",
    "tumesced": "VBD|VBN",
    "tumescing": "VBG",
    "depones": "VBZ",
    "deponed": "VBD|VBN",
    "deponing": "VBG",
    "sudates": "VBZ",
    "sudated": "VBD|VBN",
    "sudating": "VBG",
    "perspires": "VBZ",
    "tabularizes": "VBZ",
    "tabularized": "VBD|VBN",
    "tabularizing": "VBG",
    "prorogues": "VBZ",
    "prorogued": "VBD|VBN",
    "proroguing": "VBG",
    "remits": "VBZ",
    "lambasts": "VBZ",
    "toenailed": "VBD|VBN",
    "toenailing": "VBG",
    "convulses": "VBZ",
    "convulsing": "VBG",
    "threshes": "VBZ",
    "jactitates": "VBZ",
    "jactitated": "VBD|VBN",
    "jactitating": "VBG",
    "transmutes": "VBZ",
    "transmuting": "VBG",
    "metamorphoses": "VBZ",
    "metamorphosing": "VBG",
    "transubstantiates": "VBZ",
    "transubstantiated": "VBD|VBN",
    "transubstantiating": "VBG",
    "scrags": "VBZ",
    "scragged": "VBD|VBN",
    "scragging": "VBG",
    "shoetrees": "VBZ",
    "shoetreed": "VBD|VBN",
    "shoetreeing": "VBG",
    "capsizes": "VBZ",
    "capsized": "VBD|VBN",
    "capsizing": "VBG",
    "bullyrags": "VBZ",
    "bullyragged": "VBD|VBN",
    "bullyragging": "VBG",
    "ballyrags": "VBZ",
    "ballyragged": "VBD|VBN",
    "ballyragging": "VBG",
    "hectors": "VBZ",
    "hectored": "VBD|VBN",
    "hectoring": "VBG",
    "unmakes": "VBZ",
    "unmaked": "VBD|VBN",
    "unmaking": "VBG",
    "swages": "VBZ",
    "swaged": "VBD|VBN",
    "swaging": "VBG",
    "discomposes": "VBZ",
    "discomposed": "VBD|VBN",
    "discomposing": "VBG",
    "untunes": "VBZ",
    "untuned": "VBD|VBN",
    "untuning": "VBG",
    "vacuum-cleans": "VBZ",
    "vacuum-cleaned": "VBD|VBN",
    "vacuum-cleaning": "VBG",
    "hoovers": "VBZ",
    "hoovered": "VBD|VBN",
    "hoovering": "VBG",
    "versifies": "VBZ",
    "versified": "VBD|VBN",
    "versifying": "VBG",
    "poetizes": "VBZ",
    "poetized": "VBD|VBN",
    "vesicates": "VBZ",
    "vesicated": "VBD|VBN",
    "vesicating": "VBG",
    "de-escalates": "VBZ",
    "de-escalated": "VBD|VBN",
    "de-escalating": "VBG",
    "stammers": "VBZ",
    "stammering": "VBG",
    "welshs": "VBZ",
    "welshed": "VBD|VBN",
    "welshing": "VBG",
    "welchs": "VBZ",
    "welched": "VBD|VBN",
    "welching": "VBG",
    "overwinters": "VBZ",
    "overwintered": "VBD|VBN",
    "overwintering": "VBG",
    "electrifies": "VBZ",
    "envelops": "VBZ",
    "envelopped": "VBD|VBN",
    "envelopping": "VBG",
    "enfolds": "VBZ",
    "enfolded": "VBD|VBN",
    "enfolding": "VBG",
    "enwraps": "VBZ",
    "enwrapped": "VBD|VBN",
    "enwrapping": "VBG",
    "xeroxs": "VBZ",
    "xeroxed": "VBD|VBN",
    "xeroxing": "VBG",
    "frivols": "VBZ",
    "frivolled": "VBD|VBN",
    "frivolling": "VBG",
    "abjures": "VBZ",
    "abjured": "VBD|VBN",
    "abjuring": "VBG",
    "recants": "VBZ",
    "recanting": "VBG",
    "forsweared": "VBD|VBN",
    "forswearing": "VBG",
    "cheapenned": "VBD|VBN",
    "cheapenning": "VBG",
    "necroses": "VBZ",
    "necrosed": "VBD|VBN",
    "necrosing": "VBG",
    "gangrenes": "VBZ",
    "gangrened": "VBD|VBN",
    "gangrening": "VBG",
    "sphacelates": "VBZ",
    "sphacelated": "VBD|VBN",
    "sphacelating": "VBG",
    "beatifies": "VBZ",
    "beatified": "VBD|VBN",
    "beatifying": "VBG",
    "hyperbolizes": "VBZ",
    "hyperbolized": "VBD|VBN",
    "hyperbolizing": "VBG",
    "distends": "VBZ",
    "distended": "VBD|VBN",
    "distending": "VBG",
    "swaddles": "VBZ",
    "swaddled": "VBD|VBN",
    "swaddling": "VBG",
    "bowdlerizes": "VBZ",
    "bowdlerized": "VBD|VBN",
    "bowdlerizing": "VBG",
    "expurgates": "VBZ",
    "expurgated": "VBD|VBN",
    "expurgating": "VBG",
    "abominates": "VBZ",
    "abominated": "VBD|VBN",
    "abominating": "VBG",
    "execrates": "VBZ",
    "execrated": "VBD|VBN",
    "execrating": "VBG",
    "disinherits": "VBZ",
    "disinheritted": "VBD|VBN",
    "disinheritting": "VBG",
    "apostatizes": "VBZ",
    "apostatized": "VBD|VBN",
    "apostatizing": "VBG",
    "tergiversates": "VBZ",
    "tergiversated": "VBD|VBN",
    "tergiversating": "VBG",
    "avouches": "VBZ",
    "avouched": "VBD|VBN",
    "avouching": "VBG",
    "extirpates": "VBZ",
    "deracinates": "VBZ",
    "deracinated": "VBD|VBN",
    "deracinating": "VBG",
    "luxuriates": "VBZ",
    "luxuriated": "VBD|VBN",
    "luxuriating": "VBG",
    "rewords": "VBZ",
    "reworded": "VBD|VBN",
    "rewording": "VBG",
    "disfavours": "VBZ",
    "disfavoured": "VBD|VBN",
    "disfavouring": "VBG",
    "reprimands": "VBZ",
    "jollifies": "VBZ",
    "jollified": "VBD|VBN",
    "jollifying": "VBG",
    "abrades": "VBZ",
    "abraded": "VBD|VBN",
    "abrading": "VBG",
    "bespatters": "VBZ",
    "bespattered": "VBD|VBN",
    "bespattering": "VBG",
    "plashes": "VBZ",
    "plashed": "VBD|VBN",
    "plashing": "VBG",
    "bedaubs": "VBZ",
    "bedaubed": "VBD|VBN",
    "bedaubing": "VBG",
    "besmears": "VBZ",
    "besmeared": "VBD|VBN",
    "besmearing": "VBG",
    "disses": "VBZ",
    "dissed": "VBD|VBN",
    "dissing": "VBG",
    "manumits": "VBZ",
    "manumitting": "VBG",
    "phlebotomizes": "VBZ",
    "phlebotomized": "VBD|VBN",
    "phlebotomizing": "VBG",
    "badmouths": "VBZ",
    "badmouthed": "VBD|VBN",
    "badmouthing": "VBG",
    "upbraids": "VBZ",
    "upbraided": "VBD|VBN",
    "upbraiding": "VBG",
    "co-occurs": "VBZ",
    "co-occurred": "VBD|VBN",
    "cooccurs": "VBZ",
    "cooccurred": "VBD|VBN",
    "cooccurring": "VBG",
    "blathers": "VBZ",
    "blathered": "VBD|VBN",
    "blathering": "VBG",
    "smatters": "VBZ",
    "smattered": "VBD|VBN",
    "blethers": "VBZ",
    "blethered": "VBD|VBN",
    "blethering": "VBG",
    "blithers": "VBZ",
    "blithered": "VBD|VBN",
    "blithering": "VBG",
    "undervalues": "VBZ",
    "outshouts": "VBZ",
    "outshouted": "VBD|VBN",
    "outshouting": "VBG",
    "sisses": "VBZ",
    "sissed": "VBD|VBN",
    "sissing": "VBG",
    "sizzes": "VBZ",
    "sizzed": "VBD|VBN",
    "sizzing": "VBG",
    "sibilates": "VBZ",
    "sibilated": "VBD|VBN",
    "sibilating": "VBG",
    "accouters": "VBZ",
    "accoutered": "VBD|VBN",
    "accoutering": "VBG",
    "accoutres": "VBZ",
    "accoutred": "VBD|VBN",
    "accoutring": "VBG",
    "miscalculates": "VBZ",
    "miscalculating": "VBG",
    "depreciates": "VBZ",
    "devaluates": "VBZ",
    "devaluated": "VBD|VBN",
    "devaluating": "VBG",
    "accustoming": "VBG",
    "estranges": "VBZ",
    "disaffects": "VBZ",
    "disaffecting": "VBG",
    "indurates": "VBZ",
    "indurated": "VBD|VBN",
    "indurating": "VBG",
    "ablactates": "VBZ",
    "ablactated": "VBD|VBN",
    "ablactating": "VBG",
    "deprecates": "VBZ",
    "deprecated": "VBD|VBN",
    "deprecating": "VBG",
    "vilipends": "VBZ",
    "vilipended": "VBD|VBN",
    "vilipending": "VBG",
    "briskens": "VBZ",
    "briskenned": "VBD|VBN",
    "briskenning": "VBG",
    "indisposes": "VBZ",
    "indisposing": "VBG",
    "appertains": "VBZ",
    "appertained": "VBD|VBN",
    "appertaining": "VBG",
    "discerps": "VBZ",
    "discerped": "VBD|VBN",
    "discerping": "VBG",
    "mismanages": "VBZ",
    "accurses": "VBZ",
    "accursed": "VBD|VBN",
    "accursing": "VBG",
    "comminates": "VBZ",
    "comminated": "VBD|VBN",
    "comminating": "VBG",
    "anathematizes": "VBZ",
    "anathematized": "VBD|VBN",
    "anathematizing": "VBG",
    "forewarns": "VBZ",
    "forewarned": "VBD|VBN",
    "forewarning": "VBG",
    "fancifies": "VBZ",
    "fancified": "VBD|VBN",
    "fancifying": "VBG",
    "prettifies": "VBZ",
    "prettified": "VBD|VBN",
    "prettifying": "VBG",
    "garnishees": "VBZ",
    "garnisheed": "VBD|VBN",
    "garnisheeing": "VBG",
    "begilds": "VBZ",
    "begilded": "VBD|VBN",
    "begilding": "VBG",
    "engilds": "VBZ",
    "engilded": "VBD|VBN",
    "engilding": "VBG",
    "misinforms": "VBZ",
    "misinforming": "VBG",
    "misguides": "VBZ",
    "misguiding": "VBG",
    "disjoins": "VBZ",
    "disjoined": "VBD|VBN",
    "disjoining": "VBG",
    "decouples": "VBZ",
    "decoupled": "VBD|VBN",
    "decoupling": "VBG",
    "uncouples": "VBZ",
    "uncoupled": "VBD|VBN",
    "uncoupling": "VBG",
    "goggled": "VBD|VBN",
    "goggling": "VBG",
    "gawps": "VBZ",
    "gawped": "VBD|VBN",
    "gawping": "VBG",
    "gawks": "VBZ",
    "gawked": "VBD|VBN",
    "gawking": "VBG",
    "embitters": "VBZ",
    "embittering": "VBG",
    "acerbates": "VBZ",
    "acerbated": "VBD|VBN",
    "acerbating": "VBG",
    "bestirs": "VBZ",
    "bestirring": "VBG",
    "succours": "VBZ",
    "succoured": "VBD|VBN",
    "succouring": "VBG",
    "flagellates": "VBZ",
    "flagellating": "VBG",
    "confutes": "VBZ",
    "confuted": "VBD|VBN",
    "confuting": "VBG",
    "higgles": "VBZ",
    "higgled": "VBD|VBN",
    "higgling": "VBG",
    "chaffers": "VBZ",
    "chaffered": "VBD|VBN",
    "chaffering": "VBG",
    "molders": "VBZ",
    "moldered": "VBD|VBN",
    "moldering": "VBG",
    "moulders": "VBZ",
    "mouldered": "VBD|VBN",
    "censes": "VBZ",
    "censed": "VBD|VBN",
    "censing": "VBG",
    "thurifies": "VBZ",
    "thurified": "VBD|VBN",
    "thurifying": "VBG",
    "denominates": "VBZ",
    "denominating": "VBG",
    "misconstrues": "VBZ",
    "misconstruing": "VBG",
    "misconceives": "VBZ",
    "misconceived": "VBD|VBN",
    "misconceiving": "VBG",
    "misapprehends": "VBZ",
    "misapprehended": "VBD|VBN",
    "misapprehending": "VBG",
    "complots": "VBZ",
    "complotted": "VBD|VBN",
    "complotting": "VBG",
    "unarms": "VBZ",
    "unarming": "VBG",
    "improvizes": "VBZ",
    "improvized": "VBD|VBN",
    "improvizing": "VBG",
    "convokes": "VBZ",
    "convoked": "VBD|VBN",
    "convoking": "VBG",
    "besots": "VBZ",
    "besotted": "VBD|VBN",
    "besotting": "VBG",
    "shoaled": "VBD|VBN",
    "shoaling": "VBG",
    "encrusts": "VBZ",
    "encrusting": "VBG",
    "incrusts": "VBZ",
    "incrusted": "VBD|VBN",
    "incrusting": "VBG",
    "attenuates": "VBZ",
    "attenuated": "VBD|VBN",
    "attenuating": "VBG",
    "rarefies": "VBZ",
    "rarefying": "VBG",
    "subtilizes": "VBZ",
    "subtilized": "VBD|VBN",
    "subtilizing": "VBG",
    "vaticinates": "VBZ",
    "vaticinated": "VBD|VBN",
    "vaticinating": "VBG",
    "defalcates": "VBZ",
    "defalcated": "VBD|VBN",
    "defalcating": "VBG",
    "peculates": "VBZ",
    "peculated": "VBD|VBN",
    "peculating": "VBG",
    "misappropriates": "VBZ",
    "malversates": "VBZ",
    "malversated": "VBD|VBN",
    "malversating": "VBG",
    "clamours": "VBZ",
    "clamoured": "VBD|VBN",
    "clamouring": "VBG",
    "claxons": "VBZ",
    "claxonned": "VBD|VBN",
    "claxonning": "VBG",
    "toots": "VBZ",
    "tooting": "VBG",
    "cronks": "VBZ",
    "cronked": "VBD|VBN",
    "cronking": "VBG",
    "preponderates": "VBZ",
    "preponderated": "VBD|VBN",
    "overbalances": "VBZ",
    "overbalanced": "VBD|VBN",
    "overbalancing": "VBG",
    "outbalances": "VBZ",
    "outbalanced": "VBD|VBN",
    "outbalancing": "VBG",
    "jeered": "VBD|VBN",
    "jeering": "VBG",
    "perfused": "VBD|VBN",
    "perfusing": "VBG",
    "cudgelled": "VBD|VBN",
    "cudgelling": "VBG",
    "fustigates": "VBZ",
    "fustigated": "VBD|VBN",
    "fustigating": "VBG",
    "dinges": "VBZ",
    "dinged": "VBD|VBN",
    "dinging": "VBG",
    "bastes": "VBZ",
    "basted": "VBD|VBN",
    "pommels": "VBZ",
    "pommelled": "VBD|VBN",
    "pommelling": "VBG",
    "biffs": "VBZ",
    "biffed": "VBD|VBN",
    "biffing": "VBG",
    "contuses": "VBZ",
    "contused": "VBD|VBN",
    "contusing": "VBG",
    "belabours": "VBZ",
    "belaboured": "VBD|VBN",
    "belabouring": "VBG",
    "belabors": "VBZ",
    "belabored": "VBD|VBN",
    "fondles": "VBZ",
    "fondling": "VBG",
    "pauperizes": "VBZ",
    "pauperized": "VBD|VBN",
    "pauperizing": "VBG",
    "misdemeans": "VBZ",
    "misdemeaned": "VBD|VBN",
    "misdemeaning": "VBG",
    "requites": "VBZ",
    "requited": "VBD|VBN",
    "requiting": "VBG",
    "stultifies": "VBZ",
    "stultified": "VBD|VBN",
    "tousles": "VBZ",
    "tousling": "VBG",
    "dishevels": "VBZ",
    "dishevelled": "VBD|VBN",
    "dishevelling": "VBG",
    "ravels": "VBZ",
    "ravelled": "VBD|VBN",
    "ravelling": "VBG",
    "magnetizes": "VBZ",
    "magnetizing": "VBG",
    "mesmerizes": "VBZ",
    "mesmerizing": "VBG",
    "beplasters": "VBZ",
    "beplastered": "VBD|VBN",
    "beplastering": "VBG",
    "parboils": "VBZ",
    "parboiling": "VBG",
    "decolors": "VBZ",
    "decolored": "VBD|VBN",
    "decoloring": "VBG",
    "decolours": "VBZ",
    "decoloured": "VBD|VBN",
    "decolouring": "VBG",
    "decolorizes": "VBZ",
    "decolorized": "VBD|VBN",
    "decolorizing": "VBG",
    "decolourizes": "VBZ",
    "decolourized": "VBD|VBN",
    "decolourizing": "VBG",
    "discolorizes": "VBZ",
    "discolorized": "VBD|VBN",
    "discolorizing": "VBG",
    "depopulates": "VBZ",
    "depopulated": "VBD|VBN",
    "depopulating": "VBG",
    "transfigures": "VBZ",
    "transfigured": "VBD|VBN",
    "transfiguring": "VBG",
    "spiritualizes": "VBZ",
    "spiritualized": "VBD|VBN",
    "spiritualizing": "VBG",
    "transmogrifies": "VBZ",
    "transmogrifying": "VBG",
    "felicitates": "VBZ",
    "felicitated": "VBD|VBN",
    "felicitating": "VBG",
    "manacled": "VBD|VBN",
    "manacling": "VBG",
    "whomps": "VBZ",
    "whomped": "VBD|VBN",
    "whomping": "VBG",
    "paralyses": "VBZ",
    "paralysed": "VBD|VBN",
    "paralysing": "VBG",
    "vitalizes": "VBZ",
    "vitalized": "VBD|VBN",
    "vitalizing": "VBG",
    "bawls": "VBZ",
    "mewls": "VBZ",
    "mewled": "VBD|VBN",
    "mewling": "VBG",
    "pules": "VBZ",
    "puled": "VBD|VBN",
    "puling": "VBG",
    "hoppling": "VBG",
    "embowers": "VBZ",
    "embowered": "VBD|VBN",
    "embowering": "VBG",
    "plicates": "VBZ",
    "plicated": "VBD|VBN",
    "plicating": "VBG",
    "unnerves": "VBZ",
    "enervates": "VBZ",
    "enervated": "VBD|VBN",
    "unsettles": "VBZ",
    "singes": "VBZ",
    "parches": "VBZ",
    "parching": "VBG",
    "swinges": "VBZ",
    "swinged": "VBD|VBN",
    "smoulders": "VBZ",
    "smouldered": "VBD|VBN",
    "smouldering": "VBG|JJ",
    "benights": "VBZ",
    "benighting": "VBG",
    "corrades": "VBZ",
    "corraded": "VBD|VBN",
    "corrading": "VBG",
    "abrases": "VBZ",
    "abrased": "VBD|VBN",
    "abrasing": "VBG",
    "disinters": "VBZ",
    "disintered": "VBD|VBN",
    "disintering": "VBG",
    "blandishes": "VBZ",
    "blandished": "VBD|VBN",
    "blandishing": "VBG",
    "harkens": "VBZ",
    "harkenned": "VBD|VBN",
    "harkenning": "VBG",
    "hearkens": "VBZ",
    "hearkenned": "VBD|VBN",
    "hearkenning": "VBG",
    "disillusions": "VBZ",
    "tweedles": "VBZ",
    "tweedled": "VBD|VBN",
    "tweedling": "VBG",
    "chirps": "VBZ",
    "cheeps": "VBZ",
    "cheeped": "VBD|VBN",
    "cheeping": "VBG",
    "chirrups": "VBZ",
    "chirrupped": "VBD|VBN",
    "chirrupping": "VBG",
    "chitters": "VBZ",
    "chittered": "VBD|VBN",
    "chittering": "VBG",
    "intonates": "VBZ",
    "intonated": "VBD|VBN",
    "intonating": "VBG",
    "cantillates": "VBZ",
    "cantillated": "VBD|VBN",
    "cantillating": "VBG",
    "cavils": "VBZ",
    "cavilled": "VBD|VBN",
    "cavilling": "VBG",
    "vulgarizes": "VBZ",
    "vulgarized": "VBD|VBN",
    "vulgarizing": "VBG",
    "garbles": "VBZ",
    "garbling": "VBG",
    "goofproofs": "VBZ",
    "goofproofed": "VBD|VBN",
    "goofproofing": "VBG",
    "goof-proofs": "VBZ",
    "goof-proofed": "VBD|VBN",
    "goof-proofing": "VBG",
    "urticates": "VBZ",
    "urticated": "VBD|VBN",
    "urticating": "VBG",
    "untangles": "VBZ",
    "untangled": "VBD|VBN",
    "untangling": "VBG",
    "expiates": "VBZ",
    "expiated": "VBD|VBN",
    "abies": "VBZ",
    "abied": "VBD|VBN",
    "abying": "VBG",
    "abyes": "VBZ",
    "abyeed": "VBD|VBN",
    "abyeing": "VBG",
    "inspissates": "VBZ",
    "inspissated": "VBD|VBN",
    "inspissating": "VBG",
    "gasifies": "VBZ",
    "gasified": "VBD|VBN",
    "gasifying": "VBG",
    "aerifies": "VBZ",
    "aerified": "VBD|VBN",
    "aerifying": "VBG",
    "immunizes": "VBZ",
    "immunizing": "VBG",
    "vaccinates": "VBZ",
    "vaccinated": "VBD|VBN",
    "anatomizes": "VBZ",
    "anatomized": "VBD|VBN",
    "anatomizing": "VBG",
    "animadverts": "VBZ",
    "animadverted": "VBD|VBN",
    "animadverting": "VBG",
    "oscillates": "VBZ",
    "unknots": "VBZ",
    "unknotted": "VBD|VBN",
    "unknotting": "VBG",
    "unpicks": "VBZ",
    "unpicked": "VBD|VBN",
    "unpicking": "VBG",
    "levitates": "VBZ",
    "levitated": "VBD|VBN",
    "levitating": "VBG",
    "declaims": "VBZ",
    "declaiming": "VBG",
    "overvalues": "VBZ",
    "overvaluing": "VBG",
    "overrates": "VBZ",
    "overrating": "VBG",
    "desacralizes": "VBZ",
    "desacralized": "VBD|VBN",
    "desacralizing": "VBG",
    "secularizes": "VBZ",
    "secularizing": "VBG",
    "baptizes": "VBZ",
    "baptizing": "VBG",
    "misnames": "VBZ",
    "misnaming": "VBG",
    "miscalls": "VBZ",
    "miscalled": "VBD|VBN",
    "miscalling": "VBG",
    "prepossesses": "VBZ",
    "prepossessed": "VBD|VBN",
    "prepossessing": "VBG",
    "exhales": "VBZ",
    "emanates": "VBZ",
    "individualizes": "VBZ",
    "systematizes": "VBZ",
    "systemizes": "VBZ",
    "systemized": "VBD|VBN",
    "systemizing": "VBG",
    "unburdens": "VBZ",
    "unburdenned": "VBD|VBN",
    "unburdenning": "VBG",
    "unlades": "VBZ",
    "unladed": "VBD|VBN",
    "unlading": "VBG",
    "offloads": "VBZ",
    "offloaded": "VBD|VBN",
    "offloading": "VBG",
    "dogmatizes": "VBZ",
    "dogmatized": "VBD|VBN",
    "dogmatizing": "VBG",
    "domineers": "VBZ",
    "domineered": "VBD|VBN",
    "exudates": "VBZ",
    "exudated": "VBD|VBN",
    "exudating": "VBG",
    "transudes": "VBZ",
    "transuded": "VBD|VBN",
    "transuding": "VBG",
    "tickles": "VBZ",
    "tickling": "VBG",
    "impregnates": "VBZ",
    "impregnated": "VBD|VBN",
    "impregnating": "VBG",
    "instils": "VBZ",
    "instiled": "VBD|VBN",
    "instiling": "VBG",
    "bemocks": "VBZ",
    "bemocked": "VBD|VBN",
    "bemocking": "VBG",
    "debarks": "VBZ",
    "debarked": "VBD|VBN",
    "debarking": "VBG",
    "disinvolves": "VBZ",
    "disinvolved": "VBD|VBN",
    "disinvolving": "VBG",
    "unsnarls": "VBZ",
    "unsnarled": "VBD|VBN",
    "unsnarling": "VBG",
    "dulcifies": "VBZ",
    "dulcified": "VBD|VBN",
    "dulcifying": "VBG",
    "edulcorates": "VBZ",
    "edulcorated": "VBD|VBN",
    "edulcorating": "VBG",
    "dulcorates": "VBZ",
    "dulcorated": "VBD|VBN",
    "dulcorating": "VBG",
    "recaps": "VBZ",
    "recapped": "VBD|VBN",
    "recapping": "VBG",
    "colonizes": "VBZ",
    "colonizing": "VBG",
    "palpitates": "VBZ",
    "palpitated": "VBD|VBN",
    "palpitating": "VBG",
    "teeters": "VBZ",
    "toddles": "VBZ",
    "toddled": "VBD|VBN",
    "toddling": "VBG",
    "coggles": "VBZ",
    "coggled": "VBD|VBN",
    "coggling": "VBG",
    "dodders": "VBZ",
    "doddered": "VBD|VBN",
    "waddled": "VBD|VBN",
    "waddling": "VBG",
    "teeter-totters": "VBZ",
    "teeter-tottered": "VBD|VBN",
    "teeter-tottering": "VBG",
    "teetertotters": "VBZ",
    "teetertottered": "VBD|VBN",
    "teetertottering": "VBG",
    "congees": "VBZ",
    "congeed": "VBD|VBN",
    "congeeing": "VBG",
    "conges": "VBZ",
    "conged": "VBD|VBN",
    "conging": "VBG",
    "satirized": "VBD|VBN",
    "satirizing": "VBG",
    "frazzles": "VBZ",
    "frazzling": "VBG",
    "addles": "VBZ",
    "addling": "VBG",
    "malingers": "VBZ",
    "malingered": "VBD|VBN",
    "schnorrs": "VBZ",
    "schnorred": "VBD|VBN",
    "schnorring": "VBG",
    "shnorrs": "VBZ",
    "shnorred": "VBD|VBN",
    "shnorring": "VBG",
    "disorganizes": "VBZ",
    "disorganizing": "VBG",
    "intrenches": "VBZ",
    "intrenched": "VBD|VBN",
    "intrenching": "VBG",
    "jabbers": "VBZ",
    "jabbered": "VBD|VBN",
    "jabbering": "VBG",
    "misaddresses": "VBZ",
    "misaddressed": "VBD|VBN",
    "misaddressing": "VBG",
    "clomps": "VBZ",
    "clomping": "VBG",
    "clops": "VBZ",
    "clopped": "VBD|VBN",
    "clopping": "VBG",
    "clunks": "VBZ",
    "clunked": "VBD|VBN",
    "clunking": "VBG",
    "sentimentizes": "VBZ",
    "sentimentized": "VBD|VBN",
    "sentimentizing": "VBG",
    "wauls": "VBZ",
    "wauled": "VBD|VBN",
    "wauling": "VBG",
    "wawls": "VBZ",
    "wawled": "VBD|VBN",
    "wawling": "VBG",
    "uncloaks": "VBZ",
    "uncloaked": "VBD|VBN",
    "uncloaking": "VBG",
    "circumvolves": "VBZ",
    "circumvolved": "VBD|VBN",
    "circumvolving": "VBG",
    "solemnizes": "VBZ",
    "solemnized": "VBD|VBN",
    "solemnizing": "VBG",
    "christianizes": "VBZ",
    "christianized": "VBD|VBN",
    "barbarizes": "VBZ",
    "barbarized": "VBD|VBN",
    "barbarizing": "VBG",
    "tingles": "VBZ",
    "tingled": "VBD|VBN",
    "disinclines": "VBZ",
    "disinclining": "VBG",
    "transliterates": "VBZ",
    "transliterated": "VBD|VBN",
    "transliterating": "VBG",
    "subventions": "VBZ",
    "subventioned": "VBD|VBN",
    "subventioning": "VBG",
    "subvents": "VBZ",
    "subvented": "VBD|VBN",
    "subventing": "VBG",
    "interspersing": "VBG",
    "interlards": "VBZ",
    "interlarded": "VBD|VBN",
    "interlarding": "VBG",
    "dyked": "VBD|VBN",
    "dyking": "VBG",
    "exsiccates": "VBZ",
    "exsiccated": "VBD|VBN",
    "exsiccating": "VBG",
    "desiccates": "VBZ",
    "desiccated": "VBD|VBN",
    "desiccating": "VBG",
    "jingle-jangles": "VBZ",
    "jingle-jangled": "VBD|VBN",
    "jingle-jangling": "VBG",
    "jangles": "VBZ",
    "jangled": "VBD|VBN",
    "gybes": "VBZ",
    "gybed": "VBD|VBN",
    "gybing": "VBG",
    "sermonizes": "VBZ",
    "sermonized": "VBD|VBN",
    "sermonizing": "VBG",
    "preachifies": "VBZ",
    "preachified": "VBD|VBN",
    "preachifying": "VBG",
    "moralizes": "VBZ",
    "moralized": "VBD|VBN",
    "jiggles": "VBZ",
    "jiggled": "VBD|VBN",
    "joggles": "VBZ",
    "joggled": "VBD|VBN",
    "joggling": "VBG",
    "coagulates": "VBZ",
    "coagulated": "VBD|VBN",
    "illegalizes": "VBZ",
    "illegalized": "VBD|VBN",
    "illegalizing": "VBG",
    "brattles": "VBZ",
    "brattled": "VBD|VBN",
    "brattling": "VBG",
    "mispronounces": "VBZ",
    "mispronounced": "VBD|VBN",
    "mispronouncing": "VBG",
    "strangulates": "VBZ",
    "strangulated": "VBD|VBN",
    "strangulating": "VBG",
    "reunifies": "VBZ",
    "reunified": "VBD|VBN",
    "reunifying": "VBG",
    "commandeers": "VBZ",
    "hijacks": "VBZ",
    "highjacks": "VBZ",
    "highjacked": "VBD|VBN",
    "highjacking": "VBG",
    "unfurls": "VBZ",
    "unfurling": "VBG",
    "convolves": "VBZ",
    "convolved": "VBD|VBN",
    "convolving": "VBG",
    "demasculinizes": "VBZ",
    "demasculinized": "VBD|VBN",
    "demasculinizing": "VBG",
    "snoozes": "VBZ",
    "snoozed": "VBD|VBN",
    "drowses": "VBZ",
    "dozes": "VBZ",
    "catnaps": "VBZ",
    "catnapped": "VBD|VBN",
    "catnapping": "VBG",
    "demarcates": "VBZ",
    "demarcating": "VBG",
    "subtending": "VBG",
    "soughs": "VBZ",
    "soughed": "VBD|VBN",
    "soughing": "VBG",
    "whirrs": "VBZ",
    "birrs": "VBZ",
    "birred": "VBD|VBN",
    "birring": "VBG",
    "purred": "VBD|VBN",
    "eternizes": "VBZ",
    "eternized": "VBD|VBN",
    "eternizing": "VBG",
    "eternalizes": "VBZ",
    "eternalized": "VBD|VBN",
    "eternalizing": "VBG",
    "whams": "VBZ",
    "whammed": "VBD|VBN",
    "whamming": "VBG",
    "resects": "VBZ",
    "resected": "VBD|VBN",
    "resecting": "VBG",
    "over-corrects": "VBZ",
    "over-correcting": "VBG",
    "pressurizes": "VBZ",
    "pressurizing": "VBG",
    "exteriorizes": "VBZ",
    "exteriorized": "VBD|VBN",
    "exteriorizing": "VBG",
    "objectifies": "VBZ",
    "objectified": "VBD|VBN",
    "objectifying": "VBG",
    "sharpshoots": "VBZ",
    "sharpshooted": "VBD|VBN",
    "sharpshooting": "VBG",
    "outmanoeuvres": "VBZ",
    "outmanoeuvred": "VBD|VBN",
    "outmanoeuvring": "VBG",
    "strums": "VBZ",
    "strummed": "VBD|VBN",
    "ruffs": "VBZ",
    "ruffed": "VBD|VBN",
    "ruffing": "VBG",
    "embrangles": "VBZ",
    "embrangled": "VBD|VBN",
    "embrangling": "VBG",
    "phonates": "VBZ",
    "phonated": "VBD|VBN",
    "phonating": "VBG",
    "vowelizes": "VBZ",
    "vowelized": "VBD|VBN",
    "vowelizing": "VBG",
    "subsumes": "VBZ",
    "subsuming": "VBG",
    "noshes": "VBZ",
    "noshed": "VBD|VBN",
    "noshing": "VBG",
    "electrocutes": "VBZ",
    "electrocuted": "VBD|VBN",
    "electrocuting": "VBG",
    "splutters": "VBZ",
    "spluttered": "VBD|VBN",
    "spluttering": "VBG",
    "speckling": "VBG",
    "bespeckles": "VBZ",
    "bespeckled": "VBD|VBN",
    "bespeckling": "VBG",
    "stipples": "VBZ",
    "stippling": "VBG",
    "clangours": "VBZ",
    "clangoured": "VBD|VBN",
    "clangouring": "VBG",
    "yaps": "VBZ",
    "yapped": "VBD|VBN",
    "vamps": "VBZ",
    "vamped": "VBD|VBN",
    "vamping": "VBG",
    "wambles": "VBZ",
    "wambled": "VBD|VBN",
    "wambling": "VBG",
    "shmoozes": "VBZ",
    "shmoozed": "VBD|VBN",
    "shmoozing": "VBG",
    "shmooses": "VBZ",
    "shmoosed": "VBD|VBN",
    "shmoosing": "VBG",
    "schmoozes": "VBZ",
    "schmoozed": "VBD|VBN",
    "schmooses": "VBZ",
    "schmoosed": "VBD|VBN",
    "schmoosing": "VBG",
    "renormalizes": "VBZ",
    "renormalized": "VBD|VBN",
    "renormalizing": "VBG",
    "dings": "VBZ",
    "dongs": "VBZ",
    "donged": "VBD|VBN",
    "donging": "VBG",
    "dingdongs": "VBZ",
    "dingdonged": "VBD|VBN",
    "dingdonging": "VBG",
    "chasses": "VBZ",
    "chassed": "VBD|VBN",
    "chassing": "VBG",
    "twirps": "VBZ",
    "twirped": "VBD|VBN",
    "twirping": "VBG",
    "titillates": "VBZ",
    "titillated": "VBD|VBN",
    "sledges": "VBZ",
    "sledged": "VBD|VBN",
    "sledging": "VBG",
    "junketeers": "VBZ",
    "junketeered": "VBD|VBN",
    "disarticulates": "VBZ",
    "disarticulated": "VBD|VBN",
    "disarticulating": "VBG",
    "fictionalizes": "VBZ",
    "fictionalizing": "VBG",
    "caterwauls": "VBZ",
    "caterwauled": "VBD|VBN",
    "caterwauling": "VBG",
    "dogsleds": "VBZ",
    "dogsleded": "VBD|VBN",
    "dogsleding": "VBG",
    "depressurizes": "VBZ",
    "depressurized": "VBD|VBN",
    "depressurizing": "VBG",
    "uncompresses": "VBZ",
    "uncompressed": "VBD|VBN",
    "uncompressing": "VBG",
    "jellifies": "VBZ",
    "jellified": "VBD|VBN",
    "jellifying": "VBG",
    "bewhiskers": "VBZ",
    "bewhiskering": "VBG",
    "whiskering": "VBG",
    "detusks": "VBZ",
    "detusked": "VBD|VBN",
    "detusking": "VBG",
    "musss": "VBZ",
    "mussed": "VBD|VBN",
    "mussing": "VBG",
    "crepitates": "VBZ",
    "crepitated": "VBD|VBN",
    "crepitating": "VBG",
    "stopples": "VBZ",
    "stoppled": "VBD|VBN",
    "stoppling": "VBG",
    "whelps": "VBZ",
    "whelped": "VBD|VBN",
    "whelping": "VBG",
    "birles": "VBZ",
    "garrotes": "VBZ",
    "garroted": "VBD|VBN",
    "garrottes": "VBZ",
    "garrotted": "VBD|VBN",
    "garrotting": "VBG",
    "garottes": "VBZ",
    "garotted": "VBD|VBN",
    "garotting": "VBG",
    "hydroplanes": "VBZ",
    "hydroplaned": "VBD|VBN",
    "hydroplaning": "VBG",
    "seaplanes": "VBZ",
    "seaplaned": "VBD|VBN",
    "seaplaning": "VBG",
    "capsulizes": "VBZ",
    "capsulized": "VBD|VBN",
    "capsulizing": "VBG",
    "capsulates": "VBZ",
    "capsulated": "VBD|VBN",
    "capsulating": "VBG",
    "blates": "VBZ",
    "blated": "VBD|VBN",
    "blating": "VBG",
    "blats": "VBZ",
    "blatted": "VBD|VBN",
    "blatting": "VBG",
    "sodomizes": "VBZ",
    "sodomized": "VBD|VBN",
    "sodomizing": "VBG",
    "buggered": "VBD|VBN",
    "buggering": "VBG",
    "apes": "VBZ",
    "aped": "VBD|VBN",
    "apparels": "VBZ",
    "apparelled": "VBD|VBN",
    "apparelling": "VBG",
    "appends": "VBZ",
    "appending": "VBG",
    "apportions": "VBZ",
    "apportioning": "VBG",
    "appraises": "VBZ",
    "apprehends": "VBZ",
    "approximating": "VBG",
    "arced": "VBD|VBN",
    "arcing": "VBG",
    "armors": "VBZ",
    "armoring": "VBG",
    "arraying": "VBG",
    "arrogates": "VBZ",
    "arrogated": "VBD|VBN",
    "articulates": "VBZ",
    "articulating": "VBG",
    "ascends": "VBZ",
    "ascertains": "VBZ",
    "ascertaining": "VBG",
    "ascribing": "VBG",
    "assassineats": "VBZ",
    "assassineaten": "VBN",
    "assassineating": "VBG",
    "assents": "VBZ",
    "assenting": "VBG",
    "assimilates": "VBZ",
    "assuages": "VBZ",
    "attires": "VBZ",
    "attiring": "VBG",
    "auctioneers": "VBZ",
    "auctioneered": "VBD|VBN",
    "auctioneering": "VBG",
    "augments": "VBZ",
    "augured": "VBD|VBN",
    "auguring": "VBG",
    "autographing": "VBG",
    "autopsying": "VBG",
    "avails": "VBZ",
    "avenges": "VBZ",
    "avenged": "VBD|VBN",
    "awakes": "VBZ",
    "awoken": "VBN",
    "awaking": "VBG",
    "awakenned": "VBD|VBN",
    "awakenning": "VBG",
    "babbles": "VBZ",
    "babbling": "VBG|NN",
    "babied": "VBD|VBN",
    "babying": "VBG",
    "backgrounded": "VBD|VBN",
    "backgrounding": "VBG",
    "backlashes": "VBZ",
    "backlashed": "VBD|VBN",
    "backlashing": "VBG",
    "backpacked": "VBD|VBN",
    "backpacking": "VBG",
    "backpedals": "VBZ",
    "backpedalled": "VBD|VBN",
    "backpedalling": "VBG",
    "backstops": "VBZ",
    "backstopped": "VBD|VBN",
    "backstopping": "VBG",
    "baffles": "VBZ",
    "bagging": "VBG",
    "bails": "VBZ",
    "baits": "VBZ",
    "baiting": "VBG",
    "bandaging": "VBG",
    "bankrolls": "VBZ",
    "bankrupted": "VBD|VBN",
    "bankrupting": "VBG",
    "bannnnnngs": "VBZ",
    "bannnnnnged": "VBD|VBN",
    "bannnnnnging": "VBG",
    "banqueted": "VBD|VBN",
    "banqueting": "VBG",
    "banters": "VBZ",
    "barbecuing": "VBG",
    "bares": "VBZ",
    "bargain-hunts": "VBZ",
    "bargain-hunted": "VBD|VBN",
    "barracked": "VBD|VBN",
    "barracking": "VBG",
    "barrages": "VBZ",
    "barraged": "VBD|VBN",
    "barraging": "VBG",
    "barrelled": "VBD|VBN",
    "barrelling": "VBG",
    "barricaded": "VBD|VBN",
    "barricading": "VBG",
    "bathes": "VBZ",
    "battened": "VBD|VBN",
    "battening": "VBG",
    "be-thats": "VBZ",
    "be-thatted": "VBD|VBN",
    "be-thatting": "VBG",
    "beaks": "VBZ",
    "beaked": "VBD|VBN",
    "beaking": "VBG",
    "beautifies": "VBZ",
    "beautified": "VBD|VBN",
    "beckonned": "VBD|VBN",
    "beckonning": "VBG",
    "bedevils": "VBZ",
    "bedevilled": "VBD|VBN",
    "bedevilling": "VBG",
    "beetled": "VBD|VBN",
    "befalls": "VBZ",
    "befalling": "VBG",
    "begetted": "VBD|VBN",
    "begetting": "VBG",
    "beggared": "VBD|VBN",
    "beggaring": "VBG",
    "begrudges": "VBZ",
    "begrudged": "VBD|VBN",
    "begrudging": "VBG",
    "beguiles": "VBZ",
    "belchs": "VBZ",
    "belittles": "VBZ",
    "benched": "VBD|VBN",
    "benching": "VBG",
    "bequeaths": "VBZ",
    "bequeathing": "VBG",
    "berthed": "VBD|VBN",
    "berthing": "VBG",
    "beseeches": "VBZ",
    "besought": "VBD|VBN",
    "beseeching": "VBG",
    "besetted": "VBD|VBN",
    "besieges": "VBZ",
    "besmirches": "VBZ",
    "bespeaked": "VBD|VBN",
    "bespeaking": "VBG",
    "bests": "VBZ",
    "bestowing": "VBG",
    "bethinks": "VBZ",
    "bethinking": "VBG",
    "betides": "VBZ",
    "betided": "VBD|VBN",
    "betiding": "VBG",
    "bewails": "VBZ",
    "bewailed": "VBD|VBN",
    "bewailing": "VBG",
    "biass": "VBZ",
    "biasing": "VBG",
    "bibed": "VBD|VBN",
    "bibing": "VBG",
    "bicycled": "VBD|VBN",
    "bidden": "VBN",
    "bides": "VBZ",
    "biding": "VBG",
    "bifurcates": "VBZ",
    "bifurcating": "VBG",
    "biked": "VBD|VBN",
    "bilks": "VBZ",
    "billetted": "VBD|VBN",
    "billetting": "VBG",
    "binged": "VBD|VBN",
    "binging": "VBG",
    "bioengineered": "VBD|VBN",
    "bioengineering": "VBG",
    "birded": "VBD|VBN",
    "birding": "VBG",
    "bitched": "VBD|VBN",
    "bitching": "VBG",
    "bivouacs": "VBZ",
    "bivouaced": "VBD|VBN",
    "bivouacing": "VBG",
    "blackjacks": "VBZ",
    "blackjacked": "VBD|VBN",
    "blackjacking": "VBG",
    "blacklists": "VBZ",
    "blacklisted": "VBD|VBN",
    "blackmails": "VBZ",
    "blanked": "VBD|VBN",
    "blanking": "VBG",
    "blarneys": "VBZ",
    "blarneyed": "VBD|VBN",
    "blarneying": "VBG",
    "blazes": "VBZ",
    "blazons": "VBZ",
    "blazonned": "VBD|VBN",
    "blazonning": "VBG",
    "bleaches": "VBZ",
    "bleeds": "VBZ",
    "blemished": "VBD|VBN",
    "blemishing": "VBG",
    "blests": "VBZ",
    "blested": "VBD|VBN",
    "blesting": "VBG",
    "blights": "VBZ",
    "blighting": "VBG",
    "blobs": "VBZ",
    "blobbed": "VBD|VBN",
    "blobbing": "VBG",
    "blockades": "VBZ",
    "blockaded": "VBD|VBN",
    "blossoming": "VBG",
    "blotchs": "VBZ",
    "blotched": "VBD|VBN",
    "blotching": "VBG",
    "blubbers": "VBZ",
    "blubbered": "VBD|VBN",
    "blubbering": "VBG",
    "bludgeons": "VBZ",
    "bludgeoning": "VBG",
    "blueprinted": "VBD|VBN",
    "blueprinting": "VBG",
    "blundering": "VBG",
    "blunting": "VBG",
    "blurs": "VBZ",
    "blusters": "VBZ",
    "blustering": "VBG",
    "boding": "VBG",
    "bodying": "VBG",
    "bombards": "VBZ",
    "boning": "VBG",
    "boobifies": "VBZ",
    "boobified": "VBD|VBN",
    "boobifying": "VBG",
    "boomerings": "VBZ",
    "boomerung": "VBN",
    "boomeringing": "VBG",
    "bops": "VBZ",
    "bopped": "VBD|VBN",
    "bopping": "VBG",
    "bosommed": "VBD|VBN",
    "bosomming": "VBG",
    "bossing": "VBG",
    "bowers": "VBZ",
    "bowered": "VBD|VBN",
    "bowering": "VBG",
    "braked": "VBD|VBN",
    "branding": "VBG",
    "brandies": "VBZ",
    "brandied": "VBD|VBN",
    "brandying": "VBG",
    "braves": "VBZ",
    "brawls": "VBZ",
    "brawled": "VBD|VBN",
    "brazens": "VBZ",
    "brazenned": "VBD|VBN",
    "brazenning": "VBG",
    "break-evens": "VBZ",
    "break-evenned": "VBD|VBN",
    "break-evenning": "VBG",
    "breasted": "VBD|VBN",
    "breasting": "VBG",
    "breezed": "VBD|VBN",
    "breezing": "VBG",
    "bridged": "VBD|VBN|JJ",
    "brisks": "VBZ",
    "brisked": "VBD|VBN",
    "brisking": "VBG",
    "broaches": "VBZ",
    "broaching": "VBG",
    "broadenned": "VBD|VBN",
    "broadenning": "VBG",
    "bronzing": "VBG",
    "brooches": "VBZ",
    "brooched": "VBD|VBN",
    "brooching": "VBG",
    "brooks": "VBZ",
    "brooking": "VBG",
    "brooms": "VBZ",
    "broomed": "VBD|VBN",
    "brooming": "VBG",
    "browbeats": "VBZ",
    "browbeating": "VBG",
    "browns": "VBZ",
    "browses": "VBZ",
    "browsed": "VBD|VBN",
    "budges": "VBZ",
    "budging": "VBG",
    "budgot": "VBD|VBN",
    "budgetting": "VBG",
    "buffed": "VBD|VBN",
    "buffers": "VBZ",
    "buffering": "VBG",
    "bulges": "VBZ",
    "bulled": "VBD|VBN",
    "bulling": "VBG",
    "bulldozes": "VBZ",
    "bulldozing": "VBG",
    "bulletined": "VBD|VBN",
    "bulletining": "VBG",
    "bullshits": "VBZ",
    "bullshitting": "VBG",
    "bumbles": "VBZ",
    "bumbled": "VBD|VBN",
    "buncos": "VBZ",
    "buncoed": "VBD|VBN",
    "buncoing": "VBG",
    "bunking": "VBG",
    "bunts": "VBZ",
    "bunted": "VBD|VBN",
    "burdenned": "VBD|VBN",
    "burdenning": "VBG",
    "burlesqued": "VBD|VBN",
    "burlesquing": "VBG",
    "bushelled": "VBD|VBN",
    "bushelling": "VBG",
    "busss": "VBZ",
    "bussed": "VBD|VBN",
    "bussing": "VBG",
    "bustles": "VBZ",
    "bustled": "VBD|VBN",
    "busying": "VBG",
    "buttoning": "VBG",
    "buttressing": "VBG",
    "buy-backed": "VBD|VBN",
    "buy-backing": "VBG",
    "byes": "VBZ",
    "byeed": "VBD|VBN",
    "byeing": "VBG",
    "bypasses": "VBZ",
    "c-excludes": "VBZ",
    "c-excluded": "VBD|VBN",
    "c-excluding": "VBG",
    "cabbed": "VBD|VBN",
    "cabbing": "VBG",
    "cabals": "VBZ",
    "caballed": "VBD|VBN",
    "caballing": "VBG",
    "cabbages": "VBZ",
    "cabbaged": "VBD|VBN",
    "cabbaging": "VBG",
    "cabling": "VBG",
    "cached": "VBD|VBN",
    "caching": "VBG",
    "cadges": "VBZ",
    "cadged": "VBD|VBN",
    "cadging": "VBG",
    "cajoles": "VBZ",
    "cajoled": "VBD|VBN",
    "cajoling": "VBG",
    "caking": "VBG",
    "callouss": "VBZ",
    "callousing": "VBG",
    "camouflages": "VBZ",
    "camouflaging": "VBG",
    "… (been able)": "VBN",
    "canalled": "VBD|VBN",
    "canalling": "VBG",
    "candied": "VBD|VBN|JJ",
    "candying": "VBG",
    "canes": "VBZ",
    "caned": "VBD|VBN",
    "cannibalizes": "VBZ",
    "cannibalized": "VBD|VBN",
    "cants": "VBZ",
    "canvasses": "VBZ",
    "carded": "VBD|VBN",
    "careens": "VBZ",
    "caricaturing": "VBG",
    "carped": "VBD|VBN",
    "casing": "VBG",
    "cashes": "VBZ",
    "catted": "VBD|VBN",
    "catting": "VBG",
    "catalogged": "VBD|VBN",
    "catalogging": "VBG",
    "cataloguing": "VBG",
    "catchees": "VBZ",
    "catcheed": "VBD|VBN",
    "catcheeing": "VBG",
    "catechizes": "VBZ",
    "catechized": "VBD|VBN",
    "catechizing": "VBG",
    "categorizes": "VBZ",
    "caucuss": "VBZ",
    "caucused": "VBD|VBN",
    "caucusing": "VBG",
    "cauterizes": "VBZ",
    "cauterized": "VBD|VBN",
    "cauterizing": "VBG",
    "cavorts": "VBZ",
    "cedes": "VBZ",
    "cements": "VBZ",
    "censoring": "VBG",
    "censuring": "VBG",
    "centralizes": "VBZ",
    "centres": "VBZ",
    "centred": "VBD|VBN",
    "centring": "VBG",
    "chaffs": "VBZ",
    "chaffed": "VBD|VBN",
    "chagrins": "VBZ",
    "chagrinned": "VBD|VBN",
    "chagrinning": "VBG",
    "chairred": "VBD|VBN",
    "chairring": "VBG",
    "chairmans": "VBZ",
    "chairmanned": "VBD|VBN",
    "chairmanning": "VBG",
    "chamfers": "VBZ",
    "chamfered": "VBD|VBN",
    "chamfering": "VBG",
    "champed": "VBD|VBN",
    "champing": "VBG",
    "chancing": "VBG",
    "chandelles": "VBZ",
    "chandelled": "VBD|VBN",
    "chandelling": "VBG",
    "channelling": "VBG",
    "chars": "VBZ",
    "chared": "VBD|VBN",
    "charing": "VBG",
    "chartering": "VBG",
    "chases": "VBZ",
    "chats": "VBZ",
    "chatters": "VBZ",
    "chauffeuring": "VBG",
    "checkered": "VBD|VBN",
    "checkering": "VBG",
    "chid": "VBD",
    "chidden": "VBN",
    "chinned": "VBD|VBN",
    "chin-upped": "VBD|VBN",
    "chin-upping": "VBG",
    "chiselled": "VBD|VBN",
    "chiselling": "VBG",
    "choirs": "VBZ",
    "choirred": "VBD|VBN",
    "choirring": "VBG",
    "chomps": "VBZ",
    "chorded": "VBD|VBN",
    "chording": "VBG",
    "choruss": "VBZ",
    "chorusing": "VBG",
    "christens": "VBZ",
    "chromes": "VBZ",
    "chroming": "VBG",
    "chunked": "VBD|VBN",
    "chunking": "VBG",
    "chutes": "VBZ",
    "chuted": "VBD|VBN",
    "chuting": "VBG",
    "cinched": "VBD|VBN",
    "cinching": "VBG",
    "ciphered": "VBD|VBN",
    "ciphering": "VBG",
    "circumvented": "VBD|VBN",
    "civilizes": "VBZ",
    "clangs": "VBZ",
    "classing": "VBG",
    "clatters": "VBZ",
    "cleanses": "VBZ",
    "cleaves": "VBZ",
    "cleaving": "VBG",
    "clenching": "VBG",
    "climaxing": "VBG",
    "cloaked": "VBD|VBN",
    "cloaking": "VBG",
    "clobbering": "VBG",
    "closured": "VBD|VBN",
    "closuring": "VBG",
    "clotures": "VBZ",
    "clotured": "VBD|VBN",
    "cloturing": "VBG",
    "clowned": "VBD|VBN",
    "clubbing": "VBG",
    "clued": "VBD|VBN",
    "cluing": "VBG",
    "clumped": "VBD|VBN",
    "clumping": "VBG",
    "clutters": "VBZ",
    "cluttering": "VBG",
    "co-develops": "VBZ",
    "co-developed": "VBD|VBN",
    "co-developing": "VBG",
    "co-exists": "VBZ",
    "co-existed": "VBD|VBN",
    "co-existing": "VBG",
    "co-markets": "VBZ",
    "co-marketted": "VBD|VBN",
    "co-marketting": "VBG",
    "co-produces": "VBZ",
    "co-producing": "VBG",
    "coaled": "VBD|VBN",
    "coaling": "VBG",
    "coalescing": "VBG",
    "cocks": "VBZ",
    "cocking": "VBG",
    "cods": "VBZ",
    "codded": "VBD|VBN",
    "codding": "VBG",
    "coddles": "VBZ",
    "coercing": "VBG",
    "coexists": "VBZ",
    "coexisted": "VBD|VBN",
    "coexisting": "VBG",
    "coheres": "VBZ",
    "cohered": "VBD|VBN",
    "cohering": "VBG",
    "coiffures": "VBZ",
    "coiffured": "VBD|VBN",
    "coiffuring": "VBG",
    "coining": "VBG",
    "collaring": "VBG",
    "colludes": "VBZ",
    "colluding": "VBG",
    "combs": "VBZ",
    "combats": "VBZ",
    "combatting": "VBG",
    "commercializes": "VBZ",
    "commiserates": "VBZ",
    "commiserated": "VBD|VBN",
    "commoditizes": "VBZ",
    "commoditized": "VBD|VBN",
    "commoditizing": "VBG",
    "communed": "VBD|VBN",
    "communing": "VBG",
    "communicates": "VBZ",
    "communizes": "VBZ",
    "communized": "VBD|VBN",
    "communizing": "VBG",
    "compacting": "VBG",
    "companioned": "VBD|VBN",
    "companioning": "VBG",
    "companied": "VBD|VBN",
    "companying": "VBG",
    "compasses": "VBZ",
    "compassed": "VBD|VBN",
    "compassing": "VBG",
    "comports": "VBZ",
    "comporting": "VBG",
    "comprehends": "VBZ",
    "computerizes": "VBZ",
    "computerizeds": "VBZ",
    "computerizeded": "VBD|VBN",
    "computerizeding": "VBG",
    "conciliates": "VBZ",
    "conciliated": "VBD|VBN",
    "conciliating": "VBG",
    "concocts": "VBZ",
    "concocting": "VBG",
    "concords": "VBZ",
    "concorded": "VBD|VBN",
    "concording": "VBG",
    "condenses": "VBZ",
    "condones": "VBZ",
    "condoning": "VBG",
    "coned": "VBD|VBN",
    "confered": "VBD|VBN",
    "confering": "VBG",
    "confiscates": "VBZ",
    "confounds": "VBZ",
    "congeals": "VBZ",
    "congealing": "VBG",
    "conglomerated": "VBD|VBN",
    "conglomerating": "VBG",
    "congratulates": "VBZ",
    "congregeats": "VBZ",
    "congregeaten": "VBN",
    "congregeating": "VBG",
    "conjecturing": "VBG",
    "connoted": "VBD|VBN",
    "connoting": "VBG",
    "conquers": "VBZ",
    "consigning": "VBG",
    "consolideats": "VBZ",
    "consolideaten": "VBN",
    "consolideating": "VBG",
    "construes": "VBZ",
    "consults": "VBZ",
    "contaminates": "VBZ",
    "contemporizes": "VBZ",
    "contemporized": "VBD|VBN",
    "contemporizing": "VBG",
    "contrives": "VBZ",
    "converges": "VBZ",
    "converses": "VBZ",
    "conversed": "VBD|VBN",
    "copped": "VBD|VBN",
    "copping": "VBG",
    "corkscrewed": "VBD|VBN",
    "corkscrewing": "VBG",
    "correlates": "VBZ",
    "corroborates": "VBZ",
    "corroborating": "VBG",
    "corrodes": "VBZ",
    "corroded": "VBD|VBN",
    "counselled": "VBD|VBN",
    "counselling": "VBG",
    "countenanced": "VBD|VBN",
    "countenancing": "VBG",
    "counter-drills": "VBZ",
    "counter-drilled": "VBD|VBN",
    "counter-drilling": "VBG",
    "counteracts": "VBZ",
    "counterattacks": "VBZ",
    "counterattacking": "VBG",
    "counterbalances": "VBZ",
    "counterchallenges": "VBZ",
    "counterchallenged": "VBD|VBN",
    "counterchallenging": "VBG",
    "counterfeits": "VBZ",
    "counterfeited": "VBD|VBN",
    "counterfeiting": "VBG",
    "counterpoints": "VBZ",
    "counterpointed": "VBD|VBN",
    "counterprograms": "VBZ",
    "counterprogrammed": "VBD|VBN",
    "counterweights": "VBZ",
    "counterweighted": "VBD|VBN",
    "counterweighting": "VBG",
    "covetted": "VBD|VBN",
    "covetting": "VBG",
    "cowing": "VBG",
    "cowers": "VBZ",
    "cowered": "VBD|VBN",
    "crabbing": "VBG",
    "cradling": "VBG",
    "cramping": "VBG",
    "craned": "VBD|VBN",
    "craps": "VBZ",
    "crapped": "VBD|VBN",
    "crapping": "VBG",
    "crapshoots": "VBZ",
    "crapshot": "VBD|VBN",
    "crapshooting": "VBG",
    "creaming": "VBG",
    "creasing": "VBG",
    "creditted": "VBD|VBN",
    "creditting": "VBG",
    "cremates": "VBZ",
    "cremating": "VBG",
    "cribbed": "VBD|VBN",
    "criminalizes": "VBZ",
    "crimsons": "VBZ",
    "crimsonned": "VBD|VBN",
    "crimsonning": "VBG",
    "cringes": "VBZ",
    "crisps": "VBZ",
    "crisped": "VBD|VBN",
    "crisping": "VBG",
    "critiques": "VBZ",
    "critiqued": "VBD|VBN",
    "critiquing": "VBG",
    "crochets": "VBZ",
    "crochetted": "VBD|VBN",
    "crochetting": "VBG",
    "crooking": "VBG",
    "crystallizes": "VBZ",
    "cubing": "VBG",
    "cuing": "VBG",
    "cuffed": "VBD|VBN",
    "cuffing": "VBG",
    "culls": "VBZ",
    "cumulates": "VBZ",
    "cumulated": "VBD|VBN",
    "cumulating": "VBG",
    "cupping": "VBG",
    "curries": "VBZ",
    "curried": "VBD|VBN",
    "currying": "VBG",
    "custom-fits": "VBZ",
    "custom-fitting": "VBG",
    "custom-makes": "VBZ",
    "custom-maked": "VBD|VBN",
    "custom-making": "VBG",
    "cut-and-pastes": "VBZ",
    "cut-and-pasted": "VBD|VBN",
    "cut-and-pasting": "VBG",
    "dallies": "VBZ",
    "dallied": "VBD|VBN",
    "dallying": "VBG",
    "damps": "VBZ",
    "dampens": "VBZ",
    "dampenned": "VBD|VBN",
    "dampenning": "VBG",
    "daunts": "VBZ",
    "daydreams": "VBZ",
    "daydreamt": "VBD|VBN",
    "dazes": "VBZ",
    "dazing": "VBG",
    "de-emphasizes": "VBZ",
    "de-emphasizing": "VBG",
    "de-iodineats": "VBZ",
    "de-iodineaten": "VBN",
    "de-iodineating": "VBG",
    "de-leverages": "VBZ",
    "de-leveraged": "VBD|VBN",
    "de-leveraging": "VBG",
    "deafs": "VBZ",
    "deafed": "VBD|VBN",
    "deafing": "VBG",
    "debunks": "VBZ",
    "debutted": "VBD|VBN",
    "debutting": "VBG",
    "deceases": "VBZ",
    "deceasing": "VBG",
    "decelerates": "VBZ",
    "decentralizes": "VBZ",
    "decertifies": "VBZ",
    "decertifying": "VBG",
    "deciphers": "VBZ",
    "deciphering": "VBG",
    "decodes": "VBZ",
    "decoded": "VBD|VBN",
    "decoding": "VBG",
    "decontrols": "VBZ",
    "decontrolled": "VBD|VBN",
    "decontrolling": "VBG",
    "decorates": "VBZ",
    "dedicating": "VBG",
    "deducts": "VBZ",
    "deepenned": "VBD|VBN",
    "deepenning": "VBG",
    "defered": "VBD|VBN",
    "defering": "VBG",
    "defiled": "VBD|VBN",
    "defleats": "VBZ",
    "defleaten": "VBN",
    "defleating": "VBG",
    "defrauds": "VBZ",
    "defrays": "VBZ",
    "defraying": "VBG",
    "defuncts": "VBZ",
    "defuncted": "VBD|VBN",
    "defuncting": "VBG",
    "degenerating": "VBG",
    "dehydrates": "VBZ",
    "dehydrating": "VBG",
    "deletes": "VBZ",
    "deliberates": "VBZ",
    "delimitted": "VBD|VBN",
    "delimitting": "VBG",
    "delineates": "VBZ",
    "delists": "VBZ",
    "delivres": "VBZ",
    "delivred": "VBD|VBN",
    "delivring": "VBG",
    "deludes": "VBZ",
    "deluges": "VBZ",
    "deluging": "VBG",
    "demilitarizes": "VBZ",
    "demilitarized": "VBD|VBN",
    "demilitarizing": "VBG",
    "demos": "VBZ",
    "demoed": "VBD|VBN",
    "demoing": "VBG",
    "demobilizes": "VBZ",
    "democratizes": "VBZ",
    "demolishes": "VBZ",
    "demonizes": "VBZ",
    "demured": "VBD|VBN",
    "demuring": "VBG",
    "demythologizes": "VBZ",
    "denigrates": "VBZ",
    "denigrated": "VBD|VBN",
    "denigrating": "VBG",
    "denudes": "VBZ",
    "denuding": "VBG",
    "depleting": "VBG",
    "deploys": "VBZ",
    "deports": "VBZ",
    "deporting": "VBG",
    "deposes": "VBZ",
    "deposing": "VBG",
    "depositted": "VBD|VBN",
    "depositting": "VBG",
    "deregulates": "VBZ",
    "derogates": "VBZ",
    "derogated": "VBD|VBN",
    "derogating": "VBG",
    "desegregates": "VBZ",
    "desegregating": "VBG",
    "deserting": "VBG",
    "desists": "VBZ",
    "desisting": "VBG",
    "desolates": "VBZ",
    "desolated": "VBD|VBN",
    "desolating": "VBG",
    "despairred": "VBD|VBN",
    "despairring": "VBG",
    "despatches": "VBZ",
    "despatching": "VBG",
    "despising": "VBG",
    "dessiers": "VBZ",
    "dessiered": "VBD|VBN",
    "dessiering": "VBG",
    "destabilized": "VBD|VBN",
    "detaches": "VBZ",
    "detaching": "VBG",
    "detains": "VBZ",
    "detered": "VBD|VBN",
    "detering": "VBG",
    "detesting": "VBG",
    "detonates": "VBZ",
    "detoxifies": "VBZ",
    "detoxified": "VBD|VBN",
    "detoxifying": "VBG",
    "detribalizes": "VBZ",
    "detribalized": "VBD|VBN",
    "detribalizing": "VBG",
    "devalues": "VBZ",
    "devaluing": "VBG",
    "devastates": "VBZ",
    "devilled": "VBD|VBN",
    "devilling": "VBG",
    "deworms": "VBZ",
    "dewormed": "VBD|VBN",
    "deworming": "VBG",
    "dices": "VBZ",
    "diced": "VBD|VBN",
    "dicing": "VBG",
    "dickers": "VBZ",
    "diddles": "VBZ",
    "diddled": "VBD|VBN",
    "dieted": "VBD|VBN",
    "digests": "VBZ",
    "dignifying": "VBG",
    "digresses": "VBZ",
    "digressed": "VBD|VBN",
    "digressing": "VBG",
    "dikes": "VBZ",
    "diked": "VBD|VBN",
    "diking": "VBG",
    "dims": "VBZ",
    "dimensioned": "VBD|VBN",
    "dins": "VBZ",
    "dinned": "VBD|VBN",
    "dinning": "VBG",
    "dirties": "VBZ",
    "dirtied": "VBD|VBN",
    "dirtying": "VBG",
    "disables": "VBZ",
    "disabuses": "VBZ",
    "disabused": "VBD|VBN",
    "disabusing": "VBG",
    "disadvantaging": "VBG",
    "disagreeing": "VBG",
    "disallows": "VBZ",
    "disallowing": "VBG",
    "disarms": "VBZ",
    "disarrays": "VBZ",
    "disarrayed": "VBD|VBN",
    "disarraying": "VBG",
    "disassembles": "VBZ",
    "disassembling": "VBG",
    "disassociates": "VBZ",
    "disassociating": "VBG",
    "disbands": "VBZ",
    "disburdens": "VBZ",
    "disburdenned": "VBD|VBN",
    "disburdenning": "VBG",
    "discomfits": "VBZ",
    "discomfitted": "VBD|VBN",
    "discomfitting": "VBG",
    "disconcerts": "VBZ",
    "disconcerted": "VBD|VBN",
    "disconnects": "VBZ",
    "discords": "VBZ",
    "discorded": "VBD|VBN",
    "discording": "VBG",
    "discorporates": "VBZ",
    "discorporating": "VBG",
    "discoursed": "VBD|VBN",
    "discoursing": "VBG",
    "discredits": "VBZ",
    "discreditted": "VBD|VBN",
    "discreditting": "VBG",
    "disembarks": "VBZ",
    "disengages": "VBZ",
    "disengaging": "VBG",
    "disentangles": "VBZ",
    "disentangled": "VBD|VBN",
    "disfavors": "VBZ",
    "disfavoring": "VBG",
    "disgorges": "VBZ",
    "disgorged": "VBD|VBN",
    "disgorging": "VBG",
    "disgraces": "VBZ",
    "disgracing": "VBG",
    "disgusts": "VBZ",
    "disheartens": "VBZ",
    "dishonors": "VBZ",
    "dishonoring": "VBG",
    "disintegrates": "VBZ",
    "disked": "VBD|VBN",
    "dislodges": "VBZ",
    "dislodging": "VBG",
    "dismays": "VBZ",
    "dismembers": "VBZ",
    "disobeys": "VBZ",
    "disordering": "VBG",
    "disowns": "VBZ",
    "disowning": "VBG",
    "dispels": "VBZ",
    "dispelling": "VBG",
    "dispells": "VBZ",
    "dispelt": "VBD|VBN",
    "disperses": "VBZ",
    "disproves": "VBZ",
    "disproved": "VBD",
    "disproven": "VBN",
    "disqualifies": "VBZ",
    "disqualifying": "VBG",
    "disquiets": "VBZ",
    "disquieted": "VBD|VBN",
    "disrespects": "VBZ",
    "disrespecting": "VBG",
    "disrobes": "VBZ",
    "disrobed": "VBD|VBN",
    "disrobing": "VBG",
    "dissuades": "VBZ",
    "dissuading": "VBG",
    "distanced": "VBD|VBN",
    "distils": "VBZ",
    "distiled": "VBD|VBN",
    "distiling": "VBG",
    "districted": "VBD|VBN",
    "distrusting": "VBG",
    "ditching": "VBG",
    "dithered": "VBD|VBN",
    "diverges": "VBZ",
    "diverged": "VBD|VBN",
    "diverts": "VBZ",
    "divests": "VBZ",
    "divorcing": "VBG",
    "divulges": "VBZ",
    "divulged": "VBD|VBN",
    "docking": "VBG|NN",
    "dodges": "VBZ",
    "domiciles": "VBZ",
    "domiciling": "VBG",
    "doos": "VBZ",
    "dooed": "VBD|VBN",
    "dooing": "VBG",
    "dosing": "VBG",
    "double-bolts": "VBZ",
    "double-bolted": "VBD|VBN",
    "double-bolting": "VBG",
    "double-decks": "VBZ",
    "double-decked": "VBD|VBN",
    "double-glazes": "VBZ",
    "double-glazing": "VBG",
    "douses": "VBZ",
    "dousing": "VBG",
    "dowers": "VBZ",
    "dowered": "VBD|VBN",
    "dowering": "VBG",
    "downsizes": "VBZ",
    "dragoons": "VBZ",
    "dragooning": "VBG",
    "drahves": "VBZ",
    "drahved": "VBD|VBN",
    "drahving": "VBG",
    "draughted": "VBD|VBN",
    "draughting": "VBG",
    "dreads": "VBZ",
    "dribbles": "VBZ",
    "dribbling": "VBG",
    "drizzles": "VBZ",
    "drizzled": "VBD|VBN",
    "droops": "VBZ",
    "druthers": "VBZ",
    "druthered": "VBD|VBN",
    "druthering": "VBG",
    "duns": "VBZ",
    "dunned": "VBD|VBN",
    "dunning": "VBG",
    "dunking": "VBG",
    "dwarfing": "VBG",
    "earmarks": "VBZ",
    "eavesdrops": "VBZ",
    "eavesdropped": "VBD|VBN",
    "echos": "VBZ",
    "economizes": "VBZ",
    "economized": "VBD|VBN",
    "editted": "VBD|VBN",
    "editting": "VBG",
    "editorializes": "VBZ",
    "editorialized": "VBD|VBN",
    "editorializing": "VBG",
    "effectuates": "VBZ",
    "effectuated": "VBD|VBN",
    "effectuating": "VBG",
    "effloresces": "VBZ",
    "effloresced": "VBD|VBN",
    "efflorescing": "VBG",
    "ejects": "VBZ",
    "ejecting": "VBG",
    "ekes": "VBZ",
    "elapsing": "VBG",
    "elicitted": "VBD|VBN",
    "elicitting": "VBG",
    "elongates": "VBZ",
    "elongating": "VBG",
    "emancipates": "VBZ",
    "emancipating": "VBG",
    "emasculates": "VBZ",
    "emasculating": "VBG",
    "embarwent": "VBD",
    "embargone": "VBN",
    "embargoing": "VBG",
    "embellishes": "VBZ",
    "embellishing": "VBG",
    "embezzles": "VBZ",
    "embroiders": "VBZ",
    "embroidering": "VBG",
    "emigrates": "VBZ",
    "emotes": "VBZ",
    "emoting": "VBG",
    "empathizes": "VBZ",
    "empathized": "VBD|VBN",
    "empathizing": "VBG",
    "emphaticizes": "VBZ",
    "emphaticized": "VBD|VBN",
    "emphaticizing": "VBG",
    "emuleats": "VBZ",
    "emuleaten": "VBN",
    "emuleating": "VBG",
    "encamps": "VBZ",
    "encamping": "VBG",
    "encapsulates": "VBZ",
    "encapsulated": "VBD|VBN",
    "encapsulating": "VBG",
    "enchants": "VBZ",
    "encroaches": "VBZ",
    "encumbers": "VBZ",
    "encumbering": "VBG",
    "endangers": "VBZ",
    "endeavoured": "VBD|VBN",
    "endeavouring": "VBG",
    "endowing": "VBG",
    "engendering": "VBG",
    "enjoins": "VBZ",
    "enlivens": "VBZ",
    "enlivenned": "VBD|VBN",
    "enlivenning": "VBG",
    "enrolls": "VBZ",
    "ensnares": "VBZ",
    "ensnaring": "VBG",
    "entices": "VBZ",
    "entrancing": "VBG",
    "entreats": "VBZ",
    "entreating": "VBG",
    "entrenches": "VBZ",
    "entrenching": "VBG",
    "entrusts": "VBZ",
    "enunciates": "VBZ",
    "envisaging": "VBG",
    "epitomizing": "VBG",
    "equalizes": "VBZ",
    "equalized": "VBD|VBN",
    "equiped": "VBD|VBN",
    "equiping": "VBG",
    "eradicates": "VBZ",
    "escalates": "VBZ",
    "essaying": "VBG",
    "esteems": "VBZ",
    "esteeming": "VBG",
    "etches": "VBZ",
    "eulogizes": "VBZ",
    "eulogizing": "VBG",
    "evacuates": "VBZ",
    "evacuating": "VBG",
    "evaporating": "VBG",
    "evenned": "VBD|VBN",
    "evenning": "VBG",
    "evicts": "VBZ",
    "eviscerates": "VBZ",
    "eviscerated": "VBD|VBN",
    "exalts": "VBZ",
    "exasperates": "VBZ",
    "excavates": "VBZ",
    "excerpted": "VBD|VBN",
    "excerpting": "VBG",
    "excises": "VBZ",
    "excising": "VBG",
    "excorcieats": "VBZ",
    "excorcieaten": "VBN",
    "excorcieating": "VBG",
    "excoriates": "VBZ",
    "excretes": "VBZ",
    "excreting": "VBG",
    "exemplifying": "VBG",
    "exhibitted": "VBD|VBN",
    "exhibitting": "VBG",
    "exhorted": "VBD|VBN",
    "exhumes": "VBZ",
    "exhumed": "VBD|VBN",
    "exhuming": "VBG",
    "exitted": "VBD|VBN",
    "exitting": "VBG",
    "exorcises": "VBZ",
    "exorcised": "VBD|VBN",
    "exorcising": "VBG",
    "expatriated": "VBD|VBN",
    "expatriating": "VBG",
    "expedites": "VBZ",
    "expending": "VBG",
    "expunges": "VBZ",
    "extemporizes": "VBZ",
    "extemporized": "VBD|VBN",
    "extemporizing": "VBG",
    "extenuates": "VBZ",
    "extenuated": "VBD|VBN",
    "exterminates": "VBZ",
    "extinguishes": "VBZ",
    "extinguishing": "VBG",
    "extorts": "VBZ",
    "extradites": "VBZ",
    "extrapolating": "VBG",
    "extricates": "VBZ",
    "extricated": "VBD|VBN",
    "extricating": "VBG",
    "exudes": "VBZ",
    "exuding": "VBG",
    "eyeballed": "VBD|VBN",
    "facsimiled": "VBD|VBN",
    "facsimiling": "VBG",
    "faints": "VBZ",
    "falsifies": "VBZ",
    "faming": "VBG",
    "familiarizes": "VBZ",
    "familiarized": "VBD|VBN",
    "familiarizing": "VBG",
    "fantasizes": "VBZ",
    "fantasizing": "VBG",
    "fantasied": "VBD|VBN",
    "fantasying": "VBG",
    "farced": "VBD|VBN",
    "farcing": "VBG",
    "fatted": "VBD|VBN",
    "fatting": "VBG",
    "fated": "VBD|VBN|JJ",
    "fating": "VBG",
    "fathering": "VBG",
    "fathommed": "VBD|VBN",
    "fathomming": "VBG",
    "fattens": "VBZ",
    "favours": "VBZ",
    "favoured": "VBD|VBN",
    "favouring": "VBG",
    "fawns": "VBZ",
    "fazes": "VBZ",
    "fazing": "VBG",
    "feathering": "VBG",
    "federalizes": "VBZ",
    "federalizing": "VBG",
    "feeing": "VBG",
    "feints": "VBZ",
    "feinted": "VBD|VBN",
    "feinting": "VBG",
    "fence-sits": "VBZ",
    "fence-sat": "VBD|VBN",
    "fence-sitting": "VBG",
    "fends": "VBZ",
    "ferments": "VBZ",
    "ferretted": "VBD|VBN",
    "ferretting": "VBG",
    "festers": "VBZ",
    "festered": "VBD|VBN",
    "feting": "VBG",
    "ffreinds": "VBZ",
    "ffreinded": "VBD|VBN",
    "ffreinding": "VBG",
    "fiddles": "VBZ",
    "fiddled": "VBD|VBN",
    "filetted": "VBD|VBN",
    "filetting": "VBG",
    "filibustered": "VBD|VBN",
    "filibustering": "VBG",
    "fine-tunes": "VBZ",
    "flails": "VBZ",
    "flawing": "VBG",
    "flays": "VBZ",
    "flaid": "VBD|VBN",
    "flaying": "VBG",
    "flecks": "VBZ",
    "flecking": "VBG",
    "fleeces": "VBZ",
    "fleecing": "VBG",
    "fleeted": "VBD|VBN",
    "fleshes": "VBZ",
    "fleshed": "VBD|VBN",
    "fleshing": "VBG",
    "flexs": "VBZ",
    "flickers": "VBZ",
    "flighted": "VBD|VBN",
    "flighting": "VBG",
    "flim-flams": "VBZ",
    "flim-flammed": "VBD|VBN",
    "flim-flamming": "VBG",
    "flinches": "VBZ",
    "flip-flops": "VBZ",
    "flip-flopping": "VBG",
    "flirts": "VBZ",
    "flits": "VBZ",
    "flitted": "VBD|VBN",
    "flngs": "VBZ",
    "flnged": "VBD|VBN",
    "flnging": "VBG",
    "flogs": "VBZ",
    "flogging": "VBG",
    "floored": "VBD|VBN",
    "flopping": "VBG",
    "flouts": "VBZ",
    "fluffs": "VBZ",
    "fluffed": "VBD|VBN",
    "fluffing": "VBG",
    "flunks": "VBZ",
    "flurrying": "VBG",
    "flutters": "VBZ",
    "fluxs": "VBZ",
    "fluxed": "VBD|VBN",
    "fluxing": "VBG",
    "focuss": "VBZ",
    "fogs": "VBZ",
    "fogging": "VBG",
    "foils": "VBZ",
    "fonds": "VBZ",
    "fonded": "VBD|VBN",
    "fonding": "VBG",
    "foolproofs": "VBZ",
    "foolproofed": "VBD|VBN",
    "foolproofing": "VBG",
    "foots": "VBZ",
    "footed": "VBD|VBN",
    "footnoting": "VBG",
    "foraged": "VBD|VBN",
    "forayed": "VBD|VBN",
    "foraying": "VBG",
    "forecloses": "VBZ",
    "foregos": "VBZ",
    "forewent": "VBD",
    "foregrounds": "VBZ",
    "foregrounded": "VBD|VBN",
    "foregrounding": "VBG",
    "foreknew": "VBD",
    "foreshadows": "VBZ",
    "forested": "VBD|VBN",
    "foresting": "VBG",
    "forestalls": "VBZ",
    "forestalling": "VBG",
    "foretells": "VBZ",
    "foretold": "VBD|VBN",
    "foretelling": "VBG",
    "forfeits": "VBZ",
    "forgits": "VBZ",
    "forgitted": "VBD|VBN",
    "forgitting": "VBG",
    "forgos": "VBZ",
    "forgoed": "VBD|VBN",
    "forgoing": "VBG",
    "formalizing": "VBG",
    "formatted": "VBD|VBN",
    "formatting": "VBG",
    "forsook": "VBD",
    "forsaking": "VBG",
    "fortifies": "VBZ",
    "fortifying": "VBG",
    "fouls": "VBZ",
    "foxs": "VBZ",
    "foxed": "VBD|VBN",
    "foxing": "VBG",
    "fractioned": "VBD|VBN",
    "fraternizes": "VBZ",
    "fraternizing": "VBG",
    "frays": "VBZ",
    "freighted": "VBD|VBN",
    "freighting": "VBG",
    "frequenting": "VBG",
    "frights": "VBZ",
    "frighted": "VBD|VBN",
    "frighting": "VBG",
    "froliced": "VBD|VBN",
    "frolicing": "VBG",
    "frosts": "VBZ",
    "frostbites": "VBZ",
    "frostbit": "VBD",
    "frostbitten": "VBN",
    "frostbiting": "VBG",
    "froths": "VBZ",
    "frothed": "VBD|VBN",
    "fudges": "VBZ",
    "fulfulls": "VBZ",
    "fulfulled": "VBD|VBN",
    "fulfulling": "VBG",
    "fulls": "VBZ",
    "fulled": "VBD|VBN",
    "fulling": "VBG",
    "fulminates": "VBZ",
    "fulminated": "VBD|VBN",
    "fumbles": "VBZ",
    "funnelled": "VBD|VBN",
    "funnelling": "VBG",
    "furrowing": "VBG",
    "gabs": "VBZ",
    "gabbed": "VBD|VBN",
    "gabbles": "VBZ",
    "gabbled": "VBD|VBN",
    "gaged": "VBD|VBN",
    "gallops": "VBZ",
    "gallopped": "VBD|VBN",
    "gallopping": "VBG",
    "galvanizes": "VBZ",
    "ganged": "VBD|VBN",
    "gapping": "VBG",
    "garbs": "VBZ",
    "garbing": "VBG",
    "gardenned": "VBD|VBN",
    "gardenning": "VBG",
    "gargles": "VBZ",
    "gargled": "VBD|VBN",
    "gargling": "VBG",
    "garmented": "VBD|VBN",
    "garmenting": "VBG",
    "garners": "VBZ",
    "garnering": "VBG",
    "garnishes": "VBZ",
    "garnished": "VBD|VBN",
    "garnishing": "VBG",
    "garrisons": "VBZ",
    "garrisonned": "VBD|VBN",
    "garrisonning": "VBG",
    "gass": "VBZ",
    "gased": "VBD|VBN",
    "gasing": "VBG",
    "gasconades": "VBZ",
    "gasconaded": "VBD|VBN",
    "gasconading": "VBG",
    "gashed": "VBD|VBN",
    "gashing": "VBG",
    "gelled": "VBD|VBN",
    "gelling": "VBG",
    "gendered": "VBD|VBN",
    "gendering": "VBG",
    "generalizes": "VBZ",
    "generalizing": "VBG",
    "gentles": "VBZ",
    "gentled": "VBD|VBN",
    "gentling": "VBG",
    "germinates": "VBZ",
    "germinating": "VBG",
    "gethers": "VBZ",
    "gethered": "VBD|VBN",
    "gethering": "VBG",
    "ghosting": "VBG",
    "gibbets": "VBZ",
    "gibbetted": "VBD|VBN",
    "gibbetting": "VBG",
    "gibed": "VBD|VBN",
    "gibing": "VBG",
    "gifting": "VBG",
    "gilds": "VBZ",
    "gims": "VBZ",
    "gimmed": "VBD|VBN",
    "gimming": "VBG",
    "girdles": "VBZ",
    "girdled": "VBD|VBN",
    "girdling": "VBG",
    "girths": "VBZ",
    "girthed": "VBD|VBN",
    "girthing": "VBG",
    "glamorizes": "VBZ",
    "glamorizing": "VBG",
    "glamours": "VBZ",
    "glamoured": "VBD|VBN",
    "glamouring": "VBG",
    "glassed": "VBD|VBN",
    "glassing": "VBG",
    "gleams": "VBZ",
    "gleaning": "VBG",
    "glimmered": "VBD|VBN",
    "glints": "VBZ",
    "glistens": "VBZ",
    "glitters": "VBZ",
    "glorifying": "VBG",
    "glosses": "VBZ",
    "glossing": "VBG",
    "gluing": "VBG",
    "gnashes": "VBZ",
    "gnashed": "VBD|VBN",
    "gnaws": "VBZ",
    "goads": "VBZ",
    "goading": "VBG",
    "godamits": "VBZ",
    "godamitted": "VBD|VBN",
    "godamitting": "VBG",
    "gores": "VBZ",
    "goring": "VBG",
    "gracing": "VBG",
    "grafts": "VBZ",
    "grandfathered": "VBD|VBN",
    "grandfathering": "VBG",
    "graphing": "VBG",
    "grasps": "VBZ",
    "grassing": "VBG",
    "gratifies": "VBZ",
    "graunts": "VBZ",
    "graunted": "VBD|VBN",
    "graunting": "VBG",
    "graved": "VBD|VBN",
    "graving": "VBG",
    "gravels": "VBZ",
    "gravelled": "VBD|VBN",
    "gravelling": "VBG",
    "grazes": "VBZ",
    "greened": "VBD|VBN",
    "greys": "VBZ",
    "greyed": "VBD|VBN",
    "grills": "VBZ",
    "grilling": "VBG",
    "grimes": "VBZ",
    "griming": "VBG",
    "gritted": "VBD|VBN",
    "gritting": "VBG",
    "groks": "VBZ",
    "groked": "VBD|VBN",
    "groking": "VBG",
    "grooving": "VBG",
    "gropes": "VBZ",
    "grovelled": "VBD|VBN",
    "grovelling": "VBG",
    "growthed": "VBD|VBN",
    "growthing": "VBG",
    "grubbed": "VBD|VBN",
    "grubbing": "VBG",
    "grudged": "VBD|VBN",
    "grunts": "VBZ",
    "gulls": "VBZ",
    "gurgles": "VBZ",
    "gurgled": "VBD|VBN",
    "gutting": "VBG",
    "guyed": "VBD|VBN",
    "guying": "VBG",
    "gyrates": "VBZ",
    "haftas": "VBZ",
    "haftaed": "VBD|VBN",
    "haftaing": "VBG",
    "haggles": "VBZ",
    "haggled": "VBD|VBN",
    "halters": "VBZ",
    "haltered": "VBD|VBN",
    "haltering": "VBG",
    "hammed": "VBD|VBN",
    "hammers": "VBZ",
    "hamstrings": "VBZ",
    "handcuffing": "VBG",
    "handicapping": "VBG",
    "harasses": "VBZ",
    "harbingers": "VBZ",
    "harbingered": "VBD|VBN",
    "harbingering": "VBG",
    "hardens": "VBZ",
    "hardenned": "VBD|VBN",
    "hardenning": "VBG",
    "harks": "VBZ",
    "harked": "VBD|VBN",
    "harmonizes": "VBZ",
    "harmonized": "VBD|VBN",
    "harmonizing": "VBG",
    "harnesses": "VBZ",
    "harps": "VBZ",
    "harries": "VBZ",
    "harrying": "VBG",
    "hashed": "VBD|VBN",
    "hatches": "VBZ",
    "hays": "VBZ",
    "hayed": "VBD|VBN",
    "haying": "VBG",
    "hazarded": "VBD|VBN",
    "hazarding": "VBG",
    "heals": "VBZ",
    "hearted": "VBD|VBN",
    "hearting": "VBG",
    "heeled": "VBD|VBN",
    "heeling": "VBG",
    "hefts": "VBZ",
    "hefting": "VBG",
    "heralds": "VBZ",
    "hero-worships": "VBZ",
    "hero-worshipped": "VBD|VBN",
    "hero-worshipping": "VBG",
    "hevs": "VBZ",
    "heved": "VBD|VBN",
    "heving": "VBG",
    "hexs": "VBZ",
    "hexed": "VBD|VBN",
    "highballs": "VBZ",
    "highballed": "VBD|VBN",
    "highballing": "VBG",
    "hinging": "VBG",
    "hisses": "VBZ",
    "hoarded": "VBD|VBN",
    "hobnobs": "VBZ",
    "hobnobbed": "VBD|VBN",
    "hobnobbing": "VBG",
    "hocks": "VBZ",
    "hocked": "VBD|VBN",
    "hoists": "VBZ",
    "holidayed": "VBD|VBN",
    "holidaying": "VBG",
    "hollowed": "VBD|VBN",
    "hollowing": "VBG",
    "homering": "VBG",
    "homogenizes": "VBZ",
    "homogenizing": "VBG",
    "hones": "VBZ",
    "honing": "VBG",
    "honeys": "VBZ",
    "honeyed": "VBD|VBN",
    "honeying": "VBG",
    "honeymoons": "VBZ",
    "honks": "VBZ",
    "honked": "VBD|VBN",
    "honking": "VBG",
    "honours": "VBZ",
    "hoofed": "VBD|VBN",
    "hoofing": "VBG",
    "horning": "VBG",
    "hosed": "VBD|VBN",
    "hosing": "VBG",
    "hucksters": "VBZ",
    "huckstered": "VBD|VBN",
    "hued": "VBD|VBN",
    "huing": "VBG",
    "hulked": "VBD|VBN",
    "humanizes": "VBZ",
    "humanized": "VBD|VBN",
    "humbles": "VBZ",
    "humored": "VBD|VBN",
    "humoring": "VBG",
    "humours": "VBZ",
    "humoured": "VBD|VBN",
    "humouring": "VBG",
    "humps": "VBZ",
    "humping": "VBG",
    "hungers": "VBZ",
    "hungered": "VBD|VBN",
    "hungering": "VBG",
    "hunkers": "VBZ",
    "hunkering": "VBG",
    "hurdling": "VBG",
    "husbanded": "VBD|VBN",
    "husbanding": "VBG",
    "hushes": "VBZ",
    "hushing": "VBG",
    "husked": "VBD|VBN",
    "husking": "VBG",
    "hypothesizes": "VBZ",
    "hypothesizing": "VBG",
    "ices": "VBZ",
    "idles": "VBZ",
    "idolizes": "VBZ",
    "idolizing": "VBG",
    "ignites": "VBZ",
    "igniting": "VBG",
    "illumining": "VBG",
    "imbibes": "VBZ",
    "imbibing": "VBG",
    "impacting": "VBG",
    "impairs": "VBZ",
    "impairing": "VBG",
    "imperils": "VBZ",
    "imperilling": "VBG",
    "impinges": "VBZ",
    "impinged": "VBD|VBN",
    "implants": "VBZ",
    "implicates": "VBZ",
    "implicating": "VBG",
    "impounds": "VBZ",
    "impounding": "VBG",
    "imprinting": "VBG",
    "impugns": "VBZ",
    "imputes": "VBZ",
    "imputing": "VBG",
    "inactivates": "VBZ",
    "inactivating": "VBG",
    "incarcerates": "VBZ",
    "incarcerating": "VBG",
    "incarnates": "VBZ",
    "incarnated": "VBD|VBN",
    "incarnating": "VBG",
    "incenses": "VBZ",
    "incises": "VBZ",
    "incised": "VBD|VBN",
    "incising": "VBG",
    "incites": "VBZ",
    "inclines": "VBZ",
    "inclining": "VBG",
    "inconvenienced": "VBD|VBN",
    "inconveniencing": "VBG",
    "incubates": "VBZ",
    "indemnifies": "VBZ",
    "indemnified": "VBD|VBN",
    "indentures": "VBZ",
    "indenturing": "VBG",
    "indexs": "VBZ",
    "indicts": "VBZ",
    "indicting": "VBG",
    "individueats": "VBZ",
    "individueaten": "VBN",
    "individueating": "VBG",
    "industrializes": "VBZ",
    "industrializing": "VBG",
    "infects": "VBZ",
    "infers": "VBZ",
    "infered": "VBD|VBN",
    "infering": "VBG",
    "infiltrates": "VBZ",
    "inflames": "VBZ",
    "inflaming": "VBG",
    "inflicts": "VBZ",
    "infuriates": "VBZ",
    "infuses": "VBZ",
    "infusing": "VBG",
    "ingests": "VBZ",
    "ingesting": "VBG",
    "ingratieats": "VBZ",
    "ingratieaten": "VBN",
    "ingratieating": "VBG",
    "inhibitted": "VBD|VBN",
    "inhibitting": "VBG",
    "inlays": "VBZ",
    "inlaying": "VBG",
    "innovates": "VBZ",
    "innovating": "VBG",
    "inoculates": "VBZ",
    "inoculated": "VBD|VBN",
    "inoculating": "VBG",
    "inputting": "VBG",
    "inquires": "VBZ",
    "instanced": "VBD|VBN",
    "instancing": "VBG",
    "instigates": "VBZ",
    "instilled": "VBD|VBN",
    "instilling": "VBG",
    "instrumenting": "VBG",
    "intensifies": "VBZ",
    "inters": "VBZ",
    "intered": "VBD|VBN",
    "intering": "VBG",
    "intercepting": "VBG",
    "interchanged": "VBD|VBN",
    "interchanging": "VBG",
    "interconnects": "VBZ",
    "interconnecting": "VBG",
    "interfaced": "VBD|VBN",
    "interfacing": "VBG",
    "interjecting": "VBG",
    "intermediated": "VBD|VBN",
    "intermediating": "VBG",
    "intermingles": "VBZ",
    "intermingled": "VBD|VBN",
    "intermingling": "VBG",
    "internationalizes": "VBZ",
    "interpenetrated": "VBD|VBN",
    "interpenetrating": "VBG",
    "interpretted": "VBD|VBN",
    "interpretting": "VBG",
    "interrogates": "VBZ",
    "interrogating": "VBG",
    "intersects": "VBZ",
    "intersected": "VBD|VBN",
    "intimates": "VBZ",
    "intimideats": "VBZ",
    "intimideaten": "VBN",
    "intimideating": "VBG",
    "inures": "VBZ",
    "inuring": "VBG",
    "invalided": "VBD|VBN",
    "invaliding": "VBG",
    "invalidates": "VBZ",
    "invalidating": "VBG",
    "inveighs": "VBZ",
    "inveighed": "VBD|VBN",
    "inveighing": "VBG",
    "inveigles": "VBZ",
    "inveigled": "VBD|VBN",
    "inveigling": "VBG",
    "inverts": "VBZ",
    "inverting": "VBG",
    "invigorates": "VBZ",
    "iodineats": "VBZ",
    "iodineaten": "VBN",
    "iodineating": "VBG",
    "irking": "VBG",
    "ironned": "VBD|VBN",
    "ironning": "VBG",
    "irrigates": "VBZ",
    "irrigated": "VBD|VBN",
    "item-vetos": "VBZ",
    "item-vetoed": "VBD|VBN",
    "item-vetoing": "VBG",
    "itemizes": "VBZ",
    "jacks": "VBZ",
    "jades": "VBZ",
    "jading": "VBG",
    "jaring": "VBG",
    "jawed": "VBD|VBN",
    "jawing": "VBG",
    "jawbones": "VBZ",
    "jawboned": "VBD|VBN",
    "jells": "VBZ",
    "jelling": "VBG",
    "jests": "VBZ",
    "jested": "VBD|VBN",
    "jetted": "VBD|VBN",
    "jettisons": "VBZ",
    "jettisonned": "VBD|VBN",
    "jettisonning": "VBG",
    "jewelling": "VBG",
    "jinxs": "VBZ",
    "jinxing": "VBG",
    "jobbed": "VBD|VBN",
    "jobbing": "VBG",
    "jockeyed": "VBD|VBN",
    "jogged": "VBD|VBN",
    "jointed": "VBD|VBN",
    "jointing": "VBG",
    "jollies": "VBZ",
    "jollied": "VBD|VBN",
    "jostles": "VBZ",
    "jounces": "VBZ",
    "jounced": "VBD|VBN",
    "jouncing": "VBG",
    "joyed": "VBD|VBN",
    "joying": "VBG",
    "joyrides": "VBZ",
    "joyrided": "VBD|VBN",
    "joyriding": "VBG",
    "jugged": "VBD|VBN",
    "jugging": "VBG",
    "juggles": "VBZ",
    "juggled": "VBD|VBN",
    "jumbles": "VBZ",
    "jumbling": "VBG",
    "jump-starts": "VBZ",
    "jump-started": "VBD|VBN",
    "jump-starting": "VBG",
    "junking": "VBG",
    "junketted": "VBD|VBN",
    "junketting": "VBG",
    "kayos": "VBZ",
    "kayoing": "VBG",
    "keels": "VBZ",
    "keeling": "VBG",
    "keens": "VBZ",
    "keened": "VBD|VBN",
    "ketchups": "VBZ",
    "ketchupped": "VBD|VBN",
    "ketchupping": "VBG",
    "kidded": "VBD|VBN",
    "kidnaps": "VBZ",
    "kindles": "VBZ",
    "kindling": "VBG",
    "knells": "VBZ",
    "knelled": "VBD|VBN",
    "knelling": "VBG",
    "knifes": "VBZ",
    "knifed": "VBD|VBN",
    "knifing": "VBG",
    "knighting": "VBG",
    "knoes": "VBZ",
    "knoeed": "VBD|VBN",
    "knoeing": "VBG",
    "knotting": "VBG",
    "knuckling": "VBG",
    "kowtows": "VBZ",
    "kowtowed": "VBD|VBN",
    "kowtowing": "VBG",
    "labelling": "VBG",
    "labours": "VBZ",
    "laboured": "VBD|VBN",
    "labouring": "VBG",
    "lacing": "VBG",
    "lacerates": "VBZ",
    "lacerating": "VBG",
    "lactates": "VBZ",
    "lactated": "VBD|VBN",
    "ladders": "VBZ",
    "laddering": "VBG",
    "ladles": "VBZ",
    "ladled": "VBD|VBN",
    "lames": "VBZ",
    "lamed": "VBD|VBN",
    "laming": "VBG",
    "lamenting": "VBG",
    "lampoons": "VBZ",
    "lampooned": "VBD|VBN",
    "lampooning": "VBG",
    "lards": "VBZ",
    "larded": "VBD|VBN",
    "larding": "VBG",
    "largesses": "VBZ",
    "largessed": "VBD|VBN",
    "largessing": "VBG",
    "larked": "VBD|VBN",
    "larking": "VBG",
    "lassos": "VBZ",
    "lassoed": "VBD|VBN",
    "lassoing": "VBG",
    "lathers": "VBZ",
    "lathering": "VBG",
    "launders": "VBZ",
    "lavishes": "VBZ",
    "lazes": "VBZ",
    "lazed": "VBD|VBN",
    "lazing": "VBG",
    "leached": "VBD|VBN",
    "leafs": "VBZ",
    "leapfrogs": "VBZ",
    "leapfrogged": "VBD|VBN",
    "leapfrogging": "VBG",
    "leashed": "VBD|VBN",
    "leashing": "VBG",
    "leeched": "VBD|VBN",
    "leeching": "VBG",
    "legalizes": "VBZ",
    "legitimates": "VBZ",
    "legitimated": "VBD|VBN",
    "legitimizing": "VBG",
    "lengthenned": "VBD|VBN",
    "lengthenning": "VBG",
    "lessenned": "VBD|VBN",
    "lessenning": "VBG",
    "levelling": "VBG",
    "levered": "VBD|VBN",
    "levering": "VBG",
    "leverages": "VBZ",
    "liberalizes": "VBZ",
    "liberates": "VBZ",
    "likenned": "VBD|VBN",
    "likenning": "VBG",
    "limes": "VBZ",
    "limed": "VBD|VBN",
    "liming": "VBG",
    "liquefying": "VBG",
    "liquidates": "VBZ",
    "litigates": "VBZ",
    "litigating": "VBG",
    "loafs": "VBZ",
    "loafing": "VBG",
    "loaning": "VBG",
    "lobs": "VBZ",
    "lobbed": "VBD|VBN",
    "lobbing": "VBG",
    "localizes": "VBZ",
    "localizing": "VBG",
    "looping": "VBG",
    "looses": "VBZ",
    "loosed": "VBD|VBN",
    "loosing": "VBG",
    "loosenned": "VBD|VBN",
    "loosenning": "VBG",
    "loots": "VBZ",
    "lops": "VBZ",
    "lotted": "VBD|VBN",
    "lotting": "VBG",
    "louses": "VBZ",
    "lousing": "VBG",
    "lowed": "VBD|VBN",
    "lowing": "VBG",
    "lowballs": "VBZ",
    "lowballed": "VBD|VBN",
    "lowballing": "VBG",
    "lulling": "VBG",
    "lumbers": "VBZ",
    "lunching": "VBG",
    "lurches": "VBZ",
    "lusted": "VBD|VBN",
    "lusting": "VBG",
    "lynches": "VBZ",
    "lynching": "VBG",
    "maligns": "VBZ",
    "maligning": "VBG",
    "malpracticed": "VBD|VBN",
    "malpracticing": "VBG",
    "maltreats": "VBZ",
    "maltreating": "VBG",
    "mandeats": "VBZ",
    "mandeaten": "VBN",
    "mandeating": "VBG",
    "manifests": "VBZ",
    "manifolds": "VBZ",
    "manifolded": "VBD|VBN",
    "manifolding": "VBG",
    "manies": "VBZ",
    "manied": "VBD|VBN",
    "manying": "VBG",
    "mared": "VBD|VBN",
    "maring": "VBG",
    "marketted": "VBD|VBN",
    "marketting": "VBG",
    "maroons": "VBZ",
    "marooning": "VBG",
    "marvelling": "VBG",
    "mashes": "VBZ",
    "mass-produces": "VBZ",
    "massacring": "VBG",
    "masterminds": "VBZ",
    "masterminded": "VBD|VBN",
    "matted": "VBD|VBN",
    "materializing": "VBG",
    "matriculeats": "VBZ",
    "matriculeaten": "VBN",
    "matriculeating": "VBG",
    "mattes": "VBZ",
    "mattering": "VBG",
    "mauls": "VBZ",
    "mauled": "VBD|VBN",
    "meddles": "VBZ",
    "meddled": "VBD|VBN",
    "mediates": "VBZ",
    "medicined": "VBD|VBN",
    "medicining": "VBG",
    "meditates": "VBZ",
    "melded": "VBD|VBN",
    "mellows": "VBZ",
    "mellowing": "VBG",
    "memorizes": "VBZ",
    "menaces": "VBZ",
    "mends": "VBZ",
    "merchandises": "VBZ",
    "meritted": "VBD|VBN",
    "meritting": "VBG",
    "meshes": "VBZ",
    "meshing": "VBG",
    "metabolizes": "VBZ",
    "metabolizing": "VBG",
    "mewing": "VBG",
    "mightas": "VBZ",
    "mightaed": "VBD|VBN",
    "mightaing": "VBG",
    "mildews": "VBZ",
    "mildewed": "VBD|VBN",
    "mildewing": "VBG",
    "militeats": "VBZ",
    "militeaten": "VBN",
    "militeating": "VBG",
    "mimiced": "VBD|VBN",
    "mimicing": "VBG",
    "minces": "VBZ",
    "mires": "VBZ",
    "miring": "VBG",
    "misconducts": "VBZ",
    "misconducted": "VBD|VBN",
    "misconducting": "VBG",
    "misinterprets": "VBZ",
    "misinterpretted": "VBD|VBN",
    "misinterpretting": "VBG",
    "misplaces": "VBZ",
    "misreads": "VBZ",
    "misting": "VBG",
    "mistreats": "VBZ",
    "mistreated": "VBD|VBN",
    "mistreating": "VBG",
    "mistrusts": "VBZ",
    "mistrusting": "VBG",
    "misuses": "VBZ",
    "miters": "VBZ",
    "mitered": "VBD|VBN",
    "mitering": "VBG",
    "mitigated": "VBD|VBN|JJ",
    "mobbed": "VBD|VBN",
    "mobbing": "VBG",
    "mobilizes": "VBZ",
    "mocks": "VBZ",
    "modelled": "VBD|VBN",
    "modelling": "VBG",
    "modernizes": "VBZ",
    "modulates": "VBZ",
    "modulating": "VBG",
    "moistens": "VBZ",
    "molests": "VBZ",
    "molested": "VBD|VBN",
    "mollifies": "VBZ",
    "mollifying": "VBG",
    "mollycoddles": "VBZ",
    "mollycoddled": "VBD|VBN",
    "mollycoddling": "VBG",
    "monkeyed": "VBD|VBN",
    "monkeying": "VBG",
    "monopolizes": "VBZ",
    "mooned": "VBD|VBN",
    "mooning": "VBG",
    "moonlights": "VBZ",
    "moots": "VBZ",
    "mooted": "VBD|VBN",
    "mooting": "VBG",
    "mortgaging": "VBG",
    "moseys": "VBZ",
    "moseyed": "VBD|VBN",
    "moseying": "VBG",
    "mothering": "VBG",
    "motleys": "VBZ",
    "motleyed": "VBD|VBN",
    "motleying": "VBG",
    "motorbikes": "VBZ",
    "motorbiked": "VBD|VBN",
    "motorbiking": "VBG",
    "motorcycling": "VBG",
    "moulds": "VBZ",
    "moulded": "VBD|VBN",
    "mouses": "VBZ",
    "moused": "VBD|VBN",
    "mousing": "VBG",
    "mousses": "VBZ",
    "moussed": "VBD|VBN",
    "moussing": "VBG",
    "mows": "VBZ",
    "mown": "VBN",
    "mowing": "VBG|NN",
    "mucks": "VBZ",
    "muds": "VBZ",
    "mudded": "VBD|VBN",
    "mudding": "VBG",
    "muddles": "VBZ",
    "muffing": "VBG",
    "mulled": "VBD|VBN",
    "had to": "VBD",
    "musted": "VBN",
    "musting": "VBG",
    "mustards": "VBZ",
    "mustarded": "VBD|VBN",
    "mustarding": "VBG",
    "musters": "VBZ",
    "muteats": "VBZ",
    "muteaten": "VBN",
    "muteating": "VBG",
    "mutes": "VBZ",
    "muting": "VBG",
    "nabs": "VBZ",
    "nationalizes": "VBZ",
    "navigates": "VBZ",
    "naysays": "VBZ",
    "naysaid": "VBD|VBN",
    "naysaying": "VBG",
    "necked": "VBD|VBN",
    "needling": "VBG",
    "negates": "VBZ",
    "negating": "VBG",
    "negatived": "VBD|VBN",
    "negativing": "VBG",
    "neighbored": "VBD|VBN",
    "nerved": "VBD|VBN",
    "nerving": "VBG",
    "networked": "VBD|VBN|JJ",
    "neuters": "VBZ",
    "neutering": "VBG",
    "neutralizing": "VBG",
    "nibbles": "VBZ",
    "nibbled": "VBD|VBN",
    "nicknaming": "VBG",
    "nipping": "VBG",
    "nominates": "VBZ",
    "mays": "VBZ",
    "mayed": "VBN",
    "maying": "VBG",
    "seconded": "VBD|VBN",
    "seconding": "VBG",
    "notchs": "VBZ",
    "nourishing": "VBG",
    "nudges": "VBZ",
    "nullifies": "VBZ",
    "numbs": "VBZ",
    "nurtures": "VBZ",
    "obfusceats": "VBZ",
    "obfusceaten": "VBN",
    "obfusceating": "VBG",
    "obliterates": "VBZ",
    "obliterating": "VBG",
    "obstructs": "VBZ",
    "obtains": "VBZ",
    "obviates": "VBZ",
    "obviated": "VBD|VBN",
    "obviating": "VBG",
    "occasioning": "VBG",
    "offs": "VBZ",
    "offed": "VBD|VBN",
    "officiates": "VBZ",
    "oiling": "VBG",
    "okays": "VBZ",
    "okayed": "VBD|VBN",
    "okaying": "VBG",
    "omenned": "VBD|VBN",
    "omenning": "VBG",
    "oozes": "VBZ",
    "optimizes": "VBZ",
    "optimized": "VBD|VBN",
    "orates": "VBZ",
    "orated": "VBD|VBN",
    "orating": "VBG",
    "orbs": "VBZ",
    "orbed": "VBD|VBN",
    "orbing": "VBG",
    "orbitted": "VBD|VBN",
    "orbitting": "VBG",
    "orchestrates": "VBZ",
    "ordains": "VBZ",
    "ordaining": "VBG",
    "orgineats": "VBZ",
    "orgineaten": "VBN",
    "orgineating": "VBG",
    "ornamenting": "VBG",
    "ossifies": "VBZ",
    "ossified": "VBD|VBN",
    "ossifying": "VBG",
    "ousts": "VBZ",
    "out-competes": "VBZ",
    "out-competed": "VBD|VBN",
    "out-competing": "VBG",
    "out-smarts": "VBZ",
    "out-smarted": "VBD|VBN",
    "out-smarting": "VBG",
    "out-trades": "VBZ",
    "out-traded": "VBD|VBN",
    "out-trading": "VBG",
    "outbids": "VBZ",
    "outbiding": "VBG",
    "outcries": "VBZ",
    "outcried": "VBD|VBN",
    "outcrying": "VBG",
    "outdos": "VBZ",
    "outdoing": "VBG",
    "outfaces": "VBZ",
    "outfaced": "VBD|VBN",
    "outfacing": "VBG",
    "outflanks": "VBZ",
    "outflanked": "VBD|VBN",
    "outflanking": "VBG",
    "outflies": "VBZ",
    "outflew": "VBD",
    "outflown": "VBN",
    "outflying": "VBG",
    "outfoxs": "VBZ",
    "outfoxed": "VBD|VBN",
    "outfoxing": "VBG",
    "outgrips": "VBZ",
    "outgripped": "VBD|VBN",
    "outgripping": "VBG",
    "outgrows": "VBZ",
    "outgrowing": "VBG",
    "outguesses": "VBZ",
    "outguessed": "VBD|VBN",
    "outlasts": "VBZ",
    "outlasting": "VBG",
    "outlives": "VBZ",
    "outliving": "VBG",
    "outmaneuvers": "VBZ",
    "outmaneuvering": "VBG",
    "outraging": "VBG",
    "outranked": "VBD|VBN",
    "outranking": "VBG",
    "outruns": "VBZ",
    "outran": "VBD",
    "outrunning": "VBG",
    "outshining": "VBG",
    "outspent": "VBD|VBN",
    "outspending": "VBG",
    "outweighing": "VBG",
    "outwits": "VBZ",
    "outwitted": "VBD|VBN",
    "outwitting": "VBG",
    "over-prices": "VBZ",
    "over-priced": "VBD|VBN",
    "over-pricing": "VBG",
    "over-produces": "VBZ",
    "over-produced": "VBD|VBN",
    "over-producing": "VBG",
    "over-stresses": "VBZ",
    "over-stressed": "VBD|VBN",
    "over-stressing": "VBG",
    "overbids": "VBZ",
    "overbiding": "VBG",
    "overburdens": "VBZ",
    "overburdenned": "VBD|VBN",
    "overburdenning": "VBG",
    "overcasts": "VBZ",
    "overcasted": "VBD|VBN",
    "overcasting": "VBG",
    "overdraws": "VBZ",
    "overdrew": "VBD",
    "overdrawing": "VBG",
    "overdrives": "VBZ",
    "overdrived": "VBD|VBN",
    "overeats": "VBZ",
    "overate": "VBD",
    "overeaten": "VBN",
    "overemphasizes": "VBZ",
    "overemphasizing": "VBG",
    "overestimating": "VBG",
    "overexposes": "VBZ",
    "overexposed": "VBD|VBN",
    "overexposing": "VBG",
    "overfeeds": "VBZ",
    "overfed": "VBD|VBN",
    "overfeeding": "VBG",
    "overfills": "VBZ",
    "overfilled": "VBD|VBN",
    "overfilling": "VBG",
    "overhung": "VBD|VBN",
    "overheats": "VBZ",
    "overlaying": "VBG",
    "overloads": "VBZ",
    "overloading": "VBG",
    "overpays": "VBZ",
    "overproduces": "VBZ",
    "overproduced": "VBD|VBN",
    "overproducing": "VBG",
    "overpurchases": "VBZ",
    "overpurchased": "VBD|VBN",
    "overpurchasing": "VBG",
    "overreaching": "VBG",
    "overreacts": "VBZ",
    "overrunning": "VBG",
    "overstaffs": "VBZ",
    "overstaffing": "VBG",
    "overstretches": "VBZ",
    "overstretched": "VBD|VBN",
    "overstretching": "VBG",
    "oversupplies": "VBZ",
    "oversupplying": "VBG",
    "overtakes": "VBZ",
    "overthrows": "VBZ",
    "overthrew": "VBD",
    "overuses": "VBZ",
    "overusing": "VBG",
    "overwhelms": "VBZ",
    "paged": "VBD|VBN",
    "paies": "VBZ",
    "paied": "VBD|VBN",
    "paining": "VBG",
    "pairred": "VBD|VBN",
    "pairring": "VBG",
    "palls": "VBZ",
    "palled": "VBD|VBN",
    "palling": "VBG",
    "palming": "VBG",
    "panelled": "VBD|VBN",
    "panelling": "VBG",
    "paniced": "VBD|VBN",
    "panicing": "VBG",
    "pantomimes": "VBZ",
    "pantomiming": "VBG",
    "papered": "VBD|VBN",
    "parachuted": "VBD|VBN",
    "parallelled": "VBD|VBN",
    "parallelling": "VBG",
    "paraphrased": "VBD|VBN",
    "pares": "VBZ",
    "parented": "VBD|VBN",
    "parleys": "VBZ",
    "parleyed": "VBD|VBN",
    "parleying": "VBG",
    "parodying": "VBG",
    "parries": "VBZ",
    "parrying": "VBG",
    "partaken": "VBN",
    "partakers": "VBZ",
    "partakered": "VBD|VBN",
    "partakering": "VBG",
    "partitions": "VBZ",
    "partitioning": "VBG",
    "pastured": "VBD|VBN",
    "pasturing": "VBG",
    "patching": "VBG",
    "patronages": "VBZ",
    "patronaged": "VBD|VBN",
    "patronaging": "VBG",
    "patronizes": "VBZ",
    "patters": "VBZ",
    "pattering": "VBG",
    "patterning": "VBG",
    "pawned": "VBD|VBN",
    "pealed": "VBD|VBN",
    "pecking": "VBG",
    "pedalled": "VBD|VBN",
    "pedalling": "VBG",
    "peeks": "VBZ",
    "peeps": "VBZ",
    "peeped": "VBD|VBN",
    "peps": "VBZ",
    "pepped": "VBD|VBN",
    "perches": "VBZ",
    "perching": "VBG",
    "perfects": "VBZ",
    "perfuming": "VBG",
    "perilled": "VBD|VBN",
    "perilling": "VBG",
    "perpetrates": "VBZ",
    "perpetrating": "VBG",
    "perpetueats": "VBZ",
    "perpetueaten": "VBN",
    "perpetueating": "VBG",
    "perplexs": "VBZ",
    "persecutes": "VBZ",
    "persevering": "VBG",
    "personalizes": "VBZ",
    "personalizing": "VBG",
    "peruses": "VBZ",
    "perused": "VBD|VBN",
    "perverts": "VBZ",
    "perverting": "VBG",
    "pesters": "VBZ",
    "pestered": "VBD|VBN",
    "peters": "VBZ",
    "petering": "VBG",
    "petitioning": "VBG",
    "photocopies": "VBZ",
    "photocopied": "VBD|VBN",
    "piecing": "VBG",
    "pigged": "VBD|VBN",
    "pigging": "VBG",
    "pigeonholes": "VBZ",
    "pigeonholed": "VBD|VBN",
    "piggybacks": "VBZ",
    "piggybacked": "VBD|VBN",
    "pillages": "VBZ",
    "pillaging": "VBG",
    "pillowed": "VBD|VBN",
    "pillowing": "VBG",
    "pilotted": "VBD|VBN",
    "pilotting": "VBG",
    "pimped": "VBD|VBN",
    "pimping": "VBG",
    "pinch-hits": "VBZ",
    "pinch-hitting": "VBG",
    "pined": "VBD|VBN",
    "pining": "VBG",
    "pings": "VBZ",
    "pinged": "VBD|VBN",
    "pinked": "VBD|VBN",
    "pinking": "VBG",
    "pips": "VBZ",
    "pipped": "VBD|VBN",
    "pipping": "VBG",
    "piques": "VBZ",
    "piquing": "VBG",
    "pirating": "VBG",
    "pisses": "VBZ",
    "pissed": "VBD|VBN",
    "pissing": "VBG",
    "pitchforks": "VBZ",
    "pitchforked": "VBD|VBN",
    "pitchforking": "VBG",
    "pivots": "VBZ",
    "pivotted": "VBD|VBN",
    "pivotting": "VBG",
    "placarded": "VBD|VBN",
    "placarding": "VBG",
    "placates": "VBZ",
    "plagiarizes": "VBZ",
    "plagiarizing": "VBG",
    "plained": "VBD|VBN",
    "plaining": "VBG",
    "planing": "VBG",
    "pleaed": "VBD|VBN",
    "pleaing": "VBG",
    "pled": "VBD|VBN",
    "pleasured": "VBD|VBN",
    "pleasuring": "VBG",
    "plighted": "VBD|VBN",
    "plighting": "VBG",
    "ploughs": "VBZ",
    "ploughed": "VBD|VBN",
    "ploughing": "VBG",
    "plucks": "VBZ",
    "pluming": "VBG",
    "plummets": "VBZ",
    "plummetting": "VBG",
    "plumping": "VBG",
    "plunders": "VBZ",
    "pocketted": "VBD|VBN",
    "pocketting": "VBG",
    "poising": "VBG",
    "poisonned": "VBD|VBN",
    "poisonning": "VBG",
    "polarizes": "VBZ",
    "poled": "VBD|VBN",
    "politicizes": "VBZ",
    "pollineats": "VBZ",
    "pollineaten": "VBN",
    "pollineating": "VBG",
    "pollutes": "VBZ",
    "pontificeats": "VBZ",
    "pontificeaten": "VBN",
    "pontificeating": "VBG",
    "pooh-pooheds": "VBZ",
    "pooh-pooheded": "VBD|VBN",
    "pooh-pooheding": "VBG",
    "popularizes": "VBZ",
    "populates": "VBZ",
    "portending": "VBG",
    "portioned": "VBD|VBN",
    "portioning": "VBG",
    "postmarking": "VBG",
    "postpones": "VBZ",
    "postulating": "VBG",
    "pottered": "VBD|VBN",
    "pottering": "VBG",
    "pouched": "VBD|VBN",
    "pouching": "VBG",
    "poulticed": "VBD|VBN",
    "poulticing": "VBG",
    "pounces": "VBZ",
    "pouts": "VBZ",
    "pouting": "VBG",
    "powdering": "VBG",
    "prattles": "VBZ",
    "prattled": "VBD|VBN",
    "prattling": "VBG",
    "pre-deats": "VBZ",
    "pre-deaten": "VBN",
    "pre-deating": "VBG",
    "pre-empts": "VBZ",
    "pre-funds": "VBZ",
    "pre-funded": "VBD|VBN",
    "pre-funding": "VBG",
    "pre-registers": "VBZ",
    "pre-registering": "VBG",
    "pre-tries": "VBZ",
    "pre-tried": "VBD|VBN",
    "pre-trying": "VBG",
    "precipitates": "VBZ",
    "precluding": "VBG",
    "predisposes": "VBZ",
    "preempts": "VBZ",
    "preempted": "VBD|VBN",
    "preempting": "VBG",
    "prefaces": "VBZ",
    "prefacing": "VBG",
    "prefuhs": "VBZ",
    "prefuhed": "VBD|VBN",
    "prefuhing": "VBG",
    "prefunds": "VBZ",
    "prefunded": "VBD|VBN",
    "prefunding": "VBG",
    "prejudicing": "VBG",
    "premiers": "VBZ",
    "premised": "VBD|VBN",
    "premising": "VBG",
    "prepays": "VBZ",
    "presets": "VBZ",
    "presetting": "VBG",
    "presupposed": "VBD|VBN",
    "presupposing": "VBG",
    "prevayles": "VBZ",
    "prevayled": "VBD|VBN",
    "prevayling": "VBG",
    "preys": "VBZ",
    "preyed": "VBD|VBN",
    "priding": "VBG",
    "prisonned": "VBD|VBN",
    "prisonning": "VBG",
    "prizing": "VBG",
    "procrastinates": "VBZ",
    "procrastinating": "VBG",
    "procreates": "VBZ",
    "procreated": "VBD|VBN",
    "procreating": "VBG",
    "proctored": "VBD|VBN",
    "proctoring": "VBG",
    "procures": "VBZ",
    "procuring": "VBG",
    "profanes": "VBZ",
    "profaned": "VBD|VBN",
    "profaning": "VBG",
    "proffers": "VBZ",
    "proffering": "VBG",
    "profitted": "VBD|VBN",
    "promenaded": "VBD|VBN",
    "promenading": "VBG",
    "proofs": "VBZ",
    "proofed": "VBD|VBN",
    "proofing": "VBG",
    "proofreads": "VBZ",
    "propagandized": "VBD|VBN",
    "propagandizing": "VBG",
    "propagates": "VBZ",
    "propagating": "VBG",
    "propfanned": "VBD|VBN",
    "propfanning": "VBG",
    "propitiates": "VBZ",
    "propitiated": "VBD|VBN",
    "propitiating": "VBG",
    "prorates": "VBZ",
    "prorating": "VBG",
    "proscribing": "VBG",
    "prosecutes": "VBZ",
    "prostituted": "VBD|VBN",
    "prostituting": "VBG",
    "protrudes": "VBZ",
    "pried": "VBD|VBN",
    "publicizes": "VBZ",
    "puddled": "VBD|VBN",
    "puddling": "VBG",
    "pukes": "VBZ",
    "puked": "VBD|VBN",
    "puking": "VBG",
    "pulps": "VBZ",
    "pulped": "VBD|VBN",
    "pulverizes": "VBZ",
    "pummels": "VBZ",
    "pummelled": "VBD|VBN",
    "pummelling": "VBG",
    "punting": "VBG",
    "purifies": "VBZ",
    "purples": "VBZ",
    "purpled": "VBD|VBN",
    "purposing": "VBG",
    "pursing": "VBG",
    "putts": "VBZ",
    "putters": "VBZ",
    "pyramided": "VBD|VBN",
    "quaked": "VBD|VBN",
    "quantifies": "VBZ",
    "quantifying": "VBG",
    "quarantines": "VBZ",
    "quarantined": "VBD|VBN",
    "quarantining": "VBG",
    "quarrelled": "VBD|VBN",
    "quarrelling": "VBG",
    "quartered": "VBD|VBN",
    "quartering": "VBG",
    "quashes": "VBZ",
    "quavers": "VBZ",
    "queered": "VBD|VBN",
    "queering": "VBG",
    "quells": "VBZ",
    "quelled": "VBD|VBN",
    "quenches": "VBZ",
    "quenched": "VBD|VBN",
    "quested": "VBD|VBN",
    "questing": "VBG",
    "quibbles": "VBZ",
    "quibbled": "VBD|VBN",
    "quickens": "VBZ",
    "quickenned": "VBD|VBN",
    "quickenning": "VBG",
    "quiets": "VBZ",
    "quintuples": "VBZ",
    "quintupled": "VBD|VBN",
    "quintupling": "VBG",
    "quiped": "VBD|VBN",
    "quiping": "VBG",
    "quizs": "VBZ",
    "quized": "VBD|VBN",
    "quizing": "VBG",
    "racketted": "VBD|VBN",
    "racketting": "VBG",
    "railroaded": "VBD|VBN",
    "raiments": "VBZ",
    "raimented": "VBD|VBN",
    "raimenting": "VBG",
    "rakes": "VBZ",
    "rams": "VBZ",
    "ramped": "VBD|VBN",
    "ramping": "VBG",
    "ransacks": "VBZ",
    "ransoms": "VBZ",
    "ransommed": "VBD|VBN",
    "ransomming": "VBG",
    "rants": "VBZ",
    "ranting": "VBG",
    "raps": "VBZ",
    "ratted": "VBD|VBN",
    "ratting": "VBG",
    "ratchets": "VBZ",
    "ratchetted": "VBD|VBN",
    "ratchetting": "VBG",
    "rationalizes": "VBZ",
    "rayed": "VBD|VBN",
    "raying": "VBG",
    "re-acquires": "VBZ",
    "re-acquired": "VBD|VBN",
    "re-acquiring": "VBG",
    "re-activates": "VBZ",
    "re-activated": "VBD|VBN",
    "re-activating": "VBG",
    "re-echos": "VBZ",
    "re-echoed": "VBD|VBN",
    "re-echoing": "VBG",
    "re-educates": "VBZ",
    "re-educated": "VBD|VBN",
    "re-educating": "VBG",
    "re-emerges": "VBZ",
    "re-emerging": "VBG",
    "re-emphasises": "VBZ",
    "re-emphasised": "VBD|VBN",
    "re-emphasising": "VBG",
    "re-emphasizes": "VBZ",
    "re-emphasized": "VBD|VBN",
    "re-enacts": "VBZ",
    "re-enters": "VBZ",
    "re-establishes": "VBZ",
    "re-evaluates": "VBZ",
    "re-evaluated": "VBD|VBN",
    "re-explores": "VBZ",
    "re-explored": "VBD|VBN",
    "re-exploring": "VBG",
    "re-insures": "VBZ",
    "re-insured": "VBD|VBN",
    "re-insuring": "VBG",
    "re-legalizations": "VBZ",
    "re-legalizationed": "VBD|VBN",
    "re-legalizationing": "VBG",
    "re-opens": "VBZ",
    "re-opened": "VBD|VBN",
    "re-rescues": "VBZ",
    "re-rescued": "VBD|VBN",
    "re-rescuing": "VBG",
    "re-sets": "VBZ",
    "re-setting": "VBG",
    "re-uses": "VBZ",
    "re-using": "VBG",
    "reaccelerates": "VBZ",
    "reaccelerated": "VBD|VBN",
    "reacquires": "VBZ",
    "reacquiring": "VBG",
    "readjusts": "VBZ",
    "readjusting": "VBG",
    "readmits": "VBZ",
    "readmitting": "VBG",
    "readies": "VBZ",
    "realestates": "VBZ",
    "realestated": "VBD|VBN",
    "realestating": "VBG",
    "realigns": "VBZ",
    "reallocates": "VBZ",
    "reappraises": "VBZ",
    "rearms": "VBZ",
    "rearming": "VBG",
    "reasonned": "VBD|VBN",
    "reasonning": "VBG",
    "reassembles": "VBZ",
    "reassembling": "VBG",
    "reasserted": "VBD|VBN",
    "reassesses": "VBZ",
    "reassigns": "VBZ",
    "reassigning": "VBG",
    "reassumes": "VBZ",
    "reassuming": "VBG",
    "reassures": "VBZ",
    "reauthorizes": "VBZ",
    "reauthorizing": "VBG",
    "reawakens": "VBZ",
    "reawakenning": "VBG",
    "rebalances": "VBZ",
    "rebuffs": "VBZ",
    "rebukes": "VBZ",
    "rebuking": "VBG",
    "rebutting": "VBG",
    "recapitalizes": "VBZ",
    "recapitulates": "VBZ",
    "recapitulated": "VBD|VBN",
    "recapitulating": "VBG",
    "recaptures": "VBZ",
    "recasts": "VBZ",
    "recasting": "VBG",
    "recedes": "VBZ",
    "receipted": "VBD|VBN",
    "receipting": "VBG",
    "recharges": "VBZ",
    "reciproceats": "VBZ",
    "reciproceaten": "VBN",
    "reciproceating": "VBG",
    "recoils": "VBZ",
    "recoiling": "VBG",
    "recollects": "VBZ",
    "recollecting": "VBG",
    "recommences": "VBZ",
    "recommenced": "VBD|VBN",
    "recommencing": "VBG",
    "recompenses": "VBZ",
    "recompensed": "VBD|VBN",
    "recompensing": "VBG",
    "reconfirms": "VBZ",
    "reconfirmed": "VBD|VBN",
    "reconnects": "VBZ",
    "reconnected": "VBD|VBN",
    "reconnecting": "VBG",
    "reconnoiters": "VBZ",
    "reconnoitered": "VBD|VBN",
    "reconnoitering": "VBG",
    "reconstitutes": "VBZ",
    "reconstituted": "VBD|VBN",
    "recorks": "VBZ",
    "recorked": "VBD|VBN",
    "recorking": "VBG",
    "recrafts": "VBZ",
    "recrafted": "VBD|VBN",
    "recrafting": "VBG",
    "rectifies": "VBZ",
    "recuperates": "VBZ",
    "recuperated": "VBD|VBN",
    "recurs": "VBZ",
    "recuts": "VBZ",
    "recutting": "VBG",
    "red-flags": "VBZ",
    "red-flagged": "VBD|VBN",
    "red-flagging": "VBG",
    "rededicates": "VBZ",
    "rededicated": "VBD|VBN",
    "redefines": "VBZ",
    "redeploys": "VBZ",
    "redeployed": "VBD|VBN",
    "redeploying": "VBG",
    "redesigns": "VBZ",
    "redevelops": "VBZ",
    "redeveloped": "VBD|VBN",
    "redeveloping": "VBG",
    "redials": "VBZ",
    "redialed": "VBD|VBN",
    "redialing": "VBG",
    "redirects": "VBZ",
    "rediscovers": "VBZ",
    "redoes": "VBZ",
    "redid": "VBD",
    "redoubles": "VBZ",
    "redounded": "VBD|VBN",
    "redounding": "VBG",
    "redraws": "VBZ",
    "redrew": "VBD",
    "redrawing": "VBG",
    "redresses": "VBZ",
    "redressing": "VBG",
    "reeks": "VBZ",
    "reels": "VBZ",
    "reestablishes": "VBZ",
    "reestablished": "VBD|VBN",
    "reestablishing": "VBG",
    "reexamines": "VBZ",
    "reexamined": "VBD|VBN",
    "refashions": "VBZ",
    "refashioned": "VBD|VBN",
    "refereed": "VBD|VBN",
    "refereeing": "VBG",
    "referenced": "VBD|VBN",
    "referencing": "VBG",
    "refights": "VBZ",
    "refought": "VBD|VBN",
    "refighting": "VBG",
    "refiles": "VBZ",
    "refiled": "VBD|VBN",
    "refiling": "VBG",
    "refinances": "VBZ",
    "refines": "VBZ",
    "refocuss": "VBZ",
    "refrains": "VBZ",
    "refreshes": "VBZ",
    "refuels": "VBZ",
    "refueled": "VBD|VBN",
    "refurbishes": "VBZ",
    "refutes": "VBZ",
    "refuting": "VBG",
    "regenerated": "VBD|VBN",
    "regimenting": "VBG",
    "regresses": "VBZ",
    "regressed": "VBD|VBN",
    "regressing": "VBG",
    "regretting": "VBG",
    "regroups": "VBZ",
    "rehabilitates": "VBZ",
    "rehashes": "VBZ",
    "rehears": "VBZ",
    "reheard": "VBD|VBN",
    "rehearses": "VBZ",
    "reignites": "VBZ",
    "reimposes": "VBZ",
    "reimposed": "VBD|VBN",
    "reimposing": "VBG",
    "reinstalls": "VBZ",
    "reinstalling": "VBG",
    "reinstates": "VBZ",
    "reinsures": "VBZ",
    "reinterprets": "VBZ",
    "reinterpretted": "VBD|VBN",
    "reinterpretting": "VBG",
    "reinvents": "VBZ",
    "reinventing": "VBG",
    "reinvests": "VBZ",
    "reinvigorates": "VBZ",
    "reissues": "VBZ",
    "reissued": "VBD|VBN",
    "reissuing": "VBG",
    "rejuvenating": "VBG",
    "relapses": "VBZ",
    "relapsing": "VBG",
    "relaunches": "VBZ",
    "relaunching": "VBG",
    "relays": "VBZ",
    "relaid": "VBD|VBN",
    "relents": "VBZ",
    "relinquishes": "VBZ",
    "relocates": "VBZ",
    "remaking": "VBG",
    "remarries": "VBZ",
    "remedying": "VBG",
    "remonstrates": "VBZ",
    "remonstrating": "VBG",
    "renationalizes": "VBZ",
    "renationalized": "VBD|VBN",
    "renationalizing": "VBG",
    "rends": "VBZ",
    "rending": "VBG",
    "renegades": "VBZ",
    "renegaded": "VBD|VBN",
    "renegading": "VBG",
    "reneges": "VBZ",
    "renegotiates": "VBZ",
    "renounces": "VBZ",
    "renovates": "VBZ",
    "renowns": "VBZ",
    "renowning": "VBG",
    "reorders": "VBZ",
    "reordered": "VBD|VBN",
    "reorients": "VBZ",
    "reorienting": "VBG",
    "repackages": "VBZ",
    "repatrieats": "VBZ",
    "repatrieaten": "VBN",
    "repatrieating": "VBG",
    "repays": "VBZ",
    "repents": "VBZ",
    "repented": "VBD|VBN",
    "repenting": "VBG",
    "rephrases": "VBZ",
    "rephrasing": "VBG",
    "replasters": "VBZ",
    "replastered": "VBD|VBN",
    "replastering": "VBG",
    "replenishes": "VBZ",
    "replenishing": "VBG",
    "repletes": "VBZ",
    "repleted": "VBD|VBN",
    "repleting": "VBG",
    "replicates": "VBZ",
    "reponds": "VBZ",
    "reponded": "VBD|VBN",
    "reponding": "VBG",
    "reposes": "VBZ",
    "reposing": "VBG",
    "repositions": "VBZ",
    "repositioned": "VBD|VBN",
    "repossesses": "VBZ",
    "repossessing": "VBG",
    "represses": "VBZ",
    "reprices": "VBZ",
    "reprieves": "VBZ",
    "reprieved": "VBD|VBN",
    "reprieving": "VBG",
    "reprobates": "VBZ",
    "reprobated": "VBD|VBN",
    "reprocesses": "VBZ",
    "reprocessed": "VBD|VBN",
    "reprocessing": "VBG",
    "reproofs": "VBZ",
    "reproofed": "VBD|VBN",
    "reproofing": "VBG",
    "reproves": "VBZ",
    "reproved": "VBD|VBN",
    "reproving": "VBG",
    "repudiates": "VBZ",
    "requalifies": "VBZ",
    "requalified": "VBD|VBN",
    "requalifying": "VBG",
    "requisitions": "VBZ",
    "requisitioning": "VBG",
    "rereads": "VBZ",
    "rereading": "VBG",
    "reregulates": "VBZ",
    "reregulated": "VBD|VBN",
    "reregulating": "VBG",
    "reran": "VBD",
    "rerunning": "VBG",
    "reschedules": "VBZ",
    "rescinds": "VBZ",
    "resets": "VBZ",
    "resetting": "VBG",
    "resettles": "VBZ",
    "resews": "VBZ",
    "resewed": "VBD|VBN",
    "resewing": "VBG",
    "reshuffles": "VBZ",
    "resonating": "VBG",
    "respites": "VBZ",
    "respited": "VBD|VBN",
    "respiting": "VBG",
    "restarts": "VBZ",
    "restocks": "VBZ",
    "restocked": "VBD|VBN",
    "restocking": "VBG",
    "resubmits": "VBZ",
    "resubmitting": "VBG",
    "resuscitates": "VBZ",
    "retakes": "VBZ",
    "retook": "VBD",
    "retaken": "VBN",
    "retaliates": "VBZ",
    "retards": "VBZ",
    "retches": "VBZ",
    "retched": "VBD|VBN",
    "retells": "VBZ",
    "rethinks": "VBZ",
    "retorting": "VBG",
    "retracts": "VBZ",
    "retrains": "VBZ",
    "retreads": "VBZ",
    "retreading": "VBG",
    "retrieves": "VBZ",
    "retrieving": "VBG",
    "retrofits": "VBZ",
    "retrogrades": "VBZ",
    "retrograded": "VBD|VBN",
    "retrograding": "VBG",
    "retrospects": "VBZ",
    "retrospected": "VBD|VBN",
    "retrospecting": "VBG",
    "retries": "VBZ",
    "retrying": "VBG",
    "reunites": "VBZ",
    "reuses": "VBZ",
    "revelled": "VBD|VBN",
    "revenges": "VBZ",
    "revenged": "VBD|VBN",
    "revenging": "VBG",
    "reverberates": "VBZ",
    "reverences": "VBZ",
    "reverenced": "VBD|VBN",
    "reverencing": "VBG",
    "revisitted": "VBD|VBN",
    "revisitting": "VBG",
    "revitalizes": "VBZ",
    "revokes": "VBZ",
    "revolutionizes": "VBZ",
    "reweaves": "VBZ",
    "reweaved": "VBD|VBN",
    "reweaving": "VBG",
    "ribed": "VBD|VBN",
    "ribing": "VBG",
    "riffed": "VBD|VBN",
    "riffles": "VBZ",
    "riffled": "VBD|VBN",
    "riffling": "VBG",
    "riling": "VBG",
    "rimes": "VBZ",
    "rimed": "VBD|VBN",
    "riming": "VBG",
    "rinsed": "VBD|VBN",
    "rips": "VBZ",
    "ripenned": "VBD|VBN",
    "ripenning": "VBG",
    "rivalling": "VBG",
    "rocketted": "VBD|VBN",
    "rocketting": "VBG",
    "roils": "VBZ",
    "romanced": "VBD|VBN",
    "romanticizes": "VBZ",
    "rooks": "VBZ",
    "rooked": "VBD|VBN",
    "rooking": "VBG",
    "roosts": "VBZ",
    "roosted": "VBD|VBN",
    "roping": "VBG",
    "roughcasts": "VBZ",
    "roughcasting": "VBG",
    "rouses": "VBZ",
    "routs": "VBZ",
    "roves": "VBZ",
    "rubbers": "VBZ",
    "rubbered": "VBD|VBN",
    "rubbering": "VBG",
    "rubber-stamps": "VBZ",
    "rubber-stamping": "VBG",
    "rues": "VBZ",
    "rued": "VBD|VBN",
    "ruing": "VBG",
    "ruffling": "VBG",
    "rumineats": "VBZ",
    "rumineaten": "VBN",
    "rumineating": "VBG",
    "rummages": "VBZ",
    "rumoring": "VBG",
    "ruptures": "VBZ",
    "rusts": "VBZ",
    "rustles": "VBZ",
    "rutting": "VBG",
    "sabotages": "VBZ",
    "sabotaged": "VBD|VBN",
    "sabotaging": "VBG",
    "safekeeps": "VBZ",
    "safekept": "VBD|VBN",
    "safetied": "VBD|VBN",
    "safetying": "VBG",
    "sainted": "VBD|VBN",
    "sainting": "VBG",
    "salivates": "VBZ",
    "salivated": "VBD|VBN",
    "salivating": "VBG",
    "sallied": "VBD|VBN",
    "salved": "VBD|VBN",
    "salving": "VBG",
    "sanctifies": "VBZ",
    "sanctifying": "VBG",
    "sanded": "VBD|VBN",
    "sandpapers": "VBZ",
    "sandpapered": "VBD|VBN",
    "sandpapering": "VBG",
    "sashes": "VBZ",
    "sashed": "VBD|VBN",
    "sashing": "VBG",
    "sashays": "VBZ",
    "sashaying": "VBG",
    "satiates": "VBZ",
    "satiated": "VBD|VBN",
    "satiating": "VBG",
    "saturates": "VBZ",
    "saturating": "VBG",
    "saunters": "VBZ",
    "sauntered": "VBD|VBN",
    "sauntering": "VBG",
    "sautes": "VBZ",
    "sauted": "VBD|VBN",
    "sauting": "VBG",
    "savaging": "VBG",
    "savvies": "VBZ",
    "savvied": "VBD|VBN",
    "savvying": "VBG",
    "sawed": "VBD",
    "sawn": "VBN",
    "scabbing": "VBG",
    "scalds": "VBZ",
    "scamming": "VBG",
    "scampers": "VBZ",
    "scampered": "VBD|VBN",
    "scanted": "VBD|VBN",
    "scanting": "VBG",
    "scapes": "VBZ",
    "scaped": "VBD|VBN",
    "scaping": "VBG",
    "scarring": "VBG",
    "scarifies": "VBZ",
    "scarified": "VBD|VBN",
    "scarifying": "VBG",
    "scenting": "VBG",
    "schemed": "VBD|VBN",
    "schoolchildrens": "VBZ",
    "schoolchildrenned": "VBD|VBN",
    "schoolchildrenning": "VBG",
    "scorns": "VBZ",
    "scorning": "VBG",
    "scotchs": "VBZ",
    "scotching": "VBG",
    "scourged": "VBD|VBN",
    "scourging": "VBG",
    "scrawls": "VBZ",
    "scrawling": "VBG",
    "screwing": "VBG",
    "scrimps": "VBZ",
    "scrounges": "VBZ",
    "scuffs": "VBZ",
    "scuffed": "VBD|VBN",
    "scuffing": "VBG",
    "scuffles": "VBZ",
    "scuffled": "VBD|VBN",
    "scuffling": "VBG",
    "sculpturing": "VBG",
    "scuttles": "VBZ",
    "seaed": "VBD|VBN",
    "seaing": "VBG",
    "seasonned": "VBD|VBN",
    "seasonning": "VBG",
    "secedes": "VBZ",
    "secludes": "VBZ",
    "secluding": "VBG",
    "second-guesses": "VBZ",
    "sectioned": "VBD|VBN",
    "sectioning": "VBG",
    "sedates": "VBZ",
    "sedated": "VBD|VBN",
    "sedating": "VBG",
    "seeding": "VBG",
    "seeps": "VBZ",
    "seesaws": "VBZ",
    "seesawed": "VBD|VBN",
    "seethed": "VBD|VBN",
    "segregeats": "VBZ",
    "segregeaten": "VBN",
    "segregeating": "VBG",
    "self-reinsures": "VBZ",
    "self-reinsured": "VBD|VBN",
    "self-reinsuring": "VBG",
    "sensitizes": "VBZ",
    "sensitizing": "VBG",
    "sentimentalizes": "VBZ",
    "sentimentalized": "VBD|VBN",
    "sentimentalizing": "VBG",
    "sequesters": "VBZ",
    "severs": "VBZ",
    "sexs": "VBZ",
    "sexed": "VBD|VBN",
    "sexing": "VBG",
    "shacking": "VBG",
    "shackling": "VBG",
    "shafted": "VBD|VBN",
    "shafting": "VBG",
    "shalls": "VBZ",
    "shalled": "VBN",
    "shalling": "VBG",
    "shallows": "VBZ",
    "shallowed": "VBD|VBN",
    "shallowing": "VBG",
    "shalts": "VBZ",
    "shalted": "VBD|VBN",
    "shalting": "VBG",
    "shammed": "VBD|VBN",
    "shamming": "VBG",
    "sharpenned": "VBD|VBN",
    "sharpenning": "VBG",
    "shears": "VBZ",
    "sheers": "VBZ",
    "sheering": "VBG",
    "shimmed": "VBD|VBN",
    "shimmies": "VBZ",
    "shimmied": "VBD|VBN",
    "shimmying": "VBG",
    "shinned": "VBD|VBN",
    "shinning": "VBG",
    "shirks": "VBZ",
    "shits": "VBZ",
    "shitting": "VBG",
    "shoeing": "VBG",
    "shoe-horns": "VBZ",
    "shoe-horning": "VBG",
    "short-sells": "VBZ",
    "short-sold": "VBD|VBN",
    "shortens": "VBZ",
    "shoulddas": "VBZ",
    "shoulddaed": "VBD|VBN",
    "shoulddaing": "VBG",
    "shreded": "VBD|VBN",
    "shreding": "VBG",
    "shrills": "VBZ",
    "shrined": "VBD|VBN",
    "shrining": "VBG",
    "shrivels": "VBZ",
    "shrivelled": "VBD|VBN",
    "shrivelling": "VBG",
    "shucked": "VBD|VBN",
    "shucking": "VBG",
    "shuffles": "VBZ",
    "shutes": "VBZ",
    "shuted": "VBD|VBN",
    "shuting": "VBG",
    "sics": "VBZ",
    "siced": "VBD|VBN",
    "sicing": "VBG",
    "sicks": "VBZ",
    "sicked": "VBD|VBN",
    "sicking": "VBG",
    "sidesteped": "VBD|VBN",
    "sidesteping": "VBG",
    "sidetracks": "VBZ",
    "sidetracking": "VBG",
    "sidles": "VBZ",
    "sidling": "VBG",
    "sieves": "VBZ",
    "sieved": "VBD|VBN",
    "sieving": "VBG",
    "sifts": "VBZ",
    "simulating": "VBG",
    "sin-neds": "VBZ",
    "sin-neded": "VBD|VBN",
    "sin-neding": "VBG",
    "single-foots": "VBZ",
    "single-footed": "VBD|VBN",
    "single-footing": "VBG",
    "sips": "VBZ",
    "siphonned": "VBD|VBN",
    "siphonning": "VBG",
    "sited": "VBD|VBN",
    "skeats": "VBZ",
    "skeaten": "VBN",
    "skeating": "VBG",
    "skews": "VBZ",
    "skewing": "VBG",
    "skewers": "VBZ",
    "skewered": "VBD|VBN",
    "skewering": "VBG",
    "skied": "VBD|VBN",
    "skimps": "VBZ",
    "skimped": "VBD|VBN",
    "skimping": "VBG",
    "skinned": "VBD|VBN",
    "skindives": "VBZ",
    "skindived": "VBD|VBN",
    "skippered": "VBD|VBN",
    "skulks": "VBZ",
    "skulked": "VBD|VBN",
    "skulking": "VBG",
    "skunked": "VBD|VBN",
    "skunking": "VBG",
    "skying": "VBG",
    "skyrockets": "VBZ",
    "skyrocketted": "VBD|VBN",
    "skyrocketting": "VBG",
    "slacked": "VBD|VBN",
    "slackens": "VBZ",
    "slackenned": "VBD|VBN",
    "slackenning": "VBG",
    "slam-dunks": "VBZ",
    "slam-dunked": "VBD|VBN",
    "slam-dunking": "VBG",
    "slandered": "VBD|VBN",
    "slandering": "VBG",
    "slangs": "VBZ",
    "slanged": "VBD|VBN",
    "slanging": "VBG",
    "sleeks": "VBZ",
    "sleeked": "VBD|VBN",
    "sleeking": "VBG",
    "sleepwalks": "VBZ",
    "sleuths": "VBZ",
    "sleuthed": "VBD|VBN",
    "slicks": "VBZ",
    "slicked": "VBD|VBN",
    "slicking": "VBG",
    "slims": "VBZ",
    "slitting": "VBG",
    "slivering": "VBG",
    "slogged": "VBD|VBN",
    "slops": "VBZ",
    "sloped": "VBD|VBN",
    "sloshes": "VBZ",
    "slouched": "VBD|VBN",
    "slouching": "VBG",
    "sloughs": "VBZ",
    "sloughed": "VBD|VBN",
    "sloughing": "VBG",
    "slumbers": "VBZ",
    "slushes": "VBZ",
    "slushed": "VBD|VBN",
    "slushing": "VBG",
    "smashes": "VBZ",
    "smears": "VBZ",
    "smearing": "VBG",
    "smirks": "VBZ",
    "smirking": "VBG",
    "smoothes": "VBZ",
    "smothers": "VBZ",
    "smudges": "VBZ",
    "smudging": "VBG",
    "smuggles": "VBZ",
    "snacking": "VBG",
    "snares": "VBZ",
    "snicks": "VBZ",
    "snicked": "VBD|VBN",
    "snicking": "VBG",
    "snoops": "VBZ",
    "snooped": "VBD|VBN",
    "snowballing": "VBG",
    "snubs": "VBZ",
    "snuffs": "VBZ",
    "snuffing": "VBG",
    "soaped": "VBD|VBN",
    "soaping": "VBG",
    "soiling": "VBG",
    "solaces": "VBZ",
    "solacing": "VBG",
    "soled": "VBD|VBN",
    "soling": "VBG",
    "soloed": "VBD|VBN",
    "soloing": "VBG",
    "soothes": "VBZ",
    "sopped": "VBD|VBN",
    "sophisticating": "VBG",
    "sorrowed": "VBD|VBN",
    "sorrowing": "VBG",
    "souped": "VBD|VBN",
    "souping": "VBG",
    "spackles": "VBZ",
    "spackled": "VBD|VBN",
    "spackling": "VBG",
    "spatters": "VBZ",
    "spattering": "VBG",
    "spearheads": "VBZ",
    "spelt": "VBD|VBN",
    "spews": "VBZ",
    "spiels": "VBZ",
    "spieled": "VBD|VBN",
    "spieling": "VBG",
    "spiking": "VBG",
    "spilt": "VBD|VBN",
    "spiralling": "VBG",
    "spiritted": "VBD|VBN",
    "spiritting": "VBG",
    "spites": "VBZ",
    "spited": "VBD|VBN",
    "spiting": "VBG",
    "splintering": "VBG",
    "splurges": "VBZ",
    "splurged": "VBD|VBN",
    "splurging": "VBG",
    "spoilt": "VBD|VBN",
    "spoofs": "VBZ",
    "spoofed": "VBD|VBN",
    "spoofing": "VBG",
    "spooning": "VBG",
    "spoon-feeds": "VBZ",
    "spoon-feeding": "VBG",
    "spouts": "VBZ",
    "sprawls": "VBZ",
    "spruces": "VBZ",
    "sprucing": "VBG",
    "spumes": "VBZ",
    "spumed": "VBD|VBN",
    "spuming": "VBG",
    "spured": "VBD|VBN",
    "spuring": "VBG",
    "squalled": "VBD|VBN",
    "squalling": "VBG",
    "squanders": "VBZ",
    "squashes": "VBZ",
    "squats": "VBZ",
    "squated": "VBD|VBN",
    "squating": "VBG",
    "squawks": "VBZ",
    "squawked": "VBD|VBN",
    "squawking": "VBG",
    "squelchs": "VBZ",
    "squelching": "VBG",
    "squints": "VBZ",
    "squirts": "VBZ",
    "staggers": "VBZ",
    "stampedes": "VBZ",
    "stampeding": "VBG",
    "stanches": "VBZ",
    "stanched": "VBD|VBN",
    "stanching": "VBG",
    "standardizes": "VBZ",
    "starboards": "VBZ",
    "starboarded": "VBD|VBN",
    "starboarding": "VBG",
    "start-upped": "VBD|VBN",
    "start-upping": "VBG",
    "startles": "VBZ",
    "stashes": "VBZ",
    "stashing": "VBG",
    "staunches": "VBZ",
    "staunched": "VBD|VBN",
    "staunching": "VBG",
    "staving": "VBG",
    "steadies": "VBZ",
    "steamered": "VBD|VBN",
    "steamering": "VBG",
    "steeling": "VBG",
    "steeps": "VBZ",
    "steeping": "VBG",
    "stereotyping": "VBG",
    "sterilizes": "VBZ",
    "stewing": "VBG",
    "sticles": "VBZ",
    "sticled": "VBD|VBN",
    "sticling": "VBG",
    "stiffenned": "VBD|VBN",
    "stiffenning": "VBG",
    "stilled": "VBD|VBN",
    "stilling": "VBG",
    "stank": "VBD",
    "stinted": "VBD|VBN",
    "stinting": "VBG",
    "stipulating": "VBG",
    "stokes": "VBZ",
    "stomaches": "VBZ",
    "stomached": "VBD|VBN",
    "stomaching": "VBG",
    "stoning": "VBG",
    "stooled": "VBD|VBN",
    "stooling": "VBG",
    "stooooomps": "VBZ",
    "stooooomped": "VBD|VBN",
    "stooooomping": "VBG",
    "stoops": "VBZ",
    "strafes": "VBZ",
    "strafed": "VBD|VBN",
    "straggles": "VBZ",
    "stratifies": "VBZ",
    "stratifying": "VBG",
    "strawed": "VBD|VBN",
    "strawing": "VBG",
    "streamlines": "VBZ",
    "strengthenned": "VBD|VBN",
    "strengthenning": "VBG",
    "stridden": "VBN",
    "stubbing": "VBG",
    "studding": "VBG",
    "stuffs": "VBZ",
    "stunting": "VBG",
    "stutters": "VBZ",
    "stuttered": "VBD|VBN",
    "stuttering": "VBG",
    "subbed": "VBD|VBN",
    "subcontracted": "VBD|VBN",
    "subjugates": "VBZ",
    "sublets": "VBZ",
    "subletting": "VBG",
    "sublimates": "VBZ",
    "sublimated": "VBD|VBN",
    "sublimating": "VBG",
    "sublimes": "VBZ",
    "subliming": "VBG",
    "submerges": "VBZ",
    "subordinating": "VBG",
    "subpoenaing": "VBG",
    "subsists": "VBZ",
    "subsisted": "VBD|VBN",
    "subsisting": "VBG",
    "substantiating": "VBG",
    "subtracts": "VBZ",
    "succors": "VBZ",
    "succored": "VBD|VBN",
    "succoring": "VBG",
    "sudss": "VBZ",
    "sudsed": "VBD|VBN",
    "suffocates": "VBZ",
    "suffuses": "VBZ",
    "suffusing": "VBG",
    "sugaring": "VBG",
    "suiting": "VBG",
    "sulfurs": "VBZ",
    "sulfured": "VBD|VBN",
    "sulfuring": "VBG",
    "sulphurs": "VBZ",
    "sulphuring": "VBG",
    "summates": "VBZ",
    "summated": "VBD|VBN",
    "summating": "VBG",
    "summitted": "VBD|VBN",
    "summitting": "VBG",
    "sunned": "VBD|VBN",
    "sunburns": "VBZ",
    "sunburning": "VBG",
    "sunders": "VBZ",
    "sundered": "VBD|VBN",
    "sundering": "VBG",
    "sunsetting": "VBG",
    "sups": "VBZ",
    "supped": "VBD|VBN",
    "supping": "VBG",
    "superintends": "VBZ",
    "superintended": "VBD|VBN",
    "superintending": "VBG",
    "superseding": "VBG",
    "supplants": "VBZ",
    "surcharged": "VBD|VBN",
    "surcharging": "VBG",
    "surfs": "VBZ",
    "surfed": "VBD|VBN",
    "surfboards": "VBZ",
    "surfboarded": "VBD|VBN",
    "surfboarding": "VBG",
    "surfeits": "VBZ",
    "surfeiting": "VBG",
    "surmising": "VBG",
    "surmounts": "VBZ",
    "swabs": "VBZ",
    "swabbing": "VBG",
    "swaggers": "VBZ",
    "swanned": "VBD|VBN",
    "swanning": "VBG",
    "swanks": "VBZ",
    "swanked": "VBD|VBN",
    "swanking": "VBG",
    "swathes": "VBZ",
    "swathing": "VBG",
    "sways": "VBZ",
    "swerves": "VBZ",
    "swigs": "VBZ",
    "swigged": "VBD|VBN",
    "swigging": "VBG",
    "swivels": "VBZ",
    "swivelled": "VBD|VBN",
    "swivelling": "VBG",
    "swooned": "VBD|VBN",
    "sympathizes": "VBZ",
    "syncs": "VBZ",
    "synced": "VBD|VBN",
    "syncing": "VBG",
    "synchronizes": "VBZ",
    "synchronizing": "VBG",
    "syndiceats": "VBZ",
    "syndiceaten": "VBN",
    "syndiceating": "VBG",
    "synthesizing": "VBG",
    "tabooed": "VBD|VBN",
    "tabooing": "VBG",
    "tabulates": "VBZ",
    "tabulating": "VBG",
    "taged": "VBD|VBN",
    "taging": "VBG",
    "tailed": "VBD|VBN|JJ",
    "tailors": "VBZ",
    "tailor-makes": "VBZ",
    "tailor-maked": "VBD|VBN",
    "tailor-making": "VBG",
    "taints": "VBZ",
    "tainting": "VBG",
    "takeths": "VBZ",
    "takethed": "VBD|VBN",
    "takething": "VBG",
    "tames": "VBZ",
    "tamed": "VBD|VBN",
    "tamps": "VBZ",
    "tamped": "VBD|VBN",
    "tamping": "VBG",
    "taned": "VBD|VBN",
    "taning": "VBG",
    "tangles": "VBZ",
    "tangling": "VBG",
    "tapdances": "VBZ",
    "tapdanced": "VBD|VBN",
    "tapdancing": "VBG",
    "targetted": "VBD|VBN",
    "targetting": "VBG",
    "tarnishes": "VBZ",
    "tarnishing": "VBG",
    "tarries": "VBZ",
    "tarried": "VBD|VBN",
    "tarrying": "VBG",
    "tasked": "VBD|VBN",
    "tasking": "VBG",
    "tats": "VBZ",
    "tated": "VBD|VBN",
    "tating": "VBG",
    "tewas": "VBD",
    "tebeen": "VBN",
    "tebeing": "VBG",
    "teases": "VBZ",
    "tees": "VBZ",
    "teeing": "VBG",
    "telecasts": "VBZ",
    "telecasting": "VBG",
    "telefaxes": "VBZ",
    "telefaxed": "VBD|VBN",
    "telefaxing": "VBG",
    "telegraphs": "VBZ",
    "temporizes": "VBZ",
    "tensing": "VBG",
    "tented": "VBD|VBN",
    "terracing": "VBG",
    "terrorizes": "VBZ",
    "test-drives": "VBZ",
    "test-drove": "VBD",
    "test-driven": "VBN",
    "test-driving": "VBG",
    "theorizes": "VBZ",
    "thets": "VBZ",
    "thetted": "VBD|VBN",
    "thetting": "VBG",
    "thickenned": "VBD|VBN",
    "thickenning": "VBG",
    "thins": "VBZ",
    "thirsts": "VBZ",
    "thirsting": "VBG",
    "thrashes": "VBZ",
    "throve": "VBD",
    "thriven": "VBN",
    "throned": "VBD|VBN",
    "throning": "VBG",
    "thronged": "VBD|VBN",
    "thronging": "VBG",
    "throttles": "VBZ",
    "thudded": "VBD|VBN",
    "thumps": "VBZ",
    "thwacks": "VBZ",
    "thwacked": "VBD|VBN",
    "thwacking": "VBG",
    "thwarts": "VBZ",
    "ticketted": "VBD|VBN",
    "ticketting": "VBG",
    "tided": "VBD|VBN",
    "tiding": "VBG",
    "tidies": "VBZ",
    "tills": "VBZ",
    "tillers": "VBZ",
    "tillered": "VBD|VBN",
    "tillering": "VBG",
    "timbering": "VBG",
    "tined": "VBD|VBN",
    "tining": "VBG",
    "tinctures": "VBZ",
    "tinctured": "VBD|VBN",
    "tincturing": "VBG",
    "tiped": "VBD|VBN",
    "tiping": "VBG",
    "tipples": "VBZ",
    "tippled": "VBD|VBN",
    "tiptoes": "VBZ",
    "tiptoeed": "VBD|VBN",
    "tissued": "VBD|VBN",
    "tissuing": "VBG",
    "titling": "VBG",
    "toadied": "VBD|VBN",
    "toasts": "VBZ",
    "toed": "VBD|VBN",
    "toeing": "VBG",
    "toils": "VBZ",
    "tolling": "VBG",
    "toning": "VBG",
    "tooled": "VBD|VBN",
    "topples": "VBZ",
    "torpedid": "VBD",
    "torpedone": "VBN",
    "torturing": "VBG",
    "tots": "VBZ",
    "totes": "VBZ",
    "totters": "VBZ",
    "tottered": "VBD|VBN",
    "toughed": "VBD|VBN",
    "toughenned": "VBD|VBN",
    "toughenning": "VBG",
    "towered": "VBD|VBN",
    "toyed": "VBD|VBN",
    "trademarked": "VBD|VBN",
    "trademarking": "VBG",
    "traduces": "VBZ",
    "traducing": "VBG",
    "traipses": "VBZ",
    "traipsed": "VBD|VBN",
    "trammels": "VBZ",
    "trammelled": "VBD|VBN",
    "trammelling": "VBG",
    "tranced": "VBD|VBN",
    "trancing": "VBG",
    "transacts": "VBZ",
    "transcribes": "VBZ",
    "transcribing": "VBG",
    "travailed": "VBD|VBN",
    "travailing": "VBG",
    "traverses": "VBZ",
    "travesties": "VBZ",
    "travestied": "VBD|VBN",
    "travestying": "VBG",
    "treasuring": "VBG",
    "trebles": "VBZ",
    "trebling": "VBG",
    "treed": "VBD|VBN",
    "treeing": "VBG",
    "treked": "VBD|VBN",
    "treking": "VBG",
    "tremored": "VBD|VBN",
    "tremoring": "VBG",
    "trenched": "VBD|VBN",
    "trenching": "VBG",
    "trialed": "VBD|VBN",
    "trialing": "VBG",
    "tricking": "VBG",
    "trickles": "VBZ",
    "trifles": "VBZ",
    "trilling": "VBG",
    "triumphing": "VBG",
    "trivializes": "VBZ",
    "trivialized": "VBD|VBN",
    "trooped": "VBD|VBN",
    "trots": "VBZ",
    "trotting": "VBG",
    "trudges": "VBZ",
    "trumped": "VBD|VBN",
    "trumping": "VBG",
    "tucks": "VBZ",
    "tugs": "VBZ",
    "tuged": "VBD|VBN",
    "tuging": "VBG",
    "tunnelled": "VBD|VBN",
    "tunnelling": "VBG",
    "turtled": "VBD|VBN",
    "turtling": "VBG",
    "tusked": "VBD|VBN",
    "tusking": "VBG",
    "tussles": "VBZ",
    "tussling": "VBG",
    "twaddles": "VBZ",
    "twaddled": "VBD|VBN",
    "twaddling": "VBG",
    "twinning": "VBG",
    "twines": "VBZ",
    "twining": "VBG",
    "twinged": "VBD|VBN",
    "twinging": "VBG",
    "twinkles": "VBZ",
    "twinkled": "VBD|VBN",
    "twitches": "VBZ",
    "typecasts": "VBZ",
    "tyrannizes": "VBZ",
    "tyrannized": "VBD|VBN",
    "tyrannizing": "VBG",
    "umpires": "VBZ",
    "umpired": "VBD|VBN",
    "umpiring": "VBG",
    "unbalances": "VBZ",
    "unbalancing": "VBG",
    "unblocks": "VBZ",
    "unblocked": "VBD|VBN",
    "unblocking": "VBG",
    "unbundles": "VBZ",
    "unbundling": "VBG",
    "uncaps": "VBZ",
    "uncapped": "VBD|VBN|JJ",
    "uncapping": "VBG",
    "uncovers": "VBZ",
    "underestimating": "VBG",
    "undergos": "VBZ",
    "underlain": "VBN",
    "underrates": "VBZ",
    "underrating": "VBG",
    "understand/adopts": "VBZ",
    "understand/adopted": "VBD|VBN",
    "understand/adopting": "VBG",
    "undoes": "VBZ",
    "undresses": "VBZ",
    "undulates": "VBZ",
    "unearths": "VBZ",
    "unfetters": "VBZ",
    "unfettering": "VBG",
    "unfits": "VBZ",
    "unfitted": "VBD|VBN",
    "unhooks": "VBZ",
    "unhooked": "VBD|VBN",
    "unhooking": "VBG",
    "unlatches": "VBZ",
    "unlatched": "VBD|VBN",
    "unlatching": "VBG",
    "unmasking": "VBG",
    "unpacks": "VBZ",
    "unplugs": "VBZ",
    "unplugged": "VBD|VBN",
    "unplugging": "VBG",
    "unravels": "VBZ",
    "unravelled": "VBD|VBN",
    "unravelling": "VBG",
    "unrolling": "VBG",
    "unscrambles": "VBZ",
    "unscrambled": "VBD|VBN",
    "unscrambling": "VBG",
    "unscrews": "VBZ",
    "unscrewing": "VBG",
    "unseals": "VBZ",
    "unseats": "VBZ",
    "unsheathes": "VBZ",
    "unsheathed": "VBD|VBN",
    "unsolders": "VBZ",
    "unsoldered": "VBD|VBN",
    "unsoldering": "VBG",
    "unsteadies": "VBZ",
    "unsteadied": "VBD|VBN",
    "unsteadying": "VBG",
    "unstuffies": "VBZ",
    "unstuffied": "VBD|VBN",
    "unstuffying": "VBG",
    "unteaches": "VBZ",
    "untaught": "VBD|VBN",
    "unteaching": "VBG",
    "unthaws": "VBZ",
    "unthawed": "VBD|VBN",
    "unthawing": "VBG",
    "unties": "VBZ",
    "untying": "VBG",
    "unwinds": "VBZ",
    "unwound": "VBD|VBN",
    "unwires": "VBZ",
    "unwiring": "VBG",
    "uped": "VBD|VBN",
    "uping": "VBG",
    "updeats": "VBZ",
    "updeaten": "VBN",
    "updeating": "VBG",
    "uplifts": "VBZ",
    "uplifted": "VBD|VBN",
    "uproots": "VBZ",
    "uprooting": "VBG",
    "upticks": "VBZ",
    "upticked": "VBD|VBN",
    "upticking": "VBG",
    "usurps": "VBZ",
    "utters": "VBZ",
    "uttuhs": "VBZ",
    "uttuhed": "VBD|VBN",
    "uttuhing": "VBG",
    "vacates": "VBZ",
    "vacillates": "VBZ",
    "vacillating": "VBG",
    "vacuums": "VBZ",
    "vagabonded": "VBD|VBN",
    "vagabonding": "VBG",
    "validates": "VBZ",
    "vanquishes": "VBZ",
    "vanquished": "VBD|VBN",
    "vanquishing": "VBG",
    "varnished": "VBD|VBN",
    "varnishing": "VBG",
    "venting": "VBG",
    "verifies": "VBZ",
    "versing": "VBG",
    "vetos": "VBZ",
    "vibrates": "VBZ",
    "victimizing": "VBG",
    "videotaping": "VBG",
    "vindicates": "VBZ",
    "vindicating": "VBG",
    "visitted": "VBD|VBN",
    "visitting": "VBG",
    "vitiating": "VBG",
    "vivifies": "VBZ",
    "vivifying": "VBG",
    "vocalizes": "VBZ",
    "vocalized": "VBD|VBN",
    "vocalizing": "VBG",
    "voiding": "VBG",
    "vomits": "VBZ",
    "voyaged": "VBD|VBN",
    "voyaging": "VBG",
    "wadding": "VBG",
    "wades": "VBZ",
    "wading": "VBG",
    "wafts": "VBZ",
    "wafted": "VBD|VBN",
    "wagered": "VBD|VBN",
    "waitressed": "VBD|VBN",
    "waitressing": "VBG",
    "walling": "VBG",
    "wallopped": "VBD|VBN",
    "wallopping": "VBG",
    "wallows": "VBZ",
    "wallpapered": "VBD|VBN",
    "wallpapering": "VBG",
    "waltzs": "VBZ",
    "waltzed": "VBD|VBN",
    "wantas": "VBZ",
    "wantaed": "VBD|VBN",
    "wantaing": "VBG",
    "wantons": "VBZ",
    "wantoned": "VBD|VBN",
    "wantoning": "VBG",
    "wared": "VBD|VBN",
    "waring": "VBG",
    "warding": "VBG",
    "warehoused": "VBD|VBN",
    "warps": "VBZ",
    "warranting": "VBG",
    "wassails": "VBZ",
    "wassailed": "VBD|VBN",
    "wassailing": "VBG",
    "waxes": "VBZ",
    "weans": "VBZ",
    "wearies": "VBZ",
    "weathers": "VBZ",
    "weathered": "VBD|VBN",
    "weatherstrips": "VBZ",
    "weatherstripped": "VBD|VBN",
    "weatherstripping": "VBG",
    "webed": "VBD|VBN",
    "webing": "VBG",
    "wedges": "VBZ",
    "wees": "VBZ",
    "weeing": "VBG",
    "welds": "VBZ",
    "welters": "VBZ",
    "weltered": "VBD|VBN",
    "weltering": "VBG",
    "whacks": "VBZ",
    "wharfs": "VBZ",
    "wharfed": "VBD|VBN",
    "wharfing": "VBG",
    "wherewiths": "VBZ",
    "wherewithed": "VBD|VBN",
    "wherewithing": "VBG",
    "whiffs": "VBZ",
    "whiffed": "VBD|VBN",
    "whiffing": "VBG",
    "whiles": "VBZ",
    "whiled": "VBD|VBN",
    "whiling": "VBG",
    "whimpered": "VBD|VBN",
    "whines": "VBZ",
    "whipsaws": "VBZ",
    "whipsawn": "VBN",
    "whirs": "VBZ",
    "whirls": "VBZ",
    "whirlpools": "VBZ",
    "whirlpooled": "VBD|VBN",
    "whirlpooling": "VBG",
    "whited": "VBD|VBN",
    "whiting": "VBG",
    "whittles": "VBZ",
    "whizs": "VBZ",
    "whized": "VBD|VBN",
    "whizing": "VBG",
    "wiggles": "VBZ",
    "wilts": "VBZ",
    "wimps": "VBZ",
    "wimped": "VBD|VBN",
    "winces": "VBZ",
    "winks": "VBZ",
    "winnows": "VBZ",
    "winnowed": "VBD|VBN",
    "wiretaped": "VBD|VBN",
    "wiretaping": "VBG",
    "witched": "VBD|VBN",
    "withers": "VBZ",
    "wobbles": "VBZ",
    "womans": "VBZ",
    "womanned": "VBD|VBN",
    "womanning": "VBG",
    "wonduhs": "VBZ",
    "wonduhed": "VBD|VBN",
    "wonduhing": "VBG",
    "woolgathers": "VBZ",
    "woolgathered": "VBD|VBN",
    "woolgathering": "VBG",
    "wopped": "VBD|VBN",
    "wopping": "VBG",
    "wormed": "VBD|VBN",
    "worming": "VBG",
    "worsenned": "VBD|VBN",
    "worsenning": "VBG",
    "worships": "VBZ",
    "worsts": "VBZ",
    "worsting": "VBG",
    "worthwiles": "VBZ",
    "worthwiled": "VBD|VBN",
    "worthwiling": "VBG",
    "wreaks": "VBZ",
    "wrests": "VBZ",
    "wresting": "VBG",
    "wrestled": "VBD|VBN",
    "write-downed": "VBD|VBN",
    "write-downing": "VBG",
    "writhes": "VBZ",
    "wynnes": "VBZ",
    "wynned": "VBD|VBN",
    "wynning": "VBG",
    "yanks": "VBZ",
    "yawls": "VBZ",
    "yawled": "VBD|VBN",
    "yawling": "VBG",
    "yawned": "VBD|VBN",
    "yearns": "VBZ",
    "yens": "VBZ",
    "yenned": "VBD|VBN",
    "yenning": "VBG",
    "yips": "VBZ",
    "yipped": "VBD|VBN",
    "yipping": "VBG",
    "yodels": "VBZ",
    "yodelled": "VBD|VBN",
    "yodelling": "VBG",
    "yokes": "VBZ",
    "yoked": "VBD|VBN",
    "yoking": "VBG",
    "zaps": "VBZ",
    "zests": "VBZ",
    "zested": "VBD|VBN",
    "zesting": "VBG",
    "zincs": "VBZ",
    "zincked": "VBD|VBN",
    "zincking": "VBG",
    "admonishes": "VBZ",
    "apologises": "VBZ",
    "apologised": "VBD|VBN",
    "apologising": "VBG",
    "bamboozles": "VBZ",
    "bamboozling": "VBG",
    "bereaves": "VBZ",
    "bereaving": "VBG",
    "colliding": "VBG",
    "disconsoleats": "VBZ",
    "disconsoleaten": "VBN",
    "disconsoleating": "VBG",
    "duping": "VBG",
    "enraptures": "VBZ",
    "enrapturing": "VBG",
    "fags": "VBZ",
    "fagged": "VBD|VBN",
    "fagging": "VBG",
    "faggotted": "VBD|VBN",
    "faggotting": "VBG",
    "fuds": "VBZ",
    "fudded": "VBD|VBN",
    "fudding": "VBG",
    "fukeds": "VBZ",
    "fukeded": "VBD|VBN",
    "fukeding": "VBG",
    "greenwashes": "VBZ",
    "greenwashed": "VBD|VBN",
    "hoaxed": "VBD|VBN",
    "hoaxing": "VBG",
    "```s": "VBZ",
    "```ed": "VBD|VBN",
    "```ing": "VBG",
    "practises": "VBZ",
    "saddens": "VBZ",
    "saddening": "VBG",
    "satirises": "VBZ",
    "satirised": "VBD|VBN",
    "satirising": "VBG",
    "oversells": "VBZ",
    "overselling": "VBG",
    "particularises": "VBZ",
    "particularised": "VBD|VBN",
    "particularising": "VBG",
    "specialises": "VBZ",
    "specialised": "VBD|VBN",
    "specialising": "VBG",
    "demoralises": "VBZ",
    "demoralised": "VBD|VBN",
    "demoralising": "VBG",
    "emphasises": "VBZ",
    "emphasised": "VBD|VBN",
    "emphasising": "VBG",
    "repulses": "VBZ",
    "repulsing": "VBG",
    "memorises": "VBZ",
    "memorised": "VBD|VBN",
    "memorising": "VBG",
    "signalises": "VBZ",
    "signalised": "VBD|VBN",
    "signalising": "VBG",
    "institutionalises": "VBZ",
    "institutionalised": "VBD|VBN",
    "institutionalising": "VBG",
    "harmonises": "VBZ",
    "harmonised": "VBD|VBN",
    "harmonising": "VBG",
    "localises": "VBZ",
    "localised": "VBD|VBN",
    "localising": "VBG",
    "stigmatises": "VBZ",
    "stigmatised": "VBD|VBN",
    "stigmatising": "VBG",
    "memorialises": "VBZ",
    "memorialised": "VBD|VBN",
    "memorialising": "VBG",
    "immortalises": "VBZ",
    "immortalised": "VBD|VBN",
    "immortalising": "VBG",
    "severalises": "VBZ",
    "severalised": "VBD|VBN",
    "severalising": "VBG",
    "labialises": "VBZ",
    "labialised": "VBD|VBN",
    "labialising": "VBG",
    "recognises": "VBZ",
    "recognising": "VBG",
    "modernises": "VBZ",
    "modernised": "VBD|VBN",
    "modernising": "VBG",
    "uprises": "VBZ",
    "uprised": "VBD|VBN",
    "civilises": "VBZ",
    "civilising": "VBG",
    "cognises": "VBZ",
    "cognised": "VBD|VBN",
    "cognising": "VBG",
    "disembowels": "VBZ",
    "disembowelled": "VBD|VBN",
    "disembowelling": "VBG",
    "organises": "VBZ",
    "organising": "VBG",
    "realises": "VBZ",
    "realised": "VBD|VBN",
    "realising": "VBG",
    "crystallises": "VBZ",
    "crystallised": "VBD|VBN",
    "crystallising": "VBG",
    "crystalises": "VBZ",
    "crystalised": "VBD|VBN",
    "crystalising": "VBG",
    "naturalises": "VBZ",
    "naturalised": "VBD|VBN",
    "naturalising": "VBG",
    "domesticises": "VBZ",
    "domesticised": "VBD|VBN",
    "domesticising": "VBG",
    "psychoanalyses": "VBZ",
    "psychoanalysed": "VBD|VBN",
    "psychoanalysing": "VBG",
    "utilises": "VBZ",
    "utilised": "VBD|VBN",
    "utilising": "VBG",
    "summarises": "VBZ",
    "summarised": "VBD|VBN",
    "summarising": "VBG",
    "circularises": "VBZ",
    "circularised": "VBD|VBN",
    "circularising": "VBG",
    "dramatises": "VBZ",
    "dramatised": "VBD|VBN",
    "dramatising": "VBG",
    "aggrandises": "VBZ",
    "aggrandised": "VBD|VBN",
    "aggrandising": "VBG",
    "publicises": "VBZ",
    "publicised": "VBD|VBN",
    "publicising": "VBG",
    "upraises": "VBZ",
    "upraising": "VBG",
    "apprises": "VBZ",
    "apprising": "VBG",
    "externalises": "VBZ",
    "externalised": "VBD|VBN",
    "externalising": "VBG",
    "visualises": "VBZ",
    "visualised": "VBD|VBN",
    "visualising": "VBG",
    "melanises": "VBZ",
    "melanised": "VBD|VBN",
    "melanising": "VBG",
    "equalises": "VBZ",
    "equalised": "VBD|VBN",
    "equalising": "VBG",
    "hales": "VBZ",
    "haled": "VBD|VBN",
    "haling": "VBG",
    "licences": "VBZ",
    "licenced": "VBD|VBN",
    "licencing": "VBG",
    "channelises": "VBZ",
    "channelised": "VBD|VBN",
    "channelising": "VBG",
    "deputises": "VBZ",
    "deputised": "VBD|VBN",
    "deputising": "VBG",
    "materialises": "VBZ",
    "materialised": "VBD|VBN",
    "materialising": "VBG",
    "canonises": "VBZ",
    "canonised": "VBD|VBN",
    "canonising": "VBG",
    "previses": "VBZ",
    "prevised": "VBD|VBN",
    "prevising": "VBG",
    "rationalises": "VBZ",
    "rationalised": "VBD|VBN",
    "rationalising": "VBG",
    "authorises": "VBZ",
    "authorised": "VBD|VBN",
    "authorising": "VBG",
    "fertilises": "VBZ",
    "fertilised": "VBD|VBN",
    "fertilising": "VBG",
    "prises": "VBZ",
    "prised": "VBD|VBN",
    "prising": "VBG",
    "disembarrasses": "VBZ",
    "disembarrassed": "VBD|VBN",
    "disembarrassing": "VBG",
    "plagiarises": "VBZ",
    "plagiarised": "VBD|VBN",
    "plagiarising": "VBG",
    "initialises": "VBZ",
    "initialised": "VBD|VBN",
    "initialising": "VBG",
    "immobilises": "VBZ",
    "immobilised": "VBD|VBN",
    "immobilising": "VBG",
    "vocalises": "VBZ",
    "vocalised": "VBD|VBN",
    "vocalising": "VBG",
    "sympathises": "VBZ",
    "sympathised": "VBD|VBN",
    "sympathising": "VBG",
    "empathises": "VBZ",
    "empathised": "VBD|VBN",
    "empathising": "VBG",
    "cauterises": "VBZ",
    "cauterised": "VBD|VBN",
    "cauterising": "VBG",
    "energises": "VBZ",
    "energised": "VBD|VBN",
    "energising": "VBG",
    "scrutinises": "VBZ",
    "scrutinised": "VBD|VBN",
    "scrutinising": "VBG",
    "ostracises": "VBZ",
    "ostracised": "VBD|VBN",
    "ostracising": "VBG",
    "patronises": "VBZ",
    "patronised": "VBD|VBN",
    "patronising": "VBG",
    "formalises": "VBZ",
    "formalised": "VBD|VBN",
    "formalising": "VBG",
    "galvanises": "VBZ",
    "galvanised": "VBD|VBN",
    "galvanising": "VBG",
    "scandalises": "VBZ",
    "scandalised": "VBD|VBN",
    "scandalising": "VBG",
    "equilibrises": "VBZ",
    "equilibrised": "VBD|VBN",
    "equilibrising": "VBG",
    "counterpoises": "VBZ",
    "counterpoised": "VBD|VBN",
    "counterpoising": "VBG",
    "stabilises": "VBZ",
    "stabilised": "VBD|VBN",
    "stabilising": "VBG",
    "sterilises": "VBZ",
    "sterilised": "VBD|VBN",
    "sterilising": "VBG",
    "desexualises": "VBZ",
    "desexualised": "VBD|VBN",
    "desexualising": "VBG",
    "swindles": "VBZ",
    "scuds": "VBZ",
    "scudded": "VBD|VBN",
    "traumatises": "VBZ",
    "traumatised": "VBD|VBN",
    "traumatising": "VBG",
    "finalises": "VBZ",
    "finalised": "VBD|VBN",
    "finalising": "VBG",
    "tenderises": "VBZ",
    "tenderised": "VBD|VBN",
    "tenderising": "VBG",
    "victimises": "VBZ",
    "victimised": "VBD|VBN",
    "victimising": "VBG",
    "gormandises": "VBZ",
    "gormandised": "VBD|VBN",
    "gormandising": "VBG",
    "neutralises": "VBZ",
    "neutralised": "VBD|VBN",
    "neutralising": "VBG",
    "incommodes": "VBZ",
    "incommoded": "VBD|VBN",
    "incommoding": "VBG",
    "tantalises": "VBZ",
    "tantalised": "VBD|VBN",
    "tantalising": "VBG",
    "verbalises": "VBZ",
    "verbalised": "VBD|VBN",
    "verbalising": "VBG",
    "deoxidises": "VBZ",
    "deoxidised": "VBD|VBN",
    "deoxidising": "VBG",
    "tranquillises": "VBZ",
    "tranquillised": "VBD|VBN",
    "tranquillising": "VBG",
    "canalises": "VBZ",
    "canalised": "VBD|VBN",
    "canalising": "VBG",
    "enthrals": "VBZ",
    "lionises": "VBZ",
    "lionised": "VBD|VBN",
    "lionising": "VBG",
    "centralises": "VBZ",
    "centralised": "VBD|VBN",
    "centralising": "VBG",
    "characterises": "VBZ",
    "characterised": "VBD|VBN",
    "characterising": "VBG",
    "mobilises": "VBZ",
    "mobilised": "VBD|VBN",
    "mobilising": "VBG",
    "focalises": "VBZ",
    "focalised": "VBD|VBN",
    "focalising": "VBG",
    "colorises": "VBZ",
    "colorised": "VBD|VBN",
    "colorising": "VBG",
    "colourises": "VBZ",
    "colourised": "VBD|VBN",
    "colourising": "VBG",
    "conceptualises": "VBZ",
    "conceptualised": "VBD|VBN",
    "conceptualising": "VBG",
    "unionises": "VBZ",
    "unionised": "VBD|VBN",
    "unionising": "VBG",
    "hybridises": "VBZ",
    "hybridised": "VBD|VBN",
    "hybridising": "VBG",
    "aromatises": "VBZ",
    "aromatised": "VBD|VBN",
    "aromatising": "VBG",
    "odourises": "VBZ",
    "odourised": "VBD|VBN",
    "odourising": "VBG",
    "customises": "VBZ",
    "customised": "VBD|VBN",
    "customising": "VBG",
    "anathemises": "VBZ",
    "anathemised": "VBD|VBN",
    "anathemising": "VBG",
    "economises": "VBZ",
    "economised": "VBD|VBN",
    "economising": "VBG",
    "pulverises": "VBZ",
    "pulverised": "VBD|VBN",
    "pulverising": "VBG",
    "regularises": "VBZ",
    "regularised": "VBD|VBN",
    "regularising": "VBG",
    "disenables": "VBZ",
    "disenabled": "VBD|VBN",
    "disenabling": "VBG",
    "djs": "VBZ",
    "djed": "VBD|VBN",
    "djing": "VBG",
    "animises": "VBZ",
    "animised": "VBD|VBN",
    "animising": "VBG",
    "reprises": "VBZ",
    "reprised": "VBD|VBN",
    "reprising": "VBG",
    "fantasises": "VBZ",
    "fantasised": "VBD|VBN",
    "fantasising": "VBG",
    "liquidises": "VBZ",
    "liquidised": "VBD|VBN",
    "liquidising": "VBG",
    "revolutionises": "VBZ",
    "revolutionised": "VBD|VBN",
    "revolutionising": "VBG",
    "liaises": "VBZ",
    "liaised": "VBD|VBN",
    "liaising": "VBG",
    "symbolises": "VBZ",
    "symbolised": "VBD|VBN",
    "symbolising": "VBG",
    "epitomises": "VBZ",
    "epitomised": "VBD|VBN",
    "epitomising": "VBG",
    "theorises": "VBZ",
    "theorised": "VBD|VBN",
    "theorising": "VBG",
    "hypothesises": "VBZ",
    "hypothesised": "VBD|VBN",
    "hypothesising": "VBG",
    "ptyalises": "VBZ",
    "ptyalised": "VBD|VBN",
    "ptyalising": "VBG",
    "legalises": "VBZ",
    "legalised": "VBD|VBN",
    "legalising": "VBG",
    "decriminalises": "VBZ",
    "decriminalised": "VBD|VBN",
    "decriminalising": "VBG",
    "legitimises": "VBZ",
    "legitimised": "VBD|VBN",
    "legitimising": "VBG",
    "legitimatises": "VBZ",
    "legitimatised": "VBD|VBN",
    "legitimatising": "VBG",
    "commercialises": "VBZ",
    "commercialised": "VBD|VBN",
    "commercialising": "VBG",
    "minimises": "VBZ",
    "minimised": "VBD|VBN",
    "minimising": "VBG",
    "pussyfoots": "VBZ",
    "pussyfooted": "VBD|VBN",
    "pussyfooting": "VBG",
    "atomises": "VBZ",
    "atomised": "VBD|VBN",
    "atomising": "VBG",
    "disesteems": "VBZ",
    "disesteemed": "VBD|VBN",
    "disesteeming": "VBG",
    "antagonises": "VBZ",
    "antagonising": "VBG",
    "optimises": "VBZ",
    "optimised": "VBD|VBN",
    "optimising": "VBG",
    "powderises": "VBZ",
    "powderised": "VBD|VBN",
    "powderising": "VBG",
    "penalises": "VBZ",
    "penalised": "VBD|VBN",
    "penalising": "VBG",
    "actualises": "VBZ",
    "actualised": "VBD|VBN",
    "actualising": "VBG",
    "agnises": "VBZ",
    "agnised": "VBD|VBN",
    "agnising": "VBG",
    "rubberises": "VBZ",
    "rubberised": "VBD|VBN",
    "rubberising": "VBG",
    "solarises": "VBZ",
    "solarised": "VBD|VBN",
    "solarising": "VBG",
    "synchronises": "VBZ",
    "synchronised": "VBD|VBN",
    "synchronising": "VBG",
    "contemporises": "VBZ",
    "contemporised": "VBD|VBN",
    "contemporising": "VBG",
    "tabularises": "VBZ",
    "tabularised": "VBD|VBN",
    "tabularising": "VBG",
    "jeopardises": "VBZ",
    "jeopardised": "VBD|VBN",
    "jeopardising": "VBG",
    "poetises": "VBZ",
    "poetised": "VBD|VBN",
    "poetising": "VBG",
    "idolises": "VBZ",
    "idolised": "VBD|VBN",
    "idolising": "VBG",
    "hyperbolises": "VBZ",
    "hyperbolised": "VBD|VBN",
    "hyperbolising": "VBG",
    "bowdlerises": "VBZ",
    "bowdlerised": "VBD|VBN",
    "bowdlerising": "VBG",
    "apostatises": "VBZ",
    "apostatised": "VBD|VBN",
    "apostatising": "VBG",
    "phlebotomises": "VBZ",
    "phlebotomised": "VBD|VBN",
    "phlebotomising": "VBG",
    "eulogises": "VBZ",
    "eulogised": "VBD|VBN",
    "eulogising": "VBG",
    "misestimates": "VBZ",
    "misestimated": "VBD|VBN",
    "misestimating": "VBG",
    "familiarises": "VBZ",
    "familiarised": "VBD|VBN",
    "familiarising": "VBG",
    "anathematises": "VBZ",
    "anathematised": "VBD|VBN",
    "anathematising": "VBG",
    "terrorises": "VBZ",
    "terrorised": "VBD|VBN",
    "terrorising": "VBG",
    "demilitarises": "VBZ",
    "demilitarised": "VBD|VBN",
    "demilitarising": "VBG",
    "extemporises": "VBZ",
    "extemporised": "VBD|VBN",
    "extemporising": "VBG",
    "pauperises": "VBZ",
    "pauperised": "VBD|VBN",
    "pauperising": "VBG",
    "misbehaves": "VBZ",
    "misbehaved": "VBD|VBN",
    "mesmerises": "VBZ",
    "mesmerised": "VBD|VBN",
    "mesmerising": "VBG",
    "magnetises": "VBZ",
    "magnetised": "VBD|VBN",
    "magnetising": "VBG",
    "decolorises": "VBZ",
    "decolorised": "VBD|VBN",
    "decolorising": "VBG",
    "decolourises": "VBZ",
    "decolourised": "VBD|VBN",
    "decolourising": "VBG",
    "discolourises": "VBZ",
    "discolourised": "VBD|VBN",
    "discolourising": "VBG",
    "discolorises": "VBZ",
    "discolorised": "VBD|VBN",
    "discolorising": "VBG",
    "vitalises": "VBZ",
    "vitalised": "VBD|VBN",
    "vitalising": "VBG",
    "subsidises": "VBZ",
    "subsidised": "VBD|VBN",
    "subsidising": "VBG",
    "itemises": "VBZ",
    "itemised": "VBD|VBN",
    "itemising": "VBG",
    "disenchants": "VBZ",
    "disenchanting": "VBG",
    "twitters": "VBZ",
    "generalises": "VBZ",
    "generalised": "VBD|VBN",
    "generalising": "VBG",
    "popularises": "VBZ",
    "popularised": "VBD|VBN",
    "popularising": "VBG",
    "vulgarises": "VBZ",
    "vulgarised": "VBD|VBN",
    "vulgarising": "VBG",
    "monopolises": "VBZ",
    "monopolised": "VBD|VBN",
    "monopolising": "VBG",
    "disencumbers": "VBZ",
    "disencumbered": "VBD|VBN",
    "disencumbering": "VBG",
    "vaporises": "VBZ",
    "vaporised": "VBD|VBN",
    "vaporising": "VBG",
    "immunises": "VBZ",
    "immunised": "VBD|VBN",
    "immunising": "VBG",
    "anatomises": "VBZ",
    "anatomised": "VBD|VBN",
    "anatomising": "VBG",
    "secularises": "VBZ",
    "secularised": "VBD|VBN",
    "secularising": "VBG",
    "baptises": "VBZ",
    "baptised": "VBD|VBN",
    "baptising": "VBG",
    "personalises": "VBZ",
    "personalised": "VBD|VBN",
    "personalising": "VBG",
    "individualises": "VBZ",
    "individualised": "VBD|VBN",
    "individualising": "VBG",
    "systematises": "VBZ",
    "systematised": "VBD|VBN",
    "systematising": "VBG",
    "systemises": "VBZ",
    "systemised": "VBD|VBN",
    "systemising": "VBG",
    "dogmatises": "VBZ",
    "dogmatised": "VBD|VBN",
    "dogmatising": "VBG",
    "tyrannises": "VBZ",
    "tyrannised": "VBD|VBN",
    "tyrannising": "VBG",
    "misadvises": "VBZ",
    "misadvised": "VBD|VBN",
    "misadvising": "VBG",
    "hypnotises": "VBZ",
    "hypnotised": "VBD|VBN",
    "hypnotising": "VBG",
    "affranchises": "VBZ",
    "affranchised": "VBD|VBN",
    "affranchising": "VBG",
    "enfranchises": "VBZ",
    "enfranchised": "VBD|VBN",
    "enfranchising": "VBG",
    "disembroils": "VBZ",
    "disembroiled": "VBD|VBN",
    "disembroiling": "VBG",
    "disenfranchises": "VBZ",
    "disenfranchising": "VBG",
    "disfranchises": "VBZ",
    "disfranchised": "VBD|VBN",
    "disfranchising": "VBG",
    "colonises": "VBZ",
    "colonised": "VBD|VBN",
    "colonising": "VBG",
    "disorganises": "VBZ",
    "disorganised": "VBD|VBN",
    "disorganising": "VBG",
    "fraternises": "VBZ",
    "fraternised": "VBD|VBN",
    "fraternising": "VBG",
    "sentimentalises": "VBZ",
    "sentimentalised": "VBD|VBN",
    "sentimentalising": "VBG",
    "sentimentises": "VBZ",
    "sentimentised": "VBD|VBN",
    "sentimentising": "VBG",
    "solemnises": "VBZ",
    "solemnised": "VBD|VBN",
    "solemnising": "VBG",
    "humanises": "VBZ",
    "humanised": "VBD|VBN",
    "humanising": "VBG",
    "christianises": "VBZ",
    "christianised": "VBD|VBN",
    "christianising": "VBG",
    "barbarises": "VBZ",
    "barbarised": "VBD|VBN",
    "barbarising": "VBG",
    "sermonises": "VBZ",
    "sermonised": "VBD|VBN",
    "sermonising": "VBG",
    "moralises": "VBZ",
    "moralised": "VBD|VBN",
    "moralising": "VBG",
    "criminalises": "VBZ",
    "criminalised": "VBD|VBN",
    "criminalising": "VBG",
    "illegalises": "VBZ",
    "illegalised": "VBD|VBN",
    "illegalising": "VBG",
    "catechises": "VBZ",
    "catechised": "VBD|VBN",
    "catechising": "VBG",
    "demasculinises": "VBZ",
    "demasculinised": "VBD|VBN",
    "demasculinising": "VBG",
    "eternises": "VBZ",
    "eternised": "VBD|VBN",
    "eternising": "VBG",
    "eternalises": "VBZ",
    "eternalised": "VBD|VBN",
    "eternalising": "VBG",
    "pressurises": "VBZ",
    "pressurised": "VBD|VBN",
    "pressurising": "VBG",
    "exteriorises": "VBZ",
    "exteriorised": "VBD|VBN",
    "exteriorising": "VBG",
    "slenderises": "VBZ",
    "slenderised": "VBD|VBN",
    "slenderising": "VBG",
    "vowelises": "VBZ",
    "vowelised": "VBD|VBN",
    "vowelising": "VBG",
    "normalises": "VBZ",
    "normalised": "VBD|VBN",
    "normalising": "VBG",
    "renormalises": "VBZ",
    "renormalised": "VBD|VBN",
    "renormalising": "VBG",
    "revitalises": "VBZ",
    "revitalised": "VBD|VBN",
    "revitalising": "VBG",
    "sledgehammers": "VBZ",
    "sledgehammered": "VBD|VBN",
    "sledgehammering": "VBG",
    "fictionalises": "VBZ",
    "fictionalised": "VBD|VBN",
    "fictionalising": "VBG",
    "depressurises": "VBZ",
    "depressurised": "VBD|VBN",
    "depressurising": "VBG",
    "capsulises": "VBZ",
    "capsulised": "VBD|VBN",
    "capsulising": "VBG",
    "baas": "VBZ",
    "baaed": "VBD|VBN",
    "baaing": "VBG",
    "subtilises": "VBZ",
    "subtilised": "VBD|VBN",
    "subtilising": "VBG",
    "spiritualises": "VBZ",
    "spiritualised": "VBD|VBN",
    "spiritualising": "VBG",
    "sodomises": "VBZ",
    "sodomised": "VBD|VBN",
    "sodomising": "VBG",
    "advertizers": "NNS",
    "advertizer": "NNP",
    "egis": "NNP",
    "aeroplanes": "NNS|NNP|NNPS",
    "althaea": "NNP",
    "americanised": "VBD",
    "analyser": "NNP",
    "annexe": "NNP",
    "annualised": "VBN|JJ",
    "arbour": "NNP",
    "archeology": "NNP",
    "armoury": "NNP",
    "arses": "NNS",
    "atheneum": "NNP",
    "balkanise": "VB",
    "balkanised": "JJ",
    "balkanising": "VBG",
    "brent": "NNP",
    "brant": "NNP",
    "kerbing": "VBG",
    "cesarean": "JJ",
    "capitalising": "VBG",
    "centreing": "VBG",
    "cheque": "VB|NNP",
    "cheques": "NNS",
    "chilli": "NNP",
    "civilisation": "NN|NNP",
    "collateralised": "NNP",
    "colourful": "JJ",
    "computerised": "JJ",
    "connexions": "NNS|NNP",
    "counsellor": "NNP",
    "counsellors": "NNPS",
    "cosying": "VBG",
    "criminalisation": "NN",
    "kerb": "VB",
    "defence": "NN",
    "dialling": "VBG|NNP",
    "decentralisation": "NN",
    "defuze": "VB",
    "demagogs": "NNS",
    "democratisation": "NN",
    "dialog": "NNP",
    "dialogs": "NNP",
    "doughnuts": "NNP|NNPS|NNS",
    "economisers": "NNS",
    "encyclopaedia": "NNP",
    "equaliser": "NNP",
    "europeanised": "VBN",
    "favourable": "JJ",
    "fiberboard": "NNP",
    "focussing": "VBG",
    "fuelled": "VBN",
    "fuelling": "VBG",
    "generalisations": "NNS",
    "germanised": "VBN",
    "globalisation": "NNP",
    "gospellers": "NNS",
    "graylag": "NNP",
    "gynaecologists": "NNS",
    "haemorrhage": "NNP",
    "honourable": "NNP",
    "hospitalisation": "NN",
    "hyaena": "NN",
    "instilment": "NN|NNP",
    "instillment": "NN|NNP",
    "institutionalisation": "NN",
    "ionising": "VBG",
    "jewellers": "NNPS",
    "jewellery": "NN",
    "jemmy": "NNP",
    "kiddy": "NNP",
    "kidnaper": "NN",
    "lacklustre": "JJ",
    "legalisation": "NN",
    "leukaemia": "NNP",
    "litre": "NN",
    "louver": "NNP",
    "malpractise": "NN",
    "marvellous": "JJ",
    "maths": "NNP",
    "maximising": "VBG",
    "meagre": "JJ",
    "mechanised": "VBN|JJ",
    "mediaeval": "NNP|JJ",
    "merchandizing": "NNP",
    "misdemeanours": "NNS",
    "mobilisation": "NNP",
    "molluscs": "NNS",
    "motorised": "NNP",
    "nationalised": "VBN",
    "naturalisation": "NNP",
    "odours": "NNP",
    "organisation": "NNP",
    "organisational": "JJ",
    "organisations": "NNP|NNPS|NNS",
    "organisers": "NNS",
    "orthopaedic": "NNP",
    "phenix": "NNP",
    "partizan": "NNP",
    "partizans": "NNS",
    "partizanship": "NN",
    "paediatric": "NNP",
    "paediatricians": "NNS",
    "paeony": "NNP",
    "pharmacopeia": "NN",
    "ploughman": "NN",
    "polymerisation": "NN",
    "privatisation": "NN|NNP",
    "privatise": "VB",
    "privatising": "NN",
    "quartette": "NNP",
    "reorganisation": "NNP",
    "reorganised": "NNP",
    "reorganising": "VBG",
    "revitalisation": "NNP",
    "sanatarium": "NNP",
    "savoury": "JJ",
    "seise": "NNP|VB",
    "seises": "VBZ",
    "seisin": "VBG",
    "seising": "VBG",
    "chanties": "NNPS",
    "chanteys": "NNPS",
    "sceptics": "NNS|NNP",
    "socialisation": "NN",
    "sovietised": "JJ",
    "splendour": "NN",
    "standardisation": "NN",
    "standardised": "JJ",
    "storeys": "NNP|NNS",
    "storey": "NNP",
    "tyred": "JJ",
    "tyres": "NNS",
    "tyre": "NNP",
    "tumour": "NNP",
    "unanalysed": "JJ",
    "urbanisation": "NN",
    "utilisation": "NN",
    "vapour": "NN",
    "victimisation": "NN",
    "watercolour": "NNP",
    "woollen": "NNP",
    "acclimatised": "VBN",
    "accoutrements": "NNS",
    "eon": "NN",
    "esthetes": "NNS",
    "esthetical": "JJ|NN",
    "aesthetical": "JJ|NN",
    "esthetically": "RB",
    "aeroplane": "NN",
    "alphabetised": "VBD|VBN",
    "amortisation": "NN",
    "amortise": "VB",
    "amortised": "VBN|VBD",
    "amortising": "JJ|VBG",
    "amphitheatre": "NN",
    "anesthesia": "NN",
    "analogs": "NNS",
    "analysable": "JJ",
    "anaemia": "NN",
    "anaemic": "JJ",
    "anaesthetic": "NN",
    "anaesthetically": "RB",
    "anaesthetics": "NNS",
    "anaesthetised": "JJ|VBN",
    "idealise": "VB",
    "defaecate": "VB",
    "jibb": "VB",
    "gourmandise": "VB",
    "ballocks": "VB",
    "tranquilise": "VB",
    "extoll": "VB",
    "odorise": "VB",
    "saccharise": "VB",
    "saccharize": "VB",
    "appetiser": "NN",
    "appetising": "JJ",
    "archeologist": "NN",
    "archeologists": "NNS",
    "archaised": "VBD",
    "ardour": "NN",
    "artefact": "NN",
    "artefacts": "NNS",
    "arse": "NN",
    "atomization": "NN",
    "attitudinising": "NN",
    "authorisation": "NN",
    "behavioural": "JJ",
    "behaviourally": "RB",
    "behaviours": "NNS",
    "behoves": "VBZ",
    "blueing": "NN",
    "breathalyser": "NN",
    "brunet": "JJ|NN",
    "brunets": "NNS",
    "brutalised": "VBN|JJ",
    "bureaucratisation": "NN",
    "burglarised": "VBN",
    "calibres": "NNS",
    "calliper": "NN",
    "callipers": "NNS",
    "callisthenics": "NNS",
    "cancelation": "NN",
    "cancelations": "NNS",
    "cannibalise": "VB",
    "cannibalising": "VBG",
    "canvased": "VBN|VBD",
    "canvasing": "VBG",
    "capitalisation": "NN",
    "capitalise": "VB",
    "capitalised": "VBN|JJ|VBD",
    "capitalises": "VBZ",
    "carcase": "NN",
    "carcases": "NNS",
    "cartelised": "VBN",
    "cataloged": "VBN|VBD",
    "catalysed": "VBN",
    "categorise": "VB",
    "categorised": "VBN|VBD",
    "categorising": "VBG",
    "coeliac": "JJ",
    "centrefold": "NN",
    "centreline": "NN",
    "centrepiece": "NN",
    "centrestage": "NN",
    "centimetre": "NN",
    "centimetres": "NNS",
    "centralisation": "NN",
    "chanty": "NN",
    "characterisation": "NN",
    "characterisations": "NNS",
    "chequebook": "NN",
    "chequebooks": "NNS",
    "cigarets": "NNS",
    "civilisations": "NNS",
    "clarinettist": "NN",
    "cognisance": "NN",
    "cognisant": "JJ",
    "collectivisation": "NN",
    "colonisation": "NN",
    "colouration": "NN",
    "colourblindness": "NN",
    "coloureds": "NNS",
    "colourisation": "NN",
    "colourization": "NN",
    "colourless": "JJ",
    "colourlessness": "NN",
    "commercialisation": "NN",
    "communise": "VB",
    "computerise": "VB",
    "computerising": "VBG",
    "conceptualisation": "NN",
    "conventionalised": "VBN",
    "cozily": "RB",
    "councillor": "NN",
    "councillors": "NNS",
    "cosier": "JJR",
    "cosiness": "NN",
    "cruellest": "JJS",
    "crystalisation": "NN",
    "crystalization": "NN",
    "crystallisation": "NN",
    "kerbs": "NNS|VBZ",
    "kerbside": "NN|JJ",
    "customisation": "NN",
    "debateable": "JJ",
    "decentralise": "VB",
    "decentralised": "JJ|VBD|VBN",
    "decentralising": "VBG",
    "decriminalisation": "NN",
    "defaecated": "VBN|VBD",
    "defenceless": "JJ",
    "defences": "NNS",
    "defuzed": "VBN|VBD",
    "deglycerolised": "VBN",
    "dehumanise": "VB",
    "deinstitutionalisation": "NN",
    "demagogery": "NN",
    "demeanour": "NN",
    "demeanours": "NNS",
    "demineralisation": "NN",
    "demobilise": "VB",
    "demobilised": "VBN|VBD",
    "demobilising": "VBG",
    "democratise": "VB",
    "democratised": "VBN|VBD",
    "democratising": "VBG",
    "demonetised": "VBN",
    "demonise": "VB",
    "demonised": "VBN|VBD",
    "demonising": "NN|VBG",
    "demoralisation": "NN",
    "demythologisation": "NN",
    "demythologise": "VB",
    "demythologised": "VBN|JJ|VBD",
    "demythologising": "VBG",
    "denationalisation": "NN",
    "denationalised": "VBN",
    "denuclearised": "VBN",
    "departmentalising": "VBG",
    "dependance": "NN",
    "depersonalisation": "NN",
    "depersonalised": "VBN",
    "desensitised": "VBN",
    "destabilise": "VB",
    "destabilises": "VBZ",
    "destabilising": "VBG|JJ",
    "desulphurisation": "NN",
    "desynchronising": "VBG",
    "detribalise": "VB",
    "dexterous": "JJ",
    "diagonalisable": "JJ",
    "diagramed": "VBN|VBD",
    "diagraming": "VBG",
    "dialled": "VBD|VBN",
    "dialysed": "VBN|VBD",
    "digitalisation": "NN",
    "digitalised": "JJ",
    "digitises": "VBZ",
    "disenfranchized": "VBN|VBD",
    "dishonourable": "JJ",
    "disorganisation": "NN",
    "disulphide": "NN",
    "dowelling": "NN",
    "downdraught": "NN",
    "draughters": "NNS",
    "draughtsmen": "NNS",
    "dramatisation": "NN",
    "duelled": "VBD",
    "duelling": "VBG|NN",
    "oedema": "NN",
    "oedematous": "JJ",
    "oedematose": "JJ",
    "edematose": "JJ",
    "editorialise": "VB",
    "enamelling": "NN|VBG",
    "enameled": "JJ",
    "encyclopaedias": "NNS",
    "encyclopaedic": "JJ",
    "enrolees": "NNS",
    "enrolment": "NN",
    "enrolments": "NNS",
    "aeons": "NNS",
    "epaulettes": "NNS",
    "epicentre": "NN",
    "epilog": "NN",
    "equalling": "VBG",
    "equalisation": "NN",
    "equalisers": "NNS",
    "oesophagus": "NN",
    "oestrogen": "NN",
    "aether": "NN|CC",
    "aethereal": "JJ",
    "aethers": "NNS",
    "eulogisers": "NNS",
    "exorcize": "VB",
    "expertize": "NN",
    "externalisation": "NN",
    "exteriorisation": "NN",
    "exteriorization": "NN",
    "extolls": "VBZ",
    "familiarisation": "NN",
    "favourableness": "NN",
    "favourably": "RB",
    "favourer": "NN",
    "favouritism": "NN",
    "faecal": "JJ",
    "federalise": "VB",
    "federalised": "JJ|VBD|VBN",
    "fertilisation": "NN",
    "fertiliser": "NN",
    "fertilisers": "NNS",
    "fervour": "NN",
    "foetal": "JJ",
    "foetid": "JJ",
    "fetishise": "VBP",
    "foetus": "NN",
    "foetuses": "NNS",
    "fibreglass": "NNS",
    "fibreoptic": "JJ",
    "fibres": "NNS",
    "flavourful": "JJ",
    "flavourings": "NNS",
    "flexitime": "NN",
    "fontanelle": "NN",
    "fossilised": "JJ",
    "framboesia": "NN",
    "fraternization": "NN",
    "furore": "NN",
    "fuze": "NN|VB",
    "fuzed": "VBN|VBD",
    "fuzes": "NNS|VBZ",
    "fuzing": "VBG|NN",
    "gelatine": "NN",
    "generalisation": "NN",
    "glamorise": "VB",
    "glamourise": "VB",
    "glamourize": "VB",
    "glamorised": "VBN|VBD",
    "globalised": "JJ",
    "globalising": "VBG",
    "glycerolised": "VBN",
    "goiter": "NN",
    "greybeard": "NN",
    "greybeards": "NNS",
    "greyer": "JJR",
    "groyne": "NN",
    "gruelling": "JJ|VBG",
    "gynaecologic": "JJ",
    "gynaecological": "JJ",
    "gynaecologist": "NN",
    "gynaecology": "NN",
    "harmonisation": "NN",
    "hauliers": "NNS",
    "haematologist": "NN",
    "haemoglobin": "NN",
    "haemolytic": "JJ",
    "haemophilia": "NN",
    "haemophiliacs": "NNS",
    "haemorrhaged": "VBN",
    "haemorrhages": "NNS",
    "haemorrhaging": "VBG|JJ|NN",
    "haemorrhoids": "NNS",
    "historicised": "VBN",
    "homogenisation": "NN",
    "homogenise": "VB",
    "homogenised": "VBN|VBD",
    "honourably": "RB",
    "honouree": "NN",
    "hospitalisations": "NNS",
    "hospitalised": "VBN|JJ",
    "humourless": "JJ",
    "hyalinisation": "NN",
    "hydrolysed": "VBN",
    "hyaenas": "NNS",
    "hyperaemia": "NN",
    "hyperaemic": "JJ",
    "hypoglycaemia": "NN",
    "hypoglycaemic": "JJ",
    "hypophysectomized": "VBN",
    "hypostatisation": "NN",
    "idealisation": "NN",
    "idealised": "VBN|JJ|VBD",
    "idyl": "NN",
    "immunisation": "NN",
    "impersonalised": "JJ",
    "improvization": "NN",
    "improvizational": "JJ",
    "improvizations": "NNS",
    "industrialisation": "NN",
    "industrialise": "VB",
    "industrialised": "VBN|JJ|VBD",
    "initialled": "VBD|VBN",
    "initialling": "VBG",
    "instilments": "NNS",
    "instillments": "NNS",
    "instalment": "NN|JJ",
    "internalised": "VBN",
    "internationalisation": "NN",
    "internationalise": "VB",
    "internationalised": "VBN|VBD",
    "internationalising": "VBG",
    "ionised": "VBN|JJ",
    "italicised": "VBN",
    "itemisation": "NN",
    "jeweller": "NN",
    "jemmied": "VBD|VBN",
    "kidnapers": "NNS",
    "kidnaping": "NN|VBG",
    "kilometre": "NN",
    "kilometres": "NNS",
    "kinaesthetic": "JJ",
    "kinaesthetically": "RB",
    "labourer": "NN",
    "labourers": "NNS",
    "libelled": "VBN",
    "libellous": "JJ",
    "liberalisation": "NN",
    "liberalise": "VB|VBP",
    "liberalised": "VBN|JJ|VBD",
    "liberalising": "VBG",
    "litres": "NNS",
    "liveability": "NN",
    "livableness": "NN",
    "liveableness": "NN",
    "liveable": "JJ",
    "localisation": "NN",
    "lodgement": "NN",
    "lyophilised": "VBN",
    "malpractises": "NNS|VBZ",
    "manoeuvrability": "NN",
    "marbleised": "VBN",
    "marbleising": "NN",
    "marginalising": "VBG",
    "marketisation": "NN",
    "marshaled": "VBD|VBN",
    "marvellously": "RB",
    "maximisation": "NN",
    "maximise": "VB|VBP",
    "maximised": "VBN|VBD",
    "maximises": "VBZ",
    "mechanisation": "NN",
    "medallist": "NN",
    "medievalist": "NN",
    "medicks": "NNS",
    "memorialisation": "NN",
    "memorisation": "NN",
    "merchandizers": "NNS",
    "metabolise": "VB",
    "metabolised": "VBN|VBD",
    "metres": "NNS",
    "millilitre": "NN",
    "millimetre": "NN",
    "millimetres": "NNS",
    "mineralised": "JJ",
    "miniaturised": "VBN",
    "misbehaviour": "NN",
    "misdemeanour": "NN",
    "misgaged": "VBN",
    "modernisation": "NN",
    "moisturiser": "NN",
    "moisturisers": "NNS",
    "mouldable": "JJ",
    "mouldboard": "NN",
    "mouldings": "NNS",
    "mouldy": "JJ",
    "monopolisation": "NN",
    "moralisers": "NNS",
    "multicolour": "JJ",
    "multicoloured": "JJ",
    "moustached": "JJ",
    "moustaches": "NNS",
    "narcotises": "VBZ",
    "nationalisation": "NN",
    "nationalise": "VB",
    "nationalising": "VBG",
    "neighbourhoods": "NNS",
    "neighbourliness": "NN",
    "neighbourly": "JJ",
    "neurone": "NN",
    "neutralisation": "NN",
    "nickelling": "VBG",
    "nitroglycerin": "NN",
    "nonflammeable": "JJ",
    "nonpartizan": "JJ",
    "nonunionised": "VBN",
    "normalisation": "NN",
    "notarised": "VBN",
    "novelised": "JJ",
    "odour": "NN",
    "omelettes": "NNS",
    "optimisation": "NN",
    "organisationally": "RB",
    "organiser": "NN",
    "orthopaedics": "NNS",
    "outgeneralled": "VBN",
    "overdraught": "NN",
    "overemphasise": "VB",
    "overemphasised": "VBN|VBD",
    "overgeneralisation": "NN",
    "oxidiser": "NN",
    "pean": "NN",
    "peans": "NNS",
    "pyjama": "NN",
    "pyjamas": "NNS",
    "palaeo": "NN",
    "palaeontologically": "RB",
    "palaeontologists": "NNS",
    "palletised": "VBN",
    "panellists": "NNS",
    "panelised": "VBN",
    "parcelled": "VBN",
    "parcelling": "NN",
    "parlour": "NN",
    "parlours": "NNS",
    "pasteurisation": "NN",
    "pasteurised": "VBN",
    "paycheque": "NN",
    "paycheques": "NNS",
    "pedagog": "NN",
    "paediatrician": "NN",
    "paediatrics": "NN",
    "paeonies": "NNS",
    "peptising": "VBG",
    "philosophised": "VBD",
    "philosophising": "VBG|NN",
    "pickax": "NN",
    "plagiarisers": "NNS",
    "ploughshares": "NNS",
    "polarisation": "NN",
    "polarise": "VB",
    "polarised": "VBN|VBD",
    "polarising": "VBG",
    "politicise": "VB",
    "politicised": "VBN|JJ|VBD",
    "politicising": "VBG",
    "pretences": "NNS",
    "primaeval": "JJ",
    "privatised": "VBN|VBD|JJ",
    "programable": "JJ",
    "propagandise": "VB",
    "propagandises": "VBZ",
    "proselytising": "VBG|NN",
    "pyorrhoea": "NN",
    "quartettes": "NNS",
    "radicalised": "VBN",
    "rancour": "NN",
    "randomisation": "NN",
    "rationalisation": "NN",
    "realisation": "NN",
    "reauthorisation": "NN",
    "recapitalisation": "NN",
    "recapitalise": "VB",
    "recapitalised": "VBN|VBD",
    "recapitalising": "VBG",
    "recognisable": "JJ",
    "recognisably": "RB",
    "recognisance": "NN",
    "reconceptualisation": "NN",
    "reemphasises": "VBZ",
    "refuelling": "NN|VBG",
    "reharmonisation": "NN",
    "relabelling": "VBG",
    "renationalise": "VB",
    "reorganisations": "NNS",
    "reorganise": "VB",
    "reorganises": "VBZ",
    "rhapsodise": "VBP",
    "rhapsodising": "VBG",
    "rigour": "NN",
    "rigours": "NNS",
    "ritualised": "VBN",
    "romanticise": "VB",
    "romanticised": "VBN|VBD",
    "romanticising": "NN|VBG",
    "routeing": "VBG|NN",
    "saleable": "JJ",
    "sanitise": "VBP",
    "sanitised": "VBN",
    "sanitising": "NN",
    "scallywags": "NNS",
    "sectionalised": "JJ",
    "securitisation": "NN",
    "seised": "VBN|JJ|VBD",
    "sensationalising": "VBG",
    "sensitise": "VB",
    "sensitised": "VBN|VBD",
    "sepulchered": "VBN",
    "sequinned": "JJ",
    "serialised": "VBN",
    "sexualised": "JJ",
    "shovelled": "VBD|VBN",
    "shovelling": "VBG",
    "sceptic": "NN",
    "sceptically": "RB",
    "skilfulness": "NN",
    "smoulderingly": "RB",
    "snowplough": "NN",
    "socialise": "VB",
    "socialised": "VBN|VBD",
    "socialises": "VBZ",
    "socialising": "VBG",
    "sombrely": "RB",
    "specialisation": "NN",
    "spectres": "NNS",
    "squirrelled": "VBN",
    "squirrelling": "VBG",
    "stabilisation": "NN",
    "stabiliser": "NN",
    "stabilisers": "NNS",
    "standardise": "VB",
    "standardising": "VBG",
    "sterilisation": "NN",
    "steriliser": "NN",
    "storeyed": "JJ",
    "stylisation": "NN",
    "stylised": "JJ|VBN",
    "subsidisation": "NN",
    "suburbanised": "VBN",
    "sulphide": "NN",
    "sulphuric": "JJ",
    "summarisation": "NN",
    "sympathisers": "NNS",
    "synchronisers": "NNS",
    "synthetised": "VBN",
    "synthetized": "VBN",
    "synthesise": "VB",
    "synthetise": "VB",
    "synthetize": "VB",
    "synthesiser": "NN",
    "synthetiser": "NN",
    "synthetizer": "NN",
    "synthesisers": "NNS",
    "synthetisers": "NNS",
    "synthetizers": "NNS",
    "synthesises": "VBZ",
    "synthetises": "VBZ",
    "synthetizes": "VBZ",
    "sirup": "NN",
    "sirups": "NNS",
    "systemisation": "NN",
    "systematisation": "NN",
    "tantalisingly": "RB",
    "teetotaller": "NN",
    "temporise": "VB",
    "temporised": "VBD|VBN",
    "temporising": "VBG",
    "teepees": "NNS",
    "theatregoers": "NNS",
    "theatregoing": "JJ",
    "thiamine": "NN",
    "throughway": "NN",
    "throughways": "RB",
    "titbit": "NN",
    "titbits": "NNS",
    "tyring": "VBG",
    "titres": "NNS",
    "towelling": "NN",
    "traditionalised": "VBN",
    "tranquiliser": "NN",
    "tranquilliser": "NN",
    "tranquillizer": "NN",
    "tranquilisers": "NNS",
    "tranquillisers": "NNS",
    "tranquillizers": "NNS",
    "tranquilising": "JJ|VBG",
    "transferal": "JJ",
    "travelog": "NN",
    "travelogs": "NNS",
    "tricolour": "JJ",
    "trivialise": "VB",
    "trivialising": "VBG",
    "tularaemia": "NN",
    "unauthorised": "JJ",
    "uncoloured": "JJ",
    "undercapitalisation": "NN",
    "undercapitalised": "JJ",
    "underutilisation": "NN",
    "underutilised": "VBN",
    "unfavourable": "JJ",
    "unfavourably": "RB",
    "unfertilised": "VBN|JJ",
    "unitised": "VBN",
    "universalisation": "NN",
    "universalise": "VBP",
    "unlabelled": "JJ",
    "unlevelled": "VBN",
    "unmaterialised": "VBN",
    "unmistakeable": "JJ",
    "unmistakeably": "RB",
    "unnamable": "JJ",
    "unorganised": "JJ",
    "unpatronising": "VBG",
    "unploughed": "JJ",
    "unpublicised": "JJ",
    "unrealised": "JJ",
    "unrecognisable": "JJ",
    "unrecognised": "JJ",
    "unrivalled": "JJ",
    "unsavoury": "JJ",
    "unsubsidised": "JJ",
    "untrammelled": "VBN|JJ",
    "urbanised": "VBN|JJ",
    "uraemia": "NN",
    "vacuolisation": "NN",
    "valour": "NN",
    "vandalised": "VBD|VBN",
    "vaporisation": "NN",
    "vapours": "NNS",
    "varicoloured": "JJ",
    "vises": "NNS",
    "vigour": "NN",
    "visualisation": "NN",
    "visualisations": "NNS",
    "vocalisation": "NN",
    "volatilisation": "NN",
    "vulcanised": "VBN",
    "watercolourist": "NN",
    "watercolourists": "NNS",
    "watercolours": "NNS",
    "whiskeys": "NNS",
    "wilful": "JJ",
    "womanising": "VBG",
    "woollens": "NNS",
    "wooly": "JJ",
    "worshiper": "NN",
    "worshipers": "NNS",
    "dehumanises": "VBZ",
    "dehumanising": "VBG",
    "disenfranchize": "VB",
    "disfranchize": "VB",
    "haematite": "NN",
    "snorkelling": "NN",
    "orangutang": "NN",
    "orangoutang": "NN",
    "mollusk": "NN",
    "balkanises": "VBZ",
    "defuzes": "VBZ",
    "defuzing": "VBG",
    "penciling": "VBG",
    "privatises": "VBZ",
    "amortises": "VBZ",
    "idealises": "VBZ",
    "idealising": "VBG",
    "nonplussed": "VBD|VBN",
    "nonplussing": "VBG",
    "defaecates": "VBZ",
    "defaecating": "VBG",
    "jibbed": "VBD|VBN",
    "jibbing": "VBG",
    "jemmies": "VBZ",
    "gamboled": "VBD|VBN",
    "gamboling": "VBG",
    "gourmandises": "VBZ",
    "gourmandised": "VBD|VBN",
    "gourmandising": "VBG",
    "tranquilises": "VBZ",
    "tranquilised": "VBD|VBN",
    "driveled": "VBD|VBN",
    "driveling": "VBG",
    "tittupped": "VBD|VBN",
    "tittupping": "VBG",
    "odorises": "VBZ",
    "odorised": "VBD|VBN",
    "odorising": "VBG",
    "bejeweled": "VBD|VBN",
    "bejeweling": "VBG",
    "empaneled": "VBD|VBN",
    "empaneling": "VBG",
    "impaneled": "VBD|VBN",
    "impaneling": "VBG",
    "sniveled": "VBD|VBN",
    "saccharises": "VBZ",
    "saccharizes": "VBZ",
    "saccharised": "VBD|VBN",
    "saccharized": "VBD|VBN",
    "saccharising": "VBG",
    "saccharizing": "VBG",
    "frivoled": "VBD|VBN",
    "frivoling": "VBG",
    "cudgeled": "VBD|VBN",
    "cudgeling": "VBG",
    "pommeled": "VBD|VBN",
    "pommeling": "VBG",
    "disheveling": "VBG",
    "raveled": "VBD|VBN",
    "raveling": "VBG",
    "caviled": "VBD|VBN",
    "caviling": "VBG",
    "appareling": "VBG",
    "backpedaled": "VBD|VBN",
    "barreled": "VBD|VBN|JJ",
    "bedeviling": "VBG",
    "busheled": "VBD|VBN",
    "busheling": "VBG",
    "cannibalises": "VBZ",
    "cannibalised": "VBD|VBN",
    "categorises": "VBZ",
    "chiseling": "VBG",
    "communises": "VBZ",
    "communised": "VBD|VBN",
    "communising": "VBG",
    "computerises": "VBZ",
    "decentralises": "VBZ",
    "demobilises": "VBZ",
    "democratises": "VBZ",
    "demonises": "VBZ",
    "demythologises": "VBZ",
    "destabilised": "VBD|VBN",
    "detribalises": "VBZ",
    "detribalised": "VBD|VBN",
    "detribalising": "VBG",
    "deviled": "VBD|VBN",
    "deviling": "VBG",
    "editorialises": "VBZ",
    "editorialised": "VBD|VBN",
    "editorialising": "VBG",
    "exorcizes": "VBZ",
    "exorcized": "VBD|VBN",
    "exorcizing": "VBG",
    "federalises": "VBZ",
    "federalising": "VBG",
    "glamorises": "VBZ",
    "glamorising": "VBG",
    "glamored": "VBD|VBN",
    "graveled": "VBD|VBN",
    "graveling": "VBG",
    "groveled": "VBD|VBN",
    "homogenises": "VBZ",
    "homogenising": "VBG",
    "industrialises": "VBZ",
    "industrialising": "VBG",
    "internationalises": "VBZ",
    "jeweling": "VBG",
    "liberalises": "VBZ",
    "metabolises": "VBZ",
    "metabolising": "VBG",
    "mitres": "VBZ",
    "mitred": "VBD|VBN",
    "mitring": "VBG",
    "nationalises": "VBZ",
    "overemphasises": "VBZ",
    "overemphasising": "VBG",
    "periled": "VBD|VBN",
    "periling": "VBG",
    "polarises": "VBZ",
    "politicises": "VBZ",
    "propagandised": "VBD|VBN",
    "propagandising": "VBG",
    "recapitalises": "VBZ",
    "redialled": "VBD|VBN",
    "redialling": "VBG",
    "refuelled": "VBD|VBN",
    "renationalises": "VBZ",
    "renationalised": "VBD|VBN",
    "renationalising": "VBG",
    "romanticises": "VBZ",
    "rueing": "VBG",
    "sensitises": "VBZ",
    "sensitising": "VBG",
    "shriveling": "VBG",
    "standardises": "VBZ",
    "swiveled": "VBD|VBN",
    "synthesising": "VBG",
    "synthetising": "VBG",
    "synthetizing": "VBG",
    "temporises": "VBZ",
    "trammeled": "VBD|VBN",
    "trammeling": "VBG",
    "trialled": "VBD|VBN",
    "trialling": "VBG",
    "trivialises": "VBZ",
    "trivialised": "VBD|VBN",
    "tunneling": "VBG",
    "yodeled": "VBD|VBN",
    "disemboweled": "VBD|VBN",
    "disemboweling": "VBG",
    "disenfranchizes": "VBZ",
    "disenfranchizing": "VBG",
    "disfranchizes": "VBZ",
    "disfranchized": "VBD|VBN",
    "disfranchizing": "VBG",
    "aah": "UH",
    "ack": "UH",
    "aha": "UH",
    "argh": "UH",
    "ay": "UH",
    "bah": "UH",
    "brr": "UH",
    "cheerio": "UH",
    "crikey": "UH",
    "drat": "UH",
    "duh": "UH",
    "eek": "UH",
    "egads": "UH",
    "fiddle-dee-dee": "UH",
    "fiddlesticks": "UH",
    "fie": "UH",
    "foo": "UH",
    "fooey": "UH",
    "gadzooks": "UH",
    "g'day": "UH",
    "geez": "UH",
    "gesundheit": "UH",
    "grr": "UH",
    "ha-ha": "UH",
    "hah": "UH",
    "hallelujah": "UH",
    "harrumph": "UH",
    "haw": "UH",
    "hee": "UH",
    "hmm": "UH",
    "hoo": "UH",
    "hooray": "UH",
    "hurray": "UH",
    "huzza": "UH",
    "ick": "UH",
    "ixnay": "UH",
    "jeez": "UH",
    "kapish": "UH",
    "la-di-dah": "UH",
    "lordy": "UH",
    "meh": "UH",
    "mmm": "UH",
    "nah": "UH",
    "naw": "UH",
    "nooo": "UH",
    "oho": "UH",
    "oh-oh": "UH",
    "okey-dokey": "UH",
    "om": "UH",
    "oof": "UH",
    "ooh": "UH",
    "oopsey": "UH",
    "oy": "UH",
    "oyez": "UH",
    "pff": "UH",
    "phew": "UH",
    "psst": "UH",
    "ptui": "UH",
    "rah": "UH",
    "shh": "UH",
    "shoo": "UH",
    "sssh": "UH",
    "ta": "UH",
    "ta-da": "UH",
    "tch": "UH",
    "toodles": "UH",
    "touche": "UH",
    "tsk-tsk": "UH",
    "tut": "UH",
    "tut-tut": "UH",
    "uh-oh": "UH",
    "ur": "UH",
    "urgh": "UH",
    "voila": "UH",
    "vroom": "UH",
    "wah": "UH",
    "whee": "UH",
    "whoa": "UH",
    "whoo": "UH",
    "whoopee": "UH",
    "whoopsey": "UH",
    "whew": "UH",
    "wuzzup": "UH",
    "yech": "UH",
    "yikes": "UH",
    "yippee": "UH",
    "yoo-hoo": "UH",
    "zowie": "UH",
    "zzz": "UH",
    "barrymore": "NN",
    "cabot": "NN",
    "catholicism": "NN",
    "chihuahua": "NN",
    "christianity": "NN",
    "easter": "NN",
    "lowry": "NN",
    "mayer": "NN",
    "orientalism": "NN",
    "pharaoh": "NN",
    "pueblo": "NN",
    "pullman": "NN",
    "snead": "NN",
    "syrah": "NN",
    "woodward": "NN",
    "appellation": "NN",
    "appendix": "NN",
    "bookmark": "NN|VB",
    "bookmarks": "VBZ",
    "bookmarked": "VBD|VBN",
    "bookmarking": "VBG",
    "boomer": "NN",
    "brainstorming": "NN",
    "canonization": "NN",
    "charade": "NN",
    "check-in": "NN",
    "commemoration": "NN",
    "commenter": "NN",
    "constable": "NN",
    "cursor": "NN",
    "custard": "NN",
    "cyclone": "NN",
    "deflation": "NN",
    "devolution": "NN",
    "dispatcher": "NN",
    "duchess": "NN",
    "eater": "NN",
    "feces": "NN",
    "freestyle": "NN",
    "functionality": "NN",
    "genitals": "NN",
    "habitation": "NN",
    "headset": "NN",
    "iniquity": "NN",
    "intercession": "NN",
    "jones": "NN",
    "manga": "NN",
    "mantra": "NN",
    "noodle": "NN",
    "novella": "NN",
    "penguin": "NN",
    "priesthood": "NN",
    "prorogation": "NN",
    "pundit": "NN",
    "quilting": "NN",
    "ralph": "NN",
    "scrum": "NN",
    "seeder": "NN",
    "semicolon": "NN",
    "semifinal": "NN",
    "snark": "NN",
    "stanza": "NN",
    "stylus": "NN",
    "supposition": "NN",
    "telephony": "NN",
    "tendon": "NN",
    "tights": "NN",
    "aristotelian": "JJ",
    "arthurian": "JJ",
    "oceanic": "JJ",
    "terran": "JJ",
    "tudor": "JJ",
    "ambient": "JJ",
    "antiretroviral": "JJ",
    "awsome": "JJ",
    "bellied": "JJ",
    "beneficent": "JJ",
    "bipolar": "JJ",
    "bonnie": "JJ",
    "buffy": "JJ",
    "canonical": "JJ",
    "cantankerous": "JJ",
    "chipotle": "JJ",
    "confederate": "JJ",
    "crypto": "JJ",
    "double-blind": "JJ",
    "dozen": "NN|JJ",
    "elven": "JJ",
    "executable": "JJ",
    "exultant": "JJ",
    "faith-based": "JJ",
    "folic": "JJ",
    "footy": "JJ",
    "forehand": "JJ",
    "goalless": "JJ",
    "grande": "JJ",
    "harlot": "JJ",
    "heart-shaped": "JJ",
    "high-res": "JJ",
    "hissy": "JJ",
    "holiness": "JJ",
    "hooded": "JJ",
    "hot-button": "JJ",
    "immersive": "JJ",
    "impressionable": "JJ",
    "in-between": "JJ",
    "in-flight": "JJ",
    "inbounds": "JJ",
    "indigo": "JJ",
    "inoffensive": "JJ",
    "insensible": "JJ",
    "intemperate": "JJ",
    "laughable": "JJ",
    "leathern": "JJ",
    "left-footed": "JJ",
    "low-carb": "JJ",
    "luckless": "JJ",
    "mind-blowing": "JJ",
    "multidisciplinary": "JJ",
    "nail-biting": "JJ",
    "no-fly": "JJ",
    "nuanced": "JJ",
    "one-eyed": "JJ",
    "opt-in": "JJ",
    "peevish": "JJ",
    "pensive": "JJ",
    "polygamous": "JJ",
    "portmanteau": "JJ",
    "postpartum": "JJ",
    "pronged": "JJ",
    "raunchy": "JJ",
    "reactive": "JJ",
    "reverend": "JJ",
    "risque": "JJ",
    "runtime": "JJ",
    "scrolled": "JJ",
    "spiky": "JJ",
    "stereoscopic": "JJ",
    "stinky": "JJ",
    "tectonic": "JJ",
    "uncooked": "JJ",
    "unprincipled": "JJ",
    "unsanitary": "JJ",
    "unsupervised": "JJ",
    "uppity": "JJ",
    "well-chosen": "JJ",
    "winnable": "JJ",
    "wordless": "JJ",
    "bashfully": "RB",
    "coaxingly": "RB",
    "colorfully": "RB",
    "crossly": "RB",
    "deceivingly": "RB",
    "dreamily": "RB",
    "frenetically": "RB",
    "inquisitively": "RB",
    "joshingly": "RB",
    "jovially": "RB",
    "judgementally": "RB",
    "kiddingly": "RB",
    "kindheartedly": "RB",
    "kissingly": "RB",
    "knavishly": "RB",
    "knottily": "RB",
    "knowledgeably": "RB",
    "kookily": "RB",
    "loftily": "RB",
    "longingly": "RB",
    "loyally": "RB",
    "needily": "RB",
    "obnoxiously": "RB",
    "overconfidently": "RB",
    "owlishly": "RB",
    "quarrelsomely": "RB",
    "queerly": "RB",
    "quirkily": "RB",
    "quizzically": "RB",
    "reproachfully": "RB",
    "restfully": "RB",
    "righteously": "RB",
    "scarily": "RB",
    "selfishly": "RB",
    "sheepishly": "RB",
    "unabashedly": "RB",
    "unimpressively": "RB",
    "upliftingly": "RB",
    "upside-down": "RB",
    "vacantly": "RB",
    "vivaciously": "RB",
    "yawningly": "RB",
    "yieldingly": "RB",
    "youthfully": "RB",
    "💯": "EM",
    "🔢": "EM",
    "🙂": "EM",
    "🙃": "EM",
    "☺️": "EM",
    "🤑": "EM",
    "🤓": "EM",
    "🤗": "EM",
    "🙄": "EM",
    "🤔": "EM",
    "🙁": "EM",
    "☹": "EM",
    "🤐": "EM",
    "🤒": "EM",
    "🤕": "EM",
    "💤": "EM",
    "💩": "EM",
    "👹": "EM",
    "👺": "EM",
    "💀": "EM",
    "👻": "EM",
    "👽": "EM",
    "🤖": "EM",
    "🙌": "EM",
    "👏": "EM",
    "👋": "EM",
    "👍": "EM",
    "👎": "EM",
    "👊": "EM",
    "✊": "EM",
    "✌️": "EM",
    "👌": "EM",
    "✋": "EM",
    "👐": "EM",
    "💪": "EM",
    "🙏": "EM",
    "☝️": "EM",
    "👆": "EM",
    "👇": "EM",
    "👈": "EM",
    "👉": "EM",
    "🖕": "EM",
    "🖐": "EM",
    "🤘": "EM",
    "🖖": "EM",
    "✍": "EM",
    "💅": "EM",
    "👄": "EM",
    "👅": "EM",
    "👂": "EM",
    "👃": "EM",
    "👁": "EM",
    "👀": "EM",
    "👤": "EM",
    "👥": "EM",
    "🗣": "EM",
    "👶": "EM",
    "👦": "EM",
    "👧": "EM",
    "👨": "EM",
    "👩": "EM",
    "👱": "EM",
    "👴": "EM",
    "👵": "EM",
    "👲": "EM",
    "👳": "EM",
    "👮": "EM",
    "👷": "EM",
    "💂": "EM",
    "🕵": "EM",
    "🎅": "EM",
    "👼": "EM",
    "👸": "EM",
    "👰": "EM",
    "🏃": "EM",
    "🚶": "EM",
    "💃": "EM",
    "👯": "EM",
    "👫": "EM",
    "👬": "EM",
    "👭": "EM",
    "🙇": "EM",
    "💁": "EM",
    "🙅": "EM",
    "🙆": "EM",
    "🙋": "EM",
    "🙎": "EM",
    "🙍": "EM",
    "💇": "EM",
    "💆": "EM",
    "💑": "EM",
    "👩‍❤️‍👩": "EM",
    "👨‍❤️‍👨": "EM",
    "💏": "EM",
    "👩‍❤️‍💋‍👩": "EM",
    "👨‍❤️‍💋‍👨": "EM",
    "👪": "EM",
    "👨‍👩‍👧": "EM",
    "👨‍👩‍👧‍👦": "EM",
    "👨‍👩‍👦‍👦": "EM",
    "👨‍👩‍👧‍👧": "EM",
    "👩‍👩‍👦": "EM",
    "👩‍👩‍👧": "EM",
    "👩‍👩‍👧‍👦": "EM",
    "👩‍👩‍👦‍👦": "EM",
    "👩‍👩‍👧‍👧": "EM",
    "👨‍👨‍👦": "EM",
    "👨‍👨‍👧": "EM",
    "👨‍👨‍👧‍👦": "EM",
    "👨‍👨‍👦‍👦": "EM",
    "👨‍👨‍👧‍👧": "EM",
    "👚": "EM",
    "👕": "EM",
    "👖": "EM",
    "👔": "EM",
    "👗": "EM",
    "👙": "EM",
    "👘": "EM",
    "💄": "EM",
    "💋": "EM",
    "👣": "EM",
    "👠": "EM",
    "👡": "EM",
    "👢": "EM",
    "👞": "EM",
    "👟": "EM",
    "👒": "EM",
    "🎩": "EM",
    "⛑": "EM",
    "🎓": "EM",
    "👑": "EM",
    "🎒": "EM",
    "👝": "EM",
    "👛": "EM",
    "👜": "EM",
    "💼": "EM",
    "👓": "EM",
    "🕶": "EM",
    "💍": "EM",
    "🌂": "EM",
    "🐶": "EM",
    "🐱": "EM",
    "🐭": "EM",
    "🐹": "EM",
    "🐰": "EM",
    "🐻": "EM",
    "🐼": "EM",
    "🐨": "EM",
    "🐯": "EM",
    "🦁": "EM",
    "🐮": "EM",
    "🐷": "EM",
    "🐽": "EM",
    "🐸": "EM",
    "🐙": "EM",
    "🐵": "EM",
    "🙈": "EM",
    "🙉": "EM",
    "🙊": "EM",
    "🐒": "EM",
    "🐔": "EM",
    "🐧": "EM",
    "🐦": "EM",
    "🐤": "EM",
    "🐣": "EM",
    "🐥": "EM",
    "🐺": "EM",
    "🐗": "EM",
    "🐴": "EM",
    "🦄": "EM",
    "🐝": "EM",
    "🐛": "EM",
    "🐌": "EM",
    "🐞": "EM",
    "🐜": "EM",
    "🕷": "EM",
    "🦂": "EM",
    "🦀": "EM",
    "🐍": "EM",
    "🐢": "EM",
    "🐠": "EM",
    "🐟": "EM",
    "🐡": "EM",
    "🐬": "EM",
    "🐳": "EM",
    "🐋": "EM",
    "🐊": "EM",
    "🐆": "EM",
    "🐅": "EM",
    "🐃": "EM",
    "🐂": "EM",
    "🐄": "EM",
    "🐪": "EM",
    "🐫": "EM",
    "🐘": "EM",
    "🐐": "EM",
    "🐏": "EM",
    "🐑": "EM",
    "🐎": "EM",
    "🐖": "EM",
    "🐀": "EM",
    "🐁": "EM",
    "🐓": "EM",
    "🦃": "EM",
    "🕊": "EM",
    "🐕": "EM",
    "🐩": "EM",
    "🐈": "EM",
    "🐇": "EM",
    "🐿": "EM",
    "🐾": "EM",
    "🐉": "EM",
    "🐲": "EM",
    "🌵": "EM",
    "🎄": "EM",
    "🌲": "EM",
    "🌳": "EM",
    "🌴": "EM",
    "🌱": "EM",
    "🌿": "EM",
    "☘": "EM",
    "🍀": "EM",
    "🎍": "EM",
    "🎋": "EM",
    "🍃": "EM",
    "🍂": "EM",
    "🍁": "EM",
    "🌾": "EM",
    "🌺": "EM",
    "🌻": "EM",
    "🌹": "EM",
    "🌷": "EM",
    "🌼": "EM",
    "🌸": "EM",
    "💐": "EM",
    "🍄": "EM",
    "🌰": "EM",
    "🎃": "EM",
    "🐚": "EM",
    "🕸": "EM",
    "🌎": "EM",
    "🌍": "EM",
    "🌏": "EM",
    "🌕": "EM",
    "🌖": "EM",
    "🌗": "EM",
    "🌘": "EM",
    "🌑": "EM",
    "🌒": "EM",
    "🌓": "EM",
    "🌔": "EM",
    "🌚": "EM",
    "🌝": "EM",
    "🌛": "EM",
    "🌜": "EM",
    "🌞": "EM",
    "🌙": "EM",
    "⭐": "EM",
    "🌟": "EM",
    "💫": "EM",
    "✨": "EM",
    "☄": "EM",
    "☀️": "EM",
    "🌤": "EM",
    "⛅": "EM",
    "🌥": "EM",
    "🌦": "EM",
    "☁️": "EM",
    "🌧": "EM",
    "⛈": "EM",
    "🌩": "EM",
    "⚡": "EM",
    "🔥": "EM",
    "💥": "EM",
    "❄️": "EM",
    "🌨": "EM",
    "⛄": "EM",
    "☃": "EM",
    "🌬": "EM",
    "💨": "EM",
    "🌪": "EM",
    "🌫": "EM",
    "☂": "EM",
    "☔": "EM",
    "💧": "EM",
    "💦": "EM",
    "🌊": "EM",
    "🍏": "EM",
    "🍎": "EM",
    "🍐": "EM",
    "🍊": "EM",
    "🍋": "EM",
    "🍌": "EM",
    "🍉": "EM",
    "🍇": "EM",
    "🍓": "EM",
    "🍈": "EM",
    "🍒": "EM",
    "🍑": "EM",
    "🍍": "EM",
    "🍅": "EM",
    "🍆": "EM",
    "🌶": "EM",
    "🌽": "EM",
    "🍠": "EM",
    "🍯": "EM",
    "🍞": "EM",
    "🧀": "EM",
    "🍗": "EM",
    "🍖": "EM",
    "🍤": "EM",
    "🍳": "EM",
    "🍔": "EM",
    "🍟": "EM",
    "🌭": "EM",
    "🍕": "EM",
    "🍝": "EM",
    "🌮": "EM",
    "🌯": "EM",
    "🍜": "EM",
    "🍲": "EM",
    "🍥": "EM",
    "🍣": "EM",
    "🍱": "EM",
    "🍛": "EM",
    "🍙": "EM",
    "🍚": "EM",
    "🍘": "EM",
    "🍢": "EM",
    "🍡": "EM",
    "🍧": "EM",
    "🍨": "EM",
    "🍦": "EM",
    "🍰": "EM",
    "🎂": "EM",
    "🍮": "EM",
    "🍬": "EM",
    "🍭": "EM",
    "🍫": "EM",
    "🍿": "EM",
    "🍩": "EM",
    "🍪": "EM",
    "🍺": "EM",
    "🍻": "EM",
    "🍷": "EM",
    "🍸": "EM",
    "🍹": "EM",
    "🍾": "EM",
    "🍶": "EM",
    "🍵": "EM",
    "☕": "EM",
    "🍼": "EM",
    "🍴": "EM",
    "🍽": "EM",
    "⚽": "EM",
    "🏀": "EM",
    "🏈": "EM",
    "⚾": "EM",
    "🎾": "EM",
    "🏐": "EM",
    "🏉": "EM",
    "🎱": "EM",
    "⛳": "EM",
    "🏌": "EM",
    "🏓": "EM",
    "🏸": "EM",
    "🏒": "EM",
    "🏑": "EM",
    "🏏": "EM",
    "🎿": "EM",
    "⛷": "EM",
    "🏂": "EM",
    "⛸": "EM",
    "🏹": "EM",
    "🎣": "EM",
    "🚣": "EM",
    "🏊": "EM",
    "🏄": "EM",
    "🛀": "EM",
    "⛹": "EM",
    "🏋": "EM",
    "🚴": "EM",
    "🚵": "EM",
    "🏇": "EM",
    "🕴": "EM",
    "🏆": "EM",
    "🎽": "EM",
    "🏅": "EM",
    "🎖": "EM",
    "🎗": "EM",
    "🏵": "EM",
    "🎫": "EM",
    "🎟": "EM",
    "🎭": "EM",
    "🎨": "EM",
    "🎪": "EM",
    "🎤": "EM",
    "🎧": "EM",
    "🎼": "EM",
    "🎹": "EM",
    "🎷": "EM",
    "🎺": "EM",
    "🎸": "EM",
    "🎻": "EM",
    "🎬": "EM",
    "🎮": "EM",
    "👾": "EM",
    "🎯": "EM",
    "🎲": "EM",
    "🎰": "EM",
    "🎳": "EM",
    "🚗": "EM",
    "🚕": "EM",
    "🚙": "EM",
    "🚌": "EM",
    "🚎": "EM",
    "🏎": "EM",
    "🚓": "EM",
    "🚑": "EM",
    "🚒": "EM",
    "🚐": "EM",
    "🚚": "EM",
    "🚛": "EM",
    "🚜": "EM",
    "🏍": "EM",
    "🚲": "EM",
    "🚨": "EM",
    "🚔": "EM",
    "🚍": "EM",
    "🚘": "EM",
    "🚖": "EM",
    "🚡": "EM",
    "🚠": "EM",
    "🚟": "EM",
    "🚃": "EM",
    "🚋": "EM",
    "🚝": "EM",
    "🚄": "EM",
    "🚅": "EM",
    "🚈": "EM",
    "🚞": "EM",
    "🚂": "EM",
    "🚆": "EM",
    "🚇": "EM",
    "🚊": "EM",
    "🚉": "EM",
    "🚁": "EM",
    "🛩": "EM",
    "✈️": "EM",
    "🛫": "EM",
    "🛬": "EM",
    "⛵": "EM",
    "🛥": "EM",
    "🚤": "EM",
    "⛴": "EM",
    "🛳": "EM",
    "🚀": "EM",
    "🛰": "EM",
    "💺": "EM",
    "⚓": "EM",
    "🚧": "EM",
    "⛽": "EM",
    "🚏": "EM",
    "🚦": "EM",
    "🚥": "EM",
    "🏁": "EM",
    "🚢": "EM",
    "🎡": "EM",
    "🎢": "EM",
    "🎠": "EM",
    "🏗": "EM",
    "🌁": "EM",
    "🗼": "EM",
    "🏭": "EM",
    "⛲": "EM",
    "🎑": "EM",
    "⛰": "EM",
    "🏔": "EM",
    "🗻": "EM",
    "🌋": "EM",
    "🗾": "EM",
    "🏕": "EM",
    "⛺": "EM",
    "🏞": "EM",
    "🛣": "EM",
    "🛤": "EM",
    "🌅": "EM",
    "🌄": "EM",
    "🏜": "EM",
    "🏖": "EM",
    "🏝": "EM",
    "🌇": "EM",
    "🌆": "EM",
    "🏙": "EM",
    "🌃": "EM",
    "🌉": "EM",
    "🌌": "EM",
    "🌠": "EM",
    "🎇": "EM",
    "🎆": "EM",
    "🌈": "EM",
    "🏘": "EM",
    "🏰": "EM",
    "🏯": "EM",
    "🏟": "EM",
    "🗽": "EM",
    "🏠": "EM",
    "🏡": "EM",
    "🏚": "EM",
    "🏢": "EM",
    "🏬": "EM",
    "🏣": "EM",
    "🏤": "EM",
    "🏥": "EM",
    "🏦": "EM",
    "🏨": "EM",
    "🏪": "EM",
    "🏫": "EM",
    "🏩": "EM",
    "💒": "EM",
    "🏛": "EM",
    "⛪": "EM",
    "🕌": "EM",
    "🕍": "EM",
    "🕋": "EM",
    "⛩": "EM",
    "⌚": "EM",
    "📱": "EM",
    "📲": "EM",
    "💻": "EM",
    "⌨": "EM",
    "🖥": "EM",
    "🖨": "EM",
    "🖱": "EM",
    "🖲": "EM",
    "🕹": "EM",
    "🗜": "EM",
    "💽": "EM",
    "💾": "EM",
    "💿": "EM",
    "📀": "EM",
    "📼": "EM",
    "📷": "EM",
    "📸": "EM",
    "📹": "EM",
    "🎥": "EM",
    "📽": "EM",
    "🎞": "EM",
    "📞": "EM",
    "☎️": "EM",
    "📟": "EM",
    "📠": "EM",
    "📺": "EM",
    "📻": "EM",
    "🎙": "EM",
    "🎚": "EM",
    "🎛": "EM",
    "⏱": "EM",
    "⏲": "EM",
    "⏰": "EM",
    "🕰": "EM",
    "⏳": "EM",
    "⌛": "EM",
    "📡": "EM",
    "🔋": "EM",
    "🔌": "EM",
    "💡": "EM",
    "🔦": "EM",
    "🕯": "EM",
    "🗑": "EM",
    "🛢": "EM",
    "💸": "EM",
    "💵": "EM",
    "💴": "EM",
    "💶": "EM",
    "💷": "EM",
    "💰": "EM",
    "💳": "EM",
    "💎": "EM",
    "⚖": "EM",
    "🔧": "EM",
    "🔨": "EM",
    "⚒": "EM",
    "🛠": "EM",
    "⛏": "EM",
    "🔩": "EM",
    "⚙": "EM",
    "⛓": "EM",
    "🔫": "EM",
    "💣": "EM",
    "🔪": "EM",
    "🗡": "EM",
    "⚔": "EM",
    "🛡": "EM",
    "🚬": "EM",
    "☠": "EM",
    "⚰": "EM",
    "⚱": "EM",
    "🏺": "EM",
    "🔮": "EM",
    "📿": "EM",
    "💈": "EM",
    "⚗": "EM",
    "🔭": "EM",
    "🔬": "EM",
    "🕳": "EM",
    "💊": "EM",
    "💉": "EM",
    "🌡": "EM",
    "🏷": "EM",
    "🔖": "EM",
    "🚽": "EM",
    "🚿": "EM",
    "🛁": "EM",
    "🔑": "EM",
    "🗝": "EM",
    "🛋": "EM",
    "🛌": "EM",
    "🛏": "EM",
    "🚪": "EM",
    "🛎": "EM",
    "🖼": "EM",
    "🗺": "EM",
    "⛱": "EM",
    "🗿": "EM",
    "🛍": "EM",
    "🎈": "EM",
    "🎏": "EM",
    "🎀": "EM",
    "🎁": "EM",
    "🎊": "EM",
    "🎉": "EM",
    "🎎": "EM",
    "🎐": "EM",
    "🎌": "EM",
    "🏮": "EM",
    "✉️": "EM",
    "📩": "EM",
    "📨": "EM",
    "📧": "EM",
    "💌": "EM",
    "📮": "EM",
    "📪": "EM",
    "📫": "EM",
    "📬": "EM",
    "📭": "EM",
    "📦": "EM",
    "📯": "EM",
    "📥": "EM",
    "📤": "EM",
    "📜": "EM",
    "📃": "EM",
    "📑": "EM",
    "📊": "EM",
    "📈": "EM",
    "📉": "EM",
    "📄": "EM",
    "📅": "EM",
    "📆": "EM",
    "🗓": "EM",
    "📇": "EM",
    "🗃": "EM",
    "🗳": "EM",
    "🗄": "EM",
    "📋": "EM",
    "🗒": "EM",
    "📁": "EM",
    "📂": "EM",
    "🗂": "EM",
    "🗞": "EM",
    "📰": "EM",
    "📓": "EM",
    "📕": "EM",
    "📗": "EM",
    "📘": "EM",
    "📙": "EM",
    "📔": "EM",
    "📒": "EM",
    "📚": "EM",
    "📖": "EM",
    "🔗": "EM",
    "📎": "EM",
    "🖇": "EM",
    "✂️": "EM",
    "📐": "EM",
    "📏": "EM",
    "📌": "EM",
    "📍": "EM",
    "🚩": "EM",
    "🏳": "EM",
    "🏴": "EM",
    "🔐": "EM",
    "🔒": "EM",
    "🔓": "EM",
    "🔏": "EM",
    "🖊": "EM",
    "🖋": "EM",
    "✒️": "EM",
    "📝": "EM",
    "✏️": "EM",
    "🖍": "EM",
    "🖌": "EM",
    "🔍": "EM",
    "🔎": "EM",
    "❤️": "EM",
    "💛": "EM",
    "💚": "EM",
    "💙": "EM",
    "💜": "EM",
    "💔": "EM",
    "❣": "EM",
    "💕": "EM",
    "💞": "EM",
    "💓": "EM",
    "💗": "EM",
    "💖": "EM",
    "💘": "EM",
    "💝": "EM",
    "💟": "EM",
    "☮": "EM",
    "✝": "EM",
    "☪": "EM",
    "🕉": "EM",
    "☸": "EM",
    "✡": "EM",
    "🔯": "EM",
    "🕎": "EM",
    "☯": "EM",
    "☦": "EM",
    "🛐": "EM",
    "⛎": "EM",
    "♈": "EM",
    "♉": "EM",
    "♊": "EM",
    "♋": "EM",
    "♌": "EM",
    "♍": "EM",
    "♎": "EM",
    "♏": "EM",
    "♐": "EM",
    "♑": "EM",
    "♒": "EM",
    "♓": "EM",
    "🆔": "EM",
    "⚛": "EM",
    "🈳": "EM",
    "🈹": "EM",
    "☢": "EM",
    "☣": "EM",
    "📴": "EM",
    "📳": "EM",
    "🈶": "EM",
    "🈚": "EM",
    "🈸": "EM",
    "🈺": "EM",
    "🈷️": "EM",
    "✴️": "EM",
    "🆚": "EM",
    "🉑": "EM",
    "💮": "EM",
    "🉐": "EM",
    "㊙️": "EM",
    "㊗️": "EM",
    "🈴": "EM",
    "🈵": "EM",
    "🈲": "EM",
    "🅰️": "EM",
    "🅱️": "EM",
    "🆎": "EM",
    "🆑": "EM",
    "🅾️": "EM",
    "🆘": "EM",
    "⛔": "EM",
    "📛": "EM",
    "🚫": "EM",
    "❌": "EM",
    "⭕": "EM",
    "💢": "EM",
    "♨️": "EM",
    "🚷": "EM",
    "🚯": "EM",
    "🚳": "EM",
    "🚱": "EM",
    "🔞": "EM",
    "📵": "EM",
    "❗": "EM",
    "❕": "EM",
    "❓": "EM",
    "❔": "EM",
    "‼️": "EM",
    "⁉️": "EM",
    "🔅": "EM",
    "🔆": "EM",
    "🔱": "EM",
    "⚜": "EM",
    "〽️": "EM",
    "⚠️": "EM",
    "🚸": "EM",
    "🔰": "EM",
    "♻️": "EM",
    "🈯": "EM",
    "💹": "EM",
    "❇️": "EM",
    "✳️": "EM",
    "❎": "EM",
    "✅": "EM",
    "💠": "EM",
    "🌀": "EM",
    "➿": "EM",
    "🌐": "EM",
    "Ⓜ️": "EM",
    "🏧": "EM",
    "🈂️": "EM",
    "🛂": "EM",
    "🛃": "EM",
    "🛄": "EM",
    "🛅": "EM",
    "♿": "EM",
    "🚭": "EM",
    "🚾": "EM",
    "🅿️": "EM",
    "🚰": "EM",
    "🚹": "EM",
    "🚺": "EM",
    "🚼": "EM",
    "🚻": "EM",
    "🚮": "EM",
    "🎦": "EM",
    "📶": "EM",
    "🈁": "EM",
    "🆖": "EM",
    "🆗": "EM",
    "🆙": "EM",
    "🆒": "EM",
    "🆕": "EM",
    "🆓": "EM",
    "0️⃣": "EM",
    "1️⃣": "EM",
    "2️⃣": "EM",
    "3️⃣": "EM",
    "4️⃣": "EM",
    "5️⃣": "EM",
    "6️⃣": "EM",
    "7️⃣": "EM",
    "8️⃣": "EM",
    "9️⃣": "EM",
    "🔟": "EM",
    "*⃣": "EM",
    "▶️": "EM",
    "⏸": "EM",
    "⏭": "EM",
    "⏹": "EM",
    "⏺": "EM",
    "⏯": "EM",
    "⏮": "EM",
    "⏩": "EM",
    "⏪": "EM",
    "🔀": "EM",
    "🔁": "EM",
    "🔂": "EM",
    "◀️": "EM",
    "🔼": "EM",
    "🔽": "EM",
    "⏫": "EM",
    "⏬": "EM",
    "➡️": "EM",
    "⬅️": "EM",
    "⬆️": "EM",
    "⬇️": "EM",
    "↗️": "EM",
    "↘️": "EM",
    "↙️": "EM",
    "↖️": "EM",
    "↕️": "EM",
    "↔️": "EM",
    "🔄": "EM",
    "↪️": "EM",
    "↩️": "EM",
    "⤴️": "EM",
    "⤵️": "EM",
    "#️⃣": "EM",
    "ℹ️": "EM",
    "🔤": "EM",
    "🔡": "EM",
    "🔠": "EM",
    "🔣": "EM",
    "🎵": "EM",
    "🎶": "EM",
    "〰️": "EM",
    "➰": "EM",
    "✔️": "EM",
    "🔃": "EM",
    "➕": "EM",
    "➖": "EM",
    "➗": "EM",
    "✖️": "EM",
    "💲": "EM",
    "💱": "EM",
    "©️": "EM",
    "®️": "EM",
    "™️": "EM",
    "🔚": "EM",
    "🔙": "EM",
    "🔛": "EM",
    "🔝": "EM",
    "🔜": "EM",
    "☑️": "EM",
    "🔘": "EM",
    "⚪": "EM",
    "⚫": "EM",
    "🔴": "EM",
    "🔵": "EM",
    "🔸": "EM",
    "🔹": "EM",
    "🔶": "EM",
    "🔷": "EM",
    "🔺": "EM",
    "▪️": "EM",
    "▫️": "EM",
    "⬛": "EM",
    "⬜": "EM",
    "🔻": "EM",
    "◼️": "EM",
    "◻️": "EM",
    "◾": "EM",
    "◽": "EM",
    "🔲": "EM",
    "🔳": "EM",
    "🔈": "EM",
    "🔉": "EM",
    "🔊": "EM",
    "🔇": "EM",
    "📣": "EM",
    "📢": "EM",
    "🔔": "EM",
    "🔕": "EM",
    "🃏": "EM",
    "🀄": "EM",
    "♠️": "EM",
    "♣️": "EM",
    "♥️": "EM",
    "♦️": "EM",
    "🎴": "EM",
    "💭": "EM",
    "🗯": "EM",
    "💬": "EM",
    "🗨": "EM",
    "🕐": "EM",
    "🕑": "EM",
    "🕒": "EM",
    "🕓": "EM",
    "🕔": "EM",
    "🕕": "EM",
    "🕖": "EM",
    "🕗": "EM",
    "🕘": "EM",
    "🕙": "EM",
    "🕚": "EM",
    "🕛": "EM",
    "🕜": "EM",
    "🕝": "EM",
    "🕞": "EM",
    "🕟": "EM",
    "🕠": "EM",
    "🕡": "EM",
    "🕢": "EM",
    "🕣": "EM",
    "🕤": "EM",
    "🕥": "EM",
    "🕦": "EM",
    "🕧": "EM",
    "🇦🇫": "EM",
    "🇦🇽": "EM",
    "🇦🇱": "EM",
    "🇩🇿": "EM",
    "🇦🇸": "EM",
    "🇦🇩": "EM",
    "🇦🇴": "EM",
    "🇦🇮": "EM",
    "🇦🇶": "EM",
    "🇦🇬": "EM",
    "🇦🇷": "EM",
    "🇦🇲": "EM",
    "🇦🇼": "EM",
    "🇦🇺": "EM",
    "🇦🇹": "EM",
    "🇦🇿": "EM",
    "🇧🇸": "EM",
    "🇧🇭": "EM",
    "🇧🇩": "EM",
    "🇧🇧": "EM",
    "🇧🇾": "EM",
    "🇧🇪": "EM",
    "🇧🇿": "EM",
    "🇧🇯": "EM",
    "🇧🇲": "EM",
    "🇧🇹": "EM",
    "🇧🇴": "EM",
    "🇧🇶": "EM",
    "🇧🇦": "EM",
    "🇧🇼": "EM",
    "🇧🇷": "EM",
    "🇮🇴": "EM",
    "🇻🇬": "EM",
    "🇧🇳": "EM",
    "🇧🇬": "EM",
    "🇧🇫": "EM",
    "🇧🇮": "EM",
    "🇨🇻": "EM",
    "🇰🇭": "EM",
    "🇨🇲": "EM",
    "🇨🇦": "EM",
    "🇮🇨": "EM",
    "🇰🇾": "EM",
    "🇨🇫": "EM",
    "🇹🇩": "EM",
    "🇨🇱": "EM",
    "🇨🇳": "EM",
    "🇨🇽": "EM",
    "🇨🇨": "EM",
    "🇨🇴": "EM",
    "🇰🇲": "EM",
    "🇨🇬": "EM",
    "🇨🇩": "EM",
    "🇨🇰": "EM",
    "🇨🇷": "EM",
    "🇭🇷": "EM",
    "🇨🇺": "EM",
    "🇨🇼": "EM",
    "🇨🇾": "EM",
    "🇨🇿": "EM",
    "🇩🇰": "EM",
    "🇩🇯": "EM",
    "🇩🇲": "EM",
    "🇩🇴": "EM",
    "🇪🇨": "EM",
    "🇪🇬": "EM",
    "🇸🇻": "EM",
    "🇬🇶": "EM",
    "🇪🇷": "EM",
    "🇪🇪": "EM",
    "🇪🇹": "EM",
    "🇪🇺": "EM",
    "🇫🇰": "EM",
    "🇫🇴": "EM",
    "🇫🇯": "EM",
    "🇫🇮": "EM",
    "🇫🇷": "EM",
    "🇬🇫": "EM",
    "🇵🇫": "EM",
    "🇹🇫": "EM",
    "🇬🇦": "EM",
    "🇬🇲": "EM",
    "🇬🇪": "EM",
    "🇩🇪": "EM",
    "🇬🇭": "EM",
    "🇬🇮": "EM",
    "🇬🇷": "EM",
    "🇬🇱": "EM",
    "🇬🇩": "EM",
    "🇬🇵": "EM",
    "🇬🇺": "EM",
    "🇬🇹": "EM",
    "🇬🇬": "EM",
    "🇬🇳": "EM",
    "🇬🇼": "EM",
    "🇬🇾": "EM",
    "🇭🇹": "EM",
    "🇭🇳": "EM",
    "🇭🇰": "EM",
    "🇭🇺": "EM",
    "🇮🇸": "EM",
    "🇮🇳": "EM",
    "🇮🇩": "EM",
    "🇮🇷": "EM",
    "🇮🇶": "EM",
    "🇮🇪": "EM",
    "🇮🇲": "EM",
    "🇮🇱": "EM",
    "🇮🇹": "EM",
    "🇨🇮": "EM",
    "🇯🇲": "EM",
    "🇯🇵": "EM",
    "🇯🇪": "EM",
    "🇯🇴": "EM",
    "🇰🇿": "EM",
    "🇰🇪": "EM",
    "🇰🇮": "EM",
    "🇽🇰": "EM",
    "🇰🇼": "EM",
    "🇰🇬": "EM",
    "🇱🇦": "EM",
    "🇱🇻": "EM",
    "🇱🇧": "EM",
    "🇱🇸": "EM",
    "🇱🇷": "EM",
    "🇱🇾": "EM",
    "🇱🇮": "EM",
    "🇱🇹": "EM",
    "🇱🇺": "EM",
    "🇲🇴": "EM",
    "🇲🇰": "EM",
    "🇲🇬": "EM",
    "🇲🇼": "EM",
    "🇲🇾": "EM",
    "🇲🇻": "EM",
    "🇲🇱": "EM",
    "🇲🇹": "EM",
    "🇲🇭": "EM",
    "🇲🇶": "EM",
    "🇲🇷": "EM",
    "🇲🇺": "EM",
    "🇾🇹": "EM",
    "🇲🇽": "EM",
    "🇫🇲": "EM",
    "🇲🇩": "EM",
    "🇲🇨": "EM",
    "🇲🇳": "EM",
    "🇲🇪": "EM",
    "🇲🇸": "EM",
    "🇲🇦": "EM",
    "🇲🇿": "EM",
    "🇲🇲": "EM",
    "🇳🇦": "EM",
    "🇳🇷": "EM",
    "🇳🇵": "EM",
    "🇳🇱": "EM",
    "🇳🇨": "EM",
    "🇳🇿": "EM",
    "🇳🇮": "EM",
    "🇳🇪": "EM",
    "🇳🇬": "EM",
    "🇳🇺": "EM",
    "🇳🇫": "EM",
    "🇲🇵": "EM",
    "🇰🇵": "EM",
    "🇳🇴": "EM",
    "🇴🇲": "EM",
    "🇵🇰": "EM",
    "🇵🇼": "EM",
    "🇵🇸": "EM",
    "🇵🇦": "EM",
    "🇵🇬": "EM",
    "🇵🇾": "EM",
    "🇵🇪": "EM",
    "🇵🇭": "EM",
    "🇵🇳": "EM",
    "🇵🇱": "EM",
    "🇵🇹": "EM",
    "🇵🇷": "EM",
    "🇶🇦": "EM",
    "🇷🇪": "EM",
    "🇷🇴": "EM",
    "🇷🇺": "EM",
    "🇷🇼": "EM",
    "🇧🇱": "EM",
    "🇸🇭": "EM",
    "🇰🇳": "EM",
    "🇱🇨": "EM",
    "🇵🇲": "EM",
    "🇻🇨": "EM",
    "🇼🇸": "EM",
    "🇸🇲": "EM",
    "🇸🇹": "EM",
    "🇸🇦": "EM",
    "🇸🇳": "EM",
    "🇷🇸": "EM",
    "🇸🇨": "EM",
    "🇸🇱": "EM",
    "🇸🇬": "EM",
    "🇸🇽": "EM",
    "🇸🇰": "EM",
    "🇸🇮": "EM",
    "🇸🇧": "EM",
    "🇸🇴": "EM",
    "🇿🇦": "EM",
    "🇬🇸": "EM",
    "🇰🇷": "EM",
    "🇸🇸": "EM",
    "🇪🇸": "EM",
    "🇱🇰": "EM",
    "🇸🇩": "EM",
    "🇸🇷": "EM",
    "🇸🇿": "EM",
    "🇸🇪": "EM",
    "🇨🇭": "EM",
    "🇸🇾": "EM",
    "🇹🇼": "EM",
    "🇹🇯": "EM",
    "🇹🇿": "EM",
    "🇹🇭": "EM",
    "🇹🇱": "EM",
    "🇹🇬": "EM",
    "🇹🇰": "EM",
    "🇹🇴": "EM",
    "🇹🇹": "EM",
    "🇹🇳": "EM",
    "🇹🇷": "EM",
    "🇹🇲": "EM",
    "🇹🇨": "EM",
    "🇹🇻": "EM",
    "🇺🇬": "EM",
    "🇺🇦": "EM",
    "🇦🇪": "EM",
    "🇬🇧": "EM",
    "🇺🇸": "EM",
    "🇻🇮": "EM",
    "🇺🇾": "EM",
    "🇺🇿": "EM",
    "🇻🇺": "EM",
    "🇻🇦": "EM",
    "🇻🇪": "EM",
    "🇻🇳": "EM",
    "🇼🇫": "EM",
    "🇪🇭": "EM",
    "🇾🇪": "EM",
    "🇿🇲": "EM",
    "🇿🇼": "EM"
};
exports["default"] = lexicon;
